unit GBBIG;

interface

procedure setmap;
function big52gb(s:string):string;
function gb2big5(s:string):string;

VAR
  map:array[1..13468] of array[1..2] of integer;
  map2:array[1..13468] of array[1..2] of integer;

implementation
function findbig5(n:integer):string;
var a,b,i,m,j:integer;
    f:boolean;
    c1,c2:char;
begin
   a:=0; b:=13468;
   i:=(a+b) shr 1;
   f:=false;
   while not f do
   begin
       m:=map[i][1];
       if n=m then
       begin
          f:=true;
          m:=map[i][2];
          for j:=i downto 0 do
          begin
             if map[j][1]=n then m:=map[j][2]
             else break;
          end;
          break;
       end
       else if n>m then
       begin
          a:=i+1;
       end
       else
       begin
          b:=i-1;
       end;
       i:=(a+b) shr 1;
       if a>b then break;
   end;
   if not f then m:=n;
   c1:=chr(m shr 8);
   c2:=chr(m mod 256);
   result:=c1+c2;
end;

function gb2big5(s:string):string;
var s2:string;
    i:integer;
    c1,c2,c3:integer;
begin
    s2:='';
    c1:=0; c2:=0;
    for i:=1 to length(s) do
    begin
       c1:=ord(s[i]);
       if c2<>0 then
       begin
          c3:=(c2 shl 8) + c1;
          s2:=s2+findbig5(c3);
          c1:=0; c2:=0;
       end
       else
       if c1>=128 then
       begin
          c2:=c1;
       end
       else s2:=s2+s[i];
    end;
    result:=s2;
end;
function findgb(n:integer):string;
var a,b,i,m:integer;
    f:boolean;
    c1,c2:char;
begin
   a:=0; b:=13468;
   i:=(a+b) shr 1;
   f:=false;
   while not f do
   begin
       m:=map2[i][1];
       if n=m then
       begin
          f:=true;
          m:=map2[i][2];
          break;
       end
       else if n>m then
       begin
          a:=i+1;
       end
       else
       begin
          b:=i-1;
       end;
       i:=(a+b) shr 1;
       if a>b then break;
   end;
   if not f then m:=n;
   c1:=chr(m shr 8);
   c2:=chr(m mod 256);
   result:=c1+c2;
end;

type TCode = packed record
    case Integer of
      0: (b1: byte;b2:byte);
      1: (n:word);
  end;

function big52gb(s:string):string;
var s2:string;
    i:integer;
    c:TCode;
begin
    s2:='';
    c.n:=0;
    for i:=1 to length(s) do begin
      c.b1:=ord(s[i]);
      if c.b2<>0 then begin
        s2:=s2+findgb(c.n);
        c.n:=0;
      end
      else begin
        if c.b1>=128 then
          c.b2:=c.b1
        else
          s2:=s2+s[i];
      end;
    end;
    result:=s2;
end;


procedure setmap;
begin
map[    1][1]:=$3F3F;map[    1][2]:=$F9D6;
map[    2][1]:=$3F3F;map[    2][2]:=$F9D7;
map[    3][1]:=$3F3F;map[    3][2]:=$F9D8;
map[    4][1]:=$3F3F;map[    4][2]:=$F9D9;
map[    5][1]:=$3F3F;map[    5][2]:=$F9DA;
map[    6][1]:=$3F3F;map[    6][2]:=$F9DB;
map[    7][1]:=$3F3F;map[    7][2]:=$F9DC;
map[    8][1]:=$8144;map[    8][2]:=$C94D;
map[    9][1]:=$814D;map[    9][2]:=$C950;
map[   10][1]:=$814F;map[   10][2]:=$C963;
map[   11][1]:=$8150;map[   11][2]:=$CBB1;
map[   12][1]:=$8153;map[   12][2]:=$C964;
map[   13][1]:=$8156;map[   13][2]:=$C940;
map[   14][1]:=$8176;map[   14][2]:=$D44B;
map[   15][1]:=$817A;map[   15][2]:=$DCB1;
map[   16][1]:=$817B;map[   16][2]:=$DCB2;
map[   17][1]:=$818D;map[   17][2]:=$DCB3;
map[   18][1]:=$818F;map[   18][2]:=$F3FE;
map[   19][1]:=$8190;map[   19][2]:=$F6D6;
map[   20][1]:=$8194;map[   20][2]:=$C954;
map[   21][1]:=$8199;map[   21][2]:=$C96A;
map[   22][1]:=$819B;map[   22][2]:=$C966;
map[   23][1]:=$81A0;map[   23][2]:=$C967;
map[   24][1]:=$81A4;map[   24][2]:=$C9B0;
map[   25][1]:=$81A5;map[   25][2]:=$C9BA;
map[   26][1]:=$81AB;map[   26][2]:=$C9B1;
map[   27][1]:=$81AC;map[   27][2]:=$C9B5;
map[   28][1]:=$81AE;map[   28][2]:=$C9B9;
map[   29][1]:=$81AF;map[   29][2]:=$C9B6;
map[   30][1]:=$81B2;map[   30][2]:=$C9B3;
map[   31][1]:=$81B3;map[   31][2]:=$A5F9;
map[   32][1]:=$81B5;map[   32][2]:=$C9BB;
map[   33][1]:=$81B6;map[   33][2]:=$C9B8;
map[   34][1]:=$81B7;map[   34][2]:=$C9AF;
map[   35][1]:=$81BB;map[   35][2]:=$C9B4;
map[   36][1]:=$81C0;map[   36][2]:=$C9AD;
map[   37][1]:=$81C1;map[   37][2]:=$CA66;
map[   38][1]:=$81C4;map[   38][2]:=$CA67;
map[   39][1]:=$81C8;map[   39][2]:=$CA5B;
map[   40][1]:=$81C9;map[   40][2]:=$CA60;
map[   41][1]:=$81CA;map[   41][2]:=$CA68;
map[   42][1]:=$81CC;map[   42][2]:=$CA64;
map[   43][1]:=$81D2;map[   43][2]:=$CA5D;
map[   44][1]:=$81D5;map[   44][2]:=$CBBD;
map[   45][1]:=$81D6;map[   45][2]:=$CA62;
map[   46][1]:=$81D8;map[   46][2]:=$CA5A;
map[   47][1]:=$81D9;map[   47][2]:=$CA69;
map[   48][1]:=$81DA;map[   48][2]:=$CA5C;
map[   49][1]:=$81DD;map[   49][2]:=$CBBF;
map[   50][1]:=$81DE;map[   50][2]:=$CBCB;
map[   51][1]:=$81E0;map[   51][2]:=$CBCC;
map[   52][1]:=$81E4;map[   52][2]:=$CBBC;
map[   53][1]:=$81E5;map[   53][2]:=$CBC3;
map[   54][1]:=$81E6;map[   54][2]:=$CBC1;
map[   55][1]:=$81E7;map[   55][2]:=$A8DE;
map[   56][1]:=$81E8;map[   56][2]:=$CBB5;
map[   57][1]:=$81E9;map[   57][2]:=$CBB6;
map[   58][1]:=$81EA;map[   58][2]:=$CBC2;
map[   59][1]:=$81EB;map[   59][2]:=$CBC9;
map[   60][1]:=$81EC;map[   60][2]:=$CBB4;
map[   61][1]:=$81EE;map[   61][2]:=$CBB7;
map[   62][1]:=$81F2;map[   62][2]:=$CBC4;
map[   63][1]:=$81F3;map[   63][2]:=$CBC8;
map[   64][1]:=$81F5;map[   64][2]:=$CBCA;
map[   65][1]:=$81F7;map[   65][2]:=$CBB2;
map[   66][1]:=$81F9;map[   66][2]:=$CBC0;
map[   67][1]:=$81FA;map[   67][2]:=$CBC5;
map[   68][1]:=$81FB;map[   68][2]:=$CBC7;
map[   69][1]:=$8245;map[   69][2]:=$CDE0;
map[   70][1]:=$8246;map[   70][2]:=$CDE8;
map[   71][1]:=$824B;map[   71][2]:=$CDEE;
map[   72][1]:=$824C;map[   72][2]:=$CDEC;
map[   73][1]:=$824D;map[   73][2]:=$CDE7;
map[   74][1]:=$8251;map[   74][2]:=$CDED;
map[   75][1]:=$8255;map[   75][2]:=$CDEA;
map[   76][1]:=$8257;map[   76][2]:=$CDE1;
map[   77][1]:=$8258;map[   77][2]:=$CDE2;
map[   78][1]:=$825A;map[   78][2]:=$CDDD;
map[   79][1]:=$825C;map[   79][2]:=$CDDF;
map[   80][1]:=$825D;map[   80][2]:=$CDE4;
map[   81][1]:=$825F;map[   81][2]:=$CDEB;
map[   82][1]:=$8260;map[   82][2]:=$CDE6;
map[   83][1]:=$8261;map[   83][2]:=$CDE9;
map[   84][1]:=$8268;map[   84][2]:=$CDEF;
map[   85][1]:=$826B;map[   85][2]:=$D0D0;
map[   86][1]:=$826C;map[   86][2]:=$D0CF;
map[   87][1]:=$826D;map[   87][2]:=$D0D4;
map[   88][1]:=$826E;map[   88][2]:=$D0D5;
map[   89][1]:=$8279;map[   89][2]:=$D0C9;
map[   90][1]:=$827B;map[   90][2]:=$D0CA;
map[   91][1]:=$8281;map[   91][2]:=$D0DD;
map[   92][1]:=$8284;map[   92][2]:=$D0CB;
map[   93][1]:=$8285;map[   93][2]:=$D45B;
map[   94][1]:=$8287;map[   94][2]:=$D0D6;
map[   95][1]:=$8288;map[   95][2]:=$D0CE;
map[   96][1]:=$828A;map[   96][2]:=$D0C8;
map[   97][1]:=$828B;map[   97][2]:=$D0D8;
map[   98][1]:=$828C;map[   98][2]:=$D0CC;
map[   99][1]:=$828F;map[   99][2]:=$D0D9;
map[  100][1]:=$8291;map[  100][2]:=$D0DB;
map[  101][1]:=$8292;map[  101][2]:=$D0CD;
map[  102][1]:=$8293;map[  102][2]:=$D0DC;
map[  103][1]:=$8295;map[  103][2]:=$D0D1;
map[  104][1]:=$8297;map[  104][2]:=$D0DA;
map[  105][1]:=$8299;map[  105][2]:=$D0D2;
map[  106][1]:=$829F;map[  106][2]:=$D463;
map[  107][1]:=$82A0;map[  107][2]:=$D457;
map[  108][1]:=$82A3;map[  108][2]:=$D45C;
map[  109][1]:=$82A4;map[  109][2]:=$D462;
map[  110][1]:=$82A6;map[  110][2]:=$D459;
map[  111][1]:=$82A7;map[  111][2]:=$D452;
map[  112][1]:=$82A8;map[  112][2]:=$D456;
map[  113][1]:=$82AA;map[  113][2]:=$D467;
map[  114][1]:=$82AC;map[  114][2]:=$D451;
map[  115][1]:=$82AF;map[  115][2]:=$D466;
map[  116][1]:=$82B2;map[  116][2]:=$D458;
map[  117][1]:=$82B3;map[  117][2]:=$D453;
map[  118][1]:=$82B4;map[  118][2]:=$D44F;
map[  119][1]:=$82B5;map[  119][2]:=$D45D;
map[  120][1]:=$82B6;map[  120][2]:=$D450;
map[  121][1]:=$82B7;map[  121][2]:=$D44E;
map[  122][1]:=$82B8;map[  122][2]:=$D45A;
map[  123][1]:=$82B9;map[  123][2]:=$D460;
map[  124][1]:=$82BA;map[  124][2]:=$D461;
map[  125][1]:=$82BD;map[  125][2]:=$D85B;
map[  126][1]:=$82BE;map[  126][2]:=$D45E;
map[  127][1]:=$82BF;map[  127][2]:=$D44D;
map[  128][1]:=$82C0;map[  128][2]:=$D45F;
map[  129][1]:=$82C1;map[  129][2]:=$B0C1;
map[  130][1]:=$82C2;map[  130][2]:=$D464;
map[  131][1]:=$82C3;map[  131][2]:=$B0C0;
map[  132][1]:=$82C4;map[  132][2]:=$D44C;
map[  133][1]:=$82C6;map[  133][2]:=$D454;
map[  134][1]:=$82C7;map[  134][2]:=$D465;
map[  135][1]:=$82D0;map[  135][2]:=$D85E;
map[  136][1]:=$82D1;map[  136][2]:=$D857;
map[  137][1]:=$82D4;map[  137][2]:=$D85F;
map[  138][1]:=$82D7;map[  138][2]:=$D855;
map[  139][1]:=$82D8;map[  139][2]:=$D858;
map[  140][1]:=$82D9;map[  140][2]:=$D859;
map[  141][1]:=$82DD;map[  141][2]:=$D85D;
map[  142][1]:=$82DF;map[  142][2]:=$D853;
map[  143][1]:=$82E0;map[  143][2]:=$D852;
map[  144][1]:=$82E6;map[  144][2]:=$D851;
map[  145][1]:=$82E7;map[  145][2]:=$D85C;
map[  146][1]:=$82E8;map[  146][2]:=$D85A;
map[  147][1]:=$82E9;map[  147][2]:=$D854;
map[  148][1]:=$82F3;map[  148][2]:=$DCB7;
map[  149][1]:=$82F5;map[  149][2]:=$DCBD;
map[  150][1]:=$82F6;map[  150][2]:=$DCC0;
map[  151][1]:=$82FA;map[  151][2]:=$DCC3;
map[  152][1]:=$82FC;map[  152][2]:=$DCC4;
map[  153][1]:=$8340;map[  153][2]:=$DCB4;
map[  154][1]:=$8342;map[  154][2]:=$DCB5;
map[  155][1]:=$8344;map[  155][2]:=$DCBE;
map[  156][1]:=$8347;map[  156][2]:=$DCB8;
map[  157][1]:=$8349;map[  157][2]:=$DCB6;
map[  158][1]:=$834A;map[  158][2]:=$B6CE;
map[  159][1]:=$834B;map[  159][2]:=$DCBB;
map[  160][1]:=$834D;map[  160][2]:=$DCB9;
map[  161][1]:=$834E;map[  161][2]:=$DCC1;
map[  162][1]:=$8351;map[  162][2]:=$B9B6;
map[  163][1]:=$8355;map[  163][2]:=$E0F9;
map[  164][1]:=$8356;map[  164][2]:=$E0F1;
map[  165][1]:=$8358;map[  165][2]:=$E0F2;
map[  166][1]:=$835B;map[  166][2]:=$E0F5;
map[  167][1]:=$835D;map[  167][2]:=$E0F7;
map[  168][1]:=$8360;map[  168][2]:=$E0FE;
map[  169][1]:=$8363;map[  169][2]:=$E0FD;
map[  170][1]:=$8364;map[  170][2]:=$E0F8;
map[  171][1]:=$8367;map[  171][2]:=$B9B7;
map[  172][1]:=$8368;map[  172][2]:=$E0F6;
map[  173][1]:=$836A;map[  173][2]:=$E0FC;
map[  174][1]:=$836B;map[  174][2]:=$E0FB;
map[  175][1]:=$836F;map[  175][2]:=$E4EC;
map[  176][1]:=$8371;map[  176][2]:=$E4E9;
map[  177][1]:=$8375;map[  177][2]:=$E4F0;
map[  178][1]:=$8376;map[  178][2]:=$E4ED;
map[  179][1]:=$8377;map[  179][2]:=$E4E6;
map[  180][1]:=$837B;map[  180][2]:=$E4E7;
map[  181][1]:=$8381;map[  181][2]:=$E4F1;
map[  182][1]:=$8382;map[  182][2]:=$E4EF;
map[  183][1]:=$8387;map[  183][2]:=$E8F8;
map[  184][1]:=$8388;map[  184][2]:=$E8F5;
map[  185][1]:=$838C;map[  185][2]:=$E8F6;
map[  186][1]:=$838F;map[  186][2]:=$E8F7;
map[  187][1]:=$8391;map[  187][2]:=$E8F4;
map[  188][1]:=$8395;map[  188][2]:=$ECBD;
map[  189][1]:=$8396;map[  189][2]:=$ECBB;
map[  190][1]:=$8398;map[  190][2]:=$ECBC;
map[  191][1]:=$8399;map[  191][2]:=$ECBA;
map[  192][1]:=$839A;map[  192][2]:=$ECB9;
map[  193][1]:=$839D;map[  193][2]:=$ECBE;
map[  194][1]:=$83A1;map[  194][2]:=$EFB8;
map[  195][1]:=$83A2;map[  195][2]:=$EFB9;
map[  196][1]:=$83A4;map[  196][2]:=$E4E8;
map[  197][1]:=$83A5;map[  197][2]:=$EFB7;
map[  198][1]:=$83A7;map[  198][2]:=$C35F;
map[  199][1]:=$83A8;map[  199][2]:=$F1EB;
map[  200][1]:=$83A9;map[  200][2]:=$F1EC;
map[  201][1]:=$83B1;map[  201][2]:=$F7D0;
map[  202][1]:=$83BE;map[  202][2]:=$A259;
map[  203][1]:=$83BF;map[  203][2]:=$A25A;
map[  204][1]:=$83C0;map[  204][2]:=$A25C;
map[  205][1]:=$83C1;map[  205][2]:=$A25B;
map[  206][1]:=$83C2;map[  206][2]:=$D860;
map[  207][1]:=$83C4;map[  207][2]:=$A25D;
map[  208][1]:=$83C5;map[  208][2]:=$A25E;
map[  209][1]:=$83D3;map[  209][2]:=$C94E;
map[  210][1]:=$83D7;map[  210][2]:=$CA6A;
map[  211][1]:=$83D9;map[  211][2]:=$AB60;
map[  212][1]:=$83DA;map[  212][2]:=$D0E0;
map[  213][1]:=$83DB;map[  213][2]:=$D0DF;
map[  214][1]:=$83DC;map[  214][2]:=$C955;
map[  215][1]:=$83DF;map[  215][2]:=$CBCD;
map[  216][1]:=$83EC;map[  216][2]:=$CA6B;
map[  217][1]:=$83EE;map[  217][2]:=$CBCF;
map[  218][1]:=$83F3;map[  218][2]:=$D0E3;
map[  219][1]:=$83F4;map[  219][2]:=$D0E4;
map[  220][1]:=$83F5;map[  220][2]:=$D0E1;
map[  221][1]:=$83F7;map[  221][2]:=$D0E5;
map[  222][1]:=$83F8;map[  222][2]:=$D468;
map[  223][1]:=$83FB;map[  223][2]:=$D861;
map[  224][1]:=$83FE;map[  224][2]:=$DCC5;
map[  225][1]:=$8440;map[  225][2]:=$E140;
map[  226][1]:=$8444;map[  226][2]:=$E8F9;
map[  227][1]:=$8457;map[  227][2]:=$C9BE;
map[  228][1]:=$8459;map[  228][2]:=$C96B;
map[  229][1]:=$845B;map[  229][2]:=$C9BF;
map[  230][1]:=$845C;map[  230][2]:=$C9BD;
map[  231][1]:=$845F;map[  231][2]:=$CA6C;
map[  232][1]:=$8460;map[  232][2]:=$CA6D;
map[  233][1]:=$8462;map[  233][2]:=$CA6E;
map[  234][1]:=$846B;map[  234][2]:=$CBD4;
map[  235][1]:=$846C;map[  235][2]:=$CBD1;
map[  236][1]:=$846E;map[  236][2]:=$CBD0;
map[  237][1]:=$8473;map[  237][2]:=$CBD3;
map[  238][1]:=$8476;map[  238][2]:=$CDF1;
map[  239][1]:=$8478;map[  239][2]:=$AB62;
map[  240][1]:=$847A;map[  240][2]:=$D0E8;
map[  241][1]:=$847C;map[  241][2]:=$D0EB;
map[  242][1]:=$8481;map[  242][2]:=$D0E7;
map[  243][1]:=$8484;map[  243][2]:=$D0EA;
map[  244][1]:=$8486;map[  244][2]:=$D0EC;
map[  245][1]:=$848B;map[  245][2]:=$D469;
map[  246][1]:=$848C;map[  246][2]:=$D46B;
map[  247][1]:=$848D;map[  247][2]:=$D46A;
map[  248][1]:=$8496;map[  248][2]:=$DCC7;
map[  249][1]:=$8498;map[  249][2]:=$DCC6;
map[  250][1]:=$8499;map[  250][2]:=$DCC8;
map[  251][1]:=$849A;map[  251][2]:=$DCC9;
map[  252][1]:=$849C;map[  252][2]:=$E141;
map[  253][1]:=$84A4;map[  253][2]:=$E4F2;
map[  254][1]:=$84AD;map[  254][2]:=$F1ED;
map[  255][1]:=$84AE;map[  255][2]:=$F5C3;
map[  256][1]:=$84AF;map[  256][2]:=$F5C2;
map[  257][1]:=$84B0;map[  257][2]:=$F7D1;
map[  258][1]:=$84B5;map[  258][2]:=$C9C0;
map[  259][1]:=$84B7;map[  259][2]:=$CA70;
map[  260][1]:=$84C1;map[  260][2]:=$A8F1;
map[  261][1]:=$84C2;map[  261][2]:=$CBD5;
map[  262][1]:=$84C4;map[  262][2]:=$CDF2;
map[  263][1]:=$84C6;map[  263][2]:=$CDF3;
map[  264][1]:=$84CD;map[  264][2]:=$D0ED;
map[  265][1]:=$84D1;map[  265][2]:=$D46E;
map[  266][1]:=$84D6;map[  266][2]:=$E143;
map[  267][1]:=$84E5;map[  267][2]:=$E144;
map[  268][1]:=$84E9;map[  268][2]:=$E4F5;
map[  269][1]:=$84ED;map[  269][2]:=$ECBF;
map[  270][1]:=$84F0;map[  270][2]:=$F1EE;
map[  271][1]:=$84F3;map[  271][2]:=$C956;
map[  272][1]:=$84FA;map[  272][2]:=$CA71;
map[  273][1]:=$84FB;map[  273][2]:=$CBD6;
map[  274][1]:=$84FC;map[  274][2]:=$CBD7;
map[  275][1]:=$84FE;map[  275][2]:=$D0EE;
map[  276][1]:=$8540;map[  276][2]:=$D863;
map[  277][1]:=$8541;map[  277][2]:=$D862;
map[  278][1]:=$8546;map[  278][2]:=$C96C;
map[  279][1]:=$8548;map[  279][2]:=$C9C2;
map[  280][1]:=$8549;map[  280][2]:=$C9C1;
map[  281][1]:=$8553;map[  281][2]:=$E145;
map[  282][1]:=$8557;map[  282][2]:=$E8FA;
map[  283][1]:=$855A;map[  283][2]:=$F3FD;
map[  284][1]:=$855C;map[  284][2]:=$CBD8;
map[  285][1]:=$855D;map[  285][2]:=$CDF4;
map[  286][1]:=$8560;map[  286][2]:=$A2CD;
map[  287][1]:=$8563;map[  287][2]:=$C96D;
map[  288][1]:=$8564;map[  288][2]:=$C9C3;
map[  289][1]:=$856E;map[  289][2]:=$C957;
map[  290][1]:=$8570;map[  290][2]:=$CA73;
map[  291][1]:=$8574;map[  291][2]:=$CDF5;
map[  292][1]:=$857C;map[  292][2]:=$C9C4;
map[  293][1]:=$857D;map[  293][2]:=$CA74;
map[  294][1]:=$857E;map[  294][2]:=$CA75;
map[  295][1]:=$8582;map[  295][2]:=$CBD9;
map[  296][1]:=$8584;map[  296][2]:=$CBDA;
map[  297][1]:=$8585;map[  297][2]:=$CDF7;
map[  298][1]:=$8586;map[  298][2]:=$CDF6;
map[  299][1]:=$8589;map[  299][2]:=$D470;
map[  300][1]:=$858A;map[  300][2]:=$D0EF;
map[  301][1]:=$858E;map[  301][2]:=$D865;
map[  302][1]:=$8591;map[  302][2]:=$E146;
map[  303][1]:=$859C;map[  303][2]:=$C958;
map[  304][1]:=$85A5;map[  304][2]:=$F957;
map[  305][1]:=$85A6;map[  305][2]:=$F8CE;
map[  306][1]:=$85B1;map[  306][2]:=$E8FB;
map[  307][1]:=$85BB;map[  307][2]:=$C9C5;
map[  308][1]:=$85BC;map[  308][2]:=$A654;
map[  309][1]:=$85BE;map[  309][2]:=$CA7E;
map[  310][1]:=$85BF;map[  310][2]:=$CA7B;
map[  311][1]:=$85C1;map[  311][2]:=$CA7C;
map[  312][1]:=$85C3;map[  312][2]:=$CAA5;
map[  313][1]:=$85C4;map[  313][2]:=$CA7D;
map[  314][1]:=$85C5;map[  314][2]:=$CA78;
map[  315][1]:=$85C6;map[  315][2]:=$CA76;
map[  316][1]:=$85C8;map[  316][2]:=$A76F;
map[  317][1]:=$85C9;map[  317][2]:=$CA77;
map[  318][1]:=$85CB;map[  318][2]:=$CAA1;
map[  319][1]:=$85CD;map[  319][2]:=$CAA3;
map[  320][1]:=$85D0;map[  320][2]:=$CA7A;
map[  321][1]:=$85D1;map[  321][2]:=$CAA6;
map[  322][1]:=$85D5;map[  322][2]:=$A760;
map[  323][1]:=$85D6;map[  323][2]:=$CAA2;
map[  324][1]:=$85DC;map[  324][2]:=$CBEB;
map[  325][1]:=$85DD;map[  325][2]:=$CBEA;
map[  326][1]:=$85DE;map[  326][2]:=$CBED;
map[  327][1]:=$85DF;map[  327][2]:=$CBE4;
map[  328][1]:=$85E0;map[  328][2]:=$CBEE;
map[  329][1]:=$85E3;map[  329][2]:=$CBE1;
map[  330][1]:=$85E4;map[  330][2]:=$CBE5;
map[  331][1]:=$85E7;map[  331][2]:=$CBE9;
map[  332][1]:=$85E8;map[  332][2]:=$CE49;
map[  333][1]:=$85E9;map[  333][2]:=$CBE6;
map[  334][1]:=$85EB;map[  334][2]:=$CBE2;
map[  335][1]:=$85EC;map[  335][2]:=$CBE3;
map[  336][1]:=$85ED;map[  336][2]:=$CBDC;
map[  337][1]:=$85EE;map[  337][2]:=$CBDD;
map[  338][1]:=$85F1;map[  338][2]:=$CBDB;
map[  339][1]:=$85F2;map[  339][2]:=$CBE0;
map[  340][1]:=$85F5;map[  340][2]:=$CBE8;
map[  341][1]:=$85F6;map[  341][2]:=$CBDE;
map[  342][1]:=$85F9;map[  342][2]:=$CBEC;
map[  343][1]:=$85FD;map[  343][2]:=$CE48;
map[  344][1]:=$85FE;map[  344][2]:=$CDFB;
map[  345][1]:=$8640;map[  345][2]:=$CE4B;
map[  346][1]:=$8641;map[  346][2]:=$CDFD;
map[  347][1]:=$8642;map[  347][2]:=$CE43;
map[  348][1]:=$8643;map[  348][2]:=$CE4F;
map[  349][1]:=$8646;map[  349][2]:=$CE45;
map[  350][1]:=$8647;map[  350][2]:=$CE42;
map[  351][1]:=$8649;map[  351][2]:=$CDFA;
map[  352][1]:=$864B;map[  352][2]:=$CE4C;
map[  353][1]:=$864C;map[  353][2]:=$CE40;
map[  354][1]:=$864D;map[  354][2]:=$CE46;
map[  355][1]:=$8650;map[  355][2]:=$CE44;
map[  356][1]:=$8653;map[  356][2]:=$D144;
map[  357][1]:=$8657;map[  357][2]:=$D0F6;
map[  358][1]:=$8658;map[  358][2]:=$D0FB;
map[  359][1]:=$865C;map[  359][2]:=$D0FE;
map[  360][1]:=$8660;map[  360][2]:=$D142;
map[  361][1]:=$8661;map[  361][2]:=$D143;
map[  362][1]:=$8663;map[  362][2]:=$D141;
map[  363][1]:=$8667;map[  363][2]:=$D146;
map[  364][1]:=$8669;map[  364][2]:=$D0FD;
map[  365][1]:=$866A;map[  365][2]:=$D0FA;
map[  366][1]:=$866B;map[  366][2]:=$D140;
map[  367][1]:=$866C;map[  367][2]:=$D147;
map[  368][1]:=$866D;map[  368][2]:=$D4A1;
map[  369][1]:=$866F;map[  369][2]:=$D145;
map[  370][1]:=$8670;map[  370][2]:=$D0F3;
map[  371][1]:=$8674;map[  371][2]:=$D0F2;
map[  372][1]:=$8679;map[  372][2]:=$DCCF;
map[  373][1]:=$867C;map[  373][2]:=$D479;
map[  374][1]:=$867E;map[  374][2]:=$D0F0;
map[  375][1]:=$8683;map[  375][2]:=$D4A7;
map[  376][1]:=$8684;map[  376][2]:=$D4A2;
map[  377][1]:=$8685;map[  377][2]:=$D476;
map[  378][1]:=$8686;map[  378][2]:=$D47B;
map[  379][1]:=$8687;map[  379][2]:=$D47A;
map[  380][1]:=$8689;map[  380][2]:=$D4A5;
map[  381][1]:=$868B;map[  381][2]:=$D4A8;
map[  382][1]:=$868D;map[  382][2]:=$D4A9;
map[  383][1]:=$868F;map[  383][2]:=$D47E;
map[  384][1]:=$8691;map[  384][2]:=$D4A6;
map[  385][1]:=$8692;map[  385][2]:=$D4AA;
map[  386][1]:=$8694;map[  386][2]:=$D474;
map[  387][1]:=$8695;map[  387][2]:=$D4A4;
map[  388][1]:=$8697;map[  388][2]:=$D478;
map[  389][1]:=$8698;map[  389][2]:=$D47D;
map[  390][1]:=$86AA;map[  390][2]:=$C56F;
map[  391][1]:=$86AE;map[  391][2]:=$E543;
map[  392][1]:=$86B1;map[  392][2]:=$D875;
map[  393][1]:=$86B2;map[  393][2]:=$D878;
map[  394][1]:=$86B5;map[  394][2]:=$D876;
map[  395][1]:=$86B6;map[  395][2]:=$DCD7;
map[  396][1]:=$86B7;map[  396][2]:=$D87B;
map[  397][1]:=$86BA;map[  397][2]:=$D86D;
map[  398][1]:=$86BB;map[  398][2]:=$D879;
map[  399][1]:=$86C2;map[  399][2]:=$D87A;
map[  400][1]:=$86C3;map[  400][2]:=$D86C;
map[  401][1]:=$86C4;map[  401][2]:=$D872;
map[  402][1]:=$86C5;map[  402][2]:=$D874;
map[  403][1]:=$86C6;map[  403][2]:=$D868;
map[  404][1]:=$86C8;map[  404][2]:=$D867;
map[  405][1]:=$86CD;map[  405][2]:=$D869;
map[  406][1]:=$86D7;map[  406][2]:=$DCD5;
map[  407][1]:=$86D8;map[  407][2]:=$DCD1;
map[  408][1]:=$86DA;map[  408][2]:=$DCE0;
map[  409][1]:=$86DB;map[  409][2]:=$DCCA;
map[  410][1]:=$86DE;map[  410][2]:=$DCDC;
map[  411][1]:=$86E0;map[  411][2]:=$DCCE;
map[  412][1]:=$86E2;map[  412][2]:=$DCD8;
map[  413][1]:=$86E3;map[  413][2]:=$DCCD;
map[  414][1]:=$86E4;map[  414][2]:=$DCD9;
map[  415][1]:=$86E7;map[  415][2]:=$DCDF;
map[  416][1]:=$86E9;map[  416][2]:=$DCCB;
map[  417][1]:=$86EC;map[  417][2]:=$DCDA;
map[  418][1]:=$86ED;map[  418][2]:=$A25F;
map[  419][1]:=$86F6;map[  419][2]:=$E155;
map[  420][1]:=$86F7;map[  420][2]:=$E151;
map[  421][1]:=$86F9;map[  421][2]:=$E14B;
map[  422][1]:=$86FA;map[  422][2]:=$E154;
map[  423][1]:=$86FB;map[  423][2]:=$E150;
map[  424][1]:=$86FD;map[  424][2]:=$E153;
map[  425][1]:=$8745;map[  425][2]:=$B9CC;
map[  426][1]:=$8747;map[  426][2]:=$E14A;
map[  427][1]:=$8748;map[  427][2]:=$E14F;
map[  428][1]:=$874A;map[  428][2]:=$E148;
map[  429][1]:=$8750;map[  429][2]:=$E152;
map[  430][1]:=$8758;map[  430][2]:=$E547;
map[  431][1]:=$875D;map[  431][2]:=$E542;
map[  432][1]:=$8761;map[  432][2]:=$E548;
map[  433][1]:=$8764;map[  433][2]:=$E545;
map[  434][1]:=$8765;map[  434][2]:=$E541;
map[  435][1]:=$8767;map[  435][2]:=$E4F7;
map[  436][1]:=$876B;map[  436][2]:=$E4FD;
map[  437][1]:=$876D;map[  437][2]:=$E4F6;
map[  438][1]:=$876E;map[  438][2]:=$E4FC;
map[  439][1]:=$876F;map[  439][2]:=$E4FB;
map[  440][1]:=$8778;map[  440][2]:=$E540;
map[  441][1]:=$877B;map[  441][2]:=$E945;
map[  442][1]:=$8780;map[  442][2]:=$E942;
map[  443][1]:=$8784;map[  443][2]:=$E943;
map[  444][1]:=$8785;map[  444][2]:=$E8FE;
map[  445][1]:=$8787;map[  445][2]:=$E8FC;
map[  446][1]:=$8789;map[  446][2]:=$E940;
map[  447][1]:=$878C;map[  447][2]:=$E946;
map[  448][1]:=$8791;map[  448][2]:=$ECC6;
map[  449][1]:=$8792;map[  449][2]:=$ECC8;
map[  450][1]:=$8794;map[  450][2]:=$ECC9;
map[  451][1]:=$8795;map[  451][2]:=$ECC7;
map[  452][1]:=$8796;map[  452][2]:=$ECC5;
map[  453][1]:=$8797;map[  453][2]:=$ECC4;
map[  454][1]:=$879E;map[  454][2]:=$ECC2;
map[  455][1]:=$87A5;map[  455][2]:=$EFBC;
map[  456][1]:=$87A6;map[  456][2]:=$EFBA;
map[  457][1]:=$87A8;map[  457][2]:=$EFBD;
map[  458][1]:=$87AA;map[  458][2]:=$EFBB;
map[  459][1]:=$87AB;map[  459][2]:=$EFBE;
map[  460][1]:=$87B4;map[  460][2]:=$F1F3;
map[  461][1]:=$87B7;map[  461][2]:=$F1F4;
map[  462][1]:=$87B8;map[  462][2]:=$F1F0;
map[  463][1]:=$87B9;map[  463][2]:=$F1F5;
map[  464][1]:=$87BA;map[  464][2]:=$F1F1;
map[  465][1]:=$87C1;map[  465][2]:=$F440;
map[  466][1]:=$87C7;map[  466][2]:=$F5C5;
map[  467][1]:=$87C8;map[  467][2]:=$F5C6;
map[  468][1]:=$87CD;map[  468][2]:=$F5C4;
map[  469][1]:=$87D0;map[  469][2]:=$F6D7;
map[  470][1]:=$87D4;map[  470][2]:=$F6D9;
map[  471][1]:=$87D6;map[  471][2]:=$F8A6;
map[  472][1]:=$87DC;map[  472][2]:=$F8A5;
map[  473][1]:=$87E3;map[  473][2]:=$CAA9;
map[  474][1]:=$87E5;map[  474][2]:=$CAA8;
map[  475][1]:=$87EA;map[  475][2]:=$CAA7;
map[  476][1]:=$87EF;map[  476][2]:=$CBF0;
map[  477][1]:=$87F4;map[  477][2]:=$D148;
map[  478][1]:=$87F5;map[  478][2]:=$D149;
map[  479][1]:=$87F9;map[  479][2]:=$D87C;
map[  480][1]:=$8842;map[  480][2]:=$DCE1;
map[  481][1]:=$8848;map[  481][2]:=$E549;
map[  482][1]:=$8849;map[  482][2]:=$E948;
map[  483][1]:=$884B;map[  483][2]:=$F96B;
map[  484][1]:=$884C;map[  484][2]:=$C959;
map[  485][1]:=$884E;map[  485][2]:=$C96E;
map[  486][1]:=$8856;map[  486][2]:=$C9CA;
map[  487][1]:=$885E;map[  487][2]:=$CAAA;
map[  488][1]:=$8861;map[  488][2]:=$CAAB;
map[  489][1]:=$8864;map[  489][2]:=$CAAD;
map[  490][1]:=$8865;map[  490][2]:=$CAAE;
map[  491][1]:=$8866;map[  491][2]:=$CAAF;
map[  492][1]:=$886D;map[  492][2]:=$CBFE;
map[  493][1]:=$8874;map[  493][2]:=$CBF6;
map[  494][1]:=$8875;map[  494][2]:=$CBF3;
map[  495][1]:=$8876;map[  495][2]:=$CBFD;
map[  496][1]:=$8877;map[  496][2]:=$CBFA;
map[  497][1]:=$887B;map[  497][2]:=$CC41;
map[  498][1]:=$887E;map[  498][2]:=$CBF9;
map[  499][1]:=$8887;map[  499][2]:=$CE5A;
map[  500][1]:=$888A;map[  500][2]:=$CE58;
map[  501][1]:=$888B;map[  501][2]:=$CE5E;
map[  502][1]:=$888D;map[  502][2]:=$CE55;
map[  503][1]:=$888E;map[  503][2]:=$CE59;
map[  504][1]:=$888F;map[  504][2]:=$CE5B;
map[  505][1]:=$8890;map[  505][2]:=$CE5D;
map[  506][1]:=$8892;map[  506][2]:=$CE56;
map[  507][1]:=$8893;map[  507][2]:=$CE51;
map[  508][1]:=$8894;map[  508][2]:=$CE52;
map[  509][1]:=$8895;map[  509][2]:=$CE5C;
map[  510][1]:=$889E;map[  510][2]:=$D153;
map[  511][1]:=$88A0;map[  511][2]:=$D157;
map[  512][1]:=$88A1;map[  512][2]:=$D14E;
map[  513][1]:=$88A3;map[  513][2]:=$D151;
map[  514][1]:=$88A4;map[  514][2]:=$D150;
map[  515][1]:=$88A6;map[  515][2]:=$D154;
map[  516][1]:=$88A8;map[  516][2]:=$D158;
map[  517][1]:=$88AB;map[  517][2]:=$D14F;
map[  518][1]:=$88AC;map[  518][2]:=$D155;
map[  519][1]:=$88B0;map[  519][2]:=$D14A;
map[  520][1]:=$88B2;map[  520][2]:=$D156;
map[  521][1]:=$88B8;map[  521][2]:=$D4B1;
map[  522][1]:=$88BB;map[  522][2]:=$D4AF;
map[  523][1]:=$88BC;map[  523][2]:=$D4BD;
map[  524][1]:=$88BD;map[  524][2]:=$D4BF;
map[  525][1]:=$88BF;map[  525][2]:=$D4C5;
map[  526][1]:=$88C1;map[  526][2]:=$D4C9;
map[  527][1]:=$88C4;map[  527][2]:=$D4C0;
map[  528][1]:=$88C5;map[  528][2]:=$D4BC;
map[  529][1]:=$88C7;map[  529][2]:=$D4C8;
map[  530][1]:=$88C8;map[  530][2]:=$D4BE;
map[  531][1]:=$88C9;map[  531][2]:=$D4B9;
map[  532][1]:=$88CA;map[  532][2]:=$D8A6;
map[  533][1]:=$88CB;map[  533][2]:=$D4B0;
map[  534][1]:=$88CD;map[  534][2]:=$D4AD;
map[  535][1]:=$88CE;map[  535][2]:=$D4C3;
map[  536][1]:=$88D1;map[  536][2]:=$D4C6;
map[  537][1]:=$88D3;map[  537][2]:=$D4CC;
map[  538][1]:=$88D5;map[  538][2]:=$D4B6;
map[  539][1]:=$88D6;map[  539][2]:=$AE4B;
map[  540][1]:=$88D8;map[  540][2]:=$D4C7;
map[  541][1]:=$88D9;map[  541][2]:=$D4C2;
map[  542][1]:=$88DB;map[  542][2]:=$D4C4;
map[  543][1]:=$88DE;map[  543][2]:=$D4AE;
map[  544][1]:=$88E3;map[  544][2]:=$D8AA;
map[  545][1]:=$88E4;map[  545][2]:=$D8A9;
map[  546][1]:=$88E8;map[  546][2]:=$D8A4;
map[  547][1]:=$88E9;map[  547][2]:=$D8A8;
map[  548][1]:=$88EB;map[  548][2]:=$D8A3;
map[  549][1]:=$88EC;map[  549][2]:=$D8A5;
map[  550][1]:=$88ED;map[  550][2]:=$D87D;
map[  551][1]:=$88EF;map[  551][2]:=$D8B2;
map[  552][1]:=$88F0;map[  552][2]:=$D8B1;
map[  553][1]:=$88F1;map[  553][2]:=$D8AE;
map[  554][1]:=$88F4;map[  554][2]:=$D14B;
map[  555][1]:=$88F5;map[  555][2]:=$D8AB;
map[  556][1]:=$88F7;map[  556][2]:=$D8AD;
map[  557][1]:=$88F8;map[  557][2]:=$D87E;
map[  558][1]:=$88F9;map[  558][2]:=$D8B0;
map[  559][1]:=$88FA;map[  559][2]:=$D8AF;
map[  560][1]:=$88FC;map[  560][2]:=$D8B3;
map[  561][1]:=$88FE;map[  561][2]:=$DCEF;
map[  562][1]:=$8949;map[  562][2]:=$D8A7;
map[  563][1]:=$894A;map[  563][2]:=$DCE7;
map[  564][1]:=$894D;map[  564][2]:=$DCEA;
map[  565][1]:=$8951;map[  565][2]:=$DCE2;
map[  566][1]:=$8952;map[  566][2]:=$DCE9;
map[  567][1]:=$8955;map[  567][2]:=$DCEC;
map[  568][1]:=$8957;map[  568][2]:=$DCEE;
map[  569][1]:=$8959;map[  569][2]:=$DCEB;
map[  570][1]:=$895E;map[  570][2]:=$DCF0;
map[  571][1]:=$8962;map[  571][2]:=$DCE3;
map[  572][1]:=$8965;map[  572][2]:=$B6F3;
map[  573][1]:=$8967;map[  573][2]:=$DCE8;
map[  574][1]:=$8969;map[  574][2]:=$DCF1;
map[  575][1]:=$896C;map[  575][2]:=$E15D;
map[  576][1]:=$896E;map[  576][2]:=$E163;
map[  577][1]:=$8972;map[  577][2]:=$E15F;
map[  578][1]:=$8973;map[  578][2]:=$E166;
map[  579][1]:=$8975;map[  579][2]:=$B9D7;
map[  580][1]:=$8976;map[  580][2]:=$E15C;
map[  581][1]:=$8977;map[  581][2]:=$E164;
map[  582][1]:=$8979;map[  582][2]:=$E15A;
map[  583][1]:=$897A;map[  583][2]:=$E160;
map[  584][1]:=$897B;map[  584][2]:=$E165;
map[  585][1]:=$897D;map[  585][2]:=$E15E;
map[  586][1]:=$8981;map[  586][2]:=$E162;
map[  587][1]:=$8982;map[  587][2]:=$E168;
map[  588][1]:=$8983;map[  588][2]:=$E158;
map[  589][1]:=$8984;map[  589][2]:=$E161;
map[  590][1]:=$8985;map[  590][2]:=$E167;
map[  591][1]:=$8989;map[  591][2]:=$E159;
map[  592][1]:=$898D;map[  592][2]:=$E54D;
map[  593][1]:=$898E;map[  593][2]:=$E552;
map[  594][1]:=$8990;map[  594][2]:=$E54E;
map[  595][1]:=$8992;map[  595][2]:=$E551;
map[  596][1]:=$8993;map[  596][2]:=$BC5C;
map[  597][1]:=$8996;map[  597][2]:=$E54A;
map[  598][1]:=$8997;map[  598][2]:=$E550;
map[  599][1]:=$899A;map[  599][2]:=$E54F;
map[  600][1]:=$899C;map[  600][2]:=$E54C;
map[  601][1]:=$89A5;map[  601][2]:=$E94D;
map[  602][1]:=$89A7;map[  602][2]:=$E94A;
map[  603][1]:=$89A9;map[  603][2]:=$E94C;
map[  604][1]:=$89AB;map[  604][2]:=$E94E;
map[  605][1]:=$89AE;map[  605][2]:=$E950;
map[  606][1]:=$89B0;map[  606][2]:=$E949;
map[  607][1]:=$89B1;map[  607][2]:=$E94B;
map[  608][1]:=$89B7;map[  608][2]:=$ECCC;
map[  609][1]:=$89B9;map[  609][2]:=$ECCD;
map[  610][1]:=$89BB;map[  610][2]:=$ECCB;
map[  611][1]:=$89BC;map[  611][2]:=$ECCA;
map[  612][1]:=$89C1;map[  612][2]:=$F1F8;
map[  613][1]:=$89C3;map[  613][2]:=$F1F7;
map[  614][1]:=$89C9;map[  614][2]:=$F442;
map[  615][1]:=$89CC;map[  615][2]:=$F7D3;
map[  616][1]:=$89CD;map[  616][2]:=$F7D2;
map[  617][1]:=$89D4;map[  617][2]:=$CE5F;
map[  618][1]:=$89D7;map[  618][2]:=$DCF2;
map[  619][1]:=$89DC;map[  619][2]:=$E169;
map[  620][1]:=$89DD;map[  620][2]:=$E553;
map[  621][1]:=$89E0;map[  621][2]:=$C95A;
map[  622][1]:=$89E2;map[  622][2]:=$CAB0;
map[  623][1]:=$89E7;map[  623][2]:=$CC42;
map[  624][1]:=$89E8;map[  624][2]:=$D159;
map[  625][1]:=$89EB;map[  625][2]:=$F1F9;
map[  626][1]:=$89ED;map[  626][2]:=$C970;
map[  627][1]:=$89F8;map[  627][2]:=$C95B;
map[  628][1]:=$8A43;map[  628][2]:=$CAB1;
map[  629][1]:=$8A45;map[  629][2]:=$CC43;
map[  630][1]:=$8A47;map[  630][2]:=$D15A;
map[  631][1]:=$8A4C;map[  631][2]:=$CE61;
map[  632][1]:=$8A4F;map[  632][2]:=$D4CD;
map[  633][1]:=$8A53;map[  633][2]:=$D8B4;
map[  634][1]:=$8A5B;map[  634][2]:=$E16A;
map[  635][1]:=$8A5D;map[  635][2]:=$BC5D;
map[  636][1]:=$8A60;map[  636][2]:=$EFC0;
map[  637][1]:=$8A61;map[  637][2]:=$F6DA;
map[  638][1]:=$8A62;map[  638][2]:=$F7D4;
map[  639][1]:=$8A64;map[  639][2]:=$C9D1;
map[  640][1]:=$8A66;map[  640][2]:=$C9CF;
map[  641][1]:=$8A67;map[  641][2]:=$C9CD;
map[  642][1]:=$8A68;map[  642][2]:=$C9D0;
map[  643][1]:=$8A69;map[  643][2]:=$C9D2;
map[  644][1]:=$8A6A;map[  644][2]:=$C9CC;
map[  645][1]:=$8A6B;map[  645][2]:=$C9CE;
map[  646][1]:=$8A6F;map[  646][2]:=$CAB6;
map[  647][1]:=$8A70;map[  647][2]:=$CAB9;
map[  648][1]:=$8A71;map[  648][2]:=$CAB8;
map[  649][1]:=$8A75;map[  649][2]:=$CAB3;
map[  650][1]:=$8A7B;map[  650][2]:=$CAB4;
map[  651][1]:=$8A7C;map[  651][2]:=$CABB;
map[  652][1]:=$8A7D;map[  652][2]:=$CAB7;
map[  653][1]:=$8A7E;map[  653][2]:=$CAB2;
map[  654][1]:=$8A80;map[  654][2]:=$CABA;
map[  655][1]:=$8A84;map[  655][2]:=$CC4F;
map[  656][1]:=$8A85;map[  656][2]:=$A970;
map[  657][1]:=$8A86;map[  657][2]:=$CC53;
map[  658][1]:=$8A87;map[  658][2]:=$CC44;
map[  659][1]:=$8A88;map[  659][2]:=$CC4B;
map[  660][1]:=$8A8B;map[  660][2]:=$CC45;
map[  661][1]:=$8A8C;map[  661][2]:=$CC4C;
map[  662][1]:=$8A8D;map[  662][2]:=$CC50;
map[  663][1]:=$8A8F;map[  663][2]:=$CC51;
map[  664][1]:=$8A90;map[  664][2]:=$CC4A;
map[  665][1]:=$8A92;map[  665][2]:=$CC4D;
map[  666][1]:=$8A94;map[  666][2]:=$A972;
map[  667][1]:=$8A95;map[  667][2]:=$CC54;
map[  668][1]:=$8A96;map[  668][2]:=$CC52;
map[  669][1]:=$8A98;map[  669][2]:=$CC49;
map[  670][1]:=$8A9A;map[  670][2]:=$CC47;
map[  671][1]:=$8A9B;map[  671][2]:=$CC46;
map[  672][1]:=$8A9D;map[  672][2]:=$CC4E;
map[  673][1]:=$8A9F;map[  673][2]:=$CE6F;
map[  674][1]:=$8AA0;map[  674][2]:=$CE63;
map[  675][1]:=$8AA2;map[  675][2]:=$CE73;
map[  676][1]:=$8AA3;map[  676][2]:=$CE62;
map[  677][1]:=$8AA5;map[  677][2]:=$CE6C;
map[  678][1]:=$8AA8;map[  678][2]:=$CE70;
map[  679][1]:=$8AAB;map[  679][2]:=$CE76;
map[  680][1]:=$8AAC;map[  680][2]:=$CE64;
map[  681][1]:=$8AAF;map[  681][2]:=$CE66;
map[  682][1]:=$8AB0;map[  682][2]:=$CE6D;
map[  683][1]:=$8AB1;map[  683][2]:=$CE71;
map[  684][1]:=$8AB2;map[  684][2]:=$CE75;
map[  685][1]:=$8AB3;map[  685][2]:=$CE72;
map[  686][1]:=$8AB4;map[  686][2]:=$CE6B;
map[  687][1]:=$8AB5;map[  687][2]:=$CE6E;
map[  688][1]:=$8AB7;map[  688][2]:=$CE68;
map[  689][1]:=$8AB8;map[  689][2]:=$CE6A;
map[  690][1]:=$8AB9;map[  690][2]:=$CE69;
map[  691][1]:=$8ABA;map[  691][2]:=$CE74;
map[  692][1]:=$8ABB;map[  692][2]:=$CE65;
map[  693][1]:=$8ABD;map[  693][2]:=$D162;
map[  694][1]:=$8AC1;map[  694][2]:=$D160;
map[  695][1]:=$8AC5;map[  695][2]:=$D15F;
map[  696][1]:=$8AC6;map[  696][2]:=$D15C;
map[  697][1]:=$8AC7;map[  697][2]:=$D161;
map[  698][1]:=$8AC8;map[  698][2]:=$D15B;
map[  699][1]:=$8ACC;map[  699][2]:=$D163;
map[  700][1]:=$8AD6;map[  700][2]:=$D15D;
map[  701][1]:=$8AD7;map[  701][2]:=$D15E;
map[  702][1]:=$8ADA;map[  702][2]:=$D164;
map[  703][1]:=$8ADB;map[  703][2]:=$D4D4;
map[  704][1]:=$8ADC;map[  704][2]:=$D8C2;
map[  705][1]:=$8ADD;map[  705][2]:=$D4D3;
map[  706][1]:=$8ADE;map[  706][2]:=$D4E6;
map[  707][1]:=$8AE2;map[  707][2]:=$D4E4;
map[  708][1]:=$8AE5;map[  708][2]:=$D4ED;
map[  709][1]:=$8AE6;map[  709][2]:=$D4DD;
map[  710][1]:=$8AE7;map[  710][2]:=$D4E0;
map[  711][1]:=$8AE9;map[  711][2]:=$D4EA;
map[  712][1]:=$8AEA;map[  712][2]:=$D4E2;
map[  713][1]:=$8AEC;map[  713][2]:=$D4E7;
map[  714][1]:=$8AED;map[  714][2]:=$D4E5;
map[  715][1]:=$8AF0;map[  715][2]:=$D4D6;
map[  716][1]:=$8AF1;map[  716][2]:=$D4EB;
map[  717][1]:=$8AF2;map[  717][2]:=$D4DF;
map[  718][1]:=$8AF3;map[  718][2]:=$D4DA;
map[  719][1]:=$8AF5;map[  719][2]:=$D4EC;
map[  720][1]:=$8AF6;map[  720][2]:=$D4DC;
map[  721][1]:=$8AF7;map[  721][2]:=$D4CF;
map[  722][1]:=$8AF9;map[  722][2]:=$D4E1;
map[  723][1]:=$8AFA;map[  723][2]:=$D4EE;
map[  724][1]:=$8AFB;map[  724][2]:=$D4DE;
map[  725][1]:=$8AFC;map[  725][2]:=$D4D2;
map[  726][1]:=$8AFD;map[  726][2]:=$D4D7;
map[  727][1]:=$8AFE;map[  727][2]:=$D4CE;
map[  728][1]:=$8B42;map[  728][2]:=$D4DB;
map[  729][1]:=$8B43;map[  729][2]:=$D4D8;
map[  730][1]:=$8B46;map[  730][2]:=$D4E9;
map[  731][1]:=$8B4C;map[  731][2]:=$D4E8;
map[  732][1]:=$8B4F;map[  732][2]:=$E554;
map[  733][1]:=$8B50;map[  733][2]:=$D8BB;
map[  734][1]:=$8B52;map[  734][2]:=$D8C9;
map[  735][1]:=$8B53;map[  735][2]:=$D8BD;
map[  736][1]:=$8B54;map[  736][2]:=$D8CA;
map[  737][1]:=$8B59;map[  737][2]:=$D8C6;
map[  738][1]:=$8B5A;map[  738][2]:=$D8C3;
map[  739][1]:=$8B60;map[  739][2]:=$D8C4;
map[  740][1]:=$8B61;map[  740][2]:=$D8C7;
map[  741][1]:=$8B62;map[  741][2]:=$D8CB;
map[  742][1]:=$8B64;map[  742][2]:=$D4E3;
map[  743][1]:=$8B65;map[  743][2]:=$D8CD;
map[  744][1]:=$8B66;map[  744][2]:=$DD47;
map[  745][1]:=$8B68;map[  745][2]:=$D8CE;
map[  746][1]:=$8B69;map[  746][2]:=$D8B6;
map[  747][1]:=$8B6A;map[  747][2]:=$D8C0;
map[  748][1]:=$8B6C;map[  748][2]:=$D8C5;
map[  749][1]:=$8B6F;map[  749][2]:=$D8CC;
map[  750][1]:=$8B70;map[  750][2]:=$D8CF;
map[  751][1]:=$8B71;map[  751][2]:=$D8BA;
map[  752][1]:=$8B72;map[  752][2]:=$D8B7;
map[  753][1]:=$8B75;map[  753][2]:=$D8B9;
map[  754][1]:=$8B78;map[  754][2]:=$D8BE;
map[  755][1]:=$8B79;map[  755][2]:=$D8BC;
map[  756][1]:=$8B7C;map[  756][2]:=$D8C8;
map[  757][1]:=$8B7E;map[  757][2]:=$D8BF;
map[  758][1]:=$8B83;map[  758][2]:=$DCFA;
map[  759][1]:=$8B84;map[  759][2]:=$DCF8;
map[  760][1]:=$8B85;map[  760][2]:=$DD43;
map[  761][1]:=$8B86;map[  761][2]:=$DD44;
map[  762][1]:=$8B87;map[  762][2]:=$DD40;
map[  763][1]:=$8B88;map[  763][2]:=$DD46;
map[  764][1]:=$8B89;map[  764][2]:=$DCF6;
map[  765][1]:=$8B8A;map[  765][2]:=$DCFD;
map[  766][1]:=$8B8D;map[  766][2]:=$DCFB;
map[  767][1]:=$8B8E;map[  767][2]:=$DD41;
map[  768][1]:=$8B90;map[  768][2]:=$DCF4;
map[  769][1]:=$8B92;map[  769][2]:=$DCFE;
map[  770][1]:=$8B93;map[  770][2]:=$DCF3;
map[  771][1]:=$8B94;map[  771][2]:=$DCFC;
map[  772][1]:=$8B95;map[  772][2]:=$DD42;
map[  773][1]:=$8B97;map[  773][2]:=$DD45;
map[  774][1]:=$8B9D;map[  774][2]:=$E16E;
map[  775][1]:=$8B9F;map[  775][2]:=$E17A;
map[  776][1]:=$8BA0;map[  776][2]:=$E170;
map[  777][1]:=$8BA1;map[  777][2]:=$E176;
map[  778][1]:=$8BA2;map[  778][2]:=$E179;
map[  779][1]:=$8BA3;map[  779][2]:=$E178;
map[  780][1]:=$8BA4;map[  780][2]:=$E17C;
map[  781][1]:=$8BA5;map[  781][2]:=$E174;
map[  782][1]:=$8BA7;map[  782][2]:=$E16D;
map[  783][1]:=$8BA9;map[  783][2]:=$E17B;
map[  784][1]:=$8BAA;map[  784][2]:=$E16F;
map[  785][1]:=$8BAB;map[  785][2]:=$E177;
map[  786][1]:=$8BAC;map[  786][2]:=$E171;
map[  787][1]:=$8BAD;map[  787][2]:=$E16C;
map[  788][1]:=$8BB1;map[  788][2]:=$E173;
map[  789][1]:=$8BB2;map[  789][2]:=$E555;
map[  790][1]:=$8BB4;map[  790][2]:=$E558;
map[  791][1]:=$8BB5;map[  791][2]:=$E557;
map[  792][1]:=$8BB6;map[  792][2]:=$E55A;
map[  793][1]:=$8BB7;map[  793][2]:=$E55C;
map[  794][1]:=$8BBB;map[  794][2]:=$E556;
map[  795][1]:=$8BBF;map[  795][2]:=$E55D;
map[  796][1]:=$8BC0;map[  796][2]:=$E55B;
map[  797][1]:=$8BC1;map[  797][2]:=$E559;
map[  798][1]:=$8BC3;map[  798][2]:=$E55F;
map[  799][1]:=$8BC5;map[  799][2]:=$E55E;
map[  800][1]:=$8BCC;map[  800][2]:=$E560;
map[  801][1]:=$8BCD;map[  801][2]:=$E957;
map[  802][1]:=$8BD0;map[  802][2]:=$E956;
map[  803][1]:=$8BD1;map[  803][2]:=$E955;
map[  804][1]:=$8BD5;map[  804][2]:=$E95A;
map[  805][1]:=$8BD6;map[  805][2]:=$E953;
map[  806][1]:=$8BD9;map[  806][2]:=$E95C;
map[  807][1]:=$8BDB;map[  807][2]:=$E95B;
map[  808][1]:=$8BDE;map[  808][2]:=$ECD1;
map[  809][1]:=$8BE0;map[  809][2]:=$ECCF;
map[  810][1]:=$8BE1;map[  810][2]:=$ECD4;
map[  811][1]:=$8BE2;map[  811][2]:=$ECD3;
map[  812][1]:=$8BE3;map[  812][2]:=$E959;
map[  813][1]:=$8BE7;map[  813][2]:=$ECD2;
map[  814][1]:=$8BE9;map[  814][2]:=$ECD6;
map[  815][1]:=$8BEA;map[  815][2]:=$ECD5;
map[  816][1]:=$8BF4;map[  816][2]:=$EFC1;
map[  817][1]:=$8BF5;map[  817][2]:=$F1FA;
map[  818][1]:=$8BF7;map[  818][2]:=$F1FC;
map[  819][1]:=$8BFC;map[  819][2]:=$F443;
map[  820][1]:=$8BFE;map[  820][2]:=$F5C8;
map[  821][1]:=$8C40;map[  821][2]:=$F5C7;
map[  822][1]:=$8C43;map[  822][2]:=$F6DB;
map[  823][1]:=$8C45;map[  823][2]:=$F7D5;
map[  824][1]:=$8C46;map[  824][2]:=$F8A7;
map[  825][1]:=$8C49;map[  825][2]:=$C9D3;
map[  826][1]:=$8C51;map[  826][2]:=$D4F0;
map[  827][1]:=$8C53;map[  827][2]:=$D4EF;
map[  828][1]:=$8C56;map[  828][2]:=$E17D;
map[  829][1]:=$8C59;map[  829][2]:=$ECD7;
map[  830][1]:=$8C61;map[  830][2]:=$CABC;
map[  831][1]:=$8C64;map[  831][2]:=$CABD;
map[  832][1]:=$8C68;map[  832][2]:=$D166;
map[  833][1]:=$8C69;map[  833][2]:=$CE77;
map[  834][1]:=$8C6B;map[  834][2]:=$D168;
map[  835][1]:=$8C6C;map[  835][2]:=$D167;
map[  836][1]:=$8C75;map[  836][2]:=$D4F2;
map[  837][1]:=$8C76;map[  837][2]:=$D4F1;
map[  838][1]:=$8C7A;map[  838][2]:=$D8D5;
map[  839][1]:=$8C7B;map[  839][2]:=$D8D2;
map[  840][1]:=$8C7C;map[  840][2]:=$D8D1;
map[  841][1]:=$8C7D;map[  841][2]:=$D8D6;
map[  842][1]:=$8C80;map[  842][2]:=$D8D4;
map[  843][1]:=$8C81;map[  843][2]:=$D8D3;
map[  844][1]:=$8C83;map[  844][2]:=$DD48;
map[  845][1]:=$8C85;map[  845][2]:=$DD49;
map[  846][1]:=$8C86;map[  846][2]:=$DD4A;
map[  847][1]:=$8C8A;map[  847][2]:=$E17E;
map[  848][1]:=$8C8C;map[  848][2]:=$E1A1;
map[  849][1]:=$8C90;map[  849][2]:=$D8D0;
map[  850][1]:=$8C94;map[  850][2]:=$E95D;
map[  851][1]:=$8C95;map[  851][2]:=$ECD8;
map[  852][1]:=$8C96;map[  852][2]:=$ECD9;
map[  853][1]:=$8CA0;map[  853][2]:=$D169;
map[  854][1]:=$8CA5;map[  854][2]:=$D8D7;
map[  855][1]:=$8CA8;map[  855][2]:=$C95C;
map[  856][1]:=$8CA9;map[  856][2]:=$C974;
map[  857][1]:=$8CAF;map[  857][2]:=$DD4B;
map[  858][1]:=$8CB4;map[  858][2]:=$CABE;
map[  859][1]:=$8CB6;map[  859][2]:=$CABF;
map[  860][1]:=$8CBB;map[  860][2]:=$D8D8;
map[  861][1]:=$8CBD;map[  861][2]:=$DD4C;
map[  862][1]:=$8CC1;map[  862][2]:=$F8A8;
map[  863][1]:=$8CC2;map[  863][2]:=$CC59;
map[  864][1]:=$8CC4;map[  864][2]:=$CC5A;
map[  865][1]:=$8CC5;map[  865][2]:=$CE78;
map[  866][1]:=$8CC9;map[  866][2]:=$D16B;
map[  867][1]:=$8CCA;map[  867][2]:=$D16A;
map[  868][1]:=$8CCC;map[  868][2]:=$AE5E;
map[  869][1]:=$8CD0;map[  869][2]:=$B151;
map[  870][1]:=$8CD4;map[  870][2]:=$E561;
map[  871][1]:=$8CD6;map[  871][2]:=$EFC2;
map[  872][1]:=$8CD7;map[  872][2]:=$EFC3;
map[  873][1]:=$8CDD;map[  873][2]:=$C977;
map[  874][1]:=$8CDE;map[  874][2]:=$C976;
map[  875][1]:=$8CE3;map[  875][2]:=$C9D8;
map[  876][1]:=$8CE4;map[  876][2]:=$C9D6;
map[  877][1]:=$8CE6;map[  877][2]:=$C9D9;
map[  878][1]:=$8CEB;map[  878][2]:=$CAC7;
map[  879][1]:=$8CED;map[  879][2]:=$CAC4;
map[  880][1]:=$8CEE;map[  880][2]:=$CAC6;
map[  881][1]:=$8CEF;map[  881][2]:=$CAC3;
map[  882][1]:=$8CF1;map[  882][2]:=$CAC1;
map[  883][1]:=$8CF2;map[  883][2]:=$CAC5;
map[  884][1]:=$8CF3;map[  884][2]:=$CAC8;
map[  885][1]:=$8CF4;map[  885][2]:=$CAC9;
map[  886][1]:=$8CF5;map[  886][2]:=$CC68;
map[  887][1]:=$8CF7;map[  887][2]:=$CC62;
map[  888][1]:=$8CF8;map[  888][2]:=$CC5D;
map[  889][1]:=$8CFA;map[  889][2]:=$CC5C;
map[  890][1]:=$8CFB;map[  890][2]:=$CC69;
map[  891][1]:=$8CFC;map[  891][2]:=$CC6C;
map[  892][1]:=$8CFD;map[  892][2]:=$CC67;
map[  893][1]:=$8CFE;map[  893][2]:=$CC60;
map[  894][1]:=$8D40;map[  894][2]:=$CC66;
map[  895][1]:=$8D41;map[  895][2]:=$CC5B;
map[  896][1]:=$8D42;map[  896][2]:=$CC5F;
map[  897][1]:=$8D43;map[  897][2]:=$CC6B;
map[  898][1]:=$8D46;map[  898][2]:=$CC6A;
map[  899][1]:=$8D4E;map[  899][2]:=$E966;
map[  900][1]:=$8D50;map[  900][2]:=$CEAB;
map[  901][1]:=$8D51;map[  901][2]:=$CEA4;
map[  902][1]:=$8D52;map[  902][2]:=$CEAA;
map[  903][1]:=$8D53;map[  903][2]:=$CEA3;
map[  904][1]:=$8D54;map[  904][2]:=$CEA5;
map[  905][1]:=$8D55;map[  905][2]:=$CE7B;
map[  906][1]:=$8D57;map[  906][2]:=$CEAC;
map[  907][1]:=$8D58;map[  907][2]:=$CEA9;
map[  908][1]:=$8D59;map[  908][2]:=$CE79;
map[  909][1]:=$8D5B;map[  909][2]:=$CEA7;
map[  910][1]:=$8D5C;map[  910][2]:=$CEA8;
map[  911][1]:=$8D5E;map[  911][2]:=$CEA6;
map[  912][1]:=$8D5F;map[  912][2]:=$CE7C;
map[  913][1]:=$8D60;map[  913][2]:=$CE7A;
map[  914][1]:=$8D61;map[  914][2]:=$CEA2;
map[  915][1]:=$8D62;map[  915][2]:=$CE7E;
map[  916][1]:=$8D65;map[  916][2]:=$CEA1;
map[  917][1]:=$8D66;map[  917][2]:=$CEAD;
map[  918][1]:=$8D69;map[  918][2]:=$E566;
map[  919][1]:=$8D6D;map[  919][2]:=$D16C;
map[  920][1]:=$8D6E;map[  920][2]:=$D16E;
map[  921][1]:=$8D70;map[  921][2]:=$D16F;
map[  922][1]:=$8D76;map[  922][2]:=$D170;
map[  923][1]:=$8D77;map[  923][2]:=$CEAE;
map[  924][1]:=$8D78;map[  924][2]:=$D172;
map[  925][1]:=$8D7D;map[  925][2]:=$D16D;
map[  926][1]:=$8D7E;map[  926][2]:=$D171;
map[  927][1]:=$8D80;map[  927][2]:=$AE72;
map[  928][1]:=$8D81;map[  928][2]:=$E964;
map[  929][1]:=$8D86;map[  929][2]:=$D4F5;
map[  930][1]:=$8D87;map[  930][2]:=$D4F9;
map[  931][1]:=$8D89;map[  931][2]:=$D4FE;
map[  932][1]:=$8D8C;map[  932][2]:=$D541;
map[  933][1]:=$8D92;map[  933][2]:=$D4F7;
map[  934][1]:=$8D94;map[  934][2]:=$D4F6;
map[  935][1]:=$8D95;map[  935][2]:=$D543;
map[  936][1]:=$8D99;map[  936][2]:=$D542;
map[  937][1]:=$8D9A;map[  937][2]:=$D4FD;
map[  938][1]:=$8D9B;map[  938][2]:=$D4FA;
map[  939][1]:=$8DA0;map[  939][2]:=$D540;
map[  940][1]:=$8DA1;map[  940][2]:=$D8E7;
map[  941][1]:=$8DA2;map[  941][2]:=$D8EE;
map[  942][1]:=$8DA4;map[  942][2]:=$D8DF;
map[  943][1]:=$8DA5;map[  943][2]:=$D8EF;
map[  944][1]:=$8DA6;map[  944][2]:=$D8D9;
map[  945][1]:=$8DA7;map[  945][2]:=$D8EC;
map[  946][1]:=$8DA8;map[  946][2]:=$D8EA;
map[  947][1]:=$8DA9;map[  947][2]:=$D8E4;
map[  948][1]:=$8DAB;map[  948][2]:=$D8ED;
map[  949][1]:=$8DAC;map[  949][2]:=$D8DE;
map[  950][1]:=$8DAD;map[  950][2]:=$D8F0;
map[  951][1]:=$8DAE;map[  951][2]:=$D8DC;
map[  952][1]:=$8DAF;map[  952][2]:=$D8E9;
map[  953][1]:=$8DB0;map[  953][2]:=$D8DA;
map[  954][1]:=$8DB2;map[  954][2]:=$D8F1;
map[  955][1]:=$8DB5;map[  955][2]:=$D8EB;
map[  956][1]:=$8DB7;map[  956][2]:=$D8E1;
map[  957][1]:=$8DBA;map[  957][2]:=$D8E0;
map[  958][1]:=$8DBB;map[  958][2]:=$D8E5;
map[  959][1]:=$8DBE;map[  959][2]:=$D8E2;
map[  960][1]:=$8DC1;map[  960][2]:=$D8E8;
map[  961][1]:=$8DC2;map[  961][2]:=$BC6B;
map[  962][1]:=$8DC4;map[  962][2]:=$DD53;
map[  963][1]:=$8DC8;map[  963][2]:=$DD56;
map[  964][1]:=$8DC9;map[  964][2]:=$DD4E;
map[  965][1]:=$8DCB;map[  965][2]:=$DD50;
map[  966][1]:=$8DCD;map[  966][2]:=$DD55;
map[  967][1]:=$8DCE;map[  967][2]:=$DD54;
map[  968][1]:=$8DD3;map[  968][2]:=$DD4D;
map[  969][1]:=$8DD4;map[  969][2]:=$DD51;
map[  970][1]:=$8DD8;map[  970][2]:=$E1A9;
map[  971][1]:=$8DDA;map[  971][2]:=$E1B0;
map[  972][1]:=$8DDB;map[  972][2]:=$E1A7;
map[  973][1]:=$8DDD;map[  973][2]:=$E1AE;
map[  974][1]:=$8DDE;map[  974][2]:=$E1A5;
map[  975][1]:=$8DDF;map[  975][2]:=$E1AD;
map[  976][1]:=$8DE0;map[  976][2]:=$E1B1;
map[  977][1]:=$8DE1;map[  977][2]:=$E1A4;
map[  978][1]:=$8DE6;map[  978][2]:=$E1A6;
map[  979][1]:=$8DE8;map[  979][2]:=$E1AC;
map[  980][1]:=$8DE9;map[  980][2]:=$E1AB;
map[  981][1]:=$8DEA;map[  981][2]:=$E1AA;
map[  982][1]:=$8DED;map[  982][2]:=$E1AF;
map[  983][1]:=$8DF2;map[  983][2]:=$E565;
map[  984][1]:=$8DF3;map[  984][2]:=$E567;
map[  985][1]:=$8DF5;map[  985][2]:=$E568;
map[  986][1]:=$8DF9;map[  986][2]:=$E56C;
map[  987][1]:=$8DFB;map[  987][2]:=$E56A;
map[  988][1]:=$8DFC;map[  988][2]:=$E56D;
map[  989][1]:=$8DFD;map[  989][2]:=$E564;
map[  990][1]:=$8E40;map[  990][2]:=$E56B;
map[  991][1]:=$8E48;map[  991][2]:=$E960;
map[  992][1]:=$8E49;map[  992][2]:=$E965;
map[  993][1]:=$8E4B;map[  993][2]:=$E95E;
map[  994][1]:=$8E4C;map[  994][2]:=$E968;
map[  995][1]:=$8E4E;map[  995][2]:=$E969;
map[  996][1]:=$8E4F;map[  996][2]:=$E963;
map[  997][1]:=$8E50;map[  997][2]:=$E95F;
map[  998][1]:=$8E51;map[  998][2]:=$E967;
map[  999][1]:=$8E54;map[  999][2]:=$E962;
map[ 1000][1]:=$8E5E;map[ 1000][2]:=$EFC4;
map[ 1001][1]:=$8E60;map[ 1001][2]:=$F172;
map[ 1002][1]:=$8E61;map[ 1002][2]:=$F1FD;
map[ 1003][1]:=$8E63;map[ 1003][2]:=$F444;
map[ 1004][1]:=$8E64;map[ 1004][2]:=$F445;
map[ 1005][1]:=$8E66;map[ 1005][2]:=$C460;
map[ 1006][1]:=$8E6B;map[ 1006][2]:=$F5CA;
map[ 1007][1]:=$8E6D;map[ 1007][2]:=$F6DE;
map[ 1008][1]:=$8E71;map[ 1008][2]:=$F6DD;
map[ 1009][1]:=$8E74;map[ 1009][2]:=$F7D6;
map[ 1010][1]:=$8E78;map[ 1010][2]:=$C9DA;
map[ 1011][1]:=$8E79;map[ 1011][2]:=$CACA;
map[ 1012][1]:=$8E88;map[ 1012][2]:=$C95D;
map[ 1013][1]:=$8E8A;map[ 1013][2]:=$C978;
map[ 1014][1]:=$8E8D;map[ 1014][2]:=$CACB;
map[ 1015][1]:=$8E90;map[ 1015][2]:=$CACC;
map[ 1016][1]:=$8E93;map[ 1016][2]:=$CC6D;
map[ 1017][1]:=$8E95;map[ 1017][2]:=$ABD4;
map[ 1018][1]:=$8E96;map[ 1018][2]:=$CEB3;
map[ 1019][1]:=$8E97;map[ 1019][2]:=$CEB0;
map[ 1020][1]:=$8E98;map[ 1020][2]:=$CEB1;
map[ 1021][1]:=$8E99;map[ 1021][2]:=$CEB2;
map[ 1022][1]:=$8E9A;map[ 1022][2]:=$CEB4;
map[ 1023][1]:=$8E9C;map[ 1023][2]:=$D174;
map[ 1024][1]:=$8E9D;map[ 1024][2]:=$D173;
map[ 1025][1]:=$8EA5;map[ 1025][2]:=$D546;
map[ 1026][1]:=$8EAA;map[ 1026][2]:=$D545;
map[ 1027][1]:=$8EAD;map[ 1027][2]:=$D8F3;
map[ 1028][1]:=$8EB3;map[ 1028][2]:=$DD5A;
map[ 1029][1]:=$8EB4;map[ 1029][2]:=$DD5C;
map[ 1030][1]:=$8EB5;map[ 1030][2]:=$DD5B;
map[ 1031][1]:=$8EB6;map[ 1031][2]:=$DD59;
map[ 1032][1]:=$8EB7;map[ 1032][2]:=$DD58;
map[ 1033][1]:=$8EBB;map[ 1033][2]:=$E1B4;
map[ 1034][1]:=$8EBF;map[ 1034][2]:=$E1B3;
map[ 1035][1]:=$8EC1;map[ 1035][2]:=$E571;
map[ 1036][1]:=$8EC2;map[ 1036][2]:=$E56F;
map[ 1037][1]:=$8EC4;map[ 1037][2]:=$E570;
map[ 1038][1]:=$8EC8;map[ 1038][2]:=$E96D;
map[ 1039][1]:=$8EC9;map[ 1039][2]:=$E96B;
map[ 1040][1]:=$8ECA;map[ 1040][2]:=$E96C;
map[ 1041][1]:=$8ECB;map[ 1041][2]:=$E56E;
map[ 1042][1]:=$8ECC;map[ 1042][2]:=$ECDC;
map[ 1043][1]:=$8ECF;map[ 1043][2]:=$EFC5;
map[ 1044][1]:=$8ED0;map[ 1044][2]:=$EFC6;
map[ 1045][1]:=$8ED1;map[ 1045][2]:=$E96E;
map[ 1046][1]:=$8ED2;map[ 1046][2]:=$F1FE;
map[ 1047][1]:=$8ED4;map[ 1047][2]:=$C9DB;
map[ 1048][1]:=$8ED9;map[ 1048][2]:=$C97A;
map[ 1049][1]:=$8EDC;map[ 1049][2]:=$CAD0;
map[ 1050][1]:=$8EDD;map[ 1050][2]:=$CACE;
map[ 1051][1]:=$8EDE;map[ 1051][2]:=$CACF;
map[ 1052][1]:=$8EDF;map[ 1052][2]:=$CAD1;
map[ 1053][1]:=$8EE3;map[ 1053][2]:=$CEB8;
map[ 1054][1]:=$8EE6;map[ 1054][2]:=$CEB7;
map[ 1055][1]:=$8EE7;map[ 1055][2]:=$CEB9;
map[ 1056][1]:=$8EE8;map[ 1056][2]:=$CEB6;
map[ 1057][1]:=$8EE9;map[ 1057][2]:=$D175;
map[ 1058][1]:=$8EEB;map[ 1058][2]:=$D177;
map[ 1059][1]:=$8EED;map[ 1059][2]:=$D178;
map[ 1060][1]:=$8EEE;map[ 1060][2]:=$D176;
map[ 1061][1]:=$8EF0;map[ 1061][2]:=$CEB5;
map[ 1062][1]:=$8EF1;map[ 1062][2]:=$D547;
map[ 1063][1]:=$8EF2;map[ 1063][2]:=$D54A;
map[ 1064][1]:=$8EF3;map[ 1064][2]:=$D548;
map[ 1065][1]:=$8EF6;map[ 1065][2]:=$E1B8;
map[ 1066][1]:=$8EFE;map[ 1066][2]:=$DD5D;
map[ 1067][1]:=$8F40;map[ 1067][2]:=$DD5F;
map[ 1068][1]:=$8F41;map[ 1068][2]:=$DD61;
map[ 1069][1]:=$8F43;map[ 1069][2]:=$DD60;
map[ 1070][1]:=$8F44;map[ 1070][2]:=$DD5E;
map[ 1071][1]:=$8F49;map[ 1071][2]:=$E1BD;
map[ 1072][1]:=$8F4B;map[ 1072][2]:=$E1B7;
map[ 1073][1]:=$8F4C;map[ 1073][2]:=$E1B5;
map[ 1074][1]:=$8F4D;map[ 1074][2]:=$E1BB;
map[ 1075][1]:=$8F4F;map[ 1075][2]:=$E1B9;
map[ 1076][1]:=$8F51;map[ 1076][2]:=$E574;
map[ 1077][1]:=$8F58;map[ 1077][2]:=$E973;
map[ 1078][1]:=$8F59;map[ 1078][2]:=$E971;
map[ 1079][1]:=$8F5A;map[ 1079][2]:=$E970;
map[ 1080][1]:=$8F5F;map[ 1080][2]:=$F446;
map[ 1081][1]:=$8F60;map[ 1081][2]:=$F447;
map[ 1082][1]:=$8F62;map[ 1082][2]:=$F5CB;
map[ 1083][1]:=$8F63;map[ 1083][2]:=$F6DF;
map[ 1084][1]:=$8F6B;map[ 1084][2]:=$CAD2;
map[ 1085][1]:=$8F6D;map[ 1085][2]:=$CEBB;
map[ 1086][1]:=$8F73;map[ 1086][2]:=$B749;
map[ 1087][1]:=$8F77;map[ 1087][2]:=$C9DE;
map[ 1088][1]:=$8F79;map[ 1088][2]:=$CAD3;
map[ 1089][1]:=$8F7C;map[ 1089][2]:=$CC71;
map[ 1090][1]:=$8F7D;map[ 1090][2]:=$CC72;
map[ 1091][1]:=$8F7E;map[ 1091][2]:=$CC73;
map[ 1092][1]:=$8F80;map[ 1092][2]:=$CC70;
map[ 1093][1]:=$8F83;map[ 1093][2]:=$CEBC;
map[ 1094][1]:=$8F84;map[ 1094][2]:=$D17A;
map[ 1095][1]:=$8F89;map[ 1095][2]:=$D54C;
map[ 1096][1]:=$8F8B;map[ 1096][2]:=$D54D;
map[ 1097][1]:=$8F92;map[ 1097][2]:=$E1BF;
map[ 1098][1]:=$8F93;map[ 1098][2]:=$E1BE;
map[ 1099][1]:=$8F98;map[ 1099][2]:=$E576;
map[ 1100][1]:=$8F9A;map[ 1100][2]:=$E974;
map[ 1101][1]:=$8F9E;map[ 1101][2]:=$F7D8;
map[ 1102][1]:=$8FA0;map[ 1102][2]:=$CC74;
map[ 1103][1]:=$8FAA;map[ 1103][2]:=$D17B;
map[ 1104][1]:=$8FAE;map[ 1104][2]:=$E1C0;
map[ 1105][1]:=$8FB0;map[ 1105][2]:=$C9DF;
map[ 1106][1]:=$8FB2;map[ 1106][2]:=$CAD5;
map[ 1107][1]:=$8FB3;map[ 1107][2]:=$CAD4;
map[ 1108][1]:=$8FB5;map[ 1108][2]:=$CC77;
map[ 1109][1]:=$8FB6;map[ 1109][2]:=$CC76;
map[ 1110][1]:=$8FB9;map[ 1110][2]:=$CEBE;
map[ 1111][1]:=$8FC0;map[ 1111][2]:=$D54F;
map[ 1112][1]:=$8FC2;map[ 1112][2]:=$D54E;
map[ 1113][1]:=$8FC5;map[ 1113][2]:=$D550;
map[ 1114][1]:=$8FCA;map[ 1114][2]:=$D8F6;
map[ 1115][1]:=$8FCB;map[ 1115][2]:=$D8F5;
map[ 1116][1]:=$8FCE;map[ 1116][2]:=$D8F7;
map[ 1117][1]:=$8FD0;map[ 1117][2]:=$DD63;
map[ 1118][1]:=$8FD3;map[ 1118][2]:=$E577;
map[ 1119][1]:=$8FD6;map[ 1119][2]:=$E1C1;
map[ 1120][1]:=$8FDA;map[ 1120][2]:=$ECDE;
map[ 1121][1]:=$8FDB;map[ 1121][2]:=$ECDD;
map[ 1122][1]:=$8FDC;map[ 1122][2]:=$F240;
map[ 1123][1]:=$8FDD;map[ 1123][2]:=$F448;
map[ 1124][1]:=$8FDE;map[ 1124][2]:=$F449;
map[ 1125][1]:=$8FE6;map[ 1125][2]:=$C9E1;
map[ 1126][1]:=$8FE7;map[ 1126][2]:=$C9E0;
map[ 1127][1]:=$8FEB;map[ 1127][2]:=$CC78;
map[ 1128][1]:=$8FEE;map[ 1128][2]:=$CADF;
map[ 1129][1]:=$8FEF;map[ 1129][2]:=$CC79;
map[ 1130][1]:=$8FF1;map[ 1130][2]:=$CADA;
map[ 1131][1]:=$8FF4;map[ 1131][2]:=$CAE1;
map[ 1132][1]:=$8FF7;map[ 1132][2]:=$CADC;
map[ 1133][1]:=$8FF8;map[ 1133][2]:=$CAE5;
map[ 1134][1]:=$8FFA;map[ 1134][2]:=$CAE2;
map[ 1135][1]:=$8FFC;map[ 1135][2]:=$CAE0;
map[ 1136][1]:=$9041;map[ 1136][2]:=$CCAF;
map[ 1137][1]:=$9042;map[ 1137][2]:=$CC7E;
map[ 1138][1]:=$9043;map[ 1138][2]:=$CCAE;
map[ 1139][1]:=$9044;map[ 1139][2]:=$CCAA;
map[ 1140][1]:=$9045;map[ 1140][2]:=$CCAD;
map[ 1141][1]:=$9046;map[ 1141][2]:=$CCAC;
map[ 1142][1]:=$9047;map[ 1142][2]:=$CCA3;
map[ 1143][1]:=$9049;map[ 1143][2]:=$CCA5;
map[ 1144][1]:=$904A;map[ 1144][2]:=$CCA6;
map[ 1145][1]:=$904C;map[ 1145][2]:=$CCA8;
map[ 1146][1]:=$904E;map[ 1146][2]:=$CECD;
map[ 1147][1]:=$904F;map[ 1147][2]:=$CCA7;
map[ 1148][1]:=$9050;map[ 1148][2]:=$CC7A;
map[ 1149][1]:=$9051;map[ 1149][2]:=$CCAB;
map[ 1150][1]:=$9054;map[ 1150][2]:=$CC7D;
map[ 1151][1]:=$9055;map[ 1151][2]:=$CCA4;
map[ 1152][1]:=$9056;map[ 1152][2]:=$CCA1;
map[ 1153][1]:=$9058;map[ 1153][2]:=$CEBF;
map[ 1154][1]:=$905A;map[ 1154][2]:=$CEC0;
map[ 1155][1]:=$905E;map[ 1155][2]:=$CECA;
map[ 1156][1]:=$905F;map[ 1156][2]:=$CECE;
map[ 1157][1]:=$9060;map[ 1157][2]:=$CEC4;
map[ 1158][1]:=$9062;map[ 1158][2]:=$CEC6;
map[ 1159][1]:=$9064;map[ 1159][2]:=$CEC7;
map[ 1160][1]:=$9066;map[ 1160][2]:=$CEC9;
map[ 1161][1]:=$906A;map[ 1161][2]:=$CEC5;
map[ 1162][1]:=$906B;map[ 1162][2]:=$CEC1;
map[ 1163][1]:=$906E;map[ 1163][2]:=$CECF;
map[ 1164][1]:=$906F;map[ 1164][2]:=$CEC8;
map[ 1165][1]:=$9071;map[ 1165][2]:=$CEC3;
map[ 1166][1]:=$9072;map[ 1166][2]:=$CECC;
map[ 1167][1]:=$9076;map[ 1167][2]:=$CED0;
map[ 1168][1]:=$9077;map[ 1168][2]:=$CED1;
map[ 1169][1]:=$9079;map[ 1169][2]:=$CEC2;
map[ 1170][1]:=$907E;map[ 1170][2]:=$D1A4;
map[ 1171][1]:=$9080;map[ 1171][2]:=$D1A6;
map[ 1172][1]:=$9083;map[ 1172][2]:=$D553;
map[ 1173][1]:=$9084;map[ 1173][2]:=$D1AC;
map[ 1174][1]:=$9085;map[ 1174][2]:=$D1A3;
map[ 1175][1]:=$9086;map[ 1175][2]:=$D551;
map[ 1176][1]:=$9088;map[ 1176][2]:=$D1AE;
map[ 1177][1]:=$908A;map[ 1177][2]:=$D552;
map[ 1178][1]:=$908D;map[ 1178][2]:=$D1A9;
map[ 1179][1]:=$908E;map[ 1179][2]:=$D1AB;
map[ 1180][1]:=$9091;map[ 1180][2]:=$D1AD;
map[ 1181][1]:=$9094;map[ 1181][2]:=$D1A2;
map[ 1182][1]:=$909B;map[ 1182][2]:=$D555;
map[ 1183][1]:=$909F;map[ 1183][2]:=$D560;
map[ 1184][1]:=$90A0;map[ 1184][2]:=$D8F9;
map[ 1185][1]:=$90A1;map[ 1185][2]:=$D556;
map[ 1186][1]:=$90A3;map[ 1186][2]:=$D554;
map[ 1187][1]:=$90A4;map[ 1187][2]:=$D562;
map[ 1188][1]:=$90A5;map[ 1188][2]:=$D565;
map[ 1189][1]:=$90A6;map[ 1189][2]:=$D949;
map[ 1190][1]:=$90A8;map[ 1190][2]:=$D563;
map[ 1191][1]:=$90A9;map[ 1191][2]:=$D8FD;
map[ 1192][1]:=$90AA;map[ 1192][2]:=$B1AC;
map[ 1193][1]:=$90AB;map[ 1193][2]:=$D55D;
map[ 1194][1]:=$90AC;map[ 1194][2]:=$D8F8;
map[ 1195][1]:=$90AD;map[ 1195][2]:=$D8FA;
map[ 1196][1]:=$90AE;map[ 1196][2]:=$D564;
map[ 1197][1]:=$90AF;map[ 1197][2]:=$D8FC;
map[ 1198][1]:=$90B0;map[ 1198][2]:=$D559;
map[ 1199][1]:=$90B3;map[ 1199][2]:=$D557;
map[ 1200][1]:=$90B4;map[ 1200][2]:=$D558;
map[ 1201][1]:=$90B7;map[ 1201][2]:=$D55B;
map[ 1202][1]:=$90B8;map[ 1202][2]:=$D55F;
map[ 1203][1]:=$90BB;map[ 1203][2]:=$D8FB;
map[ 1204][1]:=$90BD;map[ 1204][2]:=$D55A;
map[ 1205][1]:=$90C2;map[ 1205][2]:=$D944;
map[ 1206][1]:=$90C3;map[ 1206][2]:=$DD65;
map[ 1207][1]:=$90C4;map[ 1207][2]:=$D946;
map[ 1208][1]:=$90C6;map[ 1208][2]:=$D947;
map[ 1209][1]:=$90C8;map[ 1209][2]:=$D948;
map[ 1210][1]:=$90C9;map[ 1210][2]:=$D94E;
map[ 1211][1]:=$90CB;map[ 1211][2]:=$D94A;
map[ 1212][1]:=$90CC;map[ 1212][2]:=$D94F;
map[ 1213][1]:=$90CD;map[ 1213][2]:=$D943;
map[ 1214][1]:=$90CF;map[ 1214][2]:=$D941;
map[ 1215][1]:=$90D0;map[ 1215][2]:=$D950;
map[ 1216][1]:=$90D2;map[ 1216][2]:=$D94D;
map[ 1217][1]:=$90D4;map[ 1217][2]:=$B474;
map[ 1218][1]:=$90D5;map[ 1218][2]:=$D945;
map[ 1219][1]:=$90D6;map[ 1219][2]:=$D8FE;
map[ 1220][1]:=$90D7;map[ 1220][2]:=$D942;
map[ 1221][1]:=$90D9;map[ 1221][2]:=$D94B;
map[ 1222][1]:=$90DD;map[ 1222][2]:=$D94C;
map[ 1223][1]:=$90E3;map[ 1223][2]:=$DD70;
map[ 1224][1]:=$90E5;map[ 1224][2]:=$E1C2;
map[ 1225][1]:=$90E7;map[ 1225][2]:=$DD6C;
map[ 1226][1]:=$90E8;map[ 1226][2]:=$DD6E;
map[ 1227][1]:=$90EB;map[ 1227][2]:=$DD6B;
map[ 1228][1]:=$90EF;map[ 1228][2]:=$DD6A;
map[ 1229][1]:=$90F4;map[ 1229][2]:=$E1D2;
map[ 1230][1]:=$90F8;map[ 1230][2]:=$DD71;
map[ 1231][1]:=$90F9;map[ 1231][2]:=$E1C4;
map[ 1232][1]:=$90FD;map[ 1232][2]:=$DD69;
map[ 1233][1]:=$90FE;map[ 1233][2]:=$DD6D;
map[ 1234][1]:=$9141;map[ 1234][2]:=$DD66;
map[ 1235][1]:=$9144;map[ 1235][2]:=$DD6F;
map[ 1236][1]:=$9146;map[ 1236][2]:=$E1C8;
map[ 1237][1]:=$9147;map[ 1237][2]:=$E1C9;
map[ 1238][1]:=$9148;map[ 1238][2]:=$E1CE;
map[ 1239][1]:=$9149;map[ 1239][2]:=$E1D5;
map[ 1240][1]:=$914E;map[ 1240][2]:=$E1D0;
map[ 1241][1]:=$9150;map[ 1241][2]:=$E1C5;
map[ 1242][1]:=$9153;map[ 1242][2]:=$E1D4;
map[ 1243][1]:=$9156;map[ 1243][2]:=$E1D1;
map[ 1244][1]:=$9157;map[ 1244][2]:=$E5AA;
map[ 1245][1]:=$915B;map[ 1245][2]:=$E1CB;
map[ 1246][1]:=$915C;map[ 1246][2]:=$E978;
map[ 1247][1]:=$915F;map[ 1247][2]:=$E1C6;
map[ 1248][1]:=$9160;map[ 1248][2]:=$E1CA;
map[ 1249][1]:=$9165;map[ 1249][2]:=$E57A;
map[ 1250][1]:=$9166;map[ 1250][2]:=$E1CF;
map[ 1251][1]:=$916C;map[ 1251][2]:=$E1CC;
map[ 1252][1]:=$916F;map[ 1252][2]:=$E579;
map[ 1253][1]:=$9175;map[ 1253][2]:=$E57E;
map[ 1254][1]:=$9177;map[ 1254][2]:=$E9A3;
map[ 1255][1]:=$9178;map[ 1255][2]:=$E5A9;
map[ 1256][1]:=$917D;map[ 1256][2]:=$E5A2;
map[ 1257][1]:=$9185;map[ 1257][2]:=$E5A1;
map[ 1258][1]:=$9188;map[ 1258][2]:=$E5A5;
map[ 1259][1]:=$918A;map[ 1259][2]:=$E5A8;
map[ 1260][1]:=$918B;map[ 1260][2]:=$E57D;
map[ 1261][1]:=$9190;map[ 1261][2]:=$E5A7;
map[ 1262][1]:=$9192;map[ 1262][2]:=$E5A4;
map[ 1263][1]:=$9194;map[ 1263][2]:=$E5A3;
map[ 1264][1]:=$9195;map[ 1264][2]:=$E57C;
map[ 1265][1]:=$9196;map[ 1265][2]:=$E57B;
map[ 1266][1]:=$9198;map[ 1266][2]:=$E5AB;
map[ 1267][1]:=$9199;map[ 1267][2]:=$E97A;
map[ 1268][1]:=$919A;map[ 1268][2]:=$ECE0;
map[ 1269][1]:=$919C;map[ 1269][2]:=$E9A2;
map[ 1270][1]:=$919E;map[ 1270][2]:=$E97E;
map[ 1271][1]:=$91A0;map[ 1271][2]:=$ECE1;
map[ 1272][1]:=$91A2;map[ 1272][2]:=$E9A1;
map[ 1273][1]:=$91A4;map[ 1273][2]:=$E97C;
map[ 1274][1]:=$91A5;map[ 1274][2]:=$ECDF;
map[ 1275][1]:=$91A7;map[ 1275][2]:=$E979;
map[ 1276][1]:=$91A8;map[ 1276][2]:=$E97B;
map[ 1277][1]:=$91B2;map[ 1277][2]:=$EFCF;
map[ 1278][1]:=$91B4;map[ 1278][2]:=$EFC7;
map[ 1279][1]:=$91BC;map[ 1279][2]:=$ECE3;
map[ 1280][1]:=$91C0;map[ 1280][2]:=$ECE5;
map[ 1281][1]:=$91C1;map[ 1281][2]:=$ECE4;
map[ 1282][1]:=$91C2;map[ 1282][2]:=$ECE2;
map[ 1283][1]:=$91C4;map[ 1283][2]:=$EFD0;
map[ 1284][1]:=$91C5;map[ 1284][2]:=$EFCC;
map[ 1285][1]:=$91C6;map[ 1285][2]:=$EFCE;
map[ 1286][1]:=$91C8;map[ 1286][2]:=$EFC9;
map[ 1287][1]:=$91C9;map[ 1287][2]:=$EFCA;
map[ 1288][1]:=$91CB;map[ 1288][2]:=$EFCD;
map[ 1289][1]:=$91CC;map[ 1289][2]:=$EFCB;
map[ 1290][1]:=$91D3;map[ 1290][2]:=$F44A;
map[ 1291][1]:=$91D5;map[ 1291][2]:=$F241;
map[ 1292][1]:=$91DA;map[ 1292][2]:=$F7D9;
map[ 1293][1]:=$91DC;map[ 1293][2]:=$F7DA;
map[ 1294][1]:=$91DD;map[ 1294][2]:=$F7DB;
map[ 1295][1]:=$91E0;map[ 1295][2]:=$C97C;
map[ 1296][1]:=$91E3;map[ 1296][2]:=$D1AF;
map[ 1297][1]:=$91E7;map[ 1297][2]:=$DD72;
map[ 1298][1]:=$91E8;map[ 1298][2]:=$DD74;
map[ 1299][1]:=$91ED;map[ 1299][2]:=$E1D8;
map[ 1300][1]:=$91EE;map[ 1300][2]:=$E5AC;
map[ 1301][1]:=$91F7;map[ 1301][2]:=$CAE6;
map[ 1302][1]:=$91FA;map[ 1302][2]:=$CED2;
map[ 1303][1]:=$91FD;map[ 1303][2]:=$D1B0;
map[ 1304][1]:=$91FE;map[ 1304][2]:=$D951;
map[ 1305][1]:=$9241;map[ 1305][2]:=$C97D;
map[ 1306][1]:=$9245;map[ 1306][2]:=$C9E9;
map[ 1307][1]:=$9246;map[ 1307][2]:=$C9EB;
map[ 1308][1]:=$9247;map[ 1308][2]:=$C9E3;
map[ 1309][1]:=$9249;map[ 1309][2]:=$C9E4;
map[ 1310][1]:=$924B;map[ 1310][2]:=$C9EA;
map[ 1311][1]:=$924D;map[ 1311][2]:=$C9E8;
map[ 1312][1]:=$924E;map[ 1312][2]:=$C9E5;
map[ 1313][1]:=$924F;map[ 1313][2]:=$C9EC;
map[ 1314][1]:=$9251;map[ 1314][2]:=$CAED;
map[ 1315][1]:=$9252;map[ 1315][2]:=$CAF5;
map[ 1316][1]:=$9253;map[ 1316][2]:=$CAF6;
map[ 1317][1]:=$9255;map[ 1317][2]:=$CAF3;
map[ 1318][1]:=$9257;map[ 1318][2]:=$CAEF;
map[ 1319][1]:=$9258;map[ 1319][2]:=$CAEE;
map[ 1320][1]:=$9259;map[ 1320][2]:=$CAF4;
map[ 1321][1]:=$925A;map[ 1321][2]:=$CAF1;
map[ 1322][1]:=$925C;map[ 1322][2]:=$CAE7;
map[ 1323][1]:=$925E;map[ 1323][2]:=$A7EE;
map[ 1324][1]:=$925F;map[ 1324][2]:=$CAEC;
map[ 1325][1]:=$9260;map[ 1325][2]:=$CAF2;
map[ 1326][1]:=$9262;map[ 1326][2]:=$CAE8;
map[ 1327][1]:=$9264;map[ 1327][2]:=$CAE9;
map[ 1328][1]:=$9265;map[ 1328][2]:=$CAEA;
map[ 1329][1]:=$9267;map[ 1329][2]:=$CAEB;
map[ 1330][1]:=$926F;map[ 1330][2]:=$CCBE;
map[ 1331][1]:=$9270;map[ 1331][2]:=$CCB7;
map[ 1332][1]:=$9271;map[ 1332][2]:=$CCB3;
map[ 1333][1]:=$9272;map[ 1333][2]:=$CCBA;
map[ 1334][1]:=$9273;map[ 1334][2]:=$CCBC;
map[ 1335][1]:=$9274;map[ 1335][2]:=$CCBF;
map[ 1336][1]:=$9276;map[ 1336][2]:=$CCBB;
map[ 1337][1]:=$9277;map[ 1337][2]:=$CCB4;
map[ 1338][1]:=$9278;map[ 1338][2]:=$CCB8;
map[ 1339][1]:=$927A;map[ 1339][2]:=$CCC0;
map[ 1340][1]:=$927C;map[ 1340][2]:=$CCB6;
map[ 1341][1]:=$9281;map[ 1341][2]:=$A9DF;
map[ 1342][1]:=$9282;map[ 1342][2]:=$CED4;
map[ 1343][1]:=$9283;map[ 1343][2]:=$CCB5;
map[ 1344][1]:=$928B;map[ 1344][2]:=$CEDA;
map[ 1345][1]:=$928C;map[ 1345][2]:=$CEE6;
map[ 1346][1]:=$928D;map[ 1346][2]:=$D1B1;
map[ 1347][1]:=$928E;map[ 1347][2]:=$CED7;
map[ 1348][1]:=$928F;map[ 1348][2]:=$CEDE;
map[ 1349][1]:=$9290;map[ 1349][2]:=$CEDB;
map[ 1350][1]:=$9291;map[ 1350][2]:=$CEE3;
map[ 1351][1]:=$9292;map[ 1351][2]:=$CEE5;
map[ 1352][1]:=$9293;map[ 1352][2]:=$CEE0;
map[ 1353][1]:=$9294;map[ 1353][2]:=$CED9;
map[ 1354][1]:=$9299;map[ 1354][2]:=$CED6;
map[ 1355][1]:=$929A;map[ 1355][2]:=$CEDD;
map[ 1356][1]:=$929B;map[ 1356][2]:=$CED5;
map[ 1357][1]:=$929C;map[ 1357][2]:=$CEDC;
map[ 1358][1]:=$929D;map[ 1358][2]:=$D1B2;
map[ 1359][1]:=$929F;map[ 1359][2]:=$CEE1;
map[ 1360][1]:=$92A0;map[ 1360][2]:=$CEE2;
map[ 1361][1]:=$92A1;map[ 1361][2]:=$CEE4;
map[ 1362][1]:=$92A5;map[ 1362][2]:=$D56F;
map[ 1363][1]:=$92A6;map[ 1363][2]:=$E5B4;
map[ 1364][1]:=$92A8;map[ 1364][2]:=$D1BE;
map[ 1365][1]:=$92A9;map[ 1365][2]:=$D1B4;
map[ 1366][1]:=$92AA;map[ 1366][2]:=$D1C4;
map[ 1367][1]:=$92AE;map[ 1367][2]:=$D1C6;
map[ 1368][1]:=$92AF;map[ 1368][2]:=$D1C0;
map[ 1369][1]:=$92B1;map[ 1369][2]:=$D1B7;
map[ 1370][1]:=$92B3;map[ 1370][2]:=$D1C9;
map[ 1371][1]:=$92B4;map[ 1371][2]:=$D57D;
map[ 1372][1]:=$92B5;map[ 1372][2]:=$D1BD;
map[ 1373][1]:=$92B8;map[ 1373][2]:=$D1CB;
map[ 1374][1]:=$92B9;map[ 1374][2]:=$D1BF;
map[ 1375][1]:=$92BA;map[ 1375][2]:=$D1B5;
map[ 1376][1]:=$92BB;map[ 1376][2]:=$D1C5;
map[ 1377][1]:=$92BC;map[ 1377][2]:=$D1CC;
map[ 1378][1]:=$92BD;map[ 1378][2]:=$D1BC;
map[ 1379][1]:=$92BE;map[ 1379][2]:=$D1C8;
map[ 1380][1]:=$92C1;map[ 1380][2]:=$D1C2;
map[ 1381][1]:=$92C2;map[ 1381][2]:=$D1B3;
map[ 1382][1]:=$92C3;map[ 1382][2]:=$D1CA;
map[ 1383][1]:=$92C4;map[ 1383][2]:=$D1C1;
map[ 1384][1]:=$92C5;map[ 1384][2]:=$D1C3;
map[ 1385][1]:=$92C6;map[ 1385][2]:=$D1C7;
map[ 1386][1]:=$92CC;map[ 1386][2]:=$D567;
map[ 1387][1]:=$92D2;map[ 1387][2]:=$D572;
map[ 1388][1]:=$92D3;map[ 1388][2]:=$D5A6;
map[ 1389][1]:=$92D7;map[ 1389][2]:=$D577;
map[ 1390][1]:=$92D8;map[ 1390][2]:=$D5A1;
map[ 1391][1]:=$92DA;map[ 1391][2]:=$D57B;
map[ 1392][1]:=$92DB;map[ 1392][2]:=$D56A;
map[ 1393][1]:=$92DE;map[ 1393][2]:=$D5A3;
map[ 1394][1]:=$92E1;map[ 1394][2]:=$D5A2;
map[ 1395][1]:=$92E4;map[ 1395][2]:=$D5A5;
map[ 1396][1]:=$92E5;map[ 1396][2]:=$D5A4;
map[ 1397][1]:=$92E7;map[ 1397][2]:=$D952;
map[ 1398][1]:=$92ED;map[ 1398][2]:=$D578;
map[ 1399][1]:=$92EE;map[ 1399][2]:=$D56E;
map[ 1400][1]:=$92EF;map[ 1400][2]:=$D56C;
map[ 1401][1]:=$92F0;map[ 1401][2]:=$D57E;
map[ 1402][1]:=$92F2;map[ 1402][2]:=$D57C;
map[ 1403][1]:=$92F4;map[ 1403][2]:=$D570;
map[ 1404][1]:=$92F5;map[ 1404][2]:=$D576;
map[ 1405][1]:=$92F6;map[ 1405][2]:=$D953;
map[ 1406][1]:=$92FC;map[ 1406][2]:=$D56B;
map[ 1407][1]:=$9341;map[ 1407][2]:=$D96A;
map[ 1408][1]:=$9342;map[ 1408][2]:=$D959;
map[ 1409][1]:=$9343;map[ 1409][2]:=$DD77;
map[ 1410][1]:=$9344;map[ 1410][2]:=$D96B;
map[ 1411][1]:=$9345;map[ 1411][2]:=$D96E;
map[ 1412][1]:=$9346;map[ 1412][2]:=$D95C;
map[ 1413][1]:=$9347;map[ 1413][2]:=$D96D;
map[ 1414][1]:=$9348;map[ 1414][2]:=$D96C;
map[ 1415][1]:=$934A;map[ 1415][2]:=$D969;
map[ 1416][1]:=$934C;map[ 1416][2]:=$D95F;
map[ 1417][1]:=$934D;map[ 1417][2]:=$D970;
map[ 1418][1]:=$934E;map[ 1418][2]:=$D968;
map[ 1419][1]:=$934F;map[ 1419][2]:=$D971;
map[ 1420][1]:=$9352;map[ 1420][2]:=$D966;
map[ 1421][1]:=$9353;map[ 1421][2]:=$D965;
map[ 1422][1]:=$9354;map[ 1422][2]:=$D963;
map[ 1423][1]:=$9356;map[ 1423][2]:=$D1B9;
map[ 1424][1]:=$9357;map[ 1424][2]:=$D956;
map[ 1425][1]:=$9359;map[ 1425][2]:=$DDB7;
map[ 1426][1]:=$935A;map[ 1426][2]:=$D957;
map[ 1427][1]:=$935B;map[ 1427][2]:=$DD79;
map[ 1428][1]:=$935E;map[ 1428][2]:=$D958;
map[ 1429][1]:=$935F;map[ 1429][2]:=$D96F;
map[ 1430][1]:=$9360;map[ 1430][2]:=$DD78;
map[ 1431][1]:=$9361;map[ 1431][2]:=$D95B;
map[ 1432][1]:=$9362;map[ 1432][2]:=$D961;
map[ 1433][1]:=$936E;map[ 1433][2]:=$DD7C;
map[ 1434][1]:=$936F;map[ 1434][2]:=$DDB1;
map[ 1435][1]:=$9371;map[ 1435][2]:=$DDBB;
map[ 1436][1]:=$9373;map[ 1436][2]:=$DD7B;
map[ 1437][1]:=$9374;map[ 1437][2]:=$DDA4;
map[ 1438][1]:=$9377;map[ 1438][2]:=$DDA5;
map[ 1439][1]:=$9379;map[ 1439][2]:=$DDB2;
map[ 1440][1]:=$937B;map[ 1440][2]:=$DDA3;
map[ 1441][1]:=$937C;map[ 1441][2]:=$DDA8;
map[ 1442][1]:=$937D;map[ 1442][2]:=$DDA9;
map[ 1443][1]:=$937E;map[ 1443][2]:=$DD7E;
map[ 1444][1]:=$9380;map[ 1444][2]:=$DDB4;
map[ 1445][1]:=$9381;map[ 1445][2]:=$DDB5;
map[ 1446][1]:=$9382;map[ 1446][2]:=$DDAD;
map[ 1447][1]:=$9384;map[ 1447][2]:=$E1D9;
map[ 1448][1]:=$9385;map[ 1448][2]:=$DDB9;
map[ 1449][1]:=$9386;map[ 1449][2]:=$DDB0;
map[ 1450][1]:=$9387;map[ 1450][2]:=$DDAC;
map[ 1451][1]:=$938A;map[ 1451][2]:=$DDA1;
map[ 1452][1]:=$938B;map[ 1452][2]:=$DDAF;
map[ 1453][1]:=$938D;map[ 1453][2]:=$DDA7;
map[ 1454][1]:=$938F;map[ 1454][2]:=$DDA6;
map[ 1455][1]:=$9393;map[ 1455][2]:=$DDB3;
map[ 1456][1]:=$9395;map[ 1456][2]:=$DDA2;
map[ 1457][1]:=$9397;map[ 1457][2]:=$E1E9;
map[ 1458][1]:=$9399;map[ 1458][2]:=$E1DA;
map[ 1459][1]:=$939A;map[ 1459][2]:=$E1E5;
map[ 1460][1]:=$939C;map[ 1460][2]:=$E1EC;
map[ 1461][1]:=$939E;map[ 1461][2]:=$E1EA;
map[ 1462][1]:=$93A2;map[ 1462][2]:=$E1F1;
map[ 1463][1]:=$93A4;map[ 1463][2]:=$E1DB;
map[ 1464][1]:=$93A6;map[ 1464][2]:=$E1DC;
map[ 1465][1]:=$93A8;map[ 1465][2]:=$E1EB;
map[ 1466][1]:=$93A9;map[ 1466][2]:=$D962;
map[ 1467][1]:=$93AD;map[ 1467][2]:=$E1F2;
map[ 1468][1]:=$93AE;map[ 1468][2]:=$E1E3;
map[ 1469][1]:=$93AF;map[ 1469][2]:=$E5BA;
map[ 1470][1]:=$93B1;map[ 1470][2]:=$E1F0;
map[ 1471][1]:=$93B2;map[ 1471][2]:=$E1EF;
map[ 1472][1]:=$93B3;map[ 1472][2]:=$E5AD;
map[ 1473][1]:=$93B5;map[ 1473][2]:=$E5AE;
map[ 1474][1]:=$93B7;map[ 1474][2]:=$E1DF;
map[ 1475][1]:=$93B9;map[ 1475][2]:=$E1DD;
map[ 1476][1]:=$93BA;map[ 1476][2]:=$E1E2;
map[ 1477][1]:=$93BC;map[ 1477][2]:=$E1F3;
map[ 1478][1]:=$93BF;map[ 1478][2]:=$E1E1;
map[ 1479][1]:=$93C1;map[ 1479][2]:=$E1ED;
map[ 1480][1]:=$93C7;map[ 1480][2]:=$E9AA;
map[ 1481][1]:=$93C8;map[ 1481][2]:=$E5B6;
map[ 1482][1]:=$93C9;map[ 1482][2]:=$E5B5;
map[ 1483][1]:=$93CA;map[ 1483][2]:=$E5B7;
map[ 1484][1]:=$93D1;map[ 1484][2]:=$E5B2;
map[ 1485][1]:=$93D2;map[ 1485][2]:=$E5BC;
map[ 1486][1]:=$93D5;map[ 1486][2]:=$E5B3;
map[ 1487][1]:=$93D6;map[ 1487][2]:=$D95A;
map[ 1488][1]:=$93D8;map[ 1488][2]:=$E5B0;
map[ 1489][1]:=$93DA;map[ 1489][2]:=$BCC2;
map[ 1490][1]:=$93DD;map[ 1490][2]:=$E1E4;
map[ 1491][1]:=$93E3;map[ 1491][2]:=$E5BB;
map[ 1492][1]:=$93EA;map[ 1492][2]:=$E9A9;
map[ 1493][1]:=$93EE;map[ 1493][2]:=$E9AB;
map[ 1494][1]:=$93F3;map[ 1494][2]:=$E9A8;
map[ 1495][1]:=$93F7;map[ 1495][2]:=$E9A7;
map[ 1496][1]:=$93FC;map[ 1496][2]:=$E9A5;
map[ 1497][1]:=$93FD;map[ 1497][2]:=$E9AE;
map[ 1498][1]:=$9440;map[ 1498][2]:=$E9AC;
map[ 1499][1]:=$9449;map[ 1499][2]:=$ECED;
map[ 1500][1]:=$944A;map[ 1500][2]:=$ECE9;
map[ 1501][1]:=$944C;map[ 1501][2]:=$ECEB;
map[ 1502][1]:=$944E;map[ 1502][2]:=$C0C3;
map[ 1503][1]:=$9454;map[ 1503][2]:=$E9AD;
map[ 1504][1]:=$9459;map[ 1504][2]:=$EFD4;
map[ 1505][1]:=$945E;map[ 1505][2]:=$EFD3;
map[ 1506][1]:=$9460;map[ 1506][2]:=$EFD1;
map[ 1507][1]:=$9461;map[ 1507][2]:=$EFD5;
map[ 1508][1]:=$9463;map[ 1508][2]:=$EFD6;
map[ 1509][1]:=$9467;map[ 1509][2]:=$F242;
map[ 1510][1]:=$946B;map[ 1510][2]:=$F246;
map[ 1511][1]:=$946C;map[ 1511][2]:=$F244;
map[ 1512][1]:=$946D;map[ 1512][2]:=$F247;
map[ 1513][1]:=$946F;map[ 1513][2]:=$F243;
map[ 1514][1]:=$9471;map[ 1514][2]:=$F44E;
map[ 1515][1]:=$9473;map[ 1515][2]:=$F44D;
map[ 1516][1]:=$9475;map[ 1516][2]:=$F44B;
map[ 1517][1]:=$947D;map[ 1517][2]:=$F6E1;
map[ 1518][1]:=$947E;map[ 1518][2]:=$F6E0;
map[ 1519][1]:=$9483;map[ 1519][2]:=$F6E2;
map[ 1520][1]:=$9489;map[ 1520][2]:=$F8A9;
map[ 1521][1]:=$948C;map[ 1521][2]:=$D972;
map[ 1522][1]:=$948D;map[ 1522][2]:=$E9AF;
map[ 1523][1]:=$9491;map[ 1523][2]:=$CCC1;
map[ 1524][1]:=$9493;map[ 1524][2]:=$CEE7;
map[ 1525][1]:=$9495;map[ 1525][2]:=$CEE8;
map[ 1526][1]:=$9497;map[ 1526][2]:=$D1CE;
map[ 1527][1]:=$9499;map[ 1527][2]:=$D1CD;
map[ 1528][1]:=$949F;map[ 1528][2]:=$D5A7;
map[ 1529][1]:=$94A0;map[ 1529][2]:=$B1D6;
map[ 1530][1]:=$94A4;map[ 1530][2]:=$D976;
map[ 1531][1]:=$94A8;map[ 1531][2]:=$D975;
map[ 1532][1]:=$94A9;map[ 1532][2]:=$D978;
map[ 1533][1]:=$94AA;map[ 1533][2]:=$D973;
map[ 1534][1]:=$94AB;map[ 1534][2]:=$D977;
map[ 1535][1]:=$94AD;map[ 1535][2]:=$D974;
map[ 1536][1]:=$94B0;map[ 1536][2]:=$DDBC;
map[ 1537][1]:=$94B2;map[ 1537][2]:=$E1F4;
map[ 1538][1]:=$94B4;map[ 1538][2]:=$E5BD;
map[ 1539][1]:=$94B6;map[ 1539][2]:=$E5BF;
map[ 1540][1]:=$94B8;map[ 1540][2]:=$E5C0;
map[ 1541][1]:=$94B9;map[ 1541][2]:=$E9B1;
map[ 1542][1]:=$94BC;map[ 1542][2]:=$E9B0;
map[ 1543][1]:=$94BD;map[ 1543][2]:=$ECEF;
map[ 1544][1]:=$94BE;map[ 1544][2]:=$ECEE;
map[ 1545][1]:=$94C1;map[ 1545][2]:=$F248;
map[ 1546][1]:=$94CA;map[ 1546][2]:=$DDBD;
map[ 1547][1]:=$94CB;map[ 1547][2]:=$EFD8;
map[ 1548][1]:=$94CD;map[ 1548][2]:=$F7DE;
map[ 1549][1]:=$94D0;map[ 1549][2]:=$D97A;
map[ 1550][1]:=$94D1;map[ 1550][2]:=$D97B;
map[ 1551][1]:=$94D2;map[ 1551][2]:=$E1F5;
map[ 1552][1]:=$94D3;map[ 1552][2]:=$E9B2;
map[ 1553][1]:=$94D6;map[ 1553][2]:=$CCC2;
map[ 1554][1]:=$94D7;map[ 1554][2]:=$CEE9;
map[ 1555][1]:=$94D9;map[ 1555][2]:=$D97C;
map[ 1556][1]:=$94DB;map[ 1556][2]:=$E5C1;
map[ 1557][1]:=$94DC;map[ 1557][2]:=$E5C2;
map[ 1558][1]:=$94DF;map[ 1558][2]:=$ECF0;
map[ 1559][1]:=$94E1;map[ 1559][2]:=$F8F0;
map[ 1560][1]:=$94E3;map[ 1560][2]:=$CCC3;
map[ 1561][1]:=$94E5;map[ 1561][2]:=$CEEA;
map[ 1562][1]:=$94EC;map[ 1562][2]:=$D5A8;
map[ 1563][1]:=$94ED;map[ 1563][2]:=$D97D;
map[ 1564][1]:=$94EF;map[ 1564][2]:=$DDBE;
map[ 1565][1]:=$94F4;map[ 1565][2]:=$ECF1;
map[ 1566][1]:=$94F5;map[ 1566][2]:=$EFD9;
map[ 1567][1]:=$94F7;map[ 1567][2]:=$F24A;
map[ 1568][1]:=$94F8;map[ 1568][2]:=$F249;
map[ 1569][1]:=$94F9;map[ 1569][2]:=$F44F;
map[ 1570][1]:=$94FA;map[ 1570][2]:=$C95E;
map[ 1571][1]:=$9540;map[ 1571][2]:=$CAFB;
map[ 1572][1]:=$9541;map[ 1572][2]:=$CAFA;
map[ 1573][1]:=$9542;map[ 1573][2]:=$CAF9;
map[ 1574][1]:=$9543;map[ 1574][2]:=$CAFC;
map[ 1575][1]:=$9544;map[ 1575][2]:=$B77A;
map[ 1576][1]:=$9546;map[ 1576][2]:=$CCC9;
map[ 1577][1]:=$9547;map[ 1577][2]:=$CCC5;
map[ 1578][1]:=$9548;map[ 1578][2]:=$CCCE;
map[ 1579][1]:=$954C;map[ 1579][2]:=$CCC6;
map[ 1580][1]:=$954D;map[ 1580][2]:=$CCCD;
map[ 1581][1]:=$954F;map[ 1581][2]:=$CCC8;
map[ 1582][1]:=$9550;map[ 1582][2]:=$CCC4;
map[ 1583][1]:=$9551;map[ 1583][2]:=$CCCB;
map[ 1584][1]:=$9552;map[ 1584][2]:=$CCCC;
map[ 1585][1]:=$9553;map[ 1585][2]:=$CCD0;
map[ 1586][1]:=$9554;map[ 1586][2]:=$CCCF;
map[ 1587][1]:=$9555;map[ 1587][2]:=$CCC7;
map[ 1588][1]:=$955B;map[ 1588][2]:=$CEEF;
map[ 1589][1]:=$955D;map[ 1589][2]:=$CEEC;
map[ 1590][1]:=$955E;map[ 1590][2]:=$CEF1;
map[ 1591][1]:=$9560;map[ 1591][2]:=$AC53;
map[ 1592][1]:=$9561;map[ 1592][2]:=$CEF0;
map[ 1593][1]:=$9564;map[ 1593][2]:=$CEF3;
map[ 1594][1]:=$9566;map[ 1594][2]:=$CEF8;
map[ 1595][1]:=$9568;map[ 1595][2]:=$CEED;
map[ 1596][1]:=$9569;map[ 1596][2]:=$CEF2;
map[ 1597][1]:=$956C;map[ 1597][2]:=$CEF7;
map[ 1598][1]:=$956D;map[ 1598][2]:=$CEF4;
map[ 1599][1]:=$956F;map[ 1599][2]:=$F450;
map[ 1600][1]:=$9574;map[ 1600][2]:=$AECF;
map[ 1601][1]:=$9576;map[ 1601][2]:=$D1D5;
map[ 1602][1]:=$9579;map[ 1602][2]:=$D1D3;
map[ 1603][1]:=$957D;map[ 1603][2]:=$D1D6;
map[ 1604][1]:=$9580;map[ 1604][2]:=$D5AC;
map[ 1605][1]:=$9581;map[ 1605][2]:=$D5AB;
map[ 1606][1]:=$9582;map[ 1606][2]:=$D5AD;
map[ 1607][1]:=$9584;map[ 1607][2]:=$B1E3;
map[ 1608][1]:=$9586;map[ 1608][2]:=$D5AE;
map[ 1609][1]:=$9588;map[ 1609][2]:=$D5A9;
map[ 1610][1]:=$958B;map[ 1610][2]:=$D9A7;
map[ 1611][1]:=$958D;map[ 1611][2]:=$D9A2;
map[ 1612][1]:=$958F;map[ 1612][2]:=$D9A5;
map[ 1613][1]:=$9590;map[ 1613][2]:=$D9A8;
map[ 1614][1]:=$9593;map[ 1614][2]:=$DDC7;
map[ 1615][1]:=$9594;map[ 1615][2]:=$D9A6;
map[ 1616][1]:=$9595;map[ 1616][2]:=$D9A3;
map[ 1617][1]:=$9596;map[ 1617][2]:=$D9A1;
map[ 1618][1]:=$9599;map[ 1618][2]:=$D9A4;
map[ 1619][1]:=$959D;map[ 1619][2]:=$DDBF;
map[ 1620][1]:=$95A0;map[ 1620][2]:=$DDC4;
map[ 1621][1]:=$95A1;map[ 1621][2]:=$DDC3;
map[ 1622][1]:=$95A2;map[ 1622][2]:=$B77B;
map[ 1623][1]:=$95A5;map[ 1623][2]:=$DDC2;
map[ 1624][1]:=$95A8;map[ 1624][2]:=$DDC6;
map[ 1625][1]:=$95A9;map[ 1625][2]:=$DDC1;
map[ 1626][1]:=$95AB;map[ 1626][2]:=$DDC5;
map[ 1627][1]:=$95B0;map[ 1627][2]:=$E1F8;
map[ 1628][1]:=$95B1;map[ 1628][2]:=$E1F7;
map[ 1629][1]:=$95B2;map[ 1629][2]:=$E1F6;
map[ 1630][1]:=$95B8;map[ 1630][2]:=$E5C5;
map[ 1631][1]:=$95B9;map[ 1631][2]:=$E5C8;
map[ 1632][1]:=$95BD;map[ 1632][2]:=$E5C9;
map[ 1633][1]:=$95BE;map[ 1633][2]:=$E5C4;
map[ 1634][1]:=$95C0;map[ 1634][2]:=$E5C6;
map[ 1635][1]:=$95C2;map[ 1635][2]:=$E5C3;
map[ 1636][1]:=$95C4;map[ 1636][2]:=$E5C7;
map[ 1637][1]:=$95C5;map[ 1637][2]:=$BEE9;
map[ 1638][1]:=$95C6;map[ 1638][2]:=$E9BB;
map[ 1639][1]:=$95C7;map[ 1639][2]:=$E9BA;
map[ 1640][1]:=$95C9;map[ 1640][2]:=$E9B9;
map[ 1641][1]:=$95CB;map[ 1641][2]:=$E9B5;
map[ 1642][1]:=$95D3;map[ 1642][2]:=$E9B3;
map[ 1643][1]:=$95D5;map[ 1643][2]:=$E9B6;
map[ 1644][1]:=$95D6;map[ 1644][2]:=$E9B7;
map[ 1645][1]:=$95D7;map[ 1645][2]:=$E9BC;
map[ 1646][1]:=$95DD;map[ 1646][2]:=$ECF2;
map[ 1647][1]:=$95E3;map[ 1647][2]:=$EFDC;
map[ 1648][1]:=$95E4;map[ 1648][2]:=$EFDA;
map[ 1649][1]:=$95E5;map[ 1649][2]:=$F24B;
map[ 1650][1]:=$95EA;map[ 1650][2]:=$F451;
map[ 1651][1]:=$95EB;map[ 1651][2]:=$F452;
map[ 1652][1]:=$95F0;map[ 1652][2]:=$F7DF;
map[ 1653][1]:=$95F2;map[ 1653][2]:=$F8AA;
map[ 1654][1]:=$95F3;map[ 1654][2]:=$F8AB;
map[ 1655][1]:=$95F7;map[ 1655][2]:=$CCD1;
map[ 1656][1]:=$95FC;map[ 1656][2]:=$D9A9;
map[ 1657][1]:=$9640;map[ 1657][2]:=$E1FA;
map[ 1658][1]:=$9641;map[ 1658][2]:=$E1F9;
map[ 1659][1]:=$9646;map[ 1659][2]:=$CEF9;
map[ 1660][1]:=$9648;map[ 1660][2]:=$D1D7;
map[ 1661][1]:=$9649;map[ 1661][2]:=$D1D8;
map[ 1662][1]:=$964B;map[ 1662][2]:=$D5AF;
map[ 1663][1]:=$9650;map[ 1663][2]:=$DDC8;
map[ 1664][1]:=$9651;map[ 1664][2]:=$DF7A;
map[ 1665][1]:=$9652;map[ 1665][2]:=$E1FB;
map[ 1666][1]:=$9653;map[ 1666][2]:=$E9BD;
map[ 1667][1]:=$9658;map[ 1667][2]:=$A5BA;
map[ 1668][1]:=$965B;map[ 1668][2]:=$C9F6;
map[ 1669][1]:=$965E;map[ 1669][2]:=$C9F1;
map[ 1670][1]:=$965F;map[ 1670][2]:=$C9F0;
map[ 1671][1]:=$9660;map[ 1671][2]:=$C9F2;
map[ 1672][1]:=$9661;map[ 1672][2]:=$C9F5;
map[ 1673][1]:=$9662;map[ 1673][2]:=$C9EF;
map[ 1674][1]:=$9663;map[ 1674][2]:=$C9F4;
map[ 1675][1]:=$9666;map[ 1675][2]:=$CAFD;
map[ 1676][1]:=$9667;map[ 1676][2]:=$CAFE;
map[ 1677][1]:=$9669;map[ 1677][2]:=$CB47;
map[ 1678][1]:=$966A;map[ 1678][2]:=$CB45;
map[ 1679][1]:=$966D;map[ 1679][2]:=$CB41;
map[ 1680][1]:=$966E;map[ 1680][2]:=$A841;
map[ 1681][1]:=$9670;map[ 1681][2]:=$CB40;
map[ 1682][1]:=$9671;map[ 1682][2]:=$CB46;
map[ 1683][1]:=$9673;map[ 1683][2]:=$CB44;
map[ 1684][1]:=$967A;map[ 1684][2]:=$CCD4;
map[ 1685][1]:=$967D;map[ 1685][2]:=$CCDC;
map[ 1686][1]:=$967E;map[ 1686][2]:=$CCD7;
map[ 1687][1]:=$9680;map[ 1687][2]:=$CCE6;
map[ 1688][1]:=$9681;map[ 1688][2]:=$CCE7;
map[ 1689][1]:=$9682;map[ 1689][2]:=$CCDF;
map[ 1690][1]:=$9683;map[ 1690][2]:=$CCD8;
map[ 1691][1]:=$9684;map[ 1691][2]:=$CCE4;
map[ 1692][1]:=$9687;map[ 1692][2]:=$CCE3;
map[ 1693][1]:=$9688;map[ 1693][2]:=$CCD3;
map[ 1694][1]:=$9689;map[ 1694][2]:=$CCDA;
map[ 1695][1]:=$968C;map[ 1695][2]:=$CCDE;
map[ 1696][1]:=$968D;map[ 1696][2]:=$CCDD;
map[ 1697][1]:=$968E;map[ 1697][2]:=$CCD5;
map[ 1698][1]:=$9690;map[ 1698][2]:=$CCE1;
map[ 1699][1]:=$9691;map[ 1699][2]:=$CCD6;
map[ 1700][1]:=$9692;map[ 1700][2]:=$AA55;
map[ 1701][1]:=$9693;map[ 1701][2]:=$CCE8;
map[ 1702][1]:=$9695;map[ 1702][2]:=$CCE2;
map[ 1703][1]:=$9697;map[ 1703][2]:=$CCE0;
map[ 1704][1]:=$969E;map[ 1704][2]:=$CF5B;
map[ 1705][1]:=$96A0;map[ 1705][2]:=$CF56;
map[ 1706][1]:=$96A2;map[ 1706][2]:=$CF52;
map[ 1707][1]:=$96A3;map[ 1707][2]:=$CEFE;
map[ 1708][1]:=$96A4;map[ 1708][2]:=$CF41;
map[ 1709][1]:=$96A9;map[ 1709][2]:=$CF44;
map[ 1710][1]:=$96AA;map[ 1710][2]:=$CF51;
map[ 1711][1]:=$96AB;map[ 1711][2]:=$CF46;
map[ 1712][1]:=$96AC;map[ 1712][2]:=$CF58;
map[ 1713][1]:=$96AE;map[ 1713][2]:=$CEFD;
map[ 1714][1]:=$96AF;map[ 1714][2]:=$CF5F;
map[ 1715][1]:=$96B0;map[ 1715][2]:=$CF60;
map[ 1716][1]:=$96B1;map[ 1716][2]:=$CF63;
map[ 1717][1]:=$96B2;map[ 1717][2]:=$CF5A;
map[ 1718][1]:=$96B3;map[ 1718][2]:=$CF4B;
map[ 1719][1]:=$96B4;map[ 1719][2]:=$CF53;
map[ 1720][1]:=$96B8;map[ 1720][2]:=$CF5D;
map[ 1721][1]:=$96B9;map[ 1721][2]:=$CF49;
map[ 1722][1]:=$96BB;map[ 1722][2]:=$CF50;
map[ 1723][1]:=$96BC;map[ 1723][2]:=$CF48;
map[ 1724][1]:=$96BD;map[ 1724][2]:=$CF5C;
map[ 1725][1]:=$96BE;map[ 1725][2]:=$CF54;
map[ 1726][1]:=$96C0;map[ 1726][2]:=$CF62;
map[ 1727][1]:=$96C1;map[ 1727][2]:=$CF47;
map[ 1728][1]:=$96C2;map[ 1728][2]:=$CF59;
map[ 1729][1]:=$96C3;map[ 1729][2]:=$CF4F;
map[ 1730][1]:=$96C4;map[ 1730][2]:=$CEFC;
map[ 1731][1]:=$96C6;map[ 1731][2]:=$CF4E;
map[ 1732][1]:=$96C7;map[ 1732][2]:=$CF4D;
map[ 1733][1]:=$96C8;map[ 1733][2]:=$CF42;
map[ 1734][1]:=$96CC;map[ 1734][2]:=$CF57;
map[ 1735][1]:=$96D5;map[ 1735][2]:=$D1EC;
map[ 1736][1]:=$96D6;map[ 1736][2]:=$D1ED;
map[ 1737][1]:=$96D8;map[ 1737][2]:=$AEEB;
map[ 1738][1]:=$96DA;map[ 1738][2]:=$D1DA;
map[ 1739][1]:=$96DC;map[ 1739][2]:=$D1E3;
map[ 1740][1]:=$96DE;map[ 1740][2]:=$D1D9;
map[ 1741][1]:=$96DF;map[ 1741][2]:=$D1F4;
map[ 1742][1]:=$96E3;map[ 1742][2]:=$D1F3;
map[ 1743][1]:=$96E4;map[ 1743][2]:=$D1EE;
map[ 1744][1]:=$96E6;map[ 1744][2]:=$D1EF;
map[ 1745][1]:=$96E7;map[ 1745][2]:=$D1E5;
map[ 1746][1]:=$96E9;map[ 1746][2]:=$D1E6;
map[ 1747][1]:=$96EA;map[ 1747][2]:=$D1F0;
map[ 1748][1]:=$96EB;map[ 1748][2]:=$D1E7;
map[ 1749][1]:=$96ED;map[ 1749][2]:=$D1E2;
map[ 1750][1]:=$96EE;map[ 1750][2]:=$D1EA;
map[ 1751][1]:=$96EF;map[ 1751][2]:=$D1E4;
map[ 1752][1]:=$96F1;map[ 1752][2]:=$D1F2;
map[ 1753][1]:=$96F2;map[ 1753][2]:=$D1DE;
map[ 1754][1]:=$96F5;map[ 1754][2]:=$D1DF;
map[ 1755][1]:=$96F6;map[ 1755][2]:=$D1F1;
map[ 1756][1]:=$96F7;map[ 1756][2]:=$D1E0;
map[ 1757][1]:=$9746;map[ 1757][2]:=$D5B4;
map[ 1758][1]:=$9747;map[ 1758][2]:=$D5B5;
map[ 1759][1]:=$9748;map[ 1759][2]:=$D5B9;
map[ 1760][1]:=$974A;map[ 1760][2]:=$D5C8;
map[ 1761][1]:=$974B;map[ 1761][2]:=$D5C5;
map[ 1762][1]:=$974D;map[ 1762][2]:=$D5BD;
map[ 1763][1]:=$974E;map[ 1763][2]:=$D5D0;
map[ 1764][1]:=$974F;map[ 1764][2]:=$D5B0;
map[ 1765][1]:=$9751;map[ 1765][2]:=$D5D1;
map[ 1766][1]:=$9752;map[ 1766][2]:=$D5C3;
map[ 1767][1]:=$9753;map[ 1767][2]:=$D5D5;
map[ 1768][1]:=$9754;map[ 1768][2]:=$D5C9;
map[ 1769][1]:=$9756;map[ 1769][2]:=$D5C7;
map[ 1770][1]:=$9757;map[ 1770][2]:=$B1FC;
map[ 1771][1]:=$9759;map[ 1771][2]:=$D5B1;
map[ 1772][1]:=$975B;map[ 1772][2]:=$D5CE;
map[ 1773][1]:=$975C;map[ 1773][2]:=$D5D4;
map[ 1774][1]:=$975D;map[ 1774][2]:=$D5CC;
map[ 1775][1]:=$975E;map[ 1775][2]:=$D5D3;
map[ 1776][1]:=$9761;map[ 1776][2]:=$D5B2;
map[ 1777][1]:=$9762;map[ 1777][2]:=$D5D2;
map[ 1778][1]:=$9763;map[ 1778][2]:=$D5C2;
map[ 1779][1]:=$9766;map[ 1779][2]:=$D5CB;
map[ 1780][1]:=$976A;map[ 1780][2]:=$D5CA;
map[ 1781][1]:=$976B;map[ 1781][2]:=$D5B3;
map[ 1782][1]:=$976F;map[ 1782][2]:=$D5CD;
map[ 1783][1]:=$9770;map[ 1783][2]:=$B1FB;
map[ 1784][1]:=$9771;map[ 1784][2]:=$D5BA;
map[ 1785][1]:=$9772;map[ 1785][2]:=$D5CF;
map[ 1786][1]:=$9774;map[ 1786][2]:=$D5BC;
map[ 1787][1]:=$9775;map[ 1787][2]:=$D5C6;
map[ 1788][1]:=$9776;map[ 1788][2]:=$D5B7;
map[ 1789][1]:=$9777;map[ 1789][2]:=$D5BB;
map[ 1790][1]:=$9778;map[ 1790][2]:=$D5B6;
map[ 1791][1]:=$977A;map[ 1791][2]:=$D5BF;
map[ 1792][1]:=$977B;map[ 1792][2]:=$D9C0;
map[ 1793][1]:=$9783;map[ 1793][2]:=$C268;
map[ 1794][1]:=$9785;map[ 1794][2]:=$D9B7;
map[ 1795][1]:=$978B;map[ 1795][2]:=$D9C3;
map[ 1796][1]:=$978C;map[ 1796][2]:=$D9D9;
map[ 1797][1]:=$978D;map[ 1797][2]:=$D9CE;
map[ 1798][1]:=$978F;map[ 1798][2]:=$D9BD;
map[ 1799][1]:=$9790;map[ 1799][2]:=$D9CD;
map[ 1800][1]:=$9792;map[ 1800][2]:=$D9C6;
map[ 1801][1]:=$9793;map[ 1801][2]:=$D9D3;
map[ 1802][1]:=$9794;map[ 1802][2]:=$D9AB;
map[ 1803][1]:=$9795;map[ 1803][2]:=$D9D5;
map[ 1804][1]:=$979A;map[ 1804][2]:=$D9AD;
map[ 1805][1]:=$979B;map[ 1805][2]:=$D9CF;
map[ 1806][1]:=$979C;map[ 1806][2]:=$D9D0;
map[ 1807][1]:=$979E;map[ 1807][2]:=$D9BB;
map[ 1808][1]:=$97A0;map[ 1808][2]:=$D9B6;
map[ 1809][1]:=$97A2;map[ 1809][2]:=$D9D1;
map[ 1810][1]:=$97A4;map[ 1810][2]:=$D9C9;
map[ 1811][1]:=$97A5;map[ 1811][2]:=$D9D6;
map[ 1812][1]:=$97A6;map[ 1812][2]:=$D9B0;
map[ 1813][1]:=$97A7;map[ 1813][2]:=$D9B5;
map[ 1814][1]:=$97AA;map[ 1814][2]:=$D9C2;
map[ 1815][1]:=$97AC;map[ 1815][2]:=$D9BA;
map[ 1816][1]:=$97AD;map[ 1816][2]:=$D9D2;
map[ 1817][1]:=$97AF;map[ 1817][2]:=$D9B4;
map[ 1818][1]:=$97B0;map[ 1818][2]:=$D9C5;
map[ 1819][1]:=$97B1;map[ 1819][2]:=$B4D9;
map[ 1820][1]:=$97B2;map[ 1820][2]:=$D9C7;
map[ 1821][1]:=$97B8;map[ 1821][2]:=$D9AC;
map[ 1822][1]:=$97B9;map[ 1822][2]:=$D9D4;
map[ 1823][1]:=$97BA;map[ 1823][2]:=$D9BC;
map[ 1824][1]:=$97BB;map[ 1824][2]:=$D9BE;
map[ 1825][1]:=$97BD;map[ 1825][2]:=$D9CB;
map[ 1826][1]:=$97BE;map[ 1826][2]:=$D9AA;
map[ 1827][1]:=$97C0;map[ 1827][2]:=$D9C1;
map[ 1828][1]:=$97C1;map[ 1828][2]:=$D9B8;
map[ 1829][1]:=$97C2;map[ 1829][2]:=$D9C4;
map[ 1830][1]:=$97C3;map[ 1830][2]:=$D9D7;
map[ 1831][1]:=$97C5;map[ 1831][2]:=$D9CC;
map[ 1832][1]:=$97D0;map[ 1832][2]:=$D9D8;
map[ 1833][1]:=$97D5;map[ 1833][2]:=$D9AE;
map[ 1834][1]:=$97D9;map[ 1834][2]:=$DDF2;
map[ 1835][1]:=$97DB;map[ 1835][2]:=$DDF0;
map[ 1836][1]:=$97DC;map[ 1836][2]:=$DDDB;
map[ 1837][1]:=$97DD;map[ 1837][2]:=$DDD9;
map[ 1838][1]:=$97DF;map[ 1838][2]:=$DDEC;
map[ 1839][1]:=$97E0;map[ 1839][2]:=$DDCB;
map[ 1840][1]:=$97E2;map[ 1840][2]:=$DDEA;
map[ 1841][1]:=$97E3;map[ 1841][2]:=$DDF4;
map[ 1842][1]:=$97E5;map[ 1842][2]:=$DDE2;
map[ 1843][1]:=$97E6;map[ 1843][2]:=$DDE7;
map[ 1844][1]:=$97E8;map[ 1844][2]:=$DDE4;
map[ 1845][1]:=$97E9;map[ 1845][2]:=$DDD0;
map[ 1846][1]:=$97EC;map[ 1846][2]:=$DDD7;
map[ 1847][1]:=$97ED;map[ 1847][2]:=$DDD8;
map[ 1848][1]:=$97EF;map[ 1848][2]:=$DDEB;
map[ 1849][1]:=$97F0;map[ 1849][2]:=$DDE9;
map[ 1850][1]:=$97F2;map[ 1850][2]:=$DDCC;
map[ 1851][1]:=$97F3;map[ 1851][2]:=$DDEE;
map[ 1852][1]:=$97F5;map[ 1852][2]:=$DDEF;
map[ 1853][1]:=$97F6;map[ 1853][2]:=$DDF1;
map[ 1854][1]:=$97F9;map[ 1854][2]:=$D5B8;
map[ 1855][1]:=$97FA;map[ 1855][2]:=$DDE6;
map[ 1856][1]:=$97FB;map[ 1856][2]:=$DDD5;
map[ 1857][1]:=$97FC;map[ 1857][2]:=$B7B1;
map[ 1858][1]:=$97FD;map[ 1858][2]:=$DDED;
map[ 1859][1]:=$97FE;map[ 1859][2]:=$DDCA;
map[ 1860][1]:=$9841;map[ 1860][2]:=$DDCD;
map[ 1861][1]:=$9843;map[ 1861][2]:=$DDDD;
map[ 1862][1]:=$9846;map[ 1862][2]:=$DDE1;
map[ 1863][1]:=$9847;map[ 1863][2]:=$DDD1;
map[ 1864][1]:=$9848;map[ 1864][2]:=$DDDA;
map[ 1865][1]:=$984A;map[ 1865][2]:=$DDE3;
map[ 1866][1]:=$984B;map[ 1866][2]:=$D9BF;
map[ 1867][1]:=$984E;map[ 1867][2]:=$DDE8;
map[ 1868][1]:=$9850;map[ 1868][2]:=$DDE5;
map[ 1869][1]:=$9851;map[ 1869][2]:=$DDD6;
map[ 1870][1]:=$9852;map[ 1870][2]:=$DDF3;
map[ 1871][1]:=$9857;map[ 1871][2]:=$DEC6;
map[ 1872][1]:=$985C;map[ 1872][2]:=$E248;
map[ 1873][1]:=$985E;map[ 1873][2]:=$E25E;
map[ 1874][1]:=$985F;map[ 1874][2]:=$E246;
map[ 1875][1]:=$9861;map[ 1875][2]:=$E258;
map[ 1876][1]:=$9862;map[ 1876][2]:=$E242;
map[ 1877][1]:=$9863;map[ 1877][2]:=$E25D;
map[ 1878][1]:=$9864;map[ 1878][2]:=$E247;
map[ 1879][1]:=$9865;map[ 1879][2]:=$E255;
map[ 1880][1]:=$9867;map[ 1880][2]:=$E25B;
map[ 1881][1]:=$9869;map[ 1881][2]:=$E240;
map[ 1882][1]:=$986A;map[ 1882][2]:=$E25A;
map[ 1883][1]:=$986C;map[ 1883][2]:=$BA6F;
map[ 1884][1]:=$986D;map[ 1884][2]:=$E251;
map[ 1885][1]:=$986E;map[ 1885][2]:=$E261;
map[ 1886][1]:=$9870;map[ 1886][2]:=$E24B;
map[ 1887][1]:=$9872;map[ 1887][2]:=$E244;
map[ 1888][1]:=$9874;map[ 1888][2]:=$E24D;
map[ 1889][1]:=$9875;map[ 1889][2]:=$E243;
map[ 1890][1]:=$9877;map[ 1890][2]:=$E257;
map[ 1891][1]:=$9878;map[ 1891][2]:=$E260;
map[ 1892][1]:=$9879;map[ 1892][2]:=$E1FD;
map[ 1893][1]:=$987B;map[ 1893][2]:=$E253;
map[ 1894][1]:=$987D;map[ 1894][2]:=$E245;
map[ 1895][1]:=$987E;map[ 1895][2]:=$E250;
map[ 1896][1]:=$9880;map[ 1896][2]:=$E24C;
map[ 1897][1]:=$9883;map[ 1897][2]:=$E25F;
map[ 1898][1]:=$9885;map[ 1898][2]:=$E24F;
map[ 1899][1]:=$9887;map[ 1899][2]:=$E262;
map[ 1900][1]:=$988A;map[ 1900][2]:=$E1FE;
map[ 1901][1]:=$988D;map[ 1901][2]:=$E256;
map[ 1902][1]:=$9895;map[ 1902][2]:=$E25C;
map[ 1903][1]:=$9896;map[ 1903][2]:=$ECF8;
map[ 1904][1]:=$989B;map[ 1904][2]:=$E5D5;
map[ 1905][1]:=$989D;map[ 1905][2]:=$E5D1;
map[ 1906][1]:=$989E;map[ 1906][2]:=$E5CD;
map[ 1907][1]:=$989F;map[ 1907][2]:=$E5E1;
map[ 1908][1]:=$98A4;map[ 1908][2]:=$E5E5;
map[ 1909][1]:=$98A5;map[ 1909][2]:=$E5D4;
map[ 1910][1]:=$98A6;map[ 1910][2]:=$E5DB;
map[ 1911][1]:=$98A9;map[ 1911][2]:=$E5D0;
map[ 1912][1]:=$98AB;map[ 1912][2]:=$E5EE;
map[ 1913][1]:=$98AD;map[ 1913][2]:=$E5EB;
map[ 1914][1]:=$98AE;map[ 1914][2]:=$E5DD;
map[ 1915][1]:=$98AF;map[ 1915][2]:=$E5CE;
map[ 1916][1]:=$98B2;map[ 1916][2]:=$E5E2;
map[ 1917][1]:=$98B4;map[ 1917][2]:=$E5D8;
map[ 1918][1]:=$98B5;map[ 1918][2]:=$E5CA;
map[ 1919][1]:=$98B9;map[ 1919][2]:=$E5E7;
map[ 1920][1]:=$98BB;map[ 1920][2]:=$E5CB;
map[ 1921][1]:=$98BC;map[ 1921][2]:=$E5ED;
map[ 1922][1]:=$98BD;map[ 1922][2]:=$E5E0;
map[ 1923][1]:=$98BE;map[ 1923][2]:=$E5E6;
map[ 1924][1]:=$98C1;map[ 1924][2]:=$E5E3;
map[ 1925][1]:=$98C3;map[ 1925][2]:=$E5EA;
map[ 1926][1]:=$98C8;map[ 1926][2]:=$E5DC;
map[ 1927][1]:=$98C9;map[ 1927][2]:=$E5CF;
map[ 1928][1]:=$98CA;map[ 1928][2]:=$E5EF;
map[ 1929][1]:=$98CD;map[ 1929][2]:=$E5D6;
map[ 1930][1]:=$98CF;map[ 1930][2]:=$E5D7;
map[ 1931][1]:=$98D1;map[ 1931][2]:=$E5D2;
map[ 1932][1]:=$98D5;map[ 1932][2]:=$E5E9;
map[ 1933][1]:=$98D6;map[ 1933][2]:=$E5EC;
map[ 1934][1]:=$98D7;map[ 1934][2]:=$E5D9;
map[ 1935][1]:=$98DE;map[ 1935][2]:=$E9C2;
map[ 1936][1]:=$98E0;map[ 1936][2]:=$E9BE;
map[ 1937][1]:=$98E6;map[ 1937][2]:=$E9CC;
map[ 1938][1]:=$98E7;map[ 1938][2]:=$E9D7;
map[ 1939][1]:=$98E8;map[ 1939][2]:=$E9CD;
map[ 1940][1]:=$98E9;map[ 1940][2]:=$E5DF;
map[ 1941][1]:=$98EA;map[ 1941][2]:=$E9CE;
map[ 1942][1]:=$98EE;map[ 1942][2]:=$E9DD;
map[ 1943][1]:=$98F0;map[ 1943][2]:=$E9C0;
map[ 1944][1]:=$98F4;map[ 1944][2]:=$E9DB;
map[ 1945][1]:=$98F5;map[ 1945][2]:=$E9DC;
map[ 1946][1]:=$98F6;map[ 1946][2]:=$E9D2;
map[ 1947][1]:=$98F7;map[ 1947][2]:=$E9C9;
map[ 1948][1]:=$98FA;map[ 1948][2]:=$E9D3;
map[ 1949][1]:=$98FB;map[ 1949][2]:=$E9DA;
map[ 1950][1]:=$98FC;map[ 1950][2]:=$E9D9;
map[ 1951][1]:=$98FE;map[ 1951][2]:=$E9CB;
map[ 1952][1]:=$9941;map[ 1952][2]:=$E9C5;
map[ 1953][1]:=$9942;map[ 1953][2]:=$E9D8;
map[ 1954][1]:=$9944;map[ 1954][2]:=$E9D6;
map[ 1955][1]:=$9947;map[ 1955][2]:=$E9D0;
map[ 1956][1]:=$9948;map[ 1956][2]:=$E9BF;
map[ 1957][1]:=$9949;map[ 1957][2]:=$E9C1;
map[ 1958][1]:=$994A;map[ 1958][2]:=$E9C3;
map[ 1959][1]:=$994B;map[ 1959][2]:=$E9D5;
map[ 1960][1]:=$994C;map[ 1960][2]:=$E9CF;
map[ 1961][1]:=$994F;map[ 1961][2]:=$E9C6;
map[ 1962][1]:=$9951;map[ 1962][2]:=$E9D4;
map[ 1963][1]:=$9957;map[ 1963][2]:=$E9C7;
map[ 1964][1]:=$995D;map[ 1964][2]:=$C0CF;
map[ 1965][1]:=$995E;map[ 1965][2]:=$ED45;
map[ 1966][1]:=$9961;map[ 1966][2]:=$ED41;
map[ 1967][1]:=$9962;map[ 1967][2]:=$ED48;
map[ 1968][1]:=$9964;map[ 1968][2]:=$ECFC;
map[ 1969][1]:=$9969;map[ 1969][2]:=$ED49;
map[ 1970][1]:=$996A;map[ 1970][2]:=$ECF3;
map[ 1971][1]:=$996C;map[ 1971][2]:=$ED4A;
map[ 1972][1]:=$996D;map[ 1972][2]:=$ECFD;
map[ 1973][1]:=$996F;map[ 1973][2]:=$ED40;
map[ 1974][1]:=$9970;map[ 1974][2]:=$ECF4;
map[ 1975][1]:=$9973;map[ 1975][2]:=$ED47;
map[ 1976][1]:=$9974;map[ 1976][2]:=$ECF9;
map[ 1977][1]:=$9977;map[ 1977][2]:=$ECFB;
map[ 1978][1]:=$9979;map[ 1978][2]:=$ECFA;
map[ 1979][1]:=$997C;map[ 1979][2]:=$ED43;
map[ 1980][1]:=$997D;map[ 1980][2]:=$ECF6;
map[ 1981][1]:=$997E;map[ 1981][2]:=$ED46;
map[ 1982][1]:=$9981;map[ 1982][2]:=$ED42;
map[ 1983][1]:=$9983;map[ 1983][2]:=$EFE7;
map[ 1984][1]:=$998A;map[ 1984][2]:=$EFE6;
map[ 1985][1]:=$998C;map[ 1985][2]:=$EFE3;
map[ 1986][1]:=$998D;map[ 1986][2]:=$EFE4;
map[ 1987][1]:=$998F;map[ 1987][2]:=$EFDE;
map[ 1988][1]:=$9990;map[ 1988][2]:=$EFE2;
map[ 1989][1]:=$9993;map[ 1989][2]:=$EFDF;
map[ 1990][1]:=$999B;map[ 1990][2]:=$EFDD;
map[ 1991][1]:=$999C;map[ 1991][2]:=$EFE1;
map[ 1992][1]:=$999D;map[ 1992][2]:=$EFE5;
map[ 1993][1]:=$99A1;map[ 1993][2]:=$F251;
map[ 1994][1]:=$99A2;map[ 1994][2]:=$F24E;
map[ 1995][1]:=$99A3;map[ 1995][2]:=$F257;
map[ 1996][1]:=$99A5;map[ 1996][2]:=$F256;
map[ 1997][1]:=$99A6;map[ 1997][2]:=$F254;
map[ 1998][1]:=$99A7;map[ 1998][2]:=$F24F;
map[ 1999][1]:=$99AF;map[ 1999][2]:=$F250;
map[ 2000][1]:=$99B2;map[ 2000][2]:=$F253;
map[ 2001][1]:=$99B6;map[ 2001][2]:=$F24D;
map[ 2002][1]:=$99B7;map[ 2002][2]:=$EFE0;
map[ 2003][1]:=$99C4;map[ 2003][2]:=$F459;
map[ 2004][1]:=$99C5;map[ 2004][2]:=$F45A;
map[ 2005][1]:=$99C6;map[ 2005][2]:=$F454;
map[ 2006][1]:=$99C7;map[ 2006][2]:=$F458;
map[ 2007][1]:=$99CF;map[ 2007][2]:=$F457;
map[ 2008][1]:=$99D2;map[ 2008][2]:=$F5CF;
map[ 2009][1]:=$99D6;map[ 2009][2]:=$F5D2;
map[ 2010][1]:=$99D8;map[ 2010][2]:=$F5CE;
map[ 2011][1]:=$99D9;map[ 2011][2]:=$F5D0;
map[ 2012][1]:=$99DE;map[ 2012][2]:=$F6E5;
map[ 2013][1]:=$99DF;map[ 2013][2]:=$F6E6;
map[ 2014][1]:=$99E1;map[ 2014][2]:=$F6E4;
map[ 2015][1]:=$99E6;map[ 2015][2]:=$C5CF;
map[ 2016][1]:=$99E9;map[ 2016][2]:=$F8AC;
map[ 2017][1]:=$99ED;map[ 2017][2]:=$F8F3;
map[ 2018][1]:=$99EE;map[ 2018][2]:=$F8F1;
map[ 2019][1]:=$99EF;map[ 2019][2]:=$F8F2;
map[ 2020][1]:=$99F0;map[ 2020][2]:=$F8F4;
map[ 2021][1]:=$99F6;map[ 2021][2]:=$CCE9;
map[ 2022][1]:=$99F8;map[ 2022][2]:=$CF64;
map[ 2023][1]:=$99FC;map[ 2023][2]:=$D1F5;
map[ 2024][1]:=$99FD;map[ 2024][2]:=$D1F7;
map[ 2025][1]:=$9A40;map[ 2025][2]:=$D1F6;
map[ 2026][1]:=$9A42;map[ 2026][2]:=$D1F8;
map[ 2027][1]:=$9A43;map[ 2027][2]:=$D5D7;
map[ 2028][1]:=$9A44;map[ 2028][2]:=$D1F9;
map[ 2029][1]:=$9A46;map[ 2029][2]:=$D5D6;
map[ 2030][1]:=$9A47;map[ 2030][2]:=$D5D9;
map[ 2031][1]:=$9A48;map[ 2031][2]:=$D9DB;
map[ 2032][1]:=$9A49;map[ 2032][2]:=$D9DD;
map[ 2033][1]:=$9A4B;map[ 2033][2]:=$D9DC;
map[ 2034][1]:=$9A4D;map[ 2034][2]:=$DDFA;
map[ 2035][1]:=$9A4E;map[ 2035][2]:=$DDF8;
map[ 2036][1]:=$9A50;map[ 2036][2]:=$DDF6;
map[ 2037][1]:=$9A51;map[ 2037][2]:=$DDF9;
map[ 2038][1]:=$9A52;map[ 2038][2]:=$E263;
map[ 2039][1]:=$9A53;map[ 2039][2]:=$E265;
map[ 2040][1]:=$9A54;map[ 2040][2]:=$E264;
map[ 2041][1]:=$9A58;map[ 2041][2]:=$E5F0;
map[ 2042][1]:=$9A5B;map[ 2042][2]:=$E9DF;
map[ 2043][1]:=$9A5C;map[ 2043][2]:=$E9DE;
map[ 2044][1]:=$9A5D;map[ 2044][2]:=$E9E0;
map[ 2045][1]:=$9A62;map[ 2045][2]:=$C0D3;
map[ 2046][1]:=$9A64;map[ 2046][2]:=$EFE8;
map[ 2047][1]:=$9A66;map[ 2047][2]:=$F259;
map[ 2048][1]:=$9A6C;map[ 2048][2]:=$D1FA;
map[ 2049][1]:=$9A75;map[ 2049][2]:=$E6D1;
map[ 2050][1]:=$9A7A;map[ 2050][2]:=$CCEB;
map[ 2051][1]:=$9A7C;map[ 2051][2]:=$CCEA;
map[ 2052][1]:=$9A7E;map[ 2052][2]:=$D1FC;
map[ 2053][1]:=$9A80;map[ 2053][2]:=$D5DE;
map[ 2054][1]:=$9A81;map[ 2054][2]:=$D5DD;
map[ 2055][1]:=$9A82;map[ 2055][2]:=$D5DB;
map[ 2056][1]:=$9A84;map[ 2056][2]:=$D5DA;
map[ 2057][1]:=$9A85;map[ 2057][2]:=$D9DE;
map[ 2058][1]:=$9A86;map[ 2058][2]:=$D9E1;
map[ 2059][1]:=$9A87;map[ 2059][2]:=$D9DF;
map[ 2060][1]:=$9A89;map[ 2060][2]:=$D9E0;
map[ 2061][1]:=$9A8D;map[ 2061][2]:=$E267;
map[ 2062][1]:=$9A8E;map[ 2062][2]:=$E268;
map[ 2063][1]:=$9A8F;map[ 2063][2]:=$E5F3;
map[ 2064][1]:=$9A90;map[ 2064][2]:=$E5F2;
map[ 2065][1]:=$9A92;map[ 2065][2]:=$E5F1;
map[ 2066][1]:=$9A93;map[ 2066][2]:=$E5F4;
map[ 2067][1]:=$9A94;map[ 2067][2]:=$E9E1;
map[ 2068][1]:=$9A99;map[ 2068][2]:=$ED4C;
map[ 2069][1]:=$9A9C;map[ 2069][2]:=$F25A;
map[ 2070][1]:=$9A9F;map[ 2070][2]:=$CF67;
map[ 2071][1]:=$9AA5;map[ 2071][2]:=$D9E2;
map[ 2072][1]:=$9AA8;map[ 2072][2]:=$E269;
map[ 2073][1]:=$9AA9;map[ 2073][2]:=$E26A;
map[ 2074][1]:=$9AAB;map[ 2074][2]:=$E9E5;
map[ 2075][1]:=$9AAC;map[ 2075][2]:=$E9E4;
map[ 2076][1]:=$9AAE;map[ 2076][2]:=$F7E3;
map[ 2077][1]:=$9AAF;map[ 2077][2]:=$C960;
map[ 2078][1]:=$9AB1;map[ 2078][2]:=$CB48;
map[ 2079][1]:=$9AB3;map[ 2079][2]:=$CF69;
map[ 2080][1]:=$9AB4;map[ 2080][2]:=$C0D5;
map[ 2081][1]:=$9AB7;map[ 2081][2]:=$CCEC;
map[ 2082][1]:=$9AB9;map[ 2082][2]:=$CF6A;
map[ 2083][1]:=$9ABA;map[ 2083][2]:=$D242;
map[ 2084][1]:=$9ABB;map[ 2084][2]:=$D241;
map[ 2085][1]:=$9ABC;map[ 2085][2]:=$D1FE;
map[ 2086][1]:=$9ABE;map[ 2086][2]:=$D1FD;
map[ 2087][1]:=$9AC0;map[ 2087][2]:=$D240;
map[ 2088][1]:=$9AC5;map[ 2088][2]:=$D9E3;
map[ 2089][1]:=$9AC7;map[ 2089][2]:=$D9E4;
map[ 2090][1]:=$9ACA;map[ 2090][2]:=$DE41;
map[ 2091][1]:=$9ACB;map[ 2091][2]:=$DE42;
map[ 2092][1]:=$9ACD;map[ 2092][2]:=$DDFD;
map[ 2093][1]:=$9ACE;map[ 2093][2]:=$DDFE;
map[ 2094][1]:=$9ACF;map[ 2094][2]:=$E26B;
map[ 2095][1]:=$9AD1;map[ 2095][2]:=$E5F6;
map[ 2096][1]:=$9AD2;map[ 2096][2]:=$E5F5;
map[ 2097][1]:=$9AD4;map[ 2097][2]:=$E9E7;
map[ 2098][1]:=$9AD5;map[ 2098][2]:=$E9E6;
map[ 2099][1]:=$9AD7;map[ 2099][2]:=$ED4D;
map[ 2100][1]:=$9AD9;map[ 2100][2]:=$EFEA;
map[ 2101][1]:=$9ADF;map[ 2101][2]:=$CCED;
map[ 2102][1]:=$9AE1;map[ 2102][2]:=$CF6B;
map[ 2103][1]:=$9AE3;map[ 2103][2]:=$D244;
map[ 2104][1]:=$9AE9;map[ 2104][2]:=$C9A1;
map[ 2105][1]:=$9AED;map[ 2105][2]:=$C9A4;
map[ 2106][1]:=$9AF0;map[ 2106][2]:=$C9A3;
map[ 2107][1]:=$9AF1;map[ 2107][2]:=$C9A2;
map[ 2108][1]:=$9AF5;map[ 2108][2]:=$C9FE;
map[ 2109][1]:=$9AF6;map[ 2109][2]:=$CA40;
map[ 2110][1]:=$9AF7;map[ 2110][2]:=$A6C5;
map[ 2111][1]:=$9AF9;map[ 2111][2]:=$C9FB;
map[ 2112][1]:=$9AFB;map[ 2112][2]:=$C9F9;
map[ 2113][1]:=$9B44;map[ 2113][2]:=$CB5B;
map[ 2114][1]:=$9B45;map[ 2114][2]:=$CB59;
map[ 2115][1]:=$9B46;map[ 2115][2]:=$CB4C;
map[ 2116][1]:=$9B47;map[ 2116][2]:=$CB4D;
map[ 2117][1]:=$9B49;map[ 2117][2]:=$CB55;
map[ 2118][1]:=$9B4B;map[ 2118][2]:=$CB52;
map[ 2119][1]:=$9B4C;map[ 2119][2]:=$CB51;
map[ 2120][1]:=$9B4D;map[ 2120][2]:=$CB5A;
map[ 2121][1]:=$9B50;map[ 2121][2]:=$CB4B;
map[ 2122][1]:=$9B52;map[ 2122][2]:=$CB5C;
map[ 2123][1]:=$9B55;map[ 2123][2]:=$CD45;
map[ 2124][1]:=$9B56;map[ 2124][2]:=$CB4E;
map[ 2125][1]:=$9B57;map[ 2125][2]:=$CB56;
map[ 2126][1]:=$9B58;map[ 2126][2]:=$CD43;
map[ 2127][1]:=$9B59;map[ 2127][2]:=$CB4F;
map[ 2128][1]:=$9B5B;map[ 2128][2]:=$CB5D;
map[ 2129][1]:=$9B5E;map[ 2129][2]:=$CB57;
map[ 2130][1]:=$9B61;map[ 2130][2]:=$A85D;
map[ 2131][1]:=$9B62;map[ 2131][2]:=$CB54;
map[ 2132][1]:=$9B63;map[ 2132][2]:=$CB58;
map[ 2133][1]:=$9B64;map[ 2133][2]:=$CD44;
map[ 2134][1]:=$9B68;map[ 2134][2]:=$DA49;
map[ 2135][1]:=$9B69;map[ 2135][2]:=$AA7A;
map[ 2136][1]:=$9B6B;map[ 2136][2]:=$CD4B;
map[ 2137][1]:=$9B6C;map[ 2137][2]:=$CD42;
map[ 2138][1]:=$9B6D;map[ 2138][2]:=$ED51;
map[ 2139][1]:=$9B6E;map[ 2139][2]:=$CCF3;
map[ 2140][1]:=$9B6F;map[ 2140][2]:=$CCF7;
map[ 2141][1]:=$9B70;map[ 2141][2]:=$CCFA;
map[ 2142][1]:=$9B71;map[ 2142][2]:=$CD47;
map[ 2143][1]:=$9B73;map[ 2143][2]:=$CCF9;
map[ 2144][1]:=$9B74;map[ 2144][2]:=$CCFB;
map[ 2145][1]:=$9B75;map[ 2145][2]:=$CCFC;
map[ 2146][1]:=$9B76;map[ 2146][2]:=$CD4A;
map[ 2147][1]:=$9B79;map[ 2147][2]:=$CD49;
map[ 2148][1]:=$9B7B;map[ 2148][2]:=$CD4D;
map[ 2149][1]:=$9B7C;map[ 2149][2]:=$CD4F;
map[ 2150][1]:=$9B7D;map[ 2150][2]:=$CD40;
map[ 2151][1]:=$9B80;map[ 2151][2]:=$CCF2;
map[ 2152][1]:=$9B81;map[ 2152][2]:=$CF75;
map[ 2153][1]:=$9B82;map[ 2153][2]:=$AA7C;
map[ 2154][1]:=$9B83;map[ 2154][2]:=$CD41;
map[ 2155][1]:=$9B87;map[ 2155][2]:=$CCF6;
map[ 2156][1]:=$9B88;map[ 2156][2]:=$CD4E;
map[ 2157][1]:=$9B89;map[ 2157][2]:=$CCEF;
map[ 2158][1]:=$9B8A;map[ 2158][2]:=$CCFD;
map[ 2159][1]:=$9B8B;map[ 2159][2]:=$CCFE;
map[ 2160][1]:=$9B8D;map[ 2160][2]:=$CD4C;
map[ 2161][1]:=$9B8F;map[ 2161][2]:=$CF7C;
map[ 2162][1]:=$9B91;map[ 2162][2]:=$CFA4;
map[ 2163][1]:=$9B94;map[ 2163][2]:=$CFAA;
map[ 2164][1]:=$9B95;map[ 2164][2]:=$CFAC;
map[ 2165][1]:=$9B96;map[ 2165][2]:=$CF74;
map[ 2166][1]:=$9B97;map[ 2166][2]:=$D249;
map[ 2167][1]:=$9B98;map[ 2167][2]:=$CFA5;
map[ 2168][1]:=$9B99;map[ 2168][2]:=$CFAD;
map[ 2169][1]:=$9B9A;map[ 2169][2]:=$CF7B;
map[ 2170][1]:=$9B9E;map[ 2170][2]:=$D264;
map[ 2171][1]:=$9B9F;map[ 2171][2]:=$CFA2;
map[ 2172][1]:=$9BA1;map[ 2172][2]:=$CF7D;
map[ 2173][1]:=$9BA2;map[ 2173][2]:=$CF70;
map[ 2174][1]:=$9BA3;map[ 2174][2]:=$CFA8;
map[ 2175][1]:=$9BA5;map[ 2175][2]:=$CFAB;
map[ 2176][1]:=$9BA9;map[ 2176][2]:=$CF6D;
map[ 2177][1]:=$9BAB;map[ 2177][2]:=$CFA9;
map[ 2178][1]:=$9BAC;map[ 2178][2]:=$CF6F;
map[ 2179][1]:=$9BAD;map[ 2179][2]:=$D25E;
map[ 2180][1]:=$9BAE;map[ 2180][2]:=$CD48;
map[ 2181][1]:=$9BAF;map[ 2181][2]:=$CF6E;
map[ 2182][1]:=$9BB1;map[ 2182][2]:=$CFA3;
map[ 2183][1]:=$9BB2;map[ 2183][2]:=$ACA9;
map[ 2184][1]:=$9BB3;map[ 2184][2]:=$CF79;
map[ 2185][1]:=$9BB4;map[ 2185][2]:=$CF72;
map[ 2186][1]:=$9BB5;map[ 2186][2]:=$CFA6;
map[ 2187][1]:=$9BB6;map[ 2187][2]:=$CF7E;
map[ 2188][1]:=$9BB8;map[ 2188][2]:=$DE69;
map[ 2189][1]:=$9BBA;map[ 2189][2]:=$E273;
map[ 2190][1]:=$9BBB;map[ 2190][2]:=$ED53;
map[ 2191][1]:=$9BBE;map[ 2191][2]:=$D24C;
map[ 2192][1]:=$9BC1;map[ 2192][2]:=$D25B;
map[ 2193][1]:=$9BC2;map[ 2193][2]:=$D24A;
map[ 2194][1]:=$9BC3;map[ 2194][2]:=$D24D;
map[ 2195][1]:=$9BC4;map[ 2195][2]:=$D247;
map[ 2196][1]:=$9BC5;map[ 2196][2]:=$AF4A;
map[ 2197][1]:=$9BC6;map[ 2197][2]:=$D256;
map[ 2198][1]:=$9BC7;map[ 2198][2]:=$D25F;
map[ 2199][1]:=$9BC9;map[ 2199][2]:=$AF40;
map[ 2200][1]:=$9BCA;map[ 2200][2]:=$D24E;
map[ 2201][1]:=$9BCB;map[ 2201][2]:=$D259;
map[ 2202][1]:=$9BCF;map[ 2202][2]:=$D268;
map[ 2203][1]:=$9BD0;map[ 2203][2]:=$D248;
map[ 2204][1]:=$9BD2;map[ 2204][2]:=$D245;
map[ 2205][1]:=$9BD3;map[ 2205][2]:=$D266;
map[ 2206][1]:=$9BD4;map[ 2206][2]:=$D267;
map[ 2207][1]:=$9BD5;map[ 2207][2]:=$D261;
map[ 2208][1]:=$9BD6;map[ 2208][2]:=$D253;
map[ 2209][1]:=$9BD7;map[ 2209][2]:=$D262;
map[ 2210][1]:=$9BD9;map[ 2210][2]:=$D265;
map[ 2211][1]:=$9BDA;map[ 2211][2]:=$D263;
map[ 2212][1]:=$9BDB;map[ 2212][2]:=$D254;
map[ 2213][1]:=$9BDD;map[ 2213][2]:=$AF47;
map[ 2214][1]:=$9BDE;map[ 2214][2]:=$D260;
map[ 2215][1]:=$9BDF;map[ 2215][2]:=$D251;
map[ 2216][1]:=$9BE1;map[ 2216][2]:=$D269;
map[ 2217][1]:=$9BE2;map[ 2217][2]:=$D24B;
map[ 2218][1]:=$9BE4;map[ 2218][2]:=$D258;
map[ 2219][1]:=$9BE5;map[ 2219][2]:=$D25D;
map[ 2220][1]:=$9BE9;map[ 2220][2]:=$DE65;
map[ 2221][1]:=$9BEB;map[ 2221][2]:=$D5E5;
map[ 2222][1]:=$9BEF;map[ 2222][2]:=$D5E3;
map[ 2223][1]:=$9BF0;map[ 2223][2]:=$D5E2;
map[ 2224][1]:=$9BF2;map[ 2224][2]:=$D5E8;
map[ 2225][1]:=$9BF4;map[ 2225][2]:=$D5FA;
map[ 2226][1]:=$9BF5;map[ 2226][2]:=$D647;
map[ 2227][1]:=$9BF7;map[ 2227][2]:=$D5F7;
map[ 2228][1]:=$9BF8;map[ 2228][2]:=$D5F0;
map[ 2229][1]:=$9BFA;map[ 2229][2]:=$D5FC;
map[ 2230][1]:=$9BFC;map[ 2230][2]:=$D5EC;
map[ 2231][1]:=$9BFD;map[ 2231][2]:=$D5FE;
map[ 2232][1]:=$9BFE;map[ 2232][2]:=$D5F6;
map[ 2233][1]:=$9C40;map[ 2233][2]:=$D645;
map[ 2234][1]:=$9C42;map[ 2234][2]:=$D5FD;
map[ 2235][1]:=$9C43;map[ 2235][2]:=$D640;
map[ 2236][1]:=$9C45;map[ 2236][2]:=$D642;
map[ 2237][1]:=$9C46;map[ 2237][2]:=$D5EA;
map[ 2238][1]:=$9C47;map[ 2238][2]:=$D5FB;
map[ 2239][1]:=$9C48;map[ 2239][2]:=$D644;
map[ 2240][1]:=$9C4A;map[ 2240][2]:=$D5F4;
map[ 2241][1]:=$9C4B;map[ 2241][2]:=$D5F2;
map[ 2242][1]:=$9C4C;map[ 2242][2]:=$D5EE;
map[ 2243][1]:=$9C4D;map[ 2243][2]:=$D5E7;
map[ 2244][1]:=$9C4E;map[ 2244][2]:=$D646;
map[ 2245][1]:=$9C54;map[ 2245][2]:=$D5F8;
map[ 2246][1]:=$9C55;map[ 2246][2]:=$D252;
map[ 2247][1]:=$9C56;map[ 2247][2]:=$D5F9;
map[ 2248][1]:=$9C57;map[ 2248][2]:=$D641;
map[ 2249][1]:=$9C58;map[ 2249][2]:=$D5F5;
map[ 2250][1]:=$9C5D;map[ 2250][2]:=$D643;
map[ 2251][1]:=$9C60;map[ 2251][2]:=$D5EB;
map[ 2252][1]:=$9C63;map[ 2252][2]:=$D9FC;
map[ 2253][1]:=$9C71;map[ 2253][2]:=$D9F6;
map[ 2254][1]:=$9C73;map[ 2254][2]:=$D9EA;
map[ 2255][1]:=$9C76;map[ 2255][2]:=$DA4D;
map[ 2256][1]:=$9C77;map[ 2256][2]:=$DA44;
map[ 2257][1]:=$9C7A;map[ 2257][2]:=$D9FD;
map[ 2258][1]:=$9C7B;map[ 2258][2]:=$DA4A;
map[ 2259][1]:=$9C7C;map[ 2259][2]:=$DA43;
map[ 2260][1]:=$9C7D;map[ 2260][2]:=$D9F7;
map[ 2261][1]:=$9C7E;map[ 2261][2]:=$DA55;
map[ 2262][1]:=$9C80;map[ 2262][2]:=$DA56;
map[ 2263][1]:=$9C82;map[ 2263][2]:=$DA48;
map[ 2264][1]:=$9C83;map[ 2264][2]:=$D9FB;
map[ 2265][1]:=$9C84;map[ 2265][2]:=$D9ED;
map[ 2266][1]:=$9C85;map[ 2266][2]:=$D9EE;
map[ 2267][1]:=$9C87;map[ 2267][2]:=$D9F2;
map[ 2268][1]:=$9C88;map[ 2268][2]:=$D9F9;
map[ 2269][1]:=$9C89;map[ 2269][2]:=$D9F3;
map[ 2270][1]:=$9C8B;map[ 2270][2]:=$D9EF;
map[ 2271][1]:=$9C8C;map[ 2271][2]:=$D9E8;
map[ 2272][1]:=$9C8D;map[ 2272][2]:=$D9E9;
map[ 2273][1]:=$9C8F;map[ 2273][2]:=$D9EB;
map[ 2274][1]:=$9C91;map[ 2274][2]:=$D9F8;
map[ 2275][1]:=$9C95;map[ 2275][2]:=$D9FA;
map[ 2276][1]:=$9C96;map[ 2276][2]:=$DA53;
map[ 2277][1]:=$9C97;map[ 2277][2]:=$DA51;
map[ 2278][1]:=$9C9A;map[ 2278][2]:=$DA57;
map[ 2279][1]:=$9C9B;map[ 2279][2]:=$DA41;
map[ 2280][1]:=$9C9C;map[ 2280][2]:=$D9F4;
map[ 2281][1]:=$9C9E;map[ 2281][2]:=$DA45;
map[ 2282][1]:=$9C9F;map[ 2282][2]:=$DA42;
map[ 2283][1]:=$9CA0;map[ 2283][2]:=$D9F0;
map[ 2284][1]:=$9CA2;map[ 2284][2]:=$DA4F;
map[ 2285][1]:=$9CA3;map[ 2285][2]:=$DA4C;
map[ 2286][1]:=$9CA4;map[ 2286][2]:=$DA54;
map[ 2287][1]:=$9CA6;map[ 2287][2]:=$DA40;
map[ 2288][1]:=$9CA7;map[ 2288][2]:=$B546;
map[ 2289][1]:=$9CAD;map[ 2289][2]:=$DA46;
map[ 2290][1]:=$9CAE;map[ 2290][2]:=$B545;
map[ 2291][1]:=$9CAF;map[ 2291][2]:=$D9F5;
map[ 2292][1]:=$9CB0;map[ 2292][2]:=$D5E4;
map[ 2293][1]:=$9CB3;map[ 2293][2]:=$DA50;
map[ 2294][1]:=$9CB4;map[ 2294][2]:=$DA4E;
map[ 2295][1]:=$9CB5;map[ 2295][2]:=$DA52;
map[ 2296][1]:=$9CBE;map[ 2296][2]:=$E27E;
map[ 2297][1]:=$9CC3;map[ 2297][2]:=$DE61;
map[ 2298][1]:=$9CC4;map[ 2298][2]:=$DE60;
map[ 2299][1]:=$9CC6;map[ 2299][2]:=$DE5F;
map[ 2300][1]:=$9CC7;map[ 2300][2]:=$DE49;
map[ 2301][1]:=$9CC8;map[ 2301][2]:=$DE4A;
map[ 2302][1]:=$9CCB;map[ 2302][2]:=$DE68;
map[ 2303][1]:=$9CCC;map[ 2303][2]:=$DE5E;
map[ 2304][1]:=$9CCE;map[ 2304][2]:=$DE43;
map[ 2305][1]:=$9CD0;map[ 2305][2]:=$DE52;
map[ 2306][1]:=$9CD1;map[ 2306][2]:=$DE4B;
map[ 2307][1]:=$9CD2;map[ 2307][2]:=$DE63;
map[ 2308][1]:=$9CD3;map[ 2308][2]:=$DE6A;
map[ 2309][1]:=$9CD4;map[ 2309][2]:=$DE62;
map[ 2310][1]:=$9CD5;map[ 2310][2]:=$DE57;
map[ 2311][1]:=$9CDC;map[ 2311][2]:=$DE55;
map[ 2312][1]:=$9CE0;map[ 2312][2]:=$DE4D;
map[ 2313][1]:=$9CE2;map[ 2313][2]:=$DE5A;
map[ 2314][1]:=$9CE3;map[ 2314][2]:=$DE64;
map[ 2315][1]:=$9CE4;map[ 2315][2]:=$DE47;
map[ 2316][1]:=$9CE5;map[ 2316][2]:=$DE5B;
map[ 2317][1]:=$9CE8;map[ 2317][2]:=$DE4E;
map[ 2318][1]:=$9CE9;map[ 2318][2]:=$DE45;
map[ 2319][1]:=$9CEA;map[ 2319][2]:=$DE53;
map[ 2320][1]:=$9CEB;map[ 2320][2]:=$DE67;
map[ 2321][1]:=$9CED;map[ 2321][2]:=$DE56;
map[ 2322][1]:=$9CEF;map[ 2322][2]:=$DE66;
map[ 2323][1]:=$9CF0;map[ 2323][2]:=$DE4F;
map[ 2324][1]:=$9CF1;map[ 2324][2]:=$DE44;
map[ 2325][1]:=$9CF2;map[ 2325][2]:=$DE5D;
map[ 2326][1]:=$9CF5;map[ 2326][2]:=$DE5C;
map[ 2327][1]:=$9CF9;map[ 2327][2]:=$BF48;
map[ 2328][1]:=$9CFA;map[ 2328][2]:=$E2AA;
map[ 2329][1]:=$9CFC;map[ 2329][2]:=$E27D;
map[ 2330][1]:=$9CFD;map[ 2330][2]:=$E2A4;
map[ 2331][1]:=$9D41;map[ 2331][2]:=$E26E;
map[ 2332][1]:=$9D44;map[ 2332][2]:=$E26D;
map[ 2333][1]:=$9D45;map[ 2333][2]:=$E2B0;
map[ 2334][1]:=$9D4A;map[ 2334][2]:=$E2B3;
map[ 2335][1]:=$9D4B;map[ 2335][2]:=$E2AF;
map[ 2336][1]:=$9D4E;map[ 2336][2]:=$E653;
map[ 2337][1]:=$9D50;map[ 2337][2]:=$E26F;
map[ 2338][1]:=$9D52;map[ 2338][2]:=$E2AE;
map[ 2339][1]:=$9D53;map[ 2339][2]:=$E2AB;
map[ 2340][1]:=$9D54;map[ 2340][2]:=$E2B8;
map[ 2341][1]:=$9D58;map[ 2341][2]:=$E2B6;
map[ 2342][1]:=$9D59;map[ 2342][2]:=$E2AC;
map[ 2343][1]:=$9D5C;map[ 2343][2]:=$E27C;
map[ 2344][1]:=$9D5F;map[ 2344][2]:=$E27A;
map[ 2345][1]:=$9D60;map[ 2345][2]:=$E277;
map[ 2346][1]:=$9D63;map[ 2346][2]:=$E2B2;
map[ 2347][1]:=$9D65;map[ 2347][2]:=$E2B7;
map[ 2348][1]:=$9D66;map[ 2348][2]:=$E2B5;
map[ 2349][1]:=$9D67;map[ 2349][2]:=$E2B9;
map[ 2350][1]:=$9D6A;map[ 2350][2]:=$E270;
map[ 2351][1]:=$9D6B;map[ 2351][2]:=$E5FA;
map[ 2352][1]:=$9D6C;map[ 2352][2]:=$E279;
map[ 2353][1]:=$9D6F;map[ 2353][2]:=$E274;
map[ 2354][1]:=$9D70;map[ 2354][2]:=$E2A7;
map[ 2355][1]:=$9D74;map[ 2355][2]:=$E272;
map[ 2356][1]:=$9D76;map[ 2356][2]:=$E2B1;
map[ 2357][1]:=$9D77;map[ 2357][2]:=$E2B4;
map[ 2358][1]:=$9D78;map[ 2358][2]:=$E27B;
map[ 2359][1]:=$9D79;map[ 2359][2]:=$E2A8;
map[ 2360][1]:=$9D7C;map[ 2360][2]:=$E2A6;
map[ 2361][1]:=$9D80;map[ 2361][2]:=$E2AD;
map[ 2362][1]:=$9D87;map[ 2362][2]:=$E276;
map[ 2363][1]:=$9D88;map[ 2363][2]:=$E644;
map[ 2364][1]:=$9D89;map[ 2364][2]:=$E64E;
map[ 2365][1]:=$9D8B;map[ 2365][2]:=$E64D;
map[ 2366][1]:=$9D8C;map[ 2366][2]:=$E659;
map[ 2367][1]:=$9D8E;map[ 2367][2]:=$E64B;
map[ 2368][1]:=$9D90;map[ 2368][2]:=$E64F;
map[ 2369][1]:=$9D92;map[ 2369][2]:=$E646;
map[ 2370][1]:=$9D94;map[ 2370][2]:=$E652;
map[ 2371][1]:=$9D96;map[ 2371][2]:=$BCF2;
map[ 2372][1]:=$9D97;map[ 2372][2]:=$E654;
map[ 2373][1]:=$9D98;map[ 2373][2]:=$E65E;
map[ 2374][1]:=$9D9B;map[ 2374][2]:=$E657;
map[ 2375][1]:=$9D9D;map[ 2375][2]:=$E65B;
map[ 2376][1]:=$9D9E;map[ 2376][2]:=$E660;
map[ 2377][1]:=$9D9F;map[ 2377][2]:=$E655;
map[ 2378][1]:=$9DA0;map[ 2378][2]:=$E649;
map[ 2379][1]:=$9DA4;map[ 2379][2]:=$E2A2;
map[ 2380][1]:=$9DA6;map[ 2380][2]:=$E648;
map[ 2381][1]:=$9DA9;map[ 2381][2]:=$E661;
map[ 2382][1]:=$9DAA;map[ 2382][2]:=$E656;
map[ 2383][1]:=$9DAB;map[ 2383][2]:=$E5FB;
map[ 2384][1]:=$9DB1;map[ 2384][2]:=$E645;
map[ 2385][1]:=$9DB5;map[ 2385][2]:=$E65A;
map[ 2386][1]:=$9DB7;map[ 2386][2]:=$E658;
map[ 2387][1]:=$9DB9;map[ 2387][2]:=$E5FE;
map[ 2388][1]:=$9DBA;map[ 2388][2]:=$E651;
map[ 2389][1]:=$9DBB;map[ 2389][2]:=$E650;
map[ 2390][1]:=$9DBC;map[ 2390][2]:=$E65D;
map[ 2391][1]:=$9DBD;map[ 2391][2]:=$E647;
map[ 2392][1]:=$9DC4;map[ 2392][2]:=$E9F3;
map[ 2393][1]:=$9DC7;map[ 2393][2]:=$EA40;
map[ 2394][1]:=$9DC8;map[ 2394][2]:=$E9EB;
map[ 2395][1]:=$9DCA;map[ 2395][2]:=$E9F7;
map[ 2396][1]:=$9DCC;map[ 2396][2]:=$E9F5;
map[ 2397][1]:=$9DCE;map[ 2397][2]:=$E9FB;
map[ 2398][1]:=$9DCF;map[ 2398][2]:=$EA42;
map[ 2399][1]:=$9DD0;map[ 2399][2]:=$E9FA;
map[ 2400][1]:=$9DD1;map[ 2400][2]:=$E9E9;
map[ 2401][1]:=$9DD3;map[ 2401][2]:=$EA44;
map[ 2402][1]:=$9DD4;map[ 2402][2]:=$EA46;
map[ 2403][1]:=$9DD6;map[ 2403][2]:=$EA45;
map[ 2404][1]:=$9DD7;map[ 2404][2]:=$BF4A;
map[ 2405][1]:=$9DDA;map[ 2405][2]:=$E9FE;
map[ 2406][1]:=$9DDB;map[ 2406][2]:=$E9F9;
map[ 2407][1]:=$9DDD;map[ 2407][2]:=$E9ED;
map[ 2408][1]:=$9DDE;map[ 2408][2]:=$E9F2;
map[ 2409][1]:=$9DE0;map[ 2409][2]:=$E9FD;
map[ 2410][1]:=$9DE3;map[ 2410][2]:=$E9F1;
map[ 2411][1]:=$9DE5;map[ 2411][2]:=$E5FD;
map[ 2412][1]:=$9DE6;map[ 2412][2]:=$E9EC;
map[ 2413][1]:=$9DE7;map[ 2413][2]:=$E9EF;
map[ 2414][1]:=$9DE8;map[ 2414][2]:=$E9F4;
map[ 2415][1]:=$9DE9;map[ 2415][2]:=$E9EA;
map[ 2416][1]:=$9DEA;map[ 2416][2]:=$ED4E;
map[ 2417][1]:=$9DEB;map[ 2417][2]:=$EA43;
map[ 2418][1]:=$9DEC;map[ 2418][2]:=$E9EE;
map[ 2419][1]:=$9DED;map[ 2419][2]:=$E9FC;
map[ 2420][1]:=$9DF9;map[ 2420][2]:=$ED59;
map[ 2421][1]:=$9DFB;map[ 2421][2]:=$ED5A;
map[ 2422][1]:=$9DFC;map[ 2422][2]:=$ED52;
map[ 2423][1]:=$9E40;map[ 2423][2]:=$ED56;
map[ 2424][1]:=$9E41;map[ 2424][2]:=$ED55;
map[ 2425][1]:=$9E42;map[ 2425][2]:=$ED5B;
map[ 2426][1]:=$9E43;map[ 2426][2]:=$C0E2;
map[ 2427][1]:=$9E47;map[ 2427][2]:=$ED54;
map[ 2428][1]:=$9E4A;map[ 2428][2]:=$ED58;
map[ 2429][1]:=$9E4C;map[ 2429][2]:=$ED50;
map[ 2430][1]:=$9E4F;map[ 2430][2]:=$EFF7;
map[ 2431][1]:=$9E53;map[ 2431][2]:=$EFF4;
map[ 2432][1]:=$9E57;map[ 2432][2]:=$EFF2;
map[ 2433][1]:=$9E58;map[ 2433][2]:=$EFF3;
map[ 2434][1]:=$9E59;map[ 2434][2]:=$EFEE;
map[ 2435][1]:=$9E5C;map[ 2435][2]:=$E9F6;
map[ 2436][1]:=$9E5F;map[ 2436][2]:=$EFEB;
map[ 2437][1]:=$9E62;map[ 2437][2]:=$EFF8;
map[ 2438][1]:=$9E64;map[ 2438][2]:=$EFEC;
map[ 2439][1]:=$9E65;map[ 2439][2]:=$EFED;
map[ 2440][1]:=$9E66;map[ 2440][2]:=$EFF1;
map[ 2441][1]:=$9E6B;map[ 2441][2]:=$EFF0;
map[ 2442][1]:=$9E6D;map[ 2442][2]:=$F25F;
map[ 2443][1]:=$9E6E;map[ 2443][2]:=$F265;
map[ 2444][1]:=$9E70;map[ 2444][2]:=$F25C;
map[ 2445][1]:=$9E71;map[ 2445][2]:=$F267;
map[ 2446][1]:=$9E76;map[ 2446][2]:=$F261;
map[ 2447][1]:=$9E77;map[ 2447][2]:=$F262;
map[ 2448][1]:=$9E78;map[ 2448][2]:=$F266;
map[ 2449][1]:=$9E7D;map[ 2449][2]:=$F264;
map[ 2450][1]:=$9E7E;map[ 2450][2]:=$F268;
map[ 2451][1]:=$9E80;map[ 2451][2]:=$F260;
map[ 2452][1]:=$9E84;map[ 2452][2]:=$F45D;
map[ 2453][1]:=$9E86;map[ 2453][2]:=$F460;
map[ 2454][1]:=$9E88;map[ 2454][2]:=$F468;
map[ 2455][1]:=$9E89;map[ 2455][2]:=$F45F;
map[ 2456][1]:=$9E8B;map[ 2456][2]:=$F45E;
map[ 2457][1]:=$9E8C;map[ 2457][2]:=$F462;
map[ 2458][1]:=$9E8D;map[ 2458][2]:=$F464;
map[ 2459][1]:=$9E8E;map[ 2459][2]:=$F467;
map[ 2460][1]:=$9E8F;map[ 2460][2]:=$F45B;
map[ 2461][1]:=$9E92;map[ 2461][2]:=$F463;
map[ 2462][1]:=$9E93;map[ 2462][2]:=$F466;
map[ 2463][1]:=$9E94;map[ 2463][2]:=$F469;
map[ 2464][1]:=$9E95;map[ 2464][2]:=$F461;
map[ 2465][1]:=$9E98;map[ 2465][2]:=$F5D8;
map[ 2466][1]:=$9E99;map[ 2466][2]:=$F5D9;
map[ 2467][1]:=$9E9B;map[ 2467][2]:=$F5D6;
map[ 2468][1]:=$9E9C;map[ 2468][2]:=$F5D7;
map[ 2469][1]:=$9E9D;map[ 2469][2]:=$F5D5;
map[ 2470][1]:=$9EA3;map[ 2470][2]:=$F6EB;
map[ 2471][1]:=$9EA7;map[ 2471][2]:=$F6E9;
map[ 2472][1]:=$9EA8;map[ 2472][2]:=$F6EA;
map[ 2473][1]:=$9EAB;map[ 2473][2]:=$F7E5;
map[ 2474][1]:=$9EAC;map[ 2474][2]:=$F7E4;
map[ 2475][1]:=$9EAF;map[ 2475][2]:=$F8AD;
map[ 2476][1]:=$9EB0;map[ 2476][2]:=$F8B0;
map[ 2477][1]:=$9EB1;map[ 2477][2]:=$F8AE;
map[ 2478][1]:=$9EB2;map[ 2478][2]:=$F8F5;
map[ 2479][1]:=$9EB5;map[ 2479][2]:=$F9A3;
map[ 2480][1]:=$9EB6;map[ 2480][2]:=$F96C;
map[ 2481][1]:=$9EB8;map[ 2481][2]:=$F9A2;
map[ 2482][1]:=$9EBA;map[ 2482][2]:=$F9D1;
map[ 2483][1]:=$9EBC;map[ 2483][2]:=$CA41;
map[ 2484][1]:=$9EBF;map[ 2484][2]:=$CB5E;
map[ 2485][1]:=$9EC2;map[ 2485][2]:=$CB5F;
map[ 2486][1]:=$9EC6;map[ 2486][2]:=$CD58;
map[ 2487][1]:=$9EC7;map[ 2487][2]:=$CD5A;
map[ 2488][1]:=$9EC8;map[ 2488][2]:=$CD55;
map[ 2489][1]:=$9EC9;map[ 2489][2]:=$CD54;
map[ 2490][1]:=$9ED1;map[ 2490][2]:=$CD56;
map[ 2491][1]:=$9ED2;map[ 2491][2]:=$CD53;
map[ 2492][1]:=$9ED4;map[ 2492][2]:=$CD51;
map[ 2493][1]:=$9ED5;map[ 2493][2]:=$CD59;
map[ 2494][1]:=$9ED8;map[ 2494][2]:=$CFAF;
map[ 2495][1]:=$9EDA;map[ 2495][2]:=$CFB3;
map[ 2496][1]:=$9EE2;map[ 2496][2]:=$CFB6;
map[ 2497][1]:=$9EE4;map[ 2497][2]:=$CFB2;
map[ 2498][1]:=$9EE6;map[ 2498][2]:=$CFB4;
map[ 2499][1]:=$9EE7;map[ 2499][2]:=$CFB5;
map[ 2500][1]:=$9EEA;map[ 2500][2]:=$CFB0;
map[ 2501][1]:=$9EED;map[ 2501][2]:=$D277;
map[ 2502][1]:=$9EEE;map[ 2502][2]:=$D278;
map[ 2503][1]:=$9EEF;map[ 2503][2]:=$D279;
map[ 2504][1]:=$9EF1;map[ 2504][2]:=$D26E;
map[ 2505][1]:=$9EF3;map[ 2505][2]:=$D276;
map[ 2506][1]:=$9EF4;map[ 2506][2]:=$D27B;
map[ 2507][1]:=$9EF7;map[ 2507][2]:=$D26C;
map[ 2508][1]:=$9EF8;map[ 2508][2]:=$D272;
map[ 2509][1]:=$9EF9;map[ 2509][2]:=$D26B;
map[ 2510][1]:=$9EFA;map[ 2510][2]:=$D275;
map[ 2511][1]:=$9EFD;map[ 2511][2]:=$D271;
map[ 2512][1]:=$9EFE;map[ 2512][2]:=$D27A;
map[ 2513][1]:=$9F40;map[ 2513][2]:=$D26A;
map[ 2514][1]:=$9F41;map[ 2514][2]:=$D26D;
map[ 2515][1]:=$9F42;map[ 2515][2]:=$D273;
map[ 2516][1]:=$9F43;map[ 2516][2]:=$D274;
map[ 2517][1]:=$9F44;map[ 2517][2]:=$D27C;
map[ 2518][1]:=$9F45;map[ 2518][2]:=$D270;
map[ 2519][1]:=$9F4A;map[ 2519][2]:=$D64E;
map[ 2520][1]:=$9F4D;map[ 2520][2]:=$D650;
map[ 2521][1]:=$9F50;map[ 2521][2]:=$D658;
map[ 2522][1]:=$9F51;map[ 2522][2]:=$D657;
map[ 2523][1]:=$9F52;map[ 2523][2]:=$D648;
map[ 2524][1]:=$9F53;map[ 2524][2]:=$DA5B;
map[ 2525][1]:=$9F54;map[ 2525][2]:=$D652;
map[ 2526][1]:=$9F56;map[ 2526][2]:=$D653;
map[ 2527][1]:=$9F57;map[ 2527][2]:=$D656;
map[ 2528][1]:=$9F59;map[ 2528][2]:=$D65A;
map[ 2529][1]:=$9F5B;map[ 2529][2]:=$D64F;
map[ 2530][1]:=$9F5D;map[ 2530][2]:=$D654;
map[ 2531][1]:=$9F60;map[ 2531][2]:=$D659;
map[ 2532][1]:=$9F61;map[ 2532][2]:=$D64D;
map[ 2533][1]:=$9F62;map[ 2533][2]:=$D649;
map[ 2534][1]:=$9F63;map[ 2534][2]:=$D65B;
map[ 2535][1]:=$9F68;map[ 2535][2]:=$D64B;
map[ 2536][1]:=$9F69;map[ 2536][2]:=$DA65;
map[ 2537][1]:=$9F6A;map[ 2537][2]:=$B54F;
map[ 2538][1]:=$9F6C;map[ 2538][2]:=$DA59;
map[ 2539][1]:=$9F6D;map[ 2539][2]:=$DA62;
map[ 2540][1]:=$9F6E;map[ 2540][2]:=$DA58;
map[ 2541][1]:=$9F70;map[ 2541][2]:=$DA60;
map[ 2542][1]:=$9F71;map[ 2542][2]:=$DA5E;
map[ 2543][1]:=$9F73;map[ 2543][2]:=$DA5F;
map[ 2544][1]:=$9F75;map[ 2544][2]:=$DA63;
map[ 2545][1]:=$9F7B;map[ 2545][2]:=$DA5C;
map[ 2546][1]:=$9F7C;map[ 2546][2]:=$DA61;
map[ 2547][1]:=$9F84;map[ 2547][2]:=$DA64;
map[ 2548][1]:=$9F8B;map[ 2548][2]:=$DE70;
map[ 2549][1]:=$9F8C;map[ 2549][2]:=$DE77;
map[ 2550][1]:=$9F8D;map[ 2550][2]:=$DE79;
map[ 2551][1]:=$9F8E;map[ 2551][2]:=$DEA1;
map[ 2552][1]:=$9F93;map[ 2552][2]:=$DE7A;
map[ 2553][1]:=$9F94;map[ 2553][2]:=$DEA2;
map[ 2554][1]:=$9F96;map[ 2554][2]:=$DE7D;
map[ 2555][1]:=$9F99;map[ 2555][2]:=$DE7E;
map[ 2556][1]:=$9F9A;map[ 2556][2]:=$DE6C;
map[ 2557][1]:=$9F9E;map[ 2557][2]:=$DE78;
map[ 2558][1]:=$9FA0;map[ 2558][2]:=$DEA3;
map[ 2559][1]:=$9FA2;map[ 2559][2]:=$DE71;
map[ 2560][1]:=$9FA3;map[ 2560][2]:=$DE7C;
map[ 2561][1]:=$9FA4;map[ 2561][2]:=$DE6F;
map[ 2562][1]:=$9FA5;map[ 2562][2]:=$DE76;
map[ 2563][1]:=$9FA7;map[ 2563][2]:=$DE6E;
map[ 2564][1]:=$9FAA;map[ 2564][2]:=$DE75;
map[ 2565][1]:=$9FAF;map[ 2565][2]:=$DE7B;
map[ 2566][1]:=$9FB6;map[ 2566][2]:=$E2C1;
map[ 2567][1]:=$9FBA;map[ 2567][2]:=$E2BD;
map[ 2568][1]:=$9FBB;map[ 2568][2]:=$E2C3;
map[ 2569][1]:=$9FBC;map[ 2569][2]:=$E2BF;
map[ 2570][1]:=$9FBE;map[ 2570][2]:=$E2BE;
map[ 2571][1]:=$9FBF;map[ 2571][2]:=$E2C2;
map[ 2572][1]:=$9FC0;map[ 2572][2]:=$E2BA;
map[ 2573][1]:=$9FC2;map[ 2573][2]:=$E2BC;
map[ 2574][1]:=$9FC7;map[ 2574][2]:=$E2BB;
map[ 2575][1]:=$9FCE;map[ 2575][2]:=$E667;
map[ 2576][1]:=$9FCF;map[ 2576][2]:=$E664;
map[ 2577][1]:=$9FD0;map[ 2577][2]:=$E670;
map[ 2578][1]:=$9FD1;map[ 2578][2]:=$E66A;
map[ 2579][1]:=$9FD2;map[ 2579][2]:=$E66C;
map[ 2580][1]:=$9FD3;map[ 2580][2]:=$E66E;
map[ 2581][1]:=$9FD6;map[ 2581][2]:=$E66D;
map[ 2582][1]:=$9FD7;map[ 2582][2]:=$E66B;
map[ 2583][1]:=$9FD9;map[ 2583][2]:=$E671;
map[ 2584][1]:=$9FDA;map[ 2584][2]:=$E668;
map[ 2585][1]:=$9FDB;map[ 2585][2]:=$E66F;
map[ 2586][1]:=$9FDF;map[ 2586][2]:=$E663;
map[ 2587][1]:=$9FE0;map[ 2587][2]:=$E665;
map[ 2588][1]:=$9FE6;map[ 2588][2]:=$EA4A;
map[ 2589][1]:=$9FE9;map[ 2589][2]:=$EA55;
map[ 2590][1]:=$9FEA;map[ 2590][2]:=$EA53;
map[ 2591][1]:=$9FEC;map[ 2591][2]:=$EA49;
map[ 2592][1]:=$9FED;map[ 2592][2]:=$EA4C;
map[ 2593][1]:=$9FEF;map[ 2593][2]:=$EA48;
map[ 2594][1]:=$9FF1;map[ 2594][2]:=$EA47;
map[ 2595][1]:=$9FF2;map[ 2595][2]:=$EA56;
map[ 2596][1]:=$9FF3;map[ 2596][2]:=$EA51;
map[ 2597][1]:=$9FF6;map[ 2597][2]:=$EA50;
map[ 2598][1]:=$9FF7;map[ 2598][2]:=$EA4E;
map[ 2599][1]:=$9FFA;map[ 2599][2]:=$EA52;
map[ 2600][1]:=$A040;map[ 2600][2]:=$EA4B;
map[ 2601][1]:=$A042;map[ 2601][2]:=$EA54;
map[ 2602][1]:=$A044;map[ 2602][2]:=$EA57;
map[ 2603][1]:=$A045;map[ 2603][2]:=$EA58;
map[ 2604][1]:=$A04A;map[ 2604][2]:=$ED5C;
map[ 2605][1]:=$A04B;map[ 2605][2]:=$ED62;
map[ 2606][1]:=$A04D;map[ 2606][2]:=$ED60;
map[ 2607][1]:=$A04F;map[ 2607][2]:=$ED5E;
map[ 2608][1]:=$A056;map[ 2608][2]:=$ED61;
map[ 2609][1]:=$A057;map[ 2609][2]:=$ED5D;
map[ 2610][1]:=$A058;map[ 2610][2]:=$ED5F;
map[ 2611][1]:=$A05E;map[ 2611][2]:=$C277;
map[ 2612][1]:=$A062;map[ 2612][2]:=$EFFD;
map[ 2613][1]:=$A066;map[ 2613][2]:=$EFF9;
map[ 2614][1]:=$A067;map[ 2614][2]:=$F26C;
map[ 2615][1]:=$A068;map[ 2615][2]:=$EFFC;
map[ 2616][1]:=$A06A;map[ 2616][2]:=$F26D;
map[ 2617][1]:=$A06B;map[ 2617][2]:=$F26B;
map[ 2618][1]:=$A06E;map[ 2618][2]:=$F26A;
map[ 2619][1]:=$A070;map[ 2619][2]:=$F269;
map[ 2620][1]:=$A077;map[ 2620][2]:=$F46A;
map[ 2621][1]:=$A078;map[ 2621][2]:=$F46B;
map[ 2622][1]:=$A07D;map[ 2622][2]:=$F5DC;
map[ 2623][1]:=$A07E;map[ 2623][2]:=$F5DB;
map[ 2624][1]:=$A082;map[ 2624][2]:=$F6EC;
map[ 2625][1]:=$A083;map[ 2625][2]:=$F6ED;
map[ 2626][1]:=$A086;map[ 2626][2]:=$F7E6;
map[ 2627][1]:=$A087;map[ 2627][2]:=$F8B1;
map[ 2628][1]:=$A08A;map[ 2628][2]:=$F8F6;
map[ 2629][1]:=$A08B;map[ 2629][2]:=$F9BC;
map[ 2630][1]:=$A08C;map[ 2630][2]:=$F9C6;
map[ 2631][1]:=$A098;map[ 2631][2]:=$CFB7;
map[ 2632][1]:=$A099;map[ 2632][2]:=$D27D;
map[ 2633][1]:=$A09B;map[ 2633][2]:=$E2C5;
map[ 2634][1]:=$A09E;map[ 2634][2]:=$CFB8;
map[ 2635][1]:=$A09F;map[ 2635][2]:=$CFB9;
map[ 2636][1]:=$A0A2;map[ 2636][2]:=$DEA4;
map[ 2637][1]:=$A0A5;map[ 2637][2]:=$E2C6;
map[ 2638][1]:=$A0AA;map[ 2638][2]:=$DA67;
map[ 2639][1]:=$A0AC;map[ 2639][2]:=$CA42;
map[ 2640][1]:=$A0AD;map[ 2640][2]:=$A865;
map[ 2641][1]:=$A0AE;map[ 2641][2]:=$CB60;
map[ 2642][1]:=$A0B2;map[ 2642][2]:=$CD5B;
map[ 2643][1]:=$A0B4;map[ 2643][2]:=$CFBA;
map[ 2644][1]:=$A0B6;map[ 2644][2]:=$CFBB;
map[ 2645][1]:=$A0B8;map[ 2645][2]:=$CFBC;
map[ 2646][1]:=$A0BA;map[ 2646][2]:=$D2A2;
map[ 2647][1]:=$A0BB;map[ 2647][2]:=$D2A1;
map[ 2648][1]:=$A0BC;map[ 2648][2]:=$D27E;
map[ 2649][1]:=$A0BD;map[ 2649][2]:=$D65D;
map[ 2650][1]:=$A0BE;map[ 2650][2]:=$D65E;
map[ 2651][1]:=$A0C2;map[ 2651][2]:=$DA6B;
map[ 2652][1]:=$A0C3;map[ 2652][2]:=$DA6A;
map[ 2653][1]:=$A0C5;map[ 2653][2]:=$DA68;
map[ 2654][1]:=$A0C6;map[ 2654][2]:=$DA69;
map[ 2655][1]:=$A0C7;map[ 2655][2]:=$DEA6;
map[ 2656][1]:=$A0C8;map[ 2656][2]:=$DEA9;
map[ 2657][1]:=$A0C9;map[ 2657][2]:=$DEA8;
map[ 2658][1]:=$A0CA;map[ 2658][2]:=$DEA7;
map[ 2659][1]:=$A0CB;map[ 2659][2]:=$E2C9;
map[ 2660][1]:=$A0CD;map[ 2660][2]:=$E2C8;
map[ 2661][1]:=$A0CF;map[ 2661][2]:=$E2C7;
map[ 2662][1]:=$A0D0;map[ 2662][2]:=$E673;
map[ 2663][1]:=$A0D2;map[ 2663][2]:=$E674;
map[ 2664][1]:=$A0D5;map[ 2664][2]:=$EA59;
map[ 2665][1]:=$A0D6;map[ 2665][2]:=$EA5A;
map[ 2666][1]:=$A0D8;map[ 2666][2]:=$F272;
map[ 2667][1]:=$A0DA;map[ 2667][2]:=$F271;
map[ 2668][1]:=$A0DB;map[ 2668][2]:=$F270;
map[ 2669][1]:=$A0DC;map[ 2669][2]:=$F26E;
map[ 2670][1]:=$A0DD;map[ 2670][2]:=$F26F;
map[ 2671][1]:=$A0DF;map[ 2671][2]:=$F46C;
map[ 2672][1]:=$A0E0;map[ 2672][2]:=$F6EE;
map[ 2673][1]:=$A0E1;map[ 2673][2]:=$F8F7;
map[ 2674][1]:=$A0E3;map[ 2674][2]:=$C9A5;
map[ 2675][1]:=$A0E7;map[ 2675][2]:=$CA44;
map[ 2676][1]:=$A0E8;map[ 2676][2]:=$CB66;
map[ 2677][1]:=$A0EB;map[ 2677][2]:=$CB62;
map[ 2678][1]:=$A0ED;map[ 2678][2]:=$CB61;
map[ 2679][1]:=$A0EF;map[ 2679][2]:=$CB67;
map[ 2680][1]:=$A0F0;map[ 2680][2]:=$CB64;
map[ 2681][1]:=$A0F2;map[ 2681][2]:=$CD5F;
map[ 2682][1]:=$A0F3;map[ 2682][2]:=$CFBE;
map[ 2683][1]:=$A0F4;map[ 2683][2]:=$CD5D;
map[ 2684][1]:=$A0F5;map[ 2684][2]:=$CD64;
map[ 2685][1]:=$A0F7;map[ 2685][2]:=$CD65;
map[ 2686][1]:=$A0F9;map[ 2686][2]:=$CD62;
map[ 2687][1]:=$A0FB;map[ 2687][2]:=$CD5C;
map[ 2688][1]:=$A0FC;map[ 2688][2]:=$CD5E;
map[ 2689][1]:=$A0FD;map[ 2689][2]:=$CD63;
map[ 2690][1]:=$A1A1;map[ 2690][2]:=$A140;
map[ 2691][1]:=$A1A2;map[ 2691][2]:=$A142;
map[ 2692][1]:=$A1A3;map[ 2692][2]:=$A143;
map[ 2693][1]:=$A1A4;map[ 2693][2]:=$A150;
map[ 2694][1]:=$A1A5;map[ 2694][2]:=$A1C2;
map[ 2695][1]:=$A1A5;map[ 2695][2]:=$A3BC;
map[ 2696][1]:=$A1A6;map[ 2696][2]:=$A3BE;
map[ 2697][1]:=$A1A8;map[ 2697][2]:=$A1B2;
map[ 2698][1]:=$A1AB;map[ 2698][2]:=$A1E3;
map[ 2699][1]:=$A1AD;map[ 2699][2]:=$A14B;
map[ 2700][1]:=$A1AE;map[ 2700][2]:=$A1A5;
map[ 2701][1]:=$A1AF;map[ 2701][2]:=$A1A6;
map[ 2702][1]:=$A1B0;map[ 2702][2]:=$A1A7;
map[ 2703][1]:=$A1B1;map[ 2703][2]:=$A1A8;
map[ 2704][1]:=$A1B2;map[ 2704][2]:=$A165;
map[ 2705][1]:=$A1B3;map[ 2705][2]:=$A166;
map[ 2706][1]:=$A1B4;map[ 2706][2]:=$A171;
map[ 2707][1]:=$A1B5;map[ 2707][2]:=$A172;
map[ 2708][1]:=$A1B6;map[ 2708][2]:=$A16D;
map[ 2709][1]:=$A1B7;map[ 2709][2]:=$A16E;
map[ 2710][1]:=$A1B8;map[ 2710][2]:=$A175;
map[ 2711][1]:=$A1B9;map[ 2711][2]:=$A176;
map[ 2712][1]:=$A1BA;map[ 2712][2]:=$A179;
map[ 2713][1]:=$A1BB;map[ 2713][2]:=$A17A;
map[ 2714][1]:=$A1BE;map[ 2714][2]:=$A169;
map[ 2715][1]:=$A1BF;map[ 2715][2]:=$A16A;
map[ 2716][1]:=$A1C0;map[ 2716][2]:=$A1D3;
map[ 2717][1]:=$A1C1;map[ 2717][2]:=$A1D1;
map[ 2718][1]:=$A1C2;map[ 2718][2]:=$A1D2;
map[ 2719][1]:=$A1C8;map[ 2719][2]:=$A1E5;
map[ 2720][1]:=$A1C9;map[ 2720][2]:=$A1E4;
map[ 2721][1]:=$A1CC;map[ 2721][2]:=$A1D4;
map[ 2722][1]:=$A1CD;map[ 2722][2]:=$A1E6;
map[ 2723][1]:=$A1CE;map[ 2723][2]:=$A1FC;
map[ 2724][1]:=$A1CF;map[ 2724][2]:=$A1E7;
map[ 2725][1]:=$A1D1;map[ 2725][2]:=$A1F3;
map[ 2726][1]:=$A1D2;map[ 2726][2]:=$A1EC;
map[ 2727][1]:=$A1D3;map[ 2727][2]:=$A1ED;
map[ 2728][1]:=$A1D4;map[ 2728][2]:=$A1DD;
map[ 2729][1]:=$A1D9;map[ 2729][2]:=$A1DA;
map[ 2730][1]:=$A1DE;map[ 2730][2]:=$A1DB;
map[ 2731][1]:=$A1DF;map[ 2731][2]:=$A1EE;
map[ 2732][1]:=$A1E0;map[ 2732][2]:=$A1EF;
map[ 2733][1]:=$A1E1;map[ 2733][2]:=$A1F1;
map[ 2734][1]:=$A1E2;map[ 2734][2]:=$A1F0;
map[ 2735][1]:=$A1E3;map[ 2735][2]:=$A258;
map[ 2736][1]:=$A1E4;map[ 2736][2]:=$A1AC;
map[ 2737][1]:=$A1E6;map[ 2737][2]:=$A24A;
map[ 2738][1]:=$A1E7;map[ 2738][2]:=$A243;
map[ 2739][1]:=$A1E9;map[ 2739][2]:=$A246;
map[ 2740][1]:=$A1EA;map[ 2740][2]:=$A247;
map[ 2741][1]:=$A1EC;map[ 2741][2]:=$A1B1;
map[ 2742][1]:=$A1EE;map[ 2742][2]:=$A1B8;
map[ 2743][1]:=$A1EF;map[ 2743][2]:=$A1B9;
map[ 2744][1]:=$A1F0;map[ 2744][2]:=$A1B3;
map[ 2745][1]:=$A1F1;map[ 2745][2]:=$A1B4;
map[ 2746][1]:=$A1F2;map[ 2746][2]:=$A1B7;
map[ 2747][1]:=$A1F3;map[ 2747][2]:=$A1BA;
map[ 2748][1]:=$A1F4;map[ 2748][2]:=$A1BB;
map[ 2749][1]:=$A1F5;map[ 2749][2]:=$A1BC;
map[ 2750][1]:=$A1F6;map[ 2750][2]:=$A1BD;
map[ 2751][1]:=$A1F7;map[ 2751][2]:=$A1B5;
map[ 2752][1]:=$A1F8;map[ 2752][2]:=$A1B6;
map[ 2753][1]:=$A1F9;map[ 2753][2]:=$A1B0;
map[ 2754][1]:=$A1FA;map[ 2754][2]:=$A1F7;
map[ 2755][1]:=$A1FB;map[ 2755][2]:=$A1F6;
map[ 2756][1]:=$A1FC;map[ 2756][2]:=$A1F4;
map[ 2757][1]:=$A1FD;map[ 2757][2]:=$A1F5;
map[ 2758][1]:=$A2F1;map[ 2758][2]:=$A2B9;
map[ 2759][1]:=$A2F2;map[ 2759][2]:=$A2BA;
map[ 2760][1]:=$A2F3;map[ 2760][2]:=$A2BB;
map[ 2761][1]:=$A2F4;map[ 2761][2]:=$A2BC;
map[ 2762][1]:=$A2F5;map[ 2762][2]:=$A2BD;
map[ 2763][1]:=$A2F6;map[ 2763][2]:=$A2BE;
map[ 2764][1]:=$A2F7;map[ 2764][2]:=$A2BF;
map[ 2765][1]:=$A2F8;map[ 2765][2]:=$A2C0;
map[ 2766][1]:=$A2F9;map[ 2766][2]:=$A2C1;
map[ 2767][1]:=$A2FA;map[ 2767][2]:=$A2C2;
map[ 2768][1]:=$A3A1;map[ 2768][2]:=$A149;
map[ 2769][1]:=$A3A3;map[ 2769][2]:=$A1AD;
map[ 2770][1]:=$A3A4;map[ 2770][2]:=$A244;
map[ 2771][1]:=$A3A5;map[ 2771][2]:=$A248;
map[ 2772][1]:=$A3A6;map[ 2772][2]:=$A1AE;
map[ 2773][1]:=$A3A8;map[ 2773][2]:=$A15D;
map[ 2774][1]:=$A3A9;map[ 2774][2]:=$A15E;
map[ 2775][1]:=$A3AA;map[ 2775][2]:=$A1AF;
map[ 2776][1]:=$A3AB;map[ 2776][2]:=$A1CF;
map[ 2777][1]:=$A3AC;map[ 2777][2]:=$A141;
map[ 2778][1]:=$A3AD;map[ 2778][2]:=$A158;
map[ 2779][1]:=$A3AD;map[ 2779][2]:=$A1D0;
map[ 2780][1]:=$A3AE;map[ 2780][2]:=$A144;
map[ 2781][1]:=$A3AE;map[ 2781][2]:=$A145;
map[ 2782][1]:=$A3AF;map[ 2782][2]:=$A1FE;
map[ 2783][1]:=$A3B0;map[ 2783][2]:=$A2AF;
map[ 2784][1]:=$A3B1;map[ 2784][2]:=$A2B0;
map[ 2785][1]:=$A3B2;map[ 2785][2]:=$A2B1;
map[ 2786][1]:=$A3B3;map[ 2786][2]:=$A2B2;
map[ 2787][1]:=$A3B4;map[ 2787][2]:=$A2B3;
map[ 2788][1]:=$A3B5;map[ 2788][2]:=$A2B4;
map[ 2789][1]:=$A3B6;map[ 2789][2]:=$A2B5;
map[ 2790][1]:=$A3B7;map[ 2790][2]:=$A2B6;
map[ 2791][1]:=$A3B8;map[ 2791][2]:=$A2B7;
map[ 2792][1]:=$A3B9;map[ 2792][2]:=$A2B8;
map[ 2793][1]:=$A3BA;map[ 2793][2]:=$A147;
map[ 2794][1]:=$A3BB;map[ 2794][2]:=$A146;
map[ 2795][1]:=$A3BC;map[ 2795][2]:=$A1D5;
map[ 2796][1]:=$A3BD;map[ 2796][2]:=$A1D7;
map[ 2797][1]:=$A3BE;map[ 2797][2]:=$A1D6;
map[ 2798][1]:=$A3BF;map[ 2798][2]:=$A148;
map[ 2799][1]:=$A3C0;map[ 2799][2]:=$A249;
map[ 2800][1]:=$A3C1;map[ 2800][2]:=$A2CF;
map[ 2801][1]:=$A3C2;map[ 2801][2]:=$A2D0;
map[ 2802][1]:=$A3C3;map[ 2802][2]:=$A2D1;
map[ 2803][1]:=$A3C4;map[ 2803][2]:=$A2D2;
map[ 2804][1]:=$A3C5;map[ 2804][2]:=$A2D3;
map[ 2805][1]:=$A3C6;map[ 2805][2]:=$A2D4;
map[ 2806][1]:=$A3C7;map[ 2806][2]:=$A2D5;
map[ 2807][1]:=$A3C8;map[ 2807][2]:=$A2D6;
map[ 2808][1]:=$A3C9;map[ 2808][2]:=$A2D7;
map[ 2809][1]:=$A3CA;map[ 2809][2]:=$A2D8;
map[ 2810][1]:=$A3CB;map[ 2810][2]:=$A2D9;
map[ 2811][1]:=$A3CC;map[ 2811][2]:=$A2DA;
map[ 2812][1]:=$A3CD;map[ 2812][2]:=$A2DB;
map[ 2813][1]:=$A3CE;map[ 2813][2]:=$A2DC;
map[ 2814][1]:=$A3CF;map[ 2814][2]:=$A2DD;
map[ 2815][1]:=$A3D0;map[ 2815][2]:=$A2DE;
map[ 2816][1]:=$A3D1;map[ 2816][2]:=$A2DF;
map[ 2817][1]:=$A3D2;map[ 2817][2]:=$A2E0;
map[ 2818][1]:=$A3D3;map[ 2818][2]:=$A2E1;
map[ 2819][1]:=$A3D4;map[ 2819][2]:=$A2E2;
map[ 2820][1]:=$A3D5;map[ 2820][2]:=$A2E3;
map[ 2821][1]:=$A3D6;map[ 2821][2]:=$A2E4;
map[ 2822][1]:=$A3D7;map[ 2822][2]:=$A2E5;
map[ 2823][1]:=$A3D8;map[ 2823][2]:=$A2E6;
map[ 2824][1]:=$A3D9;map[ 2824][2]:=$A2E7;
map[ 2825][1]:=$A3DA;map[ 2825][2]:=$A2E8;
map[ 2826][1]:=$A3DC;map[ 2826][2]:=$A240;
map[ 2827][1]:=$A3DF;map[ 2827][2]:=$A15A;
map[ 2828][1]:=$A3DF;map[ 2828][2]:=$A1C4;
map[ 2829][1]:=$A3DF;map[ 2829][2]:=$A1C5;
map[ 2830][1]:=$A3E1;map[ 2830][2]:=$A2E9;
map[ 2831][1]:=$A3E2;map[ 2831][2]:=$A2EA;
map[ 2832][1]:=$A3E3;map[ 2832][2]:=$A2EB;
map[ 2833][1]:=$A3E4;map[ 2833][2]:=$A2EC;
map[ 2834][1]:=$A3E5;map[ 2834][2]:=$A2ED;
map[ 2835][1]:=$A3E6;map[ 2835][2]:=$A2EE;
map[ 2836][1]:=$A3E7;map[ 2836][2]:=$A2EF;
map[ 2837][1]:=$A3E8;map[ 2837][2]:=$A2F0;
map[ 2838][1]:=$A3E9;map[ 2838][2]:=$A2F1;
map[ 2839][1]:=$A3EA;map[ 2839][2]:=$A2F2;
map[ 2840][1]:=$A3EB;map[ 2840][2]:=$A2F3;
map[ 2841][1]:=$A3EC;map[ 2841][2]:=$A2F4;
map[ 2842][1]:=$A3ED;map[ 2842][2]:=$A2F5;
map[ 2843][1]:=$A3EE;map[ 2843][2]:=$A2F6;
map[ 2844][1]:=$A3EF;map[ 2844][2]:=$A2F7;
map[ 2845][1]:=$A3F0;map[ 2845][2]:=$A2F8;
map[ 2846][1]:=$A3F1;map[ 2846][2]:=$A2F9;
map[ 2847][1]:=$A3F2;map[ 2847][2]:=$A2FA;
map[ 2848][1]:=$A3F3;map[ 2848][2]:=$A2FB;
map[ 2849][1]:=$A3F4;map[ 2849][2]:=$A2FC;
map[ 2850][1]:=$A3F5;map[ 2850][2]:=$A2FD;
map[ 2851][1]:=$A3F6;map[ 2851][2]:=$A2FE;
map[ 2852][1]:=$A3F7;map[ 2852][2]:=$A340;
map[ 2853][1]:=$A3F8;map[ 2853][2]:=$A341;
map[ 2854][1]:=$A3F9;map[ 2854][2]:=$A342;
map[ 2855][1]:=$A3FA;map[ 2855][2]:=$A343;
map[ 2856][1]:=$A3FB;map[ 2856][2]:=$A161;
map[ 2857][1]:=$A3FC;map[ 2857][2]:=$A155;
map[ 2858][1]:=$A3FD;map[ 2858][2]:=$A162;
map[ 2859][1]:=$A3FE;map[ 2859][2]:=$A1C3;
map[ 2860][1]:=$A6A1;map[ 2860][2]:=$A344;
map[ 2861][1]:=$A6A2;map[ 2861][2]:=$A345;
map[ 2862][1]:=$A6A3;map[ 2862][2]:=$A346;
map[ 2863][1]:=$A6A4;map[ 2863][2]:=$A347;
map[ 2864][1]:=$A6A5;map[ 2864][2]:=$A348;
map[ 2865][1]:=$A6A6;map[ 2865][2]:=$A349;
map[ 2866][1]:=$A6A7;map[ 2866][2]:=$A34A;
map[ 2867][1]:=$A6A8;map[ 2867][2]:=$A34B;
map[ 2868][1]:=$A6A9;map[ 2868][2]:=$A34C;
map[ 2869][1]:=$A6AA;map[ 2869][2]:=$A34D;
map[ 2870][1]:=$A6AB;map[ 2870][2]:=$A34E;
map[ 2871][1]:=$A6AC;map[ 2871][2]:=$A34F;
map[ 2872][1]:=$A6AD;map[ 2872][2]:=$A350;
map[ 2873][1]:=$A6AE;map[ 2873][2]:=$A351;
map[ 2874][1]:=$A6AF;map[ 2874][2]:=$A352;
map[ 2875][1]:=$A6B0;map[ 2875][2]:=$A353;
map[ 2876][1]:=$A6B1;map[ 2876][2]:=$A354;
map[ 2877][1]:=$A6B2;map[ 2877][2]:=$A355;
map[ 2878][1]:=$A6B3;map[ 2878][2]:=$A356;
map[ 2879][1]:=$A6B4;map[ 2879][2]:=$A357;
map[ 2880][1]:=$A6B5;map[ 2880][2]:=$A358;
map[ 2881][1]:=$A6B6;map[ 2881][2]:=$A359;
map[ 2882][1]:=$A6B7;map[ 2882][2]:=$A35A;
map[ 2883][1]:=$A6B8;map[ 2883][2]:=$A35B;
map[ 2884][1]:=$A6C1;map[ 2884][2]:=$A35C;
map[ 2885][1]:=$A6C2;map[ 2885][2]:=$A35D;
map[ 2886][1]:=$A6C3;map[ 2886][2]:=$A35E;
map[ 2887][1]:=$A6C4;map[ 2887][2]:=$A35F;
map[ 2888][1]:=$A6C5;map[ 2888][2]:=$A360;
map[ 2889][1]:=$A6C6;map[ 2889][2]:=$A361;
map[ 2890][1]:=$A6C7;map[ 2890][2]:=$A362;
map[ 2891][1]:=$A6C8;map[ 2891][2]:=$A363;
map[ 2892][1]:=$A6C9;map[ 2892][2]:=$A364;
map[ 2893][1]:=$A6CA;map[ 2893][2]:=$A365;
map[ 2894][1]:=$A6CB;map[ 2894][2]:=$A366;
map[ 2895][1]:=$A6CC;map[ 2895][2]:=$A367;
map[ 2896][1]:=$A6CD;map[ 2896][2]:=$A368;
map[ 2897][1]:=$A6CE;map[ 2897][2]:=$A369;
map[ 2898][1]:=$A6CF;map[ 2898][2]:=$A36A;
map[ 2899][1]:=$A6D0;map[ 2899][2]:=$A36B;
map[ 2900][1]:=$A6D1;map[ 2900][2]:=$A36C;
map[ 2901][1]:=$A6D2;map[ 2901][2]:=$A36D;
map[ 2902][1]:=$A6D3;map[ 2902][2]:=$A36E;
map[ 2903][1]:=$A6D4;map[ 2903][2]:=$A36F;
map[ 2904][1]:=$A6D5;map[ 2904][2]:=$A370;
map[ 2905][1]:=$A6D6;map[ 2905][2]:=$A371;
map[ 2906][1]:=$A6D7;map[ 2906][2]:=$A372;
map[ 2907][1]:=$A6D8;map[ 2907][2]:=$A373;
map[ 2908][1]:=$A6E0;map[ 2908][2]:=$A15F;
map[ 2909][1]:=$A6E1;map[ 2909][2]:=$A160;
map[ 2910][1]:=$A6E2;map[ 2910][2]:=$A167;
map[ 2911][1]:=$A6E3;map[ 2911][2]:=$A168;
map[ 2912][1]:=$A6E4;map[ 2912][2]:=$A173;
map[ 2913][1]:=$A6E5;map[ 2913][2]:=$A174;
map[ 2914][1]:=$A6E6;map[ 2914][2]:=$A16F;
map[ 2915][1]:=$A6E7;map[ 2915][2]:=$A170;
map[ 2916][1]:=$A6E8;map[ 2916][2]:=$A177;
map[ 2917][1]:=$A6E9;map[ 2917][2]:=$A178;
map[ 2918][1]:=$A6EA;map[ 2918][2]:=$A17B;
map[ 2919][1]:=$A6EB;map[ 2919][2]:=$A17C;
map[ 2920][1]:=$A6EE;map[ 2920][2]:=$A16B;
map[ 2921][1]:=$A6EF;map[ 2921][2]:=$A16C;
map[ 2922][1]:=$A6F0;map[ 2922][2]:=$A163;
map[ 2923][1]:=$A6F1;map[ 2923][2]:=$A164;
map[ 2924][1]:=$A6F2;map[ 2924][2]:=$A157;
map[ 2925][1]:=$A6F4;map[ 2925][2]:=$A159;
map[ 2926][1]:=$A6F5;map[ 2926][2]:=$A15B;
map[ 2927][1]:=$A840;map[ 2927][2]:=$A3BD;
map[ 2928][1]:=$A841;map[ 2928][2]:=$A3BF;
map[ 2929][1]:=$A842;map[ 2929][2]:=$A3BB;
map[ 2930][1]:=$A845;map[ 2930][2]:=$A14C;
map[ 2931][1]:=$A846;map[ 2931][2]:=$A1AB;
map[ 2932][1]:=$A847;map[ 2932][2]:=$A1C1;
map[ 2933][1]:=$A848;map[ 2933][2]:=$A24B;
map[ 2934][1]:=$A849;map[ 2934][2]:=$A1F8;
map[ 2935][1]:=$A84A;map[ 2935][2]:=$A1F9;
map[ 2936][1]:=$A84B;map[ 2936][2]:=$A1FB;
map[ 2937][1]:=$A84C;map[ 2937][2]:=$A1FA;
map[ 2938][1]:=$A84D;map[ 2938][2]:=$A241;
map[ 2939][1]:=$A84E;map[ 2939][2]:=$A1E8;
map[ 2940][1]:=$A84F;map[ 2940][2]:=$A1FD;
map[ 2941][1]:=$A850;map[ 2941][2]:=$A1DC;
map[ 2942][1]:=$A851;map[ 2942][2]:=$A1D8;
map[ 2943][1]:=$A852;map[ 2943][2]:=$A1D9;
map[ 2944][1]:=$A853;map[ 2944][2]:=$A1E9;
map[ 2945][1]:=$A854;map[ 2945][2]:=$A2A4;
map[ 2946][1]:=$A862;map[ 2946][2]:=$A2A5;
map[ 2947][1]:=$A865;map[ 2947][2]:=$A2A7;
map[ 2948][1]:=$A86E;map[ 2948][2]:=$A2A6;
map[ 2949][1]:=$A871;map[ 2949][2]:=$A27E;
map[ 2950][1]:=$A872;map[ 2950][2]:=$A2A1;
map[ 2951][1]:=$A873;map[ 2951][2]:=$A2A3;
map[ 2952][1]:=$A874;map[ 2952][2]:=$A2A2;
map[ 2953][1]:=$A875;map[ 2953][2]:=$A2AC;
map[ 2954][1]:=$A876;map[ 2954][2]:=$A2AD;
map[ 2955][1]:=$A877;map[ 2955][2]:=$A2AE;
map[ 2956][1]:=$A878;map[ 2956][2]:=$A262;
map[ 2957][1]:=$A879;map[ 2957][2]:=$A263;
map[ 2958][1]:=$A87A;map[ 2958][2]:=$A264;
map[ 2959][1]:=$A87B;map[ 2959][2]:=$A265;
map[ 2960][1]:=$A87C;map[ 2960][2]:=$A266;
map[ 2961][1]:=$A87D;map[ 2961][2]:=$A267;
map[ 2962][1]:=$A87E;map[ 2962][2]:=$A268;
map[ 2963][1]:=$A880;map[ 2963][2]:=$A269;
map[ 2964][1]:=$A881;map[ 2964][2]:=$A270;
map[ 2965][1]:=$A882;map[ 2965][2]:=$A26F;
map[ 2966][1]:=$A883;map[ 2966][2]:=$A26E;
map[ 2967][1]:=$A884;map[ 2967][2]:=$A26D;
map[ 2968][1]:=$A885;map[ 2968][2]:=$A26C;
map[ 2969][1]:=$A886;map[ 2969][2]:=$A26B;
map[ 2970][1]:=$A887;map[ 2970][2]:=$A26A;
map[ 2971][1]:=$A889;map[ 2971][2]:=$A276;
map[ 2972][1]:=$A88A;map[ 2972][2]:=$A279;
map[ 2973][1]:=$A88B;map[ 2973][2]:=$A1BF;
map[ 2974][1]:=$A88C;map[ 2974][2]:=$A1BE;
map[ 2975][1]:=$A88D;map[ 2975][2]:=$A2A8;
map[ 2976][1]:=$A88E;map[ 2976][2]:=$A2A9;
map[ 2977][1]:=$A88F;map[ 2977][2]:=$A2AB;
map[ 2978][1]:=$A890;map[ 2978][2]:=$A2AA;
map[ 2979][1]:=$A892;map[ 2979][2]:=$A1F2;
map[ 2980][1]:=$A893;map[ 2980][2]:=$A245;
map[ 2981][1]:=$A894;map[ 2981][2]:=$A1A9;
map[ 2982][1]:=$A895;map[ 2982][2]:=$A1AA;
map[ 2983][1]:=$A8C5;map[ 2983][2]:=$A374;
map[ 2984][1]:=$A8C6;map[ 2984][2]:=$A375;
map[ 2985][1]:=$A8C7;map[ 2985][2]:=$A376;
map[ 2986][1]:=$A8C8;map[ 2986][2]:=$A377;
map[ 2987][1]:=$A8C9;map[ 2987][2]:=$A378;
map[ 2988][1]:=$A8CA;map[ 2988][2]:=$A379;
map[ 2989][1]:=$A8CB;map[ 2989][2]:=$A37A;
map[ 2990][1]:=$A8CC;map[ 2990][2]:=$A37B;
map[ 2991][1]:=$A8CD;map[ 2991][2]:=$A37C;
map[ 2992][1]:=$A8CE;map[ 2992][2]:=$A37D;
map[ 2993][1]:=$A8CF;map[ 2993][2]:=$A37E;
map[ 2994][1]:=$A8D0;map[ 2994][2]:=$A3A1;
map[ 2995][1]:=$A8D1;map[ 2995][2]:=$A3A2;
map[ 2996][1]:=$A8D2;map[ 2996][2]:=$A3A3;
map[ 2997][1]:=$A8D3;map[ 2997][2]:=$A3A4;
map[ 2998][1]:=$A8D4;map[ 2998][2]:=$A3A5;
map[ 2999][1]:=$A8D5;map[ 2999][2]:=$A3A6;
map[ 3000][1]:=$A8D6;map[ 3000][2]:=$A3A7;
map[ 3001][1]:=$A8D7;map[ 3001][2]:=$A3A8;
map[ 3002][1]:=$A8D8;map[ 3002][2]:=$A3A9;
map[ 3003][1]:=$A8D9;map[ 3003][2]:=$A3AA;
map[ 3004][1]:=$A8DA;map[ 3004][2]:=$A3AB;
map[ 3005][1]:=$A8DB;map[ 3005][2]:=$A3AC;
map[ 3006][1]:=$A8DC;map[ 3006][2]:=$A3AD;
map[ 3007][1]:=$A8DD;map[ 3007][2]:=$A3AE;
map[ 3008][1]:=$A8DE;map[ 3008][2]:=$A3AF;
map[ 3009][1]:=$A8DF;map[ 3009][2]:=$A3B0;
map[ 3010][1]:=$A8E0;map[ 3010][2]:=$A3B1;
map[ 3011][1]:=$A8E1;map[ 3011][2]:=$A3B2;
map[ 3012][1]:=$A8E2;map[ 3012][2]:=$A3B3;
map[ 3013][1]:=$A8E3;map[ 3013][2]:=$A3B4;
map[ 3014][1]:=$A8E4;map[ 3014][2]:=$A3B5;
map[ 3015][1]:=$A8E5;map[ 3015][2]:=$A3B6;
map[ 3016][1]:=$A8E6;map[ 3016][2]:=$A3B7;
map[ 3017][1]:=$A8E7;map[ 3017][2]:=$A3B8;
map[ 3018][1]:=$A8E8;map[ 3018][2]:=$A3B9;
map[ 3019][1]:=$A8E9;map[ 3019][2]:=$A3BA;
map[ 3020][1]:=$A940;map[ 3020][2]:=$A2C3;
map[ 3021][1]:=$A941;map[ 3021][2]:=$A2C4;
map[ 3022][1]:=$A942;map[ 3022][2]:=$A2C5;
map[ 3023][1]:=$A943;map[ 3023][2]:=$A2C6;
map[ 3024][1]:=$A944;map[ 3024][2]:=$A2C7;
map[ 3025][1]:=$A945;map[ 3025][2]:=$A2C8;
map[ 3026][1]:=$A946;map[ 3026][2]:=$A2C9;
map[ 3027][1]:=$A947;map[ 3027][2]:=$A2CA;
map[ 3028][1]:=$A948;map[ 3028][2]:=$A2CB;
map[ 3029][1]:=$A949;map[ 3029][2]:=$A1C0;
map[ 3030][1]:=$A94A;map[ 3030][2]:=$A255;
map[ 3031][1]:=$A94B;map[ 3031][2]:=$A256;
map[ 3032][1]:=$A94C;map[ 3032][2]:=$A250;
map[ 3033][1]:=$A94D;map[ 3033][2]:=$A251;
map[ 3034][1]:=$A94E;map[ 3034][2]:=$A252;
map[ 3035][1]:=$A94F;map[ 3035][2]:=$A254;
map[ 3036][1]:=$A950;map[ 3036][2]:=$A257;
map[ 3037][1]:=$A951;map[ 3037][2]:=$A253;
map[ 3038][1]:=$A952;map[ 3038][2]:=$A1EB;
map[ 3039][1]:=$A953;map[ 3039][2]:=$A1EA;
map[ 3040][1]:=$A954;map[ 3040][2]:=$A24F;
map[ 3041][1]:=$A955;map[ 3041][2]:=$A14A;
map[ 3042][1]:=$A968;map[ 3042][2]:=$A1C6;
map[ 3043][1]:=$A969;map[ 3043][2]:=$A1C7;
map[ 3044][1]:=$A96A;map[ 3044][2]:=$A1CA;
map[ 3045][1]:=$A96B;map[ 3045][2]:=$A1CB;
map[ 3046][1]:=$A96C;map[ 3046][2]:=$A1C8;
map[ 3047][1]:=$A96D;map[ 3047][2]:=$A1C9;
map[ 3048][1]:=$A96E;map[ 3048][2]:=$A15C;
map[ 3049][1]:=$A96F;map[ 3049][2]:=$A14D;
map[ 3050][1]:=$A970;map[ 3050][2]:=$A14E;
map[ 3051][1]:=$A971;map[ 3051][2]:=$A14F;
map[ 3052][1]:=$A972;map[ 3052][2]:=$A151;
map[ 3053][1]:=$A973;map[ 3053][2]:=$A152;
map[ 3054][1]:=$A974;map[ 3054][2]:=$A153;
map[ 3055][1]:=$A975;map[ 3055][2]:=$A154;
map[ 3056][1]:=$A976;map[ 3056][2]:=$A17D;
map[ 3057][1]:=$A977;map[ 3057][2]:=$A17E;
map[ 3058][1]:=$A978;map[ 3058][2]:=$A1A1;
map[ 3059][1]:=$A979;map[ 3059][2]:=$A1A2;
map[ 3060][1]:=$A97A;map[ 3060][2]:=$A1A3;
map[ 3061][1]:=$A97B;map[ 3061][2]:=$A1A4;
map[ 3062][1]:=$A97C;map[ 3062][2]:=$A1CC;
map[ 3063][1]:=$A97D;map[ 3063][2]:=$A1CD;
map[ 3064][1]:=$A97E;map[ 3064][2]:=$A1CE;
map[ 3065][1]:=$A980;map[ 3065][2]:=$A1DE;
map[ 3066][1]:=$A981;map[ 3066][2]:=$A156;
map[ 3067][1]:=$A981;map[ 3067][2]:=$A1DF;
map[ 3068][1]:=$A982;map[ 3068][2]:=$A1E0;
map[ 3069][1]:=$A983;map[ 3069][2]:=$A1E1;
map[ 3070][1]:=$A984;map[ 3070][2]:=$A1E2;
map[ 3071][1]:=$A985;map[ 3071][2]:=$A242;
map[ 3072][1]:=$A986;map[ 3072][2]:=$A24C;
map[ 3073][1]:=$A987;map[ 3073][2]:=$A24D;
map[ 3074][1]:=$A988;map[ 3074][2]:=$A24E;
map[ 3075][1]:=$A9A4;map[ 3075][2]:=$A277;
map[ 3076][1]:=$A9A6;map[ 3076][2]:=$A278;
map[ 3077][1]:=$A9B0;map[ 3077][2]:=$A27A;
map[ 3078][1]:=$A9B4;map[ 3078][2]:=$A27B;
map[ 3079][1]:=$A9B8;map[ 3079][2]:=$A27C;
map[ 3080][1]:=$A9BC;map[ 3080][2]:=$A27D;
map[ 3081][1]:=$A9C0;map[ 3081][2]:=$A275;
map[ 3082][1]:=$A9C8;map[ 3082][2]:=$A274;
map[ 3083][1]:=$A9D0;map[ 3083][2]:=$A273;
map[ 3084][1]:=$A9D8;map[ 3084][2]:=$A272;
map[ 3085][1]:=$A9E0;map[ 3085][2]:=$A271;
map[ 3086][1]:=$AA40;map[ 3086][2]:=$CD60;
map[ 3087][1]:=$AA41;map[ 3087][2]:=$ED64;
map[ 3088][1]:=$AA42;map[ 3088][2]:=$CFC2;
map[ 3089][1]:=$AA44;map[ 3089][2]:=$CFC5;
map[ 3090][1]:=$AA45;map[ 3090][2]:=$CFBF;
map[ 3091][1]:=$AA47;map[ 3091][2]:=$CFC4;
map[ 3092][1]:=$AA49;map[ 3092][2]:=$CFC3;
map[ 3093][1]:=$AA4A;map[ 3093][2]:=$CFC1;
map[ 3094][1]:=$AA4C;map[ 3094][2]:=$D2A7;
map[ 3095][1]:=$AA4F;map[ 3095][2]:=$D2A6;
map[ 3096][1]:=$AA50;map[ 3096][2]:=$D667;
map[ 3097][1]:=$AA51;map[ 3097][2]:=$D2A3;
map[ 3098][1]:=$AA56;map[ 3098][2]:=$D662;
map[ 3099][1]:=$AA57;map[ 3099][2]:=$D666;
map[ 3100][1]:=$AA59;map[ 3100][2]:=$DA6E;
map[ 3101][1]:=$AA5A;map[ 3101][2]:=$DA79;
map[ 3102][1]:=$AA5C;map[ 3102][2]:=$D668;
map[ 3103][1]:=$AA5E;map[ 3103][2]:=$D663;
map[ 3104][1]:=$AA5F;map[ 3104][2]:=$DA6D;
map[ 3105][1]:=$AA61;map[ 3105][2]:=$D664;
map[ 3106][1]:=$AA66;map[ 3106][2]:=$DA77;
map[ 3107][1]:=$AA68;map[ 3107][2]:=$DA76;
map[ 3108][1]:=$AA69;map[ 3108][2]:=$DA73;
map[ 3109][1]:=$AA6B;map[ 3109][2]:=$DA75;
map[ 3110][1]:=$AA6D;map[ 3110][2]:=$DA6F;
map[ 3111][1]:=$AA6E;map[ 3111][2]:=$DA74;
map[ 3112][1]:=$AA6F;map[ 3112][2]:=$DA72;
map[ 3113][1]:=$AA70;map[ 3113][2]:=$DA78;
map[ 3114][1]:=$AA72;map[ 3114][2]:=$DEAD;
map[ 3115][1]:=$AA74;map[ 3115][2]:=$DEAA;
map[ 3116][1]:=$AA76;map[ 3116][2]:=$DEAE;
map[ 3117][1]:=$AA78;map[ 3117][2]:=$DEAB;
map[ 3118][1]:=$AA80;map[ 3118][2]:=$DEB0;
map[ 3119][1]:=$AA81;map[ 3119][2]:=$DEAF;
map[ 3120][1]:=$AA83;map[ 3120][2]:=$E2CD;
map[ 3121][1]:=$AA86;map[ 3121][2]:=$E2CC;
map[ 3122][1]:=$AA8B;map[ 3122][2]:=$E675;
map[ 3123][1]:=$AA8C;map[ 3123][2]:=$E67E;
map[ 3124][1]:=$AA8D;map[ 3124][2]:=$E67D;
map[ 3125][1]:=$AA8E;map[ 3125][2]:=$E67B;
map[ 3126][1]:=$AA90;map[ 3126][2]:=$E67A;
map[ 3127][1]:=$AA91;map[ 3127][2]:=$E677;
map[ 3128][1]:=$AA92;map[ 3128][2]:=$E678;
map[ 3129][1]:=$AA93;map[ 3129][2]:=$E67C;
map[ 3130][1]:=$AA94;map[ 3130][2]:=$E6A1;
map[ 3131][1]:=$AA97;map[ 3131][2]:=$EA5F;
map[ 3132][1]:=$AA98;map[ 3132][2]:=$EA5C;
map[ 3133][1]:=$AA99;map[ 3133][2]:=$EA5D;
map[ 3134][1]:=$AA9B;map[ 3134][2]:=$EA5B;
map[ 3135][1]:=$AB41;map[ 3135][2]:=$ED63;
map[ 3136][1]:=$AB44;map[ 3136][2]:=$EFFE;
map[ 3137][1]:=$AB4B;map[ 3137][2]:=$F46D;
map[ 3138][1]:=$AB4C;map[ 3138][2]:=$F6EF;
map[ 3139][1]:=$AB4E;map[ 3139][2]:=$F7E8;
map[ 3140][1]:=$AB4F;map[ 3140][2]:=$F7E7;
map[ 3141][1]:=$AB50;map[ 3141][2]:=$F7E9;
map[ 3142][1]:=$AB51;map[ 3142][2]:=$CFC6;
map[ 3143][1]:=$AB53;map[ 3143][2]:=$D66A;
map[ 3144][1]:=$AB54;map[ 3144][2]:=$C9A7;
map[ 3145][1]:=$AB59;map[ 3145][2]:=$CB6C;
map[ 3146][1]:=$AB5A;map[ 3146][2]:=$CB6A;
map[ 3147][1]:=$AB5B;map[ 3147][2]:=$CB6B;
map[ 3148][1]:=$AB5C;map[ 3148][2]:=$CB68;
map[ 3149][1]:=$AB5D;map[ 3149][2]:=$CB69;
map[ 3150][1]:=$AB5F;map[ 3150][2]:=$F042;
map[ 3151][1]:=$AB60;map[ 3151][2]:=$DEB4;
map[ 3152][1]:=$AB62;map[ 3152][2]:=$CD6D;
map[ 3153][1]:=$AB64;map[ 3153][2]:=$CD6B;
map[ 3154][1]:=$AB65;map[ 3154][2]:=$CD67;
map[ 3155][1]:=$AB67;map[ 3155][2]:=$CD66;
map[ 3156][1]:=$AB68;map[ 3156][2]:=$AAB5;
map[ 3157][1]:=$AB69;map[ 3157][2]:=$CD69;
map[ 3158][1]:=$AB6D;map[ 3158][2]:=$CD6C;
map[ 3159][1]:=$AB6E;map[ 3159][2]:=$CD68;
map[ 3160][1]:=$AB6F;map[ 3160][2]:=$E2D2;
map[ 3161][1]:=$AB70;map[ 3161][2]:=$CFCE;
map[ 3162][1]:=$AB71;map[ 3162][2]:=$CFCD;
map[ 3163][1]:=$AB72;map[ 3163][2]:=$CFCC;
map[ 3164][1]:=$AB73;map[ 3164][2]:=$CFD5;
map[ 3165][1]:=$AB74;map[ 3165][2]:=$CFCB;
map[ 3166][1]:=$AB75;map[ 3166][2]:=$D2AF;
map[ 3167][1]:=$AB77;map[ 3167][2]:=$CFD2;
map[ 3168][1]:=$AB78;map[ 3168][2]:=$CFD0;
map[ 3169][1]:=$AB7A;map[ 3169][2]:=$CFD3;
map[ 3170][1]:=$AB7C;map[ 3170][2]:=$CFCA;
map[ 3171][1]:=$AB7D;map[ 3171][2]:=$CFD4;
map[ 3172][1]:=$AB7E;map[ 3172][2]:=$CFD1;
map[ 3173][1]:=$AB80;map[ 3173][2]:=$CFD6;
map[ 3174][1]:=$AB81;map[ 3174][2]:=$CFC7;
map[ 3175][1]:=$AB83;map[ 3175][2]:=$D2B4;
map[ 3176][1]:=$AB84;map[ 3176][2]:=$D2AB;
map[ 3177][1]:=$AB85;map[ 3177][2]:=$D2B6;
map[ 3178][1]:=$AB87;map[ 3178][2]:=$D2AE;
map[ 3179][1]:=$AB88;map[ 3179][2]:=$D2B9;
map[ 3180][1]:=$AB89;map[ 3180][2]:=$D2BA;
map[ 3181][1]:=$AB8A;map[ 3181][2]:=$D2B8;
map[ 3182][1]:=$AB8B;map[ 3182][2]:=$D2B5;
map[ 3183][1]:=$AB8C;map[ 3183][2]:=$D2B3;
map[ 3184][1]:=$AB8D;map[ 3184][2]:=$D2B7;
map[ 3185][1]:=$AB91;map[ 3185][2]:=$D2B1;
map[ 3186][1]:=$AB94;map[ 3186][2]:=$D2BB;
map[ 3187][1]:=$AB95;map[ 3187][2]:=$AF5E;
map[ 3188][1]:=$AB96;map[ 3188][2]:=$CFCF;
map[ 3189][1]:=$AB9A;map[ 3189][2]:=$ED68;
map[ 3190][1]:=$AB9D;map[ 3190][2]:=$D678;
map[ 3191][1]:=$AB9E;map[ 3191][2]:=$D66D;
map[ 3192][1]:=$AB9F;map[ 3192][2]:=$D66B;
map[ 3193][1]:=$AC40;map[ 3193][2]:=$D66C;
map[ 3194][1]:=$AC42;map[ 3194][2]:=$D673;
map[ 3195][1]:=$AC44;map[ 3195][2]:=$D674;
map[ 3196][1]:=$AC45;map[ 3196][2]:=$D670;
map[ 3197][1]:=$AC47;map[ 3197][2]:=$D675;
map[ 3198][1]:=$AC48;map[ 3198][2]:=$D672;
map[ 3199][1]:=$AC49;map[ 3199][2]:=$D66F;
map[ 3200][1]:=$AC4B;map[ 3200][2]:=$D66E;
map[ 3201][1]:=$AC4C;map[ 3201][2]:=$D671;
map[ 3202][1]:=$AC4D;map[ 3202][2]:=$D679;
map[ 3203][1]:=$AC4E;map[ 3203][2]:=$D677;
map[ 3204][1]:=$AC4F;map[ 3204][2]:=$D676;
map[ 3205][1]:=$AC51;map[ 3205][2]:=$EA68;
map[ 3206][1]:=$AC57;map[ 3206][2]:=$DA7E;
map[ 3207][1]:=$AC5C;map[ 3207][2]:=$DAA7;
map[ 3208][1]:=$AC5F;map[ 3208][2]:=$DAA9;
map[ 3209][1]:=$AC60;map[ 3209][2]:=$DAA2;
map[ 3210][1]:=$AC61;map[ 3210][2]:=$DAA6;
map[ 3211][1]:=$AC62;map[ 3211][2]:=$DAA5;
map[ 3212][1]:=$AC64;map[ 3212][2]:=$DAA8;
map[ 3213][1]:=$AC65;map[ 3213][2]:=$DA7D;
map[ 3214][1]:=$AC66;map[ 3214][2]:=$DAA3;
map[ 3215][1]:=$AC68;map[ 3215][2]:=$DAA4;
map[ 3216][1]:=$AC69;map[ 3216][2]:=$DAAA;
map[ 3217][1]:=$AC72;map[ 3217][2]:=$DEB7;
map[ 3218][1]:=$AC73;map[ 3218][2]:=$DEBB;
map[ 3219][1]:=$AC75;map[ 3219][2]:=$DEB1;
map[ 3220][1]:=$AC77;map[ 3220][2]:=$DEBC;
map[ 3221][1]:=$AC7B;map[ 3221][2]:=$DEB2;
map[ 3222][1]:=$AC7E;map[ 3222][2]:=$DEBD;
map[ 3223][1]:=$AC80;map[ 3223][2]:=$DEBA;
map[ 3224][1]:=$AC81;map[ 3224][2]:=$DEB8;
map[ 3225][1]:=$AC82;map[ 3225][2]:=$DEB9;
map[ 3226][1]:=$AC83;map[ 3226][2]:=$DEB5;
map[ 3227][1]:=$AC86;map[ 3227][2]:=$DEBE;
map[ 3228][1]:=$AC8C;map[ 3228][2]:=$E2CE;
map[ 3229][1]:=$AC91;map[ 3229][2]:=$E2D3;
map[ 3230][1]:=$AC97;map[ 3230][2]:=$E2D4;
map[ 3231][1]:=$AC99;map[ 3231][2]:=$E2D0;
map[ 3232][1]:=$AC9B;map[ 3232][2]:=$E2CF;
map[ 3233][1]:=$AC9D;map[ 3233][2]:=$E2D1;
map[ 3234][1]:=$AC9F;map[ 3234][2]:=$E6AB;
map[ 3235][1]:=$AD41;map[ 3235][2]:=$E6AA;
map[ 3236][1]:=$AD42;map[ 3236][2]:=$E6A7;
map[ 3237][1]:=$AD43;map[ 3237][2]:=$EA62;
map[ 3238][1]:=$AD46;map[ 3238][2]:=$E6A8;
map[ 3239][1]:=$AD47;map[ 3239][2]:=$E6A5;
map[ 3240][1]:=$AD48;map[ 3240][2]:=$E6A9;
map[ 3241][1]:=$AD4A;map[ 3241][2]:=$E6A4;
map[ 3242][1]:=$AD4F;map[ 3242][2]:=$EA66;
map[ 3243][1]:=$AD51;map[ 3243][2]:=$EA65;
map[ 3244][1]:=$AD52;map[ 3244][2]:=$EA67;
map[ 3245][1]:=$AD54;map[ 3245][2]:=$ED66;
map[ 3246][1]:=$AD55;map[ 3246][2]:=$BF5A;
map[ 3247][1]:=$AD57;map[ 3247][2]:=$EA63;
map[ 3248][1]:=$AD5A;map[ 3248][2]:=$BF5B;
map[ 3249][1]:=$AD5B;map[ 3249][2]:=$EA64;
map[ 3250][1]:=$AD60;map[ 3250][2]:=$ED6D;
map[ 3251][1]:=$AD62;map[ 3251][2]:=$ED6A;
map[ 3252][1]:=$AD65;map[ 3252][2]:=$ED6B;
map[ 3253][1]:=$AD67;map[ 3253][2]:=$ED6E;
map[ 3254][1]:=$AD69;map[ 3254][2]:=$ED6C;
map[ 3255][1]:=$AD6A;map[ 3255][2]:=$ED67;
map[ 3256][1]:=$AD6E;map[ 3256][2]:=$F045;
map[ 3257][1]:=$AD6F;map[ 3257][2]:=$F275;
map[ 3258][1]:=$AD70;map[ 3258][2]:=$F040;
map[ 3259][1]:=$AD72;map[ 3259][2]:=$F046;
map[ 3260][1]:=$AD75;map[ 3260][2]:=$F044;
map[ 3261][1]:=$AD77;map[ 3261][2]:=$F041;
map[ 3262][1]:=$AD78;map[ 3262][2]:=$F043;
map[ 3263][1]:=$AD79;map[ 3263][2]:=$F047;
map[ 3264][1]:=$AD7A;map[ 3264][2]:=$F276;
map[ 3265][1]:=$AD7C;map[ 3265][2]:=$F274;
map[ 3266][1]:=$AD83;map[ 3266][2]:=$F273;
map[ 3267][1]:=$AD8C;map[ 3267][2]:=$F6F1;
map[ 3268][1]:=$AD8D;map[ 3268][2]:=$C4EC;
map[ 3269][1]:=$AD8E;map[ 3269][2]:=$F6F3;
map[ 3270][1]:=$AD8F;map[ 3270][2]:=$F6F0;
map[ 3271][1]:=$AD90;map[ 3271][2]:=$F6F2;
map[ 3272][1]:=$AD92;map[ 3272][2]:=$F8B2;
map[ 3273][1]:=$AD93;map[ 3273][2]:=$CD6E;
map[ 3274][1]:=$AD94;map[ 3274][2]:=$D2BD;
map[ 3275][1]:=$AD95;map[ 3275][2]:=$DEBF;
map[ 3276][1]:=$AD96;map[ 3276][2]:=$F8B3;
map[ 3277][1]:=$AD98;map[ 3277][2]:=$CD6F;
map[ 3278][1]:=$AD99;map[ 3278][2]:=$A260;
map[ 3279][1]:=$AD9C;map[ 3279][2]:=$CFD7;
map[ 3280][1]:=$AE41;map[ 3280][2]:=$D2BF;
map[ 3281][1]:=$AE45;map[ 3281][2]:=$DAAB;
map[ 3282][1]:=$AE47;map[ 3282][2]:=$DEC2;
map[ 3283][1]:=$AE48;map[ 3283][2]:=$DEC1;
map[ 3284][1]:=$AE49;map[ 3284][2]:=$E2D5;
map[ 3285][1]:=$AE4B;map[ 3285][2]:=$E2D6;
map[ 3286][1]:=$AE4C;map[ 3286][2]:=$E2D7;
map[ 3287][1]:=$AE4F;map[ 3287][2]:=$E6AD;
map[ 3288][1]:=$AE50;map[ 3288][2]:=$E6AC;
map[ 3289][1]:=$AE53;map[ 3289][2]:=$EA69;
map[ 3290][1]:=$AE56;map[ 3290][2]:=$ED6F;
map[ 3291][1]:=$AE57;map[ 3291][2]:=$ED71;
map[ 3292][1]:=$AE58;map[ 3292][2]:=$F048;
map[ 3293][1]:=$AE5B;map[ 3293][2]:=$F5DE;
map[ 3294][1]:=$AE5D;map[ 3294][2]:=$DEC3;
map[ 3295][1]:=$AE60;map[ 3295][2]:=$D2C0;
map[ 3296][1]:=$AE66;map[ 3296][2]:=$CA46;
map[ 3297][1]:=$AE67;map[ 3297][2]:=$CFD9;
map[ 3298][1]:=$AE6A;map[ 3298][2]:=$CB6E;
map[ 3299][1]:=$AE6C;map[ 3299][2]:=$AAB6;
map[ 3300][1]:=$AE6D;map[ 3300][2]:=$CD70;
map[ 3301][1]:=$AE73;map[ 3301][2]:=$CFDA;
map[ 3302][1]:=$AE82;map[ 3302][2]:=$D2C2;
map[ 3303][1]:=$AE86;map[ 3303][2]:=$D67B;
map[ 3304][1]:=$AE87;map[ 3304][2]:=$D67A;
map[ 3305][1]:=$AE8C;map[ 3305][2]:=$DAAE;
map[ 3306][1]:=$AE8F;map[ 3306][2]:=$DAAD;
map[ 3307][1]:=$AE95;map[ 3307][2]:=$DEC5;
map[ 3308][1]:=$AE99;map[ 3308][2]:=$E2D8;
map[ 3309][1]:=$AE9A;map[ 3309][2]:=$E6AE;
map[ 3310][1]:=$AE9B;map[ 3310][2]:=$EA6A;
map[ 3311][1]:=$AE9E;map[ 3311][2]:=$ED73;
map[ 3312][1]:=$AF43;map[ 3312][2]:=$CD73;
map[ 3313][1]:=$AF46;map[ 3313][2]:=$E2D9;
map[ 3314][1]:=$AF48;map[ 3314][2]:=$CB70;
map[ 3315][1]:=$AF49;map[ 3315][2]:=$CD74;
map[ 3316][1]:=$AF4D;map[ 3316][2]:=$ACCF;
map[ 3317][1]:=$AF4F;map[ 3317][2]:=$CFDC;
map[ 3318][1]:=$AF52;map[ 3318][2]:=$CFDD;
map[ 3319][1]:=$AF54;map[ 3319][2]:=$D2C9;
map[ 3320][1]:=$AF56;map[ 3320][2]:=$D2CA;
map[ 3321][1]:=$AF57;map[ 3321][2]:=$D2C5;
map[ 3322][1]:=$AF58;map[ 3322][2]:=$D2C8;
map[ 3323][1]:=$AF59;map[ 3323][2]:=$D2C7;
map[ 3324][1]:=$AF5A;map[ 3324][2]:=$D2C4;
map[ 3325][1]:=$AF5C;map[ 3325][2]:=$D6A1;
map[ 3326][1]:=$AF5D;map[ 3326][2]:=$D6A2;
map[ 3327][1]:=$AF5E;map[ 3327][2]:=$D67C;
map[ 3328][1]:=$AF5F;map[ 3328][2]:=$D67E;
map[ 3329][1]:=$AF60;map[ 3329][2]:=$D6A4;
map[ 3330][1]:=$AF61;map[ 3330][2]:=$D6A3;
map[ 3331][1]:=$AF63;map[ 3331][2]:=$DAB6;
map[ 3332][1]:=$AF65;map[ 3332][2]:=$DAB0;
map[ 3333][1]:=$AF67;map[ 3333][2]:=$DAB3;
map[ 3334][1]:=$AF68;map[ 3334][2]:=$DAB4;
map[ 3335][1]:=$AF6A;map[ 3335][2]:=$DAB1;
map[ 3336][1]:=$AF6E;map[ 3336][2]:=$DED2;
map[ 3337][1]:=$AF70;map[ 3337][2]:=$DEC7;
map[ 3338][1]:=$AF71;map[ 3338][2]:=$B7F2;
map[ 3339][1]:=$AF72;map[ 3339][2]:=$B7F7;
map[ 3340][1]:=$AF73;map[ 3340][2]:=$DED3;
map[ 3341][1]:=$AF74;map[ 3341][2]:=$DED1;
map[ 3342][1]:=$AF75;map[ 3342][2]:=$DECA;
map[ 3343][1]:=$AF76;map[ 3343][2]:=$DECE;
map[ 3344][1]:=$AF78;map[ 3344][2]:=$DED0;
map[ 3345][1]:=$AF79;map[ 3345][2]:=$DED4;
map[ 3346][1]:=$AF7A;map[ 3346][2]:=$DECB;
map[ 3347][1]:=$AF80;map[ 3347][2]:=$E2DB;
map[ 3348][1]:=$AF85;map[ 3348][2]:=$DEC8;
map[ 3349][1]:=$AF86;map[ 3349][2]:=$E2DE;
map[ 3350][1]:=$AF89;map[ 3350][2]:=$E2E0;
map[ 3351][1]:=$AF8A;map[ 3351][2]:=$E2DA;
map[ 3352][1]:=$AF8B;map[ 3352][2]:=$E6B5;
map[ 3353][1]:=$AF8C;map[ 3353][2]:=$E6B3;
map[ 3354][1]:=$AF8D;map[ 3354][2]:=$E6B2;
map[ 3355][1]:=$AF90;map[ 3355][2]:=$E6B4;
map[ 3356][1]:=$AF92;map[ 3356][2]:=$E6B6;
map[ 3357][1]:=$AF95;map[ 3357][2]:=$EA6B;
map[ 3358][1]:=$AF96;map[ 3358][2]:=$EA6D;
map[ 3359][1]:=$AF97;map[ 3359][2]:=$EA72;
map[ 3360][1]:=$AF9D;map[ 3360][2]:=$EA6E;
map[ 3361][1]:=$B043;map[ 3361][2]:=$ED75;
map[ 3362][1]:=$B049;map[ 3362][2]:=$F04D;
map[ 3363][1]:=$B04C;map[ 3363][2]:=$F04E;
map[ 3364][1]:=$B04E;map[ 3364][2]:=$F04F;
map[ 3365][1]:=$B050;map[ 3365][2]:=$F04C;
map[ 3366][1]:=$B051;map[ 3366][2]:=$F050;
map[ 3367][1]:=$B055;map[ 3367][2]:=$F278;
map[ 3368][1]:=$B05E;map[ 3368][2]:=$F5DF;
map[ 3369][1]:=$B067;map[ 3369][2]:=$F9CC;
map[ 3370][1]:=$B06A;map[ 3370][2]:=$CFDE;
map[ 3371][1]:=$B06D;map[ 3371][2]:=$CA47;
map[ 3372][1]:=$B06F;map[ 3372][2]:=$CB71;
map[ 3373][1]:=$B072;map[ 3373][2]:=$D6A6;
map[ 3374][1]:=$B073;map[ 3374][2]:=$D2CB;
map[ 3375][1]:=$B076;map[ 3375][2]:=$D6A5;
map[ 3376][1]:=$B078;map[ 3376][2]:=$DAB8;
map[ 3377][1]:=$B07A;map[ 3377][2]:=$DAB7;
map[ 3378][1]:=$B07E;map[ 3378][2]:=$E6BB;
map[ 3379][1]:=$B080;map[ 3379][2]:=$E6B8;
map[ 3380][1]:=$B081;map[ 3380][2]:=$E6B9;
map[ 3381][1]:=$B082;map[ 3381][2]:=$E6BA;
map[ 3382][1]:=$B089;map[ 3382][2]:=$F051;
map[ 3383][1]:=$B08D;map[ 3383][2]:=$F471;
map[ 3384][1]:=$B08E;map[ 3384][2]:=$F470;
map[ 3385][1]:=$B090;map[ 3385][2]:=$F6F5;
map[ 3386][1]:=$B091;map[ 3386][2]:=$CD75;
map[ 3387][1]:=$B094;map[ 3387][2]:=$DED6;
map[ 3388][1]:=$B09A;map[ 3388][2]:=$EA74;
map[ 3389][1]:=$B09C;map[ 3389][2]:=$F052;
map[ 3390][1]:=$B09D;map[ 3390][2]:=$F472;
map[ 3391][1]:=$B0A1;map[ 3391][2]:=$B0DA;
map[ 3392][1]:=$B0A2;map[ 3392][2]:=$AAFC;
map[ 3393][1]:=$B0A3;map[ 3393][2]:=$AE4A;
map[ 3394][1]:=$B0A4;map[ 3394][2]:=$AEC1;
map[ 3395][1]:=$B0A5;map[ 3395][2]:=$AB75;
map[ 3396][1]:=$B0A6;map[ 3396][2]:=$ADFC;
map[ 3397][1]:=$B0A7;map[ 3397][2]:=$AB73;
map[ 3398][1]:=$B0A8;map[ 3398][2]:=$BD4A;
map[ 3399][1]:=$B0A9;map[ 3399][2]:=$C0F9;
map[ 3400][1]:=$B0AA;map[ 3400][2]:=$C4A7;
map[ 3401][1]:=$B0AB;map[ 3401][2]:=$B847;
map[ 3402][1]:=$B0AC;map[ 3402][2]:=$A6E3;
map[ 3403][1]:=$B0AD;map[ 3403][2]:=$C3AA;
map[ 3404][1]:=$B0AE;map[ 3404][2]:=$B752;
map[ 3405][1]:=$B0AF;map[ 3405][2]:=$B969;
map[ 3406][1]:=$B0B0;map[ 3406][2]:=$BE62;
map[ 3407][1]:=$B0B1;map[ 3407][2]:=$AEF2;
map[ 3408][1]:=$B0B2;map[ 3408][2]:=$A677;
map[ 3409][1]:=$B0B3;map[ 3409][2]:=$ADCD;
map[ 3410][1]:=$B0B4;map[ 3410][2]:=$ABF6;
map[ 3411][1]:=$B0B5;map[ 3411][2]:=$B774;
map[ 3412][1]:=$B0B6;map[ 3412][2]:=$A9A4;
map[ 3413][1]:=$B0B7;map[ 3413][2]:=$D369;
map[ 3414][1]:=$B0B8;map[ 3414][2]:=$AED7;
map[ 3415][1]:=$B0B9;map[ 3415][2]:=$CDAC;
map[ 3416][1]:=$B0BA;map[ 3416][2]:=$A9F9;
map[ 3417][1]:=$B0BB;map[ 3417][2]:=$AF73;
map[ 3418][1]:=$B0BC;map[ 3418][2]:=$A557;
map[ 3419][1]:=$B0BD;map[ 3419][2]:=$B1CE;
map[ 3420][1]:=$B0BE;map[ 3420][2]:=$BCF5;
map[ 3421][1]:=$B0BF;map[ 3421][2]:=$BFAC;
map[ 3422][1]:=$B0C0;map[ 3422][2]:=$C3CD;
map[ 3423][1]:=$B0C1;map[ 3423][2]:=$B6C6;
map[ 3424][1]:=$B0C2;map[ 3424][2]:=$B6F8;
map[ 3425][1]:=$B0C3;map[ 3425][2]:=$BED2;
map[ 3426][1]:=$B0C4;map[ 3426][2]:=$BF44;
map[ 3427][1]:=$B0C5;map[ 3427][2]:=$AADD;
map[ 3428][1]:=$B0C6;map[ 3428][2]:=$AEC3;
map[ 3429][1]:=$B0C7;map[ 3429][2]:=$A5B6;
map[ 3430][1]:=$B0C8;map[ 3430][2]:=$A57A;
map[ 3431][1]:=$B0C9;map[ 3431][2]:=$A761;
map[ 3432][1]:=$B0CA;map[ 3432][2]:=$AFB9;
map[ 3433][1]:=$B0CB;map[ 3433][2]:=$A44B;
map[ 3434][1]:=$B0CC;map[ 3434][2]:=$ACCD;
map[ 3435][1]:=$B0CD;map[ 3435][2]:=$A4DA;
map[ 3436][1]:=$B0CE;map[ 3436][2]:=$A9DE;
map[ 3437][1]:=$B0CF;map[ 3437][2]:=$B65B;
map[ 3438][1]:=$B0D0;map[ 3438][2]:=$B976;
map[ 3439][1]:=$B0D1;map[ 3439][2]:=$A7E2;
map[ 3440][1]:=$B0D2;map[ 3440][2]:=$AFD2;
map[ 3441][1]:=$B0D3;map[ 3441][2]:=$C5F2;
map[ 3442][1]:=$B0D4;map[ 3442][2]:=$C551;
map[ 3443][1]:=$B0D5;map[ 3443][2]:=$BD7D;
map[ 3444][1]:=$B0D6;map[ 3444][2]:=$AAA8;
map[ 3445][1]:=$B0D7;map[ 3445][2]:=$A5D5;
map[ 3446][1]:=$B0D8;map[ 3446][2]:=$AC66;
map[ 3447][1]:=$B0D9;map[ 3447][2]:=$A6CA;
map[ 3448][1]:=$B0DA;map[ 3448][2]:=$C25C;
map[ 3449][1]:=$B0DB;map[ 3449][2]:=$A8D5;
map[ 3450][1]:=$B0DC;map[ 3450][2]:=$B1D1;
map[ 3451][1]:=$B0DD;map[ 3451][2]:=$ABF4;
map[ 3452][1]:=$B0DE;map[ 3452][2]:=$DEFB;
map[ 3453][1]:=$B0DF;map[ 3453][2]:=$B4B3;
map[ 3454][1]:=$B0E0;map[ 3454][2]:=$AF5A;
map[ 3455][1]:=$B0E1;map[ 3455][2]:=$B768;
map[ 3456][1]:=$B0E2;map[ 3456][2]:=$A7E6;
map[ 3457][1]:=$B0E3;map[ 3457][2]:=$AFEB;
map[ 3458][1]:=$B0E4;map[ 3458][2]:=$B97B;
map[ 3459][1]:=$B0E5;map[ 3459][2]:=$AA4F;
map[ 3460][1]:=$B0E5;map[ 3460][2]:=$C1F3;
map[ 3461][1]:=$B0E6;map[ 3461][2]:=$AAA9;
map[ 3462][1]:=$B0E7;map[ 3462][2]:=$A7EA;
map[ 3463][1]:=$B0E8;map[ 3463][2]:=$A9D5;
map[ 3464][1]:=$B0E9;map[ 3464][2]:=$A6F1;
map[ 3465][1]:=$B0EA;map[ 3465][2]:=$C3A4;
map[ 3466][1]:=$B0EB;map[ 3466][2]:=$A562;
map[ 3467][1]:=$B0EC;map[ 3467][2]:=$BFEC;
map[ 3468][1]:=$B0ED;map[ 3468][2]:=$B2CC;
map[ 3469][1]:=$B0EE;map[ 3469][2]:=$A8B9;
map[ 3470][1]:=$B0EF;map[ 3470][2]:=$C0B0;
map[ 3471][1]:=$B0F0;map[ 3471][2]:=$B1F5;
map[ 3472][1]:=$B0F1;map[ 3472][2]:=$BA5D;
map[ 3473][1]:=$B0F2;map[ 3473][2]:=$BB48;
map[ 3474][1]:=$B0F3;map[ 3474][2]:=$B86A;
map[ 3475][1]:=$B0F4;map[ 3475][2]:=$B4CE;
map[ 3476][1]:=$B0F5;map[ 3476][2]:=$BD53;
map[ 3477][1]:=$B0F6;map[ 3477][2]:=$B046;
map[ 3478][1]:=$B0F7;map[ 3478][2]:=$C2E9;
map[ 3479][1]:=$B0F8;map[ 3479][2]:=$B3C4;
map[ 3480][1]:=$B0F9;map[ 3480][2]:=$C1BD;
map[ 3481][1]:=$B0FA;map[ 3481][2]:=$AD63;
map[ 3482][1]:=$B0FB;map[ 3482][2]:=$AD4D;
map[ 3483][1]:=$B0FC;map[ 3483][2]:=$A55D;
map[ 3484][1]:=$B0FD;map[ 3484][2]:=$BDC7;
map[ 3485][1]:=$B0FE;map[ 3485][2]:=$ADE9;
map[ 3486][1]:=$B140;map[ 3486][2]:=$CFDF;
map[ 3487][1]:=$B142;map[ 3487][2]:=$D2CC;
map[ 3488][1]:=$B145;map[ 3488][2]:=$D6A7;
map[ 3489][1]:=$B148;map[ 3489][2]:=$DAB9;
map[ 3490][1]:=$B14A;map[ 3490][2]:=$DED7;
map[ 3491][1]:=$B151;map[ 3491][2]:=$EA75;
map[ 3492][1]:=$B154;map[ 3492][2]:=$ED79;
map[ 3493][1]:=$B157;map[ 3493][2]:=$F053;
map[ 3494][1]:=$B158;map[ 3494][2]:=$F473;
map[ 3495][1]:=$B159;map[ 3495][2]:=$CD78;
map[ 3496][1]:=$B15A;map[ 3496][2]:=$CD76;
map[ 3497][1]:=$B15B;map[ 3497][2]:=$CD79;
map[ 3498][1]:=$B15D;map[ 3498][2]:=$CFE5;
map[ 3499][1]:=$B15E;map[ 3499][2]:=$CFE7;
map[ 3500][1]:=$B15F;map[ 3500][2]:=$CFE6;
map[ 3501][1]:=$B164;map[ 3501][2]:=$CFE1;
map[ 3502][1]:=$B165;map[ 3502][2]:=$CFE3;
map[ 3503][1]:=$B167;map[ 3503][2]:=$CFE4;
map[ 3504][1]:=$B16B;map[ 3504][2]:=$D2CF;
map[ 3505][1]:=$B16C;map[ 3505][2]:=$D2D3;
map[ 3506][1]:=$B16D;map[ 3506][2]:=$D2D1;
map[ 3507][1]:=$B16E;map[ 3507][2]:=$D2D0;
map[ 3508][1]:=$B170;map[ 3508][2]:=$D2D4;
map[ 3509][1]:=$B174;map[ 3509][2]:=$D2CE;
map[ 3510][1]:=$B176;map[ 3510][2]:=$D2CD;
map[ 3511][1]:=$B179;map[ 3511][2]:=$D2D2;
map[ 3512][1]:=$B17C;map[ 3512][2]:=$D2D8;
map[ 3513][1]:=$B180;map[ 3513][2]:=$C4EF;
map[ 3514][1]:=$B183;map[ 3514][2]:=$D6AB;
map[ 3515][1]:=$B184;map[ 3515][2]:=$D6AC;
map[ 3516][1]:=$B185;map[ 3516][2]:=$D6AE;
map[ 3517][1]:=$B186;map[ 3517][2]:=$D6AD;
map[ 3518][1]:=$B187;map[ 3518][2]:=$D6A8;
map[ 3519][1]:=$B188;map[ 3519][2]:=$D6B1;
map[ 3520][1]:=$B189;map[ 3520][2]:=$D6AF;
map[ 3521][1]:=$B18D;map[ 3521][2]:=$DABC;
map[ 3522][1]:=$B18E;map[ 3522][2]:=$DABE;
map[ 3523][1]:=$B18F;map[ 3523][2]:=$DABA;
map[ 3524][1]:=$B192;map[ 3524][2]:=$DABF;
map[ 3525][1]:=$B193;map[ 3525][2]:=$DAC1;
map[ 3526][1]:=$B194;map[ 3526][2]:=$DAC2;
map[ 3527][1]:=$B195;map[ 3527][2]:=$DABD;
map[ 3528][1]:=$B196;map[ 3528][2]:=$DAC0;
map[ 3529][1]:=$B198;map[ 3529][2]:=$DEDB;
map[ 3530][1]:=$B19A;map[ 3530][2]:=$DEE0;
map[ 3531][1]:=$B19B;map[ 3531][2]:=$DED8;
map[ 3532][1]:=$B19C;map[ 3532][2]:=$DEDC;
map[ 3533][1]:=$B19F;map[ 3533][2]:=$DEE1;
map[ 3534][1]:=$B1A1;map[ 3534][2]:=$C1A1;
map[ 3535][1]:=$B1A2;map[ 3535][2]:=$B972;
map[ 3536][1]:=$B1A3;map[ 3536][2]:=$AB4F;
map[ 3537][1]:=$B1A4;map[ 3537][2]:=$B3F9;
map[ 3538][1]:=$B1A5;map[ 3538][2]:=$B9A1;
map[ 3539][1]:=$B1A6;map[ 3539][2]:=$C45F;
map[ 3540][1]:=$B1A7;map[ 3540][2]:=$A9EA;
map[ 3541][1]:=$B1A8;map[ 3541][2]:=$B3F8;
map[ 3542][1]:=$B1A9;map[ 3542][2]:=$BCC9;
map[ 3543][1]:=$B1AA;map[ 3543][2]:=$B05C;
map[ 3544][1]:=$B1AB;map[ 3544][2]:=$C06A;
map[ 3545][1]:=$B1AC;map[ 3545][2]:=$C37A;
map[ 3546][1]:=$B1AD;map[ 3546][2]:=$AA4D;
map[ 3547][1]:=$B1AD;map[ 3547][2]:=$ACD7;
map[ 3548][1]:=$B1AE;map[ 3548][2]:=$B84F;
map[ 3549][1]:=$B1AF;map[ 3549][2]:=$B464;
map[ 3550][1]:=$B1B0;map[ 3550][2]:=$A8F5;
map[ 3551][1]:=$B1B1;map[ 3551][2]:=$A55F;
map[ 3552][1]:=$B1B2;map[ 3552][2]:=$BDFA;
map[ 3553][1]:=$B1B3;map[ 3553][2]:=$AD49;
map[ 3554][1]:=$B1B3;map[ 3554][2]:=$B4AE;
map[ 3555][1]:=$B1B4;map[ 3555][2]:=$A8A9;
map[ 3556][1]:=$B1B5;map[ 3556][2]:=$BE58;
map[ 3557][1]:=$B1B6;map[ 3557][2]:=$ADBF;
map[ 3558][1]:=$B1B7;map[ 3558][2]:=$AF56;
map[ 3559][1]:=$B1B8;map[ 3559][2]:=$B3C6;
map[ 3560][1]:=$B1B9;map[ 3560][2]:=$BECE;
map[ 3561][1]:=$B1BA;map[ 3561][2]:=$B548;
map[ 3562][1]:=$B1BB;map[ 3562][2]:=$B351;
map[ 3563][1]:=$B1BC;map[ 3563][2]:=$A962;
map[ 3564][1]:=$B1BD;map[ 3564][2]:=$AD66;
map[ 3565][1]:=$B1BE;map[ 3565][2]:=$A5BB;
map[ 3566][1]:=$B1BF;map[ 3566][2]:=$B2C2;
map[ 3567][1]:=$B1C0;map[ 3567][2]:=$B159;
map[ 3568][1]:=$B1C1;map[ 3568][2]:=$C15E;
map[ 3569][1]:=$B1C2;map[ 3569][2]:=$ACC7;
map[ 3570][1]:=$B1C3;map[ 3570][2]:=$ACA6;
map[ 3571][1]:=$B1C4;map[ 3571][2]:=$C2DB;
map[ 3572][1]:=$B1C5;map[ 3572][2]:=$B06E;
map[ 3573][1]:=$B1C6;map[ 3573][2]:=$B947;
map[ 3574][1]:=$B1C7;map[ 3574][2]:=$BBF3;
map[ 3575][1]:=$B1C8;map[ 3575][2]:=$A4F1;
map[ 3576][1]:=$B1C9;map[ 3576][2]:=$BBC0;
map[ 3577][1]:=$B1CA;map[ 3577][2]:=$B5A7;
map[ 3578][1]:=$B1CB;map[ 3578][2]:=$A9BC;
map[ 3579][1]:=$B1CC;map[ 3579][2]:=$BAD1;
map[ 3580][1]:=$B1CD;map[ 3580][2]:=$E3C9;
map[ 3581][1]:=$B1CE;map[ 3581][2]:=$BDAA;
map[ 3582][1]:=$B1CF;map[ 3582][2]:=$B2A6;
map[ 3583][1]:=$B1D0;map[ 3583][2]:=$C0C5;
map[ 3584][1]:=$B1D1;map[ 3584][2]:=$CF68;
map[ 3585][1]:=$B1D2;map[ 3585][2]:=$B9F4;
map[ 3586][1]:=$B1D3;map[ 3586][2]:=$A7C8;
map[ 3587][1]:=$B1D4;map[ 3587][2]:=$B7F4;
map[ 3588][1]:=$B1D4;map[ 3588][2]:=$DECD;
map[ 3589][1]:=$B1D5;map[ 3589][2]:=$B3AC;
map[ 3590][1]:=$B1D6;map[ 3590][2]:=$B1CD;
map[ 3591][1]:=$B1D7;map[ 3591][2]:=$B9FA;
map[ 3592][1]:=$B1D8;map[ 3592][2]:=$A5B2;
map[ 3593][1]:=$B1D9;map[ 3593][2]:=$C550;
map[ 3594][1]:=$B1D9;map[ 3594][2]:=$B940;
map[ 3595][1]:=$B1DA;map[ 3595][2]:=$BEC0;
map[ 3596][1]:=$B1DB;map[ 3596][2]:=$C175;
map[ 3597][1]:=$B1DC;map[ 3597][2]:=$C1D7;
map[ 3598][1]:=$B1DD;map[ 3598][2]:=$B0A1;
map[ 3599][1]:=$B1DE;map[ 3599][2]:=$C340;
map[ 3600][1]:=$B1DF;map[ 3600][2]:=$C3E4;
map[ 3601][1]:=$B1E0;map[ 3601][2]:=$BD73;
map[ 3602][1]:=$B1E1;map[ 3602][2]:=$B653;
map[ 3603][1]:=$B1E2;map[ 3603][2]:=$ABF3;
map[ 3604][1]:=$B1E3;map[ 3604][2]:=$AB4B;
map[ 3605][1]:=$B1E4;map[ 3605][2]:=$C5DC;
map[ 3606][1]:=$B1E5;map[ 3606][2]:=$A4CB;
map[ 3607][1]:=$B1E6;map[ 3607][2]:=$BFEB;
map[ 3608][1]:=$B1E7;map[ 3608][2]:=$C547;
map[ 3609][1]:=$B1E8;map[ 3609][2]:=$C47C;
map[ 3610][1]:=$B1E9;map[ 3610][2]:=$B94D;
map[ 3611][1]:=$B1EA;map[ 3611][2]:=$BCD0;
map[ 3612][1]:=$B1EB;map[ 3612][2]:=$B343;
map[ 3613][1]:=$B1EC;map[ 3613][2]:=$BDA8;
map[ 3614][1]:=$B1ED;map[ 3614][2]:=$AAED;
map[ 3615][1]:=$B1ED;map[ 3615][2]:=$BFF6;
map[ 3616][1]:=$B1EE;map[ 3616][2]:=$C5BE;
map[ 3617][1]:=$B1EF;map[ 3617][2]:=$E578;
map[ 3618][1]:=$B1F0;map[ 3618][2]:=$A74F;
map[ 3619][1]:=$B1F0;map[ 3619][2]:=$B9FB;
map[ 3620][1]:=$B1F1;map[ 3620][2]:=$C3A7;
map[ 3621][1]:=$B1F2;map[ 3621][2]:=$B16C;
map[ 3622][1]:=$B1F3;map[ 3622][2]:=$D979;
map[ 3623][1]:=$B1F4;map[ 3623][2]:=$C378;
map[ 3624][1]:=$B1F5;map[ 3624][2]:=$C0D8;
map[ 3625][1]:=$B1F6;map[ 3625][2]:=$BBAB;
map[ 3626][1]:=$B1F7;map[ 3626][2]:=$ECE8;
map[ 3627][1]:=$B1F8;map[ 3627][2]:=$A74C;
map[ 3628][1]:=$B1F9;map[ 3628][2]:=$A642;
map[ 3629][1]:=$B1FA;map[ 3629][2]:=$AC60;
map[ 3630][1]:=$B1FB;map[ 3630][2]:=$A4FE;
map[ 3631][1]:=$B1FC;map[ 3631][2]:=$AAC3;
map[ 3632][1]:=$B1FD;map[ 3632][2]:=$BBE6;
map[ 3633][1]:=$B1FE;map[ 3633][2]:=$ACB1;
map[ 3634][1]:=$B242;map[ 3634][2]:=$DED9;
map[ 3635][1]:=$B243;map[ 3635][2]:=$DEDA;
map[ 3636][1]:=$B245;map[ 3636][2]:=$DEDF;
map[ 3637][1]:=$B246;map[ 3637][2]:=$DEDE;
map[ 3638][1]:=$B247;map[ 3638][2]:=$B841;
map[ 3639][1]:=$B248;map[ 3639][2]:=$DEE2;
map[ 3640][1]:=$B249;map[ 3640][2]:=$E2E6;
map[ 3641][1]:=$B24A;map[ 3641][2]:=$E2E8;
map[ 3642][1]:=$B256;map[ 3642][2]:=$E2E3;
map[ 3643][1]:=$B257;map[ 3643][2]:=$E2E2;
map[ 3644][1]:=$B258;map[ 3644][2]:=$E2E5;
map[ 3645][1]:=$B259;map[ 3645][2]:=$E2EA;
map[ 3646][1]:=$B25B;map[ 3646][2]:=$BD4E;
map[ 3647][1]:=$B25C;map[ 3647][2]:=$E6BF;
map[ 3648][1]:=$B25D;map[ 3648][2]:=$E6BE;
map[ 3649][1]:=$B25F;map[ 3649][2]:=$BD51;
map[ 3650][1]:=$B260;map[ 3650][2]:=$E6BD;
map[ 3651][1]:=$B264;map[ 3651][2]:=$EA7D;
map[ 3652][1]:=$B266;map[ 3652][2]:=$EAA1;
map[ 3653][1]:=$B268;map[ 3653][2]:=$EA7E;
map[ 3654][1]:=$B269;map[ 3654][2]:=$EA76;
map[ 3655][1]:=$B26A;map[ 3655][2]:=$EA7A;
map[ 3656][1]:=$B26B;map[ 3656][2]:=$EA79;
map[ 3657][1]:=$B26C;map[ 3657][2]:=$EA77;
map[ 3658][1]:=$B26E;map[ 3658][2]:=$EA78;
map[ 3659][1]:=$B26F;map[ 3659][2]:=$EA7C;
map[ 3660][1]:=$B272;map[ 3660][2]:=$EDA3;
map[ 3661][1]:=$B273;map[ 3661][2]:=$ED7B;
map[ 3662][1]:=$B274;map[ 3662][2]:=$C141;
map[ 3663][1]:=$B277;map[ 3663][2]:=$EDA2;
map[ 3664][1]:=$B278;map[ 3664][2]:=$ED7C;
map[ 3665][1]:=$B279;map[ 3665][2]:=$EDA1;
map[ 3666][1]:=$B27A;map[ 3666][2]:=$ED7E;
map[ 3667][1]:=$B27B;map[ 3667][2]:=$ED7D;
map[ 3668][1]:=$B27E;map[ 3668][2]:=$F055;
map[ 3669][1]:=$B284;map[ 3669][2]:=$F054;
map[ 3670][1]:=$B286;map[ 3670][2]:=$F27B;
map[ 3671][1]:=$B28B;map[ 3671][2]:=$F279;
map[ 3672][1]:=$B28C;map[ 3672][2]:=$F27A;
map[ 3673][1]:=$B28E;map[ 3673][2]:=$F474;
map[ 3674][1]:=$B28F;map[ 3674][2]:=$F475;
map[ 3675][1]:=$B290;map[ 3675][2]:=$F476;
map[ 3676][1]:=$B291;map[ 3676][2]:=$F5E0;
map[ 3677][1]:=$B295;map[ 3677][2]:=$F7EB;
map[ 3678][1]:=$B296;map[ 3678][2]:=$F8B4;
map[ 3679][1]:=$B298;map[ 3679][2]:=$F8F8;
map[ 3680][1]:=$B299;map[ 3680][2]:=$F8F9;
map[ 3681][1]:=$B29C;map[ 3681][2]:=$DAC3;
map[ 3682][1]:=$B29E;map[ 3682][2]:=$DEE3;
map[ 3683][1]:=$B2A1;map[ 3683][2]:=$AF66;
map[ 3684][1]:=$B2A2;map[ 3684][2]:=$A8C3;
map[ 3685][1]:=$B2A2;map[ 3685][2]:=$A67D;
map[ 3686][1]:=$B2A2;map[ 3686][2]:=$A8D6;
map[ 3687][1]:=$B2A3;map[ 3687][2]:=$ACC1;
map[ 3688][1]:=$B2A4;map[ 3688][2]:=$B5D4;
map[ 3689][1]:=$B2A5;map[ 3689][2]:=$BCBD;
map[ 3690][1]:=$B2A6;map[ 3690][2]:=$BCB7;
map[ 3691][1]:=$B2A7;map[ 3691][2]:=$B2DA;
map[ 3692][1]:=$B2A8;map[ 3692][2]:=$AA69;
map[ 3693][1]:=$B2A9;map[ 3693][2]:=$B3D5;
map[ 3694][1]:=$B2AA;map[ 3694][2]:=$AB6B;
map[ 3695][1]:=$B2AB;map[ 3695][2]:=$B769;
map[ 3696][1]:=$B2AC;map[ 3696][2]:=$B960;
map[ 3697][1]:=$B2AD;map[ 3697][2]:=$BAE4;
map[ 3698][1]:=$B2AE;map[ 3698][2]:=$A742;
map[ 3699][1]:=$B2AF;map[ 3699][2]:=$A9AD;
map[ 3700][1]:=$B2B0;map[ 3700][2]:=$B2ED;
map[ 3701][1]:=$B2B1;map[ 3701][2]:=$B2E4;
map[ 3702][1]:=$B2B2;map[ 3702][2]:=$BB4B;
map[ 3703][1]:=$B2B3;map[ 3703][2]:=$B4F1;
map[ 3704][1]:=$B2B4;map[ 3704][2]:=$AA79;
map[ 3705][1]:=$B2B5;map[ 3705][2]:=$BBE9;
map[ 3706][1]:=$B2B5;map[ 3706][2]:=$EC61;
map[ 3707][1]:=$B2B6;map[ 3707][2]:=$AEB7;
map[ 3708][1]:=$B2B7;map[ 3708][2]:=$A452;
map[ 3709][1]:=$B2B7;map[ 3709][2]:=$BDB3;
map[ 3710][1]:=$B2B8;map[ 3710][2]:=$ADF7;
map[ 3711][1]:=$B2B9;map[ 3711][2]:=$B8C9;
map[ 3712][1]:=$B2BA;map[ 3712][2]:=$B0F0;
map[ 3713][1]:=$B2BB;map[ 3713][2]:=$A4A3;
map[ 3714][1]:=$B2BC;map[ 3714][2]:=$A5AC;
map[ 3715][1]:=$B2BC;map[ 3715][2]:=$A747;
map[ 3716][1]:=$B2BD;map[ 3716][2]:=$A842;
map[ 3717][1]:=$B2BE;map[ 3717][2]:=$C3AF;
map[ 3718][1]:=$B2BF;map[ 3718][2]:=$B3A1;
map[ 3719][1]:=$B2C0;map[ 3719][2]:=$A9C6;
map[ 3720][1]:=$B2C1;map[ 3720][2]:=$C0BF;
map[ 3721][1]:=$B2C2;map[ 3721][2]:=$B271;
map[ 3722][1]:=$B2C3;map[ 3722][2]:=$B5F4;
map[ 3723][1]:=$B2C4;map[ 3723][2]:=$A7F7;
map[ 3724][1]:=$B2C5;map[ 3724][2]:=$A47E;
map[ 3725][1]:=$B2C6;map[ 3725][2]:=$B05D;
map[ 3726][1]:=$B2C7;map[ 3726][2]:=$B842;
map[ 3727][1]:=$B2C8;map[ 3727][2]:=$BDF2;
map[ 3728][1]:=$B2C9;map[ 3728][2]:=$B1C4;
map[ 3729][1]:=$B2C9;map[ 3729][2]:=$AAF6;
map[ 3730][1]:=$B2C9;map[ 3730][2]:=$D4CA;
map[ 3731][1]:=$B2CA;map[ 3731][2]:=$B16D;
map[ 3732][1]:=$B2CA;map[ 3732][2]:=$BAF9;
map[ 3733][1]:=$B2CB;map[ 3733][2]:=$B5E6;
map[ 3734][1]:=$B2CC;map[ 3734][2]:=$BDB2;
map[ 3735][1]:=$B2CD;map[ 3735][2]:=$C05C;
map[ 3736][1]:=$B2CE;map[ 3736][2]:=$B0D1;
map[ 3737][1]:=$B2CE;map[ 3737][2]:=$DFDE;
map[ 3738][1]:=$B2CF;map[ 3738][2]:=$C5FA;
map[ 3739][1]:=$B2CF;map[ 3739][2]:=$D3C9;
map[ 3740][1]:=$B2D0;map[ 3740][2]:=$B4DD;
map[ 3741][1]:=$B2D1;map[ 3741][2]:=$BA46;
map[ 3742][1]:=$B2D2;map[ 3742][2]:=$BA47;
map[ 3743][1]:=$B2D3;map[ 3743][2]:=$C0E9;
map[ 3744][1]:=$B2D4;map[ 3744][2]:=$BB61;
map[ 3745][1]:=$B2D5;map[ 3745][2]:=$BFB5;
map[ 3746][1]:=$B2D6;map[ 3746][2]:=$ADDC;
map[ 3747][1]:=$B2D7;map[ 3747][2]:=$B7C9;
map[ 3748][1]:=$B2D8;map[ 3748][2]:=$C2C3;
map[ 3749][1]:=$B2D9;map[ 3749][2]:=$BEDE;
map[ 3750][1]:=$B2DA;map[ 3750][2]:=$C157;
map[ 3751][1]:=$B2DB;map[ 3751][2]:=$BCD1;
map[ 3752][1]:=$B2DC;map[ 3752][2]:=$B1E4;
map[ 3753][1]:=$B2DD;map[ 3753][2]:=$AFF3;
map[ 3754][1]:=$B2DE;map[ 3754][2]:=$B45A;
map[ 3755][1]:=$B2DF;map[ 3755][2]:=$B5A6;
map[ 3756][1]:=$B2E0;map[ 3756][2]:=$B0BC;
map[ 3757][1]:=$B2E1;map[ 3757][2]:=$A555;
map[ 3758][1]:=$B2E2;map[ 3758][2]:=$B4FA;
map[ 3759][1]:=$B2E3;map[ 3759][2]:=$BC68;
map[ 3760][1]:=$B2E4;map[ 3760][2]:=$F34F;
map[ 3761][1]:=$B2E5;map[ 3761][2]:=$B4A1;
map[ 3762][1]:=$B2E6;map[ 3762][2]:=$A465;
map[ 3763][1]:=$B2E7;map[ 3763][2]:=$D3B3;
map[ 3764][1]:=$B2E8;map[ 3764][2]:=$AFF9;
map[ 3765][1]:=$B2E9;map[ 3765][2]:=$AC64;
map[ 3766][1]:=$B2EA;map[ 3766][2]:=$E2ED;
map[ 3767][1]:=$B2EB;map[ 3767][2]:=$B767;
map[ 3768][1]:=$B2EC;map[ 3768][2]:=$B9EE;
map[ 3769][1]:=$B2ED;map[ 3769][2]:=$A7C3;
map[ 3770][1]:=$B2EE;map[ 3770][2]:=$AE74;
map[ 3771][1]:=$B2EF;map[ 3771][2]:=$B8D2;
map[ 3772][1]:=$B2F0;map[ 3772][2]:=$A9EE;
map[ 3773][1]:=$B2F1;map[ 3773][2]:=$AEE3;
map[ 3774][1]:=$B2F2;map[ 3774][2]:=$B05B;
map[ 3775][1]:=$B2F3;map[ 3775][2]:=$C465;
map[ 3776][1]:=$B2F4;map[ 3776][2]:=$BA55;
map[ 3777][1]:=$B2F5;map[ 3777][2]:=$C2CD;
map[ 3778][1]:=$B2F6;map[ 3778][2]:=$C661;
map[ 3779][1]:=$B2F7;map[ 3779][2]:=$C5FE;
map[ 3780][1]:=$B2F8;map[ 3780][2]:=$C4F1;
map[ 3781][1]:=$B2F9;map[ 3781][2]:=$B6D0;
map[ 3782][1]:=$B2F9;map[ 3782][2]:=$C3EA;
map[ 3783][1]:=$B2FA;map[ 3783][2]:=$B2A3;
map[ 3784][1]:=$B2FB;map[ 3784][2]:=$C4C4;
map[ 3785][1]:=$B2FC;map[ 3785][2]:=$C5B8;
map[ 3786][1]:=$B2FD;map[ 3786][2]:=$A9F7;
map[ 3787][1]:=$B2FE;map[ 3787][2]:=$B273;
map[ 3788][1]:=$B341;map[ 3788][2]:=$CFE9;
map[ 3789][1]:=$B344;map[ 3789][2]:=$EDA4;
map[ 3790][1]:=$B345;map[ 3790][2]:=$F27C;
map[ 3791][1]:=$B346;map[ 3791][2]:=$F478;
map[ 3792][1]:=$B349;map[ 3792][2]:=$CDA1;
map[ 3793][1]:=$B34A;map[ 3793][2]:=$CD7C;
map[ 3794][1]:=$B34B;map[ 3794][2]:=$CD7E;
map[ 3795][1]:=$B34C;map[ 3795][2]:=$CD7D;
map[ 3796][1]:=$B34D;map[ 3796][2]:=$CD7B;
map[ 3797][1]:=$B34E;map[ 3797][2]:=$CFF2;
map[ 3798][1]:=$B350;map[ 3798][2]:=$CFED;
map[ 3799][1]:=$B351;map[ 3799][2]:=$CFEA;
map[ 3800][1]:=$B356;map[ 3800][2]:=$CFF0;
map[ 3801][1]:=$B357;map[ 3801][2]:=$CFEF;
map[ 3802][1]:=$B358;map[ 3802][2]:=$CFEE;
map[ 3803][1]:=$B359;map[ 3803][2]:=$CFF3;
map[ 3804][1]:=$B35E;map[ 3804][2]:=$AFA3;
map[ 3805][1]:=$B35F;map[ 3805][2]:=$D2E1;
map[ 3806][1]:=$B360;map[ 3806][2]:=$D2DB;
map[ 3807][1]:=$B362;map[ 3807][2]:=$D2DE;
map[ 3808][1]:=$B363;map[ 3808][2]:=$D2E4;
map[ 3809][1]:=$B364;map[ 3809][2]:=$D2E0;
map[ 3810][1]:=$B365;map[ 3810][2]:=$D2DF;
map[ 3811][1]:=$B366;map[ 3811][2]:=$D2DD;
map[ 3812][1]:=$B367;map[ 3812][2]:=$D2E5;
map[ 3813][1]:=$B369;map[ 3813][2]:=$D2E3;
map[ 3814][1]:=$B36A;map[ 3814][2]:=$D2DC;
map[ 3815][1]:=$B36E;map[ 3815][2]:=$DAC8;
map[ 3816][1]:=$B373;map[ 3816][2]:=$D6B3;
map[ 3817][1]:=$B374;map[ 3817][2]:=$D6B5;
map[ 3818][1]:=$B375;map[ 3818][2]:=$D6B7;
map[ 3819][1]:=$B377;map[ 3819][2]:=$D6B6;
map[ 3820][1]:=$B37D;map[ 3820][2]:=$E6C4;
map[ 3821][1]:=$B37E;map[ 3821][2]:=$EDAE;
map[ 3822][1]:=$B382;map[ 3822][2]:=$DAD0;
map[ 3823][1]:=$B384;map[ 3823][2]:=$DAC5;
map[ 3824][1]:=$B386;map[ 3824][2]:=$DAD1;
map[ 3825][1]:=$B389;map[ 3825][2]:=$DAC7;
map[ 3826][1]:=$B38D;map[ 3826][2]:=$DACE;
map[ 3827][1]:=$B38F;map[ 3827][2]:=$DACD;
map[ 3828][1]:=$B390;map[ 3828][2]:=$DACA;
map[ 3829][1]:=$B397;map[ 3829][2]:=$DEEE;
map[ 3830][1]:=$B399;map[ 3830][2]:=$DEF2;
map[ 3831][1]:=$B39B;map[ 3831][2]:=$E2F0;
map[ 3832][1]:=$B39C;map[ 3832][2]:=$B851;
map[ 3833][1]:=$B39D;map[ 3833][2]:=$DEF0;
map[ 3834][1]:=$B3A0;map[ 3834][2]:=$DEED;
map[ 3835][1]:=$B3A1;map[ 3835][2]:=$B3F5;
map[ 3836][1]:=$B3A2;map[ 3836][2]:=$B9C1;
map[ 3837][1]:=$B3A2;map[ 3837][2]:=$C07C;
map[ 3838][1]:=$B3A3;map[ 3838][2]:=$B160;
map[ 3839][1]:=$B3A4;map[ 3839][2]:=$AAF8;
map[ 3840][1]:=$B3A5;map[ 3840][2]:=$C076;
map[ 3841][1]:=$B3A6;map[ 3841][2]:=$B87A;
map[ 3842][1]:=$B3A7;map[ 3842][2]:=$BC74;
map[ 3843][1]:=$B3A7;map[ 3843][2]:=$C944;
map[ 3844][1]:=$B3A8;map[ 3844][2]:=$B4AF;
map[ 3845][1]:=$B3A9;map[ 3845][2]:=$BA5A;
map[ 3846][1]:=$B3AA;map[ 3846][2]:=$B0DB;
map[ 3847][1]:=$B3AB;map[ 3847][2]:=$ADD2;
map[ 3848][1]:=$B3AC;map[ 3848][2]:=$B657;
map[ 3849][1]:=$B3AD;map[ 3849][2]:=$A7DB;
map[ 3850][1]:=$B3AE;map[ 3850][2]:=$B672;
map[ 3851][1]:=$B3AF;map[ 3851][2]:=$B4C2;
map[ 3852][1]:=$B3B0;map[ 3852][2]:=$BC4A;
map[ 3853][1]:=$B3B1;map[ 3853][2]:=$BCE9;
map[ 3854][1]:=$B3B2;map[ 3854][2]:=$B15F;
map[ 3855][1]:=$B3B3;map[ 3855][2]:=$A76E;
map[ 3856][1]:=$B3B4;map[ 3856][2]:=$AAA3;
map[ 3857][1]:=$B3B5;map[ 3857][2]:=$A8AE;
map[ 3858][1]:=$B3B6;map[ 3858][2]:=$A7E8;
map[ 3859][1]:=$B3B7;map[ 3859][2]:=$BA4D;
map[ 3860][1]:=$B3B8;map[ 3860][2]:=$B477;
map[ 3861][1]:=$B3B9;map[ 3861][2]:=$B9FD;
map[ 3862][1]:=$B3BA;map[ 3862][2]:=$BAAB;
map[ 3863][1]:=$B3BB;map[ 3863][2]:=$D7EB;
map[ 3864][1]:=$B3BC;map[ 3864][2]:=$A6DA;
map[ 3865][1]:=$B3BD;map[ 3865][2]:=$A8B0;
map[ 3866][1]:=$B3BE;map[ 3866][2]:=$B9D0;
map[ 3867][1]:=$B3BF;map[ 3867][2]:=$B1E1;
map[ 3868][1]:=$B3C0;map[ 3868][2]:=$A7D5;
map[ 3869][1]:=$B3C1;map[ 3869][2]:=$A848;
map[ 3870][1]:=$B3C1;map[ 3870][2]:=$A849;
map[ 3871][1]:=$B3C2;map[ 3871][2]:=$B3AF;
map[ 3872][1]:=$B3C3;map[ 3872][2]:=$B658;
map[ 3873][1]:=$B3C4;map[ 3873][2]:=$C5A8;
map[ 3874][1]:=$B3C5;map[ 3874][2]:=$BCB5;
map[ 3875][1]:=$B3C6;map[ 3875][2]:=$BAD9;
map[ 3876][1]:=$B3C7;map[ 3876][2]:=$ABB0;
map[ 3877][1]:=$B3C8;map[ 3877][2]:=$BEED;
map[ 3878][1]:=$B3C9;map[ 3878][2]:=$A6A8;
map[ 3879][1]:=$B3CA;map[ 3879][2]:=$A765;
map[ 3880][1]:=$B3CB;map[ 3880][2]:=$ADBC;
map[ 3881][1]:=$B3CC;map[ 3881][2]:=$B57B;
map[ 3882][1]:=$B3CD;map[ 3882][2]:=$C367;
map[ 3883][1]:=$B3CE;map[ 3883][2]:=$BCE1;
map[ 3884][1]:=$B3CE;map[ 3884][2]:=$E64A;
map[ 3885][1]:=$B3CF;map[ 3885][2]:=$B8DB;
map[ 3886][1]:=$B3D0;map[ 3886][2]:=$A9D3;
map[ 3887][1]:=$B3D1;map[ 3887][2]:=$B378;
map[ 3888][1]:=$B3D2;map[ 3888][2]:=$C1FE;
map[ 3889][1]:=$B3D3;map[ 3889][2]:=$AFAF;
map[ 3890][1]:=$B3D4;map[ 3890][2]:=$A659;
map[ 3891][1]:=$B3D4;map[ 3891][2]:=$B3F0;
map[ 3892][1]:=$B3D5;map[ 3892][2]:=$B7F6;
map[ 3893][1]:=$B3D5;map[ 3893][2]:=$C3A8;
map[ 3894][1]:=$B3D6;map[ 3894][2]:=$ABF9;
map[ 3895][1]:=$B3D7;map[ 3895][2]:=$B0CD;
map[ 3896][1]:=$B3D8;map[ 3896][2]:=$A6C0;
map[ 3897][1]:=$B3D9;map[ 3897][2]:=$BFF0;
map[ 3898][1]:=$B3DA;map[ 3898][2]:=$A6A2;
map[ 3899][1]:=$B3DB;map[ 3899][2]:=$B9A3;
map[ 3900][1]:=$B3DC;map[ 3900][2]:=$AEA2;
map[ 3901][1]:=$B3DD;map[ 3901][2]:=$BEA6;
map[ 3902][1]:=$B3DE;map[ 3902][2]:=$A8D7;
map[ 3903][1]:=$B3DF;map[ 3903][2]:=$A4D8;
map[ 3904][1]:=$B3E0;map[ 3904][2]:=$A8AA;
map[ 3905][1]:=$B3E1;map[ 3905][2]:=$AFCD;
map[ 3906][1]:=$B3E2;map[ 3906][2]:=$A5B8;
map[ 3907][1]:=$B3E3;map[ 3907][2]:=$BF4B;
map[ 3908][1]:=$B3E4;map[ 3908][2]:=$A552;
map[ 3909][1]:=$B3E5;map[ 3909][2]:=$A852;
map[ 3910][1]:=$B3E5;map[ 3910][2]:=$BDC4;
map[ 3911][1]:=$B3E6;map[ 3911][2]:=$C2CE;
map[ 3912][1]:=$B3E6;map[ 3912][2]:=$A6E4;
map[ 3913][1]:=$B3E7;map[ 3913][2]:=$B152;
map[ 3914][1]:=$B3E8;map[ 3914][2]:=$C364;
map[ 3915][1]:=$B3E9;map[ 3915][2]:=$A9E2;
map[ 3916][1]:=$B3EA;map[ 3916][2]:=$B953;
map[ 3917][1]:=$B3EB;map[ 3917][2]:=$C3A5;
map[ 3918][1]:=$B3EC;map[ 3918][2]:=$C543;
map[ 3919][1]:=$B3ED;map[ 3919][2]:=$B859;
map[ 3920][1]:=$B3EE;map[ 3920][2]:=$B754;
map[ 3921][1]:=$B3EF;map[ 3921][2]:=$C477;
map[ 3922][1]:=$B3F0;map[ 3922][2]:=$A4B3;
map[ 3923][1]:=$B3F1;map[ 3923][2]:=$BAF7;
map[ 3924][1]:=$B3F2;map[ 3924][2]:=$E2E4;
map[ 3925][1]:=$B3F3;map[ 3925][2]:=$A4A1;
map[ 3926][1]:=$B3F3;map[ 3926][2]:=$C1E0;
map[ 3927][1]:=$B3F4;map[ 3927][2]:=$AFE4;
map[ 3928][1]:=$B3F5;map[ 3928][2]:=$AAEC;
map[ 3929][1]:=$B3F6;map[ 3929][2]:=$A558;
map[ 3930][1]:=$B3F6;map[ 3930][2]:=$C4D5;
map[ 3931][1]:=$B3F7;map[ 3931][2]:=$C36F;
map[ 3932][1]:=$B3F8;map[ 3932][2]:=$BC70;
map[ 3933][1]:=$B3F9;map[ 3933][2]:=$C3DC;
map[ 3934][1]:=$B3FA;map[ 3934][2]:=$BE53;
map[ 3935][1]:=$B3FA;map[ 3935][2]:=$DF71;
map[ 3936][1]:=$B3FB;map[ 3936][2]:=$C2FA;
map[ 3937][1]:=$B3FC;map[ 3937][2]:=$DE51;
map[ 3938][1]:=$B3FD;map[ 3938][2]:=$B0A3;
map[ 3939][1]:=$B3FE;map[ 3939][2]:=$B7A1;
map[ 3940][1]:=$B440;map[ 3940][2]:=$DEE8;
map[ 3941][1]:=$B441;map[ 3941][2]:=$DEEA;
map[ 3942][1]:=$B442;map[ 3942][2]:=$DEEB;
map[ 3943][1]:=$B446;map[ 3943][2]:=$DEE7;
map[ 3944][1]:=$B449;map[ 3944][2]:=$DEE6;
map[ 3945][1]:=$B44A;map[ 3945][2]:=$DEE9;
map[ 3946][1]:=$B44B;map[ 3946][2]:=$DEF1;
map[ 3947][1]:=$B44C;map[ 3947][2]:=$DEEF;
map[ 3948][1]:=$B44E;map[ 3948][2]:=$E2F2;
map[ 3949][1]:=$B44F;map[ 3949][2]:=$E2F4;
map[ 3950][1]:=$B450;map[ 3950][2]:=$E2F6;
map[ 3951][1]:=$B451;map[ 3951][2]:=$E2F7;
map[ 3952][1]:=$B453;map[ 3952][2]:=$E2EF;
map[ 3953][1]:=$B455;map[ 3953][2]:=$E2EC;
map[ 3954][1]:=$B456;map[ 3954][2]:=$E2F1;
map[ 3955][1]:=$B457;map[ 3955][2]:=$E2F5;
map[ 3956][1]:=$B460;map[ 3956][2]:=$E6C1;
map[ 3957][1]:=$B466;map[ 3957][2]:=$E6C8;
map[ 3958][1]:=$B467;map[ 3958][2]:=$E6C9;
map[ 3959][1]:=$B46A;map[ 3959][2]:=$E6C7;
map[ 3960][1]:=$B46B;map[ 3960][2]:=$E6C3;
map[ 3961][1]:=$B46C;map[ 3961][2]:=$E6C0;
map[ 3962][1]:=$B46D;map[ 3962][2]:=$E6C5;
map[ 3963][1]:=$B46E;map[ 3963][2]:=$E6C2;
map[ 3964][1]:=$B476;map[ 3964][2]:=$EAA8;
map[ 3965][1]:=$B478;map[ 3965][2]:=$EAA2;
map[ 3966][1]:=$B479;map[ 3966][2]:=$EAA6;
map[ 3967][1]:=$B47A;map[ 3967][2]:=$EAAC;
map[ 3968][1]:=$B47B;map[ 3968][2]:=$EAAD;
map[ 3969][1]:=$B47C;map[ 3969][2]:=$EAA9;
map[ 3970][1]:=$B47D;map[ 3970][2]:=$EAAA;
map[ 3971][1]:=$B481;map[ 3971][2]:=$EAA4;
map[ 3972][1]:=$B484;map[ 3972][2]:=$EAA3;
map[ 3973][1]:=$B485;map[ 3973][2]:=$EAA5;
map[ 3974][1]:=$B487;map[ 3974][2]:=$EAAB;
map[ 3975][1]:=$B48C;map[ 3975][2]:=$EDA5;
map[ 3976][1]:=$B490;map[ 3976][2]:=$EDAC;
map[ 3977][1]:=$B491;map[ 3977][2]:=$EDA8;
map[ 3978][1]:=$B492;map[ 3978][2]:=$EDA9;
map[ 3979][1]:=$B494;map[ 3979][2]:=$EDAD;
map[ 3980][1]:=$B495;map[ 3980][2]:=$F056;
map[ 3981][1]:=$B497;map[ 3981][2]:=$EDA7;
map[ 3982][1]:=$B49D;map[ 3982][2]:=$F05A;
map[ 3983][1]:=$B4A0;map[ 3983][2]:=$F057;
map[ 3984][1]:=$B4A1;map[ 3984][2]:=$C2A6;
map[ 3985][1]:=$B4A2;map[ 3985][2]:=$C078;
map[ 3986][1]:=$B4A3;map[ 3986][2]:=$C5F7;
map[ 3987][1]:=$B4A4;map[ 3987][2]:=$DD7A;
map[ 3988][1]:=$B4A5;map[ 3988][2]:=$C4B2;
map[ 3989][1]:=$B4A5;map[ 3989][2]:=$E044;
map[ 3990][1]:=$B4A6;map[ 3990][2]:=$B342;
map[ 3991][1]:=$B4A7;map[ 3991][2]:=$B4A2;
map[ 3992][1]:=$B4A8;map[ 3992][2]:=$A474;
map[ 3993][1]:=$B4A9;map[ 3993][2]:=$ACEF;
map[ 3994][1]:=$B4AA;map[ 3994][2]:=$DDDC;
map[ 3995][1]:=$B4AB;map[ 3995][2]:=$B6C7;
map[ 3996][1]:=$B4AC;map[ 3996][2]:=$B2EE;
map[ 3997][1]:=$B4AD;map[ 3997][2]:=$B3DD;
map[ 3998][1]:=$B4AE;map[ 3998][2]:=$A6EA;
map[ 3999][1]:=$B4AF;map[ 3999][2]:=$BD48;
map[ 4000][1]:=$B4B0;map[ 4000][2]:=$B5A1;
map[ 4001][1]:=$B4B1;map[ 4001][2]:=$BC6C;
map[ 4002][1]:=$B4B2;map[ 4002][2]:=$A7C9;
map[ 4003][1]:=$B4B3;map[ 4003][2]:=$C2F4;
map[ 4004][1]:=$B4B4;map[ 4004][2]:=$B3D0;
map[ 4005][1]:=$B4B5;map[ 4005][2]:=$A76A;
map[ 4006][1]:=$B4B6;map[ 4006][2]:=$AAA4;
map[ 4007][1]:=$B4B7;map[ 4007][2]:=$B4A8;
map[ 4008][1]:=$B4B8;map[ 4008][2]:=$C1E8;
map[ 4009][1]:=$B4B8;map[ 4009][2]:=$C2F1;
map[ 4010][1]:=$B4B9;map[ 4010][2]:=$ABAB;
map[ 4011][1]:=$B4BA;map[ 4011][2]:=$AC4B;
map[ 4012][1]:=$B4BB;map[ 4012][2]:=$DDCF;
map[ 4013][1]:=$B4BC;map[ 4013][2]:=$BE4A;
map[ 4014][1]:=$B4BD;map[ 4014][2]:=$AE42;
map[ 4015][1]:=$B4BD;map[ 4015][2]:=$B2E5;
map[ 4016][1]:=$B4BE;map[ 4016][2]:=$B245;
map[ 4017][1]:=$B4BF;map[ 4017][2]:=$AFC2;
map[ 4018][1]:=$B4C0;map[ 4018][2]:=$C4F8;
map[ 4019][1]:=$B4C1;map[ 4019][2]:=$C257;
map[ 4020][1]:=$B4C2;map[ 4020][2]:=$BAEF;
map[ 4021][1]:=$B4C3;map[ 4021][2]:=$B2AB;
map[ 4022][1]:=$B4C4;map[ 4022][2]:=$AFFD;
map[ 4023][1]:=$B4C5;map[ 4023][2]:=$BACF;
map[ 4024][1]:=$B4C6;map[ 4024][2]:=$BBDB;
map[ 4025][1]:=$B4C7;map[ 4025][2]:=$C3E3;
map[ 4026][1]:=$B4C8;map[ 4026][2]:=$B74F;
map[ 4027][1]:=$B4C9;map[ 4027][2]:=$B2A1;
map[ 4028][1]:=$B4CA;map[ 4028][2]:=$B5FC;
map[ 4029][1]:=$B4CB;map[ 4029][2]:=$A6B9;
map[ 4030][1]:=$B4CC;map[ 4030][2]:=$A8EB;
map[ 4031][1]:=$B4CD;map[ 4031][2]:=$BDE7;
map[ 4032][1]:=$B4CE;map[ 4032][2]:=$A6B8;
map[ 4033][1]:=$B4CF;map[ 4033][2]:=$C16F;
map[ 4034][1]:=$B4D0;map[ 4034][2]:=$BDB5;
map[ 4035][1]:=$B4D1;map[ 4035][2]:=$A777;
map[ 4036][1]:=$B4D2;map[ 4036][2]:=$A55E;
map[ 4037][1]:=$B4D3;map[ 4037][2]:=$B171;
map[ 4038][1]:=$B4D4;map[ 4038][2]:=$C24F;
map[ 4039][1]:=$B4D5;map[ 4039][2]:=$B4EA;
map[ 4040][1]:=$B4D6;map[ 4040][2]:=$B2CA;
map[ 4041][1]:=$B4D7;map[ 4041][2]:=$BE4C;
map[ 4042][1]:=$B4D8;map[ 4042][2]:=$C14C;
map[ 4043][1]:=$B4D9;map[ 4043][2]:=$AB50;
map[ 4044][1]:=$B4DA;map[ 4044][2]:=$F94F;
map[ 4045][1]:=$B4DB;map[ 4045][2]:=$BF79;
map[ 4046][1]:=$B4DC;map[ 4046][2]:=$C2AB;
map[ 4047][1]:=$B4DD;map[ 4047][2]:=$BA52;
map[ 4048][1]:=$B4DE;map[ 4048][2]:=$B15A;
map[ 4049][1]:=$B4DF;map[ 4049][2]:=$B6CA;
map[ 4050][1]:=$B4E0;map[ 4050][2]:=$AFDC;
map[ 4051][1]:=$B4E1;map[ 4051][2]:=$B7F1;
map[ 4052][1]:=$B4E2;map[ 4052][2]:=$BAE9;
map[ 4053][1]:=$B4E3;map[ 4053][2]:=$B266;
map[ 4054][1]:=$B4E4;map[ 4054][2]:=$BB41;
map[ 4055][1]:=$B4E5;map[ 4055][2]:=$A7F8;
map[ 4056][1]:=$B4E6;map[ 4056][2]:=$A673;
map[ 4057][1]:=$B4E7;map[ 4057][2]:=$A46F;
map[ 4058][1]:=$B4E8;map[ 4058][2]:=$BD52;
map[ 4059][1]:=$B4E9;map[ 4059][2]:=$BCBC;
map[ 4060][1]:=$B4EA;map[ 4060][2]:=$B762;
map[ 4061][1]:=$B4EB;map[ 4061][2]:=$B1B9;
map[ 4062][1]:=$B4EC;map[ 4062][2]:=$AEC0;
map[ 4063][1]:=$B4ED;map[ 4063][2]:=$BFF9;
map[ 4064][1]:=$B4EE;map[ 4064][2]:=$B766;
map[ 4065][1]:=$B4EF;map[ 4065][2]:=$B946;
map[ 4066][1]:=$B4F0;map[ 4066][2]:=$B5AA;
map[ 4067][1]:=$B4F1;map[ 4067][2]:=$BD44;
map[ 4068][1]:=$B4F2;map[ 4068][2]:=$A5B4;
map[ 4069][1]:=$B4F3;map[ 4069][2]:=$A46A;
map[ 4070][1]:=$B4F4;map[ 4070][2]:=$A762;
map[ 4071][1]:=$B4F4;map[ 4071][2]:=$E2CA;
map[ 4072][1]:=$B4F5;map[ 4072][2]:=$A4EF;
map[ 4073][1]:=$B4F6;map[ 4073][2]:=$D856;
map[ 4074][1]:=$B4F7;map[ 4074][2]:=$C0B9;
map[ 4075][1]:=$B4F8;map[ 4075][2]:=$B161;
map[ 4076][1]:=$B4F9;map[ 4076][2]:=$AC70;
map[ 4077][1]:=$B4FA;map[ 4077][2]:=$A54E;
map[ 4078][1]:=$B4FB;map[ 4078][2]:=$B655;
map[ 4079][1]:=$B4FC;map[ 4079][2]:=$B355;
map[ 4080][1]:=$B4FD;map[ 4080][2]:=$ABDD;
map[ 4081][1]:=$B4FE;map[ 4081][2]:=$B665;
map[ 4082][1]:=$B543;map[ 4082][2]:=$F05B;
map[ 4083][1]:=$B544;map[ 4083][2]:=$F05D;
map[ 4084][1]:=$B545;map[ 4084][2]:=$F05C;
map[ 4085][1]:=$B546;map[ 4085][2]:=$F059;
map[ 4086][1]:=$B549;map[ 4086][2]:=$F2A3;
map[ 4087][1]:=$B54D;map[ 4087][2]:=$F27E;
map[ 4088][1]:=$B54E;map[ 4088][2]:=$F2A2;
map[ 4089][1]:=$B54F;map[ 4089][2]:=$F27D;
map[ 4090][1]:=$B552;map[ 4090][2]:=$F2A1;
map[ 4091][1]:=$B554;map[ 4091][2]:=$F47A;
map[ 4092][1]:=$B555;map[ 4092][2]:=$F479;
map[ 4093][1]:=$B557;map[ 4093][2]:=$F47B;
map[ 4094][1]:=$B558;map[ 4094][2]:=$F47C;
map[ 4095][1]:=$B559;map[ 4095][2]:=$F47E;
map[ 4096][1]:=$B55D;map[ 4096][2]:=$F5E1;
map[ 4097][1]:=$B55F;map[ 4097][2]:=$F5E3;
map[ 4098][1]:=$B564;map[ 4098][2]:=$F6F6;
map[ 4099][1]:=$B567;map[ 4099][2]:=$F8B5;
map[ 4100][1]:=$B568;map[ 4100][2]:=$F8FA;
map[ 4101][1]:=$B569;map[ 4101][2]:=$CB72;
map[ 4102][1]:=$B56A;map[ 4102][2]:=$CDA3;
map[ 4103][1]:=$B56B;map[ 4103][2]:=$CDA2;
map[ 4104][1]:=$B56D;map[ 4104][2]:=$CFF8;
map[ 4105][1]:=$B56E;map[ 4105][2]:=$CFF7;
map[ 4106][1]:=$B56F;map[ 4106][2]:=$ACE9;
map[ 4107][1]:=$B570;map[ 4107][2]:=$CFF4;
map[ 4108][1]:=$B571;map[ 4108][2]:=$CFF6;
map[ 4109][1]:=$B572;map[ 4109][2]:=$CFF5;
map[ 4110][1]:=$B574;map[ 4110][2]:=$E2FC;
map[ 4111][1]:=$B575;map[ 4111][2]:=$D2E8;
map[ 4112][1]:=$B577;map[ 4112][2]:=$D2EC;
map[ 4113][1]:=$B578;map[ 4113][2]:=$D2EB;
map[ 4114][1]:=$B579;map[ 4114][2]:=$D2E6;
map[ 4115][1]:=$B57D;map[ 4115][2]:=$D6C2;
map[ 4116][1]:=$B57E;map[ 4116][2]:=$D6C0;
map[ 4117][1]:=$B580;map[ 4117][2]:=$D6BC;
map[ 4118][1]:=$B582;map[ 4118][2]:=$D6BE;
map[ 4119][1]:=$B583;map[ 4119][2]:=$D6BF;
map[ 4120][1]:=$B584;map[ 4120][2]:=$D6C1;
map[ 4121][1]:=$B587;map[ 4121][2]:=$DAD5;
map[ 4122][1]:=$B589;map[ 4122][2]:=$DAD4;
map[ 4123][1]:=$B58A;map[ 4123][2]:=$DAD3;
map[ 4124][1]:=$B58B;map[ 4124][2]:=$DAD2;
map[ 4125][1]:=$B58E;map[ 4125][2]:=$DEF6;
map[ 4126][1]:=$B590;map[ 4126][2]:=$DEF3;
map[ 4127][1]:=$B591;map[ 4127][2]:=$DEF5;
map[ 4128][1]:=$B594;map[ 4128][2]:=$DEF4;
map[ 4129][1]:=$B598;map[ 4129][2]:=$E341;
map[ 4130][1]:=$B59A;map[ 4130][2]:=$E2FA;
map[ 4131][1]:=$B59E;map[ 4131][2]:=$E343;
map[ 4132][1]:=$B5A0;map[ 4132][2]:=$E342;
map[ 4133][1]:=$B5A1;map[ 4133][2]:=$ABE5;
map[ 4134][1]:=$B5A2;map[ 4134][2]:=$AFD4;
map[ 4135][1]:=$B5A3;map[ 4135][2]:=$BEE1;
map[ 4136][1]:=$B5A4;map[ 4136][2]:=$A4A6;
map[ 4137][1]:=$B5A5;map[ 4137][2]:=$B3E6;
map[ 4138][1]:=$B5A6;map[ 4138][2]:=$E858;
map[ 4139][1]:=$B5A7;map[ 4139][2]:=$E5B8;
map[ 4140][1]:=$B5A8;map[ 4140][2]:=$C178;
map[ 4141][1]:=$B5A9;map[ 4141][2]:=$A5B9;
map[ 4142][1]:=$B5AA;map[ 4142][2]:=$B4E1;
map[ 4143][1]:=$B5AB;map[ 4143][2]:=$A6FD;
map[ 4144][1]:=$B5AC;map[ 4144][2]:=$BCAA;
map[ 4145][1]:=$B5AD;map[ 4145][2]:=$B248;
map[ 4146][1]:=$B5AE;map[ 4146][2]:=$BDCF;
map[ 4147][1]:=$B5AF;map[ 4147][2]:=$BC75;
map[ 4148][1]:=$B5B0;map[ 4148][2]:=$B34A;
map[ 4149][1]:=$B5B1;map[ 4149][2]:=$B7ED;
map[ 4150][1]:=$B5B1;map[ 4150][2]:=$BBFD;
map[ 4151][1]:=$B5B1;map[ 4151][2]:=$BEB4;
map[ 4152][1]:=$B5B2;map[ 4152][2]:=$BED7;
map[ 4153][1]:=$B5B2;map[ 4153][2]:=$F7DC;
map[ 4154][1]:=$B5B3;map[ 4154][2]:=$C4D2;
map[ 4155][1]:=$B5B3;map[ 4155][2]:=$D0DE;
map[ 4156][1]:=$B5B4;map[ 4156][2]:=$BFBA;
map[ 4157][1]:=$B5B4;map[ 4157][2]:=$C0FA;
map[ 4158][1]:=$B5B5;map[ 4158][2]:=$C0C9;
map[ 4159][1]:=$B5B6;map[ 4159][2]:=$A44D;
map[ 4160][1]:=$B5B7;map[ 4160][2]:=$B76F;
map[ 4161][1]:=$B5B7;map[ 4161][2]:=$ECEA;
map[ 4162][1]:=$B5B8;map[ 4162][2]:=$C1D0;
map[ 4163][1]:=$B5B9;map[ 4163][2]:=$ADCB;
map[ 4164][1]:=$B5BA;map[ 4164][2]:=$AE71;
map[ 4165][1]:=$B5BB;map[ 4165][2]:=$C3AB;
map[ 4166][1]:=$B5BC;map[ 4166][2]:=$BEC9;
map[ 4167][1]:=$B5BD;map[ 4167][2]:=$A8EC;
map[ 4168][1]:=$B5BE;map[ 4168][2]:=$BD5F;
map[ 4169][1]:=$B5BF;map[ 4169][2]:=$B1A5;
map[ 4170][1]:=$B5C0;map[ 4170][2]:=$B944;
map[ 4171][1]:=$B5C1;map[ 4171][2]:=$B573;
map[ 4172][1]:=$B5C2;map[ 4172][2]:=$BC77;
map[ 4173][1]:=$B5C3;map[ 4173][2]:=$B16F;
map[ 4174][1]:=$B5C4;map[ 4174][2]:=$AABA;
map[ 4175][1]:=$B5C5;map[ 4175][2]:=$C3DE;
map[ 4176][1]:=$B5C6;map[ 4176][2]:=$BF4F;
map[ 4177][1]:=$B5C7;map[ 4177][2]:=$B56E;
map[ 4178][1]:=$B5C8;map[ 4178][2]:=$B5A5;
map[ 4179][1]:=$B5C9;map[ 4179][2]:=$C0FC;
map[ 4180][1]:=$B5CA;map[ 4180][2]:=$B9B9;
map[ 4181][1]:=$B5CB;map[ 4181][2]:=$BE48;
map[ 4182][1]:=$B5CC;map[ 4182][2]:=$B3F6;
map[ 4183][1]:=$B5CC;map[ 4183][2]:=$B6AC;
map[ 4184][1]:=$B5CD;map[ 4184][2]:=$A743;
map[ 4185][1]:=$B5CE;map[ 4185][2]:=$BA77;
map[ 4186][1]:=$B5CF;map[ 4186][2]:=$AD7D;
map[ 4187][1]:=$B5D0;map[ 4187][2]:=$BCC4;
map[ 4188][1]:=$B5D1;map[ 4188][2]:=$B2C3;
map[ 4189][1]:=$B5D2;map[ 4189][2]:=$A866;
map[ 4190][1]:=$B5D3;map[ 4190][2]:=$BAB0;
map[ 4191][1]:=$B5D4;map[ 4191][2]:=$BB43;
map[ 4192][1]:=$B5D5;map[ 4192][2]:=$B9DE;
map[ 4193][1]:=$B5D6;map[ 4193][2]:=$A9E8;
map[ 4194][1]:=$B5D6;map[ 4194][2]:=$ACBB;
map[ 4195][1]:=$B5D6;map[ 4195][2]:=$DBD3;
map[ 4196][1]:=$B5D7;map[ 4196][2]:=$A9B3;
map[ 4197][1]:=$B5D8;map[ 4197][2]:=$A661;
map[ 4198][1]:=$B5D9;map[ 4198][2]:=$B8A6;
map[ 4199][1]:=$B5DA;map[ 4199][2]:=$B2C4;
map[ 4200][1]:=$B5DB;map[ 4200][2]:=$ABD2;
map[ 4201][1]:=$B5DC;map[ 4201][2]:=$A7CC;
map[ 4202][1]:=$B5DD;map[ 4202][2]:=$BBBC;
map[ 4203][1]:=$B5DE;map[ 4203][2]:=$BD6C;
map[ 4204][1]:=$B5DF;map[ 4204][2]:=$C441;
map[ 4205][1]:=$B5E0;map[ 4205][2]:=$D569;
map[ 4206][1]:=$B5E1;map[ 4206][2]:=$B7BF;
map[ 4207][1]:=$B5E2;map[ 4207][2]:=$B84B;
map[ 4208][1]:=$B5E3;map[ 4208][2]:=$C249;
map[ 4209][1]:=$B5E4;map[ 4209][2]:=$A8E5;
map[ 4210][1]:=$B5E5;map[ 4210][2]:=$C051;
map[ 4211][1]:=$B5E6;map[ 4211][2]:=$B9D4;
map[ 4212][1]:=$B5E7;map[ 4212][2]:=$B971;
map[ 4213][1]:=$B5E8;map[ 4213][2]:=$A6FA;
map[ 4214][1]:=$B5E9;map[ 4214][2]:=$A86C;
map[ 4215][1]:=$B5EA;map[ 4215][2]:=$A9B1;
map[ 4216][1]:=$B5EB;map[ 4216][2]:=$B17D;
map[ 4217][1]:=$B5EC;map[ 4217][2]:=$B3FE;
map[ 4218][1]:=$B5ED;map[ 4218][2]:=$BEFD;
map[ 4219][1]:=$B5ED;map[ 4219][2]:=$D5E0;
map[ 4220][1]:=$B5EE;map[ 4220][2]:=$B7B5;
map[ 4221][1]:=$B5EF;map[ 4221][2]:=$B84D;
map[ 4222][1]:=$B5F0;map[ 4222][2]:=$A570;
map[ 4223][1]:=$B5F1;map[ 4223][2]:=$C04A;
map[ 4224][1]:=$B5F1;map[ 4224][2]:=$B16E;
map[ 4225][1]:=$B5F2;map[ 4225][2]:=$ADE4;
map[ 4226][1]:=$B5F3;map[ 4226][2]:=$A44E;
map[ 4227][1]:=$B5F4;map[ 4227][2]:=$B1BC;
map[ 4228][1]:=$B5F5;map[ 4228][2]:=$A651;
map[ 4229][1]:=$B5F5;map[ 4229][2]:=$A4DD;
map[ 4230][1]:=$B5F6;map[ 4230][2]:=$B3A8;
map[ 4231][1]:=$B5F7;map[ 4231][2]:=$BDD5;
map[ 4232][1]:=$B5F8;map[ 4232][2]:=$B65E;
map[ 4233][1]:=$B5F9;map[ 4233][2]:=$AF52;
map[ 4234][1]:=$B5FB;map[ 4234][2]:=$BDBA;
map[ 4235][1]:=$B5FC;map[ 4235][2]:=$ADA1;
map[ 4236][1]:=$B5FD;map[ 4236][2]:=$BFD2;
map[ 4237][1]:=$B5FE;map[ 4237][2]:=$C57C;
map[ 4238][1]:=$B640;map[ 4238][2]:=$E2FE;
map[ 4239][1]:=$B641;map[ 4239][2]:=$E2FD;
map[ 4240][1]:=$B643;map[ 4240][2]:=$E2FB;
map[ 4241][1]:=$B644;map[ 4241][2]:=$E340;
map[ 4242][1]:=$B645;map[ 4242][2]:=$E2F8;
map[ 4243][1]:=$B647;map[ 4243][2]:=$E6D0;
map[ 4244][1]:=$B648;map[ 4244][2]:=$E6CE;
map[ 4245][1]:=$B64C;map[ 4245][2]:=$E6CD;
map[ 4246][1]:=$B64D;map[ 4246][2]:=$E6CC;
map[ 4247][1]:=$B64E;map[ 4247][2]:=$E6CF;
map[ 4248][1]:=$B650;map[ 4248][2]:=$EAAE;
map[ 4249][1]:=$B653;map[ 4249][2]:=$EDB0;
map[ 4250][1]:=$B656;map[ 4250][2]:=$EDAF;
map[ 4251][1]:=$B657;map[ 4251][2]:=$F05F;
map[ 4252][1]:=$B658;map[ 4252][2]:=$F05E;
map[ 4253][1]:=$B65D;map[ 4253][2]:=$F4A1;
map[ 4254][1]:=$B65E;map[ 4254][2]:=$F6F7;
map[ 4255][1]:=$B660;map[ 4255][2]:=$F8B7;
map[ 4256][1]:=$B661;map[ 4256][2]:=$F8B6;
map[ 4257][1]:=$B662;map[ 4257][2]:=$C9A8;
map[ 4258][1]:=$B667;map[ 4258][2]:=$CDA4;
map[ 4259][1]:=$B66C;map[ 4259][2]:=$CFFD;
map[ 4260][1]:=$B66D;map[ 4260][2]:=$CFFB;
map[ 4261][1]:=$B671;map[ 4261][2]:=$CFFC;
map[ 4262][1]:=$B676;map[ 4262][2]:=$D2F3;
map[ 4263][1]:=$B677;map[ 4263][2]:=$D2F5;
map[ 4264][1]:=$B678;map[ 4264][2]:=$D2F4;
map[ 4265][1]:=$B679;map[ 4265][2]:=$D2EF;
map[ 4266][1]:=$B67E;map[ 4266][2]:=$D2F2;
map[ 4267][1]:=$B680;map[ 4267][2]:=$D2EE;
map[ 4268][1]:=$B681;map[ 4268][2]:=$D2F0;
map[ 4269][1]:=$B687;map[ 4269][2]:=$D6C6;
map[ 4270][1]:=$B688;map[ 4270][2]:=$D6C7;
map[ 4271][1]:=$B68A;map[ 4271][2]:=$D6C4;
map[ 4272][1]:=$B68C;map[ 4272][2]:=$C2AA;
map[ 4273][1]:=$B68F;map[ 4273][2]:=$DADA;
map[ 4274][1]:=$B694;map[ 4274][2]:=$DAD7;
map[ 4275][1]:=$B695;map[ 4275][2]:=$DAD9;
map[ 4276][1]:=$B697;map[ 4276][2]:=$DF41;
map[ 4277][1]:=$B698;map[ 4277][2]:=$DEF7;
map[ 4278][1]:=$B699;map[ 4278][2]:=$DEFA;
map[ 4279][1]:=$B69A;map[ 4279][2]:=$DEFE;
map[ 4280][1]:=$B69B;map[ 4280][2]:=$DEFC;
map[ 4281][1]:=$B69D;map[ 4281][2]:=$DEF8;
map[ 4282][1]:=$B69E;map[ 4282][2]:=$DEF9;
map[ 4283][1]:=$B69F;map[ 4283][2]:=$DF40;
map[ 4284][1]:=$B6A1;map[ 4284][2]:=$A442;
map[ 4285][1]:=$B6A2;map[ 4285][2]:=$A86E;
map[ 4286][1]:=$B6A3;map[ 4286][2]:=$A56D;
map[ 4287][1]:=$B6A4;map[ 4287][2]:=$B076;
map[ 4288][1]:=$B6A5;map[ 4288][2]:=$B3BB;
map[ 4289][1]:=$B6A6;map[ 4289][2]:=$B9A9;
map[ 4290][1]:=$B6A7;map[ 4290][2]:=$BFF5;
map[ 4291][1]:=$B6A8;map[ 4291][2]:=$A977;
map[ 4292][1]:=$B6A9;map[ 4292][2]:=$AD71;
map[ 4293][1]:=$B6AA;map[ 4293][2]:=$A5E1;
map[ 4294][1]:=$B6AB;map[ 4294][2]:=$AA46;
map[ 4295][1]:=$B6AC;map[ 4295][2]:=$A556;
map[ 4296][1]:=$B6AC;map[ 4296][2]:=$C35D;
map[ 4297][1]:=$B6AD;map[ 4297][2]:=$B8B3;
map[ 4298][1]:=$B6AE;map[ 4298][2]:=$C0B4;
map[ 4299][1]:=$B6AF;map[ 4299][2]:=$B0CA;
map[ 4300][1]:=$B6B0;map[ 4300][2]:=$B4C9;
map[ 4301][1]:=$B6B1;map[ 4301][2]:=$CBBE;
map[ 4302][1]:=$B6B2;map[ 4302][2]:=$ABF0;
map[ 4303][1]:=$B6B3;map[ 4303][2]:=$ADE1;
map[ 4304][1]:=$B6B4;map[ 4304][2]:=$AC7D;
map[ 4305][1]:=$B6B5;map[ 4305][2]:=$B0C2;
map[ 4306][1]:=$B6B6;map[ 4306][2]:=$A7DD;
map[ 4307][1]:=$B6B7;map[ 4307][2]:=$A4E6;
map[ 4308][1]:=$B6B7;map[ 4308][2]:=$B0AB;
map[ 4309][1]:=$B6B8;map[ 4309][2]:=$B07E;
map[ 4310][1]:=$B6B9;map[ 4310][2]:=$A8A7;
map[ 4311][1]:=$B6BA;map[ 4311][2]:=$B372;
map[ 4312][1]:=$B6BB;map[ 4312][2]:=$B56B;
map[ 4313][1]:=$B6BC;map[ 4313][2]:=$B3A3;
map[ 4314][1]:=$B6BD;map[ 4314][2]:=$B7FE;
map[ 4315][1]:=$B6BE;map[ 4315][2]:=$AC72;
map[ 4316][1]:=$B6BF;map[ 4316][2]:=$C37D;
map[ 4317][1]:=$B6C0;map[ 4317][2]:=$BF57;
map[ 4318][1]:=$B6C1;map[ 4318][2]:=$C5AA;
map[ 4319][1]:=$B6C2;map[ 4319][2]:=$B0F4;
map[ 4320][1]:=$B6C3;map[ 4320][2]:=$B840;
map[ 4321][1]:=$B6C4;map[ 4321][2]:=$BDE4;
map[ 4322][1]:=$B6C5;map[ 4322][2]:=$A7F9;
map[ 4323][1]:=$B6C6;map[ 4323][2]:=$C1E1;
map[ 4324][1]:=$B6C7;map[ 4324][2]:=$A87B;
map[ 4325][1]:=$B6C8;map[ 4325][2]:=$ABD7;
map[ 4326][1]:=$B6C9;map[ 4326][2]:=$B4E7;
map[ 4327][1]:=$B6CA;map[ 4327][2]:=$A7AA;
map[ 4328][1]:=$B6CB;map[ 4328][2]:=$BADD;
map[ 4329][1]:=$B6CB;map[ 4329][2]:=$AD42;
map[ 4330][1]:=$B6CC;map[ 4330][2]:=$B575;
map[ 4331][1]:=$B6CD;map[ 4331][2]:=$C1EB;
map[ 4332][1]:=$B6CE;map[ 4332][2]:=$AC71;
map[ 4333][1]:=$B6CF;map[ 4333][2]:=$C25F;
map[ 4334][1]:=$B6D0;map[ 4334][2]:=$BD76;
map[ 4335][1]:=$B6D1;map[ 4335][2]:=$B0EF;
map[ 4336][1]:=$B6D2;map[ 4336][2]:=$A749;
map[ 4337][1]:=$B6D3;map[ 4337][2]:=$B6A4;
map[ 4338][1]:=$B6D4;map[ 4338][2]:=$B9EF;
map[ 4339][1]:=$B6D5;map[ 4339][2]:=$BC5B;
map[ 4340][1]:=$B6D6;map[ 4340][2]:=$BEB7;
map[ 4341][1]:=$B6D6;map[ 4341][2]:=$CAA4;
map[ 4342][1]:=$B6D7;map[ 4342][2]:=$C3DB;
map[ 4343][1]:=$B6D8;map[ 4343][2]:=$B4B0;
map[ 4344][1]:=$B6D9;map[ 4344][2]:=$B979;
map[ 4345][1]:=$B6DA;map[ 4345][2]:=$A779;
map[ 4346][1]:=$B6DB;map[ 4346][2]:=$B677;
map[ 4347][1]:=$B6DC;map[ 4347][2]:=$ACDE;
map[ 4348][1]:=$B6DD;map[ 4348][2]:=$B950;
map[ 4349][1]:=$B6DE;map[ 4349][2]:=$D573;
map[ 4350][1]:=$B6DF;map[ 4350][2]:=$CE47;
map[ 4351][1]:=$B6E0;map[ 4351][2]:=$A668;
map[ 4352][1]:=$B6E1;map[ 4352][2]:=$B9DC;
map[ 4353][1]:=$B6E2;map[ 4353][2]:=$CE57;
map[ 4354][1]:=$B6E3;map[ 4354][2]:=$B8FA;
map[ 4355][1]:=$B6E4;map[ 4355][2]:=$A6B7;
map[ 4356][1]:=$B6E5;map[ 4356][2]:=$B8F6;
map[ 4357][1]:=$B6E6;map[ 4357][2]:=$B2EB;
map[ 4358][1]:=$B6E7;map[ 4358][2]:=$A8EF;
map[ 4359][1]:=$B6E8;map[ 4359][2]:=$B46B;
map[ 4360][1]:=$B6E9;map[ 4360][2]:=$BC5A;
map[ 4361][1]:=$B6EA;map[ 4361][2]:=$B8BF;
map[ 4362][1]:=$B6EB;map[ 4362][2]:=$AE6F;
map[ 4363][1]:=$B6EC;map[ 4363][2]:=$C35A;
map[ 4364][1]:=$B6ED;map[ 4364][2]:=$AB58;
map[ 4365][1]:=$B6EE;map[ 4365][2]:=$C342;
map[ 4366][1]:=$B6EF;map[ 4366][2]:=$B35F;
map[ 4367][1]:=$B6F0;map[ 4367][2]:=$AE5A;
map[ 4368][1]:=$B6F1;map[ 4368][2]:=$B463;
map[ 4369][1]:=$B6F1;map[ 4369][2]:=$E4FA;
map[ 4370][1]:=$B6F2;map[ 4370][2]:=$A4CC;
map[ 4371][1]:=$B6F3;map[ 4371][2]:=$A7E3;
map[ 4372][1]:=$B6F4;map[ 4372][2]:=$B94B;
map[ 4373][1]:=$B6F5;map[ 4373][2]:=$B66B;
map[ 4374][1]:=$B6F6;map[ 4374][2]:=$BE6A;
map[ 4375][1]:=$B6F7;map[ 4375][2]:=$AEA6;
map[ 4376][1]:=$B6F8;map[ 4376][2]:=$A6D3;
map[ 4377][1]:=$B6F9;map[ 4377][2]:=$A8E0;
map[ 4378][1]:=$B6F9;map[ 4378][2]:=$A449;
map[ 4379][1]:=$B6FA;map[ 4379][2]:=$A6D5;
map[ 4380][1]:=$B6FB;map[ 4380][2]:=$BAB8;
map[ 4381][1]:=$B6FC;map[ 4381][2]:=$BBE7;
map[ 4382][1]:=$B6FD;map[ 4382][2]:=$AC7C;
map[ 4383][1]:=$B6FE;map[ 4383][2]:=$A447;
map[ 4384][1]:=$B743;map[ 4384][2]:=$DEFD;
map[ 4385][1]:=$B746;map[ 4385][2]:=$E349;
map[ 4386][1]:=$B748;map[ 4386][2]:=$E348;
map[ 4387][1]:=$B74B;map[ 4387][2]:=$E344;
map[ 4388][1]:=$B74F;map[ 4388][2]:=$E347;
map[ 4389][1]:=$B750;map[ 4389][2]:=$E346;
map[ 4390][1]:=$B75D;map[ 4390][2]:=$EAAF;
map[ 4391][1]:=$B75F;map[ 4391][2]:=$EAB1;
map[ 4392][1]:=$B760;map[ 4392][2]:=$EAB0;
map[ 4393][1]:=$B762;map[ 4393][2]:=$E345;
map[ 4394][1]:=$B763;map[ 4394][2]:=$BF72;
map[ 4395][1]:=$B76B;map[ 4395][2]:=$EDB5;
map[ 4396][1]:=$B76D;map[ 4396][2]:=$EDB3;
map[ 4397][1]:=$B76E;map[ 4397][2]:=$EDB4;
map[ 4398][1]:=$B770;map[ 4398][2]:=$EDB6;
map[ 4399][1]:=$B771;map[ 4399][2]:=$EDB2;
map[ 4400][1]:=$B772;map[ 4400][2]:=$EDB1;
map[ 4401][1]:=$B775;map[ 4401][2]:=$F060;
map[ 4402][1]:=$B77D;map[ 4402][2]:=$F2A6;
map[ 4403][1]:=$B783;map[ 4403][2]:=$F4A3;
map[ 4404][1]:=$B785;map[ 4404][2]:=$F4A2;
map[ 4405][1]:=$B787;map[ 4405][2]:=$F6F9;
map[ 4406][1]:=$B78A;map[ 4406][2]:=$CA48;
map[ 4407][1]:=$B78B;map[ 4407][2]:=$CDA6;
map[ 4408][1]:=$B78E;map[ 4408][2]:=$D040;
map[ 4409][1]:=$B790;map[ 4409][2]:=$D2F8;
map[ 4410][1]:=$B791;map[ 4410][2]:=$D2FC;
map[ 4411][1]:=$B792;map[ 4411][2]:=$D2F7;
map[ 4412][1]:=$B793;map[ 4412][2]:=$D2FB;
map[ 4413][1]:=$B794;map[ 4413][2]:=$D2F9;
map[ 4414][1]:=$B795;map[ 4414][2]:=$D2FA;
map[ 4415][1]:=$B797;map[ 4415][2]:=$D6C8;
map[ 4416][1]:=$B798;map[ 4416][2]:=$D6CA;
map[ 4417][1]:=$B79A;map[ 4417][2]:=$D6C9;
map[ 4418][1]:=$B79B;map[ 4418][2]:=$DADB;
map[ 4419][1]:=$B79E;map[ 4419][2]:=$DF44;
map[ 4420][1]:=$B7A0;map[ 4420][2]:=$DF43;
map[ 4421][1]:=$B7A1;map[ 4421][2]:=$B64C;
map[ 4422][1]:=$B7A2;map[ 4422][2]:=$B56F;
map[ 4423][1]:=$B7A2;map[ 4423][2]:=$BE76;
map[ 4424][1]:=$B7A3;map[ 4424][2]:=$BB40;
map[ 4425][1]:=$B7A4;map[ 4425][2]:=$B5AD;
map[ 4426][1]:=$B7A5;map[ 4426][2]:=$A5EF;
map[ 4427][1]:=$B7A6;map[ 4427][2]:=$A546;
map[ 4428][1]:=$B7A7;map[ 4428][2]:=$BBD6;
map[ 4429][1]:=$B7A8;map[ 4429][2]:=$AA6B;
map[ 4430][1]:=$B7A9;map[ 4430][2]:=$B557;
map[ 4431][1]:=$B7AA;map[ 4431][2]:=$C3BF;
map[ 4432][1]:=$B7AB;map[ 4432][2]:=$A67C;
map[ 4433][1]:=$B7AC;map[ 4433][2]:=$B566;
map[ 4434][1]:=$B7AD;map[ 4434][2]:=$C2BD;
map[ 4435][1]:=$B7AD;map[ 4435][2]:=$C2BA;
map[ 4436][1]:=$B7AE;map[ 4436][2]:=$BCD4;
map[ 4437][1]:=$B7AF;map[ 4437][2]:=$C473;
map[ 4438][1]:=$B7B0;map[ 4438][2]:=$B3AB;
map[ 4439][1]:=$B7B1;map[ 4439][2]:=$C163;
map[ 4440][1]:=$B7B2;map[ 4440][2]:=$A45A;
map[ 4441][1]:=$B7B3;map[ 4441][2]:=$B7D0;
map[ 4442][1]:=$B7B4;map[ 4442][2]:=$A4CF;
map[ 4443][1]:=$B7B5;map[ 4443][2]:=$AAF0;
map[ 4444][1]:=$B7B6;map[ 4444][2]:=$BD64;
map[ 4445][1]:=$B7B6;map[ 4445][2]:=$AD53;
map[ 4446][1]:=$B7B7;map[ 4446][2]:=$B363;
map[ 4447][1]:=$B7B8;map[ 4447][2]:=$A5C7;
map[ 4448][1]:=$B7B9;map[ 4448][2]:=$B6BA;
map[ 4449][1]:=$B7BA;map[ 4449][2]:=$AA78;
map[ 4450][1]:=$B7BA;map[ 4450][2]:=$A5C6;
map[ 4451][1]:=$B7BA;map[ 4451][2]:=$A6C6;
map[ 4452][1]:=$B7BB;map[ 4452][2]:=$A77B;
map[ 4453][1]:=$B7BC;map[ 4453][2]:=$AADA;
map[ 4454][1]:=$B7BD;map[ 4454][2]:=$A4E8;
map[ 4455][1]:=$B7BE;map[ 4455][2]:=$AAD5;
map[ 4456][1]:=$B7BF;map[ 4456][2]:=$A9D0;
map[ 4457][1]:=$B7C0;map[ 4457][2]:=$A8BE;
map[ 4458][1]:=$B7C1;map[ 4458][2]:=$A7AB;
map[ 4459][1]:=$B7C2;map[ 4459][2]:=$A5E9;
map[ 4460][1]:=$B7C2;map[ 4460][2]:=$ADC0;
map[ 4461][1]:=$B7C3;map[ 4461][2]:=$B358;
map[ 4462][1]:=$B7C4;map[ 4462][2]:=$AFBC;
map[ 4463][1]:=$B7C5;map[ 4463][2]:=$A9F1;
map[ 4464][1]:=$B7C6;map[ 4464][2]:=$B5E1;
map[ 4465][1]:=$B7C7;map[ 4465][2]:=$AB44;
map[ 4466][1]:=$B7C8;map[ 4466][2]:=$B0D8;
map[ 4467][1]:=$B7C9;map[ 4467][2]:=$ADB8;
map[ 4468][1]:=$B7CA;map[ 4468][2]:=$AACE;
map[ 4469][1]:=$B7CB;map[ 4469][2]:=$ADEA;
map[ 4470][1]:=$B7CC;map[ 4470][2]:=$BDDA;
map[ 4471][1]:=$B7CD;map[ 4471][2]:=$A770;
map[ 4472][1]:=$B7CE;map[ 4472][2]:=$AACD;
map[ 4473][1]:=$B7CF;map[ 4473][2]:=$BC6F;
map[ 4474][1]:=$B7D0;map[ 4474][2]:=$AA6D;
map[ 4475][1]:=$B7D1;map[ 4475][2]:=$B64F;
map[ 4476][1]:=$B7D2;map[ 4476][2]:=$AAE2;
map[ 4477][1]:=$B7D3;map[ 4477][2]:=$D7F4;
map[ 4478][1]:=$B7D4;map[ 4478][2]:=$A768;
map[ 4479][1]:=$B7D5;map[ 4479][2]:=$AA5E;
map[ 4480][1]:=$B7D6;map[ 4480][2]:=$A4C0;
map[ 4481][1]:=$B7D7;map[ 4481][2]:=$AFC9;
map[ 4482][1]:=$B7D8;map[ 4482][2]:=$BC58;
map[ 4483][1]:=$B7D9;map[ 4483][2]:=$B549;
map[ 4484][1]:=$B7DA;map[ 4484][2]:=$A857;
map[ 4485][1]:=$B7DB;map[ 4485][2]:=$AFBB;
map[ 4486][1]:=$B7DC;map[ 4486][2]:=$BEC4;
map[ 4487][1]:=$B7DD;map[ 4487][2]:=$A5F7;
map[ 4488][1]:=$B7DE;map[ 4488][2]:=$A9C1;
map[ 4489][1]:=$B7DF;map[ 4489][2]:=$BCAB;
map[ 4490][1]:=$B7E0;map[ 4490][2]:=$C154;
map[ 4491][1]:=$B7E1;map[ 4491][2]:=$C2D7;
map[ 4492][1]:=$B7E1;map[ 4492][2]:=$A4A5;
map[ 4493][1]:=$B7E2;map[ 4493][2]:=$ABCA;
map[ 4494][1]:=$B7E3;map[ 4494][2]:=$B7AC;
map[ 4495][1]:=$B7E4;map[ 4495][2]:=$B8C1;
map[ 4496][1]:=$B7E5;map[ 4496][2]:=$AE70;
map[ 4497][1]:=$B7E6;map[ 4497][2]:=$BE57;
map[ 4498][1]:=$B7E7;map[ 4498][2]:=$ADB7;
map[ 4499][1]:=$B7E8;map[ 4499][2]:=$BAC6;
map[ 4500][1]:=$B7E9;map[ 4500][2]:=$B26C;
map[ 4501][1]:=$B7EA;map[ 4501][2]:=$B37B;
map[ 4502][1]:=$B7EB;map[ 4502][2]:=$B6BE;
map[ 4503][1]:=$B7EC;map[ 4503][2]:=$C15F;
map[ 4504][1]:=$B7ED;map[ 4504][2]:=$BFD8;
map[ 4505][1]:=$B7EE;map[ 4505][2]:=$A95E;
map[ 4506][1]:=$B7EF;map[ 4506][2]:=$BBF1;
map[ 4507][1]:=$B7F0;map[ 4507][2]:=$A6F2;
map[ 4508][1]:=$B7F0;map[ 4508][2]:=$A9BB;
map[ 4509][1]:=$B7F1;map[ 4509][2]:=$A75F;
map[ 4510][1]:=$B7F2;map[ 4510][2]:=$A4D2;
map[ 4511][1]:=$B7F2;map[ 4511][2]:=$A5ED;
map[ 4512][1]:=$B7F3;map[ 4512][2]:=$BCC5;
map[ 4513][1]:=$B7F4;map[ 4513][2]:=$BDA7;
map[ 4514][1]:=$B7F5;map[ 4514][2]:=$B9E5;
map[ 4515][1]:=$B7F6;map[ 4515][2]:=$A7DF;
map[ 4516][1]:=$B7F7;map[ 4516][2]:=$A9D8;
map[ 4517][1]:=$B7F8;map[ 4517][2]:=$BFE7;
map[ 4518][1]:=$B7F9;map[ 4518][2]:=$B454;
map[ 4519][1]:=$B7FA;map[ 4519][2]:=$AC74;
map[ 4520][1]:=$B7FB;map[ 4520][2]:=$B2C5;
map[ 4521][1]:=$B7FC;map[ 4521][2]:=$A5F1;
map[ 4522][1]:=$B7FD;map[ 4522][2]:=$AB52;
map[ 4523][1]:=$B7FE;map[ 4523][2]:=$AA41;
map[ 4524][1]:=$B840;map[ 4524][2]:=$DF42;
map[ 4525][1]:=$B845;map[ 4525][2]:=$E34B;
map[ 4526][1]:=$B849;map[ 4526][2]:=$EAB5;
map[ 4527][1]:=$B84A;map[ 4527][2]:=$E6D3;
map[ 4528][1]:=$B84B;map[ 4528][2]:=$E6D4;
map[ 4529][1]:=$B84C;map[ 4529][2]:=$EAB4;
map[ 4530][1]:=$B84E;map[ 4530][2]:=$EAB6;
map[ 4531][1]:=$B84F;map[ 4531][2]:=$EAB3;
map[ 4532][1]:=$B855;map[ 4532][2]:=$EDB7;
map[ 4533][1]:=$B856;map[ 4533][2]:=$EDB8;
map[ 4534][1]:=$B857;map[ 4534][2]:=$EDB9;
map[ 4535][1]:=$B866;map[ 4535][2]:=$D041;
map[ 4536][1]:=$B86C;map[ 4536][2]:=$D2FD;
map[ 4537][1]:=$B873;map[ 4537][2]:=$DADD;
map[ 4538][1]:=$B878;map[ 4538][2]:=$DF45;
map[ 4539][1]:=$B87A;map[ 4539][2]:=$E34D;
map[ 4540][1]:=$B883;map[ 4540][2]:=$F4A5;
map[ 4541][1]:=$B885;map[ 4541][2]:=$CDA7;
map[ 4542][1]:=$B888;map[ 4542][2]:=$D042;
map[ 4543][1]:=$B889;map[ 4543][2]:=$D043;
map[ 4544][1]:=$B88B;map[ 4544][2]:=$D342;
map[ 4545][1]:=$B88D;map[ 4545][2]:=$D347;
map[ 4546][1]:=$B890;map[ 4546][2]:=$D346;
map[ 4547][1]:=$B891;map[ 4547][2]:=$D2FE;
map[ 4548][1]:=$B892;map[ 4548][2]:=$D348;
map[ 4549][1]:=$B893;map[ 4549][2]:=$D341;
map[ 4550][1]:=$B896;map[ 4550][2]:=$D6D3;
map[ 4551][1]:=$B897;map[ 4551][2]:=$D6DC;
map[ 4552][1]:=$B899;map[ 4552][2]:=$D6D5;
map[ 4553][1]:=$B89C;map[ 4553][2]:=$D6D0;
map[ 4554][1]:=$B89D;map[ 4554][2]:=$D6DD;
map[ 4555][1]:=$B8A0;map[ 4555][2]:=$D6D8;
map[ 4556][1]:=$B8A1;map[ 4556][2]:=$AF42;
map[ 4557][1]:=$B8A2;map[ 4557][2]:=$B265;
map[ 4558][1]:=$B8A3;map[ 4558][2]:=$BAD6;
map[ 4559][1]:=$B8A4;map[ 4559][2]:=$B5F6;
map[ 4560][1]:=$B8A5;map[ 4560][2]:=$A5B1;
map[ 4561][1]:=$B8A6;map[ 4561][2]:=$A86A;
map[ 4562][1]:=$B8A7;map[ 4562][2]:=$BCBE;
map[ 4563][1]:=$B8A8;map[ 4563][2]:=$BBB2;
map[ 4564][1]:=$B8A9;map[ 4564][2]:=$ADC1;
map[ 4565][1]:=$B8A9;map[ 4565][2]:=$BE66;
map[ 4566][1]:=$B8AA;map[ 4566][2]:=$B079;
map[ 4567][1]:=$B8AB;map[ 4567][2]:=$A9F2;
map[ 4568][1]:=$B8AC;map[ 4568][2]:=$B2E3;
map[ 4569][1]:=$B8AD;map[ 4569][2]:=$B5C6;
map[ 4570][1]:=$B8AE;map[ 4570][2]:=$A9B2;
map[ 4571][1]:=$B8AF;map[ 4571][2]:=$BB47;
map[ 4572][1]:=$B8B0;map[ 4572][2]:=$AD75;
map[ 4573][1]:=$B8B1;map[ 4573][2]:=$B0C6;
map[ 4574][1]:=$B8B2;map[ 4574][2]:=$C2D0;
map[ 4575][1]:=$B8B3;map[ 4575][2]:=$BDE1;
map[ 4576][1]:=$B8B4;map[ 4576][2]:=$B45F;
map[ 4577][1]:=$B8B4;map[ 4577][2]:=$BDC6;
map[ 4578][1]:=$B8B4;map[ 4578][2]:=$CE60;
map[ 4579][1]:=$B8B5;map[ 4579][2]:=$B3C5;
map[ 4580][1]:=$B8B6;map[ 4580][2]:=$A549;
map[ 4581][1]:=$B8B7;map[ 4581][2]:=$AAFA;
map[ 4582][1]:=$B8B8;map[ 4582][2]:=$A4F7;
map[ 4583][1]:=$B8B9;map[ 4583][2]:=$B8A1;
map[ 4584][1]:=$B8BA;map[ 4584][2]:=$AD74;
map[ 4585][1]:=$B8BB;map[ 4585][2]:=$B449;
map[ 4586][1]:=$B8BC;map[ 4586][2]:=$AD72;
map[ 4587][1]:=$B8BD;map[ 4587][2]:=$AAFE;
map[ 4588][1]:=$B8BE;map[ 4588][2]:=$B0FC;
map[ 4589][1]:=$B8BF;map[ 4589][2]:=$BFA3;
map[ 4590][1]:=$B8C0;map[ 4590][2]:=$A94A;
map[ 4591][1]:=$B8C1;map[ 4591][2]:=$BEBF;
map[ 4592][1]:=$B8C2;map[ 4592][2]:=$B9C7;
map[ 4593][1]:=$B8C3;map[ 4593][2]:=$B8D3;
map[ 4594][1]:=$B8C4;map[ 4594][2]:=$A7EF;
map[ 4595][1]:=$B8C5;map[ 4595][2]:=$B7A7;
map[ 4596][1]:=$B8C6;map[ 4596][2]:=$B674;
map[ 4597][1]:=$B8C7;map[ 4597][2]:=$BB5C;
map[ 4598][1]:=$B8C8;map[ 4598][2]:=$B540;
map[ 4599][1]:=$B8C9;map[ 4599][2]:=$A47A;
map[ 4600][1]:=$B8C9;map[ 4600][2]:=$B0AE;
map[ 4601][1]:=$B8C9;map[ 4601][2]:=$B746;
map[ 4602][1]:=$B8C9;map[ 4602][2]:=$BA6D;
map[ 4603][1]:=$B8CA;map[ 4603][2]:=$A5CC;
map[ 4604][1]:=$B8CB;map[ 4604][2]:=$A7FD;
map[ 4605][1]:=$B8CB;map[ 4605][2]:=$B1EC;
map[ 4606][1]:=$B8CC;map[ 4606][2]:=$AC61;
map[ 4607][1]:=$B8CD;map[ 4607][2]:=$ACF1;
map[ 4608][1]:=$B8CE;map[ 4608][2]:=$A878;
map[ 4609][1]:=$B8CF;map[ 4609][2]:=$BBB0;
map[ 4610][1]:=$B8CF;map[ 4610][2]:=$D3E3;
map[ 4611][1]:=$B8D0;map[ 4611][2]:=$B750;
map[ 4612][1]:=$B8D1;map[ 4612][2]:=$B57A;
map[ 4613][1]:=$B8D2;map[ 4613][2]:=$B4B1;
map[ 4614][1]:=$B8D3;map[ 4614][2]:=$C642;
map[ 4615][1]:=$B8D4;map[ 4615][2]:=$A9A3;
map[ 4616][1]:=$B8D5;map[ 4616][2]:=$ADE8;
map[ 4617][1]:=$B8D6;map[ 4617][2]:=$BFFB;
map[ 4618][1]:=$B8D7;map[ 4618][2]:=$ACFB;
map[ 4619][1]:=$B8D8;map[ 4619][2]:=$A87A;
map[ 4620][1]:=$B8D9;map[ 4620][2]:=$BAF5;
map[ 4621][1]:=$B8DA;map[ 4621][2]:=$B15E;
map[ 4622][1]:=$B8DB;map[ 4622][2]:=$B4E4;
map[ 4623][1]:=$B8DC;map[ 4623][2]:=$BA62;
map[ 4624][1]:=$B8DC;map[ 4624][2]:=$A7FE;
map[ 4625][1]:=$B8DD;map[ 4625][2]:=$BF74;
map[ 4626][1]:=$B8DE;map[ 4626][2]:=$AF6F;
map[ 4627][1]:=$B8DF;map[ 4627][2]:=$B0AA;
map[ 4628][1]:=$B8E0;map[ 4628][2]:=$BB49;
map[ 4629][1]:=$B8E1;map[ 4629][2]:=$AFCC;
map[ 4630][1]:=$B8E2;map[ 4630][2]:=$BF7C;
map[ 4631][1]:=$B8E3;map[ 4631][2]:=$B764;
map[ 4632][1]:=$B8E4;map[ 4632][2]:=$C2EE;
map[ 4633][1]:=$B8E5;map[ 4633][2]:=$BD5A;
map[ 4634][1]:=$B8E6;map[ 4634][2]:=$A769;
map[ 4635][1]:=$B8E7;map[ 4635][2]:=$ADF4;
map[ 4636][1]:=$B8E8;map[ 4636][2]:=$BA71;
map[ 4637][1]:=$B8E9;map[ 4637][2]:=$C0C1;
map[ 4638][1]:=$B8EA;map[ 4638][2]:=$A4E0;
map[ 4639][1]:=$B8EB;map[ 4639][2]:=$C246;
map[ 4640][1]:=$B8EC;map[ 4640][2]:=$AFDE;
map[ 4641][1]:=$B8ED;map[ 4641][2]:=$AAB8;
map[ 4642][1]:=$B8EE;map[ 4642][2]:=$B3CE;
map[ 4643][1]:=$B8EF;map[ 4643][2]:=$ADB2;
map[ 4644][1]:=$B8F0;map[ 4644][2]:=$B8AF;
map[ 4645][1]:=$B8F1;map[ 4645][2]:=$AEE6;
map[ 4646][1]:=$B8F2;map[ 4646][2]:=$B5F0;
map[ 4647][1]:=$B8F3;map[ 4647][2]:=$BBD5;
map[ 4648][1]:=$B8F4;map[ 4648][2]:=$B96A;
map[ 4649][1]:=$B8F5;map[ 4649][2]:=$BBCC;
map[ 4650][1]:=$B8F6;map[ 4650][2]:=$ADD3;
map[ 4651][1]:=$B8F6;map[ 4651][2]:=$BAE7;
map[ 4652][1]:=$B8F7;map[ 4652][2]:=$A655;
map[ 4653][1]:=$B8F8;map[ 4653][2]:=$B5B9;
map[ 4654][1]:=$B8F9;map[ 4654][2]:=$AEDA;
map[ 4655][1]:=$B8FA;map[ 4655][2]:=$B8F2;
map[ 4656][1]:=$B8FB;map[ 4656][2]:=$AFD1;
map[ 4657][1]:=$B8FC;map[ 4657][2]:=$A7F3;
map[ 4658][1]:=$B8FD;map[ 4658][2]:=$A9B0;
map[ 4659][1]:=$B8FE;map[ 4659][2]:=$C3BC;
map[ 4660][1]:=$B940;map[ 4660][2]:=$D6D9;
map[ 4661][1]:=$B941;map[ 4661][2]:=$D6CF;
map[ 4662][1]:=$B942;map[ 4662][2]:=$D6DA;
map[ 4663][1]:=$B943;map[ 4663][2]:=$D6CD;
map[ 4664][1]:=$B944;map[ 4664][2]:=$D6CB;
map[ 4665][1]:=$B948;map[ 4665][2]:=$DADF;
map[ 4666][1]:=$B94B;map[ 4666][2]:=$DAE4;
map[ 4667][1]:=$B94F;map[ 4667][2]:=$DAE0;
map[ 4668][1]:=$B951;map[ 4668][2]:=$DAE1;
map[ 4669][1]:=$B952;map[ 4669][2]:=$DADE;
map[ 4670][1]:=$B954;map[ 4670][2]:=$DAE3;
map[ 4671][1]:=$B959;map[ 4671][2]:=$F2AA;
map[ 4672][1]:=$B95C;map[ 4672][2]:=$DF50;
map[ 4673][1]:=$B95D;map[ 4673][2]:=$DF53;
map[ 4674][1]:=$B95E;map[ 4674][2]:=$DF47;
map[ 4675][1]:=$B95F;map[ 4675][2]:=$DF4C;
map[ 4676][1]:=$B960;map[ 4676][2]:=$DF46;
map[ 4677][1]:=$B963;map[ 4677][2]:=$DF4A;
map[ 4678][1]:=$B967;map[ 4678][2]:=$DF48;
map[ 4679][1]:=$B969;map[ 4679][2]:=$DF4F;
map[ 4680][1]:=$B96A;map[ 4680][2]:=$DF4D;
map[ 4681][1]:=$B96B;map[ 4681][2]:=$DF49;
map[ 4682][1]:=$B96C;map[ 4682][2]:=$DF52;
map[ 4683][1]:=$B96D;map[ 4683][2]:=$DF51;
map[ 4684][1]:=$B973;map[ 4684][2]:=$E35D;
map[ 4685][1]:=$B975;map[ 4685][2]:=$BAE8;
map[ 4686][1]:=$B978;map[ 4686][2]:=$E34E;
map[ 4687][1]:=$B97A;map[ 4687][2]:=$E350;
map[ 4688][1]:=$B97C;map[ 4688][2]:=$E355;
map[ 4689][1]:=$B97D;map[ 4689][2]:=$E357;
map[ 4690][1]:=$B980;map[ 4690][2]:=$E351;
map[ 4691][1]:=$B982;map[ 4691][2]:=$F6FC;
map[ 4692][1]:=$B983;map[ 4692][2]:=$E353;
map[ 4693][1]:=$B984;map[ 4693][2]:=$E359;
map[ 4694][1]:=$B985;map[ 4694][2]:=$E35B;
map[ 4695][1]:=$B987;map[ 4695][2]:=$E356;
map[ 4696][1]:=$B98C;map[ 4696][2]:=$E35C;
map[ 4697][1]:=$B98F;map[ 4697][2]:=$E6DB;
map[ 4698][1]:=$B993;map[ 4698][2]:=$E6DE;
map[ 4699][1]:=$B995;map[ 4699][2]:=$E6D6;
map[ 4700][1]:=$B996;map[ 4700][2]:=$E6DC;
map[ 4701][1]:=$B99B;map[ 4701][2]:=$E6D8;
map[ 4702][1]:=$B9A1;map[ 4702][2]:=$AE47;
map[ 4703][1]:=$B9A2;map[ 4703][2]:=$AFD5;
map[ 4704][1]:=$B9A3;map[ 4704][2]:=$B1F0;
map[ 4705][1]:=$B9A4;map[ 4705][2]:=$A475;
map[ 4706][1]:=$B9A5;map[ 4706][2]:=$A7F0;
map[ 4707][1]:=$B9A6;map[ 4707][2]:=$A55C;
map[ 4708][1]:=$B9A7;map[ 4708][2]:=$AEA5;
map[ 4709][1]:=$B9A8;map[ 4709][2]:=$C5C7;
map[ 4710][1]:=$B9A9;map[ 4710][2]:=$A8D1;
map[ 4711][1]:=$B9AA;map[ 4711][2]:=$B060;
map[ 4712][1]:=$B9AB;map[ 4712][2]:=$A4BD;
map[ 4713][1]:=$B9AC;map[ 4713][2]:=$AE63;
map[ 4714][1]:=$B9AD;map[ 4714][2]:=$A47D;
map[ 4715][1]:=$B9AE;map[ 4715][2]:=$BE64;
map[ 4716][1]:=$B9AF;map[ 4716][2]:=$A845;
map[ 4717][1]:=$B9B0;map[ 4717][2]:=$ABFD;
map[ 4718][1]:=$B9B1;map[ 4718][2]:=$B05E;
map[ 4719][1]:=$B9B2;map[ 4719][2]:=$A640;
map[ 4720][1]:=$B9B3;map[ 4720][2]:=$B95F;
map[ 4721][1]:=$B9B4;map[ 4721][2]:=$A4C4;
map[ 4722][1]:=$B9B5;map[ 4722][2]:=$B7BE;
map[ 4723][1]:=$B9B6;map[ 4723][2]:=$AD65;
map[ 4724][1]:=$B9B7;map[ 4724][2]:=$AAAF;
map[ 4725][1]:=$B9B8;map[ 4725][2]:=$ABAF;
map[ 4726][1]:=$B9B9;map[ 4726][2]:=$BA63;
map[ 4727][1]:=$B9B9;map[ 4727][2]:=$B770;
map[ 4728][1]:=$B9B9;map[ 4728][2]:=$CCDB;
map[ 4729][1]:=$B9BA;map[ 4729][2]:=$C1CA;
map[ 4730][1]:=$B9BB;map[ 4730][2]:=$B0F7;
map[ 4731][1]:=$B9BC;map[ 4731][2]:=$B664;
map[ 4732][1]:=$B9BD;map[ 4732][2]:=$DBA3;
map[ 4733][1]:=$B9BE;map[ 4733][2]:=$A942;
map[ 4734][1]:=$B9BF;map[ 4734][2]:=$E354;
map[ 4735][1]:=$B9C0;map[ 4735][2]:=$A6F4;
map[ 4736][1]:=$B9C1;map[ 4736][2]:=$AA66;
map[ 4737][1]:=$B9C2;map[ 4737][2]:=$A974;
map[ 4738][1]:=$B9C3;map[ 4738][2]:=$A968;
map[ 4739][1]:=$B9C4;map[ 4739][2]:=$B9AA;
map[ 4740][1]:=$B9C5;map[ 4740][2]:=$A56A;
map[ 4741][1]:=$B9C6;map[ 4741][2]:=$C5DB;
map[ 4742][1]:=$B9C7;map[ 4742][2]:=$B0A9;
map[ 4743][1]:=$B9C8;map[ 4743][2]:=$A8A6;
map[ 4744][1]:=$B9C8;map[ 4744][2]:=$BD5C;
map[ 4745][1]:=$B9C9;map[ 4745][2]:=$AAD1;
map[ 4746][1]:=$B9CA;map[ 4746][2]:=$AC47;
map[ 4747][1]:=$B9CB;map[ 4747][2]:=$C555;
map[ 4748][1]:=$B9CC;map[ 4748][2]:=$A954;
map[ 4749][1]:=$B9CD;map[ 4749][2]:=$B6B1;
map[ 4750][1]:=$B9CD;map[ 4750][2]:=$B9B5;
map[ 4751][1]:=$B9CE;map[ 4751][2]:=$A8ED;
map[ 4752][1]:=$B9CE;map[ 4752][2]:=$BE68;
map[ 4753][1]:=$B9CF;map[ 4753][2]:=$A5CA;
map[ 4754][1]:=$B9D0;map[ 4754][2]:=$D46C;
map[ 4755][1]:=$B9D1;map[ 4755][2]:=$B9E8;
map[ 4756][1]:=$B9D2;map[ 4756][2]:=$B1BE;
map[ 4757][1]:=$B9D2;map[ 4757][2]:=$AC45;
map[ 4758][1]:=$B9D3;map[ 4758][2]:=$BB6F;
map[ 4759][1]:=$B9D4;map[ 4759][2]:=$A8C4;
map[ 4760][1]:=$B9D5;map[ 4760][2]:=$A9E4;
map[ 4761][1]:=$B9D5;map[ 4761][2]:=$AC62;
map[ 4762][1]:=$B9D5;map[ 4762][2]:=$CF5E;
map[ 4763][1]:=$B9D6;map[ 4763][2]:=$A9C7;
map[ 4764][1]:=$B9D7;map[ 4764][2]:=$B4C3;
map[ 4765][1]:=$B9D8;map[ 4765][2]:=$C3F6;
map[ 4766][1]:=$B9D9;map[ 4766][2]:=$A978;
map[ 4767][1]:=$B9DA;map[ 4767][2]:=$AB61;
map[ 4768][1]:=$B9DB;map[ 4768][2]:=$C65B;
map[ 4769][1]:=$B9DC;map[ 4769][2]:=$BADE;
map[ 4770][1]:=$B9DC;map[ 4770][2]:=$B55F;
map[ 4771][1]:=$B9DD;map[ 4771][2]:=$C05D;
map[ 4772][1]:=$B9DE;map[ 4772][2]:=$C5F8;
map[ 4773][1]:=$B9DF;map[ 4773][2]:=$BA44;
map[ 4774][1]:=$B9E0;map[ 4774][2]:=$C4E9;
map[ 4775][1]:=$B9E1;map[ 4775][2]:=$B365;
map[ 4776][1]:=$B9E2;map[ 4776][2]:=$A5FA;
map[ 4777][1]:=$B9E3;map[ 4777][2]:=$BC73;
map[ 4778][1]:=$B9E4;map[ 4778][2]:=$B37D;
map[ 4779][1]:=$B9E5;map[ 4779][2]:=$BAC0;
map[ 4780][1]:=$B9E6;map[ 4780][2]:=$B357;
map[ 4781][1]:=$B9E6;map[ 4781][2]:=$E5E4;
map[ 4782][1]:=$B9E7;map[ 4782][2]:=$A663;
map[ 4783][1]:=$B9E8;map[ 4783][2]:=$AABF;
map[ 4784][1]:=$B9E8;map[ 4784][2]:=$D6BA;
map[ 4785][1]:=$B9E9;map[ 4785][2]:=$C26B;
map[ 4786][1]:=$B9EA;map[ 4786][2]:=$C074;
map[ 4787][1]:=$B9EB;map[ 4787][2]:=$BBD3;
map[ 4788][1]:=$B9EC;map[ 4788][2]:=$AD79;
map[ 4789][1]:=$B9ED;map[ 4789][2]:=$B0AD;
map[ 4790][1]:=$B9EE;map[ 4790][2]:=$B8DE;
map[ 4791][1]:=$B9EF;map[ 4791][2]:=$ACD1;
map[ 4792][1]:=$B9F0;map[ 4792][2]:=$AEDB;
map[ 4793][1]:=$B9F1;map[ 4793][2]:=$C264;
map[ 4794][1]:=$B9F1;map[ 4794][2]:=$CF40;
map[ 4795][1]:=$B9F2;map[ 4795][2]:=$B8F7;
map[ 4796][1]:=$B9F3;map[ 4796][2]:=$B651;
map[ 4797][1]:=$B9F4;map[ 4797][2]:=$BC44;
map[ 4798][1]:=$B9F5;map[ 4798][2]:=$BE40;
map[ 4799][1]:=$B9F6;map[ 4799][2]:=$BA75;
map[ 4800][1]:=$B9F7;map[ 4800][2]:=$B4D2;
map[ 4801][1]:=$B9F8;map[ 4801][2]:=$C1E7;
map[ 4802][1]:=$B9F9;map[ 4802][2]:=$B3A2;
map[ 4803][1]:=$B9FA;map[ 4803][2]:=$B0EA;
map[ 4804][1]:=$B9FB;map[ 4804][2]:=$AA47;
map[ 4805][1]:=$B9FC;map[ 4805][2]:=$BB71;
map[ 4806][1]:=$B9FD;map[ 4806][2]:=$B94C;
map[ 4807][1]:=$B9FE;map[ 4807][2]:=$ABA2;
map[ 4808][1]:=$BA43;map[ 4808][2]:=$E6DD;
map[ 4809][1]:=$BA46;map[ 4809][2]:=$E6DA;
map[ 4810][1]:=$BA4A;map[ 4810][2]:=$EAC0;
map[ 4811][1]:=$BA4B;map[ 4811][2]:=$EABB;
map[ 4812][1]:=$BA4E;map[ 4812][2]:=$EAC5;
map[ 4813][1]:=$BA50;map[ 4813][2]:=$EAC3;
map[ 4814][1]:=$BA51;map[ 4814][2]:=$EAB7;
map[ 4815][1]:=$BA52;map[ 4815][2]:=$EAC6;
map[ 4816][1]:=$BA54;map[ 4816][2]:=$EAC2;
map[ 4817][1]:=$BA55;map[ 4817][2]:=$EAB8;
map[ 4818][1]:=$BA57;map[ 4818][2]:=$EAB9;
map[ 4819][1]:=$BA58;map[ 4819][2]:=$EABE;
map[ 4820][1]:=$BA5A;map[ 4820][2]:=$EAC4;
map[ 4821][1]:=$BA5E;map[ 4821][2]:=$EDCB;
map[ 4822][1]:=$BA5F;map[ 4822][2]:=$EDBC;
map[ 4823][1]:=$BA61;map[ 4823][2]:=$EDC1;
map[ 4824][1]:=$BA64;map[ 4824][2]:=$EDC8;
map[ 4825][1]:=$BA65;map[ 4825][2]:=$EABF;
map[ 4826][1]:=$BA67;map[ 4826][2]:=$EDBF;
map[ 4827][1]:=$BA68;map[ 4827][2]:=$EDC9;
map[ 4828][1]:=$BA69;map[ 4828][2]:=$EDBE;
map[ 4829][1]:=$BA6B;map[ 4829][2]:=$EDC7;
map[ 4830][1]:=$BA6C;map[ 4830][2]:=$EDC4;
map[ 4831][1]:=$BA6D;map[ 4831][2]:=$EDC6;
map[ 4832][1]:=$BA6F;map[ 4832][2]:=$EDBA;
map[ 4833][1]:=$BA70;map[ 4833][2]:=$EDCA;
map[ 4834][1]:=$BA72;map[ 4834][2]:=$EDC5;
map[ 4835][1]:=$BA73;map[ 4835][2]:=$EDCE;
map[ 4836][1]:=$BA75;map[ 4836][2]:=$EDC0;
map[ 4837][1]:=$BA76;map[ 4837][2]:=$EDCD;
map[ 4838][1]:=$BA7E;map[ 4838][2]:=$F063;
map[ 4839][1]:=$BA82;map[ 4839][2]:=$F061;
map[ 4840][1]:=$BA83;map[ 4840][2]:=$F067;
map[ 4841][1]:=$BA85;map[ 4841][2]:=$F064;
map[ 4842][1]:=$BA87;map[ 4842][2]:=$F06A;
map[ 4843][1]:=$BA8A;map[ 4843][2]:=$F06B;
map[ 4844][1]:=$BA8B;map[ 4844][2]:=$F069;
map[ 4845][1]:=$BA8C;map[ 4845][2]:=$F062;
map[ 4846][1]:=$BA8E;map[ 4846][2]:=$F2AB;
map[ 4847][1]:=$BA8F;map[ 4847][2]:=$F066;
map[ 4848][1]:=$BA92;map[ 4848][2]:=$F06C;
map[ 4849][1]:=$BA95;map[ 4849][2]:=$F2A8;
map[ 4850][1]:=$BA9C;map[ 4850][2]:=$F2AC;
map[ 4851][1]:=$BA9D;map[ 4851][2]:=$F2A9;
map[ 4852][1]:=$BAA1;map[ 4852][2]:=$C065;
map[ 4853][1]:=$BAA2;map[ 4853][2]:=$ABC4;
map[ 4854][1]:=$BAA3;map[ 4854][2]:=$AEFC;
map[ 4855][1]:=$BAA4;map[ 4855][2]:=$AEF3;
map[ 4856][1]:=$BAA5;map[ 4856][2]:=$A5E8;
map[ 4857][1]:=$BAA6;map[ 4857][2]:=$AE60;
map[ 4858][1]:=$BAA7;map[ 4858][2]:=$C062;
map[ 4859][1]:=$BAA8;map[ 4859][2]:=$B66F;
map[ 4860][1]:=$BAA9;map[ 4860][2]:=$E977;
map[ 4861][1]:=$BAAA;map[ 4861][2]:=$CDD5;
map[ 4862][1]:=$BAAB;map[ 4862][2]:=$C1FA;
map[ 4863][1]:=$BAAC;map[ 4863][2]:=$A774;
map[ 4864][1]:=$BAAD;map[ 4864][2]:=$B25B;
map[ 4865][1]:=$BAAE;map[ 4865][2]:=$B448;
map[ 4866][1]:=$BAAF;map[ 4866][2]:=$A8E7;
map[ 4867][1]:=$BAB0;map[ 4867][2]:=$B3DB;
map[ 4868][1]:=$BAB1;map[ 4868][2]:=$A875;
map[ 4869][1]:=$BAB2;map[ 4869][2]:=$BFAB;
map[ 4870][1]:=$BAB3;map[ 4870][2]:=$BED9;
map[ 4871][1]:=$BAB4;map[ 4871][2]:=$AEC2;
map[ 4872][1]:=$BAB5;map[ 4872][2]:=$A7F2;
map[ 4873][1]:=$BAB6;map[ 4873][2]:=$BED1;
map[ 4874][1]:=$BAB7;map[ 4874][2]:=$AEAB;
map[ 4875][1]:=$BAB8;map[ 4875][2]:=$B26B;
map[ 4876][1]:=$BAB8;map[ 4876][2]:=$BE5A;
map[ 4877][1]:=$BAB8;map[ 4877][2]:=$D7F7;
map[ 4878][1]:=$BAB9;map[ 4878][2]:=$A6BD;
map[ 4879][1]:=$BABA;map[ 4879][2]:=$BA7E;
map[ 4880][1]:=$BABB;map[ 4880][2]:=$C971;
map[ 4881][1]:=$BABC;map[ 4881][2]:=$AA43;
map[ 4882][1]:=$BABD;map[ 4882][2]:=$AFE8;
map[ 4883][1]:=$BABE;map[ 4883][2]:=$C0A2;
map[ 4884][1]:=$BABF;map[ 4884][2]:=$C07A;
map[ 4885][1]:=$BAC0;map[ 4885][2]:=$BBA8;
map[ 4886][1]:=$BAC1;map[ 4886][2]:=$B240;
map[ 4887][1]:=$BAC2;map[ 4887][2]:=$B071;
map[ 4888][1]:=$BAC3;map[ 4888][2]:=$A66E;
map[ 4889][1]:=$BAC4;map[ 4889][2]:=$AFD3;
map[ 4890][1]:=$BAC5;map[ 4890][2]:=$B8B9;
map[ 4891][1]:=$BAC6;map[ 4891][2]:=$AF45;
map[ 4892][1]:=$BAC7;map[ 4892][2]:=$A8FE;
map[ 4893][1]:=$BAC8;map[ 4893][2]:=$B3DC;
map[ 4894][1]:=$BAC9;map[ 4894][2]:=$B2FC;
map[ 4895][1]:=$BACA;map[ 4895][2]:=$DB5D;
map[ 4896][1]:=$BACB;map[ 4896][2]:=$AED6;
map[ 4897][1]:=$BACB;map[ 4897][2]:=$F2F2;
map[ 4898][1]:=$BACC;map[ 4898][2]:=$A5DD;
map[ 4899][1]:=$BACD;map[ 4899][2]:=$A94D;
map[ 4900][1]:=$BACE;map[ 4900][2]:=$A6F3;
map[ 4901][1]:=$BACF;map[ 4901][2]:=$A658;
map[ 4902][1]:=$BACF;map[ 4902][2]:=$ADA8;
map[ 4903][1]:=$BACF;map[ 4903][2]:=$BBD7;
map[ 4904][1]:=$BAD0;map[ 4904][2]:=$B2B0;
map[ 4905][1]:=$BAD1;map[ 4905][2]:=$B8E8;
map[ 4906][1]:=$BAD2;map[ 4906][2]:=$BBD2;
map[ 4907][1]:=$BAD3;map[ 4907][2]:=$AA65;
map[ 4908][1]:=$BAD4;map[ 4908][2]:=$B255;
map[ 4909][1]:=$BAD5;map[ 4909][2]:=$BBAE;
map[ 4910][1]:=$BAD6;map[ 4910][2]:=$BDC5;
map[ 4911][1]:=$BAD7;map[ 4911][2]:=$C562;
map[ 4912][1]:=$BAD8;map[ 4912][2]:=$B650;
map[ 4913][1]:=$BAD9;map[ 4913][2]:=$BC4B;
map[ 4914][1]:=$BADA;map[ 4914][2]:=$B6C2;
map[ 4915][1]:=$BADB;map[ 4915][2]:=$B2AA;
map[ 4916][1]:=$BADC;map[ 4916][2]:=$ABDC;
map[ 4917][1]:=$BADD;map[ 4917][2]:=$ACBD;
map[ 4918][1]:=$BADE;map[ 4918][2]:=$ABEB;
map[ 4919][1]:=$BADF;map[ 4919][2]:=$ADF3;
map[ 4920][1]:=$BAE0;map[ 4920][2]:=$A6EB;
map[ 4921][1]:=$BAE1;map[ 4921][2]:=$BEEE;
map[ 4922][1]:=$BAE2;map[ 4922][2]:=$BFC5;
map[ 4923][1]:=$BAE3;map[ 4923][2]:=$ABED;
map[ 4924][1]:=$BAE4;map[ 4924][2]:=$C546;
map[ 4925][1]:=$BAE5;map[ 4925][2]:=$ABA1;
map[ 4926][1]:=$BAE5;map[ 4926][2]:=$C069;
map[ 4927][1]:=$BAE6;map[ 4927][2]:=$AF4D;
map[ 4928][1]:=$BAE7;map[ 4928][2]:=$AD69;
map[ 4929][1]:=$BAE8;map[ 4929][2]:=$C245;
map[ 4930][1]:=$BAE9;map[ 4930][2]:=$AC78;
map[ 4931][1]:=$BAEA;map[ 4931][2]:=$A7BB;
map[ 4932][1]:=$BAEB;map[ 4932][2]:=$A5B0;
map[ 4933][1]:=$BAEC;map[ 4933][2]:=$ACF5;
map[ 4934][1]:=$BAED;map[ 4934][2]:=$B3EF;
map[ 4935][1]:=$BAEE;map[ 4935][2]:=$AB4A;
map[ 4936][1]:=$BAEF;map[ 4936][2]:=$B555;
map[ 4937][1]:=$BAF0;map[ 4937][2]:=$A771;
map[ 4938][1]:=$BAF1;map[ 4938][2]:=$AB70;
map[ 4939][1]:=$BAF2;map[ 4939][2]:=$ADD4;
map[ 4940][1]:=$BAF3;map[ 4940][2]:=$ABE1;
map[ 4941][1]:=$BAF3;map[ 4941][2]:=$A65A;
map[ 4942][1]:=$BAF4;map[ 4942][2]:=$A949;
map[ 4943][1]:=$BAF5;map[ 4943][2]:=$A547;
map[ 4944][1]:=$BAF6;map[ 4944][2]:=$A9BF;
map[ 4945][1]:=$BAF7;map[ 4945][2]:=$B7E4;
map[ 4946][1]:=$BAF8;map[ 4946][2]:=$B3FD;
map[ 4947][1]:=$BAF9;map[ 4947][2]:=$B8AC;
map[ 4948][1]:=$BAFA;map[ 4948][2]:=$AD4A;
map[ 4949][1]:=$BAFA;map[ 4949][2]:=$C447;
map[ 4950][1]:=$BAFA;map[ 4950][2]:=$E7C1;
map[ 4951][1]:=$BAFB;map[ 4951][2]:=$BDB9;
map[ 4952][1]:=$BAFC;map[ 4952][2]:=$AAB0;
map[ 4953][1]:=$BAFD;map[ 4953][2]:=$BD6B;
map[ 4954][1]:=$BAFE;map[ 4954][2]:=$B4F2;
map[ 4955][1]:=$BB42;map[ 4955][2]:=$F4AA;
map[ 4956][1]:=$BB44;map[ 4956][2]:=$F4A9;
map[ 4957][1]:=$BB45;map[ 4957][2]:=$F4A7;
map[ 4958][1]:=$BB46;map[ 4958][2]:=$F4A6;
map[ 4959][1]:=$BB47;map[ 4959][2]:=$F4A8;
map[ 4960][1]:=$BB4F;map[ 4960][2]:=$F5E5;
map[ 4961][1]:=$BB50;map[ 4961][2]:=$F5E4;
map[ 4962][1]:=$BB53;map[ 4962][2]:=$F6FA;
map[ 4963][1]:=$BB56;map[ 4963][2]:=$F6FE;
map[ 4964][1]:=$BB57;map[ 4964][2]:=$F6FD;
map[ 4965][1]:=$BB5F;map[ 4965][2]:=$C5D3;
map[ 4966][1]:=$BB62;map[ 4966][2]:=$F7ED;
map[ 4967][1]:=$BB63;map[ 4967][2]:=$F7EC;
map[ 4968][1]:=$BB67;map[ 4968][2]:=$F8FC;
map[ 4969][1]:=$BB6B;map[ 4969][2]:=$F96D;
map[ 4970][1]:=$BB6F;map[ 4970][2]:=$CDA8;
map[ 4971][1]:=$BB72;map[ 4971][2]:=$D045;
map[ 4972][1]:=$BB73;map[ 4972][2]:=$D046;
map[ 4973][1]:=$BB74;map[ 4973][2]:=$D044;
map[ 4974][1]:=$BB76;map[ 4974][2]:=$D047;
map[ 4975][1]:=$BB77;map[ 4975][2]:=$D048;
map[ 4976][1]:=$BB78;map[ 4976][2]:=$D049;
map[ 4977][1]:=$BB7B;map[ 4977][2]:=$D349;
map[ 4978][1]:=$BB7C;map[ 4978][2]:=$D34F;
map[ 4979][1]:=$BB80;map[ 4979][2]:=$D34D;
map[ 4980][1]:=$BB81;map[ 4980][2]:=$D34B;
map[ 4981][1]:=$BB83;map[ 4981][2]:=$D34C;
map[ 4982][1]:=$BB84;map[ 4982][2]:=$D34E;
map[ 4983][1]:=$BB89;map[ 4983][2]:=$D6DE;
map[ 4984][1]:=$BB8A;map[ 4984][2]:=$D6E0;
map[ 4985][1]:=$BB8F;map[ 4985][2]:=$DAEA;
map[ 4986][1]:=$BB90;map[ 4986][2]:=$D6E1;
map[ 4987][1]:=$BB93;map[ 4987][2]:=$DAE9;
map[ 4988][1]:=$BB98;map[ 4988][2]:=$DF56;
map[ 4989][1]:=$BB9A;map[ 4989][2]:=$DF55;
map[ 4990][1]:=$BB9F;map[ 4990][2]:=$E361;
map[ 4991][1]:=$BBA0;map[ 4991][2]:=$E35E;
map[ 4992][1]:=$BBA1;map[ 4992][2]:=$A9B7;
map[ 4993][1]:=$BBA2;map[ 4993][2]:=$AAEA;
map[ 4994][1]:=$BBA3;map[ 4994][2]:=$B0E4;
map[ 4995][1]:=$BBA4;map[ 4995][2]:=$C540;
map[ 4996][1]:=$BBA5;map[ 4996][2]:=$A4AC;
map[ 4997][1]:=$BBA6;map[ 4997][2]:=$BAAD;
map[ 4998][1]:=$BBA7;map[ 4998][2]:=$A4E1;
map[ 4999][1]:=$BBA8;map[ 4999][2]:=$AAE1;
map[ 5000][1]:=$BBA9;map[ 5000][2]:=$BC4D;
map[ 5001][1]:=$BBA9;map[ 5001][2]:=$C3CF;
map[ 5002][1]:=$BBAA;map[ 5002][2]:=$B5D8;
map[ 5003][1]:=$BBAB;map[ 5003][2]:=$B7E2;
map[ 5004][1]:=$BBAC;map[ 5004][2]:=$B7C6;
map[ 5005][1]:=$BBAD;map[ 5005][2]:=$B565;
map[ 5006][1]:=$BBAE;map[ 5006][2]:=$B9BA;
map[ 5007][1]:=$BBAE;map[ 5007][2]:=$A645;
map[ 5008][1]:=$BBAF;map[ 5008][2]:=$A4C6;
map[ 5009][1]:=$BBB0;map[ 5009][2]:=$B8DC;
map[ 5010][1]:=$BBB1;map[ 5010][2]:=$BA69;
map[ 5011][1]:=$BBB2;map[ 5011][2]:=$ABDE;
map[ 5012][1]:=$BBB3;map[ 5012][2]:=$C368;
map[ 5013][1]:=$BBB3;map[ 5013][2]:=$CAE4;
map[ 5014][1]:=$BBB4;map[ 5014][2]:=$B261;
map[ 5015][1]:=$BBB5;map[ 5015][2]:=$C361;
map[ 5016][1]:=$BBB5;map[ 5016][2]:=$A7A5;
map[ 5017][1]:=$BBB6;map[ 5017][2]:=$C577;
map[ 5018][1]:=$BBB6;map[ 5018][2]:=$F5CC;
map[ 5019][1]:=$BBB7;map[ 5019][2]:=$C0F4;
map[ 5020][1]:=$BBB8;map[ 5020][2]:=$AED9;
map[ 5021][1]:=$BBB9;map[ 5021][2]:=$C1D9;
map[ 5022][1]:=$BBBA;map[ 5022][2]:=$BD77;
map[ 5023][1]:=$BBBB;map[ 5023][2]:=$B4AB;
map[ 5024][1]:=$BBBC;map[ 5024][2]:=$B177;
map[ 5025][1]:=$BBBD;map[ 5025][2]:=$B3EA;
map[ 5026][1]:=$BBBE;map[ 5026][2]:=$BAC8;
map[ 5027][1]:=$BBBF;map[ 5027][2]:=$B8E6;
map[ 5028][1]:=$BBC0;map[ 5028][2]:=$B7D8;
map[ 5029][1]:=$BBC1;map[ 5029][2]:=$B541;
map[ 5030][1]:=$BBC2;map[ 5030][2]:=$ABC6;
map[ 5031][1]:=$BBC3;map[ 5031][2]:=$A4DB;
map[ 5032][1]:=$BBC4;map[ 5032][2]:=$AFEE;
map[ 5033][1]:=$BBC5;map[ 5033][2]:=$B757;
map[ 5034][1]:=$BBC6;map[ 5034][2]:=$B6C0;
map[ 5035][1]:=$BBC7;map[ 5035][2]:=$C144;
map[ 5036][1]:=$BBC8;map[ 5036][2]:=$BDC0;
map[ 5037][1]:=$BBC9;map[ 5037][2]:=$C2AE;
map[ 5038][1]:=$BBCA;map[ 5038][2]:=$ACD3;
map[ 5039][1]:=$BBCB;map[ 5039][2]:=$B0C4;
map[ 5040][1]:=$BBCC;map[ 5040][2]:=$B471;
map[ 5041][1]:=$BBCD;map[ 5041][2]:=$B7D7;
map[ 5042][1]:=$BBCE;map[ 5042][2]:=$AECC;
map[ 5043][1]:=$BBCF;map[ 5043][2]:=$B745;
map[ 5044][1]:=$BBD0;map[ 5044][2]:=$ABE9;
map[ 5045][1]:=$BBD1;map[ 5045][2]:=$C1C0;
map[ 5046][1]:=$BBD2;map[ 5046][2]:=$A6C7;
map[ 5047][1]:=$BBD3;map[ 5047][2]:=$B4A7;
map[ 5048][1]:=$BBD4;map[ 5048][2]:=$BDF7;
map[ 5049][1]:=$BBD4;map[ 5049][2]:=$DE6B;
map[ 5050][1]:=$BBD5;map[ 5050][2]:=$C0B2;
map[ 5051][1]:=$BBD6;map[ 5051][2]:=$ABEC;
map[ 5052][1]:=$BBD7;map[ 5052][2]:=$B5EE;
map[ 5053][1]:=$BBD8;map[ 5053][2]:=$A65E;
map[ 5054][1]:=$BBD8;map[ 5054][2]:=$B06A;
map[ 5055][1]:=$BBD9;map[ 5055][2]:=$B7B4;
map[ 5056][1]:=$BBD9;map[ 5056][2]:=$C0EC;
map[ 5057][1]:=$BBD9;map[ 5057][2]:=$F4D5;
map[ 5058][1]:=$BBDA;map[ 5058][2]:=$AEAC;
map[ 5059][1]:=$BBDB;map[ 5059][2]:=$BC7A;
map[ 5060][1]:=$BBDC;map[ 5060][2]:=$A563;
map[ 5061][1]:=$BBDD;map[ 5061][2]:=$B466;
map[ 5062][1]:=$BBDE;map[ 5062][2]:=$B1E2;
map[ 5063][1]:=$BBDF;map[ 5063][2]:=$B8EC;
map[ 5064][1]:=$BBE0;map[ 5064][2]:=$C2A9;
map[ 5065][1]:=$BBE1;map[ 5065][2]:=$B77C;
map[ 5066][1]:=$BBE2;map[ 5066][2]:=$C0ED;
map[ 5067][1]:=$BBE3;map[ 5067][2]:=$B6D7;
map[ 5068][1]:=$BBE3;map[ 5068][2]:=$B74A;
map[ 5069][1]:=$BBE4;map[ 5069][2]:=$BFD0;
map[ 5070][1]:=$BBE5;map[ 5070][2]:=$BBA3;
map[ 5071][1]:=$BBE6;map[ 5071][2]:=$C3B8;
map[ 5072][1]:=$BBE7;map[ 5072][2]:=$B8A7;
map[ 5073][1]:=$BBE8;map[ 5073][2]:=$A9FC;
map[ 5074][1]:=$BBE9;map[ 5074][2]:=$B142;
map[ 5075][1]:=$BBEA;map[ 5075][2]:=$BBEE;
map[ 5076][1]:=$BBEB;map[ 5076][2]:=$B4FD;
map[ 5077][1]:=$BBEC;map[ 5077][2]:=$B256;
map[ 5078][1]:=$BBED;map[ 5078][2]:=$C1C5;
map[ 5079][1]:=$BBEE;map[ 5079][2]:=$ACA1;
map[ 5080][1]:=$BBEF;map[ 5080][2]:=$A5EB;
map[ 5081][1]:=$BBEF;map[ 5081][2]:=$B9D9;
map[ 5082][1]:=$BBF0;map[ 5082][2]:=$A4F5;
map[ 5083][1]:=$BBF1;map[ 5083][2]:=$C0F2;
map[ 5084][1]:=$BBF1;map[ 5084][2]:=$C3AC;
map[ 5085][1]:=$BBF2;map[ 5085][2]:=$A9CE;
map[ 5086][1]:=$BBF3;map[ 5086][2]:=$B462;
map[ 5087][1]:=$BBF4;map[ 5087][2]:=$C04E;
map[ 5088][1]:=$BBF5;map[ 5088][2]:=$B366;
map[ 5089][1]:=$BBF6;map[ 5089][2]:=$BAD7;
map[ 5090][1]:=$BBF7;map[ 5090][2]:=$C0BB;
map[ 5091][1]:=$BBF8;map[ 5091][2]:=$A7A3;
map[ 5092][1]:=$BBF9;map[ 5092][2]:=$B0F2;
map[ 5093][1]:=$BBFA;map[ 5093][2]:=$BEF7;
map[ 5094][1]:=$BBFA;map[ 5094][2]:=$C9F3;
map[ 5095][1]:=$BBFB;map[ 5095][2]:=$B7EE;
map[ 5096][1]:=$BBFC;map[ 5096][2]:=$BD5D;
map[ 5097][1]:=$BBFD;map[ 5097][2]:=$BF6E;
map[ 5098][1]:=$BBFE;map[ 5098][2]:=$BADF;
map[ 5099][1]:=$BC40;map[ 5099][2]:=$E35F;
map[ 5100][1]:=$BC47;map[ 5100][2]:=$E6E2;
map[ 5101][1]:=$BC48;map[ 5101][2]:=$A261;
map[ 5102][1]:=$BC4A;map[ 5102][2]:=$EACA;
map[ 5103][1]:=$BC4B;map[ 5103][2]:=$EACB;
map[ 5104][1]:=$BC4C;map[ 5104][2]:=$EAC7;
map[ 5105][1]:=$BC4E;map[ 5105][2]:=$EAC8;
map[ 5106][1]:=$BC5C;map[ 5106][2]:=$F2AE;
map[ 5107][1]:=$BC5E;map[ 5107][2]:=$F2AD;
map[ 5108][1]:=$BC60;map[ 5108][2]:=$F4AB;
map[ 5109][1]:=$BC62;map[ 5109][2]:=$F741;
map[ 5110][1]:=$BC68;map[ 5110][2]:=$F9A4;
map[ 5111][1]:=$BC6C;map[ 5111][2]:=$CDA9;
map[ 5112][1]:=$BC70;map[ 5112][2]:=$D04C;
map[ 5113][1]:=$BC72;map[ 5113][2]:=$D04A;
map[ 5114][1]:=$BC7A;map[ 5114][2]:=$D35A;
map[ 5115][1]:=$BC7C;map[ 5115][2]:=$D353;
map[ 5116][1]:=$BC7D;map[ 5116][2]:=$D359;
map[ 5117][1]:=$BC80;map[ 5117][2]:=$D352;
map[ 5118][1]:=$BC81;map[ 5118][2]:=$D358;
map[ 5119][1]:=$BC8D;map[ 5119][2]:=$D350;
map[ 5120][1]:=$BC8E;map[ 5120][2]:=$D357;
map[ 5121][1]:=$BC94;map[ 5121][2]:=$D6F0;
map[ 5122][1]:=$BC95;map[ 5122][2]:=$D6E9;
map[ 5123][1]:=$BC97;map[ 5123][2]:=$D6E8;
map[ 5124][1]:=$BCA0;map[ 5124][2]:=$D6E5;
map[ 5125][1]:=$BCA1;map[ 5125][2]:=$A6D9;
map[ 5126][1]:=$BCA2;map[ 5126][2]:=$B0A7;
map[ 5127][1]:=$BCA2;map[ 5127][2]:=$C4C8;
map[ 5128][1]:=$BCA3;map[ 5128][2]:=$B8F1;
map[ 5129][1]:=$BCA3;map[ 5129][2]:=$C2DD;
map[ 5130][1]:=$BCA4;map[ 5130][2]:=$BF45;
map[ 5131][1]:=$BCA5;map[ 5131][2]:=$C3D5;
map[ 5132][1]:=$BCA6;map[ 5132][2]:=$C2FB;
map[ 5133][1]:=$BCA7;map[ 5133][2]:=$AE56;
map[ 5134][1]:=$BCA8;map[ 5134][2]:=$B6D6;
map[ 5135][1]:=$BCA8;map[ 5135][2]:=$C15A;
map[ 5136][1]:=$BCA9;map[ 5136][2]:=$BD72;
map[ 5137][1]:=$BCAA;map[ 5137][2]:=$A64E;
map[ 5138][1]:=$BCAB;map[ 5138][2]:=$B7A5;
map[ 5139][1]:=$BCAB;map[ 5139][2]:=$CCE5;
map[ 5140][1]:=$BCAC;map[ 5140][2]:=$B4C6;
map[ 5141][1]:=$BCAD;map[ 5141][2]:=$BFE8;
map[ 5142][1]:=$BCAE;map[ 5142][2]:=$C479;
map[ 5143][1]:=$BCAF;map[ 5143][2]:=$B6B0;
map[ 5144][1]:=$BCB0;map[ 5144][2]:=$A4CE;
map[ 5145][1]:=$BCB1;map[ 5145][2]:=$ABE6;
map[ 5146][1]:=$BCB2;map[ 5146][2]:=$AF65;
map[ 5147][1]:=$BCB3;map[ 5147][2]:=$A856;
map[ 5148][1]:=$BCB4;map[ 5148][2]:=$A759;
map[ 5149][1]:=$BCB5;map[ 5149][2]:=$B6FA;
map[ 5150][1]:=$BCB6;map[ 5150][2]:=$AFC5;
map[ 5151][1]:=$BCB7;map[ 5151][2]:=$C0BD;
map[ 5152][1]:=$BCB8;map[ 5152][2]:=$B458;
map[ 5153][1]:=$BCB8;map[ 5153][2]:=$A44C;
map[ 5154][1]:=$BCB9;map[ 5154][2]:=$AFE1;
map[ 5155][1]:=$BCBA;map[ 5155][2]:=$A476;
map[ 5156][1]:=$BCBB;map[ 5156][2]:=$C1AA;
map[ 5157][1]:=$BCBC;map[ 5157][2]:=$A7DE;
map[ 5158][1]:=$BCBD;map[ 5158][2]:=$BEAC;
map[ 5159][1]:=$BCBE;map[ 5159][2]:=$A975;
map[ 5160][1]:=$BCBF;map[ 5160][2]:=$C9AB;
map[ 5161][1]:=$BCC0;map[ 5161][2]:=$B2BD;
map[ 5162][1]:=$BCC1;map[ 5162][2]:=$BEAF;
map[ 5163][1]:=$BCC2;map[ 5163][2]:=$B1AA;
map[ 5164][1]:=$BCC3;map[ 5164][2]:=$C0D9;
map[ 5165][1]:=$BCC4;map[ 5165][2]:=$B148;
map[ 5166][1]:=$BCC5;map[ 5166][2]:=$B149;
map[ 5167][1]:=$BCC6;map[ 5167][2]:=$AD70;
map[ 5168][1]:=$BCC7;map[ 5168][2]:=$B04F;
map[ 5169][1]:=$BCC8;map[ 5169][2]:=$AC4A;
map[ 5170][1]:=$BCC9;map[ 5170][2]:=$A7D2;
map[ 5171][1]:=$BCCA;map[ 5171][2]:=$BBDA;
map[ 5172][1]:=$BCCB;map[ 5172][2]:=$A7B2;
map[ 5173][1]:=$BCCC;map[ 5173][2]:=$C47E;
map[ 5174][1]:=$BCCD;map[ 5174][2]:=$ACF6;
map[ 5175][1]:=$BCCE;map[ 5175][2]:=$B9C5;
map[ 5176][1]:=$BCCF;map[ 5176][2]:=$CF45;
map[ 5177][1]:=$BCD0;map[ 5177][2]:=$A7A8;
map[ 5178][1]:=$BCD0;map[ 5178][2]:=$DFF8;
map[ 5179][1]:=$BCD1;map[ 5179][2]:=$A8CE;
map[ 5180][1]:=$BCD2;map[ 5180][2]:=$AE61;
map[ 5181][1]:=$BCD2;map[ 5181][2]:=$B3C3;
map[ 5182][1]:=$BCD3;map[ 5182][2]:=$A55B;
map[ 5183][1]:=$BCD4;map[ 5183][2]:=$B2F3;
map[ 5184][1]:=$BCD5;map[ 5184][2]:=$C055;
map[ 5185][1]:=$BCD6;map[ 5185][2]:=$B8EB;
map[ 5186][1]:=$BCD7;map[ 5186][2]:=$A5D2;
map[ 5187][1]:=$BCD8;map[ 5187][2]:=$B95B;
map[ 5188][1]:=$BCD9;map[ 5188][2]:=$B0B2;
map[ 5189][1]:=$BCDA;map[ 5189][2]:=$BD5B;
map[ 5190][1]:=$BCDB;map[ 5190][2]:=$BBF9;
map[ 5191][1]:=$BCDB;map[ 5191][2]:=$C9B2;
map[ 5192][1]:=$BCDC;map[ 5192][2]:=$AC5B;
map[ 5193][1]:=$BCDD;map[ 5193][2]:=$BE72;
map[ 5194][1]:=$BCDE;map[ 5194][2]:=$B6F9;
map[ 5195][1]:=$BCDF;map[ 5195][2]:=$C4E8;
map[ 5196][1]:=$BCE0;map[ 5196][2]:=$BACA;
map[ 5197][1]:=$BCE1;map[ 5197][2]:=$B0ED;
map[ 5198][1]:=$BCE2;map[ 5198][2]:=$A679;
map[ 5199][1]:=$BCE3;map[ 5199][2]:=$BAE0;
map[ 5200][1]:=$BCE3;map[ 5200][2]:=$DA66;
map[ 5201][1]:=$BCE4;map[ 5201][2]:=$B6A1;
map[ 5202][1]:=$BCE5;map[ 5202][2]:=$B7CE;
map[ 5203][1]:=$BCE6;map[ 5203][2]:=$ADDD;
map[ 5204][1]:=$BCE7;map[ 5204][2]:=$AAD3;
map[ 5205][1]:=$BCE8;map[ 5205][2]:=$C17D;
map[ 5206][1]:=$BCE9;map[ 5206][2]:=$A66C;
map[ 5207][1]:=$BCE9;map[ 5207][2]:=$ABC1;
map[ 5208][1]:=$BCEA;map[ 5208][2]:=$BD70;
map[ 5209][1]:=$BCEB;map[ 5209][2]:=$C3B5;
map[ 5210][1]:=$BCEB;map[ 5210][2]:=$D3B5;
map[ 5211][1]:=$BCEC;map[ 5211][2]:=$C0CB;
map[ 5212][1]:=$BCED;map[ 5212][2]:=$AC5A;
map[ 5213][1]:=$BCEE;map[ 5213][2]:=$C650;
map[ 5214][1]:=$BCEE;map[ 5214][2]:=$D8AC;
map[ 5215][1]:=$BCF0;map[ 5215][2]:=$B47A;
map[ 5216][1]:=$BCF1;map[ 5216][2]:=$BEDF;
map[ 5217][1]:=$BCF2;map[ 5217][2]:=$C2B2;
map[ 5218][1]:=$BCF3;map[ 5218][2]:=$BBFC;
map[ 5219][1]:=$BCF4;map[ 5219][2]:=$B0C5;
map[ 5220][1]:=$BCF5;map[ 5220][2]:=$B4EE;
map[ 5221][1]:=$BCF6;map[ 5221][2]:=$C2CB;
map[ 5222][1]:=$BCF6;map[ 5222][2]:=$AFF2;
map[ 5223][1]:=$BCF7;map[ 5223][2]:=$C265;
map[ 5224][1]:=$BCF8;map[ 5224][2]:=$C5B2;
map[ 5225][1]:=$BCF8;map[ 5225][2]:=$C5B3;
map[ 5226][1]:=$BCF8;map[ 5226][2]:=$EC44;
map[ 5227][1]:=$BCF9;map[ 5227][2]:=$BDEE;
map[ 5228][1]:=$BCFA;map[ 5228][2]:=$BDE2;
map[ 5229][1]:=$BCFB;map[ 5229][2]:=$A8A3;
map[ 5230][1]:=$BCFC;map[ 5230][2]:=$C1E4;
map[ 5231][1]:=$BCFD;map[ 5231][2]:=$BD62;
map[ 5232][1]:=$BCFE;map[ 5232][2]:=$A5F3;
map[ 5233][1]:=$BD41;map[ 5233][2]:=$D6E4;
map[ 5234][1]:=$BD44;map[ 5234][2]:=$D6EF;
map[ 5235][1]:=$BD46;map[ 5235][2]:=$D6E3;
map[ 5236][1]:=$BD47;map[ 5236][2]:=$D6EC;
map[ 5237][1]:=$BD4A;map[ 5237][2]:=$D6EA;
map[ 5238][1]:=$BD4E;map[ 5238][2]:=$D6E7;
map[ 5239][1]:=$BD50;map[ 5239][2]:=$D6EB;
map[ 5240][1]:=$BD53;map[ 5240][2]:=$D6EE;
map[ 5241][1]:=$BD5A;map[ 5241][2]:=$DAF9;
map[ 5242][1]:=$BD5B;map[ 5242][2]:=$DAF6;
map[ 5243][1]:=$BD5C;map[ 5243][2]:=$DAEE;
map[ 5244][1]:=$BD5D;map[ 5244][2]:=$DAF7;
map[ 5245][1]:=$BD5F;map[ 5245][2]:=$DAEF;
map[ 5246][1]:=$BD61;map[ 5246][2]:=$DAEB;
map[ 5247][1]:=$BD65;map[ 5247][2]:=$DAF4;
map[ 5248][1]:=$BD68;map[ 5248][2]:=$DAFA;
map[ 5249][1]:=$BD6C;map[ 5249][2]:=$DAED;
map[ 5250][1]:=$BD70;map[ 5250][2]:=$DAF0;
map[ 5251][1]:=$BD72;map[ 5251][2]:=$DAF8;
map[ 5252][1]:=$BD73;map[ 5252][2]:=$DAF1;
map[ 5253][1]:=$BD74;map[ 5253][2]:=$DAF5;
map[ 5254][1]:=$BD76;map[ 5254][2]:=$DAF3;
map[ 5255][1]:=$BD77;map[ 5255][2]:=$DAEC;
map[ 5256][1]:=$BD82;map[ 5256][2]:=$DF5D;
map[ 5257][1]:=$BD83;map[ 5257][2]:=$DF5F;
map[ 5258][1]:=$BD84;map[ 5258][2]:=$DF61;
map[ 5259][1]:=$BD85;map[ 5259][2]:=$DF65;
map[ 5260][1]:=$BD87;map[ 5260][2]:=$DF5B;
map[ 5261][1]:=$BD88;map[ 5261][2]:=$DF59;
map[ 5262][1]:=$BD8C;map[ 5262][2]:=$DF64;
map[ 5263][1]:=$BD8D;map[ 5263][2]:=$DF5C;
map[ 5264][1]:=$BD95;map[ 5264][2]:=$DF5A;
map[ 5265][1]:=$BD96;map[ 5265][2]:=$DF5E;
map[ 5266][1]:=$BD9A;map[ 5266][2]:=$DF66;
map[ 5267][1]:=$BD9C;map[ 5267][2]:=$DF63;
map[ 5268][1]:=$BD9E;map[ 5268][2]:=$E372;
map[ 5269][1]:=$BDA1;map[ 5269][2]:=$B0B7;
map[ 5270][1]:=$BDA2;map[ 5270][2]:=$C4A5;
map[ 5271][1]:=$BDA3;map[ 5271][2]:=$BC43;
map[ 5272][1]:=$BDA4;map[ 5272][2]:=$C05E;
map[ 5273][1]:=$BDA5;map[ 5273][2]:=$BAA5;
map[ 5274][1]:=$BDA6;map[ 5274][2]:=$C271;
map[ 5275][1]:=$BDA7;map[ 5275][2]:=$BCEE;
map[ 5276][1]:=$BDA8;map[ 5276][2]:=$ABD8;
map[ 5277][1]:=$BDA9;map[ 5277][2]:=$BBF8;
map[ 5278][1]:=$BDAA;map[ 5278][2]:=$C1A4;
map[ 5279][1]:=$BDAA;map[ 5279][2]:=$ABB8;
map[ 5280][1]:=$BDAB;map[ 5280][2]:=$B14E;
map[ 5281][1]:=$BDAC;map[ 5281][2]:=$BCDF;
map[ 5282][1]:=$BDAD;map[ 5282][2]:=$A6BF;
map[ 5283][1]:=$BDAE;map[ 5283][2]:=$C3A6;
map[ 5284][1]:=$BDAF;map[ 5284][2]:=$BDB1;
map[ 5285][1]:=$BDB0;map[ 5285][2]:=$BCD5;
map[ 5286][1]:=$BDB1;map[ 5286][2]:=$BCFA;
map[ 5287][1]:=$BDB2;map[ 5287][2]:=$C1BF;
map[ 5288][1]:=$BDB3;map[ 5288][2]:=$A64B;
map[ 5289][1]:=$BDB4;map[ 5289][2]:=$C2E6;
map[ 5290][1]:=$BDB5;map[ 5290][2]:=$ADB0;
map[ 5291][1]:=$BDB6;map[ 5291][2]:=$BFBC;
map[ 5292][1]:=$BDB7;map[ 5292][2]:=$B4D4;
map[ 5293][1]:=$BDB8;map[ 5293][2]:=$C147;
map[ 5294][1]:=$BDB9;map[ 5294][2]:=$B54A;
map[ 5295][1]:=$BDBA;map[ 5295][2]:=$BDA6;
map[ 5296][1]:=$BDBB;map[ 5296][2]:=$A5E6;
map[ 5297][1]:=$BDBC;map[ 5297][2]:=$ADA5;
map[ 5298][1]:=$BDBD;map[ 5298][2]:=$BCE5;
map[ 5299][1]:=$BDBE;map[ 5299][2]:=$C5BA;
map[ 5300][1]:=$BDBF;map[ 5300][2]:=$BC62;
map[ 5301][1]:=$BDC0;map[ 5301][2]:=$C45A;
map[ 5302][1]:=$BDC1;map[ 5302][2]:=$C5CD;
map[ 5303][1]:=$BDC2;map[ 5303][2]:=$BBC7;
map[ 5304][1]:=$BDC3;map[ 5304][2]:=$C142;
map[ 5305][1]:=$BDC4;map[ 5305][2]:=$B9AE;
map[ 5306][1]:=$BDC5;map[ 5306][2]:=$B87D;
map[ 5307][1]:=$BDC6;map[ 5307][2]:=$ACBE;
map[ 5308][1]:=$BDC7;map[ 5308][2]:=$A8A4;
map[ 5309][1]:=$BDC8;map[ 5309][2]:=$BBE5;
map[ 5310][1]:=$BDC9;map[ 5310][2]:=$C3BA;
map[ 5311][1]:=$BDCA;map[ 5311][2]:=$B5B1;
map[ 5312][1]:=$BDCB;map[ 5312][2]:=$B6CF;
map[ 5313][1]:=$BDCB;map[ 5313][2]:=$B6D3;
map[ 5314][1]:=$BDCC;map[ 5314][2]:=$B1D0;
map[ 5315][1]:=$BDCD;map[ 5315][2]:=$BBC3;
map[ 5316][1]:=$BDCE;map[ 5316][2]:=$C3E2;
map[ 5317][1]:=$BDCF;map[ 5317][2]:=$B8FB;
map[ 5318][1]:=$BDD0;map[ 5318][2]:=$A573;
map[ 5319][1]:=$BDD1;map[ 5319][2]:=$B5A2;
map[ 5320][1]:=$BDD2;map[ 5320][2]:=$B4A6;
map[ 5321][1]:=$BDD3;map[ 5321][2]:=$B1B5;
map[ 5322][1]:=$BDD4;map[ 5322][2]:=$ACD2;
map[ 5323][1]:=$BDD5;map[ 5323][2]:=$D6C5;
map[ 5324][1]:=$BDD6;map[ 5324][2]:=$B5F3;
map[ 5325][1]:=$BDD7;map[ 5325][2]:=$B6A5;
map[ 5326][1]:=$BDD8;map[ 5326][2]:=$BA49;
map[ 5327][1]:=$BDD9;map[ 5327][2]:=$A754;
map[ 5328][1]:=$BDDA;map[ 5328][2]:=$B860;
map[ 5329][1]:=$BDDB;map[ 5329][2]:=$AEDC;
map[ 5330][1]:=$BDDC;map[ 5330][2]:=$B3C7;
map[ 5331][1]:=$BDDC;map[ 5331][2]:=$AA4E;
map[ 5332][1]:=$BDDD;map[ 5332][2]:=$B1B6;
map[ 5333][1]:=$BDDE;map[ 5333][2]:=$B7FB;
map[ 5334][1]:=$BDDF;map[ 5334][2]:=$BADC;
map[ 5335][1]:=$BDE0;map[ 5335][2]:=$BCE4;
map[ 5336][1]:=$BDE0;map[ 5336][2]:=$CFA1;
map[ 5337][1]:=$BDE1;map[ 5337][2]:=$B5B2;
map[ 5338][1]:=$BDE2;map[ 5338][2]:=$B8D1;
map[ 5339][1]:=$BDE3;map[ 5339][2]:=$A96A;
map[ 5340][1]:=$BDE4;map[ 5340][2]:=$A7D9;
map[ 5341][1]:=$BDE5;map[ 5341][2]:=$C2C7;
map[ 5342][1]:=$BDE6;map[ 5342][2]:=$AAE3;
map[ 5343][1]:=$BDE7;map[ 5343][2]:=$ACC9;
map[ 5344][1]:=$BDE8;map[ 5344][2]:=$ADC9;
map[ 5345][1]:=$BDE9;map[ 5345][2]:=$A4B6;
map[ 5346][1]:=$BDEA;map[ 5346][2]:=$ACCE;
map[ 5347][1]:=$BDEB;map[ 5347][2]:=$BB7C;
map[ 5348][1]:=$BDEC;map[ 5348][2]:=$A9A1;
map[ 5349][1]:=$BDED;map[ 5349][2]:=$A479;
map[ 5350][1]:=$BDEE;map[ 5350][2]:=$B5AC;
map[ 5351][1]:=$BDEF;map[ 5351][2]:=$A4E7;
map[ 5352][1]:=$BDF0;map[ 5352][2]:=$AAF7;
map[ 5353][1]:=$BDF1;map[ 5353][2]:=$A4B5;
map[ 5354][1]:=$BDF2;map[ 5354][2]:=$AC7A;
map[ 5355][1]:=$BDF3;map[ 5355][2]:=$C3CC;
map[ 5356][1]:=$BDF4;map[ 5356][2]:=$BAF2;
map[ 5357][1]:=$BDF5;map[ 5357][2]:=$C041;
map[ 5358][1]:=$BDF6;map[ 5358][2]:=$B6C8;
map[ 5359][1]:=$BDF7;map[ 5359][2]:=$C2D4;
map[ 5360][1]:=$BDF8;map[ 5360][2]:=$B669;
map[ 5361][1]:=$BDF9;map[ 5361][2]:=$E0DA;
map[ 5362][1]:=$BDFA;map[ 5362][2]:=$AECA;
map[ 5363][1]:=$BDFB;map[ 5363][2]:=$B854;
map[ 5364][1]:=$BDFC;map[ 5364][2]:=$AAF1;
map[ 5365][1]:=$BDFD;map[ 5365][2]:=$C275;
map[ 5366][1]:=$BDFE;map[ 5366][2]:=$AEFB;
map[ 5367][1]:=$BE44;map[ 5367][2]:=$E36A;
map[ 5368][1]:=$BE46;map[ 5368][2]:=$E374;
map[ 5369][1]:=$BE48;map[ 5369][2]:=$E378;
map[ 5370][1]:=$BE4D;map[ 5370][2]:=$E362;
map[ 5371][1]:=$BE4F;map[ 5371][2]:=$E377;
map[ 5372][1]:=$BE50;map[ 5372][2]:=$E366;
map[ 5373][1]:=$BE5C;map[ 5373][2]:=$E363;
map[ 5374][1]:=$BE61;map[ 5374][2]:=$E373;
map[ 5375][1]:=$BE65;map[ 5375][2]:=$E368;
map[ 5376][1]:=$BE66;map[ 5376][2]:=$E367;
map[ 5377][1]:=$BE67;map[ 5377][2]:=$E364;
map[ 5378][1]:=$BE6A;map[ 5378][2]:=$E369;
map[ 5379][1]:=$BE6B;map[ 5379][2]:=$E36D;
map[ 5380][1]:=$BE6E;map[ 5380][2]:=$E379;
map[ 5381][1]:=$BE71;map[ 5381][2]:=$E36F;
map[ 5382][1]:=$BE73;map[ 5382][2]:=$E36B;
map[ 5383][1]:=$BE81;map[ 5383][2]:=$E6E4;
map[ 5384][1]:=$BE85;map[ 5384][2]:=$E6F0;
map[ 5385][1]:=$BE8D;map[ 5385][2]:=$E6E6;
map[ 5386][1]:=$BE90;map[ 5386][2]:=$E6E5;
map[ 5387][1]:=$BE94;map[ 5387][2]:=$E6EF;
map[ 5388][1]:=$BE96;map[ 5388][2]:=$E6EE;
map[ 5389][1]:=$BE99;map[ 5389][2]:=$E572;
map[ 5390][1]:=$BE9D;map[ 5390][2]:=$E6E3;
map[ 5391][1]:=$BEA0;map[ 5391][2]:=$E6EA;
map[ 5392][1]:=$BEA1;map[ 5392][2]:=$BAC9;
map[ 5393][1]:=$BEA1;map[ 5393][2]:=$BEA8;
map[ 5394][1]:=$BEA2;map[ 5394][2]:=$AB6C;
map[ 5395][1]:=$BEA3;map[ 5395][2]:=$AFF0;
map[ 5396][1]:=$BEA4;map[ 5396][2]:=$B9B8;
map[ 5397][1]:=$BEA5;map[ 5397][2]:=$B2F4;
map[ 5398][1]:=$BEA6;map[ 5398][2]:=$B7FA;
map[ 5399][1]:=$BEA7;map[ 5399][2]:=$B4B9;
map[ 5400][1]:=$BEA8;map[ 5400][2]:=$C448;
map[ 5401][1]:=$BEA9;map[ 5401][2]:=$A8CA;
map[ 5402][1]:=$BEAA;map[ 5402][2]:=$C5E5;
map[ 5403][1]:=$BEAA;map[ 5403][2]:=$D561;
map[ 5404][1]:=$BEAB;map[ 5404][2]:=$BAEB;
map[ 5405][1]:=$BEAC;map[ 5405][2]:=$B865;
map[ 5406][1]:=$BEAD;map[ 5406][2]:=$B867;
map[ 5407][1]:=$BEAE;map[ 5407][2]:=$A4AB;
map[ 5408][1]:=$BEAF;map[ 5408][2]:=$C4B5;
map[ 5409][1]:=$BEB0;map[ 5409][2]:=$B4BA;
map[ 5410][1]:=$BEB1;map[ 5410][2]:=$C056;
map[ 5411][1]:=$BEB2;map[ 5411][2]:=$C052;
map[ 5412][1]:=$BEB3;map[ 5412][2]:=$B9D2;
map[ 5413][1]:=$BEB4;map[ 5413][2]:=$B771;
map[ 5414][1]:=$BEB5;map[ 5414][2]:=$C3E8;
map[ 5415][1]:=$BEB6;map[ 5415][2]:=$AE7C;
map[ 5416][1]:=$BEB6;map[ 5416][2]:=$B377;
map[ 5417][1]:=$BEB7;map[ 5417][2]:=$B56A;
map[ 5418][1]:=$BEB8;map[ 5418][2]:=$B974;
map[ 5419][1]:=$BEB9;map[ 5419][2]:=$B3BA;
map[ 5420][1]:=$BEBA;map[ 5420][2]:=$C476;
map[ 5421][1]:=$BEBB;map[ 5421][2]:=$B262;
map[ 5422][1]:=$BEBC;map[ 5422][2]:=$ACB3;
map[ 5423][1]:=$BEBD;map[ 5423][2]:=$B57E;
map[ 5424][1]:=$BEBE;map[ 5424][2]:=$B4AA;
map[ 5425][1]:=$BEBF;map[ 5425][2]:=$A873;
map[ 5426][1]:=$BEC0;map[ 5426][2]:=$AAC8;
map[ 5427][1]:=$BEC1;map[ 5427][2]:=$A868;
map[ 5428][1]:=$BEC2;map[ 5428][2]:=$ADB4;
map[ 5429][1]:=$BEC3;map[ 5429][2]:=$A45B;
map[ 5430][1]:=$BEC4;map[ 5430][2]:=$A862;
map[ 5431][1]:=$BEC5;map[ 5431][2]:=$A445;
map[ 5432][1]:=$BEC6;map[ 5432][2]:=$B073;
map[ 5433][1]:=$BEC7;map[ 5433][2]:=$B45C;
map[ 5434][1]:=$BEC8;map[ 5434][2]:=$B1CF;
map[ 5435][1]:=$BEC9;map[ 5435][2]:=$C2C2;
map[ 5436][1]:=$BECA;map[ 5436][2]:=$A6DD;
map[ 5437][1]:=$BECB;map[ 5437][2]:=$B8A4;
map[ 5438][1]:=$BECC;map[ 5438][2]:=$A953;
map[ 5439][1]:=$BECD;map[ 5439][2]:=$B44E;
map[ 5440][1]:=$BECE;map[ 5440][2]:=$AAB9;
map[ 5441][1]:=$BECF;map[ 5441][2]:=$C1F9;
map[ 5442][1]:=$BED0;map[ 5442][2]:=$A9EB;
map[ 5443][1]:=$BED1;map[ 5443][2]:=$AAAE;
map[ 5444][1]:=$BED2;map[ 5444][2]:=$AF6A;
map[ 5445][1]:=$BED3;map[ 5445][2]:=$A97E;
map[ 5446][1]:=$BED4;map[ 5446][2]:=$BE73;
map[ 5447][1]:=$BED5;map[ 5447][2]:=$B5E2;
map[ 5448][1]:=$BED6;map[ 5448][2]:=$A7BD;
map[ 5449][1]:=$BED6;map[ 5449][2]:=$AB5D;
map[ 5450][1]:=$BED6;map[ 5450][2]:=$BBB1;
map[ 5451][1]:=$BED7;map[ 5451][2]:=$A943;
map[ 5452][1]:=$BED8;map[ 5452][2]:=$AF78;
map[ 5453][1]:=$BED9;map[ 5453][2]:=$C17C;
map[ 5454][1]:=$BEDA;map[ 5454][2]:=$AA71;
map[ 5455][1]:=$BEDB;map[ 5455][2]:=$BB45;
map[ 5456][1]:=$BEDC;map[ 5456][2]:=$A9DA;
map[ 5457][1]:=$BEDD;map[ 5457][2]:=$BEDA;
map[ 5458][1]:=$BEDD;map[ 5458][2]:=$D575;
map[ 5459][1]:=$BEDE;map[ 5459][2]:=$A5A8;
map[ 5460][1]:=$BEDF;map[ 5460][2]:=$A8E3;
map[ 5461][1]:=$BEE0;map[ 5461][2]:=$B65A;
map[ 5462][1]:=$BEE1;map[ 5462][2]:=$BDF5;
map[ 5463][1]:=$BEE2;map[ 5463][2]:=$BFF7;
map[ 5464][1]:=$BEE3;map[ 5464][2]:=$ADD1;
map[ 5465][1]:=$BEE4;map[ 5465][2]:=$A579;
map[ 5466][1]:=$BEE5;map[ 5466][2]:=$C4DF;
map[ 5467][1]:=$BEE6;map[ 5467][2]:=$ACB2;
map[ 5468][1]:=$BEE7;map[ 5468][2]:=$BC40;
map[ 5469][1]:=$BEE8;map[ 5469][2]:=$AEBD;
map[ 5470][1]:=$BEE9;map[ 5470][2]:=$C359;
map[ 5471][1]:=$BEEA;map[ 5471][2]:=$AE53;
map[ 5472][1]:=$BEEB;map[ 5472][2]:=$ADC2;
map[ 5473][1]:=$BEEC;map[ 5473][2]:=$B2B2;
map[ 5474][1]:=$BEED;map[ 5474][2]:=$A8F7;
map[ 5475][1]:=$BEED;map[ 5475][2]:=$B1B2;
map[ 5476][1]:=$BEEE;map[ 5476][2]:=$B868;
map[ 5477][1]:=$BEEF;map[ 5477][2]:=$E5B1;
map[ 5478][1]:=$BEF0;map[ 5478][2]:=$C5CC;
map[ 5479][1]:=$BEF1;map[ 5479][2]:=$A7E0;
map[ 5480][1]:=$BEF2;map[ 5480][2]:=$B1B8;
map[ 5481][1]:=$BEF3;map[ 5481][2]:=$ADCF;
map[ 5482][1]:=$BEF4;map[ 5482][2]:=$C0EF;
map[ 5483][1]:=$BEF5;map[ 5483][2]:=$C4B1;
map[ 5484][1]:=$BEF6;map[ 5484][2]:=$A84D;
map[ 5485][1]:=$BEF7;map[ 5485][2]:=$B35A;
map[ 5486][1]:=$BEF8;map[ 5486][2]:=$B5B4;
map[ 5487][1]:=$BEF9;map[ 5487][2]:=$A7A1;
map[ 5488][1]:=$BEFA;map[ 5488][2]:=$B5DF;
map[ 5489][1]:=$BEFB;map[ 5489][2]:=$B676;
map[ 5490][1]:=$BEFC;map[ 5490][2]:=$AD78;
map[ 5491][1]:=$BEFD;map[ 5491][2]:=$A767;
map[ 5492][1]:=$BEFE;map[ 5492][2]:=$AE6D;
map[ 5493][1]:=$BF48;map[ 5493][2]:=$E6E9;
map[ 5494][1]:=$BF51;map[ 5494][2]:=$EACF;
map[ 5495][1]:=$BF52;map[ 5495][2]:=$EADB;
map[ 5496][1]:=$BF53;map[ 5496][2]:=$EAD3;
map[ 5497][1]:=$BF54;map[ 5497][2]:=$EAD9;
map[ 5498][1]:=$BF57;map[ 5498][2]:=$EACC;
map[ 5499][1]:=$BF58;map[ 5499][2]:=$EAD2;
map[ 5500][1]:=$BF59;map[ 5500][2]:=$EADC;
map[ 5501][1]:=$BF5B;map[ 5501][2]:=$EADA;
map[ 5502][1]:=$BF61;map[ 5502][2]:=$EAD4;
map[ 5503][1]:=$BF65;map[ 5503][2]:=$EAD1;
map[ 5504][1]:=$BF66;map[ 5504][2]:=$EACD;
map[ 5505][1]:=$BF67;map[ 5505][2]:=$EAD7;
map[ 5506][1]:=$BF69;map[ 5506][2]:=$EADE;
map[ 5507][1]:=$BF6A;map[ 5507][2]:=$EADD;
map[ 5508][1]:=$BF6E;map[ 5508][2]:=$EDDA;
map[ 5509][1]:=$BF6F;map[ 5509][2]:=$EDD6;
map[ 5510][1]:=$BF75;map[ 5510][2]:=$EDDC;
map[ 5511][1]:=$BF78;map[ 5511][2]:=$EDD3;
map[ 5512][1]:=$BF7D;map[ 5512][2]:=$EDD5;
map[ 5513][1]:=$BF80;map[ 5513][2]:=$EDE0;
map[ 5514][1]:=$BF81;map[ 5514][2]:=$EDD1;
map[ 5515][1]:=$BF84;map[ 5515][2]:=$C168;
map[ 5516][1]:=$BF85;map[ 5516][2]:=$EDD8;
map[ 5517][1]:=$BF86;map[ 5517][2]:=$EDD2;
map[ 5518][1]:=$BF88;map[ 5518][2]:=$EDDF;
map[ 5519][1]:=$BF8C;map[ 5519][2]:=$EDD7;
map[ 5520][1]:=$BF8F;map[ 5520][2]:=$EDDB;
map[ 5521][1]:=$BF93;map[ 5521][2]:=$F06E;
map[ 5522][1]:=$BF94;map[ 5522][2]:=$F074;
map[ 5523][1]:=$BF96;map[ 5523][2]:=$F077;
map[ 5524][1]:=$BF9A;map[ 5524][2]:=$F076;
map[ 5525][1]:=$BF9B;map[ 5525][2]:=$F071;
map[ 5526][1]:=$BF9F;map[ 5526][2]:=$F06D;
map[ 5527][1]:=$BFA1;map[ 5527][2]:=$AB54;
map[ 5528][1]:=$BFA2;map[ 5528][2]:=$B5A4;
map[ 5529][1]:=$BFA3;map[ 5529][2]:=$AF43;
map[ 5530][1]:=$BFA3;map[ 5530][2]:=$C0E0;
map[ 5531][1]:=$BFA4;map[ 5531][2]:=$B070;
map[ 5532][1]:=$BFA5;map[ 5532][2]:=$C240;
map[ 5533][1]:=$BFA6;map[ 5533][2]:=$B3D8;
map[ 5534][1]:=$BFA7;map[ 5534][2]:=$A940;
map[ 5535][1]:=$BFA8;map[ 5535][2]:=$A564;
map[ 5536][1]:=$BFA9;map[ 5536][2]:=$ABA3;
map[ 5537][1]:=$BFAA;map[ 5537][2]:=$B67D;
map[ 5538][1]:=$BFAB;map[ 5538][2]:=$B47B;
map[ 5539][1]:=$BFAC;map[ 5539][2]:=$B7A2;
map[ 5540][1]:=$BFAD;map[ 5540][2]:=$B3CD;
map[ 5541][1]:=$BFAE;map[ 5541][2]:=$B46E;
map[ 5542][1]:=$BFAF;map[ 5542][2]:=$A55A;
map[ 5543][1]:=$BFB0;map[ 5543][2]:=$B3F4;
map[ 5544][1]:=$BFB1;map[ 5544][2]:=$B0C9;
map[ 5545][1]:=$BFB2;map[ 5545][2]:=$A7A2;
map[ 5546][1]:=$BFB3;map[ 5546][2]:=$ACE5;
map[ 5547][1]:=$BFB4;map[ 5547][2]:=$ACDD;
map[ 5548][1]:=$BFB5;map[ 5548][2]:=$B164;
map[ 5549][1]:=$BFB6;map[ 5549][2]:=$BA42;
map[ 5550][1]:=$BFB7;map[ 5550][2]:=$C152;
map[ 5551][1]:=$BFB8;map[ 5551][2]:=$A6AA;
map[ 5552][1]:=$BFB9;map[ 5552][2]:=$A7DC;
map[ 5553][1]:=$BFBA;map[ 5553][2]:=$A4AE;
map[ 5554][1]:=$BFBB;map[ 5554][2]:=$AAA1;
map[ 5555][1]:=$BFBC;map[ 5555][2]:=$A6D2;
map[ 5556][1]:=$BFBC;map[ 5556][2]:=$CAF7;
map[ 5557][1]:=$BFBD;map[ 5557][2]:=$ABFE;
map[ 5558][1]:=$BFBE;map[ 5558][2]:=$AF4E;
map[ 5559][1]:=$BFBF;map[ 5559][2]:=$BE61;
map[ 5560][1]:=$BFC0;map[ 5560][2]:=$A956;
map[ 5561][1]:=$BFC1;map[ 5561][2]:=$AD56;
map[ 5562][1]:=$BFC2;map[ 5562][2]:=$AC5F;
map[ 5563][1]:=$BFC3;map[ 5563][2]:=$B4CA;
map[ 5564][1]:=$BFC4;map[ 5564][2]:=$BD57;
map[ 5565][1]:=$BFC5;map[ 5565][2]:=$C1FB;
map[ 5566][1]:=$BFC6;map[ 5566][2]:=$ACEC;
map[ 5567][1]:=$BFC7;map[ 5567][2]:=$B4DF;
map[ 5568][1]:=$BFC8;map[ 5568][2]:=$AB79;
map[ 5569][1]:=$BFC9;map[ 5569][2]:=$A569;
map[ 5570][1]:=$BFCA;map[ 5570][2]:=$B4F7;
map[ 5571][1]:=$BFCB;map[ 5571][2]:=$A74A;
map[ 5572][1]:=$BFCB;map[ 5572][2]:=$AB67;
map[ 5573][1]:=$BFCC;map[ 5573][2]:=$A8E8;
map[ 5574][1]:=$BFCD;map[ 5574][2]:=$ABC8;
map[ 5575][1]:=$BFCE;map[ 5575][2]:=$BDD2;
map[ 5576][1]:=$BFCF;map[ 5576][2]:=$AAD6;
map[ 5577][1]:=$BFD0;map[ 5577][2]:=$B0D9;
map[ 5578][1]:=$BFD1;map[ 5578][2]:=$BEC1;
map[ 5579][1]:=$BFD2;map[ 5579][2]:=$C0B5;
map[ 5580][1]:=$BFD3;map[ 5580][2]:=$A77C;
map[ 5581][1]:=$BFD3;map[ 5581][2]:=$A8C2;
map[ 5582][1]:=$BFD4;map[ 5582][2]:=$A75C;
map[ 5583][1]:=$BFD5;map[ 5583][2]:=$AAC5;
map[ 5584][1]:=$BFD6;map[ 5584][2]:=$AEA3;
map[ 5585][1]:=$BFD7;map[ 5585][2]:=$A4D5;
map[ 5586][1]:=$BFD8;map[ 5586][2]:=$B1B1;
map[ 5587][1]:=$BFD9;map[ 5587][2]:=$E1E0;
map[ 5588][1]:=$BFDA;map[ 5588][2]:=$A466;
map[ 5589][1]:=$BFDB;map[ 5589][2]:=$A6A9;
map[ 5590][1]:=$BFDB;map[ 5590][2]:=$B3A7;
map[ 5591][1]:=$BFDC;map[ 5591][2]:=$B146;
map[ 5592][1]:=$BFDD;map[ 5592][2]:=$AC5C;
map[ 5593][1]:=$BFDE;map[ 5593][2]:=$ADFA;
map[ 5594][1]:=$BFDF;map[ 5594][2]:=$B85D;
map[ 5595][1]:=$BFE0;map[ 5595][2]:=$AD57;
map[ 5596][1]:=$BFE1;map[ 5596][2]:=$BBC5;
map[ 5597][1]:=$BFE2;map[ 5597][2]:=$AE77;
map[ 5598][1]:=$BFE3;map[ 5598][2]:=$BFC7;
map[ 5599][1]:=$BFE4;map[ 5599][2]:=$A66A;
map[ 5600][1]:=$BFE4;map[ 5600][2]:=$B8D8;
map[ 5601][1]:=$BFE5;map[ 5601][2]:=$ABB1;
map[ 5602][1]:=$BFE6;map[ 5602][2]:=$CED8;
map[ 5603][1]:=$BFE7;map[ 5603][2]:=$B8F3;
map[ 5604][1]:=$BFE8;map[ 5604][2]:=$AFE3;
map[ 5605][1]:=$BFE9;map[ 5605][2]:=$B6F4;
map[ 5606][1]:=$BFEA;map[ 5606][2]:=$B85F;
map[ 5607][1]:=$BFEB;map[ 5607][2]:=$BBFB;
map[ 5608][1]:=$BFEC;map[ 5608][2]:=$A7D6;
map[ 5609][1]:=$BFED;map[ 5609][2]:=$BC65;
map[ 5610][1]:=$BFEE;map[ 5610][2]:=$B4DA;
map[ 5611][1]:=$BFEF;map[ 5611][2]:=$A64A;
map[ 5612][1]:=$BFF0;map[ 5612][2]:=$B5A8;
map[ 5613][1]:=$BFF1;map[ 5613][2]:=$A867;
map[ 5614][1]:=$BFF2;map[ 5614][2]:=$AED8;
map[ 5615][1]:=$BFF3;map[ 5615][2]:=$C471;
map[ 5616][1]:=$BFF4;map[ 5616][2]:=$B2B5;
map[ 5617][1]:=$BFF5;map[ 5617][2]:=$C36D;
map[ 5618][1]:=$BFF6;map[ 5618][2]:=$AA70;
map[ 5619][1]:=$BFF7;map[ 5619][2]:=$C1AB;
map[ 5620][1]:=$BFF8;map[ 5620][2]:=$B2AF;
map[ 5621][1]:=$BFF9;map[ 5621][2]:=$F5C9;
map[ 5622][1]:=$BFFA;map[ 5622][2]:=$BF73;
map[ 5623][1]:=$BFFA;map[ 5623][2]:=$F377;
map[ 5624][1]:=$BFFB;map[ 5624][2]:=$B8AA;
map[ 5625][1]:=$BFFC;map[ 5625][2]:=$ABB6;
map[ 5626][1]:=$BFFD;map[ 5626][2]:=$BBED;
map[ 5627][1]:=$BFFE;map[ 5627][2]:=$B3C8;
map[ 5628][1]:=$C041;map[ 5628][2]:=$F073;
map[ 5629][1]:=$C042;map[ 5629][2]:=$F075;
map[ 5630][1]:=$C045;map[ 5630][2]:=$F070;
map[ 5631][1]:=$C04A;map[ 5631][2]:=$F2B8;
map[ 5632][1]:=$C054;map[ 5632][2]:=$F2B6;
map[ 5633][1]:=$C056;map[ 5633][2]:=$F2B7;
map[ 5634][1]:=$C057;map[ 5634][2]:=$F2B0;
map[ 5635][1]:=$C058;map[ 5635][2]:=$F2AF;
map[ 5636][1]:=$C059;map[ 5636][2]:=$F2B3;
map[ 5637][1]:=$C05A;map[ 5637][2]:=$F2B1;
map[ 5638][1]:=$C05C;map[ 5638][2]:=$F2B5;
map[ 5639][1]:=$C05D;map[ 5639][2]:=$F4AC;
map[ 5640][1]:=$C062;map[ 5640][2]:=$F4AF;
map[ 5641][1]:=$C063;map[ 5641][2]:=$F4AE;
map[ 5642][1]:=$C067;map[ 5642][2]:=$F5EB;
map[ 5643][1]:=$C06C;map[ 5643][2]:=$F5EA;
map[ 5644][1]:=$C072;map[ 5644][2]:=$F742;
map[ 5645][1]:=$C075;map[ 5645][2]:=$C5D7;
map[ 5646][1]:=$C076;map[ 5646][2]:=$F7EE;
map[ 5647][1]:=$C078;map[ 5647][2]:=$F8B9;
map[ 5648][1]:=$C07A;map[ 5648][2]:=$F942;
map[ 5649][1]:=$C07B;map[ 5649][2]:=$F8FE;
map[ 5650][1]:=$C080;map[ 5650][2]:=$D354;
map[ 5651][1]:=$C081;map[ 5651][2]:=$D351;
map[ 5652][1]:=$C082;map[ 5652][2]:=$D6E2;
map[ 5653][1]:=$C083;map[ 5653][2]:=$D355;
map[ 5654][1]:=$C084;map[ 5654][2]:=$B5BB;
map[ 5655][1]:=$C085;map[ 5655][2]:=$DF62;
map[ 5656][1]:=$C087;map[ 5656][2]:=$E370;
map[ 5657][1]:=$C088;map[ 5657][2]:=$EAD5;
map[ 5658][1]:=$C08A;map[ 5658][2]:=$EACE;
map[ 5659][1]:=$C08C;map[ 5659][2]:=$D26F;
map[ 5660][1]:=$C090;map[ 5660][2]:=$DAFC;
map[ 5661][1]:=$C091;map[ 5661][2]:=$DAFD;
map[ 5662][1]:=$C094;map[ 5662][2]:=$EADF;
map[ 5663][1]:=$C099;map[ 5663][2]:=$F2BA;
map[ 5664][1]:=$C09C;map[ 5664][2]:=$F5ED;
map[ 5665][1]:=$C0A1;map[ 5665][2]:=$F558;
map[ 5666][1]:=$C0A1;map[ 5666][2]:=$C34A;
map[ 5667][1]:=$C0A2;map[ 5667][2]:=$B75C;
map[ 5668][1]:=$C0A3;map[ 5668][2]:=$BCEC;
map[ 5669][1]:=$C0A4;map[ 5669][2]:=$A95B;
map[ 5670][1]:=$C0A5;map[ 5670][2]:=$A9F8;
map[ 5671][1]:=$C0A5;map[ 5671][2]:=$B158;
map[ 5672][1]:=$C0A6;map[ 5672][2]:=$AEB9;
map[ 5673][1]:=$C0A6;map[ 5673][2]:=$B1EE;
map[ 5674][1]:=$C0A6;map[ 5674][2]:=$B869;
map[ 5675][1]:=$C0A7;map[ 5675][2]:=$A778;
map[ 5676][1]:=$C0A7;map[ 5676][2]:=$B574;
map[ 5677][1]:=$C0A8;map[ 5677][2]:=$AC41;
map[ 5678][1]:=$C0A9;map[ 5678][2]:=$C258;
map[ 5679][1]:=$C0AA;map[ 5679][2]:=$B9F8;
map[ 5680][1]:=$C0AB;map[ 5680][2]:=$C1EF;
map[ 5681][1]:=$C0AC;map[ 5681][2]:=$A955;
map[ 5682][1]:=$C0AD;map[ 5682][2]:=$A9D4;
map[ 5683][1]:=$C0AE;map[ 5683][2]:=$B3E2;
map[ 5684][1]:=$C0AF;map[ 5684][2]:=$C4FA;
map[ 5685][1]:=$C0AF;map[ 5685][2]:=$E3DC;
map[ 5686][1]:=$C0B0;map[ 5686][2]:=$C3BE;
map[ 5687][1]:=$C0B0;map[ 5687][2]:=$DB4B;
map[ 5688][1]:=$C0B1;map[ 5688][2]:=$BBB6;
map[ 5689][1]:=$C0B2;map[ 5689][2]:=$B0D5;
map[ 5690][1]:=$C0B3;map[ 5690][2]:=$B5DC;
map[ 5691][1]:=$C0B4;map[ 5691][2]:=$A8D3;
map[ 5692][1]:=$C0B5;map[ 5692][2]:=$BFE0;
map[ 5693][1]:=$C0B6;map[ 5693][2]:=$C2C5;
map[ 5694][1]:=$C0B7;map[ 5694][2]:=$B0FD;
map[ 5695][1]:=$C0B8;map[ 5695][2]:=$C4E6;
map[ 5696][1]:=$C0B9;map[ 5696][2]:=$C464;
map[ 5697][1]:=$C0BA;map[ 5697][2]:=$C478;
map[ 5698][1]:=$C0BB;map[ 5698][2]:=$C1F1;
map[ 5699][1]:=$C0BC;map[ 5699][2]:=$C4F5;
map[ 5700][1]:=$C0BD;map[ 5700][2]:=$C469;
map[ 5701][1]:=$C0BE;map[ 5701][2]:=$F8C2;
map[ 5702][1]:=$C0BF;map[ 5702][2]:=$C5F3;
map[ 5703][1]:=$C0C0;map[ 5703][2]:=$C4FD;
map[ 5704][1]:=$C0C1;map[ 5704][2]:=$C369;
map[ 5705][1]:=$C0C1;map[ 5705][2]:=$F1FB;
map[ 5706][1]:=$C0C2;map[ 5706][2]:=$C66C;
map[ 5707][1]:=$C0C3;map[ 5707][2]:=$C4EA;
map[ 5708][1]:=$C0C4;map[ 5708][2]:=$C0DD;
map[ 5709][1]:=$C0C5;map[ 5709][2]:=$B277;
map[ 5710][1]:=$C0C5;map[ 5710][2]:=$B7E3;
map[ 5711][1]:=$C0C6;map[ 5711][2]:=$B77D;
map[ 5712][1]:=$C0C7;map[ 5712][2]:=$AF54;
map[ 5713][1]:=$C0C8;map[ 5713][2]:=$B459;
map[ 5714][1]:=$C0C9;map[ 5714][2]:=$ADA6;
map[ 5715][1]:=$C0CA;map[ 5715][2]:=$AED4;
map[ 5716][1]:=$C0CB;map[ 5716][2]:=$AEF6;
map[ 5717][1]:=$C0CC;map[ 5717][2]:=$BCB4;
map[ 5718][1]:=$C0CD;map[ 5718][2]:=$B3D2;
map[ 5719][1]:=$C0CE;map[ 5719][2]:=$A863;
map[ 5720][1]:=$C0CF;map[ 5720][2]:=$A6D1;
map[ 5721][1]:=$C0D0;map[ 5721][2]:=$A8D0;
map[ 5722][1]:=$C0D1;map[ 5722][2]:=$ABBE;
map[ 5723][1]:=$C0D2;map[ 5723][2]:=$B954;
map[ 5724][1]:=$C0D3;map[ 5724][2]:=$AF4F;
map[ 5725][1]:=$C0D4;map[ 5725][2]:=$E5FC;
map[ 5726][1]:=$C0D5;map[ 5726][2]:=$B0C7;
map[ 5727][1]:=$C0D6;map[ 5727][2]:=$BCD6;
map[ 5728][1]:=$C0D7;map[ 5728][2]:=$B970;
map[ 5729][1]:=$C0D8;map[ 5729][2]:=$C54A;
map[ 5730][1]:=$C0D9;map[ 5730][2]:=$C1A2;
map[ 5731][1]:=$C0DA;map[ 5731][2]:=$BD55;
map[ 5732][1]:=$C0DB;map[ 5732][2]:=$B2D6;
map[ 5733][1]:=$C0DB;map[ 5733][2]:=$F5EC;
map[ 5734][1]:=$C0DC;map[ 5734][2]:=$C077;
map[ 5735][1]:=$C0DD;map[ 5735][2]:=$C253;
map[ 5736][1]:=$C0DE;map[ 5736][2]:=$BEDD;
map[ 5737][1]:=$C0DF;map[ 5737][2]:=$A6D8;
map[ 5738][1]:=$C0E0;map[ 5738][2]:=$C3FE;
map[ 5739][1]:=$C0E1;map[ 5739][2]:=$B25C;
map[ 5740][1]:=$C0E2;map[ 5740][2]:=$B857;
map[ 5741][1]:=$C0E2;map[ 5741][2]:=$D9B1;
map[ 5742][1]:=$C0E3;map[ 5742][2]:=$B7AB;
map[ 5743][1]:=$C0E4;map[ 5743][2]:=$A74E;
map[ 5744][1]:=$C0E5;map[ 5744][2]:=$C2E7;
map[ 5745][1]:=$C0E5;map[ 5745][2]:=$CDF9;
map[ 5746][1]:=$C0E6;map[ 5746][2]:=$B1F9;
map[ 5747][1]:=$C0E7;map[ 5747][2]:=$B270;
map[ 5748][1]:=$C0E8;map[ 5748][2]:=$BEA4;
map[ 5749][1]:=$C0E9;map[ 5749][2]:=$C658;
map[ 5750][1]:=$C0E9;map[ 5750][2]:=$EDCC;
map[ 5751][1]:=$C0EA;map[ 5751][2]:=$AF57;
map[ 5752][1]:=$C0EA;map[ 5752][2]:=$BBA9;
map[ 5753][1]:=$C0EB;map[ 5753][2]:=$C2F7;
map[ 5754][1]:=$C0EB;map[ 5754][2]:=$D6C3;
map[ 5755][1]:=$C0EC;map[ 5755][2]:=$BA76;
map[ 5756][1]:=$C0EC;map[ 5756][2]:=$F6E8;
map[ 5757][1]:=$C0ED;map[ 5757][2]:=$B27A;
map[ 5758][1]:=$C0EE;map[ 5758][2]:=$A7F5;
map[ 5759][1]:=$C0EF;map[ 5759][2]:=$A8BD;
map[ 5760][1]:=$C0EF;map[ 5760][2]:=$B8CC;
map[ 5761][1]:=$C0F0;map[ 5761][2]:=$C355;
map[ 5762][1]:=$C0F1;map[ 5762][2]:=$C2A7;
map[ 5763][1]:=$C0F2;map[ 5763][2]:=$B2FA;
map[ 5764][1]:=$C0F3;map[ 5764][2]:=$AFEF;
map[ 5765][1]:=$C0F4;map[ 5765][2]:=$A64F;
map[ 5766][1]:=$C0F5;map[ 5766][2]:=$AEDF;
map[ 5767][1]:=$C0F5;map[ 5767][2]:=$B758;
map[ 5768][1]:=$C0F6;map[ 5768][2]:=$C452;
map[ 5769][1]:=$C0F7;map[ 5769][2]:=$BC46;
map[ 5770][1]:=$C0F8;map[ 5770][2]:=$C079;
map[ 5771][1]:=$C0F9;map[ 5771][2]:=$C474;
map[ 5772][1]:=$C0FA;map[ 5772][2]:=$BEFA;
map[ 5773][1]:=$C0FA;map[ 5773][2]:=$BEE4;
map[ 5774][1]:=$C0FA;map[ 5774][2]:=$D864;
map[ 5775][1]:=$C0FB;map[ 5775][2]:=$A751;
map[ 5776][1]:=$C0FD;map[ 5776][2]:=$A8D2;
map[ 5777][1]:=$C0FE;map[ 5777][2]:=$AB57;
map[ 5778][1]:=$C142;map[ 5778][2]:=$D360;
map[ 5779][1]:=$C143;map[ 5779][2]:=$D35B;
map[ 5780][1]:=$C144;map[ 5780][2]:=$D35F;
map[ 5781][1]:=$C145;map[ 5781][2]:=$D35D;
map[ 5782][1]:=$C146;map[ 5782][2]:=$D35E;
map[ 5783][1]:=$C147;map[ 5783][2]:=$D6F1;
map[ 5784][1]:=$C149;map[ 5784][2]:=$DAFE;
map[ 5785][1]:=$C14A;map[ 5785][2]:=$DB40;
map[ 5786][1]:=$C14B;map[ 5786][2]:=$DF69;
map[ 5787][1]:=$C14C;map[ 5787][2]:=$DF68;
map[ 5788][1]:=$C14D;map[ 5788][2]:=$DF6B;
map[ 5789][1]:=$C14E;map[ 5789][2]:=$DF67;
map[ 5790][1]:=$C151;map[ 5790][2]:=$E37A;
map[ 5791][1]:=$C153;map[ 5791][2]:=$E6F1;
map[ 5792][1]:=$C156;map[ 5792][2]:=$EAE2;
map[ 5793][1]:=$C157;map[ 5793][2]:=$EAE0;
map[ 5794][1]:=$C158;map[ 5794][2]:=$EAE1;
map[ 5795][1]:=$C159;map[ 5795][2]:=$EDE4;
map[ 5796][1]:=$C15A;map[ 5796][2]:=$EDE2;
map[ 5797][1]:=$C15D;map[ 5797][2]:=$F2BB;
map[ 5798][1]:=$C161;map[ 5798][2]:=$F744;
map[ 5799][1]:=$C163;map[ 5799][2]:=$F8BA;
map[ 5800][1]:=$C165;map[ 5800][2]:=$D04F;
map[ 5801][1]:=$C168;map[ 5801][2]:=$D04E;
map[ 5802][1]:=$C169;map[ 5802][2]:=$D362;
map[ 5803][1]:=$C16B;map[ 5803][2]:=$D6F2;
map[ 5804][1]:=$C16C;map[ 5804][2]:=$D361;
map[ 5805][1]:=$C170;map[ 5805][2]:=$D6F5;
map[ 5806][1]:=$C171;map[ 5806][2]:=$D6F3;
map[ 5807][1]:=$C172;map[ 5807][2]:=$DB42;
map[ 5808][1]:=$C176;map[ 5808][2]:=$DF6C;
map[ 5809][1]:=$C17B;map[ 5809][2]:=$E6F2;
map[ 5810][1]:=$C17C;map[ 5810][2]:=$E6F4;
map[ 5811][1]:=$C17E;map[ 5811][2]:=$EAE3;
map[ 5812][1]:=$C180;map[ 5812][2]:=$F079;
map[ 5813][1]:=$C182;map[ 5813][2]:=$F078;
map[ 5814][1]:=$C184;map[ 5814][2]:=$F2BD;
map[ 5815][1]:=$C185;map[ 5815][2]:=$F4B0;
map[ 5816][1]:=$C186;map[ 5816][2]:=$F5EE;
map[ 5817][1]:=$C187;map[ 5817][2]:=$D050;
map[ 5818][1]:=$C188;map[ 5818][2]:=$D365;
map[ 5819][1]:=$C189;map[ 5819][2]:=$D364;
map[ 5820][1]:=$C18A;map[ 5820][2]:=$D363;
map[ 5821][1]:=$C18D;map[ 5821][2]:=$D6FB;
map[ 5822][1]:=$C18F;map[ 5822][2]:=$D6FD;
map[ 5823][1]:=$C190;map[ 5823][2]:=$D6F7;
map[ 5824][1]:=$C191;map[ 5824][2]:=$D6F8;
map[ 5825][1]:=$C192;map[ 5825][2]:=$D6FC;
map[ 5826][1]:=$C193;map[ 5826][2]:=$D6F9;
map[ 5827][1]:=$C194;map[ 5827][2]:=$D6FA;
map[ 5828][1]:=$C198;map[ 5828][2]:=$DB44;
map[ 5829][1]:=$C199;map[ 5829][2]:=$F2BE;
map[ 5830][1]:=$C19A;map[ 5830][2]:=$E6F8;
map[ 5831][1]:=$C19B;map[ 5831][2]:=$DF6F;
map[ 5832][1]:=$C19C;map[ 5832][2]:=$DF70;
map[ 5833][1]:=$C19E;map[ 5833][2]:=$E37E;
map[ 5834][1]:=$C19F;map[ 5834][2]:=$E37B;
map[ 5835][1]:=$C1A0;map[ 5835][2]:=$E37C;
map[ 5836][1]:=$C1A1;map[ 5836][2]:=$B567;
map[ 5837][1]:=$C1A2;map[ 5837][2]:=$A5DF;
map[ 5838][1]:=$C1A3;map[ 5838][2]:=$B2C9;
map[ 5839][1]:=$C1A4;map[ 5839][2]:=$C377;
map[ 5840][1]:=$C1A5;map[ 5840][2]:=$C1F5;
map[ 5841][1]:=$C1A6;map[ 5841][2]:=$A44F;
map[ 5842][1]:=$C1A7;map[ 5842][2]:=$BCFE;
map[ 5843][1]:=$C1A7;map[ 5843][2]:=$B27C;
map[ 5844][1]:=$C1A8;map[ 5844][2]:=$ADF9;
map[ 5845][1]:=$C1A9;map[ 5845][2]:=$ADC7;
map[ 5846][1]:=$C1AA;map[ 5846][2]:=$C170;
map[ 5847][1]:=$C1AB;map[ 5847][2]:=$BDAC;
map[ 5848][1]:=$C1AC;map[ 5848][2]:=$B373;
map[ 5849][1]:=$C1AD;map[ 5849][2]:=$C549;
map[ 5850][1]:=$C1AE;map[ 5850][2]:=$B747;
map[ 5851][1]:=$C1AF;map[ 5851][2]:=$BCA6;
map[ 5852][1]:=$C1AF;map[ 5852][2]:=$CCB0;
map[ 5853][1]:=$C1B0;map[ 5853][2]:=$BAA7;
map[ 5854][1]:=$C1B1;map[ 5854][2]:=$C3AE;
map[ 5855][1]:=$C1B1;map[ 5855][2]:=$A9A9;
map[ 5856][1]:=$C1B2;map[ 5856][2]:=$ED4B;
map[ 5857][1]:=$C1B2;map[ 5857][2]:=$C0C4;
map[ 5858][1]:=$C1B3;map[ 5858][2]:=$C179;
map[ 5859][1]:=$C1B4;map[ 5859][2]:=$C3EC;
map[ 5860][1]:=$C1B5;map[ 5860][2]:=$C5CA;
map[ 5861][1]:=$C1B6;map[ 5861][2]:=$B7D2;
map[ 5862][1]:=$C1B6;map[ 5862][2]:=$C1E5;
map[ 5863][1]:=$C1B7;map[ 5863][2]:=$BD6D;
map[ 5864][1]:=$C1B8;map[ 5864][2]:=$C2B3;
map[ 5865][1]:=$C1B9;map[ 5865][2]:=$B244;
map[ 5866][1]:=$C1BA;map[ 5866][2]:=$B1E7;
map[ 5867][1]:=$C1BA;map[ 5867][2]:=$BCD9;
map[ 5868][1]:=$C1BB;map[ 5868][2]:=$B864;
map[ 5869][1]:=$C1BC;map[ 5869][2]:=$A87D;
map[ 5870][1]:=$C1BD;map[ 5870][2]:=$A8E2;
map[ 5871][1]:=$C1BE;map[ 5871][2]:=$BDF8;
map[ 5872][1]:=$C1BF;map[ 5872][2]:=$B671;
map[ 5873][1]:=$C1C0;map[ 5873][2]:=$B4BD;
map[ 5874][1]:=$C1C1;map[ 5874][2]:=$AB47;
map[ 5875][1]:=$C1C2;map[ 5875][2]:=$BDCC;
map[ 5876][1]:=$C1C3;map[ 5876][2]:=$BCBA;
map[ 5877][1]:=$C1C4;map[ 5877][2]:=$B2E1;
map[ 5878][1]:=$C1C5;map[ 5878][2]:=$B9B1;
map[ 5879][1]:=$C1C6;map[ 5879][2]:=$C0F8;
map[ 5880][1]:=$C1C7;map[ 5880][2]:=$BF52;
map[ 5881][1]:=$C1C8;map[ 5881][2]:=$B9E9;
map[ 5882][1]:=$C1C9;map[ 5882][2]:=$BFF1;
map[ 5883][1]:=$C1CA;map[ 5883][2]:=$BCE3;
map[ 5884][1]:=$C1CB;map[ 5884][2]:=$A446;
map[ 5885][1]:=$C1CC;map[ 5885][2]:=$E1E6;
map[ 5886][1]:=$C1CD;map[ 5886][2]:=$F4EF;
map[ 5887][1]:=$C1CE;map[ 5887][2]:=$B9F9;
map[ 5888][1]:=$C1CF;map[ 5888][2]:=$AEC6;
map[ 5889][1]:=$C1D0;map[ 5889][2]:=$A643;
map[ 5890][1]:=$C1D1;map[ 5890][2]:=$B5F5;
map[ 5891][1]:=$C1D2;map[ 5891][2]:=$AF50;
map[ 5892][1]:=$C1D3;map[ 5892][2]:=$A648;
map[ 5893][1]:=$C1D4;map[ 5893][2]:=$C279;
map[ 5894][1]:=$C1D5;map[ 5894][2]:=$B559;
map[ 5895][1]:=$C1D6;map[ 5895][2]:=$AA4C;
map[ 5896][1]:=$C1D7;map[ 5896][2]:=$BF4D;
map[ 5897][1]:=$C1D7;map[ 5897][2]:=$C143;
map[ 5898][1]:=$C1D8;map[ 5898][2]:=$C04D;
map[ 5899][1]:=$C1D9;map[ 5899][2]:=$C17B;
map[ 5900][1]:=$C1DA;map[ 5900][2]:=$BE46;
map[ 5901][1]:=$C1DB;map[ 5901][2]:=$C5EC;
map[ 5902][1]:=$C1DC;map[ 5902][2]:=$B24F;
map[ 5903][1]:=$C1DD;map[ 5903][2]:=$BBFE;
map[ 5904][1]:=$C1DE;map[ 5904][2]:=$B8EE;
map[ 5905][1]:=$C1DF;map[ 5905][2]:=$A75B;
map[ 5906][1]:=$C1E0;map[ 5906][2]:=$A9F0;
map[ 5907][1]:=$C1E1;map[ 5907][2]:=$ACC2;
map[ 5908][1]:=$C1E2;map[ 5908][2]:=$B5D9;
map[ 5909][1]:=$C1E2;map[ 5909][2]:=$BDB7;
map[ 5910][1]:=$C1E3;map[ 5910][2]:=$B973;
map[ 5911][1]:=$C1E4;map[ 5911][2]:=$C4D6;
map[ 5912][1]:=$C1E5;map[ 5912][2]:=$B961;
map[ 5913][1]:=$C1E6;map[ 5913][2]:=$A744;
map[ 5914][1]:=$C1E7;map[ 5914][2]:=$B2DC;
map[ 5915][1]:=$C1E8;map[ 5915][2]:=$ADE2;
map[ 5916][1]:=$C1E8;map[ 5916][2]:=$D5E6;
map[ 5917][1]:=$C1E9;map[ 5917][2]:=$C646;
map[ 5918][1]:=$C1EA;map[ 5918][2]:=$B3AE;
map[ 5919][1]:=$C1EB;map[ 5919][2]:=$C0AD;
map[ 5920][1]:=$C1EB;map[ 5920][2]:=$CC64;
map[ 5921][1]:=$C1EC;map[ 5921][2]:=$BBE2;
map[ 5922][1]:=$C1ED;map[ 5922][2]:=$A574;
map[ 5923][1]:=$C1EE;map[ 5923][2]:=$A54F;
map[ 5924][1]:=$C1EF;map[ 5924][2]:=$B7C8;
map[ 5925][1]:=$C1EF;map[ 5925][2]:=$C2FC;
map[ 5926][1]:=$C1F0;map[ 5926][2]:=$AF5B;
map[ 5927][1]:=$C1F1;map[ 5927][2]:=$BA68;
map[ 5928][1]:=$C1F2;map[ 5928][2]:=$B2B8;
map[ 5929][1]:=$C1F3;map[ 5929][2]:=$C348;
map[ 5930][1]:=$C1F4;map[ 5930][2]:=$AF64;
map[ 5931][1]:=$C1F5;map[ 5931][2]:=$BC42;
map[ 5932][1]:=$C1F6;map[ 5932][2]:=$BD46;
map[ 5933][1]:=$C1F7;map[ 5933][2]:=$AC79;
map[ 5934][1]:=$C1F8;map[ 5934][2]:=$AC68;
map[ 5935][1]:=$C1F9;map[ 5935][2]:=$A4BB;
map[ 5936][1]:=$C1FA;map[ 5936][2]:=$C073;
map[ 5937][1]:=$C1FB;map[ 5937][2]:=$C5A4;
map[ 5938][1]:=$C1FC;map[ 5938][2]:=$C456;
map[ 5939][1]:=$C1FD;map[ 5939][2]:=$C5A2;
map[ 5940][1]:=$C1FE;map[ 5940][2]:=$C14B;
map[ 5941][1]:=$C242;map[ 5941][2]:=$E6FA;
map[ 5942][1]:=$C243;map[ 5942][2]:=$E6F7;
map[ 5943][1]:=$C244;map[ 5943][2]:=$E6F6;
map[ 5944][1]:=$C246;map[ 5944][2]:=$E6F5;
map[ 5945][1]:=$C247;map[ 5945][2]:=$EAE4;
map[ 5946][1]:=$C248;map[ 5946][2]:=$EDE6;
map[ 5947][1]:=$C249;map[ 5947][2]:=$EDE5;
map[ 5948][1]:=$C24A;map[ 5948][2]:=$EFA8;
map[ 5949][1]:=$C24C;map[ 5949][2]:=$F07A;
map[ 5950][1]:=$C24D;map[ 5950][2]:=$F07B;
map[ 5951][1]:=$C251;map[ 5951][2]:=$F2BF;
map[ 5952][1]:=$C252;map[ 5952][2]:=$F4B1;
map[ 5953][1]:=$C254;map[ 5953][2]:=$D051;
map[ 5954][1]:=$C258;map[ 5954][2]:=$D052;
map[ 5955][1]:=$C259;map[ 5955][2]:=$D053;
map[ 5956][1]:=$C25D;map[ 5956][2]:=$D741;
map[ 5957][1]:=$C25F;map[ 5957][2]:=$D740;
map[ 5958][1]:=$C260;map[ 5958][2]:=$D6FE;
map[ 5959][1]:=$C263;map[ 5959][2]:=$E3A1;
map[ 5960][1]:=$C269;map[ 5960][2]:=$F5EF;
map[ 5961][1]:=$C26B;map[ 5961][2]:=$CB73;
map[ 5962][1]:=$C26C;map[ 5962][2]:=$D368;
map[ 5963][1]:=$C26F;map[ 5963][2]:=$D367;
map[ 5964][1]:=$C274;map[ 5964][2]:=$D742;
map[ 5965][1]:=$C275;map[ 5965][2]:=$D744;
map[ 5966][1]:=$C278;map[ 5966][2]:=$DB46;
map[ 5967][1]:=$C279;map[ 5967][2]:=$DB47;
map[ 5968][1]:=$C27A;map[ 5968][2]:=$DB45;
map[ 5969][1]:=$C282;map[ 5969][2]:=$E3A3;
map[ 5970][1]:=$C283;map[ 5970][2]:=$E3A2;
map[ 5971][1]:=$C28A;map[ 5971][2]:=$E6FB;
map[ 5972][1]:=$C28D;map[ 5972][2]:=$E6FC;
map[ 5973][1]:=$C290;map[ 5973][2]:=$EAE7;
map[ 5974][1]:=$C29B;map[ 5974][2]:=$F2C0;
map[ 5975][1]:=$C2A1;map[ 5975][2]:=$B6A9;
map[ 5976][1]:=$C2A2;map[ 5976][2]:=$C362;
map[ 5977][1]:=$C2A3;map[ 5977][2]:=$C36C;
map[ 5978][1]:=$C2A4;map[ 5978][2]:=$C3F7;
map[ 5979][1]:=$C2A5;map[ 5979][2]:=$BCD3;
map[ 5980][1]:=$C2A6;map[ 5980][2]:=$B0FA;
map[ 5981][1]:=$C2A7;map[ 5981][2]:=$BA4F;
map[ 5982][1]:=$C2A8;map[ 5982][2]:=$C14D;
map[ 5983][1]:=$C2A9;map[ 5983][2]:=$BA7C;
map[ 5984][1]:=$C2AA;map[ 5984][2]:=$ADAE;
map[ 5985][1]:=$C2AB;map[ 5985][2]:=$C4AA;
map[ 5986][1]:=$C2AC;map[ 5986][2]:=$BF63;
map[ 5987][1]:=$C2AD;map[ 5987][2]:=$C660;
map[ 5988][1]:=$C2AE;map[ 5988][2]:=$C366;
map[ 5989][1]:=$C2AF;map[ 5989][2]:=$C46C;
map[ 5990][1]:=$C2AF;map[ 5990][2]:=$C644;
map[ 5991][1]:=$C2B0;map[ 5991][2]:=$BEDB;
map[ 5992][1]:=$C2B1;map[ 5992][2]:=$B3BF;
map[ 5993][1]:=$C2B1;map[ 5993][2]:=$BAB1;
map[ 5994][1]:=$C2B2;map[ 5994][2]:=$B8B8;
map[ 5995][1]:=$C2B3;map[ 5995][2]:=$BE7C;
map[ 5996][1]:=$C2B4;map[ 5996][2]:=$C453;
map[ 5997][1]:=$C2B5;map[ 5997][2]:=$B84C;
map[ 5998][1]:=$C2B6;map[ 5998][2]:=$C553;
map[ 5999][1]:=$C2B7;map[ 5999][2]:=$B8F4;
map[ 6000][1]:=$C2B8;map[ 6000][2]:=$B8EF;
map[ 6001][1]:=$C2B9;map[ 6001][2]:=$B3C0;
map[ 6002][1]:=$C2BA;map[ 6002][2]:=$E9F0;
map[ 6003][1]:=$C2BB;map[ 6003][2]:=$B853;
map[ 6004][1]:=$C2BC;map[ 6004][2]:=$BFFD;
map[ 6005][1]:=$C2BD;map[ 6005][2]:=$B3B0;
map[ 6006][1]:=$C2BE;map[ 6006][2]:=$BCAE;
map[ 6007][1]:=$C2BF;map[ 6007][2]:=$C66A;
map[ 6008][1]:=$C2C0;map[ 6008][2]:=$A766;
map[ 6009][1]:=$C2C1;map[ 6009][2]:=$BE54;
map[ 6010][1]:=$C2C2;map[ 6010][2]:=$AB51;
map[ 6011][1]:=$C2C3;map[ 6011][2]:=$AEC8;
map[ 6012][1]:=$C2C4;map[ 6012][2]:=$BC69;
map[ 6013][1]:=$C2C5;map[ 6013][2]:=$B9F0;
map[ 6014][1]:=$C2C6;map[ 6014][2]:=$C15C;
map[ 6015][1]:=$C2C7;map[ 6015][2]:=$BC7B;
map[ 6016][1]:=$C2C8;map[ 6016][2]:=$B4E2;
map[ 6017][1]:=$C2C9;map[ 6017][2]:=$ABDF;
map[ 6018][1]:=$C2CA;map[ 6018][2]:=$B276;
map[ 6019][1]:=$C2CB;map[ 6019][2]:=$C26F;
map[ 6020][1]:=$C2CC;map[ 6020][2]:=$BAF1;
map[ 6021][1]:=$C2CD;map[ 6021][2]:=$C572;
map[ 6022][1]:=$C2CE;map[ 6022][2]:=$C5CB;
map[ 6023][1]:=$C2CF;map[ 6023][2]:=$C570;
map[ 6024][1]:=$C2D0;map[ 6024][2]:=$C665;
map[ 6025][1]:=$C2D1;map[ 6025][2]:=$A75A;
map[ 6026][1]:=$C2D2;map[ 6026][2]:=$B6C3;
map[ 6027][1]:=$C2D3;map[ 6027][2]:=$B1B0;
map[ 6028][1]:=$C2D4;map[ 6028][2]:=$B2A4;
map[ 6029][1]:=$C2D5;map[ 6029][2]:=$B1C1;
map[ 6030][1]:=$C2D6;map[ 6030][2]:=$BDFC;
map[ 6031][1]:=$C2D7;map[ 6031][2]:=$ADDB;
map[ 6032][1]:=$C2D8;map[ 6032][2]:=$A8DA;
map[ 6033][1]:=$C2D8;map[ 6033][2]:=$B15B;
map[ 6034][1]:=$C2D9;map[ 6034][2]:=$B25F;
map[ 6035][1]:=$C2DA;map[ 6035][2]:=$BAFA;
map[ 6036][1]:=$C2DB;map[ 6036][2]:=$BDD7;
map[ 6037][1]:=$C2DC;map[ 6037][2]:=$C5DA;
map[ 6038][1]:=$C2DD;map[ 6038][2]:=$C1B3;
map[ 6039][1]:=$C2DE;map[ 6039][2]:=$C3B9;
map[ 6040][1]:=$C2DE;map[ 6040][2]:=$C4D8;
map[ 6041][1]:=$C2DF;map[ 6041][2]:=$C5DE;
map[ 6042][1]:=$C2E0;map[ 6042][2]:=$C672;
map[ 6043][1]:=$C2E1;map[ 6043][2]:=$C659;
map[ 6044][1]:=$C2E2;map[ 6044][2]:=$C55B;
map[ 6045][1]:=$C2E3;map[ 6045][2]:=$BB72;
map[ 6046][1]:=$C2E4;map[ 6046][2]:=$B8A8;
map[ 6047][1]:=$C2E5;map[ 6047][2]:=$ACA5;
map[ 6048][1]:=$C2E6;map[ 6048][2]:=$C064;
map[ 6049][1]:=$C2E7;map[ 6049][2]:=$B5B8;
map[ 6050][1]:=$C2E8;map[ 6050][2]:=$B6FD;
map[ 6051][1]:=$C2E9;map[ 6051][2]:=$B3C2;
map[ 6052][1]:=$C2EA;map[ 6052][2]:=$BABF;
map[ 6053][1]:=$C2EB;map[ 6053][2]:=$BD58;
map[ 6054][1]:=$C2EC;map[ 6054][2]:=$BFC2;
map[ 6055][1]:=$C2ED;map[ 6055][2]:=$B0A8;
map[ 6056][1]:=$C2EE;map[ 6056][2]:=$BD7C;
map[ 6057][1]:=$C2EF;map[ 6057][2]:=$B9C0;
map[ 6058][1]:=$C2F0;map[ 6058][2]:=$B6DC;
map[ 6059][1]:=$C2F1;map[ 6059][2]:=$AE49;
map[ 6060][1]:=$C2F2;map[ 6060][2]:=$B652;
map[ 6061][1]:=$C2F3;map[ 6061][2]:=$B3C1;
map[ 6062][1]:=$C2F4;map[ 6062][2]:=$BDE6;
map[ 6063][1]:=$C2F5;map[ 6063][2]:=$C1DA;
map[ 6064][1]:=$C2F6;map[ 6064][2]:=$AFDF;
map[ 6065][1]:=$C2F7;map[ 6065][2]:=$BF66;
map[ 6066][1]:=$C2F8;map[ 6066][2]:=$C443;
map[ 6067][1]:=$C2F9;map[ 6067][2]:=$C65A;
map[ 6068][1]:=$C2FA;map[ 6068][2]:=$BAA1;
map[ 6069][1]:=$C2FB;map[ 6069][2]:=$BDAF;
map[ 6070][1]:=$C2FC;map[ 6070][2]:=$B0D2;
map[ 6071][1]:=$C2FD;map[ 6071][2]:=$BA43;
map[ 6072][1]:=$C2FE;map[ 6072][2]:=$BAA9;
map[ 6073][1]:=$C342;map[ 6073][2]:=$D1FB;
map[ 6074][1]:=$C345;map[ 6074][2]:=$C9A9;
map[ 6075][1]:=$C348;map[ 6075][2]:=$CDAB;
map[ 6076][1]:=$C349;map[ 6076][2]:=$CB76;
map[ 6077][1]:=$C34B;map[ 6077][2]:=$CB77;
map[ 6078][1]:=$C34D;map[ 6078][2]:=$CB74;
map[ 6079][1]:=$C34F;map[ 6079][2]:=$CB75;
map[ 6080][1]:=$C351;map[ 6080][2]:=$CDAD;
map[ 6081][1]:=$C358;map[ 6081][2]:=$CDAF;
map[ 6082][1]:=$C35A;map[ 6082][2]:=$CDAE;
map[ 6083][1]:=$C35D;map[ 6083][2]:=$D05D;
map[ 6084][1]:=$C35E;map[ 6084][2]:=$D057;
map[ 6085][1]:=$C35F;map[ 6085][2]:=$D05A;
map[ 6086][1]:=$C360;map[ 6086][2]:=$D063;
map[ 6087][1]:=$C361;map[ 6087][2]:=$D061;
map[ 6088][1]:=$C363;map[ 6088][2]:=$D064;
map[ 6089][1]:=$C364;map[ 6089][2]:=$D05C;
map[ 6090][1]:=$C365;map[ 6090][2]:=$D059;
map[ 6091][1]:=$C368;map[ 6091][2]:=$DB49;
map[ 6092][1]:=$C369;map[ 6092][2]:=$D062;
map[ 6093][1]:=$C36A;map[ 6093][2]:=$D056;
map[ 6094][1]:=$C36C;map[ 6094][2]:=$D058;
map[ 6095][1]:=$C36E;map[ 6095][2]:=$D05E;
map[ 6096][1]:=$C36F;map[ 6096][2]:=$D066;
map[ 6097][1]:=$C371;map[ 6097][2]:=$D36C;
map[ 6098][1]:=$C373;map[ 6098][2]:=$D36B;
map[ 6099][1]:=$C374;map[ 6099][2]:=$D36E;
map[ 6100][1]:=$C375;map[ 6100][2]:=$DB48;
map[ 6101][1]:=$C377;map[ 6101][2]:=$D36F;
map[ 6102][1]:=$C378;map[ 6102][2]:=$D36D;
map[ 6103][1]:=$C381;map[ 6103][2]:=$D74E;
map[ 6104][1]:=$C383;map[ 6104][2]:=$D747;
map[ 6105][1]:=$C386;map[ 6105][2]:=$D750;
map[ 6106][1]:=$C387;map[ 6106][2]:=$D74A;
map[ 6107][1]:=$C389;map[ 6107][2]:=$D74D;
map[ 6108][1]:=$C38A;map[ 6108][2]:=$D751;
map[ 6109][1]:=$C38C;map[ 6109][2]:=$B2E9;
map[ 6110][1]:=$C38D;map[ 6110][2]:=$D746;
map[ 6111][1]:=$C38F;map[ 6111][2]:=$D74F;
map[ 6112][1]:=$C394;map[ 6112][2]:=$D749;
map[ 6113][1]:=$C396;map[ 6113][2]:=$B2E8;
map[ 6114][1]:=$C39C;map[ 6114][2]:=$DB51;
map[ 6115][1]:=$C39F;map[ 6115][2]:=$DB4F;
map[ 6116][1]:=$C3A1;map[ 6116][2]:=$F0E3;
map[ 6117][1]:=$C3A2;map[ 6117][2]:=$A87E;
map[ 6118][1]:=$C3A3;map[ 6118][2]:=$AFED;
map[ 6119][1]:=$C3A4;map[ 6119][2]:=$AABC;
map[ 6120][1]:=$C3A5;map[ 6120][2]:=$AA5D;
map[ 6121][1]:=$C3A6;map[ 6121][2]:=$A6A3;
map[ 6122][1]:=$C3A7;map[ 6122][2]:=$B2F5;
map[ 6123][1]:=$C3A8;map[ 6123][2]:=$BFDF;
map[ 6124][1]:=$C3A9;map[ 6124][2]:=$AD54;
map[ 6125][1]:=$C3AA;map[ 6125][2]:=$C1E3;
map[ 6126][1]:=$C3AB;map[ 6126][2]:=$A4F2;
map[ 6127][1]:=$C3AC;map[ 6127][2]:=$A5D9;
map[ 6128][1]:=$C3AD;map[ 6128][2]:=$B967;
map[ 6129][1]:=$C3AE;map[ 6129][2]:=$A566;
map[ 6130][1]:=$C3AF;map[ 6130][2]:=$AD5A;
map[ 6131][1]:=$C3B0;map[ 6131][2]:=$AB5F;
map[ 6132][1]:=$C3B1;map[ 6132][2]:=$B455;
map[ 6133][1]:=$C3B2;map[ 6133][2]:=$BBAA;
map[ 6134][1]:=$C3B3;map[ 6134][2]:=$B654;
map[ 6135][1]:=$C3B4;map[ 6135][2]:=$BBF2;
map[ 6136][1]:=$C3B5;map[ 6136][2]:=$AAB4;
map[ 6137][1]:=$C3B6;map[ 6137][2]:=$AA54;
map[ 6138][1]:=$C3B7;map[ 6138][2]:=$B1F6;
map[ 6139][1]:=$C3B9;map[ 6139][2]:=$BE60;
map[ 6140][1]:=$C3B9;map[ 6140][2]:=$C5F0;
map[ 6141][1]:=$C3BA;map[ 6141][2]:=$B7D1;
map[ 6142][1]:=$C3BB;map[ 6142][2]:=$A853;
map[ 6143][1]:=$C3BC;map[ 6143][2]:=$ACDC;
map[ 6144][1]:=$C3BD;map[ 6144][2]:=$B443;
map[ 6145][1]:=$C3BE;map[ 6145][2]:=$C1E2;
map[ 6146][1]:=$C3BF;map[ 6146][2]:=$A843;
map[ 6147][1]:=$C3C0;map[ 6147][2]:=$ACFC;
map[ 6148][1]:=$C3C1;map[ 6148][2]:=$AC4E;
map[ 6149][1]:=$C3C2;map[ 6149][2]:=$B44B;
map[ 6150][1]:=$C3C3;map[ 6150][2]:=$A966;
map[ 6151][1]:=$C3C4;map[ 6151][2]:=$B441;
map[ 6152][1]:=$C3C5;map[ 6152][2]:=$AAF9;
map[ 6153][1]:=$C3C6;map[ 6153][2]:=$B465;
map[ 6154][1]:=$C3C7;map[ 6154][2]:=$ADCC;
map[ 6155][1]:=$C3C8;map[ 6155][2]:=$B5DE;
map[ 6156][1]:=$C3C9;map[ 6156][2]:=$BB58;
map[ 6157][1]:=$C3C9;map[ 6157][2]:=$C0DB;
map[ 6158][1]:=$C3C9;map[ 6158][2]:=$C3A9;
map[ 6159][1]:=$C3C9;map[ 6159][2]:=$ECE7;
map[ 6160][1]:=$C3CA;map[ 6160][2]:=$C263;
map[ 6161][1]:=$C3CB;map[ 6161][2]:=$B7F9;
map[ 6162][1]:=$C3CC;map[ 6162][2]:=$BFF8;
map[ 6163][1]:=$C3CD;map[ 6163][2]:=$B272;
map[ 6164][1]:=$C3CE;map[ 6164][2]:=$B9DA;
map[ 6165][1]:=$C3CF;map[ 6165][2]:=$A973;
map[ 6166][1]:=$C3D0;map[ 6166][2]:=$D6A9;
map[ 6167][1]:=$C3D1;map[ 6167][2]:=$EEC5;
map[ 6168][1]:=$C3D2;map[ 6168][2]:=$C3FB;
map[ 6169][1]:=$C3D3;map[ 6169][2]:=$C153;
map[ 6170][1]:=$C3D4;map[ 6170][2]:=$B067;
map[ 6171][1]:=$C3D5;map[ 6171][2]:=$C1BC;
map[ 6172][1]:=$C3D6;map[ 6172][2]:=$C0B1;
map[ 6173][1]:=$C3D6;map[ 6173][2]:=$C46A;
map[ 6174][1]:=$C3D7;map[ 6174][2]:=$A6CC;
map[ 6175][1]:=$C3D8;map[ 6175][2]:=$AFB5;
map[ 6176][1]:=$C3D8;map[ 6176][2]:=$AFA6;
map[ 6177][1]:=$C3D9;map[ 6177][2]:=$B356;
map[ 6178][1]:=$C3DA;map[ 6178][2]:=$AA63;
map[ 6179][1]:=$C3DB;map[ 6179][2]:=$BB65;
map[ 6180][1]:=$C3DC;map[ 6180][2]:=$B14B;
map[ 6181][1]:=$C3DD;map[ 6181][2]:=$BEAD;
map[ 6182][1]:=$C3DE;map[ 6182][2]:=$B4D6;
map[ 6183][1]:=$C3DF;map[ 6183][2]:=$AF76;
map[ 6184][1]:=$C3E0;map[ 6184][2]:=$BAF8;
map[ 6185][1]:=$C3E1;map[ 6185][2]:=$B0C3;
map[ 6186][1]:=$C3E2;map[ 6186][2]:=$A74B;
map[ 6187][1]:=$C3E3;map[ 6187][2]:=$AB6A;
map[ 6188][1]:=$C3E4;map[ 6188][2]:=$AE59;
map[ 6189][1]:=$C3E5;map[ 6189][2]:=$BD71;
map[ 6190][1]:=$C3E6;map[ 6190][2]:=$ADB1;
map[ 6191][1]:=$C3E6;map[ 6191][2]:=$C4D1;
map[ 6192][1]:=$C3E7;map[ 6192][2]:=$AD5D;
map[ 6193][1]:=$C3E8;map[ 6193][2]:=$B479;
map[ 6194][1]:=$C3E9;map[ 6194][2]:=$BACB;
map[ 6195][1]:=$C3EA;map[ 6195][2]:=$C2C6;
map[ 6196][1]:=$C3EB;map[ 6196][2]:=$ACED;
map[ 6197][1]:=$C3EC;map[ 6197][2]:=$B4F9;
map[ 6198][1]:=$C3ED;map[ 6198][2]:=$BC71;
map[ 6199][1]:=$C3EE;map[ 6199][2]:=$A7AE;
map[ 6200][1]:=$C3EF;map[ 6200][2]:=$BDB0;
map[ 6201][1]:=$C3EF;map[ 6201][2]:=$F647;
map[ 6202][1]:=$C3F0;map[ 6202][2]:=$B7C0;
map[ 6203][1]:=$C3F1;map[ 6203][2]:=$A5C1;
map[ 6204][1]:=$C3F2;map[ 6204][2]:=$A9D7;
map[ 6205][1]:=$C3F3;map[ 6205][2]:=$A5D7;
map[ 6206][1]:=$C3F4;map[ 6206][2]:=$B1D3;
map[ 6207][1]:=$C3F5;map[ 6207][2]:=$BCA7;
map[ 6208][1]:=$C3F6;map[ 6208][2]:=$BBD4;
map[ 6209][1]:=$C3F7;map[ 6209][2]:=$A9FA;
map[ 6210][1]:=$C3F8;map[ 6210][2]:=$BFC1;
map[ 6211][1]:=$C3F9;map[ 6211][2]:=$BBEF;
map[ 6212][1]:=$C3FA;map[ 6212][2]:=$BBCA;
map[ 6213][1]:=$C3FB;map[ 6213][2]:=$A657;
map[ 6214][1]:=$C3FC;map[ 6214][2]:=$A952;
map[ 6215][1]:=$C3FD;map[ 6215][2]:=$C2D5;
map[ 6216][1]:=$C3FE;map[ 6216][2]:=$BA4E;
map[ 6217][1]:=$C443;map[ 6217][2]:=$DB4A;
map[ 6218][1]:=$C444;map[ 6218][2]:=$DFA1;
map[ 6219][1]:=$C446;map[ 6219][2]:=$DB4E;
map[ 6220][1]:=$C448;map[ 6220][2]:=$DB50;
map[ 6221][1]:=$C44A;map[ 6221][2]:=$DB4D;
map[ 6222][1]:=$C44B;map[ 6222][2]:=$DB4C;
map[ 6223][1]:=$C44E;map[ 6223][2]:=$E741;
map[ 6224][1]:=$C44F;map[ 6224][2]:=$DF77;
map[ 6225][1]:=$C450;map[ 6225][2]:=$DF75;
map[ 6226][1]:=$C452;map[ 6226][2]:=$DF7B;
map[ 6227][1]:=$C455;map[ 6227][2]:=$DF78;
map[ 6228][1]:=$C457;map[ 6228][2]:=$DF72;
map[ 6229][1]:=$C45D;map[ 6229][2]:=$DF7E;
map[ 6230][1]:=$C45E;map[ 6230][2]:=$DF79;
map[ 6231][1]:=$C461;map[ 6231][2]:=$DF7C;
map[ 6232][1]:=$C462;map[ 6232][2]:=$DF74;
map[ 6233][1]:=$C468;map[ 6233][2]:=$E3A5;
map[ 6234][1]:=$C469;map[ 6234][2]:=$E3A7;
map[ 6235][1]:=$C46A;map[ 6235][2]:=$E3A4;
map[ 6236][1]:=$C46B;map[ 6236][2]:=$E3AA;
map[ 6237][1]:=$C46C;map[ 6237][2]:=$E3A9;
map[ 6238][1]:=$C46D;map[ 6238][2]:=$E3A8;
map[ 6239][1]:=$C475;map[ 6239][2]:=$E744;
map[ 6240][1]:=$C476;map[ 6240][2]:=$E743;
map[ 6241][1]:=$C478;map[ 6241][2]:=$E740;
map[ 6242][1]:=$C479;map[ 6242][2]:=$E6FE;
map[ 6243][1]:=$C47C;map[ 6243][2]:=$E742;
map[ 6244][1]:=$C480;map[ 6244][2]:=$EAF3;
map[ 6245][1]:=$C482;map[ 6245][2]:=$EAED;
map[ 6246][1]:=$C483;map[ 6246][2]:=$EAEF;
map[ 6247][1]:=$C485;map[ 6247][2]:=$EAEA;
map[ 6248][1]:=$C487;map[ 6248][2]:=$EAEE;
map[ 6249][1]:=$C488;map[ 6249][2]:=$EAE8;
map[ 6250][1]:=$C489;map[ 6250][2]:=$EAF1;
map[ 6251][1]:=$C48A;map[ 6251][2]:=$EAF0;
map[ 6252][1]:=$C48B;map[ 6252][2]:=$EAEC;
map[ 6253][1]:=$C48D;map[ 6253][2]:=$EAF2;
map[ 6254][1]:=$C48F;map[ 6254][2]:=$EAEB;
map[ 6255][1]:=$C490;map[ 6255][2]:=$EDEE;
map[ 6256][1]:=$C494;map[ 6256][2]:=$EDE9;
map[ 6257][1]:=$C495;map[ 6257][2]:=$EDEC;
map[ 6258][1]:=$C496;map[ 6258][2]:=$EDED;
map[ 6259][1]:=$C49D;map[ 6259][2]:=$F0A1;
map[ 6260][1]:=$C49E;map[ 6260][2]:=$F07D;
map[ 6261][1]:=$C4A1;map[ 6261][2]:=$BCB1;
map[ 6262][1]:=$C4A2;map[ 6262][2]:=$C4A8;
map[ 6263][1]:=$C4A3;map[ 6263][2]:=$BCD2;
map[ 6264][1]:=$C4A3;map[ 6264][2]:=$C155;
map[ 6265][1]:=$C4A4;map[ 6265][2]:=$BDA4;
map[ 6266][1]:=$C4A5;map[ 6266][2]:=$BF69;
map[ 6267][1]:=$C4A6;map[ 6267][2]:=$BCAF;
map[ 6268][1]:=$C4A7;map[ 6268][2]:=$C55D;
map[ 6269][1]:=$C4A8;map[ 6269][2]:=$A9D9;
map[ 6270][1]:=$C4A9;map[ 6270][2]:=$A5BD;
map[ 6271][1]:=$C4AA;map[ 6271][2]:=$B2F6;
map[ 6272][1]:=$C4AB;map[ 6272][2]:=$BEA5;
map[ 6273][1]:=$C4AC;map[ 6273][2]:=$C071;
map[ 6274][1]:=$C4AD;map[ 6274][2]:=$AA6A;
map[ 6275][1]:=$C4AE;map[ 6275][2]:=$BA7A;
map[ 6276][1]:=$C4AF;map[ 6276][2]:=$B9E6;
map[ 6277][1]:=$C4B0;map[ 6277][2]:=$ADAF;
map[ 6278][1]:=$C4B1;map[ 6278][2]:=$BFD1;
map[ 6279][1]:=$C4B2;map[ 6279][2]:=$A6C8;
map[ 6280][1]:=$C4B3;map[ 6280][2]:=$AC59;
map[ 6281][1]:=$C4B4;map[ 6281][2]:=$A9E6;
map[ 6282][1]:=$C4B5;map[ 6282][2]:=$A864;
map[ 6283][1]:=$C4B6;map[ 6283][2]:=$AF61;
map[ 6284][1]:=$C4B7;map[ 6284][2]:=$A969;
map[ 6285][1]:=$C4B8;map[ 6285][2]:=$A5C0;
map[ 6286][1]:=$C4B9;map[ 6286][2]:=$B9D3;
map[ 6287][1]:=$C4BA;map[ 6287][2]:=$BCC7;
map[ 6288][1]:=$C4BB;map[ 6288][2]:=$B9F5;
map[ 6289][1]:=$C4BC;map[ 6289][2]:=$B6D2;
map[ 6290][1]:=$C4BD;map[ 6290][2]:=$BC7D;
map[ 6291][1]:=$C4BE;map[ 6291][2]:=$A4EC;
map[ 6292][1]:=$C4BF;map[ 6292][2]:=$A5D8;
map[ 6293][1]:=$C4C0;map[ 6293][2]:=$B7FC;
map[ 6294][1]:=$C4C1;map[ 6294][2]:=$AAAA;
map[ 6295][1]:=$C4C2;map[ 6295][2]:=$BF70;
map[ 6296][1]:=$C4C3;map[ 6296][2]:=$AEB3;
map[ 6297][1]:=$C4C4;map[ 6297][2]:=$ADFE;
map[ 6298][1]:=$C4C6;map[ 6298][2]:=$B675;
map[ 6299][1]:=$C4C7;map[ 6299][2]:=$A8BA;
map[ 6300][1]:=$C4C8;map[ 6300][2]:=$AE52;
map[ 6301][1]:=$C4C9;map[ 6301][2]:=$AFC7;
map[ 6302][1]:=$C4CA;map[ 6302][2]:=$A6BB;
map[ 6303][1]:=$C4CB;map[ 6303][2]:=$A444;
map[ 6304][1]:=$C4CB;map[ 6304][2]:=$B069;
map[ 6305][1]:=$C4CC;map[ 6305][2]:=$A5A4;
map[ 6306][1]:=$C4CC;map[ 6306][2]:=$ECCE;
map[ 6307][1]:=$C4CD;map[ 6307][2]:=$AD40;
map[ 6308][1]:=$C4CE;map[ 6308][2]:=$A960;
map[ 6309][1]:=$C4CF;map[ 6309][2]:=$AB6E;
map[ 6310][1]:=$C4D0;map[ 6310][2]:=$A86B;
map[ 6311][1]:=$C4D1;map[ 6311][2]:=$C3F8;
map[ 6312][1]:=$C4D2;map[ 6312][2]:=$C56E;
map[ 6313][1]:=$C4D3;map[ 6313][2]:=$BCB8;
map[ 6314][1]:=$C4D4;map[ 6314][2]:=$B8A3;
map[ 6315][1]:=$C4D5;map[ 6315][2]:=$B46F;
map[ 6316][1]:=$C4D6;map[ 6316][2]:=$BE78;
map[ 6317][1]:=$C4D7;map[ 6317][2]:=$D5EF;
map[ 6318][1]:=$C4D8;map[ 6318][2]:=$A94F;
map[ 6319][1]:=$C4D9;map[ 6319][2]:=$BE6B;
map[ 6320][1]:=$C4DA;map[ 6320][2]:=$A4BA;
map[ 6321][1]:=$C4DB;map[ 6321][2]:=$B9E0;
map[ 6322][1]:=$C4DC;map[ 6322][2]:=$AFE0;
map[ 6323][1]:=$C4DD;map[ 6323][2]:=$A967;
map[ 6324][1]:=$C4DE;map[ 6324][2]:=$C04F;
map[ 6325][1]:=$C4DF;map[ 6325][2]:=$ADD9;
map[ 6326][1]:=$C4E0;map[ 6326][2]:=$AA64;
map[ 6327][1]:=$C4E1;map[ 6327][2]:=$A5A7;
map[ 6328][1]:=$C4E2;map[ 6328][2]:=$C0C0;
map[ 6329][1]:=$C4E3;map[ 6329][2]:=$A741;
map[ 6330][1]:=$C4E4;map[ 6330][2]:=$B0CE;
map[ 6331][1]:=$C4E5;map[ 6331][2]:=$BFB0;
map[ 6332][1]:=$C4E6;map[ 6332][2]:=$B066;
map[ 6333][1]:=$C4E7;map[ 6333][2]:=$B7C4;
map[ 6334][1]:=$C4E8;map[ 6334][2]:=$E759;
map[ 6335][1]:=$C4E9;map[ 6335][2]:=$A9E0;
map[ 6336][1]:=$C4EA;map[ 6336][2]:=$A67E;
map[ 6337][1]:=$C4EB;map[ 6337][2]:=$BD56;
map[ 6338][1]:=$C4EC;map[ 6338][2]:=$C25B;
map[ 6339][1]:=$C4ED;map[ 6339][2]:=$B1C9;
map[ 6340][1]:=$C4ED;map[ 6340][2]:=$BCBF;
map[ 6341][1]:=$C4EE;map[ 6341][2]:=$A9C0;
map[ 6342][1]:=$C4EE;map[ 6342][2]:=$B0E1;
map[ 6343][1]:=$C4EF;map[ 6343][2]:=$AE51;
map[ 6344][1]:=$C4EF;map[ 6344][2]:=$C45D;
map[ 6345][1]:=$C4F0;map[ 6345][2]:=$C643;
map[ 6346][1]:=$C4F1;map[ 6346][2]:=$B3BE;
map[ 6347][1]:=$C4F2;map[ 6347][2]:=$A7BF;
map[ 6348][1]:=$C4F3;map[ 6348][2]:=$AEBA;
map[ 6349][1]:=$C4F4;map[ 6349][2]:=$C2BF;
map[ 6350][1]:=$C4F5;map[ 6350][2]:=$C45E;
map[ 6351][1]:=$C4F6;map[ 6351][2]:=$EFBF;
map[ 6352][1]:=$C4F6;map[ 6352][2]:=$C56A;
map[ 6353][1]:=$C4F7;map[ 6353][2]:=$C668;
map[ 6354][1]:=$C4F8;map[ 6354][2]:=$C2EC;
map[ 6355][1]:=$C4F9;map[ 6355][2]:=$AF49;
map[ 6356][1]:=$C4FA;map[ 6356][2]:=$B17A;
map[ 6357][1]:=$C4FB;map[ 6357][2]:=$C266;
map[ 6358][1]:=$C4FC;map[ 6358][2]:=$C0F1;
map[ 6359][1]:=$C4FD;map[ 6359][2]:=$BEAE;
map[ 6360][1]:=$C4FE;map[ 6360][2]:=$B9E7;
map[ 6361][1]:=$C4FE;map[ 6361][2]:=$C972;
map[ 6362][1]:=$C4FE;map[ 6362][2]:=$DAAC;
map[ 6363][1]:=$C541;map[ 6363][2]:=$F2C2;
map[ 6364][1]:=$C543;map[ 6364][2]:=$F2C1;
map[ 6365][1]:=$C545;map[ 6365][2]:=$F4B4;
map[ 6366][1]:=$C547;map[ 6366][2]:=$F4B3;
map[ 6367][1]:=$C548;map[ 6367][2]:=$C5D8;
map[ 6368][1]:=$C549;map[ 6368][2]:=$F5F0;
map[ 6369][1]:=$C54A;map[ 6369][2]:=$F745;
map[ 6370][1]:=$C54D;map[ 6370][2]:=$F944;
map[ 6371][1]:=$C551;map[ 6371][2]:=$DB52;
map[ 6372][1]:=$C553;map[ 6372][2]:=$EDEF;
map[ 6373][1]:=$C555;map[ 6373][2]:=$DB53;
map[ 6374][1]:=$C559;map[ 6374][2]:=$EAF4;
map[ 6375][1]:=$C55C;map[ 6375][2]:=$DB54;
map[ 6376][1]:=$C55D;map[ 6376][2]:=$DB55;
map[ 6377][1]:=$C55E;map[ 6377][2]:=$DB56;
map[ 6378][1]:=$C561;map[ 6378][2]:=$D068;
map[ 6379][1]:=$C567;map[ 6379][2]:=$F4B5;
map[ 6380][1]:=$C56A;map[ 6380][2]:=$D752;
map[ 6381][1]:=$C56C;map[ 6381][2]:=$E3AB;
map[ 6382][1]:=$C572;map[ 6382][2]:=$DFA3;
map[ 6383][1]:=$C573;map[ 6383][2]:=$CDB1;
map[ 6384][1]:=$C575;map[ 6384][2]:=$D372;
map[ 6385][1]:=$C57A;map[ 6385][2]:=$D757;
map[ 6386][1]:=$C57B;map[ 6386][2]:=$D755;
map[ 6387][1]:=$C57C;map[ 6387][2]:=$DB58;
map[ 6388][1]:=$C57D;map[ 6388][2]:=$DB59;
map[ 6389][1]:=$C57E;map[ 6389][2]:=$DB5A;
map[ 6390][1]:=$C580;map[ 6390][2]:=$DFA6;
map[ 6391][1]:=$C582;map[ 6391][2]:=$DFA7;
map[ 6392][1]:=$C584;map[ 6392][2]:=$DFA8;
map[ 6393][1]:=$C58A;map[ 6393][2]:=$E74A;
map[ 6394][1]:=$C58B;map[ 6394][2]:=$E749;
map[ 6395][1]:=$C58C;map[ 6395][2]:=$E74B;
map[ 6396][1]:=$C58D;map[ 6396][2]:=$E748;
map[ 6397][1]:=$C58E;map[ 6397][2]:=$E747;
map[ 6398][1]:=$C590;map[ 6398][2]:=$EAF5;
map[ 6399][1]:=$C591;map[ 6399][2]:=$EAF6;
map[ 6400][1]:=$C592;map[ 6400][2]:=$EAF7;
map[ 6401][1]:=$C594;map[ 6401][2]:=$EDF0;
map[ 6402][1]:=$C595;map[ 6402][2]:=$EDF2;
map[ 6403][1]:=$C597;map[ 6403][2]:=$F0A3;
map[ 6404][1]:=$C599;map[ 6404][2]:=$F2C4;
map[ 6405][1]:=$C5A0;map[ 6405][2]:=$F4B7;
map[ 6406][1]:=$C5A1;map[ 6406][2]:=$C0BE;
map[ 6407][1]:=$C5A2;map[ 6407][2]:=$C0D7;
map[ 6408][1]:=$C5A2;map[ 6408][2]:=$CD46;
map[ 6409][1]:=$C5A3;map[ 6409][2]:=$A4FB;
map[ 6410][1]:=$C5A4;map[ 6410][2]:=$A7E1;
map[ 6411][1]:=$C5A5;map[ 6411][2]:=$B673;
map[ 6412][1]:=$C5A6;map[ 6412][2]:=$AFC3;
map[ 6413][1]:=$C5A7;map[ 6413][2]:=$C177;
map[ 6414][1]:=$C5A8;map[ 6414][2]:=$BF40;
map[ 6415][1]:=$C5A9;map[ 6415][2]:=$B941;
map[ 6416][1]:=$C5AA;map[ 6416][2]:=$A7CB;
map[ 6417][1]:=$C5AB;map[ 6417][2]:=$A5A3;
map[ 6418][1]:=$C5AC;map[ 6418][2]:=$A756;
map[ 6419][1]:=$C5AD;map[ 6419][2]:=$ABE3;
map[ 6420][1]:=$C5AE;map[ 6420][2]:=$A46B;
map[ 6421][1]:=$C5AF;map[ 6421][2]:=$B778;
map[ 6422][1]:=$C5AF;map[ 6422][2]:=$B7DC;
map[ 6423][1]:=$C5B0;map[ 6423][2]:=$AD68;
map[ 6424][1]:=$C5B1;map[ 6424][2]:=$BAC4;
map[ 6425][1]:=$C5B2;map[ 6425][2]:=$AEBF;
map[ 6426][1]:=$C5B3;map[ 6426][2]:=$C0B6;
map[ 6427][1]:=$C5B4;map[ 6427][2]:=$C47A;
map[ 6428][1]:=$C5B5;map[ 6428][2]:=$BFD5;
map[ 6429][1]:=$C5B6;map[ 6429][2]:=$AE40;
map[ 6430][1]:=$C5B7;map[ 6430][2]:=$BCDA;
map[ 6431][1]:=$C5B8;map[ 6431][2]:=$C5C3;
map[ 6432][1]:=$C5B9;map[ 6432][2]:=$BCDE;
map[ 6433][1]:=$C5BA;map[ 6433][2]:=$C3C2;
map[ 6434][1]:=$C5BB;map[ 6434][2]:=$B9C3;
map[ 6435][1]:=$C5BC;map[ 6435][2]:=$B0B8;
map[ 6436][1]:=$C5BD;map[ 6436][2]:=$E278;
map[ 6437][1]:=$C5BE;map[ 6437][2]:=$B0D4;
map[ 6438][1]:=$C5BF;map[ 6438][2]:=$AD77;
map[ 6439][1]:=$C5C0;map[ 6439][2]:=$AAA6;
map[ 6440][1]:=$C5C1;map[ 6440][2]:=$A9AC;
map[ 6441][1]:=$C5C2;map[ 6441][2]:=$A9C8;
map[ 6442][1]:=$C5C3;map[ 6442][2]:=$B55D;
map[ 6443][1]:=$C5C4;map[ 6443][2]:=$A9E7;
map[ 6444][1]:=$C5C5;map[ 6444][2]:=$B1C6;
map[ 6445][1]:=$C5C6;map[ 6445][2]:=$B550;
map[ 6446][1]:=$C5C7;map[ 6446][2]:=$B172;
map[ 6447][1]:=$C5C8;map[ 6447][2]:=$B4FB;
map[ 6448][1]:=$C5C9;map[ 6448][2]:=$ACA3;
map[ 6449][1]:=$C5CA;map[ 6449][2]:=$C36B;
map[ 6450][1]:=$C5CB;map[ 6450][2]:=$BCEF;
map[ 6451][1]:=$C5CC;map[ 6451][2]:=$BA6E;
map[ 6452][1]:=$C5CC;map[ 6452][2]:=$BAD0;
map[ 6453][1]:=$C5CC;map[ 6453][2]:=$BD4C;
map[ 6454][1]:=$C5CC;map[ 6454][2]:=$BD59;
map[ 6455][1]:=$C5CE;map[ 6455][2]:=$ACDF;
map[ 6456][1]:=$C5CF;map[ 6456][2]:=$AF60;
map[ 6457][1]:=$C5D0;map[ 6457][2]:=$A750;
map[ 6458][1]:=$C5D1;map[ 6458][2]:=$AB71;
map[ 6459][1]:=$C5D2;map[ 6459][2]:=$A5E3;
map[ 6460][1]:=$C5D3;map[ 6460][2]:=$C365;
map[ 6461][1]:=$C5D4;map[ 6461][2]:=$AEC7;
map[ 6462][1]:=$C5D5;map[ 6462][2]:=$EAE5;
map[ 6463][1]:=$C5D6;map[ 6463][2]:=$AD44;
map[ 6464][1]:=$C5D8;map[ 6464][2]:=$A948;
map[ 6465][1]:=$C5D9;map[ 6465][2]:=$A753;
map[ 6466][1]:=$C5D9;map[ 6466][2]:=$B95E;
map[ 6467][1]:=$C5D9;map[ 6467][2]:=$C5E1;
map[ 6468][1]:=$C5DA;map[ 6468][2]:=$ACB6;
map[ 6469][1]:=$C5DA;map[ 6469][2]:=$AFA5;
map[ 6470][1]:=$C5DB;map[ 6470][2]:=$B354;
map[ 6471][1]:=$C5DC;map[ 6471][2]:=$B65D;
map[ 6472][1]:=$C5DD;map[ 6472][2]:=$AA77;
map[ 6473][1]:=$C5DE;map[ 6473][2]:=$A941;
map[ 6474][1]:=$C5DF;map[ 6474][2]:=$AD46;
map[ 6475][1]:=$C5E0;map[ 6475][2]:=$B0F6;
map[ 6476][1]:=$C5E1;map[ 6476][2]:=$BB70;
map[ 6477][1]:=$C5E2;map[ 6477][2]:=$BDDF;
map[ 6478][1]:=$C5E3;map[ 6478][2]:=$B3AD;
map[ 6479][1]:=$C5E4;map[ 6479][2]:=$B074;
map[ 6480][1]:=$C5E5;map[ 6480][2]:=$A8D8;
map[ 6481][1]:=$C5E5;map[ 6481][2]:=$AF5C;
map[ 6482][1]:=$C5E6;map[ 6482][2]:=$A84B;
map[ 6483][1]:=$C5E7;map[ 6483][2]:=$BC51;
map[ 6484][1]:=$C5E8;map[ 6484][2]:=$ACD6;
map[ 6485][1]:=$C5E9;map[ 6485][2]:=$AF79;
map[ 6486][1]:=$C5EA;map[ 6486][2]:=$A9E1;
map[ 6487][1]:=$C5EB;map[ 6487][2]:=$B269;
map[ 6488][1]:=$C5EC;map[ 6488][2]:=$BCEA;
map[ 6489][1]:=$C5ED;map[ 6489][2]:=$B45E;
map[ 6490][1]:=$C5EE;map[ 6490][2]:=$BDB4;
map[ 6491][1]:=$C5EF;map[ 6491][2]:=$B4D7;
map[ 6492][1]:=$C5F0;map[ 6492][2]:=$B84E;
map[ 6493][1]:=$C5F1;map[ 6493][2]:=$C14F;
map[ 6494][1]:=$C5F2;map[ 6494][2]:=$BFB1;
map[ 6495][1]:=$C5F3;map[ 6495][2]:=$AA42;
map[ 6496][1]:=$C5F4;map[ 6496][2]:=$C450;
map[ 6497][1]:=$C5F5;map[ 6497][2]:=$B1B7;
map[ 6498][1]:=$C5F6;map[ 6498][2]:=$B849;
map[ 6499][1]:=$C5F7;map[ 6499][2]:=$CBF2;
map[ 6500][1]:=$C5F8;map[ 6500][2]:=$CFEC;
map[ 6501][1]:=$C5F9;map[ 6501][2]:=$C552;
map[ 6502][1]:=$C5FA;map[ 6502][2]:=$A7E5;
map[ 6503][1]:=$C5FB;map[ 6503][2]:=$A9DC;
map[ 6504][1]:=$C5FC;map[ 6504][2]:=$BC41;
map[ 6505][1]:=$C5FD;map[ 6505][2]:=$B55C;
map[ 6506][1]:=$C5FE;map[ 6506][2]:=$AC73;
map[ 6507][1]:=$C642;map[ 6507][2]:=$F7EF;
map[ 6508][1]:=$C643;map[ 6508][2]:=$F8BB;
map[ 6509][1]:=$C645;map[ 6509][2]:=$DB5B;
map[ 6510][1]:=$C64A;map[ 6510][2]:=$CA4B;
map[ 6511][1]:=$C64B;map[ 6511][2]:=$CA4C;
map[ 6512][1]:=$C64D;map[ 6512][2]:=$CBA2;
map[ 6513][1]:=$C64E;map[ 6513][2]:=$CB7B;
map[ 6514][1]:=$C653;map[ 6514][2]:=$CB79;
map[ 6515][1]:=$C654;map[ 6515][2]:=$CB7E;
map[ 6516][1]:=$C655;map[ 6516][2]:=$D06A;
map[ 6517][1]:=$C658;map[ 6517][2]:=$CDB5;
map[ 6518][1]:=$C659;map[ 6518][2]:=$CDB7;
map[ 6519][1]:=$C65A;map[ 6519][2]:=$CDBC;
map[ 6520][1]:=$C65B;map[ 6520][2]:=$CDB2;
map[ 6521][1]:=$C65C;map[ 6521][2]:=$CDC6;
map[ 6522][1]:=$C65D;map[ 6522][2]:=$AAE6;
map[ 6523][1]:=$C65E;map[ 6523][2]:=$CDB9;
map[ 6524][1]:=$C660;map[ 6524][2]:=$CDB8;
map[ 6525][1]:=$C661;map[ 6525][2]:=$CDC5;
map[ 6526][1]:=$C662;map[ 6526][2]:=$CDBD;
map[ 6527][1]:=$C664;map[ 6527][2]:=$CDBB;
map[ 6528][1]:=$C666;map[ 6528][2]:=$CDB3;
map[ 6529][1]:=$C667;map[ 6529][2]:=$CDC2;
map[ 6530][1]:=$C668;map[ 6530][2]:=$CDC4;
map[ 6531][1]:=$C66D;map[ 6531][2]:=$D074;
map[ 6532][1]:=$C66E;map[ 6532][2]:=$D06B;
map[ 6533][1]:=$C673;map[ 6533][2]:=$D06F;
map[ 6534][1]:=$C675;map[ 6534][2]:=$D07E;
map[ 6535][1]:=$C676;map[ 6535][2]:=$D076;
map[ 6536][1]:=$C677;map[ 6536][2]:=$D0A5;
map[ 6537][1]:=$C679;map[ 6537][2]:=$D07D;
map[ 6538][1]:=$C67A;map[ 6538][2]:=$D078;
map[ 6539][1]:=$C67B;map[ 6539][2]:=$D0A4;
map[ 6540][1]:=$C67C;map[ 6540][2]:=$D079;
map[ 6541][1]:=$C67D;map[ 6541][2]:=$D07C;
map[ 6542][1]:=$C680;map[ 6542][2]:=$D0A3;
map[ 6543][1]:=$C683;map[ 6543][2]:=$D06C;
map[ 6544][1]:=$C685;map[ 6544][2]:=$D070;
map[ 6545][1]:=$C688;map[ 6545][2]:=$CE41;
map[ 6546][1]:=$C68C;map[ 6546][2]:=$D3A8;
map[ 6547][1]:=$C68E;map[ 6547][2]:=$D376;
map[ 6548][1]:=$C690;map[ 6548][2]:=$D3B2;
map[ 6549][1]:=$C692;map[ 6549][2]:=$D3AA;
map[ 6550][1]:=$C694;map[ 6550][2]:=$D37E;
map[ 6551][1]:=$C696;map[ 6551][2]:=$D3A9;
map[ 6552][1]:=$C697;map[ 6552][2]:=$D378;
map[ 6553][1]:=$C698;map[ 6553][2]:=$D37C;
map[ 6554][1]:=$C699;map[ 6554][2]:=$D3AD;
map[ 6555][1]:=$C69A;map[ 6555][2]:=$D3A4;
map[ 6556][1]:=$C69E;map[ 6556][2]:=$D3AB;
map[ 6557][1]:=$C69F;map[ 6557][2]:=$DB5C;
map[ 6558][1]:=$C6A1;map[ 6558][2]:=$B0E0;
map[ 6559][1]:=$C6A2;map[ 6559][2]:=$B5CA;
map[ 6560][1]:=$C6A3;map[ 6560][2]:=$AF68;
map[ 6561][1]:=$C6A4;map[ 6561][2]:=$A5D6;
map[ 6562][1]:=$C6A5;map[ 6562][2]:=$A4C7;
map[ 6563][1]:=$C6A6;map[ 6563][2]:=$B56C;
map[ 6564][1]:=$C6A7;map[ 6564][2]:=$BBF7;
map[ 6565][1]:=$C6A8;map[ 6565][2]:=$A7BE;
map[ 6566][1]:=$C6A9;map[ 6566][2]:=$C4B4;
map[ 6567][1]:=$C6AA;map[ 6567][2]:=$BD67;
map[ 6568][1]:=$C6AB;map[ 6568][2]:=$B0BE;
map[ 6569][1]:=$C6AC;map[ 6569][2]:=$A4F9;
map[ 6570][1]:=$C6AD;map[ 6570][2]:=$C446;
map[ 6571][1]:=$C6AE;map[ 6571][2]:=$C4C6;
map[ 6572][1]:=$C6AF;map[ 6572][2]:=$BA7D;
map[ 6573][1]:=$C6B0;map[ 6573][2]:=$BF5D;
map[ 6574][1]:=$C6B1;map[ 6574][2]:=$B2BC;
map[ 6575][1]:=$C6B2;map[ 6575][2]:=$BA4A;
map[ 6576][1]:=$C6B3;map[ 6576][2]:=$BF68;
map[ 6577][1]:=$C6B4;map[ 6577][2]:=$ABF7;
map[ 6578][1]:=$C6B5;map[ 6578][2]:=$C057;
map[ 6579][1]:=$C6B6;map[ 6579][2]:=$B368;
map[ 6580][1]:=$C6B7;map[ 6580][2]:=$AB7E;
map[ 6581][1]:=$C6B8;map[ 6581][2]:=$B875;
map[ 6582][1]:=$C6B9;map[ 6582][2]:=$A5E2;
map[ 6583][1]:=$C6BA;map[ 6583][2]:=$A957;
map[ 6584][1]:=$C6BB;map[ 6584][2]:=$C4AB;
map[ 6585][1]:=$C6BB;map[ 6585][2]:=$D06D;
map[ 6586][1]:=$C6BC;map[ 6586][2]:=$B5D3;
map[ 6587][1]:=$C6BD;map[ 6587][2]:=$A5AD;
map[ 6588][1]:=$C6BE;map[ 6588][2]:=$BECC;
map[ 6589][1]:=$C6BF;map[ 6589][2]:=$B27E;
map[ 6590][1]:=$C6C0;map[ 6590][2]:=$B5FB;
map[ 6591][1]:=$C6C1;map[ 6591][2]:=$ABCC;
map[ 6592][1]:=$C6C2;map[ 6592][2]:=$A959;
map[ 6593][1]:=$C6C3;map[ 6593][2]:=$BCE2;
map[ 6594][1]:=$C6C4;map[ 6594][2]:=$BBE1;
map[ 6595][1]:=$C6C5;map[ 6595][2]:=$B143;
map[ 6596][1]:=$C6C6;map[ 6596][2]:=$AF7D;
map[ 6597][1]:=$C6C7;map[ 6597][2]:=$BE7A;
map[ 6598][1]:=$C6C8;map[ 6598][2]:=$ADA2;
map[ 6599][1]:=$C6C9;map[ 6599][2]:=$B2CB;
map[ 6600][1]:=$C6CA;map[ 6600][2]:=$ADE5;
map[ 6601][1]:=$C6CB;map[ 6601][2]:=$BCB3;
map[ 6602][1]:=$C6CB;map[ 6602][2]:=$A5B7;
map[ 6603][1]:=$C6CC;map[ 6603][2]:=$BE51;
map[ 6604][1]:=$C6CC;map[ 6604][2]:=$E745;
map[ 6605][1]:=$C6CD;map[ 6605][2]:=$B9B2;
map[ 6606][1]:=$C6CD;map[ 6606][2]:=$A4B2;
map[ 6607][1]:=$C6CE;map[ 6607][2]:=$B340;
map[ 6608][1]:=$C6CF;map[ 6608][2]:=$B8B2;
map[ 6609][1]:=$C6D0;map[ 6609][2]:=$B5D0;
map[ 6610][1]:=$C6D1;map[ 6610][2]:=$BB5A;
map[ 6611][1]:=$C6D2;map[ 6611][2]:=$AE48;
map[ 6612][1]:=$C6D3;map[ 6612][2]:=$A6B5;
map[ 6613][1]:=$C6D3;map[ 6613][2]:=$BEEB;
map[ 6614][1]:=$C6D4;map[ 6614][2]:=$AE45;
map[ 6615][1]:=$C6D5;map[ 6615][2]:=$B4B6;
map[ 6616][1]:=$C6D6;map[ 6616][2]:=$AEFA;
map[ 6617][1]:=$C6D7;map[ 6617][2]:=$C3D0;
map[ 6618][1]:=$C6D8;map[ 6618][2]:=$C36E;
map[ 6619][1]:=$C6D9;map[ 6619][2]:=$C272;
map[ 6620][1]:=$C6DA;map[ 6620][2]:=$B4C1;
map[ 6621][1]:=$C6DB;map[ 6621][2]:=$B4DB;
map[ 6622][1]:=$C6DC;map[ 6622][2]:=$B4CF;
map[ 6623][1]:=$C6DC;map[ 6623][2]:=$D1E1;
map[ 6624][1]:=$C6DD;map[ 6624][2]:=$B1AD;
map[ 6625][1]:=$C6DD;map[ 6625][2]:=$BCA1;
map[ 6626][1]:=$C6DD;map[ 6626][2]:=$F364;
map[ 6627][1]:=$C6DE;map[ 6627][2]:=$A964;
map[ 6628][1]:=$C6DF;map[ 6628][2]:=$A443;
map[ 6629][1]:=$C6E0;map[ 6629][2]:=$B259;
map[ 6630][1]:=$C6E0;map[ 6630][2]:=$B17E;
map[ 6631][1]:=$C6E0;map[ 6631][2]:=$D0E2;
map[ 6632][1]:=$C6E1;map[ 6632][2]:=$BAA3;
map[ 6633][1]:=$C6E2;map[ 6633][2]:=$AC6D;
map[ 6634][1]:=$C6E3;map[ 6634][2]:=$CB50;
map[ 6635][1]:=$C6E4;map[ 6635][2]:=$A8E4;
map[ 6636][1]:=$C6E5;map[ 6636][2]:=$B4D1;
map[ 6637][1]:=$C6E6;map[ 6637][2]:=$A95F;
map[ 6638][1]:=$C6E7;map[ 6638][2]:=$AA5B;
map[ 6639][1]:=$C6E8;map[ 6639][2]:=$B2A5;
map[ 6640][1]:=$C6E9;map[ 6640][2]:=$B154;
map[ 6641][1]:=$C6EA;map[ 6641][2]:=$C2C0;
map[ 6642][1]:=$C6EB;map[ 6642][2]:=$BBF4;
map[ 6643][1]:=$C6EC;map[ 6643][2]:=$BA58;
map[ 6644][1]:=$C6EC;map[ 6644][2]:=$D1D2;
map[ 6645][1]:=$C6ED;map[ 6645][2]:=$ACE8;
map[ 6646][1]:=$C6EE;map[ 6646][2]:=$AAC2;
map[ 6647][1]:=$C6EF;map[ 6647][2]:=$C34D;
map[ 6648][1]:=$C6F0;map[ 6648][2]:=$B05F;
map[ 6649][1]:=$C6F1;map[ 6649][2]:=$B05A;
map[ 6650][1]:=$C6F2;map[ 6650][2]:=$A45E;
map[ 6651][1]:=$C6F3;map[ 6651][2]:=$A5F8;
map[ 6652][1]:=$C6F4;map[ 6652][2]:=$B1D2;
map[ 6653][1]:=$C6F5;map[ 6653][2]:=$ABB4;
map[ 6654][1]:=$C6F6;map[ 6654][2]:=$ACE4;
map[ 6655][1]:=$C6F7;map[ 6655][2]:=$BEB9;
map[ 6656][1]:=$C6F8;map[ 6656][2]:=$AEF0;
map[ 6657][1]:=$C6F8;map[ 6657][2]:=$C961;
map[ 6658][1]:=$C6F9;map[ 6658][2]:=$A8B4;
map[ 6659][1]:=$C6FA;map[ 6659][2]:=$B1F3;
map[ 6660][1]:=$C6FB;map[ 6660][2]:=$A854;
map[ 6661][1]:=$C6FC;map[ 6661][2]:=$AA5F;
map[ 6662][1]:=$C6FD;map[ 6662][2]:=$B057;
map[ 6663][1]:=$C6FE;map[ 6663][2]:=$D574;
map[ 6664][1]:=$C741;map[ 6664][2]:=$D37A;
map[ 6665][1]:=$C742;map[ 6665][2]:=$D37B;
map[ 6666][1]:=$C743;map[ 6666][2]:=$D3A1;
map[ 6667][1]:=$C744;map[ 6667][2]:=$D375;
map[ 6668][1]:=$C745;map[ 6668][2]:=$D3AF;
map[ 6669][1]:=$C746;map[ 6669][2]:=$D3B6;
map[ 6670][1]:=$C748;map[ 6670][2]:=$D3B4;
map[ 6671][1]:=$C749;map[ 6671][2]:=$D3B0;
map[ 6672][1]:=$C74A;map[ 6672][2]:=$D3A7;
map[ 6673][1]:=$C74B;map[ 6673][2]:=$D3A2;
map[ 6674][1]:=$C74C;map[ 6674][2]:=$D3B1;
map[ 6675][1]:=$C74E;map[ 6675][2]:=$D379;
map[ 6676][1]:=$C751;map[ 6676][2]:=$EE54;
map[ 6677][1]:=$C757;map[ 6677][2]:=$D75E;
map[ 6678][1]:=$C758;map[ 6678][2]:=$D760;
map[ 6679][1]:=$C759;map[ 6679][2]:=$D765;
map[ 6680][1]:=$C75A;map[ 6680][2]:=$D779;
map[ 6681][1]:=$C75C;map[ 6681][2]:=$D75D;
map[ 6682][1]:=$C75D;map[ 6682][2]:=$D76F;
map[ 6683][1]:=$C75E;map[ 6683][2]:=$D775;
map[ 6684][1]:=$C760;map[ 6684][2]:=$D762;
map[ 6685][1]:=$C762;map[ 6685][2]:=$D769;
map[ 6686][1]:=$C764;map[ 6686][2]:=$D777;
map[ 6687][1]:=$C765;map[ 6687][2]:=$D772;
map[ 6688][1]:=$C767;map[ 6688][2]:=$D76E;
map[ 6689][1]:=$C768;map[ 6689][2]:=$D76A;
map[ 6690][1]:=$C769;map[ 6690][2]:=$D75C;
map[ 6691][1]:=$C76A;map[ 6691][2]:=$D761;
map[ 6692][1]:=$C76B;map[ 6692][2]:=$D759;
map[ 6693][1]:=$C76D;map[ 6693][2]:=$D766;
map[ 6694][1]:=$C76E;map[ 6694][2]:=$D763;
map[ 6695][1]:=$C770;map[ 6695][2]:=$D773;
map[ 6696][1]:=$C771;map[ 6696][2]:=$D764;
map[ 6697][1]:=$C772;map[ 6697][2]:=$D77A;
map[ 6698][1]:=$C773;map[ 6698][2]:=$D76B;
map[ 6699][1]:=$C777;map[ 6699][2]:=$D75A;
map[ 6700][1]:=$C778;map[ 6700][2]:=$D75F;
map[ 6701][1]:=$C779;map[ 6701][2]:=$D770;
map[ 6702][1]:=$C77A;map[ 6702][2]:=$D776;
map[ 6703][1]:=$C77E;map[ 6703][2]:=$D778;
map[ 6704][1]:=$C780;map[ 6704][2]:=$D771;
map[ 6705][1]:=$C784;map[ 6705][2]:=$DB6C;
map[ 6706][1]:=$C785;map[ 6706][2]:=$DB7D;
map[ 6707][1]:=$C786;map[ 6707][2]:=$DBA7;
map[ 6708][1]:=$C787;map[ 6708][2]:=$DBAA;
map[ 6709][1]:=$C788;map[ 6709][2]:=$DB68;
map[ 6710][1]:=$C789;map[ 6710][2]:=$DB69;
map[ 6711][1]:=$C78A;map[ 6711][2]:=$DB77;
map[ 6712][1]:=$C78B;map[ 6712][2]:=$DB73;
map[ 6713][1]:=$C78D;map[ 6713][2]:=$DB74;
map[ 6714][1]:=$C78F;map[ 6714][2]:=$DBA4;
map[ 6715][1]:=$C792;map[ 6715][2]:=$DBA1;
map[ 6716][1]:=$C793;map[ 6716][2]:=$DBAC;
map[ 6717][1]:=$C794;map[ 6717][2]:=$DFC8;
map[ 6718][1]:=$C796;map[ 6718][2]:=$DBAF;
map[ 6719][1]:=$C797;map[ 6719][2]:=$DB7A;
map[ 6720][1]:=$C798;map[ 6720][2]:=$DBAD;
map[ 6721][1]:=$C799;map[ 6721][2]:=$DB6B;
map[ 6722][1]:=$C79A;map[ 6722][2]:=$DB64;
map[ 6723][1]:=$C79C;map[ 6723][2]:=$DB63;
map[ 6724][1]:=$C79D;map[ 6724][2]:=$DB61;
map[ 6725][1]:=$C79E;map[ 6725][2]:=$DB6A;
map[ 6726][1]:=$C79F;map[ 6726][2]:=$DBA8;
map[ 6727][1]:=$C7A1;map[ 6727][2]:=$ABEA;
map[ 6728][1]:=$C7A2;map[ 6728][2]:=$ACA2;
map[ 6729][1]:=$C7A3;map[ 6729][2]:=$B26F;
map[ 6730][1]:=$C7A4;map[ 6730][2]:=$C9E6;
map[ 6731][1]:=$C7A4;map[ 6731][2]:=$C9E7;
map[ 6732][1]:=$C7A6;map[ 6732][2]:=$B95D;
map[ 6733][1]:=$C7A7;map[ 6733][2]:=$A464;
map[ 6734][1]:=$C7A7;map[ 6734][2]:=$C648;
map[ 6735][1]:=$C7A8;map[ 6735][2]:=$BE45;
map[ 6736][1]:=$C7A9;map[ 6736][2]:=$C3B1;
map[ 6737][1]:=$C7A9;map[ 6737][2]:=$C5D2;
map[ 6738][1]:=$C7AA;map[ 6738][2]:=$A561;
map[ 6739][1]:=$C7AB;map[ 6739][2]:=$C1BE;
map[ 6740][1]:=$C7AD;map[ 6740][2]:=$C072;
map[ 6741][1]:=$C7AE;map[ 6741][2]:=$BFFA;
map[ 6742][1]:=$C7AF;map[ 6742][2]:=$B958;
map[ 6743][1]:=$C7B0;map[ 6743][2]:=$AB65;
map[ 6744][1]:=$C7B1;map[ 6744][2]:=$BCE7;
map[ 6745][1]:=$C7B2;map[ 6745][2]:=$BBBA;
map[ 6746][1]:=$C7B3;map[ 6746][2]:=$B24C;
map[ 6747][1]:=$C7B4;map[ 6747][2]:=$C4FE;
map[ 6748][1]:=$C7B5;map[ 6748][2]:=$B9D5;
map[ 6749][1]:=$C7B6;map[ 6749][2]:=$B44F;
map[ 6750][1]:=$C7B7;map[ 6750][2]:=$A4ED;
map[ 6751][1]:=$C7B8;map[ 6751][2]:=$BA70;
map[ 6752][1]:=$C7B9;map[ 6752][2]:=$BA6A;
map[ 6753][1]:=$C7BA;map[ 6753][2]:=$B6E6;
map[ 6754][1]:=$C7BB;map[ 6754][2]:=$B5C4;
map[ 6755][1]:=$C7BC;map[ 6755][2]:=$AACA;
map[ 6756][1]:=$C7BD;map[ 6756][2]:=$C0F0;
map[ 6757][1]:=$C7BE;map[ 6757][2]:=$C1A5;
map[ 6758][1]:=$C7BF;map[ 6758][2]:=$B16A;
map[ 6759][1]:=$C7BF;map[ 6759][2]:=$BECA;
map[ 6760][1]:=$C7C0;map[ 6760][2]:=$B76D;
map[ 6761][1]:=$C7C1;map[ 6761][2]:=$BEF5;
map[ 6762][1]:=$C7C2;map[ 6762][2]:=$C1EA;
map[ 6763][1]:=$C7C3;map[ 6763][2]:=$BA56;
map[ 6764][1]:=$C7C4;map[ 6764][2]:=$AEA8;
map[ 6765][1]:=$C7C5;map[ 6765][2]:=$BEF4;
map[ 6766][1]:=$C7C6;map[ 6766][2]:=$C140;
map[ 6767][1]:=$C7C7;map[ 6767][2]:=$B3EC;
map[ 6768][1]:=$C7C8;map[ 6768][2]:=$B9B4;
map[ 6769][1]:=$C7C9;map[ 6769][2]:=$A5A9;
map[ 6770][1]:=$C7CA;map[ 6770][2]:=$C054;
map[ 6771][1]:=$C7CB;map[ 6771][2]:=$BCC0;
map[ 6772][1]:=$C7CC;map[ 6772][2]:=$C2BC;
map[ 6773][1]:=$C7CD;map[ 6773][2]:=$AE6B;
map[ 6774][1]:=$C7CE;map[ 6774][2]:=$AB4E;
map[ 6775][1]:=$C7CF;map[ 6775][2]:=$C2AC;
map[ 6776][1]:=$C7D0;map[ 6776][2]:=$A4C1;
map[ 6777][1]:=$C7D1;map[ 6777][2]:=$AD58;
map[ 6778][1]:=$C7D2;map[ 6778][2]:=$A542;
map[ 6779][1]:=$C7D3;map[ 6779][2]:=$A9C4;
map[ 6780][1]:=$C7D4;map[ 6780][2]:=$C5D1;
map[ 6781][1]:=$C7D5;map[ 6781][2]:=$B4DC;
map[ 6782][1]:=$C7D6;map[ 6782][2]:=$AB49;
map[ 6783][1]:=$C7D7;map[ 6783][2]:=$BFCB;
map[ 6784][1]:=$C7D8;map[ 6784][2]:=$AFB3;
map[ 6785][1]:=$C7D9;map[ 6785][2]:=$B55E;
map[ 6786][1]:=$C7DA;map[ 6786][2]:=$B6D4;
map[ 6787][1]:=$C7DB;map[ 6787][2]:=$AAE0;
map[ 6788][1]:=$C7DC;map[ 6788][2]:=$BEE0;
map[ 6789][1]:=$C7DD;map[ 6789][2]:=$B856;
map[ 6790][1]:=$C7DE;map[ 6790][2]:=$B9EC;
map[ 6791][1]:=$C7DF;map[ 6791][2]:=$A847;
map[ 6792][1]:=$C7E0;map[ 6792][2]:=$AB43;
map[ 6793][1]:=$C7E1;map[ 6793][2]:=$BBB4;
map[ 6794][1]:=$C7E2;map[ 6794][2]:=$B242;
map[ 6795][1]:=$C7E3;map[ 6795][2]:=$B6C9;
map[ 6796][1]:=$C7E4;map[ 6796][2]:=$ADEB;
map[ 6797][1]:=$C7E5;map[ 6797][2]:=$B24D;
map[ 6798][1]:=$C7E6;map[ 6798][2]:=$C0BA;
map[ 6799][1]:=$C7E7;map[ 6799][2]:=$B4B8;
map[ 6800][1]:=$C7E8;map[ 6800][2]:=$D9E6;
map[ 6801][1]:=$C7E9;map[ 6801][2]:=$B1A1;
map[ 6802][1]:=$C7EA;map[ 6802][2]:=$B3BC;
map[ 6803][1]:=$C7EB;map[ 6803][2]:=$BDD0;
map[ 6804][1]:=$C7EC;map[ 6804][2]:=$BC79;
map[ 6805][1]:=$C7ED;map[ 6805][2]:=$C3A3;
map[ 6806][1]:=$C7EE;map[ 6806][2]:=$BD61;
map[ 6807][1]:=$C7EF;map[ 6807][2]:=$ACEE;
map[ 6808][1]:=$C7EF;map[ 6808][2]:=$C2FE;
map[ 6809][1]:=$C7F0;map[ 6809][2]:=$A543;
map[ 6810][1]:=$C7F1;map[ 6810][2]:=$AAF4;
map[ 6811][1]:=$C7F2;map[ 6811][2]:=$B279;
map[ 6812][1]:=$C7F2;map[ 6812][2]:=$B241;
map[ 6813][1]:=$C7F3;map[ 6813][2]:=$A844;
map[ 6814][1]:=$C7F4;map[ 6814][2]:=$A57D;
map[ 6815][1]:=$C7F5;map[ 6815][2]:=$ADA9;
map[ 6816][1]:=$C7F6;map[ 6816][2]:=$AA73;
map[ 6817][1]:=$C7F7;map[ 6817][2]:=$C1CD;
map[ 6818][1]:=$C7F8;map[ 6818][2]:=$B0CF;
map[ 6819][1]:=$C7F9;map[ 6819][2]:=$B349;
map[ 6820][1]:=$C7FA;map[ 6820][2]:=$A6B1;
map[ 6821][1]:=$C7FA;map[ 6821][2]:=$C454;
map[ 6822][1]:=$C7FB;map[ 6822][2]:=$C2DF;
map[ 6823][1]:=$C7FC;map[ 6823][2]:=$A97D;
map[ 6824][1]:=$C7FD;map[ 6824][2]:=$C558;
map[ 6825][1]:=$C7FD;map[ 6825][2]:=$E5BE;
map[ 6826][1]:=$C7FE;map[ 6826][2]:=$B4EB;
map[ 6827][1]:=$C840;map[ 6827][2]:=$DBA9;
map[ 6828][1]:=$C842;map[ 6828][2]:=$DB7E;
map[ 6829][1]:=$C844;map[ 6829][2]:=$DB76;
map[ 6830][1]:=$C845;map[ 6830][2]:=$DB66;
map[ 6831][1]:=$C847;map[ 6831][2]:=$DBA2;
map[ 6832][1]:=$C848;map[ 6832][2]:=$DBAB;
map[ 6833][1]:=$C849;map[ 6833][2]:=$DB65;
map[ 6834][1]:=$C84A;map[ 6834][2]:=$DBB0;
map[ 6835][1]:=$C84B;map[ 6835][2]:=$DB71;
map[ 6836][1]:=$C851;map[ 6836][2]:=$DB78;
map[ 6837][1]:=$C853;map[ 6837][2]:=$DB67;
map[ 6838][1]:=$C854;map[ 6838][2]:=$DB62;
map[ 6839][1]:=$C855;map[ 6839][2]:=$DBA6;
map[ 6840][1]:=$C85B;map[ 6840][2]:=$F4BD;
map[ 6841][1]:=$C85C;map[ 6841][2]:=$DBAE;
map[ 6842][1]:=$C862;map[ 6842][2]:=$DB5F;
map[ 6843][1]:=$C863;map[ 6843][2]:=$DFC7;
map[ 6844][1]:=$C865;map[ 6844][2]:=$DFDD;
map[ 6845][1]:=$C867;map[ 6845][2]:=$DFCC;
map[ 6846][1]:=$C869;map[ 6846][2]:=$DFCA;
map[ 6847][1]:=$C86A;map[ 6847][2]:=$DFB5;
map[ 6848][1]:=$C86B;map[ 6848][2]:=$DFC5;
map[ 6849][1]:=$C86C;map[ 6849][2]:=$DFD9;
map[ 6850][1]:=$C86D;map[ 6850][2]:=$DFC1;
map[ 6851][1]:=$C86F;map[ 6851][2]:=$DFD8;
map[ 6852][1]:=$C870;map[ 6852][2]:=$DFBF;
map[ 6853][1]:=$C871;map[ 6853][2]:=$DFCF;
map[ 6854][1]:=$C872;map[ 6854][2]:=$DFC0;
map[ 6855][1]:=$C873;map[ 6855][2]:=$DFD6;
map[ 6856][1]:=$C875;map[ 6856][2]:=$DFAA;
map[ 6857][1]:=$C876;map[ 6857][2]:=$DFB2;
map[ 6858][1]:=$C878;map[ 6858][2]:=$DFCB;
map[ 6859][1]:=$C879;map[ 6859][2]:=$DFC3;
map[ 6860][1]:=$C87A;map[ 6860][2]:=$DFDC;
map[ 6861][1]:=$C87B;map[ 6861][2]:=$DFC6;
map[ 6862][1]:=$C87C;map[ 6862][2]:=$DFD7;
map[ 6863][1]:=$C881;map[ 6863][2]:=$DFC9;
map[ 6864][1]:=$C882;map[ 6864][2]:=$DFD1;
map[ 6865][1]:=$C883;map[ 6865][2]:=$DFB6;
map[ 6866][1]:=$C884;map[ 6866][2]:=$DFD0;
map[ 6867][1]:=$C886;map[ 6867][2]:=$DFE1;
map[ 6868][1]:=$C889;map[ 6868][2]:=$DFDF;
map[ 6869][1]:=$C88B;map[ 6869][2]:=$DFAB;
map[ 6870][1]:=$C88D;map[ 6870][2]:=$DFBC;
map[ 6871][1]:=$C88E;map[ 6871][2]:=$DFBE;
map[ 6872][1]:=$C88F;map[ 6872][2]:=$DFCD;
map[ 6873][1]:=$C893;map[ 6873][2]:=$DFB0;
map[ 6874][1]:=$C895;map[ 6874][2]:=$DFB4;
map[ 6875][1]:=$C896;map[ 6875][2]:=$DFDA;
map[ 6876][1]:=$C898;map[ 6876][2]:=$DFE0;
map[ 6877][1]:=$C89A;map[ 6877][2]:=$DFCE;
map[ 6878][1]:=$C89C;map[ 6878][2]:=$DFBA;
map[ 6879][1]:=$C89E;map[ 6879][2]:=$DFAD;
map[ 6880][1]:=$C8A1;map[ 6880][2]:=$A8FA;
map[ 6881][1]:=$C8A2;map[ 6881][2]:=$B0F9;
map[ 6882][1]:=$C8A3;map[ 6882][2]:=$C654;
map[ 6883][1]:=$C8A4;map[ 6883][2]:=$BDEC;
map[ 6884][1]:=$C8A5;map[ 6884][2]:=$A568;
map[ 6885][1]:=$C8A6;map[ 6885][2]:=$B0E9;
map[ 6886][1]:=$C8A7;map[ 6886][2]:=$F9AF;
map[ 6887][1]:=$C8A8;map[ 6887][2]:=$C576;
map[ 6888][1]:=$C8A9;map[ 6888][2]:=$EEC7;
map[ 6889][1]:=$C8AA;map[ 6889][2]:=$AC75;
map[ 6890][1]:=$C8AB;map[ 6890][2]:=$A5FE;
map[ 6891][1]:=$C8AC;map[ 6891][2]:=$B2AC;
map[ 6892][1]:=$C8AD;map[ 6892][2]:=$AEB1;
map[ 6893][1]:=$C8AE;map[ 6893][2]:=$A4FC;
map[ 6894][1]:=$C8AF;map[ 6894][2]:=$A8E9;
map[ 6895][1]:=$C8B0;map[ 6895][2]:=$C455;
map[ 6896][1]:=$C8B1;map[ 6896][2]:=$AFCA;
map[ 6897][1]:=$C8B2;map[ 6897][2]:=$CD50;
map[ 6898][1]:=$C8B3;map[ 6898][2]:=$BF61;
map[ 6899][1]:=$C8B4;map[ 6899][2]:=$AB6F;
map[ 6900][1]:=$C8B5;map[ 6900][2]:=$C44E;
map[ 6901][1]:=$C8B6;map[ 6901][2]:=$BA65;
map[ 6902][1]:=$C8B7;map[ 6902][2]:=$BD54;
map[ 6903][1]:=$C8B7;map[ 6903][2]:=$DACC;
map[ 6904][1]:=$C8B8;map[ 6904][2]:=$B3B6;
map[ 6905][1]:=$C8B9;map[ 6905][2]:=$B8C8;
map[ 6906][1]:=$C8BA;map[ 6906][2]:=$B873;
map[ 6907][1]:=$C8BB;map[ 6907][2]:=$B54D;
map[ 6908][1]:=$C8BC;map[ 6908][2]:=$BF55;
map[ 6909][1]:=$C8BD;map[ 6909][2]:=$A554;
map[ 6910][1]:=$C8BE;map[ 6910][2]:=$AC56;
map[ 6911][1]:=$C8BF;map[ 6911][2]:=$C57B;
map[ 6912][1]:=$C8C0;map[ 6912][2]:=$C45B;
map[ 6913][1]:=$C8C1;map[ 6913][2]:=$C463;
map[ 6914][1]:=$C8C2;map[ 6914][2]:=$C457;
map[ 6915][1]:=$C8C3;map[ 6915][2]:=$C5FD;
map[ 6916][1]:=$C8C4;map[ 6916][2]:=$C4C7;
map[ 6917][1]:=$C8C5;map[ 6917][2]:=$C25A;
map[ 6918][1]:=$C8C5;map[ 6918][2]:=$CAF0;
map[ 6919][1]:=$C8C6;map[ 6919][2]:=$C2B6;
map[ 6920][1]:=$C8C7;map[ 6920][2]:=$B753;
map[ 6921][1]:=$C8C8;map[ 6921][2]:=$BCF6;
map[ 6922][1]:=$C8C9;map[ 6922][2]:=$A4D0;
map[ 6923][1]:=$C8CA;map[ 6923][2]:=$A4AF;
map[ 6924][1]:=$C8CB;map[ 6924][2]:=$A448;
map[ 6925][1]:=$C8CC;map[ 6925][2]:=$A7D4;
map[ 6926][1]:=$C8CD;map[ 6926][2]:=$B6B4;
map[ 6927][1]:=$C8CE;map[ 6927][2]:=$A5F4;
map[ 6928][1]:=$C8CF;map[ 6928][2]:=$BB7B;
map[ 6929][1]:=$C8D0;map[ 6929][2]:=$A462;
map[ 6930][1]:=$C8D1;map[ 6930][2]:=$A7B3;
map[ 6931][1]:=$C8D2;map[ 6931][2]:=$ACF7;
map[ 6932][1]:=$C8D3;map[ 6932][2]:=$A5B5;
map[ 6933][1]:=$C8D4;map[ 6933][2]:=$A4B4;
map[ 6934][1]:=$C8D5;map[ 6934][2]:=$A4E9;
map[ 6935][1]:=$C8D6;map[ 6935][2]:=$A6A5;
map[ 6936][1]:=$C8D7;map[ 6936][2]:=$AFF1;
map[ 6937][1]:=$C8D8;map[ 6937][2]:=$BB54;
map[ 6938][1]:=$C8D9;map[ 6938][2]:=$BA61;
map[ 6939][1]:=$C8DA;map[ 6939][2]:=$BFC4;
map[ 6940][1]:=$C8DB;map[ 6940][2]:=$BAB2;
map[ 6941][1]:=$C8DC;map[ 6941][2]:=$B7BB;
map[ 6942][1]:=$C8DD;map[ 6942][2]:=$AE65;
map[ 6943][1]:=$C8DE;map[ 6943][2]:=$B5B3;
map[ 6944][1]:=$C8DE;map[ 6944][2]:=$D243;
map[ 6945][1]:=$C8DE;map[ 6945][2]:=$DB41;
map[ 6946][1]:=$C8DF;map[ 6946][2]:=$A4BE;
map[ 6947][1]:=$C8E0;map[ 6947][2]:=$B47C;
map[ 6948][1]:=$C8E1;map[ 6948][2]:=$AC58;
map[ 6949][1]:=$C8E2;map[ 6949][2]:=$A6D7;
map[ 6950][1]:=$C8E3;map[ 6950][2]:=$AFF8;
map[ 6951][1]:=$C8E4;map[ 6951][2]:=$C4AF;
map[ 6952][1]:=$C8E5;map[ 6952][2]:=$BEA7;
map[ 6953][1]:=$C8E6;map[ 6953][2]:=$C0A9;
map[ 6954][1]:=$C8E7;map[ 6954][2]:=$A670;
map[ 6955][1]:=$C8E8;map[ 6955][2]:=$B064;
map[ 6956][1]:=$C8E9;map[ 6956][2]:=$A8C5;
map[ 6957][1]:=$C8EA;map[ 6957][2]:=$A6BC;
map[ 6958][1]:=$C8EB;map[ 6958][2]:=$A44A;
map[ 6959][1]:=$C8EC;map[ 6959][2]:=$BFC8;
map[ 6960][1]:=$C8ED;map[ 6960][2]:=$B36E;
map[ 6961][1]:=$C8EE;map[ 6961][2]:=$A8BF;
map[ 6962][1]:=$C8EF;map[ 6962][2]:=$BFB6;
map[ 6963][1]:=$C8F0;map[ 6963][2]:=$B7E7;
map[ 6964][1]:=$C8F1;map[ 6964][2]:=$BE55;
map[ 6965][1]:=$C8F2;map[ 6965][2]:=$B67C;
map[ 6966][1]:=$C8F3;map[ 6966][2]:=$BCED;
map[ 6967][1]:=$C8F4;map[ 6967][2]:=$AD59;
map[ 6968][1]:=$C8F5;map[ 6968][2]:=$AE7A;
map[ 6969][1]:=$C8F6;map[ 6969][2]:=$BCBB;
map[ 6970][1]:=$C8F7;map[ 6970][2]:=$C578;
map[ 6971][1]:=$C8F7;map[ 6971][2]:=$CF73;
map[ 6972][1]:=$C8F8;map[ 6972][2]:=$C2C4;
map[ 6973][1]:=$C8F9;map[ 6973][2]:=$B87C;
map[ 6974][1]:=$C8FA;map[ 6974][2]:=$C4CE;
map[ 6975][1]:=$C8FB;map[ 6975][2]:=$B6EB;
map[ 6976][1]:=$C8FC;map[ 6976][2]:=$C1C9;
map[ 6977][1]:=$C8FD;map[ 6977][2]:=$A454;
map[ 6978][1]:=$C940;map[ 6978][2]:=$DFB7;
map[ 6979][1]:=$C941;map[ 6979][2]:=$DFDB;
map[ 6980][1]:=$C948;map[ 6980][2]:=$DFB3;
map[ 6981][1]:=$C94A;map[ 6981][2]:=$DFAF;
map[ 6982][1]:=$C94B;map[ 6982][2]:=$DFAE;
map[ 6983][1]:=$C94D;map[ 6983][2]:=$E3D3;
map[ 6984][1]:=$C953;map[ 6984][2]:=$E3CA;
map[ 6985][1]:=$C954;map[ 6985][2]:=$E3BB;
map[ 6986][1]:=$C955;map[ 6986][2]:=$E3C5;
map[ 6987][1]:=$C956;map[ 6987][2]:=$E3BE;
map[ 6988][1]:=$C958;map[ 6988][2]:=$E3AF;
map[ 6989][1]:=$C959;map[ 6989][2]:=$E3CD;
map[ 6990][1]:=$C95A;map[ 6990][2]:=$E3C1;
map[ 6991][1]:=$C95C;map[ 6991][2]:=$E3AD;
map[ 6992][1]:=$C95F;map[ 6992][2]:=$E3BF;
map[ 6993][1]:=$C960;map[ 6993][2]:=$E3C8;
map[ 6994][1]:=$C961;map[ 6994][2]:=$E3C6;
map[ 6995][1]:=$C962;map[ 6995][2]:=$E3BA;
map[ 6996][1]:=$C963;map[ 6996][2]:=$E3B5;
map[ 6997][1]:=$C964;map[ 6997][2]:=$E3B3;
map[ 6998][1]:=$C966;map[ 6998][2]:=$E3B4;
map[ 6999][1]:=$C967;map[ 6999][2]:=$E3D2;
map[ 7000][1]:=$C968;map[ 7000][2]:=$E3BC;
map[ 7001][1]:=$C96B;map[ 7001][2]:=$E3CB;
map[ 7002][1]:=$C96D;map[ 7002][2]:=$E3C0;
map[ 7003][1]:=$C971;map[ 7003][2]:=$E3B2;
map[ 7004][1]:=$C973;map[ 7004][2]:=$DFD4;
map[ 7005][1]:=$C975;map[ 7005][2]:=$E3C3;
map[ 7006][1]:=$C978;map[ 7006][2]:=$E3C4;
map[ 7007][1]:=$C979;map[ 7007][2]:=$E3B1;
map[ 7008][1]:=$C97A;map[ 7008][2]:=$E3CC;
map[ 7009][1]:=$C97B;map[ 7009][2]:=$E3D0;
map[ 7010][1]:=$C97C;map[ 7010][2]:=$E3CF;
map[ 7011][1]:=$C97E;map[ 7011][2]:=$E3CE;
map[ 7012][1]:=$C983;map[ 7012][2]:=$E3D1;
map[ 7013][1]:=$C98A;map[ 7013][2]:=$E774;
map[ 7014][1]:=$C98B;map[ 7014][2]:=$E767;
map[ 7015][1]:=$C98C;map[ 7015][2]:=$E766;
map[ 7016][1]:=$C98D;map[ 7016][2]:=$E762;
map[ 7017][1]:=$C991;map[ 7017][2]:=$DFA9;
map[ 7018][1]:=$C992;map[ 7018][2]:=$E75F;
map[ 7019][1]:=$C993;map[ 7019][2]:=$E763;
map[ 7020][1]:=$C996;map[ 7020][2]:=$E770;
map[ 7021][1]:=$C997;map[ 7021][2]:=$E761;
map[ 7022][1]:=$C999;map[ 7022][2]:=$E777;
map[ 7023][1]:=$C99A;map[ 7023][2]:=$E75A;
map[ 7024][1]:=$C99B;map[ 7024][2]:=$E758;
map[ 7025][1]:=$C99D;map[ 7025][2]:=$E769;
map[ 7026][1]:=$C99E;map[ 7026][2]:=$E74F;
map[ 7027][1]:=$C9A0;map[ 7027][2]:=$E76D;
map[ 7028][1]:=$C9A1;map[ 7028][2]:=$B3CA;
map[ 7029][1]:=$C9A1;map[ 7029][2]:=$F06F;
map[ 7030][1]:=$C9A2;map[ 7030][2]:=$B4B2;
map[ 7031][1]:=$C9A3;map[ 7031][2]:=$AEE1;
map[ 7032][1]:=$C9A4;map[ 7032][2]:=$B6DA;
map[ 7033][1]:=$C9A5;map[ 7033][2]:=$B3E0;
map[ 7034][1]:=$C9A6;map[ 7034][2]:=$B76B;
map[ 7035][1]:=$C9A7;map[ 7035][2]:=$C4CC;
map[ 7036][1]:=$C9A8;map[ 7036][2]:=$B1BD;
map[ 7037][1]:=$C9A9;map[ 7037][2]:=$B741;
map[ 7038][1]:=$C9AA;map[ 7038][2]:=$B7E6;
map[ 7039][1]:=$C9AB;map[ 7039][2]:=$A6E2;
map[ 7040][1]:=$C9AC;map[ 7040][2]:=$C0DF;
map[ 7041][1]:=$C9AD;map[ 7041][2]:=$B4CB;
map[ 7042][1]:=$C9AE;map[ 7042][2]:=$B9AC;
map[ 7043][1]:=$C9AF;map[ 7043][2]:=$B2EF;
map[ 7044][1]:=$C9B0;map[ 7044][2]:=$ACE2;
map[ 7045][1]:=$C9B1;map[ 7045][2]:=$B1FE;
map[ 7046][1]:=$C9B3;map[ 7046][2]:=$A846;
map[ 7047][1]:=$C9B4;map[ 7047][2]:=$AFBD;
map[ 7048][1]:=$C9B5;map[ 7048][2]:=$B6CC;
map[ 7049][1]:=$C9B6;map[ 7049][2]:=$D4A3;
map[ 7050][1]:=$C9B7;map[ 7050][2]:=$B7D9;
map[ 7051][1]:=$C9B8;map[ 7051][2]:=$BF7A;
map[ 7052][1]:=$C9B9;map[ 7052][2]:=$C5CE;
map[ 7053][1]:=$C9B9;map[ 7053][2]:=$AECD;
map[ 7054][1]:=$C9BA;map[ 7054][2]:=$ACC0;
map[ 7055][1]:=$C9BB;map[ 7055][2]:=$D073;
map[ 7056][1]:=$C9BC;map[ 7056][2]:=$A7FC;
map[ 7057][1]:=$C9BD;map[ 7057][2]:=$A473;
map[ 7058][1]:=$C9BE;map[ 7058][2]:=$A752;
map[ 7059][1]:=$C9BF;map[ 7059][2]:=$BAB4;
map[ 7060][1]:=$C9C0;map[ 7060][2]:=$AD6D;
map[ 7061][1]:=$C9C1;map[ 7061][2]:=$B07B;
map[ 7062][1]:=$C9C2;map[ 7062][2]:=$B0A2;
map[ 7063][1]:=$C9C3;map[ 7063][2]:=$BED5;
map[ 7064][1]:=$C9C4;map[ 7064][2]:=$C4BA;
map[ 7065][1]:=$C9C5;map[ 7065][2]:=$BFAF;
map[ 7066][1]:=$C9C6;map[ 7066][2]:=$B5BD;
map[ 7067][1]:=$C9C7;map[ 7067][2]:=$A6C2;
map[ 7068][1]:=$C9C8;map[ 7068][2]:=$AEB0;
map[ 7069][1]:=$C9C9;map[ 7069][2]:=$C2B5;
map[ 7070][1]:=$C9CB;map[ 7070][2]:=$B6CB;
map[ 7071][1]:=$C9CC;map[ 7071][2]:=$B0D3;
map[ 7072][1]:=$C9CD;map[ 7072][2]:=$BDE0;
map[ 7073][1]:=$C9CE;map[ 7073][2]:=$AECE;
map[ 7074][1]:=$C9CF;map[ 7074][2]:=$A457;
map[ 7075][1]:=$C9D0;map[ 7075][2]:=$A97C;
map[ 7076][1]:=$C9D1;map[ 7076][2]:=$BB6E;
map[ 7077][1]:=$C9D2;map[ 7077][2]:=$B1E9;
map[ 7078][1]:=$C9D3;map[ 7078][2]:=$AEB4;
map[ 7079][1]:=$C9D4;map[ 7079][2]:=$B579;
map[ 7080][1]:=$C9D5;map[ 7080][2]:=$BF4E;
map[ 7081][1]:=$C9D6;map[ 7081][2]:=$A8A2;
map[ 7082][1]:=$C9D7;map[ 7082][2]:=$A463;
map[ 7083][1]:=$C9D8;map[ 7083][2]:=$BBE0;
map[ 7084][1]:=$C9D9;map[ 7084][2]:=$A4D6;
map[ 7085][1]:=$C9DA;map[ 7085][2]:=$ADEF;
map[ 7086][1]:=$C9DB;map[ 7086][2]:=$AAF2;
map[ 7087][1]:=$C9DC;map[ 7087][2]:=$B2D0;
map[ 7088][1]:=$C9DD;map[ 7088][2]:=$B0F8;
map[ 7089][1]:=$C9DE;map[ 7089][2]:=$BBAD;
map[ 7090][1]:=$C9DF;map[ 7090][2]:=$B344;
map[ 7091][1]:=$C9E0;map[ 7091][2]:=$A6DE;
map[ 7092][1]:=$C9E1;map[ 7092][2]:=$AAD9;
map[ 7093][1]:=$C9E1;map[ 7093][2]:=$B1CB;
map[ 7094][1]:=$C9E2;map[ 7094][2]:=$B36A;
map[ 7095][1]:=$C9E3;map[ 7095][2]:=$C4E1;
map[ 7096][1]:=$C9E4;map[ 7096][2]:=$AE67;
map[ 7097][1]:=$C9E5;map[ 7097][2]:=$C4E0;
map[ 7098][1]:=$C9E5;map[ 7098][2]:=$E1CD;
map[ 7099][1]:=$C9E6;map[ 7099][2]:=$AF41;
map[ 7100][1]:=$C9E7;map[ 7100][2]:=$AAC0;
map[ 7101][1]:=$C9E8;map[ 7101][2]:=$B35D;
map[ 7102][1]:=$C9E9;map[ 7102][2]:=$AF7E;
map[ 7103][1]:=$C9EA;map[ 7103][2]:=$A5D3;
map[ 7104][1]:=$C9EB;map[ 7104][2]:=$A944;
map[ 7105][1]:=$C9EC;map[ 7105][2]:=$A6F9;
map[ 7106][1]:=$C9ED;map[ 7106][2]:=$A8AD;
map[ 7107][1]:=$C9EE;map[ 7107][2]:=$B260;
map[ 7108][1]:=$C9EF;map[ 7108][2]:=$AE57;
map[ 7109][1]:=$C9F0;map[ 7109][2]:=$B2D4;
map[ 7110][1]:=$C9F1;map[ 7110][2]:=$AFAB;
map[ 7111][1]:=$C9F3;map[ 7111][2]:=$BC66;
map[ 7112][1]:=$C9F3;map[ 7112][2]:=$F75A;
map[ 7113][1]:=$C9F4;map[ 7113][2]:=$C254;
map[ 7114][1]:=$C9F5;map[ 7114][2]:=$ACC6;
map[ 7115][1]:=$C9F6;map[ 7115][2]:=$B5C7;
map[ 7116][1]:=$C9F7;map[ 7116][2]:=$B756;
map[ 7117][1]:=$C9F8;map[ 7117][2]:=$BAAF;
map[ 7118][1]:=$C9F9;map[ 7118][2]:=$C16E;
map[ 7119][1]:=$C9FA;map[ 7119][2]:=$A5CD;
map[ 7120][1]:=$C9FB;map[ 7120][2]:=$B563;
map[ 7121][1]:=$C9FC;map[ 7121][2]:=$ACB9;
map[ 7122][1]:=$C9FD;map[ 7122][2]:=$A4C9;
map[ 7123][1]:=$C9FD;map[ 7123][2]:=$AA40;
map[ 7124][1]:=$C9FD;map[ 7124][2]:=$B0A5;
map[ 7125][1]:=$C9FE;map[ 7125][2]:=$C3B7;
map[ 7126][1]:=$CA44;map[ 7126][2]:=$DFBD;
map[ 7127][1]:=$CA45;map[ 7127][2]:=$E75B;
map[ 7128][1]:=$CA46;map[ 7128][2]:=$E752;
map[ 7129][1]:=$CA47;map[ 7129][2]:=$E755;
map[ 7130][1]:=$CA48;map[ 7130][2]:=$E77B;
map[ 7131][1]:=$CA49;map[ 7131][2]:=$E753;
map[ 7132][1]:=$CA4A;map[ 7132][2]:=$E751;
map[ 7133][1]:=$CA4B;map[ 7133][2]:=$E74E;
map[ 7134][1]:=$CA4D;map[ 7134][2]:=$E765;
map[ 7135][1]:=$CA4F;map[ 7135][2]:=$E760;
map[ 7136][1]:=$CA50;map[ 7136][2]:=$E768;
map[ 7137][1]:=$CA51;map[ 7137][2]:=$E778;
map[ 7138][1]:=$CA52;map[ 7138][2]:=$E77C;
map[ 7139][1]:=$CA54;map[ 7139][2]:=$E757;
map[ 7140][1]:=$CA55;map[ 7140][2]:=$E76B;
map[ 7141][1]:=$CA57;map[ 7141][2]:=$E779;
map[ 7142][1]:=$CA5A;map[ 7142][2]:=$E74C;
map[ 7143][1]:=$CA5D;map[ 7143][2]:=$E756;
map[ 7144][1]:=$CA5E;map[ 7144][2]:=$E76A;
map[ 7145][1]:=$CA5F;map[ 7145][2]:=$E750;
map[ 7146][1]:=$CA60;map[ 7146][2]:=$E75E;
map[ 7147][1]:=$CA62;map[ 7147][2]:=$E76C;
map[ 7148][1]:=$CA63;map[ 7148][2]:=$E77D;
map[ 7149][1]:=$CA64;map[ 7149][2]:=$E77A;
map[ 7150][1]:=$CA65;map[ 7150][2]:=$E771;
map[ 7151][1]:=$CA6B;map[ 7151][2]:=$EB49;
map[ 7152][1]:=$CA6D;map[ 7152][2]:=$EB40;
map[ 7153][1]:=$CA70;map[ 7153][2]:=$EB45;
map[ 7154][1]:=$CA71;map[ 7154][2]:=$EAF9;
map[ 7155][1]:=$CA73;map[ 7155][2]:=$EB47;
map[ 7156][1]:=$CA76;map[ 7156][2]:=$EAFB;
map[ 7157][1]:=$CA7A;map[ 7157][2]:=$EB46;
map[ 7158][1]:=$CA7D;map[ 7158][2]:=$EB55;
map[ 7159][1]:=$CA80;map[ 7159][2]:=$EE46;
map[ 7160][1]:=$CA83;map[ 7160][2]:=$EB4A;
map[ 7161][1]:=$CA85;map[ 7161][2]:=$EB54;
map[ 7162][1]:=$CA87;map[ 7162][2]:=$EB51;
map[ 7163][1]:=$CA88;map[ 7163][2]:=$EAFD;
map[ 7164][1]:=$CA8A;map[ 7164][2]:=$EB48;
map[ 7165][1]:=$CA8B;map[ 7165][2]:=$EB56;
map[ 7166][1]:=$CA8C;map[ 7166][2]:=$EB53;
map[ 7167][1]:=$CA8D;map[ 7167][2]:=$EB50;
map[ 7168][1]:=$CA90;map[ 7168][2]:=$EAFA;
map[ 7169][1]:=$CA91;map[ 7169][2]:=$EB57;
map[ 7170][1]:=$CA93;map[ 7170][2]:=$EB4D;
map[ 7171][1]:=$CA96;map[ 7171][2]:=$EB4B;
map[ 7172][1]:=$CA98;map[ 7172][2]:=$EB4E;
map[ 7173][1]:=$CA99;map[ 7173][2]:=$EE53;
map[ 7174][1]:=$CA9B;map[ 7174][2]:=$EE45;
map[ 7175][1]:=$CA9C;map[ 7175][2]:=$EE41;
map[ 7176][1]:=$CA9F;map[ 7176][2]:=$EDF4;
map[ 7177][1]:=$CAA0;map[ 7177][2]:=$EE4D;
map[ 7178][1]:=$CAA1;map[ 7178][2]:=$ACD9;
map[ 7179][1]:=$CAA2;map[ 7179][2]:=$B2B1;
map[ 7180][1]:=$CAA3;map[ 7180][2]:=$B3D1;
map[ 7181][1]:=$CAA3;map[ 7181][2]:=$C1CB;
map[ 7182][1]:=$CAA4;map[ 7182][2]:=$B3D3;
map[ 7183][1]:=$CAA4;map[ 7183][2]:=$D060;
map[ 7184][1]:=$CAA5;map[ 7184][2]:=$B874;
map[ 7185][1]:=$CAA5;map[ 7185][2]:=$C96F;
map[ 7186][1]:=$CAA6;map[ 7186][2]:=$AE76;
map[ 7187][1]:=$CAA7;map[ 7187][2]:=$A5A2;
map[ 7188][1]:=$CAA8;map[ 7188][2]:=$B7E0;
map[ 7189][1]:=$CAA9;map[ 7189][2]:=$AC49;
map[ 7190][1]:=$CAAA;map[ 7190][2]:=$C0E3;
map[ 7191][1]:=$CAAA;map[ 7191][2]:=$B7C3;
map[ 7192][1]:=$CAAB;map[ 7192][2]:=$B8D6;
map[ 7193][1]:=$CAAC;map[ 7193][2]:=$ABCD;
map[ 7194][1]:=$CAAC;map[ 7194][2]:=$A472;
map[ 7195][1]:=$CAAD;map[ 7195][2]:=$BDBE;
map[ 7196][1]:=$CAAD;map[ 7196][2]:=$AAEB;
map[ 7197][1]:=$CAAE;map[ 7197][2]:=$A2CC;
map[ 7198][1]:=$CAAE;map[ 7198][2]:=$A451;
map[ 7199][1]:=$CAAF;map[ 7199][2]:=$A5DB;
map[ 7200][1]:=$CAB0;map[ 7200][2]:=$AC42;
map[ 7201][1]:=$CAB1;map[ 7201][2]:=$AEC9;
map[ 7202][1]:=$CAB2;map[ 7202][2]:=$A4B0;
map[ 7203][1]:=$CAB3;map[ 7203][2]:=$ADB9;
map[ 7204][1]:=$CAB4;map[ 7204][2]:=$BB6B;
map[ 7205][1]:=$CAB5;map[ 7205][2]:=$B9EA;
map[ 7206][1]:=$CAB6;map[ 7206][2]:=$C3D1;
map[ 7207][1]:=$CAB7;map[ 7207][2]:=$A576;
map[ 7208][1]:=$CAB8;map[ 7208][2]:=$A5DA;
map[ 7209][1]:=$CAB9;map[ 7209][2]:=$A8CF;
map[ 7210][1]:=$CABA;map[ 7210][2]:=$ABCB;
map[ 7211][1]:=$CABB;map[ 7211][2]:=$BE70;
map[ 7212][1]:=$CABC;map[ 7212][2]:=$A96C;
map[ 7213][1]:=$CABD;map[ 7213][2]:=$A6A1;
map[ 7214][1]:=$CABE;map[ 7214][2]:=$A5DC;
map[ 7215][1]:=$CABF;map[ 7215][2]:=$A468;
map[ 7216][1]:=$CAC0;map[ 7216][2]:=$A540;
map[ 7217][1]:=$CAC1;map[ 7217][2]:=$AC55;
map[ 7218][1]:=$CAC2;map[ 7218][2]:=$A8C6;
map[ 7219][1]:=$CAC3;map[ 7219][2]:=$ABF8;
map[ 7220][1]:=$CAC4;map[ 7220][2]:=$BB7D;
map[ 7221][1]:=$CAC5;map[ 7221][2]:=$B375;
map[ 7222][1]:=$CAC6;map[ 7222][2]:=$B6D5;
map[ 7223][1]:=$CAC7;map[ 7223][2]:=$AC4F;
map[ 7224][1]:=$CAC8;map[ 7224][2]:=$B6DD;
map[ 7225][1]:=$CAC9;map[ 7225][2]:=$BEBD;
map[ 7226][1]:=$CACA;map[ 7226][2]:=$BE41;
map[ 7227][1]:=$CACA;map[ 7227][2]:=$D3EC;
map[ 7228][1]:=$CACB;map[ 7228][2]:=$A54B;
map[ 7229][1]:=$CACC;map[ 7229][2]:=$A8CD;
map[ 7230][1]:=$CACD;map[ 7230][2]:=$C4C0;
map[ 7231][1]:=$CACE;map[ 7231][2]:=$B9A2;
map[ 7232][1]:=$CACF;map[ 7232][2]:=$A4F3;
map[ 7233][1]:=$CAD0;map[ 7233][2]:=$A5AB;
map[ 7234][1]:=$CAD1;map[ 7234][2]:=$ABEE;
map[ 7235][1]:=$CAD2;map[ 7235][2]:=$ABC7;
map[ 7236][1]:=$CAD3;map[ 7236][2]:=$B5F8;
map[ 7237][1]:=$CAD4;map[ 7237][2]:=$B8D5;
map[ 7238][1]:=$CAD5;map[ 7238][2]:=$A6AC;
map[ 7239][1]:=$CAD6;map[ 7239][2]:=$A4E2;
map[ 7240][1]:=$CAD7;map[ 7240][2]:=$ADBA;
map[ 7241][1]:=$CAD8;map[ 7241][2]:=$A675;
map[ 7242][1]:=$CAD9;map[ 7242][2]:=$B9D8;
map[ 7243][1]:=$CADA;map[ 7243][2]:=$B1C2;
map[ 7244][1]:=$CADB;map[ 7244][2]:=$B0E2;
map[ 7245][1]:=$CADC;map[ 7245][2]:=$A8FC;
map[ 7246][1]:=$CADD;map[ 7246][2]:=$BD47;
map[ 7247][1]:=$CADE;map[ 7247][2]:=$C37E;
map[ 7248][1]:=$CADF;map[ 7248][2]:=$BDAD;
map[ 7249][1]:=$CAE0;map[ 7249][2]:=$BCCF;
map[ 7250][1]:=$CAE1;map[ 7250][2]:=$AEDE;
map[ 7251][1]:=$CAE2;map[ 7251][2]:=$AEED;
map[ 7252][1]:=$CAE3;map[ 7252][2]:=$A7E7;
map[ 7253][1]:=$CAE4;map[ 7253][2]:=$BFE9;
map[ 7254][1]:=$CAE5;map[ 7254][2]:=$A8FB;
map[ 7255][1]:=$CAE6;map[ 7255][2]:=$B5CE;
map[ 7256][1]:=$CAE7;map[ 7256][2]:=$B251;
map[ 7257][1]:=$CAE8;map[ 7257][2]:=$B2A8;
map[ 7258][1]:=$CAE9;map[ 7258][2]:=$AED1;
map[ 7259][1]:=$CAEA;map[ 7259][2]:=$C5AB;
map[ 7260][1]:=$CAEB;map[ 7260][2]:=$B145;
map[ 7261][1]:=$CAEC;map[ 7261][2]:=$BCF4;
map[ 7262][1]:=$CAED;map[ 7262][2]:=$C1A6;
map[ 7263][1]:=$CAEE;map[ 7263][2]:=$B4BB;
map[ 7264][1]:=$CAEF;map[ 7264][2]:=$C0C6;
map[ 7265][1]:=$CAF0;map[ 7265][2]:=$B870;
map[ 7266][1]:=$CAF1;map[ 7266][2]:=$B8BE;
map[ 7267][1]:=$CAF2;map[ 7267][2]:=$B6C1;
map[ 7268][1]:=$CAF3;map[ 7268][2]:=$B9AB;
map[ 7269][1]:=$CAF4;map[ 7269][2]:=$C4DD;
map[ 7270][1]:=$CAF5;map[ 7270][2]:=$B34E;
map[ 7271][1]:=$CAF6;map[ 7271][2]:=$AD7A;
map[ 7272][1]:=$CAF7;map[ 7272][2]:=$BEF0;
map[ 7273][1]:=$CAF8;map[ 7273][2]:=$A7F4;
map[ 7274][1]:=$CAF9;map[ 7274][2]:=$A6A7;
map[ 7275][1]:=$CAFA;map[ 7275][2]:=$BDDD;
map[ 7276][1]:=$CAFB;map[ 7276][2]:=$B9D6;
map[ 7277][1]:=$CAFC;map[ 7277][2]:=$B166;
map[ 7278][1]:=$CAFD;map[ 7278][2]:=$BCC6;
map[ 7279][1]:=$CAFE;map[ 7279][2]:=$BAA4;
map[ 7280][1]:=$CB40;map[ 7280][2]:=$EE4F;
map[ 7281][1]:=$CB41;map[ 7281][2]:=$EDF3;
map[ 7282][1]:=$CB42;map[ 7282][2]:=$EE49;
map[ 7283][1]:=$CB44;map[ 7283][2]:=$EE42;
map[ 7284][1]:=$CB46;map[ 7284][2]:=$EDF9;
map[ 7285][1]:=$CB48;map[ 7285][2]:=$EE4A;
map[ 7286][1]:=$CB49;map[ 7286][2]:=$EE47;
map[ 7287][1]:=$CB4A;map[ 7287][2]:=$EE55;
map[ 7288][1]:=$CB4F;map[ 7288][2]:=$EDF7;
map[ 7289][1]:=$CB50;map[ 7289][2]:=$EE48;
map[ 7290][1]:=$CB53;map[ 7290][2]:=$EE4B;
map[ 7291][1]:=$CB54;map[ 7291][2]:=$EDFD;
map[ 7292][1]:=$CB55;map[ 7292][2]:=$EE4C;
map[ 7293][1]:=$CB56;map[ 7293][2]:=$EDFE;
map[ 7294][1]:=$CB58;map[ 7294][2]:=$EDF8;
map[ 7295][1]:=$CB59;map[ 7295][2]:=$EE43;
map[ 7296][1]:=$CB5A;map[ 7296][2]:=$EE4E;
map[ 7297][1]:=$CB5B;map[ 7297][2]:=$EDFA;
map[ 7298][1]:=$CB5E;map[ 7298][2]:=$EDF6;
map[ 7299][1]:=$CB63;map[ 7299][2]:=$F0B3;
map[ 7300][1]:=$CB65;map[ 7300][2]:=$F0A9;
map[ 7301][1]:=$CB66;map[ 7301][2]:=$F0A4;
map[ 7302][1]:=$CB67;map[ 7302][2]:=$F0AA;
map[ 7303][1]:=$CB68;map[ 7303][2]:=$F0B4;
map[ 7304][1]:=$CB69;map[ 7304][2]:=$F0B7;
map[ 7305][1]:=$CB6D;map[ 7305][2]:=$F0AB;
map[ 7306][1]:=$CB6E;map[ 7306][2]:=$F0B9;
map[ 7307][1]:=$CB6F;map[ 7307][2]:=$F0AE;
map[ 7308][1]:=$CB70;map[ 7308][2]:=$F0A6;
map[ 7309][1]:=$CB71;map[ 7309][2]:=$F0A8;
map[ 7310][1]:=$CB72;map[ 7310][2]:=$F0A7;
map[ 7311][1]:=$CB73;map[ 7311][2]:=$F0AD;
map[ 7312][1]:=$CB74;map[ 7312][2]:=$F0B2;
map[ 7313][1]:=$CB75;map[ 7313][2]:=$F0A5;
map[ 7314][1]:=$CB76;map[ 7314][2]:=$F0AC;
map[ 7315][1]:=$CB77;map[ 7315][2]:=$F0B1;
map[ 7316][1]:=$CB79;map[ 7316][2]:=$F0AF;
map[ 7317][1]:=$CB7D;map[ 7317][2]:=$F2D5;
map[ 7318][1]:=$CB7E;map[ 7318][2]:=$F0B5;
map[ 7319][1]:=$CB82;map[ 7319][2]:=$F2CD;
map[ 7320][1]:=$CB83;map[ 7320][2]:=$F2D1;
map[ 7321][1]:=$CB84;map[ 7321][2]:=$F2C9;
map[ 7322][1]:=$CB85;map[ 7322][2]:=$F2CC;
map[ 7323][1]:=$CB88;map[ 7323][2]:=$F2D9;
map[ 7324][1]:=$CB89;map[ 7324][2]:=$F2D2;
map[ 7325][1]:=$CB8B;map[ 7325][2]:=$F2CA;
map[ 7326][1]:=$CB8C;map[ 7326][2]:=$F2DA;
map[ 7327][1]:=$CB8D;map[ 7327][2]:=$F2D3;
map[ 7328][1]:=$CB8F;map[ 7328][2]:=$F2D7;
map[ 7329][1]:=$CB91;map[ 7329][2]:=$F2CB;
map[ 7330][1]:=$CB93;map[ 7330][2]:=$F2C6;
map[ 7331][1]:=$CB94;map[ 7331][2]:=$F2CE;
map[ 7332][1]:=$CB95;map[ 7332][2]:=$F2C8;
map[ 7333][1]:=$CB97;map[ 7333][2]:=$F2D8;
map[ 7334][1]:=$CB98;map[ 7334][2]:=$F2D6;
map[ 7335][1]:=$CB99;map[ 7335][2]:=$F2C7;
map[ 7336][1]:=$CB9A;map[ 7336][2]:=$F2CF;
map[ 7337][1]:=$CB9F;map[ 7337][2]:=$C3C5;
map[ 7338][1]:=$CBA0;map[ 7338][2]:=$F2D0;
map[ 7339][1]:=$CBA1;map[ 7339][2]:=$AEA4;
map[ 7340][1]:=$CBA2;map[ 7340][2]:=$A8EA;
map[ 7341][1]:=$CBA3;map[ 7341][2]:=$AD41;
map[ 7342][1]:=$CBA4;map[ 7342][2]:=$BA4C;
map[ 7343][1]:=$CBA5;map[ 7343][2]:=$B049;
map[ 7344][1]:=$CBA6;map[ 7344][2]:=$A5CF;
map[ 7345][1]:=$CBA7;map[ 7345][2]:=$ABD3;
map[ 7346][1]:=$CBA8;map[ 7346][2]:=$AEEA;
map[ 7347][1]:=$CBA9;map[ 7347][2]:=$AC43;
map[ 7348][1]:=$CBAA;map[ 7348][2]:=$C1F7;
map[ 7349][1]:=$CBAB;map[ 7349][2]:=$C2F9;
map[ 7350][1]:=$CBAC;map[ 7350][2]:=$B26E;
map[ 7351][1]:=$CBAD;map[ 7351][2]:=$BDD6;
map[ 7352][1]:=$CBAE;map[ 7352][2]:=$A4F4;
map[ 7353][1]:=$CBAF;map[ 7353][2]:=$BACE;
map[ 7354][1]:=$CBB0;map[ 7354][2]:=$B57C;
map[ 7355][1]:=$CBB1;map[ 7355][2]:=$A76D;
map[ 7356][1]:=$CBB2;map[ 7356][2]:=$C0FE;
map[ 7357][1]:=$CBB3;map[ 7357][2]:=$B6B6;
map[ 7358][1]:=$CBB4;map[ 7358][2]:=$B5CF;
map[ 7359][1]:=$CBB5;map[ 7359][2]:=$BBA1;
map[ 7360][1]:=$CBB6;map[ 7360][2]:=$BAD3;
map[ 7361][1]:=$CBB7;map[ 7361][2]:=$AED2;
map[ 7362][1]:=$CBB8;map[ 7362][2]:=$C37B;
map[ 7363][1]:=$CBB9;map[ 7363][2]:=$B4B5;
map[ 7364][1]:=$CBBA;map[ 7364][2]:=$BCB9;
map[ 7365][1]:=$CBBB;map[ 7365][2]:=$BC52;
map[ 7366][1]:=$CBBC;map[ 7366][2]:=$ABE4;
map[ 7367][1]:=$CBBD;map[ 7367][2]:=$A870;
map[ 7368][1]:=$CBBE;map[ 7368][2]:=$A571;
map[ 7369][1]:=$CBBF;map[ 7369][2]:=$B5B7;
map[ 7370][1]:=$CBC0;map[ 7370][2]:=$A6BA;
map[ 7371][1]:=$CBC1;map[ 7371][2]:=$B876;
map[ 7372][1]:=$CBC2;map[ 7372][2]:=$A678;
map[ 7373][1]:=$CBC3;map[ 7373][2]:=$B6E0;
map[ 7374][1]:=$CBC4;map[ 7374][2]:=$A57C;
map[ 7375][1]:=$CBC5;map[ 7375][2]:=$A6F8;
map[ 7376][1]:=$CBC6;map[ 7376][2]:=$A6FC;
map[ 7377][1]:=$CBC7;map[ 7377][2]:=$B97D;
map[ 7378][1]:=$CBC8;map[ 7378][2]:=$A478;
map[ 7379][1]:=$CBC9;map[ 7379][2]:=$AA51;
map[ 7380][1]:=$CBC9;map[ 7380][2]:=$C350;
map[ 7381][1]:=$CBCA;map[ 7381][2]:=$C171;
map[ 7382][1]:=$CBCB;map[ 7382][2]:=$BCA3;
map[ 7383][1]:=$CBCC;map[ 7383][2]:=$B97C;
map[ 7384][1]:=$CBCD;map[ 7384][2]:=$B065;
map[ 7385][1]:=$CBCE;map[ 7385][2]:=$A7BA;
map[ 7386][1]:=$CBCF;map[ 7386][2]:=$B35E;
map[ 7387][1]:=$CBD0;map[ 7387][2]:=$BB77;
map[ 7388][1]:=$CBD1;map[ 7388][2]:=$B76A;
map[ 7389][1]:=$CBD1;map[ 7389][2]:=$BB60;
map[ 7390][1]:=$CBD2;map[ 7390][2]:=$BFB4;
map[ 7391][1]:=$CBD3;map[ 7391][2]:=$C25D;
map[ 7392][1]:=$CBD4;map[ 7392][2]:=$B9C2;
map[ 7393][1]:=$CBD5;map[ 7393][2]:=$C4AC;
map[ 7394][1]:=$CBD5;map[ 7394][2]:=$B564;
map[ 7395][1]:=$CBD5;map[ 7395][2]:=$C5C8;
map[ 7396][1]:=$CBD6;map[ 7396][2]:=$B670;
map[ 7397][1]:=$CBD7;map[ 7397][2]:=$AB55;
map[ 7398][1]:=$CBD8;map[ 7398][2]:=$AFC0;
map[ 7399][1]:=$CBD9;map[ 7399][2]:=$B374;
map[ 7400][1]:=$CBDA;map[ 7400][2]:=$B5AF;
map[ 7401][1]:=$CBDB;map[ 7401][2]:=$E0F4;
map[ 7402][1]:=$CBDC;map[ 7402][2]:=$B6EC;
map[ 7403][1]:=$CBDD;map[ 7403][2]:=$B7B9;
map[ 7404][1]:=$CBDE;map[ 7404][2]:=$B14A;
map[ 7405][1]:=$CBDF;map[ 7405][2]:=$B644;
map[ 7406][1]:=$CBE0;map[ 7406][2]:=$B5C2;
map[ 7407][1]:=$CBE1;map[ 7407][2]:=$BBC4;
map[ 7408][1]:=$CBE1;map[ 7408][2]:=$B56D;
map[ 7409][1]:=$CBE2;map[ 7409][2]:=$BB5B;
map[ 7410][1]:=$CBE3;map[ 7410][2]:=$BAE2;
map[ 7411][1]:=$CBE4;map[ 7411][2]:=$C1F6;
map[ 7412][1]:=$CBE5;map[ 7412][2]:=$B6A6;
map[ 7413][1]:=$CBE6;map[ 7413][2]:=$C048;
map[ 7414][1]:=$CBE7;map[ 7414][2]:=$B86B;
map[ 7415][1]:=$CBE8;map[ 7415][2]:=$C5E8;
map[ 7416][1]:=$CBE9;map[ 7416][2]:=$B848;
map[ 7417][1]:=$CBEA;map[ 7417][2]:=$B7B3;
map[ 7418][1]:=$CBEB;map[ 7418][2]:=$C14A;
map[ 7419][1]:=$CBEC;map[ 7419][2]:=$B945;
map[ 7420][1]:=$CBED;map[ 7420][2]:=$C047;
map[ 7421][1]:=$CBEE;map[ 7421][2]:=$AFA9;
map[ 7422][1]:=$CBEF;map[ 7422][2]:=$AE5D;
map[ 7423][1]:=$CBF0;map[ 7423][2]:=$B76C;
map[ 7424][1]:=$CBF1;map[ 7424][2]:=$B5AB;
map[ 7425][1]:=$CBF2;map[ 7425][2]:=$BB62;
map[ 7426][1]:=$CBF2;map[ 7426][2]:=$BF75;
map[ 7427][1]:=$CBF3;map[ 7427][2]:=$B1F4;
map[ 7428][1]:=$CBF4;map[ 7428][2]:=$ADF6;
map[ 7429][1]:=$CBF5;map[ 7429][2]:=$C159;
map[ 7430][1]:=$CBF6;map[ 7430][2]:=$BABE;
map[ 7431][1]:=$CBF7;map[ 7431][2]:=$AFC1;
map[ 7432][1]:=$CBF8;map[ 7432][2]:=$C2EA;
map[ 7433][1]:=$CBF9;map[ 7433][2]:=$A9D2;
map[ 7434][1]:=$CBFA;map[ 7434][2]:=$B6F2;
map[ 7435][1]:=$CBFB;map[ 7435][2]:=$A54C;
map[ 7436][1]:=$CBFC;map[ 7436][2]:=$A5A6;
map[ 7437][1]:=$CBFD;map[ 7437][2]:=$A66F;
map[ 7438][1]:=$CBFE;map[ 7438][2]:=$B6F0;
map[ 7439][1]:=$CC43;map[ 7439][2]:=$F4C3;
map[ 7440][1]:=$CC44;map[ 7440][2]:=$F4BB;
map[ 7441][1]:=$CC46;map[ 7441][2]:=$F4BA;
map[ 7442][1]:=$CC4D;map[ 7442][2]:=$F4C0;
map[ 7443][1]:=$CC50;map[ 7443][2]:=$F4C2;
map[ 7444][1]:=$CC59;map[ 7444][2]:=$C4F4;
map[ 7445][1]:=$CC5A;map[ 7445][2]:=$F5F1;
map[ 7446][1]:=$CC5B;map[ 7446][2]:=$F5F7;
map[ 7447][1]:=$CC5D;map[ 7447][2]:=$F4BC;
map[ 7448][1]:=$CC5E;map[ 7448][2]:=$F5F6;
map[ 7449][1]:=$CC61;map[ 7449][2]:=$F5F4;
map[ 7450][1]:=$CC62;map[ 7450][2]:=$F5FB;
map[ 7451][1]:=$CC63;map[ 7451][2]:=$F5FA;
map[ 7452][1]:=$CC65;map[ 7452][2]:=$F5F5;
map[ 7453][1]:=$CC66;map[ 7453][2]:=$F0B6;
map[ 7454][1]:=$CC67;map[ 7454][2]:=$F5FE;
map[ 7455][1]:=$CC68;map[ 7455][2]:=$F5F3;
map[ 7456][1]:=$CC6A;map[ 7456][2]:=$F5F2;
map[ 7457][1]:=$CC6C;map[ 7457][2]:=$F74A;
map[ 7458][1]:=$CC6E;map[ 7458][2]:=$F5F9;
map[ 7459][1]:=$CC71;map[ 7459][2]:=$F7F4;
map[ 7460][1]:=$CC72;map[ 7460][2]:=$F74B;
map[ 7461][1]:=$CC73;map[ 7461][2]:=$F749;
map[ 7462][1]:=$CC74;map[ 7462][2]:=$F747;
map[ 7463][1]:=$CC75;map[ 7463][2]:=$F748;
map[ 7464][1]:=$CC76;map[ 7464][2]:=$F74C;
map[ 7465][1]:=$CC78;map[ 7465][2]:=$F7F2;
map[ 7466][1]:=$CC7A;map[ 7466][2]:=$F7F5;
map[ 7467][1]:=$CC7C;map[ 7467][2]:=$F7F6;
map[ 7468][1]:=$CC7E;map[ 7468][2]:=$F7F1;
map[ 7469][1]:=$CC82;map[ 7469][2]:=$F8BC;
map[ 7470][1]:=$CC85;map[ 7470][2]:=$F945;
map[ 7471][1]:=$CC86;map[ 7471][2]:=$F946;
map[ 7472][1]:=$CC87;map[ 7472][2]:=$F947;
map[ 7473][1]:=$CC8A;map[ 7473][2]:=$F9C7;
map[ 7474][1]:=$CC8B;map[ 7474][2]:=$F9BD;
map[ 7475][1]:=$CC8C;map[ 7475][2]:=$D3B8;
map[ 7476][1]:=$CC8D;map[ 7476][2]:=$D3B7;
map[ 7477][1]:=$CC8F;map[ 7477][2]:=$D77C;
map[ 7478][1]:=$CC92;map[ 7478][2]:=$D77B;
map[ 7479][1]:=$CC98;map[ 7479][2]:=$E3D4;
map[ 7480][1]:=$CC99;map[ 7480][2]:=$EB58;
map[ 7481][1]:=$CC9A;map[ 7481][2]:=$EB5A;
map[ 7482][1]:=$CC9B;map[ 7482][2]:=$EB59;
map[ 7483][1]:=$CC9E;map[ 7483][2]:=$EE57;
map[ 7484][1]:=$CC9F;map[ 7484][2]:=$F0BA;
map[ 7485][1]:=$CCA0;map[ 7485][2]:=$F9A5;
map[ 7486][1]:=$CCA1;map[ 7486][2]:=$C3A1;
map[ 7487][1]:=$CCA2;map[ 7487][2]:=$BED8;
map[ 7488][1]:=$CCA3;map[ 7488][2]:=$C1CF;
map[ 7489][1]:=$CCA4;map[ 7489][2]:=$BDF1;
map[ 7490][1]:=$CCA5;map[ 7490][2]:=$AD4C;
map[ 7491][1]:=$CCA6;map[ 7491][2]:=$AD61;
map[ 7492][1]:=$CCA7;map[ 7492][2]:=$A9EF;
map[ 7493][1]:=$CCA8;map[ 7493][2]:=$A578;
map[ 7494][1]:=$CCA8;map[ 7494][2]:=$BB4F;
map[ 7495][1]:=$CCA8;map[ 7495][2]:=$BBE4;
map[ 7496][1]:=$CCA8;map[ 7496][2]:=$C269;
map[ 7497][1]:=$CCA9;map[ 7497][2]:=$AEF5;
map[ 7498][1]:=$CCAB;map[ 7498][2]:=$A4D3;
map[ 7499][1]:=$CCAC;map[ 7499][2]:=$BA41;
map[ 7500][1]:=$CCAD;map[ 7500][2]:=$A84F;
map[ 7501][1]:=$CCAE;map[ 7501][2]:=$A77E;
map[ 7502][1]:=$CCAF;map[ 7502][2]:=$C575;
map[ 7503][1]:=$CCB0;map[ 7503][2]:=$B367;
map[ 7504][1]:=$CCB1;map[ 7504][2]:=$C5F5;
map[ 7505][1]:=$CCB2;map[ 7505][2]:=$C579;
map[ 7506][1]:=$CCB3;map[ 7506][2]:=$BEC2;
map[ 7507][1]:=$CCB3;map[ 7507][2]:=$C2BB;
map[ 7508][1]:=$CCB4;map[ 7508][2]:=$C0C8;
map[ 7509][1]:=$CCB5;map[ 7509][2]:=$B7F0;
map[ 7510][1]:=$CCB6;map[ 7510][2]:=$BCE6;
map[ 7511][1]:=$CCB7;map[ 7511][2]:=$C3D3;
map[ 7512][1]:=$CCB8;map[ 7512][2]:=$BDCD;
map[ 7513][1]:=$CCB9;map[ 7513][2]:=$A95A;
map[ 7514][1]:=$CCBA;map[ 7514][2]:=$B4E0;
map[ 7515][1]:=$CCBB;map[ 7515][2]:=$B352;
map[ 7516][1]:=$CCBC;map[ 7516][2]:=$BAD2;
map[ 7517][1]:=$CCBD;map[ 7517][2]:=$B1B4;
map[ 7518][1]:=$CCBE;map[ 7518][2]:=$B9C4;
map[ 7519][1]:=$CCBE;map[ 7519][2]:=$BCDB;
map[ 7520][1]:=$CCBF;map[ 7520][2]:=$ACB4;
map[ 7521][1]:=$CCC0;map[ 7521][2]:=$B4F6;
map[ 7522][1]:=$CCC1;map[ 7522][2]:=$B6ED;
map[ 7523][1]:=$CCC2;map[ 7523][2]:=$B765;
map[ 7524][1]:=$CCC3;map[ 7524][2]:=$B0F3;
map[ 7525][1]:=$CCC4;map[ 7525][2]:=$B4C5;
map[ 7526][1]:=$CCC5;map[ 7526][2]:=$BDA3;
map[ 7527][1]:=$CCC6;map[ 7527][2]:=$ADF0;
map[ 7528][1]:=$CCC7;map[ 7528][2]:=$BF7D;
map[ 7529][1]:=$CCC8;map[ 7529][2]:=$ADD5;
map[ 7530][1]:=$CCC9;map[ 7530][2]:=$BDF6;
map[ 7531][1]:=$CCCA;map[ 7531][2]:=$B249;
map[ 7532][1]:=$CCCB;map[ 7532][2]:=$BDEB;
map[ 7533][1]:=$CCCC;map[ 7533][2]:=$BF53;
map[ 7534][1]:=$CCCD;map[ 7534][2]:=$B1C7;
map[ 7535][1]:=$CCCE;map[ 7535][2]:=$C0DC;
map[ 7536][1]:=$CCCF;map[ 7536][2]:=$B7CA;
map[ 7537][1]:=$CCD0;map[ 7537][2]:=$B86C;
map[ 7538][1]:=$CCD0;map[ 7538][2]:=$EAD6;
map[ 7539][1]:=$CCD1;map[ 7539][2]:=$B5E5;
map[ 7540][1]:=$CCD2;map[ 7540][2]:=$AEE7;
map[ 7541][1]:=$CCD3;map[ 7541][2]:=$B06B;
map[ 7542][1]:=$CCD4;map[ 7542][2]:=$B25E;
map[ 7543][1]:=$CCD5;map[ 7543][2]:=$B3B3;
map[ 7544][1]:=$CCD6;map[ 7544][2]:=$B051;
map[ 7545][1]:=$CCD7;map[ 7545][2]:=$AE4D;
map[ 7546][1]:=$CCD8;map[ 7546][2]:=$AF53;
map[ 7547][1]:=$CCD9;map[ 7547][2]:=$C3C3;
map[ 7548][1]:=$CCD9;map[ 7548][2]:=$C4F0;
map[ 7549][1]:=$CCDA;map[ 7549][2]:=$C4CB;
map[ 7550][1]:=$CCDB;map[ 7550][2]:=$AF6B;
map[ 7551][1]:=$CCDC;map[ 7551][2]:=$C1C3;
map[ 7552][1]:=$CCDD;map[ 7552][2]:=$B1E8;
map[ 7553][1]:=$CCDE;map[ 7553][2]:=$ADE7;
map[ 7554][1]:=$CCDF;map[ 7554][2]:=$BDF0;
map[ 7555][1]:=$CCE0;map[ 7555][2]:=$BE4F;
map[ 7556][1]:=$CCE1;map[ 7556][2]:=$B4A3;
map[ 7557][1]:=$CCE2;map[ 7557][2]:=$C344;
map[ 7558][1]:=$CCE3;map[ 7558][2]:=$BFE1;
map[ 7559][1]:=$CCE4;map[ 7559][2]:=$B3DA;
map[ 7560][1]:=$CCE5;map[ 7560][2]:=$C5E9;
map[ 7561][1]:=$CCE5;map[ 7561][2]:=$CA5E;
map[ 7562][1]:=$CCE6;map[ 7562][2]:=$B4C0;
map[ 7563][1]:=$CCE7;map[ 7563][2]:=$C0A1;
map[ 7564][1]:=$CCE8;map[ 7564][2]:=$B1A7;
map[ 7565][1]:=$CCE9;map[ 7565][2]:=$AEF7;
map[ 7566][1]:=$CCEA;map[ 7566][2]:=$AB63;
map[ 7567][1]:=$CCEB;map[ 7567][2]:=$B150;
map[ 7568][1]:=$CCEC;map[ 7568][2]:=$A4D1;
map[ 7569][1]:=$CCED;map[ 7569][2]:=$B24B;
map[ 7570][1]:=$CCEE;map[ 7570][2]:=$B6F1;
map[ 7571][1]:=$CCEF;map[ 7571][2]:=$A5D0;
map[ 7572][1]:=$CCF0;map[ 7572][2]:=$B2A2;
map[ 7573][1]:=$CCF1;map[ 7573][2]:=$ABEF;
map[ 7574][1]:=$CCF2;map[ 7574][2]:=$BB51;
map[ 7575][1]:=$CCF3;map[ 7575][2]:=$B5C9;
map[ 7576][1]:=$CCF4;map[ 7576][2]:=$AC44;
map[ 7577][1]:=$CCF5;map[ 7577][2]:=$B1F8;
map[ 7578][1]:=$CCF6;map[ 7578][2]:=$AD7C;
map[ 7579][1]:=$CCF7;map[ 7579][2]:=$B2B7;
map[ 7580][1]:=$CCF7;map[ 7580][2]:=$B8D0;
map[ 7581][1]:=$CCF8;map[ 7581][2]:=$B8F5;
map[ 7582][1]:=$CCF9;map[ 7582][2]:=$B64B;
map[ 7583][1]:=$CCFA;map[ 7583][2]:=$C54B;
map[ 7584][1]:=$CCFA;map[ 7584][2]:=$E4AB;
map[ 7585][1]:=$CCFB;map[ 7585][2]:=$A9AB;
map[ 7586][1]:=$CCFC;map[ 7586][2]:=$C655;
map[ 7587][1]:=$CCFD;map[ 7587][2]:=$C5A5;
map[ 7588][1]:=$CCFD;map[ 7588][2]:=$A776;
map[ 7589][1]:=$CCFE;map[ 7589][2]:=$D64C;
map[ 7590][1]:=$CD40;map[ 7590][2]:=$CDC9;
map[ 7591][1]:=$CD42;map[ 7591][2]:=$CDC7;
map[ 7592][1]:=$CD44;map[ 7592][2]:=$D0A9;
map[ 7593][1]:=$CD45;map[ 7593][2]:=$D0A7;
map[ 7594][1]:=$CD48;map[ 7594][2]:=$D0A6;
map[ 7595][1]:=$CD4C;map[ 7595][2]:=$D3C4;
map[ 7596][1]:=$CD4D;map[ 7596][2]:=$D3C1;
map[ 7597][1]:=$CD4E;map[ 7597][2]:=$D3BF;
map[ 7598][1]:=$CD51;map[ 7598][2]:=$D3CB;
map[ 7599][1]:=$CD53;map[ 7599][2]:=$D3CD;
map[ 7600][1]:=$CD54;map[ 7600][2]:=$D3BD;
map[ 7601][1]:=$CD56;map[ 7601][2]:=$D3CE;
map[ 7602][1]:=$CD57;map[ 7602][2]:=$D3BB;
map[ 7603][1]:=$CD58;map[ 7603][2]:=$D3C0;
map[ 7604][1]:=$CD59;map[ 7604][2]:=$D3CA;
map[ 7605][1]:=$CD5A;map[ 7605][2]:=$D3C6;
map[ 7606][1]:=$CD5B;map[ 7606][2]:=$D3C3;
map[ 7607][1]:=$CD5D;map[ 7607][2]:=$D3BE;
map[ 7608][1]:=$CD60;map[ 7608][2]:=$D3C7;
map[ 7609][1]:=$CD61;map[ 7609][2]:=$D3B9;
map[ 7610][1]:=$CD62;map[ 7610][2]:=$D3C5;
map[ 7611][1]:=$CD68;map[ 7611][2]:=$D7A8;
map[ 7612][1]:=$CD69;map[ 7612][2]:=$D77E;
map[ 7613][1]:=$CD6A;map[ 7613][2]:=$D7A9;
map[ 7614][1]:=$CD6B;map[ 7614][2]:=$D7A7;
map[ 7615][1]:=$CD6C;map[ 7615][2]:=$D7AC;
map[ 7616][1]:=$CD6D;map[ 7616][2]:=$D7AD;
map[ 7617][1]:=$CD6E;map[ 7617][2]:=$D7AF;
map[ 7618][1]:=$CD6F;map[ 7618][2]:=$D7B0;
map[ 7619][1]:=$CD70;map[ 7619][2]:=$D77D;
map[ 7620][1]:=$CD71;map[ 7620][2]:=$D7A2;
map[ 7621][1]:=$CD72;map[ 7621][2]:=$D7A1;
map[ 7622][1]:=$CD73;map[ 7622][2]:=$D7AE;
map[ 7623][1]:=$CD74;map[ 7623][2]:=$D7A3;
map[ 7624][1]:=$CD75;map[ 7624][2]:=$D7A6;
map[ 7625][1]:=$CD76;map[ 7625][2]:=$D7AA;
map[ 7626][1]:=$CD79;map[ 7626][2]:=$DBB4;
map[ 7627][1]:=$CD7B;map[ 7627][2]:=$DFE7;
map[ 7628][1]:=$CD7C;map[ 7628][2]:=$DBBD;
map[ 7629][1]:=$CD7D;map[ 7629][2]:=$DBB6;
map[ 7630][1]:=$CD7E;map[ 7630][2]:=$DBBA;
map[ 7631][1]:=$CD80;map[ 7631][2]:=$DBB8;
map[ 7632][1]:=$CD83;map[ 7632][2]:=$DBB2;
map[ 7633][1]:=$CD84;map[ 7633][2]:=$DBB5;
map[ 7634][1]:=$CD86;map[ 7634][2]:=$DBB3;
map[ 7635][1]:=$CD88;map[ 7635][2]:=$DBBE;
map[ 7636][1]:=$CD89;map[ 7636][2]:=$DBB7;
map[ 7637][1]:=$CD8A;map[ 7637][2]:=$DBB9;
map[ 7638][1]:=$CD8B;map[ 7638][2]:=$DBBB;
map[ 7639][1]:=$CD8D;map[ 7639][2]:=$DFE8;
map[ 7640][1]:=$CD8E;map[ 7640][2]:=$DFEE;
map[ 7641][1]:=$CD8F;map[ 7641][2]:=$DFE4;
map[ 7642][1]:=$CD95;map[ 7642][2]:=$DFED;
map[ 7643][1]:=$CD96;map[ 7643][2]:=$DFE3;
map[ 7644][1]:=$CD97;map[ 7644][2]:=$DFF0;
map[ 7645][1]:=$CD99;map[ 7645][2]:=$DFE2;
map[ 7646][1]:=$CD9A;map[ 7646][2]:=$DFE5;
map[ 7647][1]:=$CD9B;map[ 7647][2]:=$DFEB;
map[ 7648][1]:=$CD9E;map[ 7648][2]:=$E3F4;
map[ 7649][1]:=$CDA1;map[ 7649][2]:=$A5C5;
map[ 7650][1]:=$CDA2;map[ 7650][2]:=$A7CA;
map[ 7651][1]:=$CDA3;map[ 7651][2]:=$B0B1;
map[ 7652][1]:=$CDA4;map[ 7652][2]:=$AB46;
map[ 7653][1]:=$CDA5;map[ 7653][2]:=$AE78;
map[ 7654][1]:=$CDA6;map[ 7654][2]:=$AEBC;
map[ 7655][1]:=$CDA7;map[ 7655][2]:=$B8A5;
map[ 7656][1]:=$CDA8;map[ 7656][2]:=$B371;
map[ 7657][1]:=$CDA9;map[ 7657][2]:=$AEE4;
map[ 7658][1]:=$CDAA;map[ 7658][2]:=$E0AC;
map[ 7659][1]:=$CDAB;map[ 7659][2]:=$C0FB;
map[ 7660][1]:=$CDAC;map[ 7660][2]:=$A650;
map[ 7661][1]:=$CDAD;map[ 7661][2]:=$BBC9;
map[ 7662][1]:=$CDAE;map[ 7662][2]:=$A7CD;
map[ 7663][1]:=$CDAF;map[ 7663][2]:=$B5A3;
map[ 7664][1]:=$CDB0;map[ 7664][2]:=$B1ED;
map[ 7665][1]:=$CDB1;map[ 7665][2]:=$D1B6;
map[ 7666][1]:=$CDB2;map[ 7666][2]:=$B5A9;
map[ 7667][1]:=$CDB3;map[ 7667][2]:=$B2CE;
map[ 7668][1]:=$CDB4;map[ 7668][2]:=$B568;
map[ 7669][1]:=$CDB5;map[ 7669][2]:=$B0BD;
map[ 7670][1]:=$CDB5;map[ 7670][2]:=$D8C1;
map[ 7671][1]:=$CDB6;map[ 7671][2]:=$A7EB;
map[ 7672][1]:=$CDB7;map[ 7672][2]:=$C059;
map[ 7673][1]:=$CDB8;map[ 7673][2]:=$B37A;
map[ 7674][1]:=$CDB9;map[ 7674][2]:=$A559;
map[ 7675][1]:=$CDBA;map[ 7675][2]:=$A872;
map[ 7676][1]:=$CDBB;map[ 7676][2]:=$ACF0;
map[ 7677][1]:=$CDBC;map[ 7677][2]:=$B9CF;
map[ 7678][1]:=$CDBD;map[ 7678][2]:=$AE7B;
map[ 7679][1]:=$CDBE;map[ 7679][2]:=$B37E;
map[ 7680][1]:=$CDBF;map[ 7680][2]:=$B6EE;
map[ 7681][1]:=$CDBF;map[ 7681][2]:=$D25C;
map[ 7682][1]:=$CDC0;map[ 7682][2]:=$B14F;
map[ 7683][1]:=$CDC1;map[ 7683][2]:=$A467;
map[ 7684][1]:=$CDC2;map[ 7684][2]:=$A652;
map[ 7685][1]:=$CDC3;map[ 7685][2]:=$A8DF;
map[ 7686][1]:=$CDC4;map[ 7686][2]:=$B4F8;
map[ 7687][1]:=$CDC5;map[ 7687][2]:=$B9CE;
map[ 7688][1]:=$CDC5;map[ 7688][2]:=$C47B;
map[ 7689][1]:=$CDC6;map[ 7689][2]:=$B1C0;
map[ 7690][1]:=$CDC7;map[ 7690][2]:=$C05A;
map[ 7691][1]:=$CDC7;map[ 7691][2]:=$F2A7;
map[ 7692][1]:=$CDC8;map[ 7692][2]:=$BB4C;
map[ 7693][1]:=$CDC9;map[ 7693][2]:=$B8C0;
map[ 7694][1]:=$CDCA;map[ 7694][2]:=$BFC6;
map[ 7695][1]:=$CDCB;map[ 7695][2]:=$B068;
map[ 7696][1]:=$CDCC;map[ 7696][2]:=$A75D;
map[ 7697][1]:=$CDCD;map[ 7697][2]:=$A4D9;
map[ 7698][1]:=$CDCE;map[ 7698][2]:=$C176;
map[ 7699][1]:=$CDCF;map[ 7699][2]:=$A9EC;
map[ 7700][1]:=$CDD0;map[ 7700][2]:=$A6AB;
map[ 7701][1]:=$CDD0;map[ 7701][2]:=$B055;
map[ 7702][1]:=$CDD1;map[ 7702][2]:=$B2E6;
map[ 7703][1]:=$CDD2;map[ 7703][2]:=$C06B;
map[ 7704][1]:=$CDD3;map[ 7704][2]:=$AAFB;
map[ 7705][1]:=$CDD4;map[ 7705][2]:=$B9A4;
map[ 7706][1]:=$CDD5;map[ 7706][2]:=$BE6D;
map[ 7707][1]:=$CDD6;map[ 7707][2]:=$BEF2;
map[ 7708][1]:=$CDD7;map[ 7708][2]:=$A7B4;
map[ 7709][1]:=$CDD8;map[ 7709][2]:=$A9DD;
map[ 7710][1]:=$CDD9;map[ 7710][2]:=$B3E8;
map[ 7711][1]:=$CDDA;map[ 7711][2]:=$ABF5;
map[ 7712][1]:=$CDDB;map[ 7712][2]:=$AB7A;
map[ 7713][1]:=$CDDC;map[ 7713][2]:=$B5EC;
map[ 7714][1]:=$CDDD;map[ 7714][2]:=$BADA;
map[ 7715][1]:=$CDDD;map[ 7715][2]:=$CF71;
map[ 7716][1]:=$CDDE;map[ 7716][2]:=$ABBD;
map[ 7717][1]:=$CDDF;map[ 7717][2]:=$A5CB;
map[ 7718][1]:=$CDE0;map[ 7718][2]:=$C4FB;
map[ 7719][1]:=$CDE1;map[ 7719][2]:=$AC6E;
map[ 7720][1]:=$CDE2;map[ 7720][2]:=$A57E;
map[ 7721][1]:=$CDE3;map[ 7721][2]:=$BDDC;
map[ 7722][1]:=$CDE4;map[ 7722][2]:=$C573;
map[ 7723][1]:=$CDE5;map[ 7723][2]:=$C657;
map[ 7724][1]:=$CDE6;map[ 7724][2]:=$AAB1;
map[ 7725][1]:=$CDE7;map[ 7725][2]:=$B978;
map[ 7726][1]:=$CDE8;map[ 7726][2]:=$A459;
map[ 7727][1]:=$CDE9;map[ 7727][2]:=$D64A;
map[ 7728][1]:=$CDEA;map[ 7728][2]:=$A7B9;
map[ 7729][1]:=$CDEB;map[ 7729][2]:=$B84A;
map[ 7730][1]:=$CDEC;map[ 7730][2]:=$AEBE;
map[ 7731][1]:=$CDEC;map[ 7731][2]:=$BBB5;
map[ 7732][1]:=$CDED;map[ 7732][2]:=$B1DF;
map[ 7733][1]:=$CDEE;map[ 7733][2]:=$B570;
map[ 7734][1]:=$CDEF;map[ 7734][2]:=$B17B;
map[ 7735][1]:=$CDF0;map[ 7735][2]:=$A97B;
map[ 7736][1]:=$CDF1;map[ 7736][2]:=$B0FB;
map[ 7737][1]:=$CDF2;map[ 7737][2]:=$B855;
map[ 7738][1]:=$CDF2;map[ 7738][2]:=$C945;
map[ 7739][1]:=$CDF3;map[ 7739][2]:=$B5C3;
map[ 7740][1]:=$CDF4;map[ 7740][2]:=$A84C;
map[ 7741][1]:=$CDF5;map[ 7741][2]:=$A4FD;
map[ 7742][1]:=$CDF6;map[ 7742][2]:=$A460;
map[ 7743][1]:=$CDF7;map[ 7743][2]:=$AA50;
map[ 7744][1]:=$CDF8;map[ 7744][2]:=$BAF4;
map[ 7745][1]:=$CDF8;map[ 7745][2]:=$CA49;
map[ 7746][1]:=$CDF9;map[ 7746][2]:=$A9B9;
map[ 7747][1]:=$CDFA;map[ 7747][2]:=$A9F4;
map[ 7748][1]:=$CDFB;map[ 7748][2]:=$B1E6;
map[ 7749][1]:=$CDFC;map[ 7749][2]:=$A7D1;
map[ 7750][1]:=$CDFD;map[ 7750][2]:=$A66B;
map[ 7751][1]:=$CDFE;map[ 7751][2]:=$ABC2;
map[ 7752][1]:=$CE40;map[ 7752][2]:=$E3DD;
map[ 7753][1]:=$CE41;map[ 7753][2]:=$E3DE;
map[ 7754][1]:=$CE44;map[ 7754][2]:=$E3E4;
map[ 7755][1]:=$CE45;map[ 7755][2]:=$E3F1;
map[ 7756][1]:=$CE46;map[ 7756][2]:=$E3EE;
map[ 7757][1]:=$CE47;map[ 7757][2]:=$E3EF;
map[ 7758][1]:=$CE48;map[ 7758][2]:=$E3D7;
map[ 7759][1]:=$CE49;map[ 7759][2]:=$E3E6;
map[ 7760][1]:=$CE4B;map[ 7760][2]:=$E3E0;
map[ 7761][1]:=$CE4C;map[ 7761][2]:=$E3E7;
map[ 7762][1]:=$CE4E;map[ 7762][2]:=$E3F3;
map[ 7763][1]:=$CE4F;map[ 7763][2]:=$E3E5;
map[ 7764][1]:=$CE50;map[ 7764][2]:=$E3D5;
map[ 7765][1]:=$CE51;map[ 7765][2]:=$E3EC;
map[ 7766][1]:=$CE53;map[ 7766][2]:=$E3F0;
map[ 7767][1]:=$CE55;map[ 7767][2]:=$E3EA;
map[ 7768][1]:=$CE56;map[ 7768][2]:=$E3E8;
map[ 7769][1]:=$CE58;map[ 7769][2]:=$E3D9;
map[ 7770][1]:=$CE59;map[ 7770][2]:=$E3E1;
map[ 7771][1]:=$CE5A;map[ 7771][2]:=$E3ED;
map[ 7772][1]:=$CE5B;map[ 7772][2]:=$E3DF;
map[ 7773][1]:=$CE5E;map[ 7773][2]:=$E3E3;
map[ 7774][1]:=$CE61;map[ 7774][2]:=$DFE9;
map[ 7775][1]:=$CE62;map[ 7775][2]:=$E7BB;
map[ 7776][1]:=$CE63;map[ 7776][2]:=$E7B1;
map[ 7777][1]:=$CE64;map[ 7777][2]:=$E7AD;
map[ 7778][1]:=$CE65;map[ 7778][2]:=$E7AA;
map[ 7779][1]:=$CE66;map[ 7779][2]:=$E7A8;
map[ 7780][1]:=$CE68;map[ 7780][2]:=$E7A1;
map[ 7781][1]:=$CE69;map[ 7781][2]:=$E7A7;
map[ 7782][1]:=$CE6A;map[ 7782][2]:=$E7AC;
map[ 7783][1]:=$CE6B;map[ 7783][2]:=$E7A9;
map[ 7784][1]:=$CE6C;map[ 7784][2]:=$E7B9;
map[ 7785][1]:=$CE6D;map[ 7785][2]:=$E7B4;
map[ 7786][1]:=$CE6E;map[ 7786][2]:=$E7AE;
map[ 7787][1]:=$CE70;map[ 7787][2]:=$E7AB;
map[ 7788][1]:=$CE71;map[ 7788][2]:=$E7BE;
map[ 7789][1]:=$CE73;map[ 7789][2]:=$E7BF;
map[ 7790][1]:=$CE75;map[ 7790][2]:=$E7C0;
map[ 7791][1]:=$CE76;map[ 7791][2]:=$E7B0;
map[ 7792][1]:=$CE77;map[ 7792][2]:=$E3D8;
map[ 7793][1]:=$CE78;map[ 7793][2]:=$E7B6;
map[ 7794][1]:=$CE79;map[ 7794][2]:=$E7AF;
map[ 7795][1]:=$CE7A;map[ 7795][2]:=$E7B5;
map[ 7796][1]:=$CE7D;map[ 7796][2]:=$E7A6;
map[ 7797][1]:=$CE7E;map[ 7797][2]:=$E7BD;
map[ 7798][1]:=$CE80;map[ 7798][2]:=$E7A4;
map[ 7799][1]:=$CE82;map[ 7799][2]:=$EB64;
map[ 7800][1]:=$CE83;map[ 7800][2]:=$E7B7;
map[ 7801][1]:=$CE85;map[ 7801][2]:=$EE6C;
map[ 7802][1]:=$CE86;map[ 7802][2]:=$EB61;
map[ 7803][1]:=$CE89;map[ 7803][2]:=$EB65;
map[ 7804][1]:=$CE8A;map[ 7804][2]:=$EB6F;
map[ 7805][1]:=$CE8E;map[ 7805][2]:=$EB5C;
map[ 7806][1]:=$CE8F;map[ 7806][2]:=$EB68;
map[ 7807][1]:=$CE90;map[ 7807][2]:=$EB69;
map[ 7808][1]:=$CE91;map[ 7808][2]:=$EB5F;
map[ 7809][1]:=$CE92;map[ 7809][2]:=$EB6C;
map[ 7810][1]:=$CE94;map[ 7810][2]:=$EB62;
map[ 7811][1]:=$CE97;map[ 7811][2]:=$EB6E;
map[ 7812][1]:=$CE98;map[ 7812][2]:=$EB5B;
map[ 7813][1]:=$CE99;map[ 7813][2]:=$EB6D;
map[ 7814][1]:=$CE9A;map[ 7814][2]:=$EB6A;
map[ 7815][1]:=$CE9F;map[ 7815][2]:=$EB66;
map[ 7816][1]:=$CEA0;map[ 7816][2]:=$F0CB;
map[ 7817][1]:=$CEA1;map[ 7817][2]:=$C4DE;
map[ 7818][1]:=$CEA2;map[ 7818][2]:=$B74C;
map[ 7819][1]:=$CEA3;map[ 7819][2]:=$A64D;
map[ 7820][1]:=$CEA4;map[ 7820][2]:=$ADB3;
map[ 7821][1]:=$CEA5;map[ 7821][2]:=$B948;
map[ 7822][1]:=$CEA6;map[ 7822][2]:=$AEE9;
map[ 7823][1]:=$CEA7;map[ 7823][2]:=$B3F2;
map[ 7824][1]:=$CEA8;map[ 7824][2]:=$B0DF;
map[ 7825][1]:=$CEA9;map[ 7825][2]:=$B1A9;
map[ 7826][1]:=$CEAA;map[ 7826][2]:=$ACB0;
map[ 7827][1]:=$CEAB;map[ 7827][2]:=$C0E5;
map[ 7828][1]:=$CEAC;map[ 7828][2]:=$BAFB;
map[ 7829][1]:=$CEAD;map[ 7829][2]:=$B8AB;
map[ 7830][1]:=$CEAE;map[ 7830][2]:=$B5E4;
map[ 7831][1]:=$CEAF;map[ 7831][2]:=$A965;
map[ 7832][1]:=$CEB0;map[ 7832][2]:=$B0B6;
map[ 7833][1]:=$CEB1;map[ 7833][2]:=$B0B0;
map[ 7834][1]:=$CEB2;map[ 7834][2]:=$A7C0;
map[ 7835][1]:=$CEB3;map[ 7835][2]:=$BD6E;
map[ 7836][1]:=$CEB4;map[ 7836][2]:=$A5BC;
map[ 7837][1]:=$CEB5;map[ 7837][2]:=$BDAB;
map[ 7838][1]:=$CEB6;map[ 7838][2]:=$A8FD;
map[ 7839][1]:=$CEB7;map[ 7839][2]:=$ACC8;
map[ 7840][1]:=$CEB8;map[ 7840][2]:=$AD47;
map[ 7841][1]:=$CEB9;map[ 7841][2]:=$C1FD;
map[ 7842][1]:=$CEB9;map[ 7842][2]:=$B3DE;
map[ 7843][1]:=$CEBA;map[ 7843][2]:=$C351;
map[ 7844][1]:=$CEBB;map[ 7844][2]:=$A6EC;
map[ 7845][1]:=$CEBC;map[ 7845][2]:=$B4F4;
map[ 7846][1]:=$CEBD;map[ 7846][2]:=$BFD7;
map[ 7847][1]:=$CEBE;map[ 7847][2]:=$B14C;
map[ 7848][1]:=$CEBF;map[ 7848][2]:=$BCA2;
map[ 7849][1]:=$CEC0;map[ 7849][2]:=$BDC3;
map[ 7850][1]:=$CEC1;map[ 7850][2]:=$BD45;
map[ 7851][1]:=$CEC2;map[ 7851][2]:=$B7C5;
map[ 7852][1]:=$CEC3;map[ 7852][2]:=$B041;
map[ 7853][1]:=$CEC4;map[ 7853][2]:=$A4E5;
map[ 7854][1]:=$CEC5;map[ 7854][2]:=$BB44;
map[ 7855][1]:=$CEC6;map[ 7855][2]:=$AFBE;
map[ 7856][1]:=$CEC7;map[ 7856][2]:=$A76B;
map[ 7857][1]:=$CEC8;map[ 7857][2]:=$C3AD;
map[ 7858][1]:=$CEC9;map[ 7858][2]:=$AFBF;
map[ 7859][1]:=$CECA;map[ 7859][2]:=$B0DD;
map[ 7860][1]:=$CECB;map[ 7860][2]:=$B6E4;
map[ 7861][1]:=$CECC;map[ 7861][2]:=$AFCE;
map[ 7862][1]:=$CECD;map[ 7862][2]:=$C27C;
map[ 7863][1]:=$CECD;map[ 7863][2]:=$CFD8;
map[ 7864][1]:=$CECD;map[ 7864][2]:=$F2B9;
map[ 7865][1]:=$CECE;map[ 7865][2]:=$BEE2;
map[ 7866][1]:=$CECF;map[ 7866][2]:=$BDBD;
map[ 7867][1]:=$CED0;map[ 7867][2]:=$B4F5;
map[ 7868][1]:=$CED1;map[ 7868][2]:=$BADB;
map[ 7869][1]:=$CED2;map[ 7869][2]:=$A7DA;
map[ 7870][1]:=$CED3;map[ 7870][2]:=$BA57;
map[ 7871][1]:=$CED4;map[ 7871][2]:=$AAD7;
map[ 7872][1]:=$CED5;map[ 7872][2]:=$B4A4;
map[ 7873][1]:=$CED6;map[ 7873][2]:=$A855;
map[ 7874][1]:=$CED7;map[ 7874][2]:=$A7C5;
map[ 7875][1]:=$CED8;map[ 7875][2]:=$B6E3;
map[ 7876][1]:=$CED9;map[ 7876][2]:=$C2EB;
map[ 7877][1]:=$CEDA;map[ 7877][2]:=$AF51;
map[ 7878][1]:=$CEDB;map[ 7878][2]:=$A6C3;
map[ 7879][1]:=$CEDB;map[ 7879][2]:=$A6BE;
map[ 7880][1]:=$CEDC;map[ 7880][2]:=$BB7A;
map[ 7881][1]:=$CEDD;map[ 7881][2]:=$ABCE;
map[ 7882][1]:=$CEDE;map[ 7882][2]:=$B54C;
map[ 7883][1]:=$CEDF;map[ 7883][2]:=$BFBE;
map[ 7884][1]:=$CEE0;map[ 7884][2]:=$B1EF;
map[ 7885][1]:=$CEE1;map[ 7885][2]:=$A75E;
map[ 7886][1]:=$CEE2;map[ 7886][2]:=$A764;
map[ 7887][1]:=$CEE3;map[ 7887][2]:=$A4F0;
map[ 7888][1]:=$CEE4;map[ 7888][2]:=$AA5A;
map[ 7889][1]:=$CEE5;map[ 7889][2]:=$A4AD;
map[ 7890][1]:=$CEE6;map[ 7890][2]:=$AEB8;
map[ 7891][1]:=$CEE7;map[ 7891][2]:=$A4C8;
map[ 7892][1]:=$CEE8;map[ 7892][2]:=$BB52;
map[ 7893][1]:=$CEE9;map[ 7893][2]:=$A5EE;
map[ 7894][1]:=$CEEA;map[ 7894][2]:=$AB56;
map[ 7895][1]:=$CEEB;map[ 7895][2]:=$B6F5;
map[ 7896][1]:=$CEEC;map[ 7896][2]:=$A5B3;
map[ 7897][1]:=$CEED;map[ 7897][2]:=$C3FA;
map[ 7898][1]:=$CEEE;map[ 7898][2]:=$B1E0;
map[ 7899][1]:=$CEEF;map[ 7899][2]:=$AAAB;
map[ 7900][1]:=$CEF0;map[ 7900][2]:=$A4C5;
map[ 7901][1]:=$CEF1;map[ 7901][2]:=$B0C8;
map[ 7902][1]:=$CEF2;map[ 7902][2]:=$AEA9;
map[ 7903][1]:=$CEF3;map[ 7903][2]:=$BB7E;
map[ 7904][1]:=$CEF4;map[ 7904][2]:=$A9F5;
map[ 7905][1]:=$CEF5;map[ 7905][2]:=$BAB3;
map[ 7906][1]:=$CEF6;map[ 7906][2]:=$AA52;
map[ 7907][1]:=$CEF7;map[ 7907][2]:=$A6E8;
map[ 7908][1]:=$CEF8;map[ 7908][2]:=$D6B4;
map[ 7909][1]:=$CEFA;map[ 7909][2]:=$B4B7;
map[ 7910][1]:=$CEFB;map[ 7910][2]:=$BC48;
map[ 7911][1]:=$CEFB;map[ 7911][2]:=$C3D6;
map[ 7912][1]:=$CEFC;map[ 7912][2]:=$A76C;
map[ 7913][1]:=$CEFD;map[ 7913][2]:=$BFFC;
map[ 7914][1]:=$CEFE;map[ 7914][2]:=$C4EB;
map[ 7915][1]:=$CF44;map[ 7915][2]:=$EE59;
map[ 7916][1]:=$CF45;map[ 7916][2]:=$EE61;
map[ 7917][1]:=$CF46;map[ 7917][2]:=$EE5C;
map[ 7918][1]:=$CF48;map[ 7918][2]:=$EE70;
map[ 7919][1]:=$CF49;map[ 7919][2]:=$EE6A;
map[ 7920][1]:=$CF4A;map[ 7920][2]:=$EE6B;
map[ 7921][1]:=$CF4B;map[ 7921][2]:=$EE66;
map[ 7922][1]:=$CF4C;map[ 7922][2]:=$EE6D;
map[ 7923][1]:=$CF4D;map[ 7923][2]:=$EE5E;
map[ 7924][1]:=$CF4F;map[ 7924][2]:=$EE60;
map[ 7925][1]:=$CF50;map[ 7925][2]:=$EE58;
map[ 7926][1]:=$CF53;map[ 7926][2]:=$EE64;
map[ 7927][1]:=$CF54;map[ 7927][2]:=$EE63;
map[ 7928][1]:=$CF56;map[ 7928][2]:=$EE5B;
map[ 7929][1]:=$CF59;map[ 7929][2]:=$EE62;
map[ 7930][1]:=$CF5A;map[ 7930][2]:=$EE65;
map[ 7931][1]:=$CF5D;map[ 7931][2]:=$F74E;
map[ 7932][1]:=$CF5F;map[ 7932][2]:=$F0C5;
map[ 7933][1]:=$CF62;map[ 7933][2]:=$F0CC;
map[ 7934][1]:=$CF63;map[ 7934][2]:=$F0C9;
map[ 7935][1]:=$CF64;map[ 7935][2]:=$F0CD;
map[ 7936][1]:=$CF66;map[ 7936][2]:=$F0C6;
map[ 7937][1]:=$CF67;map[ 7937][2]:=$F0D1;
map[ 7938][1]:=$CF68;map[ 7938][2]:=$EE6F;
map[ 7939][1]:=$CF69;map[ 7939][2]:=$F0C2;
map[ 7940][1]:=$CF6A;map[ 7940][2]:=$E7A5;
map[ 7941][1]:=$CF6B;map[ 7941][2]:=$F0BD;
map[ 7942][1]:=$CF6D;map[ 7942][2]:=$F0C4;
map[ 7943][1]:=$CF6E;map[ 7943][2]:=$F0BC;
map[ 7944][1]:=$CF6F;map[ 7944][2]:=$F0BB;
map[ 7945][1]:=$CF70;map[ 7945][2]:=$F0D0;
map[ 7946][1]:=$CF72;map[ 7946][2]:=$F0BF;
map[ 7947][1]:=$CF74;map[ 7947][2]:=$F0C8;
map[ 7948][1]:=$CF79;map[ 7948][2]:=$F0C3;
map[ 7949][1]:=$CF7A;map[ 7949][2]:=$F0CF;
map[ 7950][1]:=$CF7D;map[ 7950][2]:=$F2DF;
map[ 7951][1]:=$CF80;map[ 7951][2]:=$F2DC;
map[ 7952][1]:=$CF82;map[ 7952][2]:=$F2E4;
map[ 7953][1]:=$CF84;map[ 7953][2]:=$F2E6;
map[ 7954][1]:=$CF85;map[ 7954][2]:=$F2DB;
map[ 7955][1]:=$CF86;map[ 7955][2]:=$F0CE;
map[ 7956][1]:=$CF87;map[ 7956][2]:=$F2E8;
map[ 7957][1]:=$CF8C;map[ 7957][2]:=$F2E5;
map[ 7958][1]:=$CF8D;map[ 7958][2]:=$F2E0;
map[ 7959][1]:=$CF8E;map[ 7959][2]:=$F2E2;
map[ 7960][1]:=$CF8F;map[ 7960][2]:=$F2E1;
map[ 7961][1]:=$CF97;map[ 7961][2]:=$F4C7;
map[ 7962][1]:=$CF99;map[ 7962][2]:=$F4C4;
map[ 7963][1]:=$CF9B;map[ 7963][2]:=$F645;
map[ 7964][1]:=$CF9C;map[ 7964][2]:=$F641;
map[ 7965][1]:=$CF9F;map[ 7965][2]:=$F643;
map[ 7966][1]:=$CFA1;map[ 7966][2]:=$B57D;
map[ 7967][1]:=$CFA2;map[ 7967][2]:=$AEA7;
map[ 7968][1]:=$CFA3;map[ 7968][2]:=$A7C6;
map[ 7969][1]:=$CFA4;map[ 7969][2]:=$B178;
map[ 7970][1]:=$CFA5;map[ 7970][2]:=$BDA5;
map[ 7971][1]:=$CFA6;map[ 7971][2]:=$A469;
map[ 7972][1]:=$CFA7;map[ 7972][2]:=$B1A4;
map[ 7973][1]:=$CFA8;map[ 7973][2]:=$BAB6;
map[ 7974][1]:=$CFA9;map[ 7974][2]:=$B26D;
map[ 7975][1]:=$CFAA;map[ 7975][2]:=$B7CB;
map[ 7976][1]:=$CFAA;map[ 7976][2]:=$C1C6;
map[ 7977][1]:=$CFAB;map[ 7977][2]:=$A6C1;
map[ 7978][1]:=$CFAC;map[ 7978][2]:=$B552;
map[ 7979][1]:=$CFAD;map[ 7979][2]:=$C0CA;
map[ 7980][1]:=$CFAE;map[ 7980][2]:=$C5A7;
map[ 7981][1]:=$CFAF;map[ 7981][2]:=$AE75;
map[ 7982][1]:=$CFAF;map[ 7982][2]:=$BB56;
map[ 7983][1]:=$CFB0;map[ 7983][2]:=$B2DF;
map[ 7984][1]:=$CFB1;map[ 7984][2]:=$B740;
map[ 7985][1]:=$CFB2;map[ 7985][2]:=$B3DF;
map[ 7986][1]:=$CFB3;map[ 7986][2]:=$BBD1;
map[ 7987][1]:=$CFB4;map[ 7987][2]:=$AC7E;
map[ 7988][1]:=$CFB5;map[ 7988][2]:=$A874;
map[ 7989][1]:=$CFB5;map[ 7989][2]:=$AB59;
map[ 7990][1]:=$CFB5;map[ 7990][2]:=$C3B4;
map[ 7991][1]:=$CFB6;map[ 7991][2]:=$BBD8;
map[ 7992][1]:=$CFB7;map[ 7992][2]:=$C0B8;
map[ 7993][1]:=$CFB8;map[ 7993][2]:=$B2D3;
map[ 7994][1]:=$CFB9;map[ 7994][2]:=$BD4D;
map[ 7995][1]:=$CFBA;map[ 7995][2]:=$BDBC;
map[ 7996][1]:=$CFBB;map[ 7996][2]:=$A758;
map[ 7997][1]:=$CFBC;map[ 7997][2]:=$C1F8;
map[ 7998][1]:=$CFBD;map[ 7998][2]:=$C1D2;
map[ 7999][1]:=$CFBE;map[ 7999][2]:=$B776;
map[ 8000][1]:=$CFBF;map[ 8000][2]:=$AE6C;
map[ 8001][1]:=$CFC0;map[ 8001][2]:=$AB4C;
map[ 8002][1]:=$CFC1;map[ 8002][2]:=$AF55;
map[ 8003][1]:=$CFC2;map[ 8003][2]:=$A455;
map[ 8004][1]:=$CFC3;map[ 8004][2]:=$B748;
map[ 8005][1]:=$CFC4;map[ 8005][2]:=$AE4C;
map[ 8006][1]:=$CFC5;map[ 8006][2]:=$C07E;
map[ 8007][1]:=$CFC6;map[ 8007][2]:=$B1C8;
map[ 8008][1]:=$CFC8;map[ 8008][2]:=$A5FD;
map[ 8009][1]:=$CFC9;map[ 8009][2]:=$A550;
map[ 8010][1]:=$CFCA;map[ 8010][2]:=$C241;
map[ 8011][1]:=$CFCB;map[ 8011][2]:=$C5D6;
map[ 8012][1]:=$CFCB;map[ 8012][2]:=$C164;
map[ 8013][1]:=$CFCC;map[ 8013][2]:=$C4D0;
map[ 8014][1]:=$CFCC;map[ 8014][2]:=$AB77;
map[ 8015][1]:=$CFCD;map[ 8015][2]:=$BDE5;
map[ 8016][1]:=$CFCE;map[ 8016][2]:=$BBCE;
map[ 8017][1]:=$CFCE;map[ 8017][2]:=$B0E5;
map[ 8018][1]:=$CFCF;map[ 8018][2]:=$B2EC;
map[ 8019][1]:=$CFD0;map[ 8019][2]:=$B6A2;
map[ 8020][1]:=$CFD0;map[ 8020][2]:=$B67E;
map[ 8021][1]:=$CFD1;map[ 8021][2]:=$B243;
map[ 8022][1]:=$CFD2;map[ 8022][2]:=$A9B6;
map[ 8023][1]:=$CFD2;map[ 8023][2]:=$B2CD;
map[ 8024][1]:=$CFD3;map[ 8024][2]:=$B6FB;
map[ 8025][1]:=$CFD4;map[ 8025][2]:=$C5E3;
map[ 8026][1]:=$CFD5;map[ 8026][2]:=$C049;
map[ 8027][1]:=$CFD6;map[ 8027][2]:=$B27B;
map[ 8028][1]:=$CFD7;map[ 8028][2]:=$C46D;
map[ 8029][1]:=$CFD8;map[ 8029][2]:=$BFA4;
map[ 8030][1]:=$CFD9;map[ 8030][2]:=$B8A2;
map[ 8031][1]:=$CFDA;map[ 8031][2]:=$C060;
map[ 8032][1]:=$CFDB;map[ 8032][2]:=$B872;
map[ 8033][1]:=$CFDB;map[ 8033][2]:=$DB43;
map[ 8034][1]:=$CFDC;map[ 8034][2]:=$BECB;
map[ 8035][1]:=$CFDD;map[ 8035][2]:=$B3B4;
map[ 8036][1]:=$CFDE;map[ 8036][2]:=$ADAD;
map[ 8037][1]:=$CFDF;map[ 8037][2]:=$BD75;
map[ 8038][1]:=$CFE0;map[ 8038][2]:=$ACDB;
map[ 8039][1]:=$CFE1;map[ 8039][2]:=$B45B;
map[ 8040][1]:=$CFE2;map[ 8040][2]:=$C65E;
map[ 8041][1]:=$CFE3;map[ 8041][2]:=$ADBB;
map[ 8042][1]:=$CFE4;map[ 8042][2]:=$BD63;
map[ 8043][1]:=$CFE5;map[ 8043][2]:=$C1B8;
map[ 8044][1]:=$CFE6;map[ 8044][2]:=$B4F0;
map[ 8045][1]:=$CFE7;map[ 8045][2]:=$B66D;
map[ 8046][1]:=$CFE8;map[ 8046][2]:=$B5BE;
map[ 8047][1]:=$CFE9;map[ 8047][2]:=$B2BB;
map[ 8048][1]:=$CFEA;map[ 8048][2]:=$B8D4;
map[ 8049][1]:=$CFEB;map[ 8049][2]:=$B751;
map[ 8050][1]:=$CFEC;map[ 8050][2]:=$C554;
map[ 8051][1]:=$CFED;map[ 8051][2]:=$A8C9;
map[ 8052][1]:=$CFEE;map[ 8052][2]:=$B6B5;
map[ 8053][1]:=$CFEF;map[ 8053][2]:=$ABD1;
map[ 8054][1]:=$CFF0;map[ 8054][2]:=$BEF3;
map[ 8055][1]:=$CFF1;map[ 8055][2]:=$B9B3;
map[ 8056][1]:=$CFF2;map[ 8056][2]:=$A656;
map[ 8057][1]:=$CFF2;map[ 8057][2]:=$C251;
map[ 8058][1]:=$CFF2;map[ 8058][2]:=$E9B8;
map[ 8059][1]:=$CFF3;map[ 8059][2]:=$B648;
map[ 8060][1]:=$CFF4;map[ 8060][2]:=$BFBD;
map[ 8061][1]:=$CFF5;map[ 8061][2]:=$B576;
map[ 8062][1]:=$CFF6;map[ 8062][2]:=$BE5D;
map[ 8063][1]:=$CFF7;map[ 8063][2]:=$AB64;
map[ 8064][1]:=$CFF8;map[ 8064][2]:=$ADFD;
map[ 8065][1]:=$CFF9;map[ 8065][2]:=$C4DB;
map[ 8066][1]:=$CFFA;map[ 8066][2]:=$BE50;
map[ 8067][1]:=$CFFB;map[ 8067][2]:=$AEF8;
map[ 8068][1]:=$CFFC;map[ 8068][2]:=$AE64;
map[ 8069][1]:=$CFFD;map[ 8069][2]:=$B263;
map[ 8070][1]:=$CFFE;map[ 8070][2]:=$BEE5;
map[ 8071][1]:=$D040;map[ 8071][2]:=$F644;
map[ 8072][1]:=$D041;map[ 8072][2]:=$F751;
map[ 8073][1]:=$D042;map[ 8073][2]:=$F74F;
map[ 8074][1]:=$D045;map[ 8074][2]:=$F640;
map[ 8075][1]:=$D046;map[ 8075][2]:=$F750;
map[ 8076][1]:=$D047;map[ 8076][2]:=$F646;
map[ 8077][1]:=$D048;map[ 8077][2]:=$F74D;
map[ 8078][1]:=$D04A;map[ 8078][2]:=$F7F9;
map[ 8079][1]:=$D04B;map[ 8079][2]:=$F7D7;
map[ 8080][1]:=$D04C;map[ 8080][2]:=$F7F7;
map[ 8081][1]:=$D04E;map[ 8081][2]:=$F7FA;
map[ 8082][1]:=$D050;map[ 8082][2]:=$F8BF;
map[ 8083][1]:=$D052;map[ 8083][2]:=$F8BE;
map[ 8084][1]:=$D053;map[ 8084][2]:=$F8BD;
map[ 8085][1]:=$D056;map[ 8085][2]:=$F9A7;
map[ 8086][1]:=$D057;map[ 8086][2]:=$F9A6;
map[ 8087][1]:=$D058;map[ 8087][2]:=$F9A8;
map[ 8088][1]:=$D059;map[ 8088][2]:=$D0AA;
map[ 8089][1]:=$D05B;map[ 8089][2]:=$D3CF;
map[ 8090][1]:=$D05E;map[ 8090][2]:=$DBC0;
map[ 8091][1]:=$D061;map[ 8091][2]:=$F8C0;
map[ 8092][1]:=$D062;map[ 8092][2]:=$D0AB;
map[ 8093][1]:=$D066;map[ 8093][2]:=$D7B1;
map[ 8094][1]:=$D068;map[ 8094][2]:=$DBC2;
map[ 8095][1]:=$D069;map[ 8095][2]:=$DBC1;
map[ 8096][1]:=$D073;map[ 8096][2]:=$D0AC;
map[ 8097][1]:=$D074;map[ 8097][2]:=$D0AD;
map[ 8098][1]:=$D075;map[ 8098][2]:=$D3D1;
map[ 8099][1]:=$D076;map[ 8099][2]:=$D3D8;
map[ 8100][1]:=$D077;map[ 8100][2]:=$D3D6;
map[ 8101][1]:=$D079;map[ 8101][2]:=$D3DB;
map[ 8102][1]:=$D07A;map[ 8102][2]:=$D3D2;
map[ 8103][1]:=$D07B;map[ 8103][2]:=$D3D3;
map[ 8104][1]:=$D081;map[ 8104][2]:=$D3DC;
map[ 8105][1]:=$D082;map[ 8105][2]:=$D3D5;
map[ 8106][1]:=$D083;map[ 8106][2]:=$D3D9;
map[ 8107][1]:=$D084;map[ 8107][2]:=$E7C7;
map[ 8108][1]:=$D086;map[ 8108][2]:=$D7B2;
map[ 8109][1]:=$D088;map[ 8109][2]:=$D7C2;
map[ 8110][1]:=$D089;map[ 8110][2]:=$D7C4;
map[ 8111][1]:=$D08C;map[ 8111][2]:=$D7B8;
map[ 8112][1]:=$D08D;map[ 8112][2]:=$D7C3;
map[ 8113][1]:=$D08F;map[ 8113][2]:=$D7B3;
map[ 8114][1]:=$D090;map[ 8114][2]:=$D7BF;
map[ 8115][1]:=$D091;map[ 8115][2]:=$D7BB;
map[ 8116][1]:=$D092;map[ 8116][2]:=$D7BD;
map[ 8117][1]:=$D093;map[ 8117][2]:=$D7B7;
map[ 8118][1]:=$D094;map[ 8118][2]:=$D7BE;
map[ 8119][1]:=$D097;map[ 8119][2]:=$D7BA;
map[ 8120][1]:=$D099;map[ 8120][2]:=$D7B9;
map[ 8121][1]:=$D09D;map[ 8121][2]:=$D7BC;
map[ 8122][1]:=$D09E;map[ 8122][2]:=$D7B4;
map[ 8123][1]:=$D0A0;map[ 8123][2]:=$D7B6;
map[ 8124][1]:=$D0A1;map[ 8124][2]:=$A470;
map[ 8125][1]:=$D0A2;map[ 8125][2]:=$A7B5;
map[ 8126][1]:=$D0A3;map[ 8126][2]:=$AED5;
map[ 8127][1]:=$D0A4;map[ 8127][2]:=$A876;
map[ 8128][1]:=$D0A5;map[ 8128][2]:=$BC53;
map[ 8129][1]:=$D0A6;map[ 8129][2]:=$AFBA;
map[ 8130][1]:=$D0A7;map[ 8130][2]:=$AEC4;
map[ 8131][1]:=$D0A7;map[ 8131][2]:=$B3CB;
map[ 8132][1]:=$D0A8;map[ 8132][2]:=$B7A4;
map[ 8133][1]:=$D0A9;map[ 8133][2]:=$A8C7;
map[ 8134][1]:=$D0AA;map[ 8134][2]:=$B7B2;
map[ 8135][1]:=$D0AB;map[ 8135][2]:=$C3C8;
map[ 8136][1]:=$D0AB;map[ 8136][2]:=$E7B2;
map[ 8137][1]:=$D0AC;map[ 8137][2]:=$BE63;
map[ 8138][1]:=$D0AD;map[ 8138][2]:=$A8F3;
map[ 8139][1]:=$D0AE;map[ 8139][2]:=$AEB5;
map[ 8140][1]:=$D0AF;map[ 8140][2]:=$C4E2;
map[ 8141][1]:=$D0B0;map[ 8141][2]:=$A8B8;
map[ 8142][1]:=$D0B1;map[ 8142][2]:=$B1D7;
map[ 8143][1]:=$D0B2;map[ 8143][2]:=$AFD9;
map[ 8144][1]:=$D0B3;map[ 8144][2]:=$BFD3;
map[ 8145][1]:=$D0B4;map[ 8145][2]:=$BC67;
map[ 8146][1]:=$D0B5;map[ 8146][2]:=$B1F1;
map[ 8147][1]:=$D0B6;map[ 8147][2]:=$A8F8;
map[ 8148][1]:=$D0B7;map[ 8148][2]:=$C3C9;
map[ 8149][1]:=$D0B8;map[ 8149][2]:=$BED3;
map[ 8150][1]:=$D0B9;map[ 8150][2]:=$AA6E;
map[ 8151][1]:=$D0B9;map[ 8151][2]:=$ACAA;
map[ 8152][1]:=$D0BA;map[ 8152][2]:=$C26D;
map[ 8153][1]:=$D0BB;map[ 8153][2]:=$C1C2;
map[ 8154][1]:=$D0BC;map[ 8154][2]:=$AE68;
map[ 8155][1]:=$D0BD;map[ 8155][2]:=$C17E;
map[ 8156][1]:=$D0BE;map[ 8156][2]:=$AAE4;
map[ 8157][1]:=$D0BF;map[ 8157][2]:=$BE4E;
map[ 8158][1]:=$D0C0;map[ 8158][2]:=$AA59;
map[ 8159][1]:=$D0C0;map[ 8159][2]:=$B360;
map[ 8160][1]:=$D0C1;map[ 8160][2]:=$A8AF;
map[ 8161][1]:=$D0C2;map[ 8161][2]:=$B773;
map[ 8162][1]:=$D0C3;map[ 8162][2]:=$CAE3;
map[ 8163][1]:=$D0C4;map[ 8163][2]:=$A4DF;
map[ 8164][1]:=$D0C5;map[ 8164][2]:=$AB48;
map[ 8165][1]:=$D0C6;map[ 8165][2]:=$C65D;
map[ 8166][1]:=$D0C7;map[ 8166][2]:=$AC50;
map[ 8167][1]:=$D0C8;map[ 8167][2]:=$B87B;
map[ 8168][1]:=$D0C9;map[ 8168][2]:=$B556;
map[ 8169][1]:=$D0CA;map[ 8169][2]:=$B469;
map[ 8170][1]:=$D0CB;map[ 8170][2]:=$BFB3;
map[ 8171][1]:=$D0CC;map[ 8171][2]:=$A644;
map[ 8172][1]:=$D0CD;map[ 8172][2]:=$ABAC;
map[ 8173][1]:=$D0CE;map[ 8173][2]:=$A7CE;
map[ 8174][1]:=$D0CF;map[ 8174][2]:=$A8B7;
map[ 8175][1]:=$D0D0;map[ 8175][2]:=$A6E6;
map[ 8176][1]:=$D0D1;map[ 8176][2]:=$BFF4;
map[ 8177][1]:=$D0D2;map[ 8177][2]:=$A9AF;
map[ 8178][1]:=$D0D2;map[ 8178][2]:=$ADC6;
map[ 8179][1]:=$D0D3;map[ 8179][2]:=$A7F6;
map[ 8180][1]:=$D0D4;map[ 8180][2]:=$A9CA;
map[ 8181][1]:=$D0D5;map[ 8181][2]:=$A96D;
map[ 8182][1]:=$D0D6;map[ 8182][2]:=$A553;
map[ 8183][1]:=$D0D7;map[ 8183][2]:=$A4BF;
map[ 8184][1]:=$D0D7;map[ 8184][2]:=$A5FB;
map[ 8185][1]:=$D0D8;map[ 8185][2]:=$AFDD;
map[ 8186][1]:=$D0D9;map[ 8186][2]:=$A649;
map[ 8187][1]:=$D0DA;map[ 8187][2]:=$ACA4;
map[ 8188][1]:=$D0DB;map[ 8188][2]:=$B6AF;
map[ 8189][1]:=$D0DC;map[ 8189][2]:=$BAB5;
map[ 8190][1]:=$D0DD;map[ 8190][2]:=$A5F0;
map[ 8191][1]:=$D0DE;map[ 8191][2]:=$ADD7;
map[ 8192][1]:=$D0DE;map[ 8192][2]:=$B2E7;
map[ 8193][1]:=$D0DF;map[ 8193][2]:=$B2DB;
map[ 8194][1]:=$D0E0;map[ 8194][2]:=$A6B4;
map[ 8195][1]:=$D0E1;map[ 8195][2]:=$B6E5;
map[ 8196][1]:=$D0E2;map[ 8196][2]:=$C4C3;
map[ 8197][1]:=$D0E3;map[ 8197][2]:=$A871;
map[ 8198][1]:=$D0E4;map[ 8198][2]:=$B353;
map[ 8199][1]:=$D0E5;map[ 8199][2]:=$C2B8;
map[ 8200][1]:=$D0E6;map[ 8200][2]:=$BC56;
map[ 8201][1]:=$D0E7;map[ 8201][2]:=$A6A6;
map[ 8202][1]:=$D0E8;map[ 8202][2]:=$BBDD;
map[ 8203][1]:=$D0E9;map[ 8203][2]:=$B5EA;
map[ 8204][1]:=$D0EA;map[ 8204][2]:=$BC4E;
map[ 8205][1]:=$D0EB;map[ 8205][2]:=$B6B7;
map[ 8206][1]:=$D0EB;map[ 8206][2]:=$C5BD;
map[ 8207][1]:=$D0EC;map[ 8207][2]:=$AE7D;
map[ 8208][1]:=$D0ED;map[ 8208][2]:=$B35C;
map[ 8209][1]:=$D0EE;map[ 8209][2]:=$BB57;
map[ 8210][1]:=$D0EF;map[ 8210][2]:=$B3A4;
map[ 8211][1]:=$D0F0;map[ 8211][2]:=$B1D4;
map[ 8212][1]:=$D0F1;map[ 8212][2]:=$A6B0;
map[ 8213][1]:=$D0F2;map[ 8213][2]:=$A7C7;
map[ 8214][1]:=$D0F3;map[ 8214][2]:=$AF62;
map[ 8215][1]:=$D0F4;map[ 8215][2]:=$ABF2;
map[ 8216][1]:=$D0F4;map[ 8216][2]:=$A8F9;
map[ 8217][1]:=$D0F5;map[ 8217][2]:=$B5B6;
map[ 8218][1]:=$D0F6;map[ 8218][2]:=$B442;
map[ 8219][1]:=$D0F7;map[ 8219][2]:=$BAFC;
map[ 8220][1]:=$D0F8;map[ 8220][2]:=$C4F2;
map[ 8221][1]:=$D0F9;map[ 8221][2]:=$B061;
map[ 8222][1]:=$D0FA;map[ 8222][2]:=$B3D9;
map[ 8223][1]:=$D0FB;map[ 8223][2]:=$ABC5;
map[ 8224][1]:=$D0FC;map[ 8224][2]:=$C461;
map[ 8225][1]:=$D0FD;map[ 8225][2]:=$B1DB;
map[ 8226][1]:=$D0FD;map[ 8226][2]:=$F361;
map[ 8227][1]:=$D0FE;map[ 8227][2]:=$A5C8;
map[ 8228][1]:=$D140;map[ 8228][2]:=$D7C1;
map[ 8229][1]:=$D142;map[ 8229][2]:=$F0D4;
map[ 8230][1]:=$D144;map[ 8230][2]:=$DBCD;
map[ 8231][1]:=$D148;map[ 8231][2]:=$DBC9;
map[ 8232][1]:=$D149;map[ 8232][2]:=$DBC6;
map[ 8233][1]:=$D14A;map[ 8233][2]:=$DBC5;
map[ 8234][1]:=$D14B;map[ 8234][2]:=$DBC3;
map[ 8235][1]:=$D14D;map[ 8235][2]:=$DBCC;
map[ 8236][1]:=$D14E;map[ 8236][2]:=$DBC8;
map[ 8237][1]:=$D150;map[ 8237][2]:=$DBC7;
map[ 8238][1]:=$D154;map[ 8238][2]:=$E7C3;
map[ 8239][1]:=$D156;map[ 8239][2]:=$DFF2;
map[ 8240][1]:=$D158;map[ 8240][2]:=$DFF3;
map[ 8241][1]:=$D15A;map[ 8241][2]:=$DFF9;
map[ 8242][1]:=$D15D;map[ 8242][2]:=$DFF1;
map[ 8243][1]:=$D15E;map[ 8243][2]:=$DBC4;
map[ 8244][1]:=$D15F;map[ 8244][2]:=$DFF7;
map[ 8245][1]:=$D160;map[ 8245][2]:=$DFF6;
map[ 8246][1]:=$D163;map[ 8246][2]:=$DFF5;
map[ 8247][1]:=$D167;map[ 8247][2]:=$E3F6;
map[ 8248][1]:=$D16A;map[ 8248][2]:=$E442;
map[ 8249][1]:=$D16B;map[ 8249][2]:=$E441;
map[ 8250][1]:=$D16D;map[ 8250][2]:=$E3FB;
map[ 8251][1]:=$D16E;map[ 8251][2]:=$BB76;
map[ 8252][1]:=$D16F;map[ 8252][2]:=$E3F8;
map[ 8253][1]:=$D171;map[ 8253][2]:=$E3FD;
map[ 8254][1]:=$D172;map[ 8254][2]:=$E3F5;
map[ 8255][1]:=$D173;map[ 8255][2]:=$E3F9;
map[ 8256][1]:=$D174;map[ 8256][2]:=$E3FE;
map[ 8257][1]:=$D178;map[ 8257][2]:=$DBCE;
map[ 8258][1]:=$D17B;map[ 8258][2]:=$E7C2;
map[ 8259][1]:=$D17C;map[ 8259][2]:=$E7C9;
map[ 8260][1]:=$D180;map[ 8260][2]:=$E7CD;
map[ 8261][1]:=$D181;map[ 8261][2]:=$E7C5;
map[ 8262][1]:=$D184;map[ 8262][2]:=$E7CC;
map[ 8263][1]:=$D186;map[ 8263][2]:=$E7CB;
map[ 8264][1]:=$D187;map[ 8264][2]:=$E7C4;
map[ 8265][1]:=$D188;map[ 8265][2]:=$BDC9;
map[ 8266][1]:=$D189;map[ 8266][2]:=$E7CA;
map[ 8267][1]:=$D18A;map[ 8267][2]:=$E7C6;
map[ 8268][1]:=$D18E;map[ 8268][2]:=$EB70;
map[ 8269][1]:=$D18F;map[ 8269][2]:=$EB7C;
map[ 8270][1]:=$D191;map[ 8270][2]:=$EB77;
map[ 8271][1]:=$D192;map[ 8271][2]:=$EB79;
map[ 8272][1]:=$D194;map[ 8272][2]:=$EB71;
map[ 8273][1]:=$D195;map[ 8273][2]:=$EB75;
map[ 8274][1]:=$D197;map[ 8274][2]:=$EB78;
map[ 8275][1]:=$D198;map[ 8275][2]:=$EB7B;
map[ 8276][1]:=$D199;map[ 8276][2]:=$EB73;
map[ 8277][1]:=$D19A;map[ 8277][2]:=$EB74;
map[ 8278][1]:=$D19B;map[ 8278][2]:=$EB7A;
map[ 8279][1]:=$D19C;map[ 8279][2]:=$EB76;
map[ 8280][1]:=$D19F;map[ 8280][2]:=$EE71;
map[ 8281][1]:=$D1A0;map[ 8281][2]:=$EE77;
map[ 8282][1]:=$D1A1;map[ 8282][2]:=$BFEF;
map[ 8283][1]:=$D1A2;map[ 8283][2]:=$C57E;
map[ 8284][1]:=$D1A3;map[ 8284][2]:=$AF74;
map[ 8285][1]:=$D1A4;map[ 8285][2]:=$B5BA;
map[ 8286][1]:=$D1A5;map[ 8286][2]:=$B975;
map[ 8287][1]:=$D1A6;map[ 8287][2]:=$C1A7;
map[ 8288][1]:=$D1A7;map[ 8288][2]:=$BEC7;
map[ 8289][1]:=$D1A8;map[ 8289][2]:=$A5DE;
map[ 8290][1]:=$D1A9;map[ 8290][2]:=$B3B7;
map[ 8291][1]:=$D1AA;map[ 8291][2]:=$A6E5;
map[ 8292][1]:=$D1AB;map[ 8292][2]:=$B3D4;
map[ 8293][1]:=$D1AB;map[ 8293][2]:=$BEB1;
map[ 8294][1]:=$D1AC;map[ 8294][2]:=$C2C8;
map[ 8295][1]:=$D1AC;map[ 8295][2]:=$C274;
map[ 8296][1]:=$D1AC;map[ 8296][2]:=$E2C0;
map[ 8297][1]:=$D1AD;map[ 8297][2]:=$B460;
map[ 8298][1]:=$D1AE;map[ 8298][2]:=$A6AF;
map[ 8299][1]:=$D1AF;map[ 8299][2]:=$B8DF;
map[ 8300][1]:=$D1B0;map[ 8300][2]:=$B44D;
map[ 8301][1]:=$D1B1;map[ 8301][2]:=$B9A5;
map[ 8302][1]:=$D1B2;map[ 8302][2]:=$A8B5;
map[ 8303][1]:=$D1B3;map[ 8303][2]:=$AEEE;
map[ 8304][1]:=$D1B4;map[ 8304][2]:=$A6C4;
map[ 8305][1]:=$D1B5;map[ 8305][2]:=$B056;
map[ 8306][1]:=$D1B6;map[ 8306][2]:=$B054;
map[ 8307][1]:=$D1B7;map[ 8307][2]:=$BBB9;
map[ 8308][1]:=$D1B8;map[ 8308][2]:=$A8B3;
map[ 8309][1]:=$D1B9;map[ 8309][2]:=$C0A3;
map[ 8310][1]:=$D1BA;map[ 8310][2]:=$A9E3;
map[ 8311][1]:=$D1BB;map[ 8311][2]:=$BE7E;
map[ 8312][1]:=$D1BC;map[ 8312][2]:=$C06E;
map[ 8313][1]:=$D1BD;map[ 8313][2]:=$A772;
map[ 8314][1]:=$D1BE;map[ 8314][2]:=$A458;
map[ 8315][1]:=$D1BF;map[ 8315][2]:=$AADE;
map[ 8316][1]:=$D1C0;map[ 8316][2]:=$A4FA;
map[ 8317][1]:=$D1C1;map[ 8317][2]:=$B048;
map[ 8318][1]:=$D1C2;map[ 8318][2]:=$B156;
map[ 8319][1]:=$D1C3;map[ 8319][2]:=$B8C5;
map[ 8320][1]:=$D1C4;map[ 8320][2]:=$B250;
map[ 8321][1]:=$D1C5;map[ 8321][2]:=$B6AE;
map[ 8322][1]:=$D1C6;map[ 8322][2]:=$B0D7;
map[ 8323][1]:=$D1C7;map[ 8323][2]:=$A8C8;
map[ 8324][1]:=$D1C8;map[ 8324][2]:=$B359;
map[ 8325][1]:=$D1C9;map[ 8325][2]:=$B26A;
map[ 8326][1]:=$D1CA;map[ 8326][2]:=$AB7C;
map[ 8327][1]:=$D1CA;map[ 8327][2]:=$C360;
map[ 8328][1]:=$D1CB;map[ 8328][2]:=$EC49;
map[ 8329][1]:=$D1CC;map[ 8329][2]:=$B7CF;
map[ 8330][1]:=$D1CC;map[ 8330][2]:=$B5D2;
map[ 8331][1]:=$D1CD;map[ 8331][2]:=$B254;
map[ 8332][1]:=$D1CE;map[ 8332][2]:=$C651;
map[ 8333][1]:=$D1CF;map[ 8333][2]:=$C459;
map[ 8334][1]:=$D1D0;map[ 8334][2]:=$ACE3;
map[ 8335][1]:=$D1D1;map[ 8335][2]:=$E3E9;
map[ 8336][1]:=$D1D2;map[ 8336][2]:=$A9A5;
map[ 8337][1]:=$D1D2;map[ 8337][2]:=$C5C9;
map[ 8338][1]:=$D1D2;map[ 8338][2]:=$D877;
map[ 8339][1]:=$D1D3;map[ 8339][2]:=$A9B5;
map[ 8340][1]:=$D1D4;map[ 8340][2]:=$A8A5;
map[ 8341][1]:=$D1D5;map[ 8341][2]:=$C343;
map[ 8342][1]:=$D1D6;map[ 8342][2]:=$C046;
map[ 8343][1]:=$D1D7;map[ 8343][2]:=$AAA2;
map[ 8344][1]:=$D1D8;map[ 8344][2]:=$AA75;
map[ 8345][1]:=$D1D9;map[ 8345][2]:=$A961;
map[ 8346][1]:=$D1DA;map[ 8346][2]:=$B1BB;
map[ 8347][1]:=$D1DB;map[ 8347][2]:=$B2B4;
map[ 8348][1]:=$D1DC;map[ 8348][2]:=$AD6C;
map[ 8349][1]:=$D1DD;map[ 8349][2]:=$BA74;
map[ 8350][1]:=$D1DD;map[ 8350][2]:=$C169;
map[ 8351][1]:=$D1DE;map[ 8351][2]:=$C641;
map[ 8352][1]:=$D1DE;map[ 8352][2]:=$C676;
map[ 8353][1]:=$D1DF;map[ 8353][2]:=$B3F7;
map[ 8354][1]:=$D1E0;map[ 8354][2]:=$BF50;
map[ 8355][1]:=$D1E0;map[ 8355][2]:=$F840;
map[ 8356][1]:=$D1E0;map[ 8356][2]:=$F849;
map[ 8357][1]:=$D1E0;map[ 8357][2]:=$F86D;
map[ 8358][1]:=$D1E1;map[ 8358][2]:=$B9BD;
map[ 8359][1]:=$D1E2;map[ 8359][2]:=$B578;
map[ 8360][1]:=$D1E3;map[ 8360][2]:=$B6AD;
map[ 8361][1]:=$D1E4;map[ 8361][2]:=$ADF1;
map[ 8362][1]:=$D1E5;map[ 8362][2]:=$ABDB;
map[ 8363][1]:=$D1E6;map[ 8363][2]:=$B54B;
map[ 8364][1]:=$D1E6;map[ 8364][2]:=$BF56;
map[ 8365][1]:=$D1E7;map[ 8365][2]:=$AE62;
map[ 8366][1]:=$D1E8;map[ 8366][2]:=$BFCE;
map[ 8367][1]:=$D1E9;map[ 8367][2]:=$C5E7;
map[ 8368][1]:=$D1EA;map[ 8368][2]:=$AC6F;
map[ 8369][1]:=$D1EB;map[ 8369][2]:=$A5A1;
map[ 8370][1]:=$D1EC;map[ 8370][2]:=$C06D;
map[ 8371][1]:=$D1ED;map[ 8371][2]:=$AFB1;
map[ 8372][1]:=$D1EE;map[ 8372][2]:=$B7A8;
map[ 8373][1]:=$D1EF;map[ 8373][2]:=$B4AD;
map[ 8374][1]:=$D1EF;map[ 8374][2]:=$C347;
map[ 8375][1]:=$D1F0;map[ 8375][2]:=$A8CB;
map[ 8376][1]:=$D1F1;map[ 8376][2]:=$BAC5;
map[ 8377][1]:=$D1F2;map[ 8377][2]:=$A6CF;
map[ 8378][1]:=$D1F3;map[ 8378][2]:=$AC76;
map[ 8379][1]:=$D1F4;map[ 8379][2]:=$B6A7;
map[ 8380][1]:=$D1F5;map[ 8380][2]:=$AEF1;
map[ 8381][1]:=$D1F6;map[ 8381][2]:=$A5F5;
map[ 8382][1]:=$D1F7;map[ 8382][2]:=$C46F;
map[ 8383][1]:=$D1F7;map[ 8383][2]:=$D67D;
map[ 8384][1]:=$D1F8;map[ 8384][2]:=$BE69;
map[ 8385][1]:=$D1F9;map[ 8385][2]:=$BCCB;
map[ 8386][1]:=$D1FA;map[ 8386][2]:=$BA79;
map[ 8387][1]:=$D1FB;map[ 8387][2]:=$C1DC;
map[ 8388][1]:=$D1FC;map[ 8388][2]:=$B879;
map[ 8389][1]:=$D1FD;map[ 8389][2]:=$A7AF;
map[ 8390][1]:=$D1FE;map[ 8390][2]:=$BABD;
map[ 8391][1]:=$D244;map[ 8391][2]:=$EE73;
map[ 8392][1]:=$D245;map[ 8392][2]:=$C1BA;
map[ 8393][1]:=$D246;map[ 8393][2]:=$EE74;
map[ 8394][1]:=$D249;map[ 8394][2]:=$EE78;
map[ 8395][1]:=$D24F;map[ 8395][2]:=$F0D9;
map[ 8396][1]:=$D251;map[ 8396][2]:=$F0D3;
map[ 8397][1]:=$D252;map[ 8397][2]:=$F0D5;
map[ 8398][1]:=$D256;map[ 8398][2]:=$F0D7;
map[ 8399][1]:=$D257;map[ 8399][2]:=$F0D8;
map[ 8400][1]:=$D258;map[ 8400][2]:=$EE76;
map[ 8401][1]:=$D259;map[ 8401][2]:=$F0D2;
map[ 8402][1]:=$D25B;map[ 8402][2]:=$F7FC;
map[ 8403][1]:=$D25D;map[ 8403][2]:=$F2EC;
map[ 8404][1]:=$D25E;map[ 8404][2]:=$F2EF;
map[ 8405][1]:=$D25F;map[ 8405][2]:=$F2F1;
map[ 8406][1]:=$D260;map[ 8406][2]:=$F2EA;
map[ 8407][1]:=$D261;map[ 8407][2]:=$F2EB;
map[ 8408][1]:=$D262;map[ 8408][2]:=$F2EE;
map[ 8409][1]:=$D265;map[ 8409][2]:=$F2ED;
map[ 8410][1]:=$D266;map[ 8410][2]:=$F2E9;
map[ 8411][1]:=$D267;map[ 8411][2]:=$F4CA;
map[ 8412][1]:=$D26C;map[ 8412][2]:=$F649;
map[ 8413][1]:=$D26E;map[ 8413][2]:=$F64B;
map[ 8414][1]:=$D26F;map[ 8414][2]:=$C4FC;
map[ 8415][1]:=$D270;map[ 8415][2]:=$F648;
map[ 8416][1]:=$D271;map[ 8416][2]:=$F64A;
map[ 8417][1]:=$D274;map[ 8417][2]:=$F752;
map[ 8418][1]:=$D276;map[ 8418][2]:=$F7FD;
map[ 8419][1]:=$D279;map[ 8419][2]:=$F7FB;
map[ 8420][1]:=$D27C;map[ 8420][2]:=$F948;
map[ 8421][1]:=$D27D;map[ 8421][2]:=$F949;
map[ 8422][1]:=$D27E;map[ 8422][2]:=$F94A;
map[ 8423][1]:=$D281;map[ 8423][2]:=$CA50;
map[ 8424][1]:=$D283;map[ 8424][2]:=$D7C5;
map[ 8425][1]:=$D285;map[ 8425][2]:=$DFFA;
map[ 8426][1]:=$D294;map[ 8426][2]:=$DBD0;
map[ 8427][1]:=$D296;map[ 8427][2]:=$DBD2;
map[ 8428][1]:=$D29A;map[ 8428][2]:=$DFFB;
map[ 8429][1]:=$D29C;map[ 8429][2]:=$E443;
map[ 8430][1]:=$D29D;map[ 8430][2]:=$E446;
map[ 8431][1]:=$D29E;map[ 8431][2]:=$E445;
map[ 8432][1]:=$D2A1;map[ 8432][2]:=$B76E;
map[ 8433][1]:=$D2A2;map[ 8433][2]:=$B3F3;
map[ 8434][1]:=$D2A3;map[ 8434][2]:=$BBBB;
map[ 8435][1]:=$D2A4;map[ 8435][2]:=$BD60;
map[ 8436][1]:=$D2A5;map[ 8436][2]:=$C1C1;
map[ 8437][1]:=$D2A6;map[ 8437][2]:=$ABC0;
map[ 8438][1]:=$D2A7;map[ 8438][2]:=$AB72;
map[ 8439][1]:=$D2A8;map[ 8439][2]:=$AFE6;
map[ 8440][1]:=$D2A9;map[ 8440][2]:=$C3C4;
map[ 8441][1]:=$D2A9;map[ 8441][2]:=$DFD3;
map[ 8442][1]:=$D2AA;map[ 8442][2]:=$AD6E;
map[ 8443][1]:=$D2AB;map[ 8443][2]:=$C4A3;
map[ 8444][1]:=$D2AB;map[ 8444][2]:=$EFFA;
map[ 8445][1]:=$D2AC;map[ 8445][2]:=$B7A6;
map[ 8446][1]:=$D2AD;map[ 8446][2]:=$BC4F;
map[ 8447][1]:=$D2AE;map[ 8447][2]:=$AD43;
map[ 8448][1]:=$D2AF;map[ 8448][2]:=$B7DD;
map[ 8449][1]:=$D2B0;map[ 8449][2]:=$B3A5;
map[ 8450][1]:=$D2B1;map[ 8450][2]:=$A74D;
map[ 8451][1]:=$D2B2;map[ 8451][2]:=$A45D;
map[ 8452][1]:=$D2B3;map[ 8452][2]:=$ADB6;
map[ 8453][1]:=$D2B4;map[ 8453][2]:=$B1B3;
map[ 8454][1]:=$D2B5;map[ 8454][2]:=$B77E;
map[ 8455][1]:=$D2B6;map[ 8455][2]:=$B8AD;
map[ 8456][1]:=$D2B7;map[ 8456][2]:=$A6B2;
map[ 8457][1]:=$D2B8;map[ 8457][2]:=$B5C5;
map[ 8458][1]:=$D2B9;map[ 8458][2]:=$A95D;
map[ 8459][1]:=$D2BA;map[ 8459][2]:=$B247;
map[ 8460][1]:=$D2BB;map[ 8460][2]:=$A440;
map[ 8461][1]:=$D2BC;map[ 8461][2]:=$B3FC;
map[ 8462][1]:=$D2BD;map[ 8462][2]:=$C2E5;
map[ 8463][1]:=$D2BD;map[ 8463][2]:=$EFE9;
map[ 8464][1]:=$D2BE;map[ 8464][2]:=$B4A5;
map[ 8465][1]:=$D2BF;map[ 8465][2]:=$E476;
map[ 8466][1]:=$D2C0;map[ 8466][2]:=$A8CC;
map[ 8467][1]:=$D2C1;map[ 8467][2]:=$A5EC;
map[ 8468][1]:=$D2C2;map[ 8468][2]:=$A6E7;
map[ 8469][1]:=$D2C3;map[ 8469][2]:=$C05B;
map[ 8470][1]:=$D2C4;map[ 8470][2]:=$A669;
map[ 8471][1]:=$D2C5;map[ 8471][2]:=$BFF2;
map[ 8472][1]:=$D2C6;map[ 8472][2]:=$B2BE;
map[ 8473][1]:=$D2C7;map[ 8473][2]:=$BBF6;
map[ 8474][1]:=$D2C8;map[ 8474][2]:=$AFD8;
map[ 8475][1]:=$D2C9;map[ 8475][2]:=$BAC3;
map[ 8476][1]:=$D2CA;map[ 8476][2]:=$A85E;
map[ 8477][1]:=$D2CB;map[ 8477][2]:=$A979;
map[ 8478][1]:=$D2CC;map[ 8478][2]:=$ABBC;
map[ 8479][1]:=$D2CD;map[ 8479][2]:=$C255;
map[ 8480][1]:=$D2CE;map[ 8480][2]:=$B4C8;
map[ 8481][1]:=$D2CF;map[ 8481][2]:=$C3C6;
map[ 8482][1]:=$D2CF;map[ 8482][2]:=$EB63;
map[ 8483][1]:=$D2D0;map[ 8483][2]:=$ADCA;
map[ 8484][1]:=$D2D1;map[ 8484][2]:=$A477;
map[ 8485][1]:=$D2D2;map[ 8485][2]:=$A441;
map[ 8486][1]:=$D2D3;map[ 8486][2]:=$A86F;
map[ 8487][1]:=$D2D4;map[ 8487][2]:=$A548;
map[ 8488][1]:=$D2D5;map[ 8488][2]:=$C3C0;
map[ 8489][1]:=$D2D6;map[ 8489][2]:=$A7ED;
map[ 8490][1]:=$D2D7;map[ 8490][2]:=$A9F6;
map[ 8491][1]:=$D2D8;map[ 8491][2]:=$A8B6;
map[ 8492][1]:=$D2D9;map[ 8492][2]:=$A67A;
map[ 8493][1]:=$D2DA;map[ 8493][2]:=$BBF5;
map[ 8494][1]:=$D2DB;map[ 8494][2]:=$A7D0;
map[ 8495][1]:=$D2DC;map[ 8495][2]:=$C172;
map[ 8496][1]:=$D2DD;map[ 8496][2]:=$B668;
map[ 8497][1]:=$D2DE;map[ 8497][2]:=$B877;
map[ 8498][1]:=$D2DF;map[ 8498][2]:=$ACCC;
map[ 8499][1]:=$D2E0;map[ 8499][2]:=$A5E7;
map[ 8500][1]:=$D2E1;map[ 8500][2]:=$B8C7;
map[ 8501][1]:=$D2E2;map[ 8501][2]:=$B74E;
map[ 8502][1]:=$D2E3;map[ 8502][2]:=$BCDD;
map[ 8503][1]:=$D2E4;map[ 8503][2]:=$BED0;
map[ 8504][1]:=$D2E5;map[ 8504][2]:=$B871;
map[ 8505][1]:=$D2E6;map[ 8505][2]:=$AF71;
map[ 8506][1]:=$D2E7;map[ 8506][2]:=$B7B8;
map[ 8507][1]:=$D2E8;map[ 8507][2]:=$B8DA;
map[ 8508][1]:=$D2E9;map[ 8508][2]:=$C4B3;
map[ 8509][1]:=$D2EA;map[ 8509][2]:=$BDCB;
map[ 8510][1]:=$D2EB;map[ 8510][2]:=$C4B6;
map[ 8511][1]:=$D2EC;map[ 8511][2]:=$B2A7;
map[ 8512][1]:=$D2EC;map[ 8512][2]:=$C9DD;
map[ 8513][1]:=$D2ED;map[ 8513][2]:=$C16C;
map[ 8514][1]:=$D2EE;map[ 8514][2]:=$B2DD;
map[ 8515][1]:=$D2EF;map[ 8515][2]:=$C3B6;
map[ 8516][1]:=$D2F0;map[ 8516][2]:=$AFF4;
map[ 8517][1]:=$D2F1;map[ 8517][2]:=$BDAE;
map[ 8518][1]:=$D2F1;map[ 8518][2]:=$E1BA;
map[ 8519][1]:=$D2F2;map[ 8519][2]:=$A65D;
map[ 8520][1]:=$D2F3;map[ 8520][2]:=$AEEF;
map[ 8521][1]:=$D2F3;map[ 8521][2]:=$B9FE;
map[ 8522][1]:=$D2F4;map[ 8522][2]:=$ADB5;
map[ 8523][1]:=$D2F5;map[ 8523][2]:=$B3B1;
map[ 8524][1]:=$D2F6;map[ 8524][2]:=$ABC3;
map[ 8525][1]:=$D2F7;map[ 8525][2]:=$A775;
map[ 8526][1]:=$D2F8;map[ 8526][2]:=$BBC8;
map[ 8527][1]:=$D2F9;map[ 8527][2]:=$B25D;
map[ 8528][1]:=$D2F9;map[ 8528][2]:=$D4D9;
map[ 8529][1]:=$D2FA;map[ 8529][2]:=$B147;
map[ 8530][1]:=$D2FB;map[ 8530][2]:=$B6BC;
map[ 8531][1]:=$D2FC;map[ 8531][2]:=$A4A8;
map[ 8532][1]:=$D2FD;map[ 8532][2]:=$A4DE;
map[ 8533][1]:=$D2FE;map[ 8533][2]:=$C1F4;
map[ 8534][1]:=$D340;map[ 8534][2]:=$E7CE;
map[ 8535][1]:=$D341;map[ 8535][2]:=$E7D0;
map[ 8536][1]:=$D342;map[ 8536][2]:=$E7CF;
map[ 8537][1]:=$D34B;map[ 8537][2]:=$EE79;
map[ 8538][1]:=$D34C;map[ 8538][2]:=$EE7B;
map[ 8539][1]:=$D354;map[ 8539][2]:=$F2F4;
map[ 8540][1]:=$D357;map[ 8540][2]:=$F4CC;
map[ 8541][1]:=$D35C;map[ 8541][2]:=$F754;
map[ 8542][1]:=$D361;map[ 8542][2]:=$D0AF;
map[ 8543][1]:=$D362;map[ 8543][2]:=$AD6F;
map[ 8544][1]:=$D363;map[ 8544][2]:=$D7C8;
map[ 8545][1]:=$D366;map[ 8545][2]:=$D7C7;
map[ 8546][1]:=$D367;map[ 8546][2]:=$DBD5;
map[ 8547][1]:=$D369;map[ 8547][2]:=$DFFC;
map[ 8548][1]:=$D36A;map[ 8548][2]:=$E041;
map[ 8549][1]:=$D36B;map[ 8549][2]:=$E040;
map[ 8550][1]:=$D36C;map[ 8550][2]:=$E042;
map[ 8551][1]:=$D36D;map[ 8551][2]:=$DFFE;
map[ 8552][1]:=$D36F;map[ 8552][2]:=$E449;
map[ 8553][1]:=$D370;map[ 8553][2]:=$E447;
map[ 8554][1]:=$D372;map[ 8554][2]:=$E7D3;
map[ 8555][1]:=$D373;map[ 8555][2]:=$E7D1;
map[ 8556][1]:=$D375;map[ 8556][2]:=$E7D2;
map[ 8557][1]:=$D376;map[ 8557][2]:=$EB7D;
map[ 8558][1]:=$D377;map[ 8558][2]:=$EE7C;
map[ 8559][1]:=$D37B;map[ 8559][2]:=$F4CD;
map[ 8560][1]:=$D37E;map[ 8560][2]:=$F64C;
map[ 8561][1]:=$D380;map[ 8561][2]:=$F755;
map[ 8562][1]:=$D381;map[ 8562][2]:=$C5A9;
map[ 8563][1]:=$D383;map[ 8563][2]:=$F7FE;
map[ 8564][1]:=$D384;map[ 8564][2]:=$F94C;
map[ 8565][1]:=$D388;map[ 8565][2]:=$D0B0;
map[ 8566][1]:=$D394;map[ 8566][2]:=$B059;
map[ 8567][1]:=$D3A1;map[ 8567][2]:=$A64C;
map[ 8568][1]:=$D3A2;map[ 8568][2]:=$AD5E;
map[ 8569][1]:=$D3A3;map[ 8569][2]:=$C4E5;
map[ 8570][1]:=$D3A4;map[ 8570][2]:=$C0A6;
map[ 8571][1]:=$D3A5;map[ 8571][2]:=$C64E;
map[ 8572][1]:=$D3A6;map[ 8572][2]:=$C0B3;
map[ 8573][1]:=$D3A7;map[ 8573][2]:=$C5D5;
map[ 8574][1]:=$D3A8;map[ 8574][2]:=$BCFC;
map[ 8575][1]:=$D3A9;map[ 8575][2]:=$BFC3;
map[ 8576][1]:=$D3AA;map[ 8576][2]:=$C0E7;
map[ 8577][1]:=$D3AB;map[ 8577][2]:=$BAB7;
map[ 8578][1]:=$D3AC;map[ 8578][2]:=$C3C7;
map[ 8579][1]:=$D3AD;map[ 8579][2]:=$AAEF;
map[ 8580][1]:=$D3AE;map[ 8580][2]:=$C4B9;
map[ 8581][1]:=$D3AF;map[ 8581][2]:=$ACD5;
map[ 8582][1]:=$D3B0;map[ 8582][2]:=$BC76;
map[ 8583][1]:=$D3B1;map[ 8583][2]:=$BF6F;
map[ 8584][1]:=$D3B2;map[ 8584][2]:=$B577;
map[ 8585][1]:=$D3B3;map[ 8585][2]:=$AC4D;
map[ 8586][1]:=$D3B4;map[ 8586][2]:=$B3E9;
map[ 8587][1]:=$D3B5;map[ 8587][2]:=$BED6;
map[ 8588][1]:=$D3B6;map[ 8588][2]:=$A6FE;
map[ 8589][1]:=$D3B6;map[ 8589][2]:=$B6C4;
map[ 8590][1]:=$D3B7;map[ 8590][2]:=$C173;
map[ 8591][1]:=$D3B8;map[ 8591][2]:=$F7EA;
map[ 8592][1]:=$D3B9;map[ 8592][2]:=$B165;
map[ 8593][1]:=$D3BA;map[ 8593][2]:=$B96C;
map[ 8594][1]:=$D3BB;map[ 8594][2]:=$BFE3;
map[ 8595][1]:=$D3BB;map[ 8595][2]:=$E45C;
map[ 8596][1]:=$D3BC;map[ 8596][2]:=$B8BA;
map[ 8597][1]:=$D3BD;map[ 8597][2]:=$B5FA;
map[ 8598][1]:=$D3BE;map[ 8598][2]:=$AA61;
map[ 8599][1]:=$D3BF;map[ 8599][2]:=$B4E9;
map[ 8600][1]:=$D3BF;map[ 8600][2]:=$AF46;
map[ 8601][1]:=$D3C0;map[ 8601][2]:=$A5C3;
map[ 8602][1]:=$D3C1;map[ 8602][2]:=$B176;
map[ 8603][1]:=$D3C2;map[ 8603][2]:=$AB69;
map[ 8604][1]:=$D3C3;map[ 8604][2]:=$A5CE;
map[ 8605][1]:=$D3C4;map[ 8605][2]:=$ABD5;
map[ 8606][1]:=$D3C5;map[ 8606][2]:=$C075;
map[ 8607][1]:=$D3C5;map[ 8607][2]:=$C9AC;
map[ 8608][1]:=$D3C6;map[ 8608][2]:=$B179;
map[ 8609][1]:=$D3C7;map[ 8609][2]:=$BC7E;
map[ 8610][1]:=$D3C8;map[ 8610][2]:=$A4D7;
map[ 8611][1]:=$D3C9;map[ 8611][2]:=$A5D1;
map[ 8612][1]:=$D3CA;map[ 8612][2]:=$B66C;
map[ 8613][1]:=$D3CB;map[ 8613][2]:=$B95C;
map[ 8614][1]:=$D3CC;map[ 8614][2]:=$B553;
map[ 8615][1]:=$D3CD;map[ 8615][2]:=$AA6F;
map[ 8616][1]:=$D3CE;map[ 8616][2]:=$B4E5;
map[ 8617][1]:=$D3CE;map[ 8617][2]:=$B943;
map[ 8618][1]:=$D3CF;map[ 8618][2]:=$A8BB;
map[ 8619][1]:=$D3D0;map[ 8619][2]:=$A6B3;
map[ 8620][1]:=$D3D1;map[ 8620][2]:=$A4CD;
map[ 8621][1]:=$D3D2;map[ 8621][2]:=$A56B;
map[ 8622][1]:=$D3D3;map[ 8622][2]:=$A6F6;
map[ 8623][1]:=$D3D3;map[ 8623][2]:=$AFA7;
map[ 8624][1]:=$D3D4;map[ 8624][2]:=$B956;
map[ 8625][1]:=$D3D5;map[ 8625][2]:=$BBA4;
map[ 8626][1]:=$D3D6;map[ 8626][2]:=$A453;
map[ 8627][1]:=$D3D7;map[ 8627][2]:=$A5AE;
map[ 8628][1]:=$D3D8;map[ 8628][2]:=$A8B1;
map[ 8629][1]:=$D3D9;map[ 8629][2]:=$B24A;
map[ 8630][1]:=$D3DA;map[ 8630][2]:=$A45F;
map[ 8631][1]:=$D3DA;map[ 8631][2]:=$A9F3;
map[ 8632][1]:=$D3DB;map[ 8632][2]:=$AABB;
map[ 8633][1]:=$D3DC;map[ 8633][2]:=$B7AE;
map[ 8634][1]:=$D3DD;map[ 8634][2]:=$B8B7;
map[ 8635][1]:=$D3DE;map[ 8635][2]:=$B74D;
map[ 8636][1]:=$D3DF;map[ 8636][2]:=$C1D6;
map[ 8637][1]:=$D3E0;map[ 8637][2]:=$A745;
map[ 8638][1]:=$D3E0;map[ 8638][2]:=$BE6C;
map[ 8639][1]:=$D3E1;map[ 8639][2]:=$AB5C;
map[ 8640][1]:=$D3E2;map[ 8640][2]:=$B94F;
map[ 8641][1]:=$D3E3;map[ 8641][2]:=$B3BD;
map[ 8642][1]:=$D3E4;map[ 8642][2]:=$B472;
map[ 8643][1]:=$D3E5;map[ 8643][2]:=$B4FC;
map[ 8644][1]:=$D3E6;map[ 8644][2]:=$BAAE;
map[ 8645][1]:=$D3E7;map[ 8645][2]:=$B6A8;
map[ 8646][1]:=$D3E8;map[ 8646][2]:=$A4A9;
map[ 8647][1]:=$D3E9;map[ 8647][2]:=$AE54;
map[ 8648][1]:=$D3EA;map[ 8648][2]:=$AB42;
map[ 8649][1]:=$D3EB;map[ 8649][2]:=$BB50;
map[ 8650][1]:=$D3EB;map[ 8650][2]:=$C94F;
map[ 8651][1]:=$D3EC;map[ 8651][2]:=$C0AC;
map[ 8652][1]:=$D3ED;map[ 8652][2]:=$ACEA;
map[ 8653][1]:=$D3EE;map[ 8653][2]:=$A674;
map[ 8654][1]:=$D3EF;map[ 8654][2]:=$BB79;
map[ 8655][1]:=$D3F0;map[ 8655][2]:=$A6D0;
map[ 8656][1]:=$D3F1;map[ 8656][2]:=$A5C9;
map[ 8657][1]:=$D3F2;map[ 8657][2]:=$B0EC;
map[ 8658][1]:=$D3F3;map[ 8658][2]:=$A8A1;
map[ 8659][1]:=$D3F4;map[ 8659][2]:=$ADA7;
map[ 8660][1]:=$D3F4;map[ 8660][2]:=$C67B;
map[ 8661][1]:=$D3F5;map[ 8661][2]:=$A653;
map[ 8662][1]:=$D3F5;map[ 8662][2]:=$B058;
map[ 8663][1]:=$D3F5;map[ 8663][2]:=$C67E;
map[ 8664][1]:=$D3F6;map[ 8664][2]:=$B94A;
map[ 8665][1]:=$D3F7;map[ 8665][2]:=$B3EB;
map[ 8666][1]:=$D3F8;map[ 8666][2]:=$AE6E;
map[ 8667][1]:=$D3F9;map[ 8667][2]:=$B173;
map[ 8668][1]:=$D3F9;map[ 8668][2]:=$BF6D;
map[ 8669][1]:=$D3FA;map[ 8669][2]:=$B755;
map[ 8670][1]:=$D3FA;map[ 8670][2]:=$BAC7;
map[ 8671][1]:=$D3FA;map[ 8671][2]:=$C2A1;
map[ 8672][1]:=$D3FB;map[ 8672][2]:=$B1FD;
map[ 8673][1]:=$D3FB;map[ 8673][2]:=$BCA4;
map[ 8674][1]:=$D3FC;map[ 8674][2]:=$BABB;
map[ 8675][1]:=$D3FD;map[ 8675][2]:=$A87C;
map[ 8676][1]:=$D3FE;map[ 8676][2]:=$C541;
map[ 8677][1]:=$D440;map[ 8677][2]:=$D7CC;
map[ 8678][1]:=$D449;map[ 8678][2]:=$D7CA;
map[ 8679][1]:=$D44E;map[ 8679][2]:=$D7CB;
map[ 8680][1]:=$D452;map[ 8680][2]:=$D7C9;
map[ 8681][1]:=$D45B;map[ 8681][2]:=$DBD8;
map[ 8682][1]:=$D460;map[ 8682][2]:=$E049;
map[ 8683][1]:=$D461;map[ 8683][2]:=$DBDA;
map[ 8684][1]:=$D465;map[ 8684][2]:=$DBDD;
map[ 8685][1]:=$D466;map[ 8685][2]:=$DBDE;
map[ 8686][1]:=$D46A;map[ 8686][2]:=$DBE2;
map[ 8687][1]:=$D46C;map[ 8687][2]:=$DBE3;
map[ 8688][1]:=$D46D;map[ 8688][2]:=$DBD7;
map[ 8689][1]:=$D46F;map[ 8689][2]:=$DBE4;
map[ 8690][1]:=$D471;map[ 8690][2]:=$DBE1;
map[ 8691][1]:=$D479;map[ 8691][2]:=$DBD9;
map[ 8692][1]:=$D480;map[ 8692][2]:=$F842;
map[ 8693][1]:=$D489;map[ 8693][2]:=$B8E5;
map[ 8694][1]:=$D495;map[ 8694][2]:=$E050;
map[ 8695][1]:=$D497;map[ 8695][2]:=$E045;
map[ 8696][1]:=$D498;map[ 8696][2]:=$E04A;
map[ 8697][1]:=$D49A;map[ 8697][2]:=$E051;
map[ 8698][1]:=$D49B;map[ 8698][2]:=$B8E3;
map[ 8699][1]:=$D4A1;map[ 8699][2]:=$AF44;
map[ 8700][1]:=$D4A2;map[ 8700][2]:=$B44A;
map[ 8701][1]:=$D4A3;map[ 8701][2]:=$B8CE;
map[ 8702][1]:=$D4A4;map[ 8702][2]:=$B977;
map[ 8703][1]:=$D4A5;map[ 8703][2]:=$BFDD;
map[ 8704][1]:=$D4A6;map[ 8704][2]:=$B6BF;
map[ 8705][1]:=$D4A7;map[ 8705][2]:=$C070;
map[ 8706][1]:=$D4A8;map[ 8706][2]:=$B257;
map[ 8707][1]:=$D4A9;map[ 8707][2]:=$ADDE;
map[ 8708][1]:=$D4AA;map[ 8708][2]:=$A4B8;
map[ 8709][1]:=$D4AB;map[ 8709][2]:=$ABAE;
map[ 8710][1]:=$D4AC;map[ 8710][2]:=$B04B;
map[ 8711][1]:=$D4AD;map[ 8711][2]:=$ADEC;
map[ 8712][1]:=$D4AE;map[ 8712][2]:=$B4A9;
map[ 8713][1]:=$D4AF;map[ 8713][2]:=$C1D5;
map[ 8714][1]:=$D4B0;map[ 8714][2]:=$B6E9;
map[ 8715][1]:=$D4B1;map[ 8715][2]:=$ADFB;
map[ 8716][1]:=$D4B2;map[ 8716][2]:=$B6EA;
map[ 8717][1]:=$D4B3;map[ 8717][2]:=$B7E1;
map[ 8718][1]:=$D4B4;map[ 8718][2]:=$B7BD;
map[ 8719][1]:=$D4B5;map[ 8719][2]:=$BD74;
map[ 8720][1]:=$D4B6;map[ 8720][2]:=$BBB7;
map[ 8721][1]:=$D4B7;map[ 8721][2]:=$AD62;
map[ 8722][1]:=$D4B8;map[ 8722][2]:=$C440;
map[ 8723][1]:=$D4B8;map[ 8723][2]:=$BA40;
map[ 8724][1]:=$D4B9;map[ 8724][2]:=$ABE8;
map[ 8725][1]:=$D4BA;map[ 8725][2]:=$B07C;
map[ 8726][1]:=$D4BB;map[ 8726][2]:=$A4EA;
map[ 8727][1]:=$D4BC;map[ 8727][2]:=$ACF9;
map[ 8728][1]:=$D4BD;map[ 8728][2]:=$B656;
map[ 8729][1]:=$D4BE;map[ 8729][2]:=$C544;
map[ 8730][1]:=$D4BF;map[ 8730][2]:=$C5D4;
map[ 8731][1]:=$D4BF;map[ 8731][2]:=$C65F;
map[ 8732][1]:=$D4BF;map[ 8732][2]:=$DC76;
map[ 8733][1]:=$D4C0;map[ 8733][2]:=$A9A8;
map[ 8734][1]:=$D4C0;map[ 8734][2]:=$C0AE;
map[ 8735][1]:=$D4C1;map[ 8735][2]:=$B866;
map[ 8736][1]:=$D4C2;map[ 8736][2]:=$A4EB;
map[ 8737][1]:=$D4C3;map[ 8737][2]:=$AEAE;
map[ 8738][1]:=$D4C4;map[ 8738][2]:=$BE5C;
map[ 8739][1]:=$D4C5;map[ 8739][2]:=$AFD0;
map[ 8740][1]:=$D4C6;map[ 8740][2]:=$A4AA;
map[ 8741][1]:=$D4C6;map[ 8741][2]:=$B6B3;
map[ 8742][1]:=$D4C7;map[ 8742][2]:=$E0A8;
map[ 8743][1]:=$D4C8;map[ 8743][2]:=$A4C3;
map[ 8744][1]:=$D4C9;map[ 8744][2]:=$B96B;
map[ 8745][1]:=$D4CA;map[ 8745][2]:=$A4B9;
map[ 8746][1]:=$D4CB;map[ 8746][2]:=$B942;
map[ 8747][1]:=$D4CC;map[ 8747][2]:=$C4AD;
map[ 8748][1]:=$D4CD;map[ 8748][2]:=$C1DF;
map[ 8749][1]:=$D4CE;map[ 8749][2]:=$B777;
map[ 8750][1]:=$D4CF;map[ 8750][2]:=$C3FD;
map[ 8751][1]:=$D4D0;map[ 8751][2]:=$A5A5;
map[ 8752][1]:=$D4D1;map[ 8752][2]:=$A560;
map[ 8753][1]:=$D4D2;map[ 8753][2]:=$AF7B;
map[ 8754][1]:=$D4D3;map[ 8754][2]:=$C2F8;
map[ 8755][1]:=$D4D4;map[ 8755][2]:=$AEE2;
map[ 8756][1]:=$D4D5;map[ 8756][2]:=$AB76;
map[ 8757][1]:=$D4D6;map[ 8757][2]:=$A861;
map[ 8758][1]:=$D4D7;map[ 8758][2]:=$AE5F;
map[ 8759][1]:=$D4D8;map[ 8759][2]:=$B8FC;
map[ 8760][1]:=$D4D9;map[ 8760][2]:=$A641;
map[ 8761][1]:=$D4DA;map[ 8761][2]:=$A662;
map[ 8762][1]:=$D4DB;map[ 8762][2]:=$ABA5;
map[ 8763][1]:=$D4DB;map[ 8763][2]:=$B0AF;
map[ 8764][1]:=$D4DB;map[ 8764][2]:=$D873;
map[ 8765][1]:=$D4DC;map[ 8765][2]:=$F5C1;
map[ 8766][1]:=$D4DC;map[ 8766][2]:=$F6E3;
map[ 8767][1]:=$D4DC;map[ 8767][2]:=$F7E0;
map[ 8768][1]:=$D4DD;map[ 8768][2]:=$BCC8;
map[ 8769][1]:=$D4DE;map[ 8769][2]:=$C3D9;
map[ 8770][1]:=$D4DE;map[ 8770][2]:=$C667;
map[ 8771][1]:=$D4DF;map[ 8771][2]:=$C542;
map[ 8772][1]:=$D4E0;map[ 8772][2]:=$C5A6;
map[ 8773][1]:=$D4E0;map[ 8773][2]:=$C5BC;
map[ 8774][1]:=$D4E1;map[ 8774][2]:=$B8AE;
map[ 8775][1]:=$D4E2;map[ 8775][2]:=$BE44;
map[ 8776][1]:=$D4E3;map[ 8776][2]:=$C156;
map[ 8777][1]:=$D4E4;map[ 8777][2]:=$C677;
map[ 8778][1]:=$D4E5;map[ 8778][2]:=$C4A6;
map[ 8779][1]:=$D4E6;map[ 8779][2]:=$B4C7;
map[ 8780][1]:=$D4E7;map[ 8780][2]:=$A6AD;
map[ 8781][1]:=$D4E8;map[ 8781][2]:=$BEFE;
map[ 8782][1]:=$D4E9;map[ 8782][2]:=$B044;
map[ 8783][1]:=$D4EA;map[ 8783][2]:=$C4BC;
map[ 8784][1]:=$D4EB;map[ 8784][2]:=$BEB8;
map[ 8785][1]:=$D4EB;map[ 8785][2]:=$C4B7;
map[ 8786][1]:=$D4EC;map[ 8786][2]:=$B379;
map[ 8787][1]:=$D4ED;map[ 8787][2]:=$A86D;
map[ 8788][1]:=$D4EE;map[ 8788][2]:=$A85F;
map[ 8789][1]:=$D4EF;map[ 8789][2]:=$C0EA;
map[ 8790][1]:=$D4F0;map[ 8790][2]:=$B364;
map[ 8791][1]:=$D4F1;map[ 8791][2]:=$BEDC;
map[ 8792][1]:=$D4F2;map[ 8792][2]:=$AB68;
map[ 8793][1]:=$D4F3;map[ 8793][2]:=$BF41;
map[ 8794][1]:=$D4F4;map[ 8794][2]:=$B8E9;
map[ 8795][1]:=$D4F5;map[ 8795][2]:=$ABE7;
map[ 8796][1]:=$D4F6;map[ 8796][2]:=$BC57;
map[ 8797][1]:=$D4F7;map[ 8797][2]:=$BCA8;
map[ 8798][1]:=$D4F8;map[ 8798][2]:=$B4BF;
map[ 8799][1]:=$D4F9;map[ 8799][2]:=$C3D8;
map[ 8800][1]:=$D4FA;map[ 8800][2]:=$A4E3;
map[ 8801][1]:=$D4FA;map[ 8801][2]:=$B2CF;
map[ 8802][1]:=$D4FB;map[ 8802][2]:=$B3E5;
map[ 8803][1]:=$D4FC;map[ 8803][2]:=$B4ED;
map[ 8804][1]:=$D4FD;map[ 8804][2]:=$A5BE;
map[ 8805][1]:=$D4FD;map[ 8805][2]:=$E35A;
map[ 8806][1]:=$D4FE;map[ 8806][2]:=$AAEE;
map[ 8807][1]:=$D540;map[ 8807][2]:=$E04F;
map[ 8808][1]:=$D541;map[ 8808][2]:=$E04B;
map[ 8809][1]:=$D542;map[ 8809][2]:=$E04E;
map[ 8810][1]:=$D548;map[ 8810][2]:=$E44C;
map[ 8811][1]:=$D54C;map[ 8811][2]:=$E44E;
map[ 8812][1]:=$D552;map[ 8812][2]:=$E44F;
map[ 8813][1]:=$D555;map[ 8813][2]:=$E44B;
map[ 8814][1]:=$D563;map[ 8814][2]:=$BBA7;
map[ 8815][1]:=$D567;map[ 8815][2]:=$E44A;
map[ 8816][1]:=$D574;map[ 8816][2]:=$E7D6;
map[ 8817][1]:=$D576;map[ 8817][2]:=$E7E2;
map[ 8818][1]:=$D577;map[ 8818][2]:=$E7DB;
map[ 8819][1]:=$D579;map[ 8819][2]:=$E7E3;
map[ 8820][1]:=$D57A;map[ 8820][2]:=$E7DD;
map[ 8821][1]:=$D57C;map[ 8821][2]:=$E7DE;
map[ 8822][1]:=$D580;map[ 8822][2]:=$E7E1;
map[ 8823][1]:=$D582;map[ 8823][2]:=$E7DF;
map[ 8824][1]:=$D583;map[ 8824][2]:=$E7D5;
map[ 8825][1]:=$D585;map[ 8825][2]:=$EBAA;
map[ 8826][1]:=$D590;map[ 8826][2]:=$E7D7;
map[ 8827][1]:=$D591;map[ 8827][2]:=$E7D9;
map[ 8828][1]:=$D592;map[ 8828][2]:=$E7DA;
map[ 8829][1]:=$D595;map[ 8829][2]:=$E7E0;
map[ 8830][1]:=$D596;map[ 8830][2]:=$E7E4;
map[ 8831][1]:=$D59C;map[ 8831][2]:=$EBA8;
map[ 8832][1]:=$D59D;map[ 8832][2]:=$EB7E;
map[ 8833][1]:=$D5A1;map[ 8833][2]:=$EED4;
map[ 8834][1]:=$D5A2;map[ 8834][2]:=$B968;
map[ 8835][1]:=$D5A3;map[ 8835][2]:=$AF77;
map[ 8836][1]:=$D5A4;map[ 8836][2]:=$AC5D;
map[ 8837][1]:=$D5A5;map[ 8837][2]:=$B763;
map[ 8838][1]:=$D5A5;map[ 8838][2]:=$BA5E;
map[ 8839][1]:=$D5A6;map[ 8839][2]:=$A951;
map[ 8840][1]:=$D5A7;map[ 8840][2]:=$A545;
map[ 8841][1]:=$D5A8;map[ 8841][2]:=$ACB5;
map[ 8842][1]:=$D5A9;map[ 8842][2]:=$B642;
map[ 8843][1]:=$D5AA;map[ 8843][2]:=$BA4B;
map[ 8844][1]:=$D5AB;map[ 8844][2]:=$C24E;
map[ 8845][1]:=$D5AC;map[ 8845][2]:=$A676;
map[ 8846][1]:=$D5AD;map[ 8846][2]:=$AFB6;
map[ 8847][1]:=$D5AE;map[ 8847][2]:=$B6C5;
map[ 8848][1]:=$D5AF;map[ 8848][2]:=$B9EB;
map[ 8849][1]:=$D5B0;map[ 8849][2]:=$C2A4;
map[ 8850][1]:=$D5B1;map[ 8850][2]:=$C0D6;
map[ 8851][1]:=$D5B2;map[ 8851][2]:=$B8E2;
map[ 8852][1]:=$D5B3;map[ 8852][2]:=$D6DF;
map[ 8853][1]:=$D5B4;map[ 8853][2]:=$AA67;
map[ 8854][1]:=$D5B4;map[ 8854][2]:=$C04C;
map[ 8855][1]:=$D5B5;map[ 8855][2]:=$B7F8;
map[ 8856][1]:=$D5B6;map[ 8856][2]:=$B1D9;
map[ 8857][1]:=$D5B7;map[ 8857][2]:=$C1D3;
map[ 8858][1]:=$D5B8;map[ 8858][2]:=$B9F1;
map[ 8859][1]:=$D5B9;map[ 8859][2]:=$AE69;
map[ 8860][1]:=$D5BA;map[ 8860][2]:=$C5D9;
map[ 8861][1]:=$D5BB;map[ 8861][2]:=$B4CC;
map[ 8862][1]:=$D5BC;map[ 8862][2]:=$A565;
map[ 8863][1]:=$D5BC;map[ 8863][2]:=$A6FB;
map[ 8864][1]:=$D5BD;map[ 8864][2]:=$BED4;
map[ 8865][1]:=$D5BE;map[ 8865][2]:=$AFB8;
map[ 8866][1]:=$D5BF;map[ 8866][2]:=$B4EF;
map[ 8867][1]:=$D5C0;map[ 8867][2]:=$BAEC;
map[ 8868][1]:=$D5C1;map[ 8868][2]:=$BCCC;
map[ 8869][1]:=$D5C2;map[ 8869][2]:=$B3B9;
map[ 8870][1]:=$D5C3;map[ 8870][2]:=$B9FC;
map[ 8871][1]:=$D5C4;map[ 8871][2]:=$BA73;
map[ 8872][1]:=$D5C5;map[ 8872][2]:=$B169;
map[ 8873][1]:=$D5C6;map[ 8873][2]:=$B478;
map[ 8874][1]:=$D5C7;map[ 8874][2]:=$BAA6;
map[ 8875][1]:=$D5C8;map[ 8875][2]:=$A7FA;
map[ 8876][1]:=$D5C9;map[ 8876][2]:=$A456;
map[ 8877][1]:=$D5CA;map[ 8877][2]:=$B162;
map[ 8878][1]:=$D5CB;map[ 8878][2]:=$BDE3;
map[ 8879][1]:=$D5CC;map[ 8879][2]:=$A54D;
map[ 8880][1]:=$D5CD;map[ 8880][2]:=$B5C8;
map[ 8881][1]:=$D5CE;map[ 8881][2]:=$BF60;
map[ 8882][1]:=$D5CF;map[ 8882][2]:=$BBD9;
map[ 8883][1]:=$D5D0;map[ 8883][2]:=$A9DB;
map[ 8884][1]:=$D5D1;map[ 8884][2]:=$AC4C;
map[ 8885][1]:=$D5D2;map[ 8885][2]:=$A7E4;
map[ 8886][1]:=$D5D3;map[ 8886][2]:=$AA68;
map[ 8887][1]:=$D5D4;map[ 8887][2]:=$BBAF;
map[ 8888][1]:=$D5D5;map[ 8888][2]:=$ACB7;
map[ 8889][1]:=$D5D5;map[ 8889][2]:=$B7D3;
map[ 8890][1]:=$D5D6;map[ 8890][2]:=$B86E;
map[ 8891][1]:=$D5D7;map[ 8891][2]:=$A5FC;
map[ 8892][1]:=$D5D8;map[ 8892][2]:=$BB46;
map[ 8893][1]:=$D5D9;map[ 8893][2]:=$A56C;
map[ 8894][1]:=$D5DA;map[ 8894][2]:=$BE42;
map[ 8895][1]:=$D5DB;map[ 8895][2]:=$A7E9;
map[ 8896][1]:=$D5DB;map[ 8896][2]:=$BA50;
map[ 8897][1]:=$D5DC;map[ 8897][2]:=$ADF5;
map[ 8898][1]:=$D5DD;map[ 8898][2]:=$EE68;
map[ 8899][1]:=$D5DE;map[ 8899][2]:=$C2E1;
map[ 8900][1]:=$D5DF;map[ 8900][2]:=$AACC;
map[ 8901][1]:=$D5E0;map[ 8901][2]:=$EBE3;
map[ 8902][1]:=$D5E1;map[ 8902][2]:=$BDA9;
map[ 8903][1]:=$D5E2;map[ 8903][2]:=$B36F;
map[ 8904][1]:=$D5E3;map[ 8904][2]:=$AEFD;
map[ 8905][1]:=$D5E4;map[ 8905][2]:=$ACC3;
map[ 8906][1]:=$D5E5;map[ 8906][2]:=$B772;
map[ 8907][1]:=$D5E6;map[ 8907][2]:=$AF75;
map[ 8908][1]:=$D5E7;map[ 8908][2]:=$BAC2;
map[ 8909][1]:=$D5E8;map[ 8909][2]:=$AF7A;
map[ 8910][1]:=$D5E9;map[ 8910][2]:=$BFB2;
map[ 8911][1]:=$D5EA;map[ 8911][2]:=$AD73;
map[ 8912][1]:=$D5EB;map[ 8912][2]:=$B077;
map[ 8913][1]:=$D5EB;map[ 8913][2]:=$EED3;
map[ 8914][1]:=$D5EC;map[ 8914][2]:=$B0BB;
map[ 8915][1]:=$D5ED;map[ 8915][2]:=$AA45;
map[ 8916][1]:=$D5EE;map[ 8916][2]:=$AF6C;
map[ 8917][1]:=$D5EF;map[ 8917][2]:=$B645;
map[ 8918][1]:=$D5F0;map[ 8918][2]:=$BE5F;
map[ 8919][1]:=$D5F1;map[ 8919][2]:=$AEB6;
map[ 8920][1]:=$D5F2;map[ 8920][2]:=$C2ED;
map[ 8921][1]:=$D5F3;map[ 8921][2]:=$B07D;
map[ 8922][1]:=$D5F4;map[ 8922][2]:=$BB5D;
map[ 8923][1]:=$D5F5;map[ 8923][2]:=$B1C3;
map[ 8924][1]:=$D5F6;map[ 8924][2]:=$B843;
map[ 8925][1]:=$D5F7;map[ 8925][2]:=$BC78;
map[ 8926][1]:=$D5F7;map[ 8926][2]:=$A9BA;
map[ 8927][1]:=$D5F8;map[ 8927][2]:=$B275;
map[ 8928][1]:=$D5F9;map[ 8928][2]:=$AAA7;
map[ 8929][1]:=$D5FA;map[ 8929][2]:=$A9C3;
map[ 8930][1]:=$D5FB;map[ 8930][2]:=$BEE3;
map[ 8931][1]:=$D5FC;map[ 8931][2]:=$AC40;
map[ 8932][1]:=$D5FD;map[ 8932][2]:=$A5BF;
map[ 8933][1]:=$D5FE;map[ 8933][2]:=$AC46;
map[ 8934][1]:=$D644;map[ 8934][2]:=$EBAD;
map[ 8935][1]:=$D64B;map[ 8935][2]:=$EBAF;
map[ 8936][1]:=$D64C;map[ 8936][2]:=$EBA9;
map[ 8937][1]:=$D64E;map[ 8937][2]:=$EBA2;
map[ 8938][1]:=$D650;map[ 8938][2]:=$EBA3;
map[ 8939][1]:=$D651;map[ 8939][2]:=$EBA4;
map[ 8940][1]:=$D657;map[ 8940][2]:=$EBB0;
map[ 8941][1]:=$D65B;map[ 8941][2]:=$EBAE;
map[ 8942][1]:=$D662;map[ 8942][2]:=$EEAD;
map[ 8943][1]:=$D663;map[ 8943][2]:=$EEAC;
map[ 8944][1]:=$D666;map[ 8944][2]:=$EEA5;
map[ 8945][1]:=$D668;map[ 8945][2]:=$EEAB;
map[ 8946][1]:=$D66A;map[ 8946][2]:=$EEA7;
map[ 8947][1]:=$D66C;map[ 8947][2]:=$EEA3;
map[ 8948][1]:=$D66D;map[ 8948][2]:=$EEA8;
map[ 8949][1]:=$D66E;map[ 8949][2]:=$EEAF;
map[ 8950][1]:=$D670;map[ 8950][2]:=$EEA9;
map[ 8951][1]:=$D673;map[ 8951][2]:=$EEA1;
map[ 8952][1]:=$D677;map[ 8952][2]:=$EEAE;
map[ 8953][1]:=$D679;map[ 8953][2]:=$EE7E;
map[ 8954][1]:=$D67D;map[ 8954][2]:=$EEA6;
map[ 8955][1]:=$D67E;map[ 8955][2]:=$F0DC;
map[ 8956][1]:=$D680;map[ 8956][2]:=$F0EA;
map[ 8957][1]:=$D681;map[ 8957][2]:=$F0E5;
map[ 8958][1]:=$D682;map[ 8958][2]:=$F0DB;
map[ 8959][1]:=$D685;map[ 8959][2]:=$F0DA;
map[ 8960][1]:=$D689;map[ 8960][2]:=$F0E9;
map[ 8961][1]:=$D68A;map[ 8961][2]:=$F0E1;
map[ 8962][1]:=$D68B;map[ 8962][2]:=$F0DE;
map[ 8963][1]:=$D68C;map[ 8963][2]:=$F0E4;
map[ 8964][1]:=$D690;map[ 8964][2]:=$F0DF;
map[ 8965][1]:=$D691;map[ 8965][2]:=$F0E8;
map[ 8966][1]:=$D692;map[ 8966][2]:=$F0E6;
map[ 8967][1]:=$D695;map[ 8967][2]:=$F0ED;
map[ 8968][1]:=$D696;map[ 8968][2]:=$F0EB;
map[ 8969][1]:=$D697;map[ 8969][2]:=$F0E2;
map[ 8970][1]:=$D698;map[ 8970][2]:=$F0EC;
map[ 8971][1]:=$D69B;map[ 8971][2]:=$F2F9;
map[ 8972][1]:=$D69D;map[ 8972][2]:=$F341;
map[ 8973][1]:=$D6A0;map[ 8973][2]:=$F64F;
map[ 8974][1]:=$D6A1;map[ 8974][2]:=$B456;
map[ 8975][1]:=$D6A2;map[ 8975][2]:=$AF67;
map[ 8976][1]:=$D6A2;map[ 8976][2]:=$C470;
map[ 8977][1]:=$D6A3;map[ 8977][2]:=$BE47;
map[ 8978][1]:=$D6A4;map[ 8978][2]:=$C3D2;
map[ 8979][1]:=$D6A4;map[ 8979][2]:=$B5FD;
map[ 8980][1]:=$D6A5;map[ 8980][2]:=$AADB;
map[ 8981][1]:=$D6A6;map[ 8981][2]:=$AA4B;
map[ 8982][1]:=$D6A7;map[ 8982][2]:=$A4E4;
map[ 8983][1]:=$D6A8;map[ 8983][2]:=$A773;
map[ 8984][1]:=$D6A9;map[ 8984][2]:=$BB6A;
map[ 8985][1]:=$D6AA;map[ 8985][2]:=$AABE;
map[ 8986][1]:=$D6AB;map[ 8986][2]:=$AACF;
map[ 8987][1]:=$D6AC;map[ 8987][2]:=$AFD7;
map[ 8988][1]:=$D6AD;map[ 8988][2]:=$A5C4;
map[ 8989][1]:=$D6AE;map[ 8989][2]:=$A4A7;
map[ 8990][1]:=$D6AF;map[ 8990][2]:=$C2B4;
map[ 8991][1]:=$D6B0;map[ 8991][2]:=$C2BE;
map[ 8992][1]:=$D6B1;map[ 8992][2]:=$AABD;
map[ 8993][1]:=$D6B2;map[ 8993][2]:=$B4D3;
map[ 8994][1]:=$D6B3;map[ 8994][2]:=$B4DE;
map[ 8995][1]:=$D6B4;map[ 8995][2]:=$B0F5;
map[ 8996][1]:=$D6B5;map[ 8996][2]:=$ADC8;
map[ 8997][1]:=$D6B6;map[ 8997][2]:=$ABBF;
map[ 8998][1]:=$D6B6;map[ 8998][2]:=$CBBB;
map[ 8999][1]:=$D6B7;map[ 8999][2]:=$A77D;
map[ 9000][1]:=$D6B7;map[ 9000][2]:=$CBAF;
map[ 9001][1]:=$D6B8;map[ 9001][2]:=$ABFC;
map[ 9002][1]:=$D6B9;map[ 9002][2]:=$A4EE;
map[ 9003][1]:=$D6BA;map[ 9003][2]:=$B36B;
map[ 9004][1]:=$D6BB;map[ 9004][2]:=$A575;
map[ 9005][1]:=$D6BB;map[ 9005][2]:=$B04E;
map[ 9006][1]:=$D6BB;map[ 9006][2]:=$B0A6;
map[ 9007][1]:=$D6BC;map[ 9007][2]:=$A6AE;
map[ 9008][1]:=$D6BD;map[ 9008][2]:=$AFC8;
map[ 9009][1]:=$D6BE;map[ 9009][2]:=$A7D3;
map[ 9010][1]:=$D6BE;map[ 9010][2]:=$BB78;
map[ 9011][1]:=$D6BF;map[ 9011][2]:=$BCB0;
map[ 9012][1]:=$D6C0;map[ 9012][2]:=$C259;
map[ 9013][1]:=$D6C1;map[ 9013][2]:=$A6DC;
map[ 9014][1]:=$D6C2;map[ 9014][2]:=$AD50;
map[ 9015][1]:=$D6C2;map[ 9015][2]:=$BD6F;
map[ 9016][1]:=$D6C3;map[ 9016][2]:=$B86D;
map[ 9017][1]:=$D6C4;map[ 9017][2]:=$BC6D;
map[ 9018][1]:=$D6C5;map[ 9018][2]:=$ABCF;
map[ 9019][1]:=$D6C6;map[ 9019][2]:=$A8EE;
map[ 9020][1]:=$D6C6;map[ 9020][2]:=$BB73;
map[ 9021][1]:=$D6C7;map[ 9021][2]:=$B4BC;
map[ 9022][1]:=$D6C8;map[ 9022][2]:=$AFB4;
map[ 9023][1]:=$D6C9;map[ 9023][2]:=$B858;
map[ 9024][1]:=$D6CA;map[ 9024][2]:=$BDE8;
map[ 9025][1]:=$D6CB;map[ 9025][2]:=$AAA5;
map[ 9026][1]:=$D6CC;map[ 9026][2]:=$B2A9;
map[ 9027][1]:=$D6CD;map[ 9027][2]:=$BAA2;
map[ 9028][1]:=$D6CE;map[ 9028][2]:=$AA76;
map[ 9029][1]:=$D6CF;map[ 9029][2]:=$B2BF;
map[ 9030][1]:=$D6D0;map[ 9030][2]:=$A4A4;
map[ 9031][1]:=$D6D1;map[ 9031][2]:=$ACD8;
map[ 9032][1]:=$D6D2;map[ 9032][2]:=$A9BE;
map[ 9033][1]:=$D6D3;map[ 9033][2]:=$C1E9;
map[ 9034][1]:=$D6D3;map[ 9034][2]:=$C4C1;
map[ 9035][1]:=$D6D4;map[ 9035][2]:=$B04A;
map[ 9036][1]:=$D6D5;map[ 9036][2]:=$B2D7;
map[ 9037][1]:=$D6D6;map[ 9037][2]:=$BAD8;
map[ 9038][1]:=$D6D6;map[ 9038][2]:=$CFFA;
map[ 9039][1]:=$D6D7;map[ 9039][2]:=$B87E;
map[ 9040][1]:=$D6D8;map[ 9040][2]:=$ADAB;
map[ 9041][1]:=$D6D9;map[ 9041][2]:=$A5F2;
map[ 9042][1]:=$D6DA;map[ 9042][2]:=$B2B3;
map[ 9043][1]:=$D6DB;map[ 9043][2]:=$A6E0;
map[ 9044][1]:=$D6DC;map[ 9044][2]:=$A950;
map[ 9045][1]:=$D6DC;map[ 9045][2]:=$B667;
map[ 9046][1]:=$D6DD;map[ 9046][2]:=$A67B;
map[ 9047][1]:=$D6DE;map[ 9047][2]:=$AC77;
map[ 9048][1]:=$D6DF;map[ 9048][2]:=$EEA4;
map[ 9049][1]:=$D6E0;map[ 9049][2]:=$B5B0;
map[ 9050][1]:=$D6E1;map[ 9050][2]:=$B662;
map[ 9051][1]:=$D6E2;map[ 9051][2]:=$A879;
map[ 9052][1]:=$D6E3;map[ 9052][2]:=$A9AA;
map[ 9053][1]:=$D6E4;map[ 9053][2]:=$A947;
map[ 9054][1]:=$D6E5;map[ 9054][2]:=$BD4B;
map[ 9055][1]:=$D6E6;map[ 9055][2]:=$A97A;
map[ 9056][1]:=$D6E7;map[ 9056][2]:=$B1DE;
map[ 9057][1]:=$D6E8;map[ 9057][2]:=$C64A;
map[ 9058][1]:=$D6E9;map[ 9058][2]:=$AF5D;
map[ 9059][1]:=$D6EA;map[ 9059][2]:=$AEE8;
map[ 9060][1]:=$D6EB;map[ 9060][2]:=$B5EF;
map[ 9061][1]:=$D6EC;map[ 9061][2]:=$A6B6;
map[ 9062][1]:=$D6EC;map[ 9062][2]:=$B2B9;
map[ 9063][1]:=$D6ED;map[ 9063][2]:=$BDDE;
map[ 9064][1]:=$D6EE;map[ 9064][2]:=$BDD1;
map[ 9065][1]:=$D6EF;map[ 9065][2]:=$B8DD;
map[ 9066][1]:=$D6F0;map[ 9066][2]:=$B376;
map[ 9067][1]:=$D6F1;map[ 9067][2]:=$A6CB;
map[ 9068][1]:=$D6F2;map[ 9068][2]:=$C0EB;
map[ 9069][1]:=$D6F3;map[ 9069][2]:=$B54E;
map[ 9070][1]:=$D6F4;map[ 9070][2]:=$A9D6;
map[ 9071][1]:=$D6F5;map[ 9071][2]:=$C666;
map[ 9072][1]:=$D6F6;map[ 9072][2]:=$C5F1;
map[ 9073][1]:=$D6F7;map[ 9073][2]:=$A544;
map[ 9074][1]:=$D6F9;map[ 9074][2]:=$AC57;
map[ 9075][1]:=$D6FA;map[ 9075][2]:=$A755;
map[ 9076][1]:=$D6FB;map[ 9076][2]:=$B345;
map[ 9077][1]:=$D6FC;map[ 9077][2]:=$B64A;
map[ 9078][1]:=$D6FD;map[ 9078][2]:=$C5B1;
map[ 9079][1]:=$D6FE;map[ 9079][2]:=$B5AE;
map[ 9080][1]:=$D6FE;map[ 9080][2]:=$BF76;
map[ 9081][1]:=$D741;map[ 9081][2]:=$F0E0;
map[ 9082][1]:=$D742;map[ 9082][2]:=$F2F7;
map[ 9083][1]:=$D744;map[ 9083][2]:=$F2F8;
map[ 9084][1]:=$D745;map[ 9084][2]:=$F2FD;
map[ 9085][1]:=$D74A;map[ 9085][2]:=$F2F6;
map[ 9086][1]:=$D74B;map[ 9086][2]:=$F340;
map[ 9087][1]:=$D74C;map[ 9087][2]:=$F342;
map[ 9088][1]:=$D74D;map[ 9088][2]:=$F2FA;
map[ 9089][1]:=$D74E;map[ 9089][2]:=$F2FC;
map[ 9090][1]:=$D74F;map[ 9090][2]:=$F2FE;
map[ 9091][1]:=$D751;map[ 9091][2]:=$F343;
map[ 9092][1]:=$D757;map[ 9092][2]:=$F4D0;
map[ 9093][1]:=$D75A;map[ 9093][2]:=$F4CE;
map[ 9094][1]:=$D75D;map[ 9094][2]:=$F4D2;
map[ 9095][1]:=$D75F;map[ 9095][2]:=$F4D3;
map[ 9096][1]:=$D760;map[ 9096][2]:=$F4D4;
map[ 9097][1]:=$D761;map[ 9097][2]:=$F4D1;
map[ 9098][1]:=$D763;map[ 9098][2]:=$F4CF;
map[ 9099][1]:=$D771;map[ 9099][2]:=$F64D;
map[ 9100][1]:=$D772;map[ 9100][2]:=$F650;
map[ 9101][1]:=$D773;map[ 9101][2]:=$F651;
map[ 9102][1]:=$D777;map[ 9102][2]:=$F75B;
map[ 9103][1]:=$D77A;map[ 9103][2]:=$F758;
map[ 9104][1]:=$D77C;map[ 9104][2]:=$F757;
map[ 9105][1]:=$D77E;map[ 9105][2]:=$F759;
map[ 9106][1]:=$D781;map[ 9106][2]:=$F843;
map[ 9107][1]:=$D78D;map[ 9107][2]:=$F8C1;
map[ 9108][1]:=$D791;map[ 9108][2]:=$F94D;
map[ 9109][1]:=$D792;map[ 9109][2]:=$F94E;
map[ 9110][1]:=$D798;map[ 9110][2]:=$F9C8;
map[ 9111][1]:=$D79A;map[ 9111][2]:=$D3DD;
map[ 9112][1]:=$D79C;map[ 9112][2]:=$DBDB;
map[ 9113][1]:=$D79D;map[ 9113][2]:=$B647;
map[ 9114][1]:=$D79E;map[ 9114][2]:=$F64E;
map[ 9115][1]:=$D7A0;map[ 9115][2]:=$EBA5;
map[ 9116][1]:=$D7A1;map[ 9116][2]:=$A6ED;
map[ 9117][1]:=$D7A2;map[ 9117][2]:=$AA60;
map[ 9118][1]:=$D7A2;map[ 9118][2]:=$B5F9;
map[ 9119][1]:=$D7A3;map[ 9119][2]:=$AFAC;
map[ 9120][1]:=$D7A4;map[ 9120][2]:=$BE6E;
map[ 9121][1]:=$D7A5;map[ 9121][2]:=$A7EC;
map[ 9122][1]:=$D7A6;map[ 9122][2]:=$A4F6;
map[ 9123][1]:=$D7A7;map[ 9123][2]:=$ABFB;
map[ 9124][1]:=$D7A8;map[ 9124][2]:=$B14D;
map[ 9125][1]:=$D7A9;map[ 9125][2]:=$BF6A;
map[ 9126][1]:=$D7A9;map[ 9126][2]:=$E157;
map[ 9127][1]:=$D7AA;map[ 9127][2]:=$C2E0;
map[ 9128][1]:=$D7AB;map[ 9128][2]:=$BCB6;
map[ 9129][1]:=$D7AC;map[ 9129][2]:=$C1C8;
map[ 9130][1]:=$D7AD;map[ 9130][2]:=$BD66;
map[ 9131][1]:=$D7AE;map[ 9131][2]:=$BCCE;
map[ 9132][1]:=$D7AF;map[ 9132][2]:=$B2F8;
map[ 9133][1]:=$D7AF;map[ 9133][2]:=$C9DC;
map[ 9134][1]:=$D7B0;map[ 9134][2]:=$B8CB;
map[ 9135][1]:=$D7B1;map[ 9135][2]:=$A7A9;
map[ 9136][1]:=$D7B2;map[ 9136][2]:=$BCB2;
map[ 9137][1]:=$D7B3;map[ 9137][2]:=$A7A7;
map[ 9138][1]:=$D7B4;map[ 9138][2]:=$AAAC;
map[ 9139][1]:=$D7B5;map[ 9139][2]:=$B4D5;
map[ 9140][1]:=$D7B6;map[ 9140][2]:=$C040;
map[ 9141][1]:=$D7B7;map[ 9141][2]:=$B06C;
map[ 9142][1]:=$D7B8;map[ 9142][2]:=$C2D8;
map[ 9143][1]:=$D7B9;map[ 9143][2]:=$BC59;
map[ 9144][1]:=$D7BA;map[ 9144][2]:=$BAF3;
map[ 9145][1]:=$D7BB;map[ 9145][2]:=$BDCE;
map[ 9146][1]:=$D7BC;map[ 9146][2]:=$ADE3;
map[ 9147][1]:=$D7BC;map[ 9147][2]:=$B7C7;
map[ 9148][1]:=$D7BD;map[ 9148][2]:=$AEBB;
map[ 9149][1]:=$D7BE;map[ 9149][2]:=$A9E5;
map[ 9150][1]:=$D7BF;map[ 9150][2]:=$A8F4;
map[ 9151][1]:=$D7C0;map[ 9151][2]:=$AEE0;
map[ 9152][1]:=$D7C1;map[ 9152][2]:=$B55A;
map[ 9153][1]:=$D7C2;map[ 9153][2]:=$AD5F;
map[ 9154][1]:=$D7C3;map[ 9154][2]:=$B075;
map[ 9155][1]:=$D7C4;map[ 9155][2]:=$B0D6;
map[ 9156][1]:=$D7C5;map[ 9156][2]:=$B5DB;
map[ 9157][1]:=$D7C6;map[ 9157][2]:=$A860;
map[ 9158][1]:=$D7C7;map[ 9158][2]:=$BF42;
map[ 9159][1]:=$D7C8;map[ 9159][2]:=$AF59;
map[ 9160][1]:=$D7C8;map[ 9160][2]:=$AFF7;
map[ 9161][1]:=$D7C9;map[ 9161][2]:=$AB74;
map[ 9162][1]:=$D7CA;map[ 9162][2]:=$B8EA;
map[ 9163][1]:=$D7CB;map[ 9163][2]:=$ABBA;
map[ 9164][1]:=$D7CC;map[ 9164][2]:=$B4FE;
map[ 9165][1]:=$D7CD;map[ 9165][2]:=$B264;
map[ 9166][1]:=$D7CE;map[ 9166][2]:=$A7B6;
map[ 9167][1]:=$D7CF;map[ 9167][2]:=$B5B5;
map[ 9168][1]:=$D7D0;map[ 9168][2]:=$A54A;
map[ 9169][1]:=$D7D1;map[ 9169][2]:=$ACF3;
map[ 9170][1]:=$D7D2;map[ 9170][2]:=$B7BA;
map[ 9171][1]:=$D7D3;map[ 9171][2]:=$A46C;
map[ 9172][1]:=$D7D4;map[ 9172][2]:=$A6DB;
map[ 9173][1]:=$D7D5;map[ 9173][2]:=$BA7B;
map[ 9174][1]:=$D7D6;map[ 9174][2]:=$A672;
map[ 9175][1]:=$D7D7;map[ 9175][2]:=$C34F;
map[ 9176][1]:=$D7D7;map[ 9176][2]:=$F3BD;
map[ 9177][1]:=$D7D8;map[ 9177][2]:=$B4C4;
map[ 9178][1]:=$D7D9;map[ 9178][2]:=$C2DC;
map[ 9179][1]:=$D7DA;map[ 9179][2]:=$A976;
map[ 9180][1]:=$D7DB;map[ 9180][2]:=$BAEE;
map[ 9181][1]:=$D7DC;map[ 9181][2]:=$C160;
map[ 9182][1]:=$D7DD;map[ 9182][2]:=$C161;
map[ 9183][1]:=$D7DE;map[ 9183][2]:=$B951;
map[ 9184][1]:=$D7DF;map[ 9184][2]:=$A8AB;
map[ 9185][1]:=$D7E0;map[ 9185][2]:=$ABB5;
map[ 9186][1]:=$D7E1;map[ 9186][2]:=$B47E;
map[ 9187][1]:=$D7E2;map[ 9187][2]:=$AFB2;
map[ 9188][1]:=$D7E3;map[ 9188][2]:=$A8AC;
map[ 9189][1]:=$D7E4;map[ 9189][2]:=$A8F2;
map[ 9190][1]:=$D7E5;map[ 9190][2]:=$B1DA;
map[ 9191][1]:=$D7E6;map[ 9191][2]:=$AFAA;
map[ 9192][1]:=$D7E7;map[ 9192][2]:=$B641;
map[ 9193][1]:=$D7E8;map[ 9193][2]:=$AAFD;
map[ 9194][1]:=$D7E9;map[ 9194][2]:=$B2D5;
map[ 9195][1]:=$D7EA;map[ 9195][2]:=$C670;
map[ 9196][1]:=$D7EA;map[ 9196][2]:=$E0B9;
map[ 9197][1]:=$D7EB;map[ 9197][2]:=$C4A1;
map[ 9198][1]:=$D7EC;map[ 9198][2]:=$BC4C;
map[ 9199][1]:=$D7ED;map[ 9199][2]:=$BE4B;
map[ 9200][1]:=$D7EE;map[ 9200][2]:=$B3CC;
map[ 9201][1]:=$D7EF;map[ 9201][2]:=$B86F;
map[ 9202][1]:=$D7F0;map[ 9202][2]:=$B44C;
map[ 9203][1]:=$D7F1;map[ 9203][2]:=$BFED;
map[ 9204][1]:=$D7F2;map[ 9204][2]:=$AC51;
map[ 9205][1]:=$D7F3;map[ 9205][2]:=$A5AA;
map[ 9206][1]:=$D7F4;map[ 9206][2]:=$A6F5;
map[ 9207][1]:=$D7F5;map[ 9207][2]:=$AC67;
map[ 9208][1]:=$D7F6;map[ 9208][2]:=$B0B5;
map[ 9209][1]:=$D7F7;map[ 9209][2]:=$A740;
map[ 9210][1]:=$D7F8;map[ 9210][2]:=$A7A4;
map[ 9211][1]:=$D7F9;map[ 9211][2]:=$AE79;
map[ 9212][1]:=$D841;map[ 9212][2]:=$D7CD;
map[ 9213][1]:=$D843;map[ 9213][2]:=$D7CE;
map[ 9214][1]:=$D844;map[ 9214][2]:=$E052;
map[ 9215][1]:=$D845;map[ 9215][2]:=$E450;
map[ 9216][1]:=$D846;map[ 9216][2]:=$E7E5;
map[ 9217][1]:=$D849;map[ 9217][2]:=$F0EE;
map[ 9218][1]:=$D84A;map[ 9218][2]:=$F344;
map[ 9219][1]:=$D84C;map[ 9219][2]:=$F844;
map[ 9220][1]:=$D84E;map[ 9220][2]:=$E054;
map[ 9221][1]:=$D84F;map[ 9221][2]:=$E053;
map[ 9222][1]:=$D850;map[ 9222][2]:=$E7E6;
map[ 9223][1]:=$D852;map[ 9223][2]:=$EEB1;
map[ 9224][1]:=$D858;map[ 9224][2]:=$CDCB;
map[ 9225][1]:=$D859;map[ 9225][2]:=$D3DF;
map[ 9226][1]:=$D85D;map[ 9226][2]:=$D7CF;
map[ 9227][1]:=$D85E;map[ 9227][2]:=$D7D0;
map[ 9228][1]:=$D860;map[ 9228][2]:=$DBE5;
map[ 9229][1]:=$D863;map[ 9229][2]:=$E056;
map[ 9230][1]:=$D864;map[ 9230][2]:=$E055;
map[ 9231][1]:=$D865;map[ 9231][2]:=$E057;
map[ 9232][1]:=$D867;map[ 9232][2]:=$E451;
map[ 9233][1]:=$D868;map[ 9233][2]:=$E452;
map[ 9234][1]:=$D86A;map[ 9234][2]:=$BFDE;
map[ 9235][1]:=$D86B;map[ 9235][2]:=$F346;
map[ 9236][1]:=$D86C;map[ 9236][2]:=$EEB5;
map[ 9237][1]:=$D86D;map[ 9237][2]:=$EEB2;
map[ 9238][1]:=$D86E;map[ 9238][2]:=$EEB4;
map[ 9239][1]:=$D86F;map[ 9239][2]:=$EEB3;
map[ 9240][1]:=$D871;map[ 9240][2]:=$F0EF;
map[ 9241][1]:=$D873;map[ 9241][2]:=$F345;
map[ 9242][1]:=$D874;map[ 9242][2]:=$D3E0;
map[ 9243][1]:=$D876;map[ 9243][2]:=$D7D1;
map[ 9244][1]:=$D879;map[ 9244][2]:=$DBE7;
map[ 9245][1]:=$D87A;map[ 9245][2]:=$DBE6;
map[ 9246][1]:=$D87C;map[ 9246][2]:=$E059;
map[ 9247][1]:=$D87D;map[ 9247][2]:=$E058;
map[ 9248][1]:=$D884;map[ 9248][2]:=$E7E7;
map[ 9249][1]:=$D885;map[ 9249][2]:=$EBB3;
map[ 9250][1]:=$D886;map[ 9250][2]:=$EBB1;
map[ 9251][1]:=$D887;map[ 9251][2]:=$EBB2;
map[ 9252][1]:=$D889;map[ 9252][2]:=$EEB6;
map[ 9253][1]:=$D88B;map[ 9253][2]:=$F0F2;
map[ 9254][1]:=$D88C;map[ 9254][2]:=$F0F0;
map[ 9255][1]:=$D88D;map[ 9255][2]:=$F347;
map[ 9256][1]:=$D88F;map[ 9256][2]:=$F9AA;
map[ 9257][1]:=$D896;map[ 9257][2]:=$D3E2;
map[ 9258][1]:=$D897;map[ 9258][2]:=$D3E1;
map[ 9259][1]:=$D898;map[ 9259][2]:=$D7D2;
map[ 9260][1]:=$D8A1;map[ 9260][2]:=$C948;
map[ 9261][1]:=$D8A2;map[ 9261][2]:=$C946;
map[ 9262][1]:=$D8A3;map[ 9262][2]:=$A461;
map[ 9263][1]:=$D8A4;map[ 9263][2]:=$A4A2;
map[ 9264][1]:=$D8A5;map[ 9264][2]:=$A4DC;
map[ 9265][1]:=$D8A6;map[ 9265][2]:=$A2CE;
map[ 9266][1]:=$D8A6;map[ 9266][2]:=$A4CA;
map[ 9267][1]:=$D8A7;map[ 9267][2]:=$A541;
map[ 9268][1]:=$D8A8;map[ 9268][2]:=$A5E5;
map[ 9269][1]:=$D8A9;map[ 9269][2]:=$A5E0;
map[ 9270][1]:=$D8AA;map[ 9270][2]:=$B0AC;
map[ 9271][1]:=$D8AB;map[ 9271][2]:=$D165;
map[ 9272][1]:=$D8AC;map[ 9272][2]:=$BEB5;
map[ 9273][1]:=$D8AE;map[ 9273][2]:=$ACEB;
map[ 9274][1]:=$D8B0;map[ 9274][2]:=$A450;
map[ 9275][1]:=$D8B1;map[ 9275][2]:=$C947;
map[ 9276][1]:=$D8B2;map[ 9276][2]:=$A4D4;
map[ 9277][1]:=$D8B3;map[ 9277][2]:=$A4F8;
map[ 9278][1]:=$D8B4;map[ 9278][2]:=$A567;
map[ 9279][1]:=$D8B5;map[ 9279][2]:=$A5C2;
map[ 9280][1]:=$D8B6;map[ 9280][2]:=$C9C7;
map[ 9281][1]:=$D8B7;map[ 9281][2]:=$AD4E;
map[ 9282][1]:=$D8B8;map[ 9282][2]:=$D850;
map[ 9283][1]:=$D8B9;map[ 9283][2]:=$B7B6;
map[ 9284][1]:=$D8BA;map[ 9284][2]:=$E2E9;
map[ 9285][1]:=$D8BB;map[ 9285][2]:=$E4C3;
map[ 9286][1]:=$D8BD;map[ 9286][2]:=$AB45;
map[ 9287][1]:=$D8BE;map[ 9287][2]:=$E8F3;
map[ 9288][1]:=$D8BF;map[ 9288][2]:=$C941;
map[ 9289][1]:=$D8C0;map[ 9289][2]:=$A5E4;
map[ 9290][1]:=$D8C1;map[ 9290][2]:=$C951;
map[ 9291][1]:=$D8C2;map[ 9291][2]:=$AACB;
map[ 9292][1]:=$D8C3;map[ 9292][2]:=$A7B8;
map[ 9293][1]:=$D8C4;map[ 9293][2]:=$B6DE;
map[ 9294][1]:=$D8C5;map[ 9294][2]:=$E14C;
map[ 9295][1]:=$D8C6;map[ 9295][2]:=$A4B7;
map[ 9296][1]:=$D8C7;map[ 9296][2]:=$CDF8;
map[ 9297][1]:=$D8C8;map[ 9297][2]:=$ADED;
map[ 9298][1]:=$D8C9;map[ 9298][2]:=$F1EF;
map[ 9299][1]:=$D8CA;map[ 9299][2]:=$B3D6;
map[ 9300][1]:=$D8CB;map[ 9300][2]:=$BC72;
map[ 9301][1]:=$D8CC;map[ 9301][2]:=$C5E2;
map[ 9302][1]:=$D8CD;map[ 9302][2]:=$C5AC;
map[ 9303][1]:=$D8CE;map[ 9303][2]:=$C943;
map[ 9304][1]:=$D8CF;map[ 9304][2]:=$A572;
map[ 9305][1]:=$D8D0;map[ 9305][2]:=$D46F;
map[ 9306][1]:=$D8D1;map[ 9306][2]:=$B9BC;
map[ 9307][1]:=$D8D2;map[ 9307][2]:=$B0D0;
map[ 9308][1]:=$D8D3;map[ 9308][2]:=$F0F3;
map[ 9309][1]:=$D8D4;map[ 9309][2]:=$A8F6;
map[ 9310][1]:=$D8D5;map[ 9310][2]:=$CA72;
map[ 9311][1]:=$D8D7;map[ 9311][2]:=$A4C2;
map[ 9312][1]:=$D8D8;map[ 9312][2]:=$A646;
map[ 9313][1]:=$D8D9;map[ 9313][2]:=$CDF0;
map[ 9314][1]:=$D8DA;map[ 9314][2]:=$CBD2;
map[ 9315][1]:=$D8DB;map[ 9315][2]:=$E4F3;
map[ 9316][1]:=$D8DC;map[ 9316][2]:=$B3CF;
map[ 9317][1]:=$D8DD;map[ 9317][2]:=$AB66;
map[ 9318][1]:=$D8DE;map[ 9318][2]:=$D0E9;
map[ 9319][1]:=$D8DF;map[ 9319][2]:=$D0E6;
map[ 9320][1]:=$D8E0;map[ 9320][2]:=$ADE6;
map[ 9321][1]:=$D8E1;map[ 9321][2]:=$E3C7;
map[ 9322][1]:=$D8E2;map[ 9322][2]:=$B6D1;
map[ 9323][1]:=$D8E3;map[ 9323][2]:=$B9BB;
map[ 9324][1]:=$D8E4;map[ 9324][2]:=$E142;
map[ 9325][1]:=$D8E6;map[ 9325][2]:=$BEB0;
map[ 9326][1]:=$D8E8;map[ 9326][2]:=$AAC9;
map[ 9327][1]:=$D8EA;map[ 9327][2]:=$A4B1;
map[ 9328][1]:=$D8EB;map[ 9328][2]:=$C953;
map[ 9329][1]:=$D8EC;map[ 9329][2]:=$C952;
map[ 9330][1]:=$D8ED;map[ 9330][2]:=$C965;
map[ 9331][1]:=$D8EE;map[ 9331][2]:=$C968;
map[ 9332][1]:=$D8F0;map[ 9332][2]:=$A551;
map[ 9333][1]:=$D8F1;map[ 9333][2]:=$DCBA;
map[ 9334][1]:=$D8F2;map[ 9334][2]:=$A5F6;
map[ 9335][1]:=$D8F3;map[ 9335][2]:=$C9B7;
map[ 9336][1]:=$D8F4;map[ 9336][2]:=$CA5F;
map[ 9337][1]:=$D8F5;map[ 9337][2]:=$C9AE;
map[ 9338][1]:=$D8F6;map[ 9338][2]:=$ADCE;
map[ 9339][1]:=$D8F7;map[ 9339][2]:=$B3C9;
map[ 9340][1]:=$D8F8;map[ 9340][2]:=$A5EA;
map[ 9341][1]:=$D8F9;map[ 9341][2]:=$A6EE;
map[ 9342][1]:=$D8FA;map[ 9342][2]:=$A6F0;
map[ 9343][1]:=$D8FB;map[ 9343][2]:=$CA61;
map[ 9344][1]:=$D8FC;map[ 9344][2]:=$A7F1;
map[ 9345][1]:=$D8FD;map[ 9345][2]:=$A748;
map[ 9346][1]:=$D8FE;map[ 9346][2]:=$A746;
map[ 9347][1]:=$D947;map[ 9347][2]:=$DBEC;
map[ 9348][1]:=$D94B;map[ 9348][2]:=$DBEB;
map[ 9349][1]:=$D950;map[ 9349][2]:=$DBE9;
map[ 9350][1]:=$D95E;map[ 9350][2]:=$E05B;
map[ 9351][1]:=$D961;map[ 9351][2]:=$E454;
map[ 9352][1]:=$D969;map[ 9352][2]:=$E455;
map[ 9353][1]:=$D96F;map[ 9353][2]:=$E7ED;
map[ 9354][1]:=$D971;map[ 9354][2]:=$E7E9;
map[ 9355][1]:=$D977;map[ 9355][2]:=$E7E8;
map[ 9356][1]:=$D97A;map[ 9356][2]:=$E7EB;
map[ 9357][1]:=$D983;map[ 9357][2]:=$EBB7;
map[ 9358][1]:=$D984;map[ 9358][2]:=$EBB6;
map[ 9359][1]:=$D986;map[ 9359][2]:=$EBB8;
map[ 9360][1]:=$D98C;map[ 9360][2]:=$EEB8;
map[ 9361][1]:=$D993;map[ 9361][2]:=$F0F6;
map[ 9362][1]:=$D995;map[ 9362][2]:=$F0F5;
map[ 9363][1]:=$D999;map[ 9363][2]:=$F348;
map[ 9364][1]:=$D99C;map[ 9364][2]:=$F34A;
map[ 9365][1]:=$D9A1;map[ 9365][2]:=$CA63;
map[ 9366][1]:=$D9A2;map[ 9366][2]:=$A6EF;
map[ 9367][1]:=$D9A4;map[ 9367][2]:=$A6F7;
map[ 9368][1]:=$D9A5;map[ 9368][2]:=$CBB8;
map[ 9369][1]:=$D9A6;map[ 9369][2]:=$CBB9;
map[ 9370][1]:=$D9A7;map[ 9370][2]:=$A8DD;
map[ 9371][1]:=$D9A8;map[ 9371][2]:=$CBBA;
map[ 9372][1]:=$D9A9;map[ 9372][2]:=$A8D4;
map[ 9373][1]:=$D9AA;map[ 9373][2]:=$A8DC;
map[ 9374][1]:=$D9AB;map[ 9374][2]:=$A8DB;
map[ 9375][1]:=$D9AC;map[ 9375][2]:=$A8D9;
map[ 9376][1]:=$D9AD;map[ 9376][2]:=$BEAB;
map[ 9377][1]:=$D9AE;map[ 9377][2]:=$CBB3;
map[ 9378][1]:=$D9AF;map[ 9378][2]:=$BBFA;
map[ 9379][1]:=$D9B0;map[ 9379][2]:=$CBC6;
map[ 9380][1]:=$D9B1;map[ 9380][2]:=$BEA9;
map[ 9381][1]:=$D9B2;map[ 9381][2]:=$C56B;
map[ 9382][1]:=$D9B3;map[ 9382][2]:=$C4D7;
map[ 9383][1]:=$D9B4;map[ 9383][2]:=$CDDE;
map[ 9384][1]:=$D9B5;map[ 9384][2]:=$AB5A;
map[ 9385][1]:=$D9B6;map[ 9385][2]:=$CDE3;
map[ 9386][1]:=$D9B7;map[ 9386][2]:=$CDE5;
map[ 9387][1]:=$D9B8;map[ 9387][2]:=$AB4D;
map[ 9388][1]:=$D9B9;map[ 9388][2]:=$AB53;
map[ 9389][1]:=$D9BA;map[ 9389][2]:=$ADC4;
map[ 9390][1]:=$D9BB;map[ 9390][2]:=$ADC5;
map[ 9391][1]:=$D9BC;map[ 9391][2]:=$B0B4;
map[ 9392][1]:=$D9BD;map[ 9392][2]:=$ADD6;
map[ 9393][1]:=$D9BE;map[ 9393][2]:=$D0D3;
map[ 9394][1]:=$D9BF;map[ 9394][2]:=$B0BF;
map[ 9395][1]:=$D9C1;map[ 9395][2]:=$ADD8;
map[ 9396][1]:=$D9C2;map[ 9396][2]:=$ADDA;
map[ 9397][1]:=$D9C3;map[ 9397][2]:=$D0D7;
map[ 9398][1]:=$D9C4;map[ 9398][2]:=$ADBE;
map[ 9399][1]:=$D9C5;map[ 9399][2]:=$ADC3;
map[ 9400][1]:=$D9C6;map[ 9400][2]:=$ADD0;
map[ 9401][1]:=$D9C7;map[ 9401][2]:=$E0F3;
map[ 9402][1]:=$D9C8;map[ 9402][2]:=$B0B3;
map[ 9403][1]:=$D9C9;map[ 9403][2]:=$B0BA;
map[ 9404][1]:=$D9CA;map[ 9404][2]:=$D455;
map[ 9405][1]:=$D9CB;map[ 9405][2]:=$B0B9;
map[ 9406][1]:=$D9CC;map[ 9406][2]:=$B6CD;
map[ 9407][1]:=$D9CD;map[ 9407][2]:=$DCBC;
map[ 9408][1]:=$D9CE;map[ 9408][2]:=$C56C;
map[ 9409][1]:=$D9CF;map[ 9409][2]:=$BEAA;
map[ 9410][1]:=$D9D0;map[ 9410][2]:=$F5C0;
map[ 9411][1]:=$D9D1;map[ 9411][2]:=$DCBF;
map[ 9412][1]:=$D9D2;map[ 9412][2]:=$B9AF;
map[ 9413][1]:=$D9D3;map[ 9413][2]:=$E4EA;
map[ 9414][1]:=$D9D4;map[ 9414][2]:=$B9B0;
map[ 9415][1]:=$D9D5;map[ 9415][2]:=$E0FA;
map[ 9416][1]:=$D9D6;map[ 9416][2]:=$E0F0;
map[ 9417][1]:=$D9D7;map[ 9417][2]:=$B9AD;
map[ 9418][1]:=$D9D8;map[ 9418][2]:=$E4EB;
map[ 9419][1]:=$D9D9;map[ 9419][2]:=$E4EE;
map[ 9420][1]:=$D9DA;map[ 9420][2]:=$C969;
map[ 9421][1]:=$D9DD;map[ 9421][2]:=$DCC2;
map[ 9422][1]:=$D9DE;map[ 9422][2]:=$AB5B;
map[ 9423][1]:=$D9DF;map[ 9423][2]:=$EFB6;
map[ 9424][1]:=$D9E0;map[ 9424][2]:=$C9F8;
map[ 9425][1]:=$D9E1;map[ 9425][2]:=$F740;
map[ 9426][1]:=$D9E2;map[ 9426][2]:=$A4BC;
map[ 9427][1]:=$D9E3;map[ 9427][2]:=$B453;
map[ 9428][1]:=$D9E4;map[ 9428][2]:=$C664;
map[ 9429][1]:=$D9E5;map[ 9429][2]:=$EF55;
map[ 9430][1]:=$D9E6;map[ 9430][2]:=$F6D8;
map[ 9431][1]:=$D9E7;map[ 9431][2]:=$C4DC;
map[ 9432][1]:=$D9E9;map[ 9432][2]:=$AB6D;
map[ 9433][1]:=$D9EA;map[ 9433][2]:=$D0B1;
map[ 9434][1]:=$D9EB;map[ 9434][2]:=$B0CB;
map[ 9435][1]:=$D9EC;map[ 9435][2]:=$E0ED;
map[ 9436][1]:=$D9ED;map[ 9436][2]:=$A667;
map[ 9437][1]:=$D9EE;map[ 9437][2]:=$A8E1;
map[ 9438][1]:=$D9F0;map[ 9438][2]:=$AB5E;
map[ 9439][1]:=$D9F1;map[ 9439][2]:=$ADBD;
map[ 9440][1]:=$D9F2;map[ 9440][2]:=$B34F;
map[ 9441][1]:=$D9F3;map[ 9441][2]:=$D7C0;
map[ 9442][1]:=$D9F4;map[ 9442][2]:=$C1B6;
map[ 9443][1]:=$D9F5;map[ 9443][2]:=$F943;
map[ 9444][1]:=$D9F6;map[ 9444][2]:=$B8CF;
map[ 9445][1]:=$D9F7;map[ 9445][2]:=$B85B;
map[ 9446][1]:=$D9F8;map[ 9446][2]:=$BEC6;
map[ 9447][1]:=$D9F9;map[ 9447][2]:=$F2DD;
map[ 9448][1]:=$D9FA;map[ 9448][2]:=$C3BD;
map[ 9449][1]:=$D9FC;map[ 9449][2]:=$A85B;
map[ 9450][1]:=$D9FC;map[ 9450][2]:=$C9BC;
map[ 9451][1]:=$D9FD;map[ 9451][2]:=$A8E6;
map[ 9452][1]:=$D9FE;map[ 9452][2]:=$CBCE;
map[ 9453][1]:=$DA47;map[ 9453][2]:=$F75C;
map[ 9454][1]:=$DA4B;map[ 9454][2]:=$F845;
map[ 9455][1]:=$DA50;map[ 9455][2]:=$F653;
map[ 9456][1]:=$DA51;map[ 9456][2]:=$E7EA;
map[ 9457][1]:=$DA52;map[ 9457][2]:=$EBB4;
map[ 9458][1]:=$DA53;map[ 9458][2]:=$F349;
map[ 9459][1]:=$DA55;map[ 9459][2]:=$E05C;
map[ 9460][1]:=$DA56;map[ 9460][2]:=$E05D;
map[ 9461][1]:=$DA57;map[ 9461][2]:=$EBB9;
map[ 9462][1]:=$DA59;map[ 9462][2]:=$EBBA;
map[ 9463][1]:=$DA5A;map[ 9463][2]:=$EEB9;
map[ 9464][1]:=$DA5C;map[ 9464][2]:=$D0B2;
map[ 9465][1]:=$DA5D;map[ 9465][2]:=$D3E4;
map[ 9466][1]:=$DA5E;map[ 9466][2]:=$D7D5;
map[ 9467][1]:=$DA60;map[ 9467][2]:=$D7D4;
map[ 9468][1]:=$DA62;map[ 9468][2]:=$D7D3;
map[ 9469][1]:=$DA65;map[ 9469][2]:=$DBEE;
map[ 9470][1]:=$DA6B;map[ 9470][2]:=$DBEF;
map[ 9471][1]:=$DA6C;map[ 9471][2]:=$E05F;
map[ 9472][1]:=$DA6D;map[ 9472][2]:=$E062;
map[ 9473][1]:=$DA6E;map[ 9473][2]:=$E060;
map[ 9474][1]:=$DA6F;map[ 9474][2]:=$E061;
map[ 9475][1]:=$DA70;map[ 9475][2]:=$E065;
map[ 9476][1]:=$DA71;map[ 9476][2]:=$E066;
map[ 9477][1]:=$DA72;map[ 9477][2]:=$E063;
map[ 9478][1]:=$DA74;map[ 9478][2]:=$E456;
map[ 9479][1]:=$DA79;map[ 9479][2]:=$E7F2;
map[ 9480][1]:=$DA7A;map[ 9480][2]:=$E7F0;
map[ 9481][1]:=$DA7D;map[ 9481][2]:=$E7EF;
map[ 9482][1]:=$DA7E;map[ 9482][2]:=$E7F1;
map[ 9483][1]:=$DA82;map[ 9483][2]:=$EBBB;
map[ 9484][1]:=$DA84;map[ 9484][2]:=$EBBC;
map[ 9485][1]:=$DA87;map[ 9485][2]:=$F34C;
map[ 9486][1]:=$DA88;map[ 9486][2]:=$F34E;
map[ 9487][1]:=$DA89;map[ 9487][2]:=$F34B;
map[ 9488][1]:=$DA8A;map[ 9488][2]:=$F34D;
map[ 9489][1]:=$DA8B;map[ 9489][2]:=$F4D6;
map[ 9490][1]:=$DA8C;map[ 9490][2]:=$F654;
map[ 9491][1]:=$DA8F;map[ 9491][2]:=$D3E7;
map[ 9492][1]:=$DA90;map[ 9492][2]:=$D3E6;
map[ 9493][1]:=$DA91;map[ 9493][2]:=$D7D8;
map[ 9494][1]:=$DA95;map[ 9494][2]:=$D7DA;
map[ 9495][1]:=$DA96;map[ 9495][2]:=$D7D7;
map[ 9496][1]:=$DA97;map[ 9496][2]:=$DBFB;
map[ 9497][1]:=$DA98;map[ 9497][2]:=$DBF3;
map[ 9498][1]:=$DA99;map[ 9498][2]:=$DBF9;
map[ 9499][1]:=$DA9C;map[ 9499][2]:=$DBF2;
map[ 9500][1]:=$DA9D;map[ 9500][2]:=$E06C;
map[ 9501][1]:=$DA9F;map[ 9501][2]:=$DBF1;
map[ 9502][1]:=$DAA3;map[ 9502][2]:=$ADE0;
map[ 9503][1]:=$DAA3;map[ 9503][2]:=$B6EF;
map[ 9504][1]:=$DAA4;map[ 9504][2]:=$ADDF;
map[ 9505][1]:=$DAA6;map[ 9505][2]:=$B050;
map[ 9506][1]:=$DAA7;map[ 9506][2]:=$B052;
map[ 9507][1]:=$DAA8;map[ 9507][2]:=$B053;
map[ 9508][1]:=$DAA9;map[ 9508][2]:=$F0DD;
map[ 9509][1]:=$DAAA;map[ 9509][2]:=$DBD6;
map[ 9510][1]:=$DAAB;map[ 9510][2]:=$B35B;
map[ 9511][1]:=$DAAC;map[ 9511][2]:=$B5FE;
map[ 9512][1]:=$DAAD;map[ 9512][2]:=$B646;
map[ 9513][1]:=$DAAE;map[ 9513][2]:=$B643;
map[ 9514][1]:=$DAAF;map[ 9514][2]:=$B640;
map[ 9515][1]:=$DAB0;map[ 9515][2]:=$DBDC;
map[ 9516][1]:=$DAB1;map[ 9516][2]:=$DBDF;
map[ 9517][1]:=$DAB2;map[ 9517][2]:=$E046;
map[ 9518][1]:=$DAB3;map[ 9518][2]:=$E04C;
map[ 9519][1]:=$DAB4;map[ 9519][2]:=$E047;
map[ 9520][1]:=$DAB5;map[ 9520][2]:=$B8D7;
map[ 9521][1]:=$DAB6;map[ 9521][2]:=$B8D9;
map[ 9522][1]:=$DAB7;map[ 9522][2]:=$E04D;
map[ 9523][1]:=$DAB8;map[ 9523][2]:=$B8E1;
map[ 9524][1]:=$DAB9;map[ 9524][2]:=$B8E0;
map[ 9525][1]:=$DABA;map[ 9525][2]:=$BDD8;
map[ 9526][1]:=$DABB;map[ 9526][2]:=$EBA1;
map[ 9527][1]:=$DABC;map[ 9527][2]:=$E048;
map[ 9528][1]:=$DABD;map[ 9528][2]:=$BBA6;
map[ 9529][1]:=$DABE;map[ 9529][2]:=$BBA2;
map[ 9530][1]:=$DABF;map[ 9530][2]:=$BBA5;
map[ 9531][1]:=$DAC0;map[ 9531][2]:=$E44D;
map[ 9532][1]:=$DAC1;map[ 9532][2]:=$E7D4;
map[ 9533][1]:=$DAC2;map[ 9533][2]:=$E7D8;
map[ 9534][1]:=$DAC3;map[ 9534][2]:=$BDD3;
map[ 9535][1]:=$DAC4;map[ 9535][2]:=$BDDB;
map[ 9536][1]:=$DAC5;map[ 9536][2]:=$E7DC;
map[ 9537][1]:=$DAC6;map[ 9537][2]:=$BDD4;
map[ 9538][1]:=$DAC7;map[ 9538][2]:=$BDD9;
map[ 9539][1]:=$DAC8;map[ 9539][2]:=$BFDB;
map[ 9540][1]:=$DAC9;map[ 9540][2]:=$BFCF;
map[ 9541][1]:=$DACA;map[ 9541][2]:=$EBA6;
map[ 9542][1]:=$DACB;map[ 9542][2]:=$BFD6;
map[ 9543][1]:=$DACC;map[ 9543][2]:=$EBA7;
map[ 9544][1]:=$DACD;map[ 9544][2]:=$BFD9;
map[ 9545][1]:=$DACE;map[ 9545][2]:=$BFDC;
map[ 9546][1]:=$DACF;map[ 9546][2]:=$BFDA;
map[ 9547][1]:=$DAD0;map[ 9547][2]:=$BFCD;
map[ 9548][1]:=$DAD1;map[ 9548][2]:=$BFD4;
map[ 9549][1]:=$DAD2;map[ 9549][2]:=$EBAB;
map[ 9550][1]:=$DAD3;map[ 9550][2]:=$C2D3;
map[ 9551][1]:=$DAD4;map[ 9551][2]:=$C66D;
map[ 9552][1]:=$DAD5;map[ 9552][2]:=$EEA2;
map[ 9553][1]:=$DAD6;map[ 9553][2]:=$EBAC;
map[ 9554][1]:=$DAD6;map[ 9554][2]:=$EEB0;
map[ 9555][1]:=$DAD7;map[ 9555][2]:=$C1C4;
map[ 9556][1]:=$DAD8;map[ 9556][2]:=$C2D6;
map[ 9557][1]:=$DAD9;map[ 9557][2]:=$F756;
map[ 9558][1]:=$DADA;map[ 9558][2]:=$F2FB;
map[ 9559][1]:=$DADB;map[ 9559][2]:=$C3D7;
map[ 9560][1]:=$DADC;map[ 9560][2]:=$C3D4;
map[ 9561][1]:=$DADD;map[ 9561][2]:=$F9A9;
map[ 9562][1]:=$DADE;map[ 9562][2]:=$C4B8;
map[ 9563][1]:=$DADF;map[ 9563][2]:=$C640;
map[ 9564][1]:=$DAE1;map[ 9564][2]:=$CEAF;
map[ 9565][1]:=$DAE3;map[ 9565][2]:=$CA56;
map[ 9566][1]:=$DAE4;map[ 9566][2]:=$A6E9;
map[ 9567][1]:=$DAE5;map[ 9567][2]:=$A8C0;
map[ 9568][1]:=$DAE6;map[ 9568][2]:=$A8C1;
map[ 9569][1]:=$DAE7;map[ 9569][2]:=$CDD9;
map[ 9570][1]:=$DAE8;map[ 9570][2]:=$CDDA;
map[ 9571][1]:=$DAE9;map[ 9571][2]:=$AB40;
map[ 9572][1]:=$DAEA;map[ 9572][2]:=$B0A4;
map[ 9573][1]:=$DAEB;map[ 9573][2]:=$D0C2;
map[ 9574][1]:=$DAEC;map[ 9574][2]:=$D446;
map[ 9575][1]:=$DAED;map[ 9575][2]:=$DCA1;
map[ 9576][1]:=$DAEE;map[ 9576][2]:=$B3B5;
map[ 9577][1]:=$DAEF;map[ 9577][2]:=$B6AB;
map[ 9578][1]:=$DAF0;map[ 9578][2]:=$B3B2;
map[ 9579][1]:=$DAF1;map[ 9579][2]:=$DC7E;
map[ 9580][1]:=$DAF2;map[ 9580][2]:=$B6AA;
map[ 9581][1]:=$DAF3;map[ 9581][2]:=$E0D4;
map[ 9582][1]:=$DAF4;map[ 9582][2]:=$EEF5;
map[ 9583][1]:=$DAF5;map[ 9583][2]:=$CA52;
map[ 9584][1]:=$DAF6;map[ 9584][2]:=$CA54;
map[ 9585][1]:=$DAF7;map[ 9585][2]:=$F14B;
map[ 9586][1]:=$DAF8;map[ 9586][2]:=$CA51;
map[ 9587][1]:=$DAF9;map[ 9587][2]:=$E0A9;
map[ 9588][1]:=$DAFA;map[ 9588][2]:=$CBA8;
map[ 9589][1]:=$DAFB;map[ 9589][2]:=$CDD4;
map[ 9590][1]:=$DAFC;map[ 9590][2]:=$CDD6;
map[ 9591][1]:=$DAFD;map[ 9591][2]:=$AAF5;
map[ 9592][1]:=$DAFE;map[ 9592][2]:=$BFF3;
map[ 9593][1]:=$DB40;map[ 9593][2]:=$DBF7;
map[ 9594][1]:=$DB41;map[ 9594][2]:=$DBF0;
map[ 9595][1]:=$DB42;map[ 9595][2]:=$DBF8;
map[ 9596][1]:=$DB43;map[ 9596][2]:=$DBF5;
map[ 9597][1]:=$DB44;map[ 9597][2]:=$E068;
map[ 9598][1]:=$DB46;map[ 9598][2]:=$E06F;
map[ 9599][1]:=$DB48;map[ 9599][2]:=$B8F9;
map[ 9600][1]:=$DB49;map[ 9600][2]:=$E070;
map[ 9601][1]:=$DB4A;map[ 9601][2]:=$E06D;
map[ 9602][1]:=$DB4C;map[ 9602][2]:=$E06B;
map[ 9603][1]:=$DB4D;map[ 9603][2]:=$E067;
map[ 9604][1]:=$DB4E;map[ 9604][2]:=$E06A;
map[ 9605][1]:=$DB4F;map[ 9605][2]:=$E071;
map[ 9606][1]:=$DB50;map[ 9606][2]:=$E073;
map[ 9607][1]:=$DB51;map[ 9607][2]:=$C4BE;
map[ 9608][1]:=$DB53;map[ 9608][2]:=$E461;
map[ 9609][1]:=$DB54;map[ 9609][2]:=$E459;
map[ 9610][1]:=$DB55;map[ 9610][2]:=$E462;
map[ 9611][1]:=$DB57;map[ 9611][2]:=$E458;
map[ 9612][1]:=$DB58;map[ 9612][2]:=$E45D;
map[ 9613][1]:=$DB59;map[ 9613][2]:=$E463;
map[ 9614][1]:=$DB5A;map[ 9614][2]:=$E45F;
map[ 9615][1]:=$DB5B;map[ 9615][2]:=$E45E;
map[ 9616][1]:=$DB5E;map[ 9616][2]:=$E45A;
map[ 9617][1]:=$DB61;map[ 9617][2]:=$E7FB;
map[ 9618][1]:=$DB62;map[ 9618][2]:=$E841;
map[ 9619][1]:=$DB63;map[ 9619][2]:=$E843;
map[ 9620][1]:=$DB64;map[ 9620][2]:=$E7F8;
map[ 9621][1]:=$DB65;map[ 9621][2]:=$E7FA;
map[ 9622][1]:=$DB66;map[ 9622][2]:=$E845;
map[ 9623][1]:=$DB67;map[ 9623][2]:=$E842;
map[ 9624][1]:=$DB68;map[ 9624][2]:=$E7FC;
map[ 9625][1]:=$DB69;map[ 9625][2]:=$E846;
map[ 9626][1]:=$DB6A;map[ 9626][2]:=$E7F9;
map[ 9627][1]:=$DB6B;map[ 9627][2]:=$E844;
map[ 9628][1]:=$DB6C;map[ 9628][2]:=$E7F3;
map[ 9629][1]:=$DB6E;map[ 9629][2]:=$E7F6;
map[ 9630][1]:=$DB6F;map[ 9630][2]:=$E7F5;
map[ 9631][1]:=$DB70;map[ 9631][2]:=$E7FD;
map[ 9632][1]:=$DB71;map[ 9632][2]:=$E7FE;
map[ 9633][1]:=$DB73;map[ 9633][2]:=$BDED;
map[ 9634][1]:=$DB75;map[ 9634][2]:=$EBC6;
map[ 9635][1]:=$DB77;map[ 9635][2]:=$EBBD;
map[ 9636][1]:=$DB79;map[ 9636][2]:=$EBC2;
map[ 9637][1]:=$DB7B;map[ 9637][2]:=$EBBF;
map[ 9638][1]:=$DB7D;map[ 9638][2]:=$EBC3;
map[ 9639][1]:=$DB7E;map[ 9639][2]:=$EBBE;
map[ 9640][1]:=$DB80;map[ 9640][2]:=$EBC7;
map[ 9641][1]:=$DB82;map[ 9641][2]:=$EBC1;
map[ 9642][1]:=$DB85;map[ 9642][2]:=$EEBB;
map[ 9643][1]:=$DB86;map[ 9643][2]:=$EEBA;
map[ 9644][1]:=$DB88;map[ 9644][2]:=$EEBD;
map[ 9645][1]:=$DB89;map[ 9645][2]:=$EEBC;
map[ 9646][1]:=$DB8A;map[ 9646][2]:=$F145;
map[ 9647][1]:=$DB8C;map[ 9647][2]:=$F0FB;
map[ 9648][1]:=$DB8D;map[ 9648][2]:=$F0FA;
map[ 9649][1]:=$DB8F;map[ 9649][2]:=$F141;
map[ 9650][1]:=$DB90;map[ 9650][2]:=$F140;
map[ 9651][1]:=$DB91;map[ 9651][2]:=$F0F7;
map[ 9652][1]:=$DB92;map[ 9652][2]:=$F143;
map[ 9653][1]:=$DB93;map[ 9653][2]:=$F0FC;
map[ 9654][1]:=$DB96;map[ 9654][2]:=$F142;
map[ 9655][1]:=$DB97;map[ 9655][2]:=$F0F8;
map[ 9656][1]:=$DB9A;map[ 9656][2]:=$F0FD;
map[ 9657][1]:=$DB9B;map[ 9657][2]:=$F0FE;
map[ 9658][1]:=$DB9D;map[ 9658][2]:=$F352;
map[ 9659][1]:=$DBA1;map[ 9659][2]:=$AAF3;
map[ 9660][1]:=$DBA2;map[ 9660][2]:=$CDD7;
map[ 9661][1]:=$DBA3;map[ 9661][2]:=$D3F7;
map[ 9662][1]:=$DBA4;map[ 9662][2]:=$D0BB;
map[ 9663][1]:=$DBA5;map[ 9663][2]:=$D0BC;
map[ 9664][1]:=$DBA6;map[ 9664][2]:=$EBD7;
map[ 9665][1]:=$DBA7;map[ 9665][2]:=$D3FD;
map[ 9666][1]:=$DBA8;map[ 9666][2]:=$D0BD;
map[ 9667][1]:=$DBA9;map[ 9667][2]:=$DC50;
map[ 9668][1]:=$DBAA;map[ 9668][2]:=$C5B0;
map[ 9669][1]:=$DBAB;map[ 9669][2]:=$B072;
map[ 9670][1]:=$DBAC;map[ 9670][2]:=$D3FC;
map[ 9671][1]:=$DBAD;map[ 9671][2]:=$D3FB;
map[ 9672][1]:=$DBAE;map[ 9672][2]:=$D3FA;
map[ 9673][1]:=$DBAF;map[ 9673][2]:=$D7EF;
map[ 9674][1]:=$DBB0;map[ 9674][2]:=$D7E8;
map[ 9675][1]:=$DBB1;map[ 9675][2]:=$B66E;
map[ 9676][1]:=$DBB2;map[ 9676][2]:=$DC52;
map[ 9677][1]:=$DBB3;map[ 9677][2]:=$E46B;
map[ 9678][1]:=$DBB4;map[ 9678][2]:=$BBC2;
map[ 9679][1]:=$DBB5;map[ 9679][2]:=$E468;
map[ 9680][1]:=$DBB6;map[ 9680][2]:=$BE49;
map[ 9681][1]:=$DBB7;map[ 9681][2]:=$E854;
map[ 9682][1]:=$DBB8;map[ 9682][2]:=$C1DD;
map[ 9683][1]:=$DBB9;map[ 9683][2]:=$F4E1;
map[ 9684][1]:=$DBBA;map[ 9684][2]:=$F65A;
map[ 9685][1]:=$DBBB;map[ 9685][2]:=$AFEC;
map[ 9686][1]:=$DBBC;map[ 9686][2]:=$ABB7;
map[ 9687][1]:=$DBBD;map[ 9687][2]:=$E4F4;
map[ 9688][1]:=$DBBE;map[ 9688][2]:=$A757;
map[ 9689][1]:=$DBBF;map[ 9689][2]:=$CA6F;
map[ 9690][1]:=$DBC0;map[ 9690][2]:=$A8F0;
map[ 9691][1]:=$DBC1;map[ 9691][2]:=$D0F8;
map[ 9692][1]:=$DBC3;map[ 9692][2]:=$B1E5;
map[ 9693][1]:=$DBC3;map[ 9693][2]:=$D46D;
map[ 9694][1]:=$DBC4;map[ 9694][2]:=$BC45;
map[ 9695][1]:=$DBC5;map[ 9695][2]:=$ADEE;
map[ 9696][1]:=$DBC6;map[ 9696][2]:=$C0E8;
map[ 9697][1]:=$DBC7;map[ 9697][2]:=$F477;
map[ 9698][1]:=$DBC9;map[ 9698][2]:=$C942;
map[ 9699][1]:=$DBCB;map[ 9699][2]:=$D44A;
map[ 9700][1]:=$DBCD;map[ 9700][2]:=$A5AF;
map[ 9701][1]:=$DBCE;map[ 9701][2]:=$AF63;
map[ 9702][1]:=$DBCF;map[ 9702][2]:=$DD57;
map[ 9703][1]:=$DBD0;map[ 9703][2]:=$CAAC;
map[ 9704][1]:=$DBD1;map[ 9704][2]:=$B0EE;
map[ 9705][1]:=$DBD3;map[ 9705][2]:=$B9D1;
map[ 9706][1]:=$DBD4;map[ 9706][2]:=$E94F;
map[ 9707][1]:=$DBD5;map[ 9707][2]:=$BEC3;
map[ 9708][1]:=$DBD6;map[ 9708][2]:=$C0A4;
map[ 9709][1]:=$DBD7;map[ 9709][2]:=$A666;
map[ 9710][1]:=$DBD8;map[ 9710][2]:=$A664;
map[ 9711][1]:=$DBD9;map[ 9711][2]:=$C9C9;
map[ 9712][1]:=$DBDA;map[ 9712][2]:=$A660;
map[ 9713][1]:=$DBDB;map[ 9713][2]:=$C252;
map[ 9714][1]:=$DBDC;map[ 9714][2]:=$C9C8;
map[ 9715][1]:=$DBDD;map[ 9715][2]:=$A665;
map[ 9716][1]:=$DBDE;map[ 9716][2]:=$C363;
map[ 9717][1]:=$DBDF;map[ 9717][2]:=$A7A6;
map[ 9718][1]:=$DBE1;map[ 9718][2]:=$A958;
map[ 9719][1]:=$DBE3;map[ 9719][2]:=$CBF5;
map[ 9720][1]:=$DBE4;map[ 9720][2]:=$F1F6;
map[ 9721][1]:=$DBE4;map[ 9721][2]:=$F743;
map[ 9722][1]:=$DBE5;map[ 9722][2]:=$A95C;
map[ 9723][1]:=$DBE6;map[ 9723][2]:=$CBFB;
map[ 9724][1]:=$DBE7;map[ 9724][2]:=$CC40;
map[ 9725][1]:=$DBE8;map[ 9725][2]:=$CBF4;
map[ 9726][1]:=$DBE9;map[ 9726][2]:=$CBF8;
map[ 9727][1]:=$DBEA;map[ 9727][2]:=$CBFC;
map[ 9728][1]:=$DBEB;map[ 9728][2]:=$D4C1;
map[ 9729][1]:=$DBEC;map[ 9729][2]:=$CE53;
map[ 9730][1]:=$DBED;map[ 9730][2]:=$CE54;
map[ 9731][1]:=$DBEE;map[ 9731][2]:=$DCE5;
map[ 9732][1]:=$DBEF;map[ 9732][2]:=$D4BA;
map[ 9733][1]:=$DBF0;map[ 9733][2]:=$CBF7;
map[ 9734][1]:=$DBF2;map[ 9734][2]:=$ABB2;
map[ 9735][1]:=$DBF3;map[ 9735][2]:=$ABAD;
map[ 9736][1]:=$DBF4;map[ 9736][2]:=$D14C;
map[ 9737][1]:=$DBF5;map[ 9737][2]:=$B6F6;
map[ 9738][1]:=$DBF6;map[ 9738][2]:=$B3FA;
map[ 9739][1]:=$DBF7;map[ 9739][2]:=$C0A5;
map[ 9740][1]:=$DBF7;map[ 9740][2]:=$DCE4;
map[ 9741][1]:=$DBF8;map[ 9741][2]:=$D14D;
map[ 9742][1]:=$DBF9;map[ 9742][2]:=$D152;
map[ 9743][1]:=$DBFA;map[ 9743][2]:=$D4B2;
map[ 9744][1]:=$DBFB;map[ 9744][2]:=$CE50;
map[ 9745][1]:=$DBFC;map[ 9745][2]:=$D4B7;
map[ 9746][1]:=$DBFD;map[ 9746][2]:=$B0F1;
map[ 9747][1]:=$DC40;map[ 9747][2]:=$F351;
map[ 9748][1]:=$DC43;map[ 9748][2]:=$F350;
map[ 9749][1]:=$DC46;map[ 9749][2]:=$F354;
map[ 9750][1]:=$DC4C;map[ 9750][2]:=$F4D9;
map[ 9751][1]:=$DC4D;map[ 9751][2]:=$F4D7;
map[ 9752][1]:=$DC4E;map[ 9752][2]:=$F4D8;
map[ 9753][1]:=$DC52;map[ 9753][2]:=$F656;
map[ 9754][1]:=$DC54;map[ 9754][2]:=$F655;
map[ 9755][1]:=$DC59;map[ 9755][2]:=$F762;
map[ 9756][1]:=$DC5A;map[ 9756][2]:=$F763;
map[ 9757][1]:=$DC5B;map[ 9757][2]:=$F846;
map[ 9758][1]:=$DC5F;map[ 9758][2]:=$F8C6;
map[ 9759][1]:=$DC60;map[ 9759][2]:=$F8C4;
map[ 9760][1]:=$DC61;map[ 9760][2]:=$F8C5;
map[ 9761][1]:=$DC64;map[ 9761][2]:=$F951;
map[ 9762][1]:=$DC65;map[ 9762][2]:=$F950;
map[ 9763][1]:=$DC69;map[ 9763][2]:=$F9BE;
map[ 9764][1]:=$DC6A;map[ 9764][2]:=$F9AB;
map[ 9765][1]:=$DC79;map[ 9765][2]:=$EBC8;
map[ 9766][1]:=$DC7E;map[ 9766][2]:=$F355;
map[ 9767][1]:=$DC86;map[ 9767][2]:=$F9AC;
map[ 9768][1]:=$DC8B;map[ 9768][2]:=$B063;
map[ 9769][1]:=$DC8F;map[ 9769][2]:=$D3E9;
map[ 9770][1]:=$DC93;map[ 9770][2]:=$D7DF;
map[ 9771][1]:=$DC94;map[ 9771][2]:=$D7DB;
map[ 9772][1]:=$DC98;map[ 9772][2]:=$D7DE;
map[ 9773][1]:=$DC99;map[ 9773][2]:=$D7DD;
map[ 9774][1]:=$DC9A;map[ 9774][2]:=$D7DC;
map[ 9775][1]:=$DC9C;map[ 9775][2]:=$D7E0;
map[ 9776][1]:=$DC9D;map[ 9776][2]:=$D7E1;
map[ 9777][1]:=$DCA1;map[ 9777][2]:=$D4B8;
map[ 9778][1]:=$DCA2;map[ 9778][2]:=$D4CB;
map[ 9779][1]:=$DCA3;map[ 9779][2]:=$D4B5;
map[ 9780][1]:=$DCA4;map[ 9780][2]:=$D4B4;
map[ 9781][1]:=$DCA5;map[ 9781][2]:=$D4B3;
map[ 9782][1]:=$DCA6;map[ 9782][2]:=$D8A2;
map[ 9783][1]:=$DCA7;map[ 9783][2]:=$D8A1;
map[ 9784][1]:=$DCA9;map[ 9784][2]:=$B3FB;
map[ 9785][1]:=$DCAA;map[ 9785][2]:=$DCED;
map[ 9786][1]:=$DCAC;map[ 9786][2]:=$E15B;
map[ 9787][1]:=$DCAD;map[ 9787][2]:=$BBC1;
map[ 9788][1]:=$DCAD;map[ 9788][2]:=$E156;
map[ 9789][1]:=$DCAF;map[ 9789][2]:=$BC55;
map[ 9790][1]:=$DCB0;map[ 9790][2]:=$C4C9;
map[ 9791][1]:=$DCB1;map[ 9791][2]:=$C567;
map[ 9792][1]:=$DCB2;map[ 9792][2]:=$C574;
map[ 9793][1]:=$DCB3;map[ 9793][2]:=$CA4A;
map[ 9794][1]:=$DCB4;map[ 9794][2]:=$CA4D;
map[ 9795][1]:=$DCB5;map[ 9795][2]:=$CA4E;
map[ 9796][1]:=$DCB6;map[ 9796][2]:=$CB7A;
map[ 9797][1]:=$DCB7;map[ 9797][2]:=$CBA1;
map[ 9798][1]:=$DCB8;map[ 9798][2]:=$CDBF;
map[ 9799][1]:=$DCB9;map[ 9799][2]:=$CBA3;
map[ 9800][1]:=$DCBA;map[ 9800][2]:=$CB7C;
map[ 9801][1]:=$DCBB;map[ 9801][2]:=$CB7D;
map[ 9802][1]:=$DCBC;map[ 9802][2]:=$EB52;
map[ 9803][1]:=$DCBD;map[ 9803][2]:=$AADC;
map[ 9804][1]:=$DCBE;map[ 9804][2]:=$CDB4;
map[ 9805][1]:=$DCBF;map[ 9805][2]:=$AAE5;
map[ 9806][1]:=$DCBF;map[ 9806][2]:=$EAFC;
map[ 9807][1]:=$DCC0;map[ 9807][2]:=$AAE8;
map[ 9808][1]:=$DCC1;map[ 9808][2]:=$AAE7;
map[ 9809][1]:=$DCC2;map[ 9809][2]:=$F4BE;
map[ 9810][1]:=$DCC4;map[ 9810][2]:=$AD55;
map[ 9811][1]:=$DCC5;map[ 9811][2]:=$CDB6;
map[ 9812][1]:=$DCC6;map[ 9812][2]:=$AAE9;
map[ 9813][1]:=$DCC7;map[ 9813][2]:=$CDBA;
map[ 9814][1]:=$DCC8;map[ 9814][2]:=$B341;
map[ 9815][1]:=$DCC9;map[ 9815][2]:=$B5E7;
map[ 9816][1]:=$DCCA;map[ 9816][2]:=$E776;
map[ 9817][1]:=$DCCB;map[ 9817][2]:=$CDC1;
map[ 9818][1]:=$DCCC;map[ 9818][2]:=$CDBE;
map[ 9819][1]:=$DCCD;map[ 9819][2]:=$CDC0;
map[ 9820][1]:=$DCCF;map[ 9820][2]:=$AADF;
map[ 9821][1]:=$DCD1;map[ 9821][2]:=$AD52;
map[ 9822][1]:=$DCD2;map[ 9822][2]:=$CDC3;
map[ 9823][1]:=$DCD3;map[ 9823][2]:=$D077;
map[ 9824][1]:=$DCD4;map[ 9824][2]:=$AD5B;
map[ 9825][1]:=$DCD6;map[ 9825][2]:=$D0A1;
map[ 9826][1]:=$DCD7;map[ 9826][2]:=$F4B8;
map[ 9827][1]:=$DCD8;map[ 9827][2]:=$D06E;
map[ 9828][1]:=$DCD9;map[ 9828][2]:=$AD60;
map[ 9829][1]:=$DCDA;map[ 9829][2]:=$D075;
map[ 9830][1]:=$DCDB;map[ 9830][2]:=$AD5C;
map[ 9831][1]:=$DCDD;map[ 9831][2]:=$D07A;
map[ 9832][1]:=$DCDE;map[ 9832][2]:=$D07B;
map[ 9833][1]:=$DCDF;map[ 9833][2]:=$AD64;
map[ 9834][1]:=$DCE0;map[ 9834][2]:=$E772;
map[ 9835][1]:=$DCE2;map[ 9835][2]:=$AD67;
map[ 9836][1]:=$DCE3;map[ 9836][2]:=$B6F7;
map[ 9837][1]:=$DCE4;map[ 9837][2]:=$DE72;
map[ 9838][1]:=$DCE5;map[ 9838][2]:=$D0A2;
map[ 9839][1]:=$DCE6;map[ 9839][2]:=$D071;
map[ 9840][1]:=$DCE7;map[ 9840][2]:=$D37D;
map[ 9841][1]:=$DCE8;map[ 9841][2]:=$D377;
map[ 9842][1]:=$DCE9;map[ 9842][2]:=$EAFE;
map[ 9843][1]:=$DCEA;map[ 9843][2]:=$E76E;
map[ 9844][1]:=$DCEB;map[ 9844][2]:=$D3A5;
map[ 9845][1]:=$DCEC;map[ 9845][2]:=$B2F7;
map[ 9846][1]:=$DCED;map[ 9846][2]:=$D3A6;
map[ 9847][1]:=$DCEE;map[ 9847][2]:=$AFF5;
map[ 9848][1]:=$DCEF;map[ 9848][2]:=$AFFC;
map[ 9849][1]:=$DCF0;map[ 9849][2]:=$D76C;
map[ 9850][1]:=$DCF1;map[ 9850][2]:=$EB4C;
map[ 9851][1]:=$DCF2;map[ 9851][2]:=$D3AC;
map[ 9852][1]:=$DCF3;map[ 9852][2]:=$AFF6;
map[ 9853][1]:=$DCF4;map[ 9853][2]:=$D3AE;
map[ 9854][1]:=$DCF5;map[ 9854][2]:=$AFFE;
map[ 9855][1]:=$DCF6;map[ 9855][2]:=$EE50;
map[ 9856][1]:=$DCF7;map[ 9856][2]:=$AFFB;
map[ 9857][1]:=$DCF8;map[ 9857][2]:=$AFFA;
map[ 9858][1]:=$DCF9;map[ 9858][2]:=$C2C9;
map[ 9859][1]:=$DCFA;map[ 9859][2]:=$D374;
map[ 9860][1]:=$DCFB;map[ 9860][2]:=$D072;
map[ 9861][1]:=$DCFC;map[ 9861][2]:=$D373;
map[ 9862][1]:=$DCFD;map[ 9862][2]:=$BABA;
map[ 9863][1]:=$DCFE;map[ 9863][2]:=$E26C;
map[ 9864][1]:=$DD40;map[ 9864][2]:=$DC43;
map[ 9865][1]:=$DD41;map[ 9865][2]:=$DC41;
map[ 9866][1]:=$DD42;map[ 9866][2]:=$DC45;
map[ 9867][1]:=$DD43;map[ 9867][2]:=$DC46;
map[ 9868][1]:=$DD44;map[ 9868][2]:=$DC4C;
map[ 9869][1]:=$DD47;map[ 9869][2]:=$DC4A;
map[ 9870][1]:=$DD49;map[ 9870][2]:=$DC42;
map[ 9871][1]:=$DD4A;map[ 9871][2]:=$DBFC;
map[ 9872][1]:=$DD4C;map[ 9872][2]:=$DC49;
map[ 9873][1]:=$DD4F;map[ 9873][2]:=$DC4B;
map[ 9874][1]:=$DD50;map[ 9874][2]:=$DC44;
map[ 9875][1]:=$DD51;map[ 9875][2]:=$DC47;
map[ 9876][1]:=$DD52;map[ 9876][2]:=$DBFD;
map[ 9877][1]:=$DD5A;map[ 9877][2]:=$E075;
map[ 9878][1]:=$DD5B;map[ 9878][2]:=$E077;
map[ 9879][1]:=$DD5C;map[ 9879][2]:=$E076;
map[ 9880][1]:=$DD5D;map[ 9880][2]:=$E07B;
map[ 9881][1]:=$DD61;map[ 9881][2]:=$E074;
map[ 9882][1]:=$DD66;map[ 9882][2]:=$E07C;
map[ 9883][1]:=$DD68;map[ 9883][2]:=$E467;
map[ 9884][1]:=$DD69;map[ 9884][2]:=$E466;
map[ 9885][1]:=$DD6B;map[ 9885][2]:=$E464;
map[ 9886][1]:=$DD6C;map[ 9886][2]:=$E465;
map[ 9887][1]:=$DD71;map[ 9887][2]:=$E84D;
map[ 9888][1]:=$DD72;map[ 9888][2]:=$E84E;
map[ 9889][1]:=$DD73;map[ 9889][2]:=$E849;
map[ 9890][1]:=$DD75;map[ 9890][2]:=$E84A;
map[ 9891][1]:=$DD7B;map[ 9891][2]:=$E84B;
map[ 9892][1]:=$DD7E;map[ 9892][2]:=$E84C;
map[ 9893][1]:=$DD80;map[ 9893][2]:=$E848;
map[ 9894][1]:=$DD8A;map[ 9894][2]:=$EBCA;
map[ 9895][1]:=$DD8E;map[ 9895][2]:=$EBCC;
map[ 9896][1]:=$DD90;map[ 9896][2]:=$EBCF;
map[ 9897][1]:=$DD91;map[ 9897][2]:=$EBCB;
map[ 9898][1]:=$DD92;map[ 9898][2]:=$EBC9;
map[ 9899][1]:=$DD93;map[ 9899][2]:=$EBCE;
map[ 9900][1]:=$DD95;map[ 9900][2]:=$EBCD;
map[ 9901][1]:=$DD9F;map[ 9901][2]:=$EEC0;
map[ 9902][1]:=$DDA1;map[ 9902][2]:=$EB43;
map[ 9903][1]:=$DDA2;map[ 9903][2]:=$D3A3;
map[ 9904][1]:=$DDA3;map[ 9904][2]:=$F0B0;
map[ 9905][1]:=$DDA5;map[ 9905][2]:=$BB5E;
map[ 9906][1]:=$DDA6;map[ 9906][2]:=$DFD2;
map[ 9907][1]:=$DDA8;map[ 9907][2]:=$D774;
map[ 9908][1]:=$DDA9;map[ 9908][2]:=$B2F2;
map[ 9909][1]:=$DDAA;map[ 9909][2]:=$E3C2;
map[ 9910][1]:=$DDAB;map[ 9910][2]:=$B8B1;
map[ 9911][1]:=$DDAC;map[ 9911][2]:=$B2FB;
map[ 9912][1]:=$DDAD;map[ 9912][2]:=$D76D;
map[ 9913][1]:=$DDAE;map[ 9913][2]:=$B2F9;
map[ 9914][1]:=$DDAF;map[ 9914][2]:=$E773;
map[ 9915][1]:=$DDB0;map[ 9915][2]:=$BB59;
map[ 9916][1]:=$DDB1;map[ 9916][2]:=$B2FE;
map[ 9917][1]:=$DDB2;map[ 9917][2]:=$EE56;
map[ 9918][1]:=$DDB3;map[ 9918][2]:=$D767;
map[ 9919][1]:=$DDB4;map[ 9919][2]:=$D768;
map[ 9920][1]:=$DDB5;map[ 9920][2]:=$EB4F;
map[ 9921][1]:=$DDB6;map[ 9921][2]:=$B2FD;
map[ 9922][1]:=$DDB7;map[ 9922][2]:=$B2F1;
map[ 9923][1]:=$DDB8;map[ 9923][2]:=$B2F0;
map[ 9924][1]:=$DDB9;map[ 9924][2]:=$D75B;
map[ 9925][1]:=$DDBA;map[ 9925][2]:=$C561;
map[ 9926][1]:=$DDBB;map[ 9926][2]:=$E75D;
map[ 9927][1]:=$DDBC;map[ 9927][2]:=$B5D7;
map[ 9928][1]:=$DDBD;map[ 9928][2]:=$DB6D;
map[ 9929][1]:=$DDBE;map[ 9929][2]:=$DB6F;
map[ 9930][1]:=$DDBF;map[ 9930][2]:=$DB70;
map[ 9931][1]:=$DDC0;map[ 9931][2]:=$D4BB;
map[ 9932][1]:=$DDC2;map[ 9932][2]:=$B5D6;
map[ 9933][1]:=$DDC3;map[ 9933][2]:=$DB6E;
map[ 9934][1]:=$DDC4;map[ 9934][2]:=$B5E0;
map[ 9935][1]:=$DDC5;map[ 9935][2]:=$DB75;
map[ 9936][1]:=$DDC7;map[ 9936][2]:=$B5E3;
map[ 9937][1]:=$DDC8;map[ 9937][2]:=$DB7B;
map[ 9938][1]:=$DDC9;map[ 9938][2]:=$DB7C;
map[ 9939][1]:=$DDCA;map[ 9939][2]:=$B5E8;
map[ 9940][1]:=$DDCB;map[ 9940][2]:=$B5E9;
map[ 9941][1]:=$DDCC;map[ 9941][2]:=$DB79;
map[ 9942][1]:=$DDCD;map[ 9942][2]:=$B5D1;
map[ 9943][1]:=$DDCF;map[ 9943][2]:=$DB5E;
map[ 9944][1]:=$DDD0;map[ 9944][2]:=$DBA5;
map[ 9945][1]:=$DDD1;map[ 9945][2]:=$B5D5;
map[ 9946][1]:=$DDD2;map[ 9946][2]:=$DB60;
map[ 9947][1]:=$DDD3;map[ 9947][2]:=$BFA2;
map[ 9948][1]:=$DDD4;map[ 9948][2]:=$B5DD;
map[ 9949][1]:=$DDD5;map[ 9949][2]:=$DB72;
map[ 9950][1]:=$DDD7;map[ 9950][2]:=$DFB1;
map[ 9951][1]:=$DDD8;map[ 9951][2]:=$DFB8;
map[ 9952][1]:=$DDD9;map[ 9952][2]:=$DFB9;
map[ 9953][1]:=$DDDA;map[ 9953][2]:=$DFBB;
map[ 9954][1]:=$DDDB;map[ 9954][2]:=$EB41;
map[ 9955][1]:=$DDDD;map[ 9955][2]:=$DFC2;
map[ 9956][1]:=$DDDE;map[ 9956][2]:=$EB44;
map[ 9957][1]:=$DDDF;map[ 9957][2]:=$DFC4;
map[ 9958][1]:=$DDE0;map[ 9958][2]:=$B8B0;
map[ 9959][1]:=$DDE1;map[ 9959][2]:=$B8B6;
map[ 9960][1]:=$DDE2;map[ 9960][2]:=$B8B4;
map[ 9961][1]:=$DDE3;map[ 9961][2]:=$DFAC;
map[ 9962][1]:=$DDE4;map[ 9962][2]:=$E76F;
map[ 9963][1]:=$DDE5;map[ 9963][2]:=$DFD5;
map[ 9964][1]:=$DDE6;map[ 9964][2]:=$B8A9;
map[ 9965][1]:=$DDE7;map[ 9965][2]:=$B8B5;
map[ 9966][1]:=$DDE8;map[ 9966][2]:=$E3B8;
map[ 9967][1]:=$DDE9;map[ 9967][2]:=$E3B9;
map[ 9968][1]:=$DDEA;map[ 9968][2]:=$E3BD;
map[ 9969][1]:=$DDEB;map[ 9969][2]:=$C55A;
map[ 9970][1]:=$DDED;map[ 9970][2]:=$BB5F;
map[ 9971][1]:=$DDEE;map[ 9971][2]:=$BB63;
map[ 9972][1]:=$DDEF;map[ 9972][2]:=$BB55;
map[ 9973][1]:=$DDF0;map[ 9973][2]:=$E3B0;
map[ 9974][1]:=$DDF1;map[ 9974][2]:=$F7F0;
map[ 9975][1]:=$DDF2;map[ 9975][2]:=$E3AE;
map[ 9976][1]:=$DDF3;map[ 9976][2]:=$E3B6;
map[ 9977][1]:=$DDF4;map[ 9977][2]:=$E3B7;
map[ 9978][1]:=$DDF5;map[ 9978][2]:=$E3AC;
map[ 9979][1]:=$DDF6;map[ 9979][2]:=$F16A;
map[ 9980][1]:=$DDF7;map[ 9980][2]:=$EE40;
map[ 9981][1]:=$DDF8;map[ 9981][2]:=$E75C;
map[ 9982][1]:=$DDF9;map[ 9982][2]:=$BF5F;
map[ 9983][1]:=$DDFB;map[ 9983][2]:=$E775;
map[ 9984][1]:=$DDFC;map[ 9984][2]:=$F5FD;
map[ 9985][1]:=$DDFD;map[ 9985][2]:=$E754;
map[ 9986][1]:=$DDFE;map[ 9986][2]:=$C4A9;
map[ 9987][1]:=$DE42;map[ 9987][2]:=$F147;
map[ 9988][1]:=$DE43;map[ 9988][2]:=$F148;
map[ 9989][1]:=$DE46;map[ 9989][2]:=$F149;
map[ 9990][1]:=$DE4A;map[ 9990][2]:=$F358;
map[ 9991][1]:=$DE4B;map[ 9991][2]:=$F359;
map[ 9992][1]:=$DE4C;map[ 9992][2]:=$F357;
map[ 9993][1]:=$DE4D;map[ 9993][2]:=$F356;
map[ 9994][1]:=$DE4E;map[ 9994][2]:=$F35A;
map[ 9995][1]:=$DE50;map[ 9995][2]:=$F4DD;
map[ 9996][1]:=$DE51;map[ 9996][2]:=$F4DB;
map[ 9997][1]:=$DE52;map[ 9997][2]:=$F4DC;
map[ 9998][1]:=$DE53;map[ 9998][2]:=$F4DE;
map[ 9999][1]:=$DE54;map[ 9999][2]:=$F4DA;
map[10000][1]:=$DE55;map[10000][2]:=$F4DF;
map[10001][1]:=$DE56;map[10001][2]:=$F658;
map[10002][1]:=$DE58;map[10002][2]:=$F659;
map[10003][1]:=$DE59;map[10003][2]:=$F657;
map[10004][1]:=$DE5B;map[10004][2]:=$F764;
map[10005][1]:=$DE5E;map[10005][2]:=$F848;
map[10006][1]:=$DE61;map[10006][2]:=$D3E8;
map[10007][1]:=$DE62;map[10007][2]:=$E07A;
map[10008][1]:=$DE63;map[10008][2]:=$E847;
map[10009][1]:=$DE64;map[10009][2]:=$EEC1;
map[10010][1]:=$DE74;map[10010][2]:=$F35B;
map[10011][1]:=$DE7B;map[10011][2]:=$CBA6;
map[10012][1]:=$DE80;map[10012][2]:=$CBA5;
map[10013][1]:=$DE82;map[10013][2]:=$CDCD;
map[10014][1]:=$DE84;map[10014][2]:=$CDCF;
map[10015][1]:=$DE86;map[10015][2]:=$CDCC;
map[10016][1]:=$DE87;map[10016][2]:=$CDD0;
map[10017][1]:=$DE88;map[10017][2]:=$CDD2;
map[10018][1]:=$DE8A;map[10018][2]:=$D0B6;
map[10019][1]:=$DE8B;map[10019][2]:=$D0B4;
map[10020][1]:=$DE8C;map[10020][2]:=$D0B3;
map[10021][1]:=$DE93;map[10021][2]:=$D3EB;
map[10022][1]:=$DE94;map[10022][2]:=$D3F1;
map[10023][1]:=$DE96;map[10023][2]:=$D3EE;
map[10024][1]:=$DE97;map[10024][2]:=$D3F0;
map[10025][1]:=$DE98;map[10025][2]:=$D3EA;
map[10026][1]:=$DE99;map[10026][2]:=$D3ED;
map[10027][1]:=$DE9C;map[10027][2]:=$D7E6;
map[10028][1]:=$DEA1;map[10028][2]:=$EAF8;
map[10029][1]:=$DEA2;map[10029][2]:=$E74D;
map[10030][1]:=$DEA3;map[10030][2]:=$BDB6;
map[10031][1]:=$DEA4;map[10031][2]:=$E764;
map[10032][1]:=$DEA5;map[10032][2]:=$BFB7;
map[10033][1]:=$DEA6;map[10033][2]:=$BFB8;
map[10034][1]:=$DEA7;map[10034][2]:=$BFB9;
map[10035][1]:=$DEA8;map[10035][2]:=$EB42;
map[10036][1]:=$DEA9;map[10036][2]:=$BFBF;
map[10037][1]:=$DEAA;map[10037][2]:=$EE44;
map[10038][1]:=$DEAB;map[10038][2]:=$EA7B;
map[10039][1]:=$DEAC;map[10039][2]:=$BFBB;
map[10040][1]:=$DEAD;map[10040][2]:=$F4BF;
map[10041][1]:=$DEAE;map[10041][2]:=$EDFB;
map[10042][1]:=$DEAF;map[10042][2]:=$EDFC;
map[10043][1]:=$DEB0;map[10043][2]:=$C1A9;
map[10044][1]:=$DEB1;map[10044][2]:=$C1A8;
map[10045][1]:=$DEB2;map[10045][2]:=$EDF5;
map[10046][1]:=$DEB3;map[10046][2]:=$EE52;
map[10047][1]:=$DEB4;map[10047][2]:=$C3C1;
map[10048][1]:=$DEB5;map[10048][2]:=$C1A3;
map[10049][1]:=$DEB6;map[10049][2]:=$EE51;
map[10050][1]:=$DEB7;map[10050][2]:=$C2CA;
map[10051][1]:=$DEB8;map[10051][2]:=$F0B8;
map[10052][1]:=$DEBA;map[10052][2]:=$C4F6;
map[10053][1]:=$DEBC;map[10053][2]:=$F2D4;
map[10054][1]:=$DEBD;map[10054][2]:=$F4B9;
map[10055][1]:=$DEBE;map[10055][2]:=$F5F8;
map[10056][1]:=$DEBF;map[10056][2]:=$F4C1;
map[10057][1]:=$DEC0;map[10057][2]:=$F5FC;
map[10058][1]:=$DEC2;map[10058][2]:=$F7F3;
map[10059][1]:=$DEC3;map[10059][2]:=$A47B;
map[10060][1]:=$DEC4;map[10060][2]:=$ABD9;
map[10061][1]:=$DEC5;map[10061][2]:=$C9CB;
map[10062][1]:=$DEC6;map[10062][2]:=$B9DD;
map[10063][1]:=$DEC7;map[10063][2]:=$D055;
map[10064][1]:=$DEC8;map[10064][2]:=$ABB3;
map[10065][1]:=$DEC9;map[10065][2]:=$AE4F;
map[10066][1]:=$DECA;map[10066][2]:=$AE4E;
map[10067][1]:=$DECB;map[10067][2]:=$B0CC;
map[10068][1]:=$DECC;map[10068][2]:=$A471;
map[10069][1]:=$DECD;map[10069][2]:=$C9D5;
map[10070][1]:=$DECE;map[10070][2]:=$A7BC;
map[10071][1]:=$DECF;map[10071][2]:=$C0AA;
map[10072][1]:=$DED1;map[10072][2]:=$B1BF;
map[10073][1]:=$DED2;map[10073][2]:=$E1DE;
map[10074][1]:=$DED3;map[10074][2]:=$CCBD;
map[10075][1]:=$DED4;map[10075][2]:=$CCB9;
map[10076][1]:=$DED5;map[10076][2]:=$A9E9;
map[10077][1]:=$DED6;map[10077][2]:=$A9ED;
map[10078][1]:=$DED7;map[10078][2]:=$ABFA;
map[10079][1]:=$DED8;map[10079][2]:=$E5B9;
map[10080][1]:=$DED9;map[10080][2]:=$CEDF;
map[10081][1]:=$DEDA;map[10081][2]:=$D1BA;
map[10082][1]:=$DEDB;map[10082][2]:=$D1BB;
map[10083][1]:=$DEDC;map[10083][2]:=$D1B8;
map[10084][1]:=$DEDD;map[10084][2]:=$D56D;
map[10085][1]:=$DEDE;map[10085][2]:=$D95E;
map[10086][1]:=$DEDF;map[10086][2]:=$B1BA;
map[10087][1]:=$DEE0;map[10087][2]:=$B1CC;
map[10088][1]:=$DEE1;map[10088][2]:=$D571;
map[10089][1]:=$DEE2;map[10089][2]:=$BA51;
map[10090][1]:=$DEE3;map[10090][2]:=$D579;
map[10091][1]:=$DEE4;map[10091][2]:=$B1C5;
map[10092][1]:=$DEE5;map[10092][2]:=$D568;
map[10093][1]:=$DEE6;map[10093][2]:=$B1CA;
map[10094][1]:=$DEE7;map[10094][2]:=$D57A;
map[10095][1]:=$DEE8;map[10095][2]:=$E1E8;
map[10096][1]:=$DEE9;map[10096][2]:=$D960;
map[10097][1]:=$DEEB;map[10097][2]:=$D95D;
map[10098][1]:=$DEEC;map[10098][2]:=$BCC3;
map[10099][1]:=$DEED;map[10099][2]:=$D967;
map[10100][1]:=$DEEF;map[10100][2]:=$D955;
map[10101][1]:=$DEF0;map[10101][2]:=$B4AC;
map[10102][1]:=$DEF1;map[10102][2]:=$B47D;
map[10103][1]:=$DEF2;map[10103][2]:=$D964;
map[10104][1]:=$DEF3;map[10104][2]:=$EFD2;
map[10105][1]:=$DEF4;map[10105][2]:=$DDAE;
map[10106][1]:=$DEF5;map[10106][2]:=$DDB6;
map[10107][1]:=$DEF6;map[10107][2]:=$DDB8;
map[10108][1]:=$DEF7;map[10108][2]:=$DD7D;
map[10109][1]:=$DEF8;map[10109][2]:=$DDAA;
map[10110][1]:=$DEF9;map[10110][2]:=$DDAB;
map[10111][1]:=$DEFA;map[10111][2]:=$DDBA;
map[10112][1]:=$DEFB;map[10112][2]:=$E1E7;
map[10113][1]:=$DEFC;map[10113][2]:=$F44C;
map[10114][1]:=$DEFD;map[10114][2]:=$BA54;
map[10115][1]:=$DEFE;map[10115][2]:=$E5AF;
map[10116][1]:=$DF41;map[10116][2]:=$D7E5;
map[10117][1]:=$DF43;map[10117][2]:=$D7E2;
map[10118][1]:=$DF4F;map[10118][2]:=$DC4E;
map[10119][1]:=$DF53;map[10119][2]:=$E0A3;
map[10120][1]:=$DF54;map[10120][2]:=$E07E;
map[10121][1]:=$DF5A;map[10121][2]:=$E0A2;
map[10122][1]:=$DF6C;map[10122][2]:=$E852;
map[10123][1]:=$DF6F;map[10123][2]:=$E853;
map[10124][1]:=$DF71;map[10124][2]:=$E851;
map[10125][1]:=$DF72;map[10125][2]:=$E850;
map[10126][1]:=$DF75;map[10126][2]:=$E84F;
map[10127][1]:=$DF76;map[10127][2]:=$EBD0;
map[10128][1]:=$DF79;map[10128][2]:=$EBD1;
map[10129][1]:=$DF7B;map[10129][2]:=$EBD2;
map[10130][1]:=$DF7D;map[10130][2]:=$EEC3;
map[10131][1]:=$DF81;map[10131][2]:=$EEC2;
map[10132][1]:=$DF82;map[10132][2]:=$EBD3;
map[10133][1]:=$DF87;map[10133][2]:=$F4E0;
map[10134][1]:=$DF8C;map[10134][2]:=$CA55;
map[10135][1]:=$DF8E;map[10135][2]:=$CA53;
map[10136][1]:=$DF91;map[10136][2]:=$CBAA;
map[10137][1]:=$DF92;map[10137][2]:=$CBA7;
map[10138][1]:=$DF93;map[10138][2]:=$CBAC;
map[10139][1]:=$DF95;map[10139][2]:=$CBA9;
map[10140][1]:=$DF96;map[10140][2]:=$CBAB;
map[10141][1]:=$DF9B;map[10141][2]:=$CDD3;
map[10142][1]:=$DF9E;map[10142][2]:=$D0B8;
map[10143][1]:=$DF9F;map[10143][2]:=$D0B9;
map[10144][1]:=$DFA2;map[10144][2]:=$C25E;
map[10145][1]:=$DFA3;map[10145][2]:=$EFD7;
map[10146][1]:=$DFA4;map[10146][2]:=$BCC1;
map[10147][1]:=$DFA5;map[10147][2]:=$F5CD;
map[10148][1]:=$DFA7;map[10148][2]:=$E9A6;
map[10149][1]:=$DFA8;map[10149][2]:=$E9A4;
map[10150][1]:=$DFA9;map[10150][2]:=$ECEC;
map[10151][1]:=$DFAA;map[10151][2]:=$C0C2;
map[10152][1]:=$DFAB;map[10152][2]:=$F245;
map[10153][1]:=$DFAC;map[10153][2]:=$F7DD;
map[10154][1]:=$DFAD;map[10154][2]:=$F8EF;
map[10155][1]:=$DFAE;map[10155][2]:=$A47C;
map[10156][1]:=$DFAF;map[10156][2]:=$CAD6;
map[10157][1]:=$DFB3;map[10157][2]:=$A577;
map[10158][1]:=$DFB4;map[10158][2]:=$BC54;
map[10159][1]:=$DFB5;map[10159][2]:=$A56E;
map[10160][1]:=$DFB6;map[10160][2]:=$A56F;
map[10161][1]:=$DFB7;map[10161][2]:=$A57B;
map[10162][1]:=$DFBA;map[10162][2]:=$A65B;
map[10163][1]:=$DFBC;map[10163][2]:=$E546;
map[10164][1]:=$DFBD;map[10164][2]:=$C56D;
map[10165][1]:=$DFBE;map[10165][2]:=$CA79;
map[10166][1]:=$DFBF;map[10166][2]:=$F1F2;
map[10167][1]:=$DFC0;map[10167][2]:=$A763;
map[10168][1]:=$DFC2;map[10168][2]:=$D0F9;
map[10169][1]:=$DFC3;map[10169][2]:=$CE4A;
map[10170][1]:=$DFC4;map[10170][2]:=$D0F7;
map[10171][1]:=$DFC6;map[10171][2]:=$CBDF;
map[10172][1]:=$DFC7;map[10172][2]:=$D0F1;
map[10173][1]:=$DFC8;map[10173][2]:=$A945;
map[10174][1]:=$DFC9;map[10174][2]:=$A94B;
map[10175][1]:=$DFCA;map[10175][2]:=$CBEF;
map[10176][1]:=$DFCB;map[10176][2]:=$A94E;
map[10177][1]:=$DFCC;map[10177][2]:=$C07B;
map[10178][1]:=$DFCD;map[10178][2]:=$A946;
map[10179][1]:=$DFCE;map[10179][2]:=$A94C;
map[10180][1]:=$DFCF;map[10180][2]:=$CBE7;
map[10181][1]:=$DFD2;map[10181][2]:=$CDFC;
map[10182][1]:=$DFD3;map[10182][2]:=$AB7B;
map[10183][1]:=$DFD4;map[10183][2]:=$D86B;
map[10184][1]:=$DFD5;map[10184][2]:=$E8FD;
map[10185][1]:=$DFD6;map[10185][2]:=$ABA8;
map[10186][1]:=$DFD7;map[10186][2]:=$AB78;
map[10187][1]:=$DFD8;map[10187][2]:=$E4F9;
map[10188][1]:=$DFD9;map[10188][2]:=$B9CD;
map[10189][1]:=$DFDA;map[10189][2]:=$CE4D;
map[10190][1]:=$DFDC;map[10190][2]:=$E941;
map[10191][1]:=$DFDD;map[10191][2]:=$ABA6;
map[10192][1]:=$DFDE;map[10192][2]:=$ABA9;
map[10193][1]:=$DFE0;map[10193][2]:=$E944;
map[10194][1]:=$DFE2;map[10194][2]:=$ECC1;
map[10195][1]:=$DFE3;map[10195][2]:=$ABA7;
map[10196][1]:=$DFE4;map[10196][2]:=$AB7D;
map[10197][1]:=$DFE5;map[10197][2]:=$A65C;
map[10198][1]:=$DFE6;map[10198][2]:=$BEBA;
map[10199][1]:=$DFE7;map[10199][2]:=$CDFE;
map[10200][1]:=$DFE8;map[10200][2]:=$CE4E;
map[10201][1]:=$DFE9;map[10201][2]:=$E14D;
map[10202][1]:=$DFEA;map[10202][2]:=$D0F4;
map[10203][1]:=$DFEB;map[10203][2]:=$BC47;
map[10204][1]:=$DFEC;map[10204][2]:=$AE43;
map[10205][1]:=$DFED;map[10205][2]:=$ADF8;
map[10206][1]:=$DFEE;map[10206][2]:=$D0F5;
map[10207][1]:=$DFEF;map[10207][2]:=$DCD4;
map[10208][1]:=$DFF1;map[10208][2]:=$AE44;
map[10209][1]:=$DFF2;map[10209][2]:=$D0FC;
map[10210][1]:=$DFF3;map[10210][2]:=$AE41;
map[10211][1]:=$DFF4;map[10211][2]:=$D477;
map[10212][1]:=$DFF5;map[10212][2]:=$B9C9;
map[10213][1]:=$DFF6;map[10213][2]:=$D86F;
map[10214][1]:=$DFF7;map[10214][2]:=$D870;
map[10215][1]:=$DFF9;map[10215][2]:=$C4DA;
map[10216][1]:=$DFFA;map[10216][2]:=$B0E7;
map[10217][1]:=$DFFB;map[10217][2]:=$B0DE;
map[10218][1]:=$DFFD;map[10218][2]:=$D475;
map[10219][1]:=$DFFE;map[10219][2]:=$D473;
map[10220][1]:=$E043;map[10220][2]:=$D0BF;
map[10221][1]:=$E045;map[10221][2]:=$D0BE;
map[10222][1]:=$E049;map[10222][2]:=$D7EE;
map[10223][1]:=$E04A;map[10223][2]:=$D0BA;
map[10224][1]:=$E04B;map[10224][2]:=$D3F2;
map[10225][1]:=$E04C;map[10225][2]:=$D3F9;
map[10226][1]:=$E04D;map[10226][2]:=$D3F4;
map[10227][1]:=$E04E;map[10227][2]:=$D3F5;
map[10228][1]:=$E051;map[10228][2]:=$D3F3;
map[10229][1]:=$E052;map[10229][2]:=$D3F6;
map[10230][1]:=$E054;map[10230][2]:=$D3F8;
map[10231][1]:=$E055;map[10231][2]:=$D7F1;
map[10232][1]:=$E056;map[10232][2]:=$D7E9;
map[10233][1]:=$E057;map[10233][2]:=$D7F0;
map[10234][1]:=$E059;map[10234][2]:=$D7EA;
map[10235][1]:=$E05A;map[10235][2]:=$D0B7;
map[10236][1]:=$E05B;map[10236][2]:=$D7EC;
map[10237][1]:=$E05C;map[10237][2]:=$D7ED;
map[10238][1]:=$E060;map[10238][2]:=$DC56;
map[10239][1]:=$E061;map[10239][2]:=$EBD4;
map[10240][1]:=$E062;map[10240][2]:=$DC57;
map[10241][1]:=$E063;map[10241][2]:=$DC54;
map[10242][1]:=$E064;map[10242][2]:=$DC53;
map[10243][1]:=$E065;map[10243][2]:=$DC59;
map[10244][1]:=$E066;map[10244][2]:=$DC58;
map[10245][1]:=$E067;map[10245][2]:=$DC5C;
map[10246][1]:=$E068;map[10246][2]:=$DC5B;
map[10247][1]:=$E06A;map[10247][2]:=$DC5A;
map[10248][1]:=$E06B;map[10248][2]:=$DC55;
map[10249][1]:=$E06E;map[10249][2]:=$E0AA;
map[10250][1]:=$E070;map[10250][2]:=$E0A5;
map[10251][1]:=$E071;map[10251][2]:=$E0AB;
map[10252][1]:=$E072;map[10252][2]:=$E0A6;
map[10253][1]:=$E073;map[10253][2]:=$E0A4;
map[10254][1]:=$E074;map[10254][2]:=$E0A7;
map[10255][1]:=$E07A;map[10255][2]:=$B952;
map[10256][1]:=$E07C;map[10256][2]:=$E46E;
map[10257][1]:=$E07D;map[10257][2]:=$E471;
map[10258][1]:=$E07E;map[10258][2]:=$E469;
map[10259][1]:=$E080;map[10259][2]:=$E46D;
map[10260][1]:=$E081;map[10260][2]:=$E46C;
map[10261][1]:=$E082;map[10261][2]:=$E46A;
map[10262][1]:=$E083;map[10262][2]:=$E470;
map[10263][1]:=$E084;map[10263][2]:=$E46F;
map[10264][1]:=$E086;map[10264][2]:=$E859;
map[10265][1]:=$E088;map[10265][2]:=$F14A;
map[10266][1]:=$E089;map[10266][2]:=$E856;
map[10267][1]:=$E08A;map[10267][2]:=$E857;
map[10268][1]:=$E08B;map[10268][2]:=$E855;
map[10269][1]:=$E08C;map[10269][2]:=$DC51;
map[10270][1]:=$E08E;map[10270][2]:=$E85A;
map[10271][1]:=$E091;map[10271][2]:=$EBD5;
map[10272][1]:=$E093;map[10272][2]:=$EBD6;
map[10273][1]:=$E096;map[10273][2]:=$EEC4;
map[10274][1]:=$E098;map[10274][2]:=$F14C;
map[10275][1]:=$E09B;map[10275][2]:=$F14D;
map[10276][1]:=$E09C;map[10276][2]:=$F35D;
map[10277][1]:=$E09D;map[10277][2]:=$F35C;
map[10278][1]:=$E09E;map[10278][2]:=$F4E2;
map[10279][1]:=$E0A0;map[10279][2]:=$F65B;
map[10280][1]:=$E0A1;map[10280][2]:=$ADF2;
map[10281][1]:=$E0A2;map[10281][2]:=$B0DC;
map[10282][1]:=$E0A2;map[10282][2]:=$B0E8;
map[10283][1]:=$E0A3;map[10283][2]:=$D471;
map[10284][1]:=$E0A4;map[10284][2]:=$D472;
map[10285][1]:=$E0A5;map[10285][2]:=$D86A;
map[10286][1]:=$E0A6;map[10286][2]:=$B0E6;
map[10287][1]:=$E0A7;map[10287][2]:=$D47C;
map[10288][1]:=$E0A8;map[10288][2]:=$B0E3;
map[10289][1]:=$E0A9;map[10289][2]:=$B3E3;
map[10290][1]:=$E0AA;map[10290][2]:=$DCD6;
map[10291][1]:=$E0AB;map[10291][2]:=$B3E4;
map[10292][1]:=$E0AC;map[10292][2]:=$B3ED;
map[10293][1]:=$E0AE;map[10293][2]:=$D86E;
map[10294][1]:=$E0AF;map[10294][2]:=$D871;
map[10295][1]:=$E0B0;map[10295][2]:=$B3E7;
map[10296][1]:=$E0B1;map[10296][2]:=$B3EE;
map[10297][1]:=$E0B2;map[10297][2]:=$DCDB;
map[10298][1]:=$E0B3;map[10298][2]:=$D866;
map[10299][1]:=$E0B4;map[10299][2]:=$B3D7;
map[10300][1]:=$E0B5;map[10300][2]:=$B6D8;
map[10301][1]:=$E0B6;map[10301][2]:=$B9C6;
map[10302][1]:=$E0B7;map[10302][2]:=$F441;
map[10303][1]:=$E0B8;map[10303][2]:=$B3E1;
map[10304][1]:=$E0B9;map[10304][2]:=$B3F1;
map[10305][1]:=$E0BB;map[10305][2]:=$B9C8;
map[10306][1]:=$E0BC;map[10306][2]:=$B6E8;
map[10307][1]:=$E0BD;map[10307][2]:=$B9CA;
map[10308][1]:=$E0BE;map[10308][2]:=$B6DF;
map[10309][1]:=$E0BF;map[10309][2]:=$C4D9;
map[10310][1]:=$E0C1;map[10310][2]:=$DCD2;
map[10311][1]:=$E0C2;map[10311][2]:=$B6DB;
map[10312][1]:=$E0C3;map[10312][2]:=$DCD0;
map[10313][1]:=$E0C4;map[10313][2]:=$DCD3;
map[10314][1]:=$E0C5;map[10314][2]:=$B6E2;
map[10315][1]:=$E0C6;map[10315][2]:=$B6E7;
map[10316][1]:=$E0C7;map[10316][2]:=$DCDD;
map[10317][1]:=$E0C8;map[10317][2]:=$BEBC;
map[10318][1]:=$E0C9;map[10318][2]:=$DCCC;
map[10319][1]:=$E0CA;map[10319][2]:=$DCDE;
map[10320][1]:=$E0CB;map[10320][2]:=$B6D9;
map[10321][1]:=$E0CD;map[10321][2]:=$B6E1;
map[10322][1]:=$E0CE;map[10322][2]:=$C5AF;
map[10323][1]:=$E0D0;map[10323][2]:=$B9CB;
map[10324][1]:=$E0D1;map[10324][2]:=$E149;
map[10325][1]:=$E0D2;map[10325][2]:=$E14E;
map[10326][1]:=$E0D3;map[10326][2]:=$C458;
map[10327][1]:=$E0D5;map[10327][2]:=$B9BE;
map[10328][1]:=$E0D6;map[10328][2]:=$B9BF;
map[10329][1]:=$E0D7;map[10329][2]:=$E147;
map[10330][1]:=$E0D9;map[10330][2]:=$E4FE;
map[10331][1]:=$E0DA;map[10331][2]:=$BC49;
map[10332][1]:=$E0DB;map[10332][2]:=$BC50;
map[10333][1]:=$E0DC;map[10333][2]:=$E544;
map[10334][1]:=$E0DE;map[10334][2]:=$BEBE;
map[10335][1]:=$E0DF;map[10335][2]:=$BEB2;
map[10336][1]:=$E0E0;map[10336][2]:=$C250;
map[10337][1]:=$E0E1;map[10337][2]:=$E4F8;
map[10338][1]:=$E0E3;map[10338][2]:=$ECC3;
map[10339][1]:=$E0E4;map[10339][2]:=$BEB6;
map[10340][1]:=$E0E5;map[10340][2]:=$BEBB;
map[10341][1]:=$E0E6;map[10341][2]:=$BEB3;
map[10342][1]:=$E0E9;map[10342][2]:=$C07D;
map[10343][1]:=$E0EA;map[10343][2]:=$ECC0;
map[10344][1]:=$E0EC;map[10344][2]:=$F8EE;
map[10345][1]:=$E0ED;map[10345][2]:=$C949;
map[10346][1]:=$E0EE;map[10346][2]:=$A65F;
map[10347][1]:=$E0EF;map[10347][2]:=$C9C6;
map[10348][1]:=$E0F0;map[10348][2]:=$D4AC;
map[10349][1]:=$E0F1;map[10349][2]:=$A77A;
map[10350][1]:=$E0F2;map[10350][2]:=$CBF1;
map[10351][1]:=$E0F3;map[10351][2]:=$ABAA;
map[10352][1]:=$E0F4;map[10352][2]:=$AE46;
map[10353][1]:=$E0F5;map[10353][2]:=$D4AB;
map[10354][1]:=$E0F6;map[10354][2]:=$B0EB;
map[10355][1]:=$E0F7;map[10355][2]:=$E947;
map[10356][1]:=$E0F8;map[10356][2]:=$B457;
map[10357][1]:=$E0F9;map[10357][2]:=$CC6F;
map[10358][1]:=$E0FA;map[10358][2]:=$CC6E;
map[10359][1]:=$E0FB;map[10359][2]:=$A9AE;
map[10360][1]:=$E0FC;map[10360][2]:=$ECDB;
map[10361][1]:=$E0FD;map[10361][2]:=$E1B2;
map[10362][1]:=$E0FE;map[10362][2]:=$B9F6;
map[10363][1]:=$E140;map[10363][2]:=$F65C;
map[10364][1]:=$E141;map[10364][2]:=$F766;
map[10365][1]:=$E144;map[10365][2]:=$D7F5;
map[10366][1]:=$E146;map[10366][2]:=$D7F6;
map[10367][1]:=$E147;map[10367][2]:=$D7F2;
map[10368][1]:=$E148;map[10368][2]:=$D7F3;
map[10369][1]:=$E14C;map[10369][2]:=$DC5F;
map[10370][1]:=$E14D;map[10370][2]:=$DC61;
map[10371][1]:=$E14E;map[10371][2]:=$C3E6;
map[10372][1]:=$E150;map[10372][2]:=$DD73;
map[10373][1]:=$E153;map[10373][2]:=$E475;
map[10374][1]:=$E154;map[10374][2]:=$E472;
map[10375][1]:=$E157;map[10375][2]:=$E861;
map[10376][1]:=$E158;map[10376][2]:=$E85E;
map[10377][1]:=$E159;map[10377][2]:=$E85F;
map[10378][1]:=$E15B;map[10378][2]:=$E860;
map[10379][1]:=$E15C;map[10379][2]:=$E85C;
map[10380][1]:=$E15E;map[10380][2]:=$E85D;
map[10381][1]:=$E160;map[10381][2]:=$EBDC;
map[10382][1]:=$E161;map[10382][2]:=$EBD8;
map[10383][1]:=$E167;map[10383][2]:=$EEC8;
map[10384][1]:=$E169;map[10384][2]:=$EECB;
map[10385][1]:=$E16B;map[10385][2]:=$EEC9;
map[10386][1]:=$E16C;map[10386][2]:=$EECC;
map[10387][1]:=$E16D;map[10387][2]:=$EECA;
map[10388][1]:=$E16F;map[10388][2]:=$F14F;
map[10389][1]:=$E171;map[10389][2]:=$F150;
map[10390][1]:=$E172;map[10390][2]:=$F14E;
map[10391][1]:=$E176;map[10391][2]:=$F35E;
map[10392][1]:=$E178;map[10392][2]:=$F4E5;
map[10393][1]:=$E179;map[10393][2]:=$F4E6;
map[10394][1]:=$E17B;map[10394][2]:=$F4E3;
map[10395][1]:=$E17D;map[10395][2]:=$F65D;
map[10396][1]:=$E181;map[10396][2]:=$F8C8;
map[10397][1]:=$E182;map[10397][2]:=$F8C7;
map[10398][1]:=$E186;map[10398][2]:=$F8C9;
map[10399][1]:=$E18A;map[10399][2]:=$A8BC;
map[10400][1]:=$E196;map[10400][2]:=$D444;
map[10401][1]:=$E19D;map[10401][2]:=$D443;
map[10402][1]:=$E1A1;map[10402][2]:=$B163;
map[10403][1]:=$E1A2;map[10403][2]:=$D8F2;
map[10404][1]:=$E1A3;map[10404][2]:=$B9F7;
map[10405][1]:=$E1A4;map[10405][2]:=$B9F3;
map[10406][1]:=$E1A5;map[10406][2]:=$F0D6;
map[10407][1]:=$E1A6;map[10407][2]:=$BC6E;
map[10408][1]:=$E1A7;map[10408][2]:=$A7C4;
map[10409][1]:=$E1A8;map[10409][2]:=$C9D7;
map[10410][1]:=$E1A9;map[10410][2]:=$CAC0;
map[10411][1]:=$E1AA;map[10411][2]:=$A7C1;
map[10412][1]:=$E1AB;map[10412][2]:=$B9F2;
map[10413][1]:=$E1AC;map[10413][2]:=$CAC2;
map[10414][1]:=$E1AD;map[10414][2]:=$AE73;
map[10415][1]:=$E1AE;map[10415][2]:=$E96A;
map[10416][1]:=$E1AF;map[10416][2]:=$A7C2;
map[10417][1]:=$E1B0;map[10417][2]:=$B450;
map[10418][1]:=$E1B2;map[10418][2]:=$CC5E;
map[10419][1]:=$E1B3;map[10419][2]:=$CC65;
map[10420][1]:=$E1B4;map[10420][2]:=$D4F8;
map[10421][1]:=$E1B5;map[10421][2]:=$CC61;
map[10422][1]:=$E1B6;map[10422][2]:=$A9A6;
map[10423][1]:=$E1B7;map[10423][2]:=$A9A7;
map[10424][1]:=$E1B8;map[10424][2]:=$CC63;
map[10425][1]:=$E1BA;map[10425][2]:=$A9A2;
map[10426][1]:=$E1BB;map[10426][2]:=$E961;
map[10427][1]:=$E1BC;map[10427][2]:=$ABD0;
map[10428][1]:=$E1BD;map[10428][2]:=$E569;
map[10429][1]:=$E1BE;map[10429][2]:=$CE7D;
map[10430][1]:=$E1BF;map[10430][2]:=$B157;
map[10431][1]:=$E1C0;map[10431][2]:=$E563;
map[10432][1]:=$E1C1;map[10432][2]:=$D4FB;
map[10433][1]:=$E1C2;map[10433][2]:=$B15D;
map[10434][1]:=$E1C3;map[10434][2]:=$D4FC;
map[10435][1]:=$E1C4;map[10435][2]:=$D544;
map[10436][1]:=$E1C5;map[10436][2]:=$B15C;
map[10437][1]:=$E1C6;map[10437][2]:=$D4F4;
map[10438][1]:=$E1C7;map[10438][2]:=$B153;
map[10439][1]:=$E1C8;map[10439][2]:=$B155;
map[10440][1]:=$E1C9;map[10440][2]:=$C0AF;
map[10441][1]:=$E1CB;map[10441][2]:=$B451;
map[10442][1]:=$E1CC;map[10442][2]:=$D8E6;
map[10443][1]:=$E1CD;map[10443][2]:=$DD52;
map[10444][1]:=$E1CE;map[10444][2]:=$D8E3;
map[10445][1]:=$E1CF;map[10445][2]:=$B744;
map[10446][1]:=$E1D0;map[10446][2]:=$E1A8;
map[10447][1]:=$E1D1;map[10447][2]:=$D8DB;
map[10448][1]:=$E1D2;map[10448][2]:=$D8DD;
map[10449][1]:=$E1D3;map[10449][2]:=$DD4F;
map[10450][1]:=$E1D4;map[10450][2]:=$B743;
map[10451][1]:=$E1D6;map[10451][2]:=$E1A3;
map[10452][1]:=$E1D7;map[10452][2]:=$E562;
map[10453][1]:=$E1D8;map[10453][2]:=$BC6A;
map[10454][1]:=$E1D9;map[10454][2]:=$C1C7;
map[10455][1]:=$E1DA;map[10455][2]:=$ECDA;
map[10456][1]:=$E1DB;map[10456][2]:=$C571;
map[10457][1]:=$E1DC;map[10457][2]:=$C94C;
map[10458][1]:=$E1DD;map[10458][2]:=$A7CF;
map[10459][1]:=$E1DD;map[10459][2]:=$B74B;
map[10460][1]:=$E1DE;map[10460][2]:=$CC75;
map[10461][1]:=$E1DF;map[10461][2]:=$ABE0;
map[10462][1]:=$E1E0;map[10462][2]:=$ABE2;
map[10463][1]:=$E1E2;map[10463][2]:=$B174;
map[10464][1]:=$E1E3;map[10464][2]:=$B170;
map[10465][1]:=$E1E4;map[10465][2]:=$B175;
map[10466][1]:=$E1E5;map[10466][2]:=$B461;
map[10467][1]:=$E1E6;map[10467][2]:=$DD64;
map[10468][1]:=$E1E8;map[10468][2]:=$E975;
map[10469][1]:=$E1E9;map[10469][2]:=$C5FC;
map[10470][1]:=$E1EC;map[10470][2]:=$C9A6;
map[10471][1]:=$E1ED;map[10471][2]:=$CA43;
map[10472][1]:=$E1EE;map[10472][2]:=$C278;
map[10473][1]:=$E1F0;map[10473][2]:=$CB63;
map[10474][1]:=$E1F1;map[10474][2]:=$CB65;
map[10475][1]:=$E1F2;map[10475][2]:=$AAAD;
map[10476][1]:=$E1F4;map[10476][2]:=$CD61;
map[10477][1]:=$E1F5;map[10477][2]:=$CFC0;
map[10478][1]:=$E1F6;map[10478][2]:=$EA61;
map[10479][1]:=$E1F7;map[10479][2]:=$ACBC;
map[10480][1]:=$E1F8;map[10480][2]:=$DEAC;
map[10481][1]:=$E1F9;map[10481][2]:=$D2A5;
map[10482][1]:=$E1FA;map[10482][2]:=$AF58;
map[10483][1]:=$E1FB;map[10483][2]:=$D2AA;
map[10484][1]:=$E1FC;map[10484][2]:=$D2A8;
map[10485][1]:=$E1FD;map[10485][2]:=$EA60;
map[10486][1]:=$E1FE;map[10486][2]:=$D2A4;
map[10487][1]:=$E242;map[10487][2]:=$D842;
map[10488][1]:=$E244;map[10488][2]:=$D7FE;
map[10489][1]:=$E245;map[10489][2]:=$D840;
map[10490][1]:=$E247;map[10490][2]:=$B3AA;
map[10491][1]:=$E248;map[10491][2]:=$D843;
map[10492][1]:=$E24B;map[10492][2]:=$D7F9;
map[10493][1]:=$E24D;map[10493][2]:=$D7FA;
map[10494][1]:=$E24E;map[10494][2]:=$D7F8;
map[10495][1]:=$E252;map[10495][2]:=$D7FB;
map[10496][1]:=$E257;map[10496][2]:=$DC6D;
map[10497][1]:=$E259;map[10497][2]:=$DC6C;
map[10498][1]:=$E25C;map[10498][2]:=$DC71;
map[10499][1]:=$E260;map[10499][2]:=$DC6E;
map[10500][1]:=$E261;map[10500][2]:=$B679;
map[10501][1]:=$E264;map[10501][2]:=$DC63;
map[10502][1]:=$E266;map[10502][2]:=$DC69;
map[10503][1]:=$E269;map[10503][2]:=$DC68;
map[10504][1]:=$E270;map[10504][2]:=$DC77;
map[10505][1]:=$E271;map[10505][2]:=$DC75;
map[10506][1]:=$E273;map[10506][2]:=$DC74;
map[10507][1]:=$E274;map[10507][2]:=$DC66;
map[10508][1]:=$E276;map[10508][2]:=$DC72;
map[10509][1]:=$E27E;map[10509][2]:=$DC73;
map[10510][1]:=$E288;map[10510][2]:=$E4BA;
map[10511][1]:=$E28C;map[10511][2]:=$E0C3;
map[10512][1]:=$E28D;map[10512][2]:=$E0CC;
map[10513][1]:=$E291;map[10513][2]:=$E0C0;
map[10514][1]:=$E2A1;map[10514][2]:=$D2A9;
map[10515][1]:=$E2A2;map[10515][2]:=$D661;
map[10516][1]:=$E2A3;map[10516][2]:=$B274;
map[10517][1]:=$E2A4;map[10517][2]:=$C57A;
map[10518][1]:=$E2A5;map[10518][2]:=$D665;
map[10519][1]:=$E2A6;map[10519][2]:=$D669;
map[10520][1]:=$E2A7;map[10520][2]:=$D660;
map[10521][1]:=$E2A8;map[10521][2]:=$F46E;
map[10522][1]:=$E2A9;map[10522][2]:=$DA70;
map[10523][1]:=$E2AB;map[10523][2]:=$B554;
map[10524][1]:=$E2AC;map[10524][2]:=$E7B3;
map[10525][1]:=$E2AE;map[10525][2]:=$DA71;
map[10526][1]:=$E2AF;map[10526][2]:=$BABC;
map[10527][1]:=$E2B0;map[10527][2]:=$E2CB;
map[10528][1]:=$E2B1;map[10528][2]:=$BCFB;
map[10529][1]:=$E2B2;map[10529][2]:=$E679;
map[10530][1]:=$E2B3;map[10530][2]:=$EA5E;
map[10531][1]:=$E2B4;map[10531][2]:=$ED65;
map[10532][1]:=$E2B5;map[10532][2]:=$F5DD;
map[10533][1]:=$E2B6;map[10533][2]:=$A6DF;
map[10534][1]:=$E2B8;map[10534][2]:=$B6B8;
map[10535][1]:=$E2B9;map[10535][2]:=$B9DB;
map[10536][1]:=$E2BC;map[10536][2]:=$EF4F;
map[10537][1]:=$E2BD;map[10537][2]:=$B6BB;
map[10538][1]:=$E2BE;map[10538][2]:=$F1AD;
map[10539][1]:=$E2BF;map[10539][2]:=$B6B9;
map[10540][1]:=$E2C0;map[10540][2]:=$DCAE;
map[10541][1]:=$E2C1;map[10541][2]:=$B6BD;
map[10542][1]:=$E2C2;map[10542][2]:=$B97E;
map[10543][1]:=$E2C3;map[10543][2]:=$BBE8;
map[10544][1]:=$E2C4;map[10544][2]:=$E8C1;
map[10545][1]:=$E2C6;map[10545][2]:=$C05F;
map[10546][1]:=$E2C8;map[10546][2]:=$C349;
map[10547][1]:=$E2C9;map[10547][2]:=$F3B1;
map[10548][1]:=$E2CA;map[10548][2]:=$F3AF;
map[10549][1]:=$E2CB;map[10549][2]:=$C444;
map[10550][1]:=$E2CD;map[10550][2]:=$F557;
map[10551][1]:=$E2CF;map[10551][2]:=$C979;
map[10552][1]:=$E2D0;map[10552][2]:=$E575;
map[10553][1]:=$E2D1;map[10553][2]:=$CACD;
map[10554][1]:=$E2D2;map[10554][2]:=$A9B4;
map[10555][1]:=$E2D3;map[10555][2]:=$CEBA;
map[10556][1]:=$E2D4;map[10556][2]:=$ABD6;
map[10557][1]:=$E2D5;map[10557][2]:=$D549;
map[10558][1]:=$E2D6;map[10558][2]:=$B167;
map[10559][1]:=$E2D6;map[10559][2]:=$B5DA;
map[10560][1]:=$E2D7;map[10560][2]:=$B168;
map[10561][1]:=$E2D8;map[10561][2]:=$D54B;
map[10562][1]:=$E2D9;map[10562][2]:=$BDE9;
map[10563][1]:=$E2DA;map[10563][2]:=$E1BC;
map[10564][1]:=$E2DB;map[10564][2]:=$E1B6;
map[10565][1]:=$E2DC;map[10565][2]:=$E573;
map[10566][1]:=$E2DD;map[10566][2]:=$E972;
map[10567][1]:=$E2DE;map[10567][2]:=$E96F;
map[10568][1]:=$E2DF;map[10568][2]:=$C174;
map[10569][1]:=$E2E1;map[10569][2]:=$C97B;
map[10570][1]:=$E2E2;map[10570][2]:=$A6A4;
map[10571][1]:=$E2E3;map[10571][2]:=$C462;
map[10572][1]:=$E2E3;map[10572][2]:=$C9E2;
map[10573][1]:=$E2E4;map[10573][2]:=$BCAD;
map[10574][1]:=$E2E5;map[10574][2]:=$CADB;
map[10575][1]:=$E2E6;map[10575][2]:=$E1D3;
map[10576][1]:=$E2E7;map[10576][2]:=$CADD;
map[10577][1]:=$E2E8;map[10577][2]:=$CADE;
map[10578][1]:=$E2E9;map[10578][2]:=$B75A;
map[10579][1]:=$E2EA;map[10579][2]:=$B1A3;
map[10580][1]:=$E2EB;map[10580][2]:=$B75B;
map[10581][1]:=$E2EC;map[10581][2]:=$A7D8;
map[10582][1]:=$E2ED;map[10582][2]:=$CAD9;
map[10583][1]:=$E2EE;map[10583][2]:=$A7D7;
map[10584][1]:=$E2EF;map[10584][2]:=$CC7C;
map[10585][1]:=$E2F0;map[10585][2]:=$A9C5;
map[10586][1]:=$E2F1;map[10586][2]:=$CC7B;
map[10587][1]:=$E2F2;map[10587][2]:=$A9CD;
map[10588][1]:=$E2F3;map[10588][2]:=$A9C2;
map[10589][1]:=$E2F4;map[10589][2]:=$CCA9;
map[10590][1]:=$E2F5;map[10590][2]:=$A9CB;
map[10591][1]:=$E2F6;map[10591][2]:=$A9CC;
map[10592][1]:=$E2F7;map[10592][2]:=$CCA2;
map[10593][1]:=$E2F8;map[10593][2]:=$E97D;
map[10594][1]:=$E2F9;map[10594][2]:=$A9C9;
map[10595][1]:=$E2FA;map[10595][2]:=$BA45;
map[10596][1]:=$E2FB;map[10596][2]:=$ECE6;
map[10597][1]:=$E2FC;map[10597][2]:=$B46C;
map[10598][1]:=$E2FD;map[10598][2]:=$B75F;
map[10599][1]:=$E2FE;map[10599][2]:=$CECB;
map[10600][1]:=$E344;map[10600][2]:=$E0B8;
map[10601][1]:=$E346;map[10601][2]:=$E0CA;
map[10602][1]:=$E348;map[10602][2]:=$E0C8;
map[10603][1]:=$E349;map[10603][2]:=$E0BC;
map[10604][1]:=$E34A;map[10604][2]:=$E0C6;
map[10605][1]:=$E34C;map[10605][2]:=$E0AF;
map[10606][1]:=$E34D;map[10606][2]:=$E0C9;
map[10607][1]:=$E34E;map[10607][2]:=$E0C4;
map[10608][1]:=$E350;map[10608][2]:=$E0CB;
map[10609][1]:=$E35A;map[10609][2]:=$E0BD;
map[10610][1]:=$E35B;map[10610][2]:=$E0C1;
map[10611][1]:=$E35D;map[10611][2]:=$E0C5;
map[10612][1]:=$E35F;map[10612][2]:=$E0B4;
map[10613][1]:=$E361;map[10613][2]:=$E0BE;
map[10614][1]:=$E369;map[10614][2]:=$E0BF;
map[10615][1]:=$E36A;map[10615][2]:=$E0C2;
map[10616][1]:=$E36C;map[10616][2]:=$E0C7;
map[10617][1]:=$E372;map[10617][2]:=$E4A4;
map[10618][1]:=$E375;map[10618][2]:=$BBD0;
map[10619][1]:=$E376;map[10619][2]:=$E4AD;
map[10620][1]:=$E377;map[10620][2]:=$E4B5;
map[10621][1]:=$E37B;map[10621][2]:=$E4AA;
map[10622][1]:=$E380;map[10622][2]:=$E4B1;
map[10623][1]:=$E381;map[10623][2]:=$E4B6;
map[10624][1]:=$E382;map[10624][2]:=$E4AE;
map[10625][1]:=$E384;map[10625][2]:=$E4B0;
map[10626][1]:=$E385;map[10626][2]:=$E4B9;
map[10627][1]:=$E386;map[10627][2]:=$E4B2;
map[10628][1]:=$E38D;map[10628][2]:=$E47C;
map[10629][1]:=$E390;map[10629][2]:=$E4A5;
map[10630][1]:=$E392;map[10630][2]:=$E4B3;
map[10631][1]:=$E396;map[10631][2]:=$E4B8;
map[10632][1]:=$E39A;map[10632][2]:=$E4AF;
map[10633][1]:=$E39B;map[10633][2]:=$E4AC;
map[10634][1]:=$E39D;map[10634][2]:=$E477;
map[10635][1]:=$E3A0;map[10635][2]:=$E4B4;
map[10636][1]:=$E3A1;map[10636][2]:=$ABF1;
map[10637][1]:=$E3A2;map[10637][2]:=$D940;
map[10638][1]:=$E3A3;map[10638][2]:=$AEAF;
map[10639][1]:=$E3A4;map[10639][2]:=$AEAA;
map[10640][1]:=$E3A5;map[10640][2]:=$E1C7;
map[10641][1]:=$E3A6;map[10641][2]:=$D1A7;
map[10642][1]:=$E3A7;map[10642][2]:=$D1A8;
map[10643][1]:=$E3A8;map[10643][2]:=$D1A5;
map[10644][1]:=$E3A9;map[10644][2]:=$AEAD;
map[10645][1]:=$E3AA;map[10645][2]:=$D1AA;
map[10646][1]:=$E3AB;map[10646][2]:=$B467;
map[10647][1]:=$E3AC;map[10647][2]:=$B1A2;
map[10648][1]:=$E3AD;map[10648][2]:=$D55E;
map[10649][1]:=$E3AE;map[10649][2]:=$D55C;
map[10650][1]:=$E3AF;map[10650][2]:=$B1A6;
map[10651][1]:=$E3B0;map[10651][2]:=$B1A8;
map[10652][1]:=$E3B1;map[10652][2]:=$B1AB;
map[10653][1]:=$E3B2;map[10653][2]:=$B17C;
map[10654][1]:=$E3B3;map[10654][2]:=$B759;
map[10655][1]:=$E3B4;map[10655][2]:=$E5A6;
map[10656][1]:=$E3B5;map[10656][2]:=$B46A;
map[10657][1]:=$E3B6;map[10657][2]:=$B468;
map[10658][1]:=$E3B7;map[10658][2]:=$B46D;
map[10659][1]:=$E3B8;map[10659][2]:=$B473;
map[10660][1]:=$E3B9;map[10660][2]:=$B470;
map[10661][1]:=$E3BA;map[10661][2]:=$DD68;
map[10662][1]:=$E3BB;map[10662][2]:=$DD67;
map[10663][1]:=$E3BC;map[10663][2]:=$BA48;
map[10664][1]:=$E3BD;map[10664][2]:=$BCA9;
map[10665][1]:=$E3BE;map[10665][2]:=$BCAC;
map[10666][1]:=$E3BF;map[10666][2]:=$BCA5;
map[10667][1]:=$E3C1;map[10667][2]:=$BECF;
map[10668][1]:=$E3C2;map[10668][2]:=$C36A;
map[10669][1]:=$E3C3;map[10669][2]:=$A9BD;
map[10670][1]:=$E3C4;map[10670][2]:=$F16F;
map[10671][1]:=$E3C5;map[10671][2]:=$ADAC;
map[10672][1]:=$E3C6;map[10672][2]:=$D845;
map[10673][1]:=$E3C7;map[10673][2]:=$C1F2;
map[10674][1]:=$E3C8;map[10674][2]:=$B6A3;
map[10675][1]:=$E3C9;map[10675][2]:=$B67B;
map[10676][1]:=$E3CA;map[10676][2]:=$DC7A;
map[10677][1]:=$E3CB;map[10677][2]:=$F66B;
map[10678][1]:=$E3CC;map[10678][2]:=$BE5B;
map[10679][1]:=$E3CD;map[10679][2]:=$E8A7;
map[10680][1]:=$E3CE;map[10680][2]:=$F9C4;
map[10681][1]:=$E3CF;map[10681][2]:=$E8A6;
map[10682][1]:=$E3D0;map[10682][2]:=$EC48;
map[10683][1]:=$E3D1;map[10683][2]:=$EC4B;
map[10684][1]:=$E3D2;map[10684][2]:=$F1BE;
map[10685][1]:=$E3D3;map[10685][2]:=$EC4C;
map[10686][1]:=$E3D4;map[10686][2]:=$EC4E;
map[10687][1]:=$E3D5;map[10687][2]:=$EC46;
map[10688][1]:=$E3D6;map[10688][2]:=$EEF1;
map[10689][1]:=$E3D7;map[10689][2]:=$C1F0;
map[10690][1]:=$E3D8;map[10690][2]:=$C2F3;
map[10691][1]:=$E3D9;map[10691][2]:=$C2F5;
map[10692][1]:=$E3DA;map[10692][2]:=$C2F6;
map[10693][1]:=$E3DB;map[10693][2]:=$F545;
map[10694][1]:=$E3DC;map[10694][2]:=$C962;
map[10695][1]:=$E3DE;map[10695][2]:=$A9CF;
map[10696][1]:=$E3E0;map[10696][2]:=$C9FD;
map[10697][1]:=$E3E1;map[10697][2]:=$C9FA;
map[10698][1]:=$E3E2;map[10698][2]:=$C9FC;
map[10699][1]:=$E3E3;map[10699][2]:=$F5D3;
map[10700][1]:=$E3E4;map[10700][2]:=$A84A;
map[10701][1]:=$E3E5;map[10701][2]:=$A84E;
map[10702][1]:=$E3E6;map[10702][2]:=$A85C;
map[10703][1]:=$E3E7;map[10703][2]:=$A850;
map[10704][1]:=$E3E8;map[10704][2]:=$A851;
map[10705][1]:=$E3E9;map[10705][2]:=$CB53;
map[10706][1]:=$E3EA;map[10706][2]:=$A858;
map[10707][1]:=$E3EB;map[10707][2]:=$A85A;
map[10708][1]:=$E3EC;map[10708][2]:=$A859;
map[10709][1]:=$E3ED;map[10709][2]:=$D9EC;
map[10710][1]:=$E3EE;map[10710][2]:=$CCF8;
map[10711][1]:=$E3EF;map[10711][2]:=$CCF4;
map[10712][1]:=$E3F0;map[10712][2]:=$CCF5;
map[10713][1]:=$E3F1;map[10713][2]:=$F25D;
map[10714][1]:=$E3F2;map[10714][2]:=$C379;
map[10715][1]:=$E3F3;map[10715][2]:=$AA74;
map[10716][1]:=$E3F4;map[10716][2]:=$AA72;
map[10717][1]:=$E3F6;map[10717][2]:=$AA7E;
map[10718][1]:=$E3F7;map[10718][2]:=$AA7D;
map[10719][1]:=$E3F8;map[10719][2]:=$EFF6;
map[10720][1]:=$E3F9;map[10720][2]:=$CCF0;
map[10721][1]:=$E3FA;map[10721][2]:=$CCF1;
map[10722][1]:=$E3FB;map[10722][2]:=$AA62;
map[10723][1]:=$E3FC;map[10723][2]:=$AA6C;
map[10724][1]:=$E3FD;map[10724][2]:=$AA7B;
map[10725][1]:=$E3FE;map[10725][2]:=$AEF9;
map[10726][1]:=$E44B;map[10726][2]:=$E8A4;
map[10727][1]:=$E44C;map[10727][2]:=$E8A1;
map[10728][1]:=$E44D;map[10728][2]:=$E867;
map[10729][1]:=$E457;map[10729][2]:=$E865;
map[10730][1]:=$E459;map[10730][2]:=$E871;
map[10731][1]:=$E45B;map[10731][2]:=$E864;
map[10732][1]:=$E45D;map[10732][2]:=$E8A3;
map[10733][1]:=$E45F;map[10733][2]:=$E879;
map[10734][1]:=$E460;map[10734][2]:=$E873;
map[10735][1]:=$E461;map[10735][2]:=$EBEE;
map[10736][1]:=$E463;map[10736][2]:=$E877;
map[10737][1]:=$E464;map[10737][2]:=$E875;
map[10738][1]:=$E466;map[10738][2]:=$E862;
map[10739][1]:=$E467;map[10739][2]:=$E87D;
map[10740][1]:=$E469;map[10740][2]:=$E87E;
map[10741][1]:=$E46B;map[10741][2]:=$E878;
map[10742][1]:=$E46D;map[10742][2]:=$E86D;
map[10743][1]:=$E46E;map[10743][2]:=$E86B;
map[10744][1]:=$E474;map[10744][2]:=$E87B;
map[10745][1]:=$E476;map[10745][2]:=$E87A;
map[10746][1]:=$E477;map[10746][2]:=$E8A2;
map[10747][1]:=$E47D;map[10747][2]:=$E87C;
map[10748][1]:=$E48E;map[10748][2]:=$EBF4;
map[10749][1]:=$E490;map[10749][2]:=$EBF3;
map[10750][1]:=$E491;map[10750][2]:=$EBF0;
map[10751][1]:=$E495;map[10751][2]:=$EC41;
map[10752][1]:=$E496;map[10752][2]:=$EBF8;
map[10753][1]:=$E497;map[10753][2]:=$EC43;
map[10754][1]:=$E499;map[10754][2]:=$EBF6;
map[10755][1]:=$E4A0;map[10755][2]:=$EC42;
map[10756][1]:=$E4A1;map[10756][2]:=$ACA7;
map[10757][1]:=$E4A2;map[10757][2]:=$ACA8;
map[10758][1]:=$E4A3;map[10758][2]:=$AC7B;
map[10759][1]:=$E4A4;map[10759][2]:=$AF48;
map[10760][1]:=$E4A5;map[10760][2]:=$D9FE;
map[10761][1]:=$E4A6;map[10761][2]:=$CFA7;
map[10762][1]:=$E4A7;map[10762][2]:=$CF77;
map[10763][1]:=$E4A8;map[10763][2]:=$CF78;
map[10764][1]:=$E4A9;map[10764][2]:=$ACAD;
map[10765][1]:=$E4AA;map[10765][2]:=$ACAE;
map[10766][1]:=$E4AB;map[10766][2]:=$E9F8;
map[10767][1]:=$E4AC;map[10767][2]:=$ACAB;
map[10768][1]:=$E4AD;map[10768][2]:=$ACAC;
map[10769][1]:=$E4AE;map[10769][2]:=$CF7A;
map[10770][1]:=$E4AF;map[10770][2]:=$C273;
map[10771][1]:=$E4B0;map[10771][2]:=$E271;
map[10772][1]:=$E4B1;map[10772][2]:=$BCF1;
map[10773][1]:=$E4B2;map[10773][2]:=$CF76;
map[10774][1]:=$E4B3;map[10774][2]:=$D250;
map[10775][1]:=$E4B4;map[10775][2]:=$D24F;
map[10776][1]:=$E4B5;map[10776][2]:=$D5E9;
map[10777][1]:=$E4B6;map[10777][2]:=$E65C;
map[10778][1]:=$E4B7;map[10778][2]:=$D255;
map[10779][1]:=$E4B8;map[10779][2]:=$AEFE;
map[10780][1]:=$E4B9;map[10780][2]:=$AF4B;
map[10781][1]:=$E4BB;map[10781][2]:=$D257;
map[10782][1]:=$E4BC;map[10782][2]:=$D25A;
map[10783][1]:=$E4BD;map[10783][2]:=$D246;
map[10784][1]:=$E4BE;map[10784][2]:=$B25A;
map[10785][1]:=$E4BF;map[10785][2]:=$B24E;
map[10786][1]:=$E4C0;map[10786][2]:=$B258;
map[10787][1]:=$E4C1;map[10787][2]:=$B253;
map[10788][1]:=$E4C2;map[10788][2]:=$C270;
map[10789][1]:=$E4C3;map[10789][2]:=$B267;
map[10790][1]:=$E4C4;map[10790][2]:=$D5ED;
map[10791][1]:=$E4C5;map[10791][2]:=$BF49;
map[10792][1]:=$E4C6;map[10792][2]:=$B268;
map[10793][1]:=$E4C7;map[10793][2]:=$D5F3;
map[10794][1]:=$E4C8;map[10794][2]:=$B246;
map[10795][1]:=$E4C9;map[10795][2]:=$C26E;
map[10796][1]:=$E4CA;map[10796][2]:=$D5E1;
map[10797][1]:=$E4CB;map[10797][2]:=$D5F1;
map[10798][1]:=$E4CC;map[10798][2]:=$B252;
map[10799][1]:=$E4CD;map[10799][2]:=$D9F1;
map[10800][1]:=$E4CE;map[10800][2]:=$B4F3;
map[10801][1]:=$E4CF;map[10801][2]:=$B542;
map[10802][1]:=$E4D0;map[10802][2]:=$DA47;
map[10803][1]:=$E4D1;map[10803][2]:=$DE59;
map[10804][1]:=$E4D2;map[10804][2]:=$B547;
map[10805][1]:=$E4D3;map[10805][2]:=$E2A9;
map[10806][1]:=$E4D4;map[10806][2]:=$DA4B;
map[10807][1]:=$E4D5;map[10807][2]:=$B4E6;
map[10808][1]:=$E4D6;map[10808][2]:=$B4E8;
map[10809][1]:=$E4D7;map[10809][2]:=$B4EC;
map[10810][1]:=$E4D8;map[10810][2]:=$B544;
map[10811][1]:=$E4D9;map[10811][2]:=$F9D0;
map[10812][1]:=$E4DA;map[10812][2]:=$DE4C;
map[10813][1]:=$E4DB;map[10813][2]:=$B7C2;
map[10814][1]:=$E4DC;map[10814][2]:=$F5D4;
map[10815][1]:=$E4DD;map[10815][2]:=$E2A5;
map[10816][1]:=$E4DE;map[10816][2]:=$EFEF;
map[10817][1]:=$E4DF;map[10817][2]:=$B7C1;
map[10818][1]:=$E4E0;map[10818][2]:=$B7CC;
map[10819][1]:=$E4E1;map[10819][2]:=$DE50;
map[10820][1]:=$E4E3;map[10820][2]:=$DE54;
map[10821][1]:=$E4E4;map[10821][2]:=$E65F;
map[10822][1]:=$E4E5;map[10822][2]:=$B7CD;
map[10823][1]:=$E4E6;map[10823][2]:=$DE58;
map[10824][1]:=$E4E7;map[10824][2]:=$DE46;
map[10825][1]:=$E4E8;map[10825][2]:=$B7BC;
map[10826][1]:=$E4E9;map[10826][2]:=$DE48;
map[10827][1]:=$E4EA;map[10827][2]:=$E643;
map[10828][1]:=$E4EB;map[10828][2]:=$F25E;
map[10829][1]:=$E4EC;map[10829][2]:=$C374;
map[10830][1]:=$E4EE;map[10830][2]:=$BAA8;
map[10831][1]:=$E4EF;map[10831][2]:=$E2A3;
map[10832][1]:=$E4F0;map[10832][2]:=$BAAA;
map[10833][1]:=$E4F1;map[10833][2]:=$E2A1;
map[10834][1]:=$E4F2;map[10834][2]:=$C46B;
map[10835][1]:=$E4F3;map[10835][2]:=$EFF5;
map[10836][1]:=$E4F4;map[10836][2]:=$BAAC;
map[10837][1]:=$E4F5;map[10837][2]:=$E275;
map[10838][1]:=$E4F6;map[10838][2]:=$BA78;
map[10839][1]:=$E4F7;map[10839][2]:=$E641;
map[10840][1]:=$E4F8;map[10840][2]:=$E640;
map[10841][1]:=$E4F9;map[10841][2]:=$E642;
map[10842][1]:=$E4FA;map[10842][2]:=$BCE8;
map[10843][1]:=$E4FB;map[10843][2]:=$E64C;
map[10844][1]:=$E4FC;map[10844][2]:=$BCE0;
map[10845][1]:=$E4FD;map[10845][2]:=$BCEB;
map[10846][1]:=$E4FE;map[10846][2]:=$C375;
map[10847][1]:=$E541;map[10847][2]:=$EC40;
map[10848][1]:=$E542;map[10848][2]:=$EBFE;
map[10849][1]:=$E543;map[10849][2]:=$EBED;
map[10850][1]:=$E544;map[10850][2]:=$EBEC;
map[10851][1]:=$E549;map[10851][2]:=$EBF2;
map[10852][1]:=$E54A;map[10852][2]:=$EBFD;
map[10853][1]:=$E54C;map[10853][2]:=$EC45;
map[10854][1]:=$E553;map[10854][2]:=$EBEF;
map[10855][1]:=$E554;map[10855][2]:=$EBDE;
map[10856][1]:=$E559;map[10856][2]:=$EBE7;
map[10857][1]:=$E55A;map[10857][2]:=$EBF7;
map[10858][1]:=$E55B;map[10858][2]:=$EBF1;
map[10859][1]:=$E55D;map[10859][2]:=$EBDD;
map[10860][1]:=$E560;map[10860][2]:=$EBFC;
map[10861][1]:=$E563;map[10861][2]:=$EBEB;
map[10862][1]:=$E56A;map[10862][2]:=$EBF5;
map[10863][1]:=$E56B;map[10863][2]:=$EBFB;
map[10864][1]:=$E56F;map[10864][2]:=$EBFA;
map[10865][1]:=$E572;map[10865][2]:=$EBE5;
map[10866][1]:=$E57E;map[10866][2]:=$EED7;
map[10867][1]:=$E582;map[10867][2]:=$EEDD;
map[10868][1]:=$E584;map[10868][2]:=$EEEC;
map[10869][1]:=$E585;map[10869][2]:=$EEE3;
map[10870][1]:=$E586;map[10870][2]:=$EED8;
map[10871][1]:=$E587;map[10871][2]:=$EED9;
map[10872][1]:=$E588;map[10872][2]:=$EEE2;
map[10873][1]:=$E58B;map[10873][2]:=$EEE1;
map[10874][1]:=$E58C;map[10874][2]:=$EED1;
map[10875][1]:=$E58D;map[10875][2]:=$EEE0;
map[10876][1]:=$E58F;map[10876][2]:=$EEED;
map[10877][1]:=$E592;map[10877][2]:=$EED5;
map[10878][1]:=$E594;map[10878][2]:=$EEE8;
map[10879][1]:=$E597;map[10879][2]:=$EEE7;
map[10880][1]:=$E599;map[10880][2]:=$EEE9;
map[10881][1]:=$E59D;map[10881][2]:=$EEEA;
map[10882][1]:=$E5A1;map[10882][2]:=$EA41;
map[10883][1]:=$E5A2;map[10883][2]:=$BF43;
map[10884][1]:=$E5A3;map[10884][2]:=$BF46;
map[10885][1]:=$E5A4;map[10885][2]:=$BF47;
map[10886][1]:=$E5A5;map[10886][2]:=$BEFC;
map[10887][1]:=$E5A6;map[10887][2]:=$C0E1;
map[10888][1]:=$E5A7;map[10888][2]:=$C0E4;
map[10889][1]:=$E5A8;map[10889][2]:=$ED57;
map[10890][1]:=$E5A9;map[10890][2]:=$C0DA;
map[10891][1]:=$E5AA;map[10891][2]:=$C0DE;
map[10892][1]:=$E5AB;map[10892][2]:=$C376;
map[10893][1]:=$E5AC;map[10893][2]:=$F263;
map[10894][1]:=$E5AD;map[10894][2]:=$C373;
map[10895][1]:=$E5AE;map[10895][2]:=$F465;
map[10896][1]:=$E5AF;map[10896][2]:=$F45C;
map[10897][1]:=$E5B0;map[10897][2]:=$F8AF;
map[10898][1]:=$E5B1;map[10898][2]:=$C5F4;
map[10899][1]:=$E5B3;map[10899][2]:=$C973;
map[10900][1]:=$E5B4;map[10900][2]:=$CC58;
map[10901][1]:=$E5B5;map[10901][2]:=$CC57;
map[10902][1]:=$E5B6;map[10902][2]:=$ABC9;
map[10903][1]:=$E5B7;map[10903][2]:=$AE66;
map[10904][1]:=$E5B9;map[10904][2]:=$C4CA;
map[10905][1]:=$E5BA;map[10905][2]:=$BA53;
map[10906][1]:=$E5BB;map[10906][2]:=$B9ED;
map[10907][1]:=$E5BC;map[10907][2]:=$BC64;
map[10908][1]:=$E5BD;map[10908][2]:=$EB72;
map[10909][1]:=$E5BE;map[10909][2]:=$BEC8;
map[10910][1]:=$E5BF;map[10910][2]:=$EEBF;
map[10911][1]:=$E5C0;map[10911][2]:=$EEAA;
map[10912][1]:=$E5C2;map[10912][2]:=$CDCE;
map[10913][1]:=$E5C3;map[10913][2]:=$CDD1;
map[10914][1]:=$E5C4;map[10914][2]:=$AD7E;
map[10915][1]:=$E5C5;map[10915][2]:=$D0B5;
map[10916][1]:=$E5C6;map[10916][2]:=$A8B2;
map[10917][1]:=$E5C6;map[10917][2]:=$ADA3;
map[10918][1]:=$E5C7;map[10918][2]:=$C2E2;
map[10919][1]:=$E5C8;map[10919][2]:=$AD7B;
map[10920][1]:=$E5CA;map[10920][2]:=$ADA4;
map[10921][1]:=$E5CB;map[10921][2]:=$B06D;
map[10922][1]:=$E5CC;map[10922][2]:=$D3EF;
map[10923][1]:=$E5CD;map[10923][2]:=$D7E3;
map[10924][1]:=$E5CE;map[10924][2]:=$C5DD;
map[10925][1]:=$E5CF;map[10925][2]:=$D7E4;
map[10926][1]:=$E5D0;map[10926][2]:=$B370;
map[10927][1]:=$E5D1;map[10927][2]:=$B37C;
map[10928][1]:=$E5D2;map[10928][2]:=$D7E7;
map[10929][1]:=$E5D3;map[10929][2]:=$B666;
map[10930][1]:=$E5D4;map[10930][2]:=$B66A;
map[10931][1]:=$E5D5;map[10931][2]:=$DC4D;
map[10932][1]:=$E5D6;map[10932][2]:=$DC4F;
map[10933][1]:=$E5D7;map[10933][2]:=$E0A1;
map[10934][1]:=$E5D8;map[10934][2]:=$B94E;
map[10935][1]:=$E5D9;map[10935][2]:=$E07D;
map[10936][1]:=$E5DA;map[10936][2]:=$B949;
map[10937][1]:=$E5DB;map[10937][2]:=$BE43;
map[10938][1]:=$E5DC;map[10938][2]:=$BBB8;
map[10939][1]:=$E5DD;map[10939][2]:=$BBBD;
map[10940][1]:=$E5DE;map[10940][2]:=$BBBF;
map[10941][1]:=$E5DF;map[10941][2]:=$BEE6;
map[10942][1]:=$E5E0;map[10942][2]:=$BFEE;
map[10943][1]:=$E5E1;map[10943][2]:=$C1D8;
map[10944][1]:=$E5E2;map[10944][2]:=$C1DB;
map[10945][1]:=$E5E3;map[10945][2]:=$C2E4;
map[10946][1]:=$E5E4;map[10946][2]:=$C2E3;
map[10947][1]:=$E5E5;map[10947][2]:=$C3E5;
map[10948][1]:=$E5E7;map[10948][2]:=$B16B;
map[10949][1]:=$E5E8;map[10949][2]:=$CEBD;
map[10950][1]:=$E5E9;map[10950][2]:=$D8F4;
map[10951][1]:=$E5EA;map[10951][2]:=$C975;
map[10952][1]:=$E5EB;map[10952][2]:=$ABA4;
map[10953][1]:=$E5EC;map[10953][2]:=$AE6A;
map[10954][1]:=$E5ED;map[10954][2]:=$D4F3;
map[10955][1]:=$E5EE;map[10955][2]:=$B447;
map[10956][1]:=$E5EF;map[10956][2]:=$E1A2;
map[10957][1]:=$E5F0;map[10957][2]:=$C0AB;
map[10958][1]:=$E5F1;map[10958][2]:=$C4F3;
map[10959][1]:=$E5F2;map[10959][2]:=$D179;
map[10960][1]:=$E5F3;map[10960][2]:=$A9B8;
map[10961][1]:=$E5F4;map[10961][2]:=$ABDA;
map[10962][1]:=$E5F5;map[10962][2]:=$D758;
map[10963][1]:=$E5F6;map[10963][2]:=$B45D;
map[10964][1]:=$E5F7;map[10964][2]:=$F7A7;
map[10965][1]:=$E5F8;map[10965][2]:=$C94B;
map[10966][1]:=$E5F9;map[10966][2]:=$A671;
map[10967][1]:=$E5FA;map[10967][2]:=$A66D;
map[10968][1]:=$E5FB;map[10968][2]:=$A7B0;
map[10969][1]:=$E5FC;map[10969][2]:=$BC61;
map[10970][1]:=$E5FD;map[10970][2]:=$B9E1;
map[10971][1]:=$E5FE;map[10971][2]:=$A7AD;
map[10972][1]:=$E641;map[10972][2]:=$EEDB;
map[10973][1]:=$E645;map[10973][2]:=$EEE4;
map[10974][1]:=$E64B;map[10974][2]:=$EEE5;
map[10975][1]:=$E64D;map[10975][2]:=$EEDF;
map[10976][1]:=$E64F;map[10976][2]:=$EEE6;
map[10977][1]:=$E654;map[10977][2]:=$EEEB;
map[10978][1]:=$E657;map[10978][2]:=$EECE;
map[10979][1]:=$E65C;map[10979][2]:=$F160;
map[10980][1]:=$E65D;map[10980][2]:=$F159;
map[10981][1]:=$E660;map[10981][2]:=$F154;
map[10982][1]:=$E661;map[10982][2]:=$F163;
map[10983][1]:=$E662;map[10983][2]:=$F15B;
map[10984][1]:=$E664;map[10984][2]:=$F165;
map[10985][1]:=$E665;map[10985][2]:=$F155;
map[10986][1]:=$E668;map[10986][2]:=$F15F;
map[10987][1]:=$E66A;map[10987][2]:=$C2F2;
map[10988][1]:=$E66C;map[10988][2]:=$F161;
map[10989][1]:=$E670;map[10989][2]:=$F158;
map[10990][1]:=$E671;map[10990][2]:=$F15D;
map[10991][1]:=$E672;map[10991][2]:=$F162;
map[10992][1]:=$E677;map[10992][2]:=$F167;
map[10993][1]:=$E678;map[10993][2]:=$F16B;
map[10994][1]:=$E67B;map[10994][2]:=$F168;
map[10995][1]:=$E683;map[10995][2]:=$EECF;
map[10996][1]:=$E685;map[10996][2]:=$F164;
map[10997][1]:=$E688;map[10997][2]:=$F169;
map[10998][1]:=$E68B;map[10998][2]:=$F156;
map[10999][1]:=$E694;map[10999][2]:=$F373;
map[11000][1]:=$E696;map[11000][2]:=$F363;
map[11001][1]:=$E698;map[11001][2]:=$F371;
map[11002][1]:=$E6A1;map[11002][2]:=$CAB5;
map[11003][1]:=$E6A2;map[11003][2]:=$A96E;
map[11004][1]:=$E6A3;map[11004][2]:=$D8B5;
map[11005][1]:=$E6A4;map[11005][2]:=$A7AC;
map[11006][1]:=$E6A5;map[11006][2]:=$A7B1;
map[11007][1]:=$E6A6;map[11007][2]:=$A971;
map[11008][1]:=$E6A7;map[11008][2]:=$CC48;
map[11009][1]:=$E6A8;map[11009][2]:=$A96F;
map[11010][1]:=$E6A9;map[11010][2]:=$A96B;
map[11011][1]:=$E6AA;map[11011][2]:=$A963;
map[11012][1]:=$E6AB;map[11012][2]:=$D4D5;
map[11013][1]:=$E6AC;map[11013][2]:=$BC63;
map[11014][1]:=$E6AD;map[11014][2]:=$CE67;
map[11015][1]:=$E6AE;map[11015][2]:=$F6DC;
map[11016][1]:=$E6AF;map[11016][2]:=$ABBB;
map[11017][1]:=$E6B0;map[11017][2]:=$ABB9;
map[11018][1]:=$E6B2;map[11018][2]:=$AE5B;
map[11019][1]:=$E6B3;map[11019][2]:=$AE5C;
map[11020][1]:=$E6B4;map[11020][2]:=$B445;
map[11021][1]:=$E6B5;map[11021][2]:=$BC5F;
map[11022][1]:=$E6B6;map[11022][2]:=$AE50;
map[11023][1]:=$E6B7;map[11023][2]:=$AE58;
map[11024][1]:=$E6B8;map[11024][2]:=$AE55;
map[11025][1]:=$E6B9;map[11025][2]:=$B0FE;
map[11026][1]:=$E6BA;map[11026][2]:=$D4D1;
map[11027][1]:=$E6BB;map[11027][2]:=$B144;
map[11028][1]:=$E6BC;map[11028][2]:=$D4D0;
map[11029][1]:=$E6BD;map[11029][2]:=$B140;
map[11030][1]:=$E6BE;map[11030][2]:=$B141;
map[11031][1]:=$E6BF;map[11031][2]:=$BC60;
map[11032][1]:=$E6C1;map[11032][2]:=$B6FE;
map[11033][1]:=$E6C2;map[11033][2]:=$B444;
map[11034][1]:=$E6C3;map[11034][2]:=$B440;
map[11035][1]:=$E6C4;map[11035][2]:=$D8B8;
map[11036][1]:=$E6C5;map[11036][2]:=$B6FC;
map[11037][1]:=$E6C6;map[11037][2]:=$E172;
map[11038][1]:=$E6C7;map[11038][2]:=$B742;
map[11039][1]:=$E6C8;map[11039][2]:=$E954;
map[11040][1]:=$E6C9;map[11040][2]:=$C0A7;
map[11041][1]:=$E6CA;map[11041][2]:=$DCF7;
map[11042][1]:=$E6CB;map[11042][2]:=$E175;
map[11043][1]:=$E6CC;map[11043][2]:=$B9E4;
map[11044][1]:=$E6CD;map[11044][2]:=$E952;
map[11045][1]:=$E6CE;map[11045][2]:=$B9E2;
map[11046][1]:=$E6CF;map[11046][2]:=$B9DF;
map[11047][1]:=$E6D0;map[11047][2]:=$B9E3;
map[11048][1]:=$E6D1;map[11048][2]:=$E16B;
map[11049][1]:=$E6D2;map[11049][2]:=$BC5E;
map[11050][1]:=$E6D3;map[11050][2]:=$E951;
map[11051][1]:=$E6D4;map[11051][2]:=$E958;
map[11052][1]:=$E6D5;map[11052][2]:=$ECD0;
map[11053][1]:=$E6D6;map[11053][2]:=$C0A8;
map[11054][1]:=$E6D7;map[11054][2]:=$C45C;
map[11055][1]:=$E6D8;map[11055][2]:=$C9D4;
map[11056][1]:=$E6DA;map[11056][2]:=$A7B7;
map[11057][1]:=$E6DB;map[11057][2]:=$CC56;
map[11058][1]:=$E6DC;map[11058][2]:=$B446;
map[11059][1]:=$E6DD;map[11059][2]:=$A46D;
map[11060][1]:=$E6DE;map[11060][2]:=$A46E;
map[11061][1]:=$E6DF;map[11061][2]:=$CC55;
map[11062][1]:=$E6E0;map[11062][2]:=$E8CA;
map[11063][1]:=$E6E1;map[11063][2]:=$BE6F;
map[11064][1]:=$E6E2;map[11064][2]:=$BE74;
map[11065][1]:=$E6E3;map[11065][2]:=$F55F;
map[11066][1]:=$E6E4;map[11066][2]:=$C5E6;
map[11067][1]:=$E6E5;map[11067][2]:=$BE71;
map[11068][1]:=$E6E6;map[11068][2]:=$E8CE;
map[11069][1]:=$E6E7;map[11069][2]:=$C5BB;
map[11070][1]:=$E6E8;map[11070][2]:=$F77E;
map[11071][1]:=$E6E9;map[11071][2]:=$C063;
map[11072][1]:=$E6EA;map[11072][2]:=$C67A;
map[11073][1]:=$E6EB;map[11073][2]:=$F1AF;
map[11074][1]:=$E6EC;map[11074][2]:=$F1B2;
map[11075][1]:=$E6ED;map[11075][2]:=$F1B6;
map[11076][1]:=$E6EE;map[11076][2]:=$F67C;
map[11077][1]:=$E6EF;map[11077][2]:=$F563;
map[11078][1]:=$E6F0;map[11078][2]:=$C445;
map[11079][1]:=$E6F1;map[11079][2]:=$F67D;
map[11080][1]:=$E6F2;map[11080][2]:=$F561;
map[11081][1]:=$E6F3;map[11081][2]:=$F562;
map[11082][1]:=$E6F4;map[11082][2]:=$C559;
map[11083][1]:=$E6F5;map[11083][2]:=$F67B;
map[11084][1]:=$E6F6;map[11084][2]:=$F77C;
map[11085][1]:=$E6F7;map[11085][2]:=$C66B;
map[11086][1]:=$E6F8;map[11086][2]:=$F9B3;
map[11087][1]:=$E6F9;map[11087][2]:=$A6CD;
map[11088][1]:=$E6FA;map[11088][2]:=$ACFA;
map[11089][1]:=$E6FB;map[11089][2]:=$ACF4;
map[11090][1]:=$E6FC;map[11090][2]:=$ACF8;
map[11091][1]:=$E6FD;map[11091][2]:=$D04B;
map[11092][1]:=$E6FE;map[11092][2]:=$F5E7;
map[11093][1]:=$E740;map[11093][2]:=$F372;
map[11094][1]:=$E741;map[11094][2]:=$F362;
map[11095][1]:=$E744;map[11095][2]:=$F374;
map[11096][1]:=$E746;map[11096][2]:=$F36D;
map[11097][1]:=$E747;map[11097][2]:=$F370;
map[11098][1]:=$E74A;map[11098][2]:=$F369;
map[11099][1]:=$E754;map[11099][2]:=$F36F;
map[11100][1]:=$E757;map[11100][2]:=$F36B;
map[11101][1]:=$E758;map[11101][2]:=$F375;
map[11102][1]:=$E75D;map[11102][2]:=$F367;
map[11103][1]:=$E75F;map[11103][2]:=$F36E;
map[11104][1]:=$E767;map[11104][2]:=$F542;
map[11105][1]:=$E769;map[11105][2]:=$F4FC;
map[11106][1]:=$E76B;map[11106][2]:=$F4FA;
map[11107][1]:=$E76C;map[11107][2]:=$F4E9;
map[11108][1]:=$E76D;map[11108][2]:=$F540;
map[11109][1]:=$E76F;map[11109][2]:=$F4ED;
map[11110][1]:=$E770;map[11110][2]:=$F4FE;
map[11111][1]:=$E771;map[11111][2]:=$F4F4;
map[11112][1]:=$E777;map[11112][2]:=$F544;
map[11113][1]:=$E778;map[11113][2]:=$F4F6;
map[11114][1]:=$E77A;map[11114][2]:=$F4FB;
map[11115][1]:=$E77B;map[11115][2]:=$F4FD;
map[11116][1]:=$E77D;map[11116][2]:=$F541;
map[11117][1]:=$E77E;map[11117][2]:=$F4F2;
map[11118][1]:=$E780;map[11118][2]:=$F4F7;
map[11119][1]:=$E781;map[11119][2]:=$F4EB;
map[11120][1]:=$E783;map[11120][2]:=$F543;
map[11121][1]:=$E787;map[11121][2]:=$F4EE;
map[11122][1]:=$E788;map[11122][2]:=$F4F8;
map[11123][1]:=$E79B;map[11123][2]:=$F661;
map[11124][1]:=$E79C;map[11124][2]:=$F666;
map[11125][1]:=$E79E;map[11125][2]:=$F668;
map[11126][1]:=$E7A1;map[11126][2]:=$AFC6;
map[11127][1]:=$E7A2;map[11127][2]:=$AFC4;
map[11128][1]:=$E7A3;map[11128][2]:=$D356;
map[11129][1]:=$E7A4;map[11129][2]:=$D6E6;
map[11130][1]:=$E7A5;map[11130][2]:=$B2D8;
map[11131][1]:=$E7A5;map[11131][2]:=$DAF2;
map[11132][1]:=$E7A6;map[11132][2]:=$B2D9;
map[11133][1]:=$E7A7;map[11133][2]:=$BFA8;
map[11134][1]:=$E7A8;map[11134][2]:=$B2D1;
map[11135][1]:=$E7A9;map[11135][2]:=$B2D2;
map[11136][1]:=$E7AA;map[11136][2]:=$D6ED;
map[11137][1]:=$E7AC;map[11137][2]:=$DAFB;
map[11138][1]:=$E7AD;map[11138][2]:=$B5BC;
map[11139][1]:=$E7AE;map[11139][2]:=$DF58;
map[11140][1]:=$E7AF;map[11140][2]:=$DF60;
map[11141][1]:=$E7B0;map[11141][2]:=$DF57;
map[11142][1]:=$E7B1;map[11142][2]:=$BAF0;
map[11143][1]:=$E7B2;map[11143][2]:=$BAF6;
map[11144][1]:=$E7B3;map[11144][2]:=$E36E;
map[11145][1]:=$E7B5;map[11145][2]:=$E36C;
map[11146][1]:=$E7B6;map[11146][2]:=$BD78;
map[11147][1]:=$E7B7;map[11147][2]:=$BAFE;
map[11148][1]:=$E7B8;map[11148][2]:=$E371;
map[11149][1]:=$E7B9;map[11149][2]:=$E365;
map[11150][1]:=$E7BA;map[11150][2]:=$BAED;
map[11151][1]:=$E7BB;map[11151][2]:=$BAFD;
map[11152][1]:=$E7BC;map[11152][2]:=$BD79;
map[11153][1]:=$E7BD;map[11153][2]:=$E6E7;
map[11154][1]:=$E7BE;map[11154][2]:=$BD7B;
map[11155][1]:=$E7BF;map[11155][2]:=$BD7A;
map[11156][1]:=$E7C0;map[11156][2]:=$F072;
map[11157][1]:=$E7C1;map[11157][2]:=$E6EB;
map[11158][1]:=$E7C2;map[11158][2]:=$E6EC;
map[11159][1]:=$E7C3;map[11159][2]:=$E6ED;
map[11160][1]:=$E7C4;map[11160][2]:=$EAD8;
map[11161][1]:=$E7C5;map[11161][2]:=$E6E8;
map[11162][1]:=$E7C6;map[11162][2]:=$BFA7;
map[11163][1]:=$E7C7;map[11163][2]:=$BFA6;
map[11164][1]:=$E7C8;map[11164][2]:=$EAD0;
map[11165][1]:=$E7C9;map[11165][2]:=$BFA5;
map[11166][1]:=$E7CA;map[11166][2]:=$EDD0;
map[11167][1]:=$E7CB;map[11167][2]:=$BF7E;
map[11168][1]:=$E7CC;map[11168][2]:=$BFA1;
map[11169][1]:=$E7CD;map[11169][2]:=$C47D;
map[11170][1]:=$E7CE;map[11170][2]:=$C165;
map[11171][1]:=$E7CF;map[11171][2]:=$C167;
map[11172][1]:=$E7D0;map[11172][2]:=$C15D;
map[11173][1]:=$E7D1;map[11173][2]:=$C15B;
map[11174][1]:=$E7D2;map[11174][2]:=$C162;
map[11175][1]:=$E7D3;map[11175][2]:=$F5E9;
map[11176][1]:=$E7D4;map[11176][2]:=$C2B7;
map[11177][1]:=$E7D5;map[11177][2]:=$C2B9;
map[11178][1]:=$E7D6;map[11178][2]:=$C5B7;
map[11179][1]:=$E7D7;map[11179][2]:=$F4AD;
map[11180][1]:=$E7D8;map[11180][2]:=$F2B2;
map[11181][1]:=$E7D9;map[11181][2]:=$F2B4;
map[11182][1]:=$E7DA;map[11182][2]:=$F940;
map[11183][1]:=$E7DB;map[11183][2]:=$A45C;
map[11184][1]:=$E7DC;map[11184][2]:=$BD42;
map[11185][1]:=$E7DE;map[11185][2]:=$CD72;
map[11186][1]:=$E7DF;map[11186][2]:=$B06F;
map[11187][1]:=$E7E0;map[11187][2]:=$CA45;
map[11188][1]:=$E7E1;map[11188][2]:=$BF59;
map[11189][1]:=$E7E2;map[11189][2]:=$DEB3;
map[11190][1]:=$E7E3;map[11190][2]:=$CD6A;
map[11191][1]:=$E7E4;map[11191][2]:=$AAB3;
map[11192][1]:=$E7E5;map[11192][2]:=$AAB2;
map[11193][1]:=$E7E6;map[11193][2]:=$CFC8;
map[11194][1]:=$E7E7;map[11194][2]:=$C46E;
map[11195][1]:=$E7E8;map[11195][2]:=$ACBF;
map[11196][1]:=$E7E9;map[11196][2]:=$ACC5;
map[11197][1]:=$E7EA;map[11197][2]:=$ACC4;
map[11198][1]:=$E7EC;map[11198][2]:=$CFC9;
map[11199][1]:=$E7ED;map[11199][2]:=$D2AD;
map[11200][1]:=$E7EE;map[11200][2]:=$D2AC;
map[11201][1]:=$E7EF;map[11201][2]:=$B97A;
map[11202][1]:=$E7F0;map[11202][2]:=$B278;
map[11203][1]:=$E7F1;map[11203][2]:=$D2B2;
map[11204][1]:=$E7F2;map[11204][2]:=$D2B0;
map[11205][1]:=$E7F3;map[11205][2]:=$AF5F;
map[11206][1]:=$E7F4;map[11206][2]:=$C3A2;
map[11207][1]:=$E7F5;map[11207][2]:=$B7E9;
map[11208][1]:=$E7F6;map[11208][2]:=$E6A3;
map[11209][1]:=$E7F7;map[11209][2]:=$B558;
map[11210][1]:=$E7F8;map[11210][2]:=$B7EB;
map[11211][1]:=$E7F9;map[11211][2]:=$B561;
map[11212][1]:=$E7FA;map[11212][2]:=$B55B;
map[11213][1]:=$E7FB;map[11213][2]:=$B562;
map[11214][1]:=$E7FC;map[11214][2]:=$DA7C;
map[11215][1]:=$E7FD;map[11215][2]:=$DA7A;
map[11216][1]:=$E7FE;map[11216][2]:=$DA7B;
map[11217][1]:=$E841;map[11217][2]:=$F664;
map[11218][1]:=$E842;map[11218][2]:=$F66A;
map[11219][1]:=$E848;map[11219][2]:=$F667;
map[11220][1]:=$E84A;map[11220][2]:=$F665;
map[11221][1]:=$E84C;map[11221][2]:=$F65F;
map[11222][1]:=$E84D;map[11222][2]:=$F663;
map[11223][1]:=$E84E;map[11223][2]:=$F662;
map[11224][1]:=$E850;map[11224][2]:=$F669;
map[11225][1]:=$E855;map[11225][2]:=$F76D;
map[11226][1]:=$E856;map[11226][2]:=$F770;
map[11227][1]:=$E857;map[11227][2]:=$F76C;
map[11228][1]:=$E858;map[11228][2]:=$F76E;
map[11229][1]:=$E859;map[11229][2]:=$F76F;
map[11230][1]:=$E85B;map[11230][2]:=$F76A;
map[11231][1]:=$E85F;map[11231][2]:=$F76B;
map[11232][1]:=$E860;map[11232][2]:=$F768;
map[11233][1]:=$E867;map[11233][2]:=$F84D;
map[11234][1]:=$E86D;map[11234][2]:=$F84C;
map[11235][1]:=$E872;map[11235][2]:=$F84A;
map[11236][1]:=$E878;map[11236][2]:=$F8CB;
map[11237][1]:=$E879;map[11237][2]:=$F8CC;
map[11238][1]:=$E87D;map[11238][2]:=$F952;
map[11239][1]:=$E87E;map[11239][2]:=$F954;
map[11240][1]:=$E883;map[11240][2]:=$F956;
map[11241][1]:=$E884;map[11241][2]:=$F972;
map[11242][1]:=$E885;map[11242][2]:=$F975;
map[11243][1]:=$E886;map[11243][2]:=$F974;
map[11244][1]:=$E888;map[11244][2]:=$F973;
map[11245][1]:=$E890;map[11245][2]:=$F9C0;
map[11246][1]:=$E893;map[11246][2]:=$F9C9;
map[11247][1]:=$E895;map[11247][2]:=$DC6B;
map[11248][1]:=$E896;map[11248][2]:=$C1ED;
map[11249][1]:=$E897;map[11249][2]:=$DC65;
map[11250][1]:=$E899;map[11250][2]:=$E478;
map[11251][1]:=$E89A;map[11251][2]:=$E86C;
map[11252][1]:=$E89B;map[11252][2]:=$EBE2;
map[11253][1]:=$E89C;map[11253][2]:=$E47E;
map[11254][1]:=$E89D;map[11254][2]:=$E479;
map[11255][1]:=$E89E;map[11255][2]:=$E866;
map[11256][1]:=$E89F;map[11256][2]:=$C042;
map[11257][1]:=$E8A0;map[11257][2]:=$EBF9;
map[11258][1]:=$E8A1;map[11258][2]:=$B560;
map[11259][1]:=$E8A2;map[11259][2]:=$DAA1;
map[11260][1]:=$E8A3;map[11260][2]:=$B7E8;
map[11261][1]:=$E8A4;map[11261][2]:=$B7EC;
map[11262][1]:=$E8A5;map[11262][2]:=$DEB6;
map[11263][1]:=$E8A6;map[11263][2]:=$B7E5;
map[11264][1]:=$E8A7;map[11264][2]:=$B7EA;
map[11265][1]:=$E8A8;map[11265][2]:=$C0F5;
map[11266][1]:=$E8A9;map[11266][2]:=$BAC1;
map[11267][1]:=$E8AA;map[11267][2]:=$BD40;
map[11268][1]:=$E8AB;map[11268][2]:=$BF58;
map[11269][1]:=$E8AC;map[11269][2]:=$C4ED;
map[11270][1]:=$E8AD;map[11270][2]:=$BD41;
map[11271][1]:=$E8AE;map[11271][2]:=$E6A6;
map[11272][1]:=$E8AF;map[11272][2]:=$C27B;
map[11273][1]:=$E8AF;map[11273][2]:=$E6A2;
map[11274][1]:=$E8B0;map[11274][2]:=$BCFD;
map[11275][1]:=$E8B1;map[11275][2]:=$BF5C;
map[11276][1]:=$E8B2;map[11276][2]:=$C0F6;
map[11277][1]:=$E8B3;map[11277][2]:=$C0F3;
map[11278][1]:=$E8B4;map[11278][2]:=$ED69;
map[11279][1]:=$E8B5;map[11279][2]:=$C27A;
map[11280][1]:=$E8B6;map[11280][2]:=$C5D0;
map[11281][1]:=$E8B7;map[11281][2]:=$F46F;
map[11282][1]:=$E8B8;map[11282][2]:=$F1A4;
map[11283][1]:=$E8B9;map[11283][2]:=$F3A5;
map[11284][1]:=$E8BA;map[11284][2]:=$C3FC;
map[11285][1]:=$E8BB;map[11285][2]:=$CB42;
map[11286][1]:=$E8BC;map[11286][2]:=$A840;
map[11287][1]:=$E8BD;map[11287][2]:=$A7FB;
map[11288][1]:=$E8BE;map[11288][2]:=$CB43;
map[11289][1]:=$E8BF;map[11289][2]:=$E259;
map[11290][1]:=$E8C0;map[11290][2]:=$F455;
map[11291][1]:=$E8C1;map[11291][2]:=$AA4A;
map[11292][1]:=$E8C2;map[11292][2]:=$AA57;
map[11293][1]:=$E8C3;map[11293][2]:=$AA48;
map[11294][1]:=$E8C4;map[11294][2]:=$CCD9;
map[11295][1]:=$E8C6;map[11295][2]:=$AA53;
map[11296][1]:=$E8C7;map[11296][2]:=$D9B3;
map[11297][1]:=$E8C8;map[11297][2]:=$BCD7;
map[11298][1]:=$E8C9;map[11298][2]:=$B1FA;
map[11299][1]:=$E8CA;map[11299][2]:=$AA44;
map[11300][1]:=$E8CB;map[11300][2]:=$AA49;
map[11301][1]:=$E8CC;map[11301][2]:=$AA56;
map[11302][1]:=$E8CD;map[11302][2]:=$CF55;
map[11303][1]:=$E8CE;map[11303][2]:=$C0CD;
map[11304][1]:=$E8CF;map[11304][2]:=$CF43;
map[11305][1]:=$E8D0;map[11305][2]:=$F453;
map[11306][1]:=$E8D1;map[11306][2]:=$AC5E;
map[11307][1]:=$E8D2;map[11307][2]:=$AC69;
map[11308][1]:=$E8D3;map[11308][2]:=$F456;
map[11309][1]:=$E8D4;map[11309][2]:=$AC6A;
map[11310][1]:=$E8D5;map[11310][2]:=$CF4A;
map[11311][1]:=$E8D6;map[11311][2]:=$AC63;
map[11312][1]:=$E8D7;map[11312][2]:=$CF4C;
map[11313][1]:=$E8D8;map[11313][2]:=$AC6C;
map[11314][1]:=$E8D9;map[11314][2]:=$B1F7;
map[11315][1]:=$E8DA;map[11315][2]:=$CF61;
map[11316][1]:=$E8DB;map[11316][2]:=$AC65;
map[11317][1]:=$E8DC;map[11317][2]:=$AC6B;
map[11318][1]:=$E8DD;map[11318][2]:=$F252;
map[11319][1]:=$E8DE;map[11319][2]:=$CEFB;
map[11320][1]:=$E8DF;map[11320][2]:=$ECF7;
map[11321][1]:=$E8E0;map[11321][2]:=$D1DC;
map[11322][1]:=$E8E1;map[11322][2]:=$D1DD;
map[11323][1]:=$E8E2;map[11323][2]:=$D9B2;
map[11324][1]:=$E8E3;map[11324][2]:=$BEF8;
map[11325][1]:=$E8E4;map[11325][2]:=$D1E8;
map[11326][1]:=$E8E5;map[11326][2]:=$B7A9;
map[11327][1]:=$E8E6;map[11327][2]:=$D1E9;
map[11328][1]:=$E8E7;map[11328][2]:=$E24E;
map[11329][1]:=$E8E8;map[11329][2]:=$B1F2;
map[11330][1]:=$E8E9;map[11330][2]:=$D1EB;
map[11331][1]:=$E8EB;map[11331][2]:=$BEEC;
map[11332][1]:=$E8EC;map[11332][2]:=$AEEC;
map[11333][1]:=$E8ED;map[11333][2]:=$C0CC;
map[11334][1]:=$E8EE;map[11334][2]:=$AEE5;
map[11335][1]:=$E8EF;map[11335][2]:=$F7E1;
map[11336][1]:=$E8F0;map[11336][2]:=$D9AF;
map[11337][1]:=$E8F1;map[11337][2]:=$D1DB;
map[11338][1]:=$E8F2;map[11338][2]:=$AEDD;
map[11339][1]:=$E8F3;map[11339][2]:=$B1EB;
map[11340][1]:=$E8F4;map[11340][2]:=$D5C0;
map[11341][1]:=$E8F5;map[11341][2]:=$D5BE;
map[11342][1]:=$E8F6;map[11342][2]:=$D5C1;
map[11343][1]:=$E8F7;map[11343][2]:=$B1EA;
map[11344][1]:=$E8F8;map[11344][2]:=$D5C4;
map[11345][1]:=$E8F9;map[11345][2]:=$C4E7;
map[11346][1]:=$E8F9;map[11346][2]:=$F9BB;
map[11347][1]:=$E8FA;map[11347][2]:=$B4D8;
map[11348][1]:=$E8FB;map[11348][2]:=$D9C8;
map[11349][1]:=$E8FC;map[11349][2]:=$C370;
map[11350][1]:=$E8FD;map[11350][2]:=$E5DE;
map[11351][1]:=$E8FE;map[11351][2]:=$B4CD;
map[11352][1]:=$E8FE;map[11352][2]:=$C267;
map[11353][1]:=$E940;map[11353][2]:=$F84B;
map[11354][1]:=$E942;map[11354][2]:=$EEDA;
map[11355][1]:=$E943;map[11355][2]:=$EECD;
map[11356][1]:=$E944;map[11356][2]:=$F157;
map[11357][1]:=$E945;map[11357][2]:=$F166;
map[11358][1]:=$E945;map[11358][2]:=$F9BF;
map[11359][1]:=$E946;map[11359][2]:=$C2E8;
map[11360][1]:=$E948;map[11360][2]:=$F365;
map[11361][1]:=$E949;map[11361][2]:=$F660;
map[11362][1]:=$E94A;map[11362][2]:=$F84E;
map[11363][1]:=$E94B;map[11363][2]:=$F955;
map[11364][1]:=$E94F;map[11364][2]:=$D844;
map[11365][1]:=$E950;map[11365][2]:=$DC78;
map[11366][1]:=$E951;map[11366][2]:=$E8A5;
map[11367][1]:=$E952;map[11367][2]:=$F376;
map[11368][1]:=$E961;map[11368][2]:=$DC79;
map[11369][1]:=$E964;map[11369][2]:=$DC7B;
map[11370][1]:=$E96F;map[11370][2]:=$E0D0;
map[11371][1]:=$E970;map[11371][2]:=$E0CE;
map[11372][1]:=$E972;map[11372][2]:=$E0CF;
map[11373][1]:=$E973;map[11373][2]:=$E0CD;
map[11374][1]:=$E983;map[11374][2]:=$E8A8;
map[11375][1]:=$E985;map[11375][2]:=$E8A9;
map[11376][1]:=$E98A;map[11376][2]:=$EC4D;
map[11377][1]:=$E98C;map[11377][2]:=$EEF3;
map[11378][1]:=$E98F;map[11378][2]:=$EC4A;
map[11379][1]:=$E995;map[11379][2]:=$EEEF;
map[11380][1]:=$E99A;map[11380][2]:=$EEF2;
map[11381][1]:=$E99C;map[11381][2]:=$EEEE;
map[11382][1]:=$E99E;map[11382][2]:=$EEF0;
map[11383][1]:=$E9A1;map[11383][2]:=$F7E2;
map[11384][1]:=$E9A2;map[11384][2]:=$BD69;
map[11385][1]:=$E9A2;map[11385][2]:=$DDDE;
map[11386][1]:=$E9A3;map[11386][2]:=$D9CA;
map[11387][1]:=$E9A4;map[11387][2]:=$BCCD;
map[11388][1]:=$E9A5;map[11388][2]:=$DDD4;
map[11389][1]:=$E9A6;map[11389][2]:=$B4D0;
map[11390][1]:=$E9A7;map[11390][2]:=$D9B9;
map[11391][1]:=$E9A8;map[11391][2]:=$DDCE;
map[11392][1]:=$E9A9;map[11392][2]:=$DDD2;
map[11393][1]:=$E9AA;map[11393][2]:=$B7A3;
map[11394][1]:=$E9AB;map[11394][2]:=$DDD3;
map[11395][1]:=$E9AC;map[11395][2]:=$B7AF;
map[11396][1]:=$E9AD;map[11396][2]:=$C656;
map[11397][1]:=$E9AE;map[11397][2]:=$B7AA;
map[11398][1]:=$E9B1;map[11398][2]:=$DDDF;
map[11399][1]:=$E9B2;map[11399][2]:=$DDE0;
map[11400][1]:=$E9B3;map[11400][2]:=$BA6C;
map[11401][1]:=$E9B4;map[11401][2]:=$C468;
map[11402][1]:=$E9B5;map[11402][2]:=$C371;
map[11403][1]:=$E9B6;map[11403][2]:=$E241;
map[11404][1]:=$E9B7;map[11404][2]:=$F5D1;
map[11405][1]:=$E9B8;map[11405][2]:=$DDC9;
map[11406][1]:=$E9B9;map[11406][2]:=$B7B0;
map[11407][1]:=$E9BA;map[11407][2]:=$B7AD;
map[11408][1]:=$E9BB;map[11408][2]:=$BA64;
map[11409][1]:=$E9BC;map[11409][2]:=$E249;
map[11410][1]:=$E9BD;map[11410][2]:=$BA66;
map[11411][1]:=$E9BE;map[11411][2]:=$BA67;
map[11412][1]:=$E9BF;map[11412][2]:=$BA6B;
map[11413][1]:=$E9C0;map[11413][2]:=$E252;
map[11414][1]:=$E9C1;map[11414][2]:=$E1FC;
map[11415][1]:=$E9C2;map[11415][2]:=$BA60;
map[11416][1]:=$E9C3;map[11416][2]:=$E254;
map[11417][1]:=$E9C4;map[11417][2]:=$C262;
map[11418][1]:=$E9C5;map[11418][2]:=$BA5F;
map[11419][1]:=$E9C6;map[11419][2]:=$F24C;
map[11420][1]:=$E9C7;map[11420][2]:=$E24A;
map[11421][1]:=$E9C8;map[11421][2]:=$E5D3;
map[11422][1]:=$E9C9;map[11422][2]:=$C0CE;
map[11423][1]:=$E9CA;map[11423][2]:=$BCD8;
map[11424][1]:=$E9CB;map[11424][2]:=$E5CC;
map[11425][1]:=$E9CC;map[11425][2]:=$E5E8;
map[11426][1]:=$E9CD;map[11426][2]:=$F255;
map[11427][1]:=$E9CE;map[11427][2]:=$E5DA;
map[11428][1]:=$E9CF;map[11428][2]:=$BEF1;
map[11429][1]:=$E9D0;map[11429][2]:=$E9C4;
map[11430][1]:=$E9D1;map[11430][2]:=$C0D2;
map[11431][1]:=$E9D2;map[11431][2]:=$E9D1;
map[11432][1]:=$E9D3;map[11432][2]:=$E9C8;
map[11433][1]:=$E9D4;map[11433][2]:=$BEF6;
map[11434][1]:=$E9D5;map[11434][2]:=$ECFE;
map[11435][1]:=$E9D6;map[11435][2]:=$C372;
map[11436][1]:=$E9D6;map[11436][2]:=$F2C5;
map[11437][1]:=$E9D7;map[11437][2]:=$BEEA;
map[11438][1]:=$E9D8;map[11438][2]:=$E9CA;
map[11439][1]:=$E9D9;map[11439][2]:=$BEEF;
map[11440][1]:=$E9DA;map[11440][2]:=$F258;
map[11441][1]:=$E9DB;map[11441][2]:=$ED44;
map[11442][1]:=$E9DC;map[11442][2]:=$C0D1;
map[11443][1]:=$E9DC;map[11443][2]:=$C3B2;
map[11444][1]:=$E9DD;map[11444][2]:=$ECF5;
map[11445][1]:=$E9DE;map[11445][2]:=$C0D0;
map[11446][1]:=$E9E0;map[11446][2]:=$B7DF;
map[11447][1]:=$E9E1;map[11447][2]:=$E676;
map[11448][1]:=$E9E2;map[11448][2]:=$AA5C;
map[11449][1]:=$E9E3;map[11449][2]:=$CF65;
map[11450][1]:=$E9E4;map[11450][2]:=$BCDC;
map[11451][1]:=$E9E5;map[11451][2]:=$CF66;
map[11452][1]:=$E9E6;map[11452][2]:=$E266;
map[11453][1]:=$E9E7;map[11453][2]:=$C0D4;
map[11454][1]:=$E9E8;map[11454][2]:=$D5DC;
map[11455][1]:=$E9E9;map[11455][2]:=$E9E3;
map[11456][1]:=$E9EA;map[11456][2]:=$DDFB;
map[11457][1]:=$E9EB;map[11457][2]:=$C26C;
map[11458][1]:=$E9EC;map[11458][2]:=$E9E2;
map[11459][1]:=$E9ED;map[11459][2]:=$B062;
map[11460][1]:=$E9EE;map[11460][2]:=$B36D;
map[11461][1]:=$E9F0;map[11461][2]:=$B661;
map[11462][1]:=$E9F1;map[11462][2]:=$F847;
map[11463][1]:=$E9F2;map[11463][2]:=$DC40;
map[11464][1]:=$E9F3;map[11464][2]:=$B663;
map[11465][1]:=$E9F4;map[11465][2]:=$DC48;
map[11466][1]:=$E9F6;map[11466][2]:=$F765;
map[11467][1]:=$E9F7;map[11467][2]:=$DBFE;
map[11468][1]:=$E9F8;map[11468][2]:=$B8FD;
map[11469][1]:=$E9F9;map[11469][2]:=$B8FE;
map[11470][1]:=$E9FA;map[11470][2]:=$E079;
map[11471][1]:=$E9FB;map[11471][2]:=$E078;
map[11472][1]:=$E9FC;map[11472][2]:=$BBB3;
map[11473][1]:=$E9FD;map[11473][2]:=$BDFB;
map[11474][1]:=$E9FE;map[11474][2]:=$BDFE;
map[11475][1]:=$EA45;map[11475][2]:=$F16E;
map[11476][1]:=$EA4F;map[11476][2]:=$F378;
map[11477][1]:=$EA53;map[11477][2]:=$F547;
map[11478][1]:=$EA57;map[11478][2]:=$F66D;
map[11479][1]:=$EA5C;map[11479][2]:=$D846;
map[11480][1]:=$EA5D;map[11480][2]:=$F16D;
map[11481][1]:=$EA5E;map[11481][2]:=$EC47;
map[11482][1]:=$EA5F;map[11482][2]:=$F546;
map[11483][1]:=$EA60;map[11483][2]:=$F16C;
map[11484][1]:=$EA61;map[11484][2]:=$F66C;
map[11485][1]:=$EA62;map[11485][2]:=$C9AA;
map[11486][1]:=$EA63;map[11486][2]:=$CA58;
map[11487][1]:=$EA64;map[11487][2]:=$CA59;
map[11488][1]:=$EA65;map[11488][2]:=$CA57;
map[11489][1]:=$EA69;map[11489][2]:=$CBAE;
map[11490][1]:=$EA6D;map[11490][2]:=$CBB0;
map[11491][1]:=$EA6F;map[11491][2]:=$CBAD;
map[11492][1]:=$EA72;map[11492][2]:=$CDD8;
map[11493][1]:=$EA73;map[11493][2]:=$CDDB;
map[11494][1]:=$EA76;map[11494][2]:=$CDDC;
map[11495][1]:=$EA77;map[11495][2]:=$D0C6;
map[11496][1]:=$EA78;map[11496][2]:=$D0C7;
map[11497][1]:=$EA79;map[11497][2]:=$D0C3;
map[11498][1]:=$EA7A;map[11498][2]:=$D0C4;
map[11499][1]:=$EA7C;map[11499][2]:=$D0C5;
map[11500][1]:=$EA83;map[11500][2]:=$D445;
map[11501][1]:=$EA8A;map[11501][2]:=$D849;
map[11502][1]:=$EA8B;map[11502][2]:=$D848;
map[11503][1]:=$EA8D;map[11503][2]:=$D84B;
map[11504][1]:=$EA8F;map[11504][2]:=$D84A;
map[11505][1]:=$EA95;map[11505][2]:=$D847;
map[11506][1]:=$EA97;map[11506][2]:=$DC7D;
map[11507][1]:=$EA99;map[11507][2]:=$DCA3;
map[11508][1]:=$EA9C;map[11508][2]:=$DCA2;
map[11509][1]:=$EA9E;map[11509][2]:=$DC7C;
map[11510][1]:=$EAA1;map[11510][2]:=$BDF9;
map[11511][1]:=$EAA2;map[11511][2]:=$BDFD;
map[11512][1]:=$EAA3;map[11512][2]:=$BFEA;
map[11513][1]:=$EAA4;map[11513][2]:=$F146;
map[11514][1]:=$EAA5;map[11514][2]:=$C3E1;
map[11515][1]:=$EAA7;map[11515][2]:=$CCB1;
map[11516][1]:=$EAA8;map[11516][2]:=$E1D7;
map[11517][1]:=$EAA9;map[11517][2]:=$B1AE;
map[11518][1]:=$EAAA;map[11518][2]:=$B475;
map[11519][1]:=$EAAB;map[11519][2]:=$B761;
map[11520][1]:=$EAAC;map[11520][2]:=$B760;
map[11521][1]:=$EAAD;map[11521][2]:=$DD75;
map[11522][1]:=$EAAE;map[11522][2]:=$DD76;
map[11523][1]:=$EAAF;map[11523][2]:=$E1D6;
map[11524][1]:=$EAB0;map[11524][2]:=$BB4E;
map[11525][1]:=$EAB1;map[11525][2]:=$BF5E;
map[11526][1]:=$EAB2;map[11526][2]:=$D2BE;
map[11527][1]:=$EAB3;map[11527][2]:=$DEC0;
map[11528][1]:=$EAB4;map[11528][2]:=$ED72;
map[11529][1]:=$EAB5;map[11529][2]:=$ED70;
map[11530][1]:=$EAB6;map[11530][2]:=$F049;
map[11531][1]:=$EAB8;map[11531][2]:=$C9EE;
map[11532][1]:=$EAB9;map[11532][2]:=$C9ED;
map[11533][1]:=$EABA;map[11533][2]:=$CAF8;
map[11534][1]:=$EABB;map[11534][2]:=$A9FE;
map[11535][1]:=$EABC;map[11535][2]:=$BEE8;
map[11536][1]:=$EABD;map[11536][2]:=$AA58;
map[11537][1]:=$EABE;map[11537][2]:=$CCCA;
map[11538][1]:=$EABF;map[11538][2]:=$A9FD;
map[11539][1]:=$EAC0;map[11539][2]:=$A9FB;
map[11540][1]:=$EAC1;map[11540][2]:=$CD52;
map[11541][1]:=$EAC2;map[11541][2]:=$AC54;
map[11542][1]:=$EAC3;map[11542][2]:=$CEF5;
map[11543][1]:=$EAC4;map[11543][2]:=$CEF6;
map[11544][1]:=$EAC5;map[11544][2]:=$AC52;
map[11545][1]:=$EAC6;map[11545][2]:=$CEEB;
map[11546][1]:=$EAC7;map[11546][2]:=$BCCA;
map[11547][1]:=$EAC7;map[11547][2]:=$CEEE;
map[11548][1]:=$EAC8;map[11548][2]:=$AFCF;
map[11549][1]:=$EAC9;map[11549][2]:=$D1D4;
map[11550][1]:=$EACA;map[11550][2]:=$BEE7;
map[11551][1]:=$EACB;map[11551][2]:=$AED0;
map[11552][1]:=$EACC;map[11552][2]:=$AECB;
map[11553][1]:=$EACD;map[11553][2]:=$B775;
map[11554][1]:=$EACE;map[11554][2]:=$D5AA;
map[11555][1]:=$EAD0;map[11555][2]:=$B4BE;
map[11556][1]:=$EAD1;map[11556][2]:=$B779;
map[11557][1]:=$EAD2;map[11557][2]:=$DDC0;
map[11558][1]:=$EAD3;map[11558][2]:=$C0C7;
map[11559][1]:=$EAD4;map[11559][2]:=$BA5C;
map[11560][1]:=$EAD5;map[11560][2]:=$E9B4;
map[11561][1]:=$EAD6;map[11561][2]:=$EFDB;
map[11562][1]:=$EAD7;map[11562][2]:=$C260;
map[11563][1]:=$EAD8;map[11563][2]:=$C466;
map[11564][1]:=$EAD9;map[11564][2]:=$C4E4;
map[11565][1]:=$EADA;map[11565][2]:=$B64E;
map[11566][1]:=$EADB;map[11566][2]:=$DBEA;
map[11567][1]:=$EADC;map[11567][2]:=$DBE8;
map[11568][1]:=$EADD;map[11568][2]:=$B64D;
map[11569][1]:=$EADE;map[11569][2]:=$F0F4;
map[11570][1]:=$EADF;map[11570][2]:=$B8ED;
map[11571][1]:=$EAE0;map[11571][2]:=$B8F0;
map[11572][1]:=$EAE1;map[11572][2]:=$EBB5;
map[11573][1]:=$EAE1;map[11573][2]:=$F652;
map[11574][1]:=$EAE2;map[11574][2]:=$BBAC;
map[11575][1]:=$EAE3;map[11575][2]:=$E7EC;
map[11576][1]:=$EAE4;map[11576][2]:=$E453;
map[11577][1]:=$EAE5;map[11577][2]:=$F6D2;
map[11578][1]:=$EAE6;map[11578][2]:=$E7EE;
map[11579][1]:=$EAE7;map[11579][2]:=$C1CC;
map[11580][1]:=$EAE8;map[11580][2]:=$DBD1;
map[11581][1]:=$EAE9;map[11581][2]:=$C1BB;
map[11582][1]:=$EAEA;map[11582][2]:=$E444;
map[11583][1]:=$EAEB;map[11583][2]:=$F753;
map[11584][1]:=$EAEC;map[11584][2]:=$BFCC;
map[11585][1]:=$EAED;map[11585][2]:=$EE7A;
map[11586][1]:=$EAEE;map[11586][2]:=$C2D1;
map[11587][1]:=$EAEF;map[11587][2]:=$F2F3;
map[11588][1]:=$EAF0;map[11588][2]:=$CFBD;
map[11589][1]:=$EAF2;map[11589][2]:=$A6C9;
map[11590][1]:=$EAF3;map[11590][2]:=$BCF9;
map[11591][1]:=$EAF3;map[11591][2]:=$E5F8;
map[11592][1]:=$EAF4;map[11592][2]:=$ACBA;
map[11593][1]:=$EAF5;map[11593][2]:=$D65C;
map[11594][1]:=$EAF6;map[11594][2]:=$D65F;
map[11595][1]:=$EAF7;map[11595][2]:=$B551;
map[11596][1]:=$EAF8;map[11596][2]:=$DA6C;
map[11597][1]:=$EAF9;map[11597][2]:=$DEA5;
map[11598][1]:=$EAFB;map[11598][2]:=$BAB9;
map[11599][1]:=$EAFC;map[11599][2]:=$AEB2;
map[11600][1]:=$EAFD;map[11600][2]:=$D566;
map[11601][1]:=$EAFE;map[11601][2]:=$D954;
map[11602][1]:=$EB42;map[11602][2]:=$E0D3;
map[11603][1]:=$EB43;map[11603][2]:=$E0D1;
map[11604][1]:=$EB44;map[11604][2]:=$E0D2;
map[11605][1]:=$EB4A;map[11605][2]:=$E4BB;
map[11606][1]:=$EB4D;map[11606][2]:=$E4BC;
map[11607][1]:=$EB4E;map[11607][2]:=$E8AB;
map[11608][1]:=$EB50;map[11608][2]:=$E8AA;
map[11609][1]:=$EB54;map[11609][2]:=$EC4F;
map[11610][1]:=$EB57;map[11610][2]:=$EEF6;
map[11611][1]:=$EB59;map[11611][2]:=$EEF4;
map[11612][1]:=$EB63;map[11612][2]:=$D84C;
map[11613][1]:=$EB64;map[11613][2]:=$DCA4;
map[11614][1]:=$EB65;map[11614][2]:=$DCA6;
map[11615][1]:=$EB66;map[11615][2]:=$DCA5;
map[11616][1]:=$EB67;map[11616][2]:=$B96F;
map[11617][1]:=$EB6B;map[11617][2]:=$E8AC;
map[11618][1]:=$EB6C;map[11618][2]:=$EC50;
map[11619][1]:=$EB6E;map[11619][2]:=$F170;
map[11620][1]:=$EB6F;map[11620][2]:=$F174;
map[11621][1]:=$EB71;map[11621][2]:=$F171;
map[11622][1]:=$EB74;map[11622][2]:=$F175;
map[11623][1]:=$EB76;map[11623][2]:=$F173;
map[11624][1]:=$EB77;map[11624][2]:=$F379;
map[11625][1]:=$EB7B;map[11625][2]:=$F8CD;
map[11626][1]:=$EB83;map[11626][2]:=$DCA8;
map[11627][1]:=$EB84;map[11627][2]:=$DCA7;
map[11628][1]:=$EB87;map[11628][2]:=$E0D9;
map[11629][1]:=$EB88;map[11629][2]:=$E0D8;
map[11630][1]:=$EB89;map[11630][2]:=$E0D6;
map[11631][1]:=$EB8C;map[11631][2]:=$E0D7;
map[11632][1]:=$EB8D;map[11632][2]:=$E4BD;
map[11633][1]:=$EB8E;map[11633][2]:=$E8AF;
map[11634][1]:=$EB90;map[11634][2]:=$E8AD;
map[11635][1]:=$EB92;map[11635][2]:=$EC51;
map[11636][1]:=$EB94;map[11636][2]:=$EC53;
map[11637][1]:=$EB96;map[11637][2]:=$EC52;
map[11638][1]:=$EB9A;map[11638][2]:=$EEF9;
map[11639][1]:=$EB9B;map[11639][2]:=$EEFB;
map[11640][1]:=$EB9E;map[11640][2]:=$EEFA;
map[11641][1]:=$EB9F;map[11641][2]:=$EEF8;
map[11642][1]:=$EBA0;map[11642][2]:=$EEF7;
map[11643][1]:=$EBA1;map[11643][2]:=$E1EE;
map[11644][1]:=$EBA2;map[11644][2]:=$C0BC;
map[11645][1]:=$EBA3;map[11645][2]:=$ACFE;
map[11646][1]:=$EBA5;map[11646][2]:=$D9E5;
map[11647][1]:=$EBA6;map[11647][2]:=$B7B7;
map[11648][1]:=$EBA7;map[11648][2]:=$E5F7;
map[11649][1]:=$EBA8;map[11649][2]:=$DE40;
map[11650][1]:=$EBA9;map[11650][2]:=$BEFB;
map[11651][1]:=$EBAA;map[11651][2]:=$F25B;
map[11652][1]:=$EBAB;map[11652][2]:=$E9E8;
map[11653][1]:=$EBAC;map[11653][2]:=$F6E7;
map[11654][1]:=$EBAD;map[11654][2]:=$C97E;
map[11655][1]:=$EBAE;map[11655][2]:=$C9F7;
map[11656][1]:=$EBAF;map[11656][2]:=$CB49;
map[11657][1]:=$EBB0;map[11657][2]:=$CB4A;
map[11658][1]:=$EBB1;map[11658][2]:=$CF6C;
map[11659][1]:=$EBB2;map[11659][2]:=$B4E3;
map[11660][1]:=$EBB3;map[11660][2]:=$AEF4;
map[11661][1]:=$EBB4;map[11661][2]:=$D5DF;
map[11662][1]:=$EBB5;map[11662][2]:=$BA72;
map[11663][1]:=$EBB7;map[11663][2]:=$B1D5;
map[11664][1]:=$EBB9;map[11664][2]:=$C37C;
map[11665][1]:=$EBBA;map[11665][2]:=$B7DE;
map[11666][1]:=$EBBB;map[11666][2]:=$BCF8;
map[11667][1]:=$EBBC;map[11667][2]:=$ACB8;
map[11668][1]:=$EBBD;map[11668][2]:=$E77E;
map[11669][1]:=$EBBE;map[11669][2]:=$A647;
map[11670][1]:=$EBC0;map[11670][2]:=$CB78;
map[11671][1]:=$EBC1;map[11671][2]:=$A877;
map[11672][1]:=$EBC3;map[11672][2]:=$CCD2;
map[11673][1]:=$EBC5;map[11673][2]:=$AAD0;
map[11674][1]:=$EBC6;map[11674][2]:=$AAD2;
map[11675][1]:=$EBC7;map[11675][2]:=$CDB0;
map[11676][1]:=$EBC8;map[11676][2]:=$AAD4;
map[11677][1]:=$EBC8;map[11677][2]:=$C061;
map[11678][1]:=$EBCA;map[11678][2]:=$C467;
map[11679][1]:=$EBCD;map[11679][2]:=$C4A4;
map[11680][1]:=$EBCE;map[11680][2]:=$AD4B;
map[11681][1]:=$EBCF;map[11681][2]:=$D05B;
map[11682][1]:=$EBD0;map[11682][2]:=$AD48;
map[11683][1]:=$EBD1;map[11683][2]:=$D05F;
map[11684][1]:=$EBD2;map[11684][2]:=$D067;
map[11685][1]:=$EBD3;map[11685][2]:=$D065;
map[11686][1]:=$EBD4;map[11686][2]:=$CEFA;
map[11687][1]:=$EBD5;map[11687][2]:=$AD4F;
map[11688][1]:=$EBD6;map[11688][2]:=$D748;
map[11689][1]:=$EBD7;map[11689][2]:=$AFD6;
map[11690][1]:=$EBD8;map[11690][2]:=$AFDB;
map[11691][1]:=$EBD9;map[11691][2]:=$AFDA;
map[11692][1]:=$EBDA;map[11692][2]:=$C17A;
map[11693][1]:=$EBDC;map[11693][2]:=$D36A;
map[11694][1]:=$EBDD;map[11694][2]:=$AFE2;
map[11695][1]:=$EBDE;map[11695][2]:=$AED3;
map[11696][1]:=$EBE0;map[11696][2]:=$B362;
map[11697][1]:=$EBE1;map[11697][2]:=$DFA2;
map[11698][1]:=$EBE2;map[11698][2]:=$D74C;
map[11699][1]:=$EBE3;map[11699][2]:=$D74B;
map[11700][1]:=$EBE4;map[11700][2]:=$D745;
map[11701][1]:=$EBE7;map[11701][2]:=$B5CB;
map[11702][1]:=$EBE7;map[11702][2]:=$BE4D;
map[11703][1]:=$EBE8;map[11703][2]:=$B5CC;
map[11704][1]:=$EBE9;map[11704][2]:=$B5CD;
map[11705][1]:=$EBEC;map[11705][2]:=$B878;
map[11706][1]:=$EBED;map[11706][2]:=$DF73;
map[11707][1]:=$EBEE;map[11707][2]:=$DF76;
map[11708][1]:=$EBEF;map[11708][2]:=$C053;
map[11709][1]:=$EBF0;map[11709][2]:=$E3A6;
map[11710][1]:=$EBF1;map[11710][2]:=$F8ED;
map[11711][1]:=$EBF2;map[11711][2]:=$DF7D;
map[11712][1]:=$EBF3;map[11712][2]:=$DCE6;
map[11713][1]:=$EBF4;map[11713][2]:=$DCF9;
map[11714][1]:=$EBF5;map[11714][2]:=$BB4A;
map[11715][1]:=$EBF6;map[11715][2]:=$BB4D;
map[11716][1]:=$EBF7;map[11716][2]:=$C2C1;
map[11717][1]:=$EBF8;map[11717][2]:=$BCF0;
map[11718][1]:=$EBF9;map[11718][2]:=$E6FD;
map[11719][1]:=$EBFB;map[11719][2]:=$EDEA;
map[11720][1]:=$EBFC;map[11720][2]:=$C261;
map[11721][1]:=$EBFD;map[11721][2]:=$EDEB;
map[11722][1]:=$EBFE;map[11722][2]:=$C3BB;
map[11723][1]:=$EBFE;map[11723][2]:=$EDE8;
map[11724][1]:=$EC41;map[11724][2]:=$F177;
map[11725][1]:=$EC42;map[11725][2]:=$F176;
map[11726][1]:=$EC44;map[11726][2]:=$F178;
map[11727][1]:=$EC45;map[11727][2]:=$F37E;
map[11728][1]:=$EC47;map[11728][2]:=$F37D;
map[11729][1]:=$EC48;map[11729][2]:=$F37A;
map[11730][1]:=$EC49;map[11730][2]:=$F37B;
map[11731][1]:=$EC4A;map[11731][2]:=$F37C;
map[11732][1]:=$EC4B;map[11732][2]:=$F548;
map[11733][1]:=$EC4C;map[11733][2]:=$F549;
map[11734][1]:=$EC50;map[11734][2]:=$F66E;
map[11735][1]:=$EC53;map[11735][2]:=$F66F;
map[11736][1]:=$EC57;map[11736][2]:=$F771;
map[11737][1]:=$EC5B;map[11737][2]:=$F8CF;
map[11738][1]:=$EC5F;map[11738][2]:=$F8D0;
map[11739][1]:=$EC63;map[11739][2]:=$F9AD;
map[11740][1]:=$EC6D;map[11740][2]:=$E4BE;
map[11741][1]:=$EC77;map[11741][2]:=$D84D;
map[11742][1]:=$EC79;map[11742][2]:=$DCA9;
map[11743][1]:=$EC7B;map[11743][2]:=$DCAB;
map[11744][1]:=$EC7D;map[11744][2]:=$DCAA;
map[11745][1]:=$EC80;map[11745][2]:=$E0DD;
map[11746][1]:=$EC82;map[11746][2]:=$E0DB;
map[11747][1]:=$EC83;map[11747][2]:=$E0DC;
map[11748][1]:=$EC85;map[11748][2]:=$E4C0;
map[11749][1]:=$EC86;map[11749][2]:=$E4C5;
map[11750][1]:=$EC87;map[11750][2]:=$E4BF;
map[11751][1]:=$EC88;map[11751][2]:=$E4C1;
map[11752][1]:=$EC89;map[11752][2]:=$E4C8;
map[11753][1]:=$EC8B;map[11753][2]:=$E4C7;
map[11754][1]:=$EC8C;map[11754][2]:=$E4C4;
map[11755][1]:=$EC8D;map[11755][2]:=$E4C2;
map[11756][1]:=$EC8E;map[11756][2]:=$E4C6;
map[11757][1]:=$EC91;map[11757][2]:=$E8B3;
map[11758][1]:=$EC93;map[11758][2]:=$E8B1;
map[11759][1]:=$EC95;map[11759][2]:=$E8B2;
map[11760][1]:=$EC9B;map[11760][2]:=$EC55;
map[11761][1]:=$EC9C;map[11761][2]:=$EC54;
map[11762][1]:=$EC9D;map[11762][2]:=$EEFC;
map[11763][1]:=$EC9F;map[11763][2]:=$EEFE;
map[11764][1]:=$ECA0;map[11764][2]:=$EF41;
map[11765][1]:=$ECA2;map[11765][2]:=$EAE9;
map[11766][1]:=$ECA3;map[11766][2]:=$C26A;
map[11767][1]:=$ECA4;map[11767][2]:=$D5D8;
map[11768][1]:=$ECA5;map[11768][2]:=$D9DA;
map[11769][1]:=$ECA6;map[11769][2]:=$DDF7;
map[11770][1]:=$ECA7;map[11770][2]:=$DDF5;
map[11771][1]:=$ECA8;map[11771][2]:=$BEF9;
map[11772][1]:=$ECA9;map[11772][2]:=$E4CD;
map[11773][1]:=$ECAA;map[11773][2]:=$BBE3;
map[11774][1]:=$ECAB;map[11774][2]:=$C1FC;
map[11775][1]:=$ECAC;map[11775][2]:=$C442;
map[11776][1]:=$ECAD;map[11776][2]:=$F674;
map[11777][1]:=$ECAF;map[11777][2]:=$C95F;
map[11778][1]:=$ECB0;map[11778][2]:=$DD62;
map[11779][1]:=$ECB1;map[11779][2]:=$C1D4;
map[11780][1]:=$ECB2;map[11780][2]:=$EE7D;
map[11781][1]:=$ECB3;map[11781][2]:=$B4B4;
map[11782][1]:=$ECB4;map[11782][2]:=$F87E;
map[11783][1]:=$ECB5;map[11783][2]:=$C4E3;
map[11784][1]:=$ECB7;map[11784][2]:=$D1CF;
map[11785][1]:=$ECB8;map[11785][2]:=$D1D1;
map[11786][1]:=$ECB9;map[11786][2]:=$D1D0;
map[11787][1]:=$ECBA;map[11787][2]:=$B1DC;
map[11788][1]:=$ECBB;map[11788][2]:=$B1DD;
map[11789][1]:=$ECBC;map[11789][2]:=$D97E;
map[11790][1]:=$ECBD;map[11790][2]:=$BA59;
map[11791][1]:=$ECBE;map[11791][2]:=$B7D5;
map[11792][1]:=$ECBF;map[11792][2]:=$DE6D;
map[11793][1]:=$ECC0;map[11793][2]:=$BF4C;
map[11794][1]:=$ECC0;map[11794][2]:=$CD57;
map[11795][1]:=$ECC1;map[11795][2]:=$E2C4;
map[11796][1]:=$ECC4;map[11796][2]:=$CFAE;
map[11797][1]:=$ECC5;map[11797][2]:=$ACAF;
map[11798][1]:=$ECC6;map[11798][2]:=$CFB1;
map[11799][1]:=$ECC7;map[11799][2]:=$EA4D;
map[11800][1]:=$ECC8;map[11800][2]:=$AF4C;
map[11801][1]:=$ECC9;map[11801][2]:=$D651;
map[11802][1]:=$ECCA;map[11802][2]:=$D655;
map[11803][1]:=$ECCB;map[11803][2]:=$BF54;
map[11804][1]:=$ECCC;map[11804][2]:=$DA5A;
map[11805][1]:=$ECCD;map[11805][2]:=$DA5D;
map[11806][1]:=$ECCF;map[11806][2]:=$B7D4;
map[11807][1]:=$ECD0;map[11807][2]:=$B7DB;
map[11808][1]:=$ECD1;map[11808][2]:=$B7DA;
map[11809][1]:=$ECD2;map[11809][2]:=$DE73;
map[11810][1]:=$ECD4;map[11810][2]:=$DE74;
map[11811][1]:=$ECD7;map[11811][2]:=$E672;
map[11812][1]:=$ECD8;map[11812][2]:=$E669;
map[11813][1]:=$ECD9;map[11813][2]:=$BCF7;
map[11814][1]:=$ECDA;map[11814][2]:=$E666;
map[11815][1]:=$ECDB;map[11815][2]:=$C0EE;
map[11816][1]:=$ECDC;map[11816][2]:=$EA4F;
map[11817][1]:=$ECDD;map[11817][2]:=$C0E6;
map[11818][1]:=$ECDE;map[11818][2]:=$EFFB;
map[11819][1]:=$ECDF;map[11819][2]:=$F5DA;
map[11820][1]:=$ECE0;map[11820][2]:=$C679;
map[11821][1]:=$ECE2;map[11821][2]:=$C276;
map[11822][1]:=$ECE3;map[11822][2]:=$B7D6;
map[11823][1]:=$ECE4;map[11823][2]:=$BF51;
map[11824][1]:=$ECE5;map[11824][2]:=$A9D1;
map[11825][1]:=$ECE6;map[11825][2]:=$CCB2;
map[11826][1]:=$ECE7;map[11826][2]:=$CED3;
map[11827][1]:=$ECE8;map[11827][2]:=$B1AF;
map[11828][1]:=$ECE9;map[11828][2]:=$B476;
map[11829][1]:=$ECEB;map[11829][2]:=$AAC1;
map[11830][1]:=$ECEC;map[11830][2]:=$ACE6;
map[11831][1]:=$ECED;map[11831][2]:=$ACE7;
map[11832][1]:=$ECEE;map[11832][2]:=$D2E7;
map[11833][1]:=$ECEF;map[11833][2]:=$D2E9;
map[11834][1]:=$ECF0;map[11834][2]:=$D2EA;
map[11835][1]:=$ECF1;map[11835][2]:=$AFAE;
map[11836][1]:=$ECF2;map[11836][2]:=$F2A5;
map[11837][1]:=$ECF3;map[11837][2]:=$AFAD;
map[11838][1]:=$ECF4;map[11838][2]:=$AFA8;
map[11839][1]:=$ECF5;map[11839][2]:=$BAD5;
map[11840][1]:=$ECF6;map[11840][2]:=$D6BD;
map[11841][1]:=$ECF7;map[11841][2]:=$B852;
map[11842][1]:=$ECF8;map[11842][2]:=$C149;
map[11843][1]:=$ECF9;map[11843][2]:=$E2F9;
map[11844][1]:=$ECFA;map[11844][2]:=$E6CB;
map[11845][1]:=$ECFB;map[11845][2]:=$C148;
map[11846][1]:=$ECFC;map[11846][2]:=$C5A1;
map[11847][1]:=$ECFD;map[11847][2]:=$CAD7;
map[11848][1]:=$ECFE;map[11848][2]:=$CAD8;
map[11849][1]:=$ED40;map[11849][2]:=$EF40;
map[11850][1]:=$ED42;map[11850][2]:=$EEFD;
map[11851][1]:=$ED43;map[11851][2]:=$F1A1;
map[11852][1]:=$ED44;map[11852][2]:=$F17D;
map[11853][1]:=$ED45;map[11853][2]:=$F1A2;
map[11854][1]:=$ED48;map[11854][2]:=$F17B;
map[11855][1]:=$ED4A;map[11855][2]:=$F17E;
map[11856][1]:=$ED4B;map[11856][2]:=$F179;
map[11857][1]:=$ED4C;map[11857][2]:=$F17A;
map[11858][1]:=$ED4F;map[11858][2]:=$F3A1;
map[11859][1]:=$ED51;map[11859][2]:=$F3A3;
map[11860][1]:=$ED52;map[11860][2]:=$F3A2;
map[11861][1]:=$ED54;map[11861][2]:=$F54A;
map[11862][1]:=$ED56;map[11862][2]:=$F54B;
map[11863][1]:=$ED5A;map[11863][2]:=$F670;
map[11864][1]:=$ED5F;map[11864][2]:=$F84F;
map[11865][1]:=$ED60;map[11865][2]:=$F850;
map[11866][1]:=$ED62;map[11866][2]:=$F8D1;
map[11867][1]:=$ED69;map[11867][2]:=$E4C9;
map[11868][1]:=$ED6A;map[11868][2]:=$E8B5;
map[11869][1]:=$ED6B;map[11869][2]:=$E8B4;
map[11870][1]:=$ED6F;map[11870][2]:=$EF43;
map[11871][1]:=$ED70;map[11871][2]:=$EF42;
map[11872][1]:=$ED71;map[11872][2]:=$F1A5;
map[11873][1]:=$ED72;map[11873][2]:=$F1A3;
map[11874][1]:=$ED73;map[11874][2]:=$F1A6;
map[11875][1]:=$ED7A;map[11875][2]:=$F3A6;
map[11876][1]:=$ED7C;map[11876][2]:=$F671;
map[11877][1]:=$ED7E;map[11877][2]:=$F772;
map[11878][1]:=$ED81;map[11878][2]:=$F8D2;
map[11879][1]:=$ED82;map[11879][2]:=$E4CA;
map[11880][1]:=$ED85;map[11880][2]:=$EC57;
map[11881][1]:=$ED86;map[11881][2]:=$EF44;
map[11882][1]:=$ED8A;map[11882][2]:=$EC58;
map[11883][1]:=$ED8B;map[11883][2]:=$C341;
map[11884][1]:=$ED8C;map[11884][2]:=$F1A7;
map[11885][1]:=$ED8F;map[11885][2]:=$F54C;
map[11886][1]:=$ED90;map[11886][2]:=$F54D;
map[11887][1]:=$ED92;map[11887][2]:=$F851;
map[11888][1]:=$ED96;map[11888][2]:=$D84E;
map[11889][1]:=$ED9F;map[11889][2]:=$E0DF;
map[11890][1]:=$EDA1;map[11890][2]:=$EFC8;
map[11891][1]:=$EDA2;map[11891][2]:=$D17C;
map[11892][1]:=$EDA3;map[11892][2]:=$D17D;
map[11893][1]:=$EDA4;map[11893][2]:=$D17E;
map[11894][1]:=$EDA5;map[11894][2]:=$D1A1;
map[11895][1]:=$EDA6;map[11895][2]:=$AE7E;
map[11896][1]:=$EDA7;map[11896][2]:=$AEA1;
map[11897][1]:=$EDA8;map[11897][2]:=$E1C3;
map[11898][1]:=$EDA9;map[11898][2]:=$B75E;
map[11899][1]:=$EDAA;map[11899][2]:=$B543;
map[11900][1]:=$EDAA;map[11900][2]:=$B75D;
map[11901][1]:=$EDAB;map[11901][2]:=$BC7C;
map[11902][1]:=$EDAC;map[11902][2]:=$BECD;
map[11903][1]:=$EDAD;map[11903][2]:=$E976;
map[11904][1]:=$EDAE;map[11904][2]:=$C0B7;
map[11905][1]:=$EDAF;map[11905][2]:=$C256;
map[11906][1]:=$EDB0;map[11906][2]:=$F9BA;
map[11907][1]:=$EDB2;map[11907][2]:=$A6D6;
map[11908][1]:=$EDB3;map[11908][2]:=$BBBE;
map[11909][1]:=$EDB3;map[11909][2]:=$CCEE;
map[11910][1]:=$EDB4;map[11910][2]:=$ED4F;
map[11911][1]:=$EDB5;map[11911][2]:=$D9E7;
map[11912][1]:=$EDB6;map[11912][2]:=$C146;
map[11913][1]:=$EDB7;map[11913][2]:=$CD7A;
map[11914][1]:=$EDB8;map[11914][2]:=$E2EE;
map[11915][1]:=$EDB9;map[11915][2]:=$CFF1;
map[11916][1]:=$EDBA;map[11916][2]:=$DACF;
map[11917][1]:=$EDBC;map[11917][2]:=$CFEB;
map[11918][1]:=$EDBD;map[11918][2]:=$AC48;
map[11919][1]:=$EDBE;map[11919][2]:=$AFA2;
map[11920][1]:=$EDC0;map[11920][2]:=$AF7C;
map[11921][1]:=$EDC2;map[11921][2]:=$C472;
map[11922][1]:=$EDC3;map[11922][2]:=$F5E2;
map[11923][1]:=$EDC4;map[11923][2]:=$AFA4;
map[11924][1]:=$EDC6;map[11924][2]:=$AFA1;
map[11925][1]:=$EDC7;map[11925][2]:=$D2DA;
map[11926][1]:=$EDC8;map[11926][2]:=$D2D9;
map[11927][1]:=$EDC9;map[11927][2]:=$D2E2;
map[11928][1]:=$EDCA;map[11928][2]:=$B2BA;
map[11929][1]:=$EDCB;map[11929][2]:=$DAC9;
map[11930][1]:=$EDCC;map[11930][2]:=$DAC6;
map[11931][1]:=$EDCD;map[11931][2]:=$E54B;
map[11932][1]:=$EDCD;map[11932][2]:=$EDA6;
map[11933][1]:=$EDCE;map[11933][2]:=$D6B9;
map[11934][1]:=$EDCF;map[11934][2]:=$D6BB;
map[11935][1]:=$EDD1;map[11935][2]:=$D6B8;
map[11936][1]:=$EDD2;map[11936][2]:=$DACB;
map[11937][1]:=$EDD3;map[11937][2]:=$BF6C;
map[11938][1]:=$EDD4;map[11938][2]:=$B850;
map[11939][1]:=$EDD5;map[11939][2]:=$DEE5;
map[11940][1]:=$EDD6;map[11940][2]:=$DEE4;
map[11941][1]:=$EDD7;map[11941][2]:=$EAA7;
map[11942][1]:=$EDD8;map[11942][2]:=$DEEC;
map[11943][1]:=$EDD9;map[11943][2]:=$BAD4;
map[11944][1]:=$EDDA;map[11944][2]:=$E2EB;
map[11945][1]:=$EDDC;map[11945][2]:=$E2F3;
map[11946][1]:=$EDDD;map[11946][2]:=$E6C6;
map[11947][1]:=$EDDF;map[11947][2]:=$E6CA;
map[11948][1]:=$EDE0;map[11948][2]:=$BF6B;
map[11949][1]:=$EDE1;map[11949][2]:=$EDAA;
map[11950][1]:=$EDE2;map[11950][2]:=$EDAB;
map[11951][1]:=$EDE3;map[11951][2]:=$C145;
map[11952][1]:=$EDE4;map[11952][2]:=$F058;
map[11953][1]:=$EDE5;map[11953][2]:=$F47D;
map[11954][1]:=$EDE6;map[11954][2]:=$F2A4;
map[11955][1]:=$EDE8;map[11955][2]:=$F7CE;
map[11956][1]:=$EDE9;map[11956][2]:=$DCB0;
map[11957][1]:=$EDEA;map[11957][2]:=$EFB0;
map[11958][1]:=$EDEB;map[11958][2]:=$F3F5;
map[11959][1]:=$EDEC;map[11959][2]:=$CD77;
map[11960][1]:=$EDED;map[11960][2]:=$CFE2;
map[11961][1]:=$EDEF;map[11961][2]:=$ACDA;
map[11962][1]:=$EDF0;map[11962][2]:=$ACE0;
map[11963][1]:=$EDF1;map[11963][2]:=$CFE0;
map[11964][1]:=$EDF2;map[11964][2]:=$D2D6;
map[11965][1]:=$EDF3;map[11965][2]:=$D2D7;
map[11966][1]:=$EDF4;map[11966][2]:=$D2D5;
map[11967][1]:=$EDF5;map[11967][2]:=$D6AA;
map[11968][1]:=$EDF6;map[11968][2]:=$D6B0;
map[11969][1]:=$EDF7;map[11969][2]:=$D6B2;
map[11970][1]:=$EDF8;map[11970][2]:=$B2B6;
map[11971][1]:=$EDF9;map[11971][2]:=$B7FD;
map[11972][1]:=$EDFA;map[11972][2]:=$C2A5;
map[11973][1]:=$EDFB;map[11973][2]:=$DABB;
map[11974][1]:=$EDFD;map[11974][2]:=$DEDD;
map[11975][1]:=$EDFE;map[11975][2]:=$B845;
map[11976][1]:=$EE47;map[11976][2]:=$E4CB;
map[11977][1]:=$EE4C;map[11977][2]:=$E8BC;
map[11978][1]:=$EE4E;map[11978][2]:=$E8B7;
map[11979][1]:=$EE4F;map[11979][2]:=$E8B6;
map[11980][1]:=$EE51;map[11980][2]:=$E8BB;
map[11981][1]:=$EE58;map[11981][2]:=$E8BD;
map[11982][1]:=$EE59;map[11982][2]:=$E8BA;
map[11983][1]:=$EE5A;map[11983][2]:=$E8B9;
map[11984][1]:=$EE60;map[11984][2]:=$EC5A;
map[11985][1]:=$EE66;map[11985][2]:=$EC59;
map[11986][1]:=$EE72;map[11986][2]:=$EF45;
map[11987][1]:=$EE74;map[11987][2]:=$EF4A;
map[11988][1]:=$EE75;map[11988][2]:=$EF46;
map[11989][1]:=$EE76;map[11989][2]:=$EF49;
map[11990][1]:=$EE79;map[11990][2]:=$EDD4;
map[11991][1]:=$EE7A;map[11991][2]:=$EF48;
map[11992][1]:=$EE7B;map[11992][2]:=$EF47;
map[11993][1]:=$EE82;map[11993][2]:=$F1A8;
map[11994][1]:=$EE83;map[11994][2]:=$F1A9;
map[11995][1]:=$EE89;map[11995][2]:=$F3AA;
map[11996][1]:=$EE8E;map[11996][2]:=$F3A7;
map[11997][1]:=$EE8F;map[11997][2]:=$F3A9;
map[11998][1]:=$EE91;map[11998][2]:=$F551;
map[11999][1]:=$EE92;map[11999][2]:=$F54E;
map[12000][1]:=$EE95;map[12000][2]:=$F550;
map[12001][1]:=$EE96;map[12001][2]:=$F672;
map[12002][1]:=$EE9B;map[12002][2]:=$F774;
map[12003][1]:=$EE9C;map[12003][2]:=$F773;
map[12004][1]:=$EEA1;map[12004][2]:=$B846;
map[12005][1]:=$EEA2;map[12005][2]:=$B844;
map[12006][1]:=$EEA3;map[12006][2]:=$BACD;
map[12007][1]:=$EEA4;map[12007][2]:=$E6BC;
map[12008][1]:=$EEA5;map[12008][2]:=$BACC;
map[12009][1]:=$EEA6;map[12009][2]:=$E2E7;
map[12010][1]:=$EEA7;map[12010][2]:=$BD4F;
map[12011][1]:=$EEA8;map[12011][2]:=$BD50;
map[12012][1]:=$EEA9;map[12012][2]:=$BF67;
map[12013][1]:=$EEAA;map[12013][2]:=$BF65;
map[12014][1]:=$EEAB;map[12014][2]:=$C0FD;
map[12015][1]:=$EEAC;map[12015][2]:=$ED7A;
map[12016][1]:=$EEAD;map[12016][2]:=$C2A2;
map[12017][1]:=$EEAE;map[12017][2]:=$CB6D;
map[12018][1]:=$EEAF;map[12018][2]:=$CD71;
map[12019][1]:=$EEB0;map[12019][2]:=$ACCA;
map[12020][1]:=$EEB1;map[12020][2]:=$ACCB;
map[12021][1]:=$EEB2;map[12021][2]:=$CFDB;
map[12022][1]:=$EEB3;map[12022][2]:=$D2C1;
map[12023][1]:=$EEB4;map[12023][2]:=$CA65;
map[12024][1]:=$EEB5;map[12024][2]:=$DEC4;
map[12025][1]:=$EEB7;map[12025][2]:=$D04D;
map[12026][1]:=$EEB8;map[12026][2]:=$D35C;
map[12027][1]:=$EEB9;map[12027][2]:=$AFCB;
map[12028][1]:=$EEBA;map[12028][2]:=$DBE0;
map[12029][1]:=$EEBB;map[12029][2]:=$DF6A;
map[12030][1]:=$EEBC;map[12030][2]:=$F2BC;
map[12031][1]:=$EEBE;map[12031][2]:=$BFA9;
map[12032][1]:=$EEBF;map[12032][2]:=$C5F9;
map[12033][1]:=$EEC0;map[12033][2]:=$EDE3;
map[12034][1]:=$EEC1;map[12034][2]:=$AF72;
map[12035][1]:=$EEC2;map[12035][2]:=$BF64;
map[12036][1]:=$EEC3;map[12036][2]:=$F7F8;
map[12037][1]:=$EEC5;map[12037][2]:=$D0C1;
map[12038][1]:=$EEC6;map[12038][2]:=$D0C0;
map[12039][1]:=$EEC7;map[12039][2]:=$B07A;
map[12040][1]:=$EEC8;map[12040][2]:=$B078;
map[12041][1]:=$EEC9;map[12041][2]:=$D442;
map[12042][1]:=$EECA;map[12042][2]:=$D841;
map[12043][1]:=$EECB;map[12043][2]:=$B3A9;
map[12044][1]:=$EECC;map[12044][2]:=$D7FC;
map[12045][1]:=$EECD;map[12045][2]:=$EBEA;
map[12046][1]:=$EECE;map[12046][2]:=$B3A6;
map[12047][1]:=$EECF;map[12047][2]:=$D7FD;
map[12048][1]:=$EED1;map[12048][2]:=$DC67;
map[12049][1]:=$EED2;map[12049][2]:=$B964;
map[12050][1]:=$EED3;map[12050][2]:=$B67A;
map[12051][1]:=$EED4;map[12051][2]:=$B678;
map[12052][1]:=$EED5;map[12052][2]:=$DC62;
map[12053][1]:=$EED6;map[12053][2]:=$DC70;
map[12054][1]:=$EED7;map[12054][2]:=$DC6F;
map[12055][1]:=$EED8;map[12055][2]:=$DC64;
map[12056][1]:=$EED9;map[12056][2]:=$DC6A;
map[12057][1]:=$EEDA;map[12057][2]:=$E0B1;
map[12058][1]:=$EEDB;map[12058][2]:=$E0B2;
map[12059][1]:=$EEDC;map[12059][2]:=$B957;
map[12060][1]:=$EEDD;map[12060][2]:=$E0B3;
map[12061][1]:=$EEDF;map[12061][2]:=$B95A;
map[12062][1]:=$EEE0;map[12062][2]:=$B959;
map[12063][1]:=$EEE1;map[12063][2]:=$E0B5;
map[12064][1]:=$EEE2;map[12064][2]:=$E0BB;
map[12065][1]:=$EEE3;map[12065][2]:=$E0BA;
map[12066][1]:=$EEE4;map[12066][2]:=$B966;
map[12067][1]:=$EEE5;map[12067][2]:=$C5E0;
map[12068][1]:=$EEE6;map[12068][2]:=$E0B0;
map[12069][1]:=$EEE7;map[12069][2]:=$B962;
map[12070][1]:=$EEE8;map[12070][2]:=$E0AE;
map[12071][1]:=$EEE9;map[12071][2]:=$B963;
map[12072][1]:=$EEEA;map[12072][2]:=$E0B7;
map[12073][1]:=$EEEB;map[12073][2]:=$B965;
map[12074][1]:=$EEEC;map[12074][2]:=$C54D;
map[12075][1]:=$EEED;map[12075][2]:=$BE52;
map[12076][1]:=$EEEE;map[12076][2]:=$E47B;
map[12077][1]:=$EEEF;map[12077][2]:=$E47A;
map[12078][1]:=$EEF0;map[12078][2]:=$E47D;
map[12079][1]:=$EEF1;map[12079][2]:=$E4A8;
map[12080][1]:=$EEF2;map[12080][2]:=$E868;
map[12081][1]:=$EEF3;map[12081][2]:=$C4C2;
map[12082][1]:=$EEF5;map[12082][2]:=$C54C;
map[12083][1]:=$EEF7;map[12083][2]:=$E4A1;
map[12084][1]:=$EEF8;map[12084][2]:=$F15A;
map[12085][1]:=$EEF9;map[12085][2]:=$BBCB;
map[12086][1]:=$EEFA;map[12086][2]:=$E86F;
map[12087][1]:=$EEFB;map[12087][2]:=$E4B7;
map[12088][1]:=$EEFC;map[12088][2]:=$F4F3;
map[12089][1]:=$EEFD;map[12089][2]:=$BBCD;
map[12090][1]:=$EEFE;map[12090][2]:=$E4A6;
map[12091][1]:=$EF43;map[12091][2]:=$F958;
map[12092][1]:=$EF46;map[12092][2]:=$EC5B;
map[12093][1]:=$EF47;map[12093][2]:=$E662;
map[12094][1]:=$EF4A;map[12094][2]:=$F1AA;
map[12095][1]:=$EF4B;map[12095][2]:=$F5E8;
map[12096][1]:=$EF4D;map[12096][2]:=$DCAD;
map[12097][1]:=$EF50;map[12097][2]:=$E0E1;
map[12098][1]:=$EF56;map[12098][2]:=$E8BE;
map[12099][1]:=$EF61;map[12099][2]:=$F3AC;
map[12100][1]:=$EF62;map[12100][2]:=$F3AE;
map[12101][1]:=$EF63;map[12101][2]:=$F3AB;
map[12102][1]:=$EF65;map[12102][2]:=$F552;
map[12103][1]:=$EF66;map[12103][2]:=$F553;
map[12104][1]:=$EF6D;map[12104][2]:=$F673;
map[12105][1]:=$EF6F;map[12105][2]:=$F775;
map[12106][1]:=$EF70;map[12106][2]:=$F9B0;
map[12107][1]:=$EF73;map[12107][2]:=$E4CC;
map[12108][1]:=$EF74;map[12108][2]:=$F1AB;
map[12109][1]:=$EF75;map[12109][2]:=$F3AD;
map[12110][1]:=$EF76;map[12110][2]:=$F675;
map[12111][1]:=$EF8F;map[12111][2]:=$E0E2;
map[12112][1]:=$EF92;map[12112][2]:=$E0E3;
map[12113][1]:=$EF93;map[12113][2]:=$E8C0;
map[12114][1]:=$EF99;map[12114][2]:=$E4CF;
map[12115][1]:=$EF9B;map[12115][2]:=$E4CE;
map[12116][1]:=$EFA0;map[12116][2]:=$E4D0;
map[12117][1]:=$EFA1;map[12117][2]:=$F36A;
map[12118][1]:=$EFA2;map[12118][2]:=$E4A2;
map[12119][1]:=$EFA3;map[12119][2]:=$BFFE;
map[12120][1]:=$EFA4;map[12120][2]:=$E4A3;
map[12121][1]:=$EFA5;map[12121][2]:=$E0B6;
map[12122][1]:=$EFA6;map[12122][2]:=$F4E7;
map[12123][1]:=$EFA7;map[12123][2]:=$BBCF;
map[12124][1]:=$EFA8;map[12124][2]:=$E4A7;
map[12125][1]:=$EFA9;map[12125][2]:=$F4F9;
map[12126][1]:=$EFAA;map[12126][2]:=$EBE4;
map[12127][1]:=$EFAB;map[12127][2]:=$E869;
map[12128][1]:=$EFAC;map[12128][2]:=$C3F4;
map[12129][1]:=$EFAE;map[12129][2]:=$BE59;
map[12130][1]:=$EFAF;map[12130][2]:=$E870;
map[12131][1]:=$EFB0;map[12131][2]:=$E872;
map[12132][1]:=$EFB1;map[12132][2]:=$BE56;
map[12133][1]:=$EFB2;map[12133][2]:=$E86E;
map[12134][1]:=$EFB6;map[12134][2]:=$E863;
map[12135][1]:=$EFB7;map[12135][2]:=$E86A;
map[12136][1]:=$EFB8;map[12136][2]:=$E876;
map[12137][1]:=$EFB9;map[12137][2]:=$EBE8;
map[12138][1]:=$EFBA;map[12138][2]:=$EBE1;
map[12139][1]:=$EFBC;map[12139][2]:=$EBE6;
map[12140][1]:=$EFBE;map[12140][2]:=$EBE9;
map[12141][1]:=$EFBF;map[12141][2]:=$C043;
map[12142][1]:=$EFC0;map[12142][2]:=$C044;
map[12143][1]:=$EFC3;map[12143][2]:=$EBDF;
map[12144][1]:=$EFC4;map[12144][2]:=$EBE0;
map[12145][1]:=$EFC5;map[12145][2]:=$C045;
map[12146][1]:=$EFC6;map[12146][2]:=$C1E6;
map[12147][1]:=$EFC7;map[12147][2]:=$EED2;
map[12148][1]:=$EFC8;map[12148][2]:=$EED6;
map[12149][1]:=$EFC9;map[12149][2]:=$C1EE;
map[12150][1]:=$EFCA;map[12150][2]:=$EED0;
map[12151][1]:=$EFCB;map[12151][2]:=$F15C;
map[12152][1]:=$EFCC;map[12152][2]:=$C1EC;
map[12153][1]:=$EFCE;map[12153][2]:=$C3F3;
map[12154][1]:=$EFCF;map[12154][2]:=$C3F2;
map[12155][1]:=$EFD0;map[12155][2]:=$F4F0;
map[12156][1]:=$EFD2;map[12156][2]:=$F368;
map[12157][1]:=$EFD3;map[12157][2]:=$C2F0;
map[12158][1]:=$EFD4;map[12158][2]:=$C54F;
map[12159][1]:=$EFD6;map[12159][2]:=$F15E;
map[12160][1]:=$EFD7;map[12160][2]:=$C2EF;
map[12161][1]:=$EFD8;map[12161][2]:=$F153;
map[12162][1]:=$EFD9;map[12162][2]:=$F767;
map[12163][1]:=$EFDA;map[12163][2]:=$C3F0;
map[12164][1]:=$EFDB;map[12164][2]:=$C3ED;
map[12165][1]:=$EFDC;map[12165][2]:=$C3EE;
map[12166][1]:=$EFDD;map[12166][2]:=$C3F1;
map[12167][1]:=$EFDE;map[12167][2]:=$F360;
map[12168][1]:=$EFDF;map[12168][2]:=$C3EB;
map[12169][1]:=$EFE1;map[12169][2]:=$C3E9;
map[12170][1]:=$EFE2;map[12170][2]:=$F4EC;
map[12171][1]:=$EFE3;map[12171][2]:=$F9C1;
map[12172][1]:=$EFE4;map[12172][2]:=$F4F5;
map[12173][1]:=$EFE6;map[12173][2]:=$F4E8;
map[12174][1]:=$EFE7;map[12174][2]:=$F953;
map[12175][1]:=$EFE8;map[12175][2]:=$F4EA;
map[12176][1]:=$EFEA;map[12176][2]:=$F366;
map[12177][1]:=$EFEB;map[12177][2]:=$F4F1;
map[12178][1]:=$EFEC;map[12178][2]:=$F769;
map[12179][1]:=$EFED;map[12179][2]:=$C54E;
map[12180][1]:=$EFEE;map[12180][2]:=$F65E;
map[12181][1]:=$EFF0;map[12181][2]:=$C5DF;
map[12182][1]:=$EFF2;map[12182][2]:=$CFE8;
map[12183][1]:=$EFF3;map[12183][2]:=$DAC4;
map[12184][1]:=$EFF4;map[12184][2]:=$B96E;
map[12185][1]:=$EFF5;map[12185][2]:=$CFF9;
map[12186][1]:=$EFF6;map[12186][2]:=$D2F1;
map[12187][1]:=$EFF7;map[12187][2]:=$AFB0;
map[12188][1]:=$EFF8;map[12188][2]:=$D2ED;
map[12189][1]:=$EFF9;map[12189][2]:=$F4A4;
map[12190][1]:=$EFFA;map[12190][2]:=$B452;
map[12191][1]:=$EFFB;map[12191][2]:=$DAD8;
map[12192][1]:=$EFFC;map[12192][2]:=$DAD6;
map[12193][1]:=$EFFD;map[12193][2]:=$B85C;
map[12194][1]:=$EFFE;map[12194][2]:=$B85A;
map[12195][1]:=$F040;map[12195][2]:=$E8BF;
map[12196][1]:=$F04A;map[12196][2]:=$E8C2;
map[12197][1]:=$F04D;map[12197][2]:=$E8C4;
map[12198][1]:=$F055;map[12198][2]:=$EC5D;
map[12199][1]:=$F05A;map[12199][2]:=$EC5C;
map[12200][1]:=$F05B;map[12200][2]:=$EF4B;
map[12201][1]:=$F05D;map[12201][2]:=$EC5E;
map[12202][1]:=$F05F;map[12202][2]:=$EC5F;
map[12203][1]:=$F060;map[12203][2]:=$EF4E;
map[12204][1]:=$F061;map[12204][2]:=$EF4C;
map[12205][1]:=$F062;map[12205][2]:=$EF4D;
map[12206][1]:=$F063;map[12206][2]:=$EF52;
map[12207][1]:=$F064;map[12207][2]:=$EF51;
map[12208][1]:=$F065;map[12208][2]:=$EF54;
map[12209][1]:=$F067;map[12209][2]:=$EF50;
map[12210][1]:=$F07C;map[12210][2]:=$F3B0;
map[12211][1]:=$F084;map[12211][2]:=$F555;
map[12212][1]:=$F086;map[12212][2]:=$F554;
map[12213][1]:=$F089;map[12213][2]:=$F559;
map[12214][1]:=$F08A;map[12214][2]:=$F677;
map[12215][1]:=$F08C;map[12215][2]:=$F676;
map[12216][1]:=$F08D;map[12216][2]:=$F556;
map[12217][1]:=$F08F;map[12217][2]:=$F777;
map[12218][1]:=$F093;map[12218][2]:=$F959;
map[12219][1]:=$F095;map[12219][2]:=$F9B1;
map[12220][1]:=$F097;map[12220][2]:=$D448;
map[12221][1]:=$F098;map[12221][2]:=$D84F;
map[12222][1]:=$F09D;map[12222][2]:=$E8C3;
map[12223][1]:=$F09E;map[12223][2]:=$E8C5;
map[12224][1]:=$F0A1;map[12224][2]:=$E6D2;
map[12225][1]:=$F0A2;map[12225][2]:=$BD5E;
map[12226][1]:=$F0A3;map[12226][2]:=$C2A8;
map[12227][1]:=$F0A4;map[12227][2]:=$C248;
map[12228][1]:=$F0A5;map[12228][2]:=$C34C;
map[12229][1]:=$F0A6;map[12229][2]:=$F6F8;
map[12230][1]:=$F0A7;map[12230][2]:=$ACD4;
map[12231][1]:=$F0A8;map[12231][2]:=$B2AE;
map[12232][1]:=$F0A9;map[12232][2]:=$B571;
map[12233][1]:=$F0AA;map[12233][2]:=$DED5;
map[12234][1]:=$F0AB;map[12234][2]:=$ED78;
map[12235][1]:=$F0AC;map[12235][2]:=$D2BC;
map[12236][1]:=$F0AD;map[12236][2]:=$B27D;
map[12237][1]:=$F0AE;map[12237][2]:=$A869;
map[12238][1]:=$F0AF;map[12238][2]:=$B9A7;
map[12239][1]:=$F0B0;map[12239][2]:=$BBF0;
map[12240][1]:=$F0B1;map[12240][2]:=$E8E9;
map[12241][1]:=$F0B2;map[12241][2]:=$BE7D;
map[12242][1]:=$F0B3;map[12242][2]:=$C06C;
map[12243][1]:=$F0B4;map[12243][2]:=$F3F0;
map[12244][1]:=$F0B5;map[12244][2]:=$F9B7;
map[12245][1]:=$F0B6;map[12245][2]:=$ECA9;
map[12246][1]:=$F0B7;map[12246][2]:=$ECAE;
map[12247][1]:=$F0B8;map[12247][2]:=$C5EE;
map[12248][1]:=$F0B9;map[12248][2]:=$EF7B;
map[12249][1]:=$F0BA;map[12249][2]:=$F7C1;
map[12250][1]:=$F0BB;map[12250][2]:=$EF7E;
map[12251][1]:=$F0BC;map[12251][2]:=$EFA2;
map[12252][1]:=$F0BD;map[12252][2]:=$C67D;
map[12253][1]:=$F0BE;map[12253][2]:=$F1D0;
map[12254][1]:=$F0BF;map[12254][2]:=$F9CF;
map[12255][1]:=$F0C0;map[12255][2]:=$C35B;
map[12256][1]:=$F0C1;map[12256][2]:=$F1D9;
map[12257][1]:=$F0C2;map[12257][2]:=$F870;
map[12258][1]:=$F0C2;map[12258][2]:=$F871;
map[12259][1]:=$F0C3;map[12259][2]:=$F1CF;
map[12260][1]:=$F0C4;map[12260][2]:=$C44D;
map[12261][1]:=$F0C6;map[12261][2]:=$C44F;
map[12262][1]:=$F0C7;map[12262][2]:=$F3ED;
map[12263][1]:=$F0C8;map[12263][2]:=$C44C;
map[12264][1]:=$F0C9;map[12264][2]:=$F57C;
map[12265][1]:=$F0CA;map[12265][2]:=$F5A7;
map[12266][1]:=$F0CB;map[12266][2]:=$F5AC;
map[12267][1]:=$F0CD;map[12267][2]:=$F5AD;
map[12268][1]:=$F0CE;map[12268][2]:=$C563;
map[12269][1]:=$F0CF;map[12269][2]:=$F6B4;
map[12270][1]:=$F0D0;map[12270][2]:=$C678;
map[12271][1]:=$F0D1;map[12271][2]:=$C5C2;
map[12272][1]:=$F0D2;map[12272][2]:=$F7BA;
map[12273][1]:=$F0D3;map[12273][2]:=$F863;
map[12274][1]:=$F0D4;map[12274][2]:=$F86B;
map[12275][1]:=$F0D5;map[12275][2]:=$F86C;
map[12276][1]:=$F0D6;map[12276][2]:=$F866;
map[12277][1]:=$F0D8;map[12277][2]:=$C64F;
map[12278][1]:=$F0D9;map[12278][2]:=$C67C;
map[12279][1]:=$F0DB;map[12279][2]:=$CB6F;
map[12280][1]:=$F0DC;map[12280][2]:=$F04B;
map[12281][1]:=$F0DD;map[12281][2]:=$C27E;
map[12282][1]:=$F0DE;map[12282][2]:=$AAB7;
map[12283][1]:=$F0DF;map[12283][2]:=$EF67;
map[12284][1]:=$F0E0;map[12284][2]:=$ACD0;
map[12285][1]:=$F0E1;map[12285][2]:=$AF69;
map[12286][1]:=$F0E3;map[12286][2]:=$AF6E;
map[12287][1]:=$F0E4;map[12287][2]:=$D2C6;
map[12288][1]:=$F0E5;map[12288][2]:=$AF70;
map[12289][1]:=$F0E6;map[12289][2]:=$D2C3;
map[12290][1]:=$F0E8;map[12290][2]:=$AF6D;
map[12291][1]:=$F0EA;map[12291][2]:=$B2AD;
map[12292][1]:=$F0EB;map[12292][2]:=$B569;
map[12293][1]:=$F0EC;map[12293][2]:=$C0F7;
map[12294][1]:=$F0ED;map[12294][2]:=$DAB2;
map[12295][1]:=$F0EE;map[12295][2]:=$DAB5;
map[12296][1]:=$F0EF;map[12296][2]:=$ED77;
map[12297][1]:=$F0F0;map[12297][2]:=$DAAF;
map[12298][1]:=$F0F1;map[12298][2]:=$DEC9;
map[12299][1]:=$F0F2;map[12299][2]:=$B7F3;
map[12300][1]:=$F0F3;map[12300][2]:=$DECC;
map[12301][1]:=$F0F4;map[12301][2]:=$B7F5;
map[12302][1]:=$F0F5;map[12302][2]:=$DECF;
map[12303][1]:=$F0F6;map[12303][2]:=$B7EF;
map[12304][1]:=$F0F7;map[12304][2]:=$ED76;
map[12305][1]:=$F0F8;map[12305][2]:=$E2DC;
map[12306][1]:=$F0F9;map[12306][2]:=$E6B0;
map[12307][1]:=$F0FA;map[12307][2]:=$E2DF;
map[12308][1]:=$F0FB;map[12308][2]:=$E6AF;
map[12309][1]:=$F0FC;map[12309][2]:=$BF62;
map[12310][1]:=$F0FD;map[12310][2]:=$E2DD;
map[12311][1]:=$F0FE;map[12311][2]:=$E6B1;
map[12312][1]:=$F140;map[12312][2]:=$F1AC;
map[12313][1]:=$F141;map[12313][2]:=$F1AE;
map[12314][1]:=$F144;map[12314][2]:=$E4D2;
map[12315][1]:=$F145;map[12315][2]:=$E4D1;
map[12316][1]:=$F146;map[12316][2]:=$EC60;
map[12317][1]:=$F149;map[12317][2]:=$EF57;
map[12318][1]:=$F14B;map[12318][2]:=$EF56;
map[12319][1]:=$F14D;map[12319][2]:=$F3B2;
map[12320][1]:=$F14E;map[12320][2]:=$F3B3;
map[12321][1]:=$F151;map[12321][2]:=$F9B2;
map[12322][1]:=$F155;map[12322][2]:=$E0E4;
map[12323][1]:=$F156;map[12323][2]:=$E0E6;
map[12324][1]:=$F158;map[12324][2]:=$E0E5;
map[12325][1]:=$F15B;map[12325][2]:=$E0E7;
map[12326][1]:=$F160;map[12326][2]:=$E4D6;
map[12327][1]:=$F161;map[12327][2]:=$E4D5;
map[12328][1]:=$F163;map[12328][2]:=$E4D8;
map[12329][1]:=$F168;map[12329][2]:=$E4D7;
map[12330][1]:=$F169;map[12330][2]:=$E4D3;
map[12331][1]:=$F16D;map[12331][2]:=$E4D9;
map[12332][1]:=$F16F;map[12332][2]:=$E8CC;
map[12333][1]:=$F171;map[12333][2]:=$E8CF;
map[12334][1]:=$F172;map[12334][2]:=$E8D1;
map[12335][1]:=$F173;map[12335][2]:=$E8C7;
map[12336][1]:=$F174;map[12336][2]:=$E8CB;
map[12337][1]:=$F175;map[12337][2]:=$E8C8;
map[12338][1]:=$F179;map[12338][2]:=$E8C9;
map[12339][1]:=$F17C;map[12339][2]:=$E8CD;
map[12340][1]:=$F17D;map[12340][2]:=$E8D0;
map[12341][1]:=$F183;map[12341][2]:=$E8C6;
map[12342][1]:=$F18A;map[12342][2]:=$EC66;
map[12343][1]:=$F18B;map[12343][2]:=$EC64;
map[12344][1]:=$F18C;map[12344][2]:=$EC63;
map[12345][1]:=$F18E;map[12345][2]:=$EC69;
map[12346][1]:=$F190;map[12346][2]:=$EC68;
map[12347][1]:=$F191;map[12347][2]:=$EC67;
map[12348][1]:=$F193;map[12348][2]:=$EC62;
map[12349][1]:=$F19B;map[12349][2]:=$EF5A;
map[12350][1]:=$F19D;map[12350][2]:=$EF5E;
map[12351][1]:=$F19E;map[12351][2]:=$EF5B;
map[12352][1]:=$F1A0;map[12352][2]:=$EF5C;
map[12353][1]:=$F1A1;map[12353][2]:=$E6B7;
map[12354][1]:=$F1A2;map[12354][2]:=$EA70;
map[12355][1]:=$F1A3;map[12355][2]:=$BD49;
map[12356][1]:=$F1A4;map[12356][2]:=$BD43;
map[12357][1]:=$F1A6;map[12357][2]:=$EA6C;
map[12358][1]:=$F1A7;map[12358][2]:=$EA73;
map[12359][1]:=$F1A8;map[12359][2]:=$F6F4;
map[12360][1]:=$F1A9;map[12360][2]:=$EA71;
map[12361][1]:=$F1AA;map[12361][2]:=$ED74;
map[12362][1]:=$F1AB;map[12362][2]:=$C57D;
map[12363][1]:=$F1AC;map[12363][2]:=$EA6F;
map[12364][1]:=$F1AE;map[12364][2]:=$C4EE;
map[12365][1]:=$F1B0;map[12365][2]:=$F04A;
map[12366][1]:=$F1B1;map[12366][2]:=$C27D;
map[12367][1]:=$F1B2;map[12367][2]:=$C5F6;
map[12368][1]:=$F1B3;map[12368][2]:=$F07E;
map[12369][1]:=$F1B4;map[12369][2]:=$D6F6;
map[12370][1]:=$F1B5;map[12370][2]:=$DADC;
map[12371][1]:=$F1B6;map[12371][2]:=$CDA5;
map[12372][1]:=$F1B7;map[12372][2]:=$AAC6;
map[12373][1]:=$F1B8;map[12373][2]:=$CFFE;
map[12374][1]:=$F1B9;map[12374][2]:=$D2F6;
map[12375][1]:=$F1BA;map[12375][2]:=$AFB7;
map[12376][1]:=$F1BB;map[12376][2]:=$B2C0;
map[12377][1]:=$F1BC;map[12377][2]:=$C475;
map[12378][1]:=$F1BD;map[12378][2]:=$B85E;
map[12379][1]:=$F1BE;map[12379][2]:=$E34C;
map[12380][1]:=$F1BF;map[12380][2]:=$E34A;
map[12381][1]:=$F1C0;map[12381][2]:=$EAB2;
map[12382][1]:=$F1C1;map[12382][2]:=$E6D5;
map[12383][1]:=$F1C3;map[12383][2]:=$D0AE;
map[12384][1]:=$F1C4;map[12384][2]:=$D3D4;
map[12385][1]:=$F1C5;map[12385][2]:=$B04D;
map[12386][1]:=$F1C6;map[12386][2]:=$D3D7;
map[12387][1]:=$F1C7;map[12387][2]:=$B04C;
map[12388][1]:=$F1C8;map[12388][2]:=$D7B5;
map[12389][1]:=$F1C9;map[12389][2]:=$C3CB;
map[12390][1]:=$F1CA;map[12390][2]:=$DBCB;
map[12391][1]:=$F1CB;map[12391][2]:=$DBCA;
map[12392][1]:=$F1CC;map[12392][2]:=$DBCF;
map[12393][1]:=$F1CD;map[12393][2]:=$EE72;
map[12394][1]:=$F1CE;map[12394][2]:=$DFF4;
map[12395][1]:=$F1CF;map[12395][2]:=$F2F0;
map[12396][1]:=$F1D1;map[12396][2]:=$E3F7;
map[12397][1]:=$F1D2;map[12397][2]:=$BB75;
map[12398][1]:=$F1D3;map[12398][2]:=$E3FC;
map[12399][1]:=$F1D4;map[12399][2]:=$BB74;
map[12400][1]:=$F1D5;map[12400][2]:=$E3FA;
map[12401][1]:=$F1D6;map[12401][2]:=$E440;
map[12402][1]:=$F1D7;map[12402][2]:=$BFCA;
map[12403][1]:=$F1D8;map[12403][2]:=$E7C8;
map[12404][1]:=$F1D9;map[12404][2]:=$BDC8;
map[12405][1]:=$F1DA;map[12405][2]:=$C1B9;
map[12406][1]:=$F1DB;map[12406][2]:=$BDCA;
map[12407][1]:=$F1DC;map[12407][2]:=$C4B0;
map[12408][1]:=$F1DD;map[12408][2]:=$BFC9;
map[12409][1]:=$F1DE;map[12409][2]:=$C1B7;
map[12410][1]:=$F1DF;map[12410][2]:=$C166;
map[12411][1]:=$F1DF;map[12411][2]:=$EE75;
map[12412][1]:=$F1E0;map[12412][2]:=$F4CB;
map[12413][1]:=$F1E1;map[12413][2]:=$F94B;
map[12414][1]:=$F1E2;map[12414][2]:=$A5D4;
map[12415][1]:=$F1E3;map[12415][2]:=$AD45;
map[12416][1]:=$F1E4;map[12416][2]:=$E2E1;
map[12417][1]:=$F1E5;map[12417][2]:=$B572;
map[12418][1]:=$F1E6;map[12418][2]:=$ACE1;
map[12419][1]:=$F1E7;map[12419][2]:=$A6D4;
map[12420][1]:=$F1E8;map[12420][2]:=$D054;
map[12421][1]:=$F1E9;map[12421][2]:=$D366;
map[12422][1]:=$F1EA;map[12422][2]:=$B2E0;
map[12423][1]:=$F1EE;map[12423][2]:=$BDA2;
map[12424][1]:=$F1EF;map[12424][2]:=$EDE7;
map[12425][1]:=$F1F0;map[12425][2]:=$EAE6;
map[12426][1]:=$F1F1;map[12426][2]:=$BFAE;
map[12427][1]:=$F1F3;map[12427][2]:=$B5C0;
map[12428][1]:=$F1F4;map[12428][2]:=$CDAA;
map[12429][1]:=$F1F5;map[12429][2]:=$D743;
map[12430][1]:=$F1F6;map[12430][2]:=$B2E2;
map[12431][1]:=$F1F7;map[12431][2]:=$F4B2;
map[12432][1]:=$F1F8;map[12432][2]:=$B5C1;
map[12433][1]:=$F1F9;map[12433][2]:=$F07C;
map[12434][1]:=$F1FA;map[12434][2]:=$C16D;
map[12435][1]:=$F1FB;map[12435][2]:=$B5F7;
map[12436][1]:=$F1FC;map[12436][2]:=$DCAC;
map[12437][1]:=$F1FD;map[12437][2]:=$E0E0;
map[12438][1]:=$F1FE;map[12438][2]:=$E0DE;
map[12439][1]:=$F240;map[12439][2]:=$EF59;
map[12440][1]:=$F241;map[12440][2]:=$EF5F;
map[12441][1]:=$F242;map[12441][2]:=$EF62;
map[12442][1]:=$F243;map[12442][2]:=$EF60;
map[12443][1]:=$F244;map[12443][2]:=$EF61;
map[12444][1]:=$F249;map[12444][2]:=$EF63;
map[12445][1]:=$F24A;map[12445][2]:=$F1B3;
map[12446][1]:=$F24C;map[12446][2]:=$F1B8;
map[12447][1]:=$F24D;map[12447][2]:=$F1B7;
map[12448][1]:=$F24F;map[12448][2]:=$F1B1;
map[12449][1]:=$F250;map[12449][2]:=$F1B5;
map[12450][1]:=$F251;map[12450][2]:=$F1B0;
map[12451][1]:=$F257;map[12451][2]:=$F1B4;
map[12452][1]:=$F25A;map[12452][2]:=$F3C0;
map[12453][1]:=$F25B;map[12453][2]:=$F3B5;
map[12454][1]:=$F260;map[12454][2]:=$F3B4;
map[12455][1]:=$F261;map[12455][2]:=$F3B9;
map[12456][1]:=$F262;map[12456][2]:=$F3BF;
map[12457][1]:=$F263;map[12457][2]:=$F3B7;
map[12458][1]:=$F264;map[12458][2]:=$F3BE;
map[12459][1]:=$F266;map[12459][2]:=$F3BB;
map[12460][1]:=$F268;map[12460][2]:=$F3BA;
map[12461][1]:=$F26B;map[12461][2]:=$F3B6;
map[12462][1]:=$F26D;map[12462][2]:=$F3BC;
map[12463][1]:=$F26F;map[12463][2]:=$F560;
map[12464][1]:=$F270;map[12464][2]:=$F55E;
map[12465][1]:=$F272;map[12465][2]:=$F55D;
map[12466][1]:=$F277;map[12466][2]:=$F55C;
map[12467][1]:=$F278;map[12467][2]:=$F55A;
map[12468][1]:=$F27A;map[12468][2]:=$F55B;
map[12469][1]:=$F27B;map[12469][2]:=$C4CD;
map[12470][1]:=$F280;map[12470][2]:=$F678;
map[12471][1]:=$F281;map[12471][2]:=$F67E;
map[12472][1]:=$F284;map[12472][2]:=$F679;
map[12473][1]:=$F286;map[12473][2]:=$F6A1;
map[12474][1]:=$F28D;map[12474][2]:=$F67A;
map[12475][1]:=$F28F;map[12475][2]:=$F77D;
map[12476][1]:=$F290;map[12476][2]:=$F7A1;
map[12477][1]:=$F295;map[12477][2]:=$F778;
map[12478][1]:=$F297;map[12478][2]:=$F7A3;
map[12479][1]:=$F299;map[12479][2]:=$F7A2;
map[12480][1]:=$F29A;map[12480][2]:=$F779;
map[12481][1]:=$F29B;map[12481][2]:=$F77A;
map[12482][1]:=$F29D;map[12482][2]:=$F852;
map[12483][1]:=$F2A0;map[12483][2]:=$F853;
map[12484][1]:=$F2A1;map[12484][2]:=$BE65;
map[12485][1]:=$F2A2;map[12485][2]:=$BE67;
map[12486][1]:=$F2A3;map[12486][2]:=$E5F9;
map[12487][1]:=$F2A4;map[12487][2]:=$E8B8;
map[12488][1]:=$F2A5;map[12488][2]:=$C058;
map[12489][1]:=$F2A6;map[12489][2]:=$C345;
map[12490][1]:=$F2A7;map[12490][2]:=$C346;
map[12491][1]:=$F2A8;map[12491][2]:=$F9AE;
map[12492][1]:=$F2A9;map[12492][2]:=$F54F;
map[12493][1]:=$F2AA;map[12493][2]:=$F3A8;
map[12494][1]:=$F2AB;map[12494][2]:=$C556;
map[12495][1]:=$F2AD;map[12495][2]:=$C649;
map[12496][1]:=$F2AE;map[12496][2]:=$CA4F;
map[12497][1]:=$F2AF;map[12497][2]:=$B040;
map[12498][1]:=$F2B0;map[12498][2]:=$CDC8;
map[12499][1]:=$F2B1;map[12499][2]:=$CDCA;
map[12500][1]:=$F2B1;map[12500][2]:=$F0CA;
map[12501][1]:=$F2B2;map[12501][2]:=$F2E3;
map[12502][1]:=$F2B3;map[12502][2]:=$AD6B;
map[12503][1]:=$F2B4;map[12503][2]:=$D0A8;
map[12504][1]:=$F2B5;map[12504][2]:=$AD6A;
map[12505][1]:=$F2B6;map[12505][2]:=$D3BA;
map[12506][1]:=$F2B7;map[12506][2]:=$D3BC;
map[12507][1]:=$F2B8;map[12507][2]:=$D3C2;
map[12508][1]:=$F2B9;map[12508][2]:=$B8C3;
map[12509][1]:=$F2BA;map[12509][2]:=$C4AE;
map[12510][1]:=$F2BA;map[12510][2]:=$D3CC;
map[12511][1]:=$F2BB;map[12511][2]:=$D3C8;
map[12512][1]:=$F2BC;map[12512][2]:=$B047;
map[12513][1]:=$F2BD;map[12513][2]:=$B042;
map[12514][1]:=$F2BE;map[12514][2]:=$B043;
map[12515][1]:=$F2BF;map[12515][2]:=$B045;
map[12516][1]:=$F2C0;map[12516][2]:=$B346;
map[12517][1]:=$F2C1;map[12517][2]:=$B347;
map[12518][1]:=$F2C2;map[12518][2]:=$B348;
map[12519][1]:=$F2C3;map[12519][2]:=$C4F7;
map[12520][1]:=$F2C4;map[12520][2]:=$D7A5;
map[12521][1]:=$F2C5;map[12521][2]:=$D7A4;
map[12522][1]:=$F2C6;map[12522][2]:=$B34B;
map[12523][1]:=$F2C7;map[12523][2]:=$B34C;
map[12524][1]:=$F2C8;map[12524][2]:=$B34D;
map[12525][1]:=$F2C9;map[12525][2]:=$F2DE;
map[12526][1]:=$F2CA;map[12526][2]:=$D7AB;
map[12527][1]:=$F2CB;map[12527][2]:=$DBBC;
map[12528][1]:=$F2CC;map[12528][2]:=$DFE6;
map[12529][1]:=$F2CD;map[12529][2]:=$C2CC;
map[12530][1]:=$F2CE;map[12530][2]:=$B5ED;
map[12531][1]:=$F2CF;map[12531][2]:=$EB6B;
map[12532][1]:=$F2D0;map[12532][2]:=$B5F1;
map[12533][1]:=$F2D1;map[12533][2]:=$B8BB;
map[12534][1]:=$F2D2;map[12534][2]:=$B5F2;
map[12535][1]:=$F2D3;map[12535][2]:=$F4C5;
map[12536][1]:=$F2D4;map[12536][2]:=$B5EB;
map[12537][1]:=$F2D5;map[12537][2]:=$DBB1;
map[12538][1]:=$F2D6;map[12538][2]:=$DBBF;
map[12539][1]:=$F2D7;map[12539][2]:=$B8C2;
map[12540][1]:=$F2D8;map[12540][2]:=$B8BD;
map[12541][1]:=$F2D9;map[12541][2]:=$DFEA;
map[12542][1]:=$F2DA;map[12542][2]:=$B8BC;
map[12543][1]:=$F2DB;map[12543][2]:=$B8C4;
map[12544][1]:=$F2DC;map[12544][2]:=$DFEF;
map[12545][1]:=$F2DD;map[12545][2]:=$DFEC;
map[12546][1]:=$F2DE;map[12546][2]:=$E3D6;
map[12547][1]:=$F2DF;map[12547][2]:=$BB66;
map[12548][1]:=$F2E0;map[12548][2]:=$E3DB;
map[12549][1]:=$F2E1;map[12549][2]:=$BB68;
map[12550][1]:=$F2E2;map[12550][2]:=$E3DA;
map[12551][1]:=$F2E3;map[12551][2]:=$E3F2;
map[12552][1]:=$F2E4;map[12552][2]:=$E3E2;
map[12553][1]:=$F2E5;map[12553][2]:=$C1B4;
map[12554][1]:=$F2E6;map[12554][2]:=$BB69;
map[12555][1]:=$F2E7;map[12555][2]:=$E3EB;
map[12556][1]:=$F2E8;map[12556][2]:=$BB6D;
map[12557][1]:=$F2E9;map[12557][2]:=$BB6C;
map[12558][1]:=$F2E9;map[12558][2]:=$BDF4;
map[12559][1]:=$F2EA;map[12559][2]:=$BB64;
map[12560][1]:=$F2EB;map[12560][2]:=$BDB8;
map[12561][1]:=$F2EC;map[12561][2]:=$BB67;
map[12562][1]:=$F2EE;map[12562][2]:=$F4C6;
map[12563][1]:=$F2EF;map[12563][2]:=$E7BC;
map[12564][1]:=$F2F0;map[12564][2]:=$BDBB;
map[12565][1]:=$F2F2;map[12565][2]:=$BDC1;
map[12566][1]:=$F2F3;map[12566][2]:=$E7B8;
map[12567][1]:=$F2F5;map[12567][2]:=$BDC2;
map[12568][1]:=$F2F6;map[12568][2]:=$E7A2;
map[12569][1]:=$F2F7;map[12569][2]:=$C1B2;
map[12570][1]:=$F2F8;map[12570][2]:=$E7A3;
map[12571][1]:=$F2F9;map[12571][2]:=$BDBF;
map[12572][1]:=$F2FA;map[12572][2]:=$E7BA;
map[12573][1]:=$F2FB;map[12573][2]:=$EB5E;
map[12574][1]:=$F2FC;map[12574][2]:=$EE67;
map[12575][1]:=$F2FE;map[12575][2]:=$C1AF;
map[12576][1]:=$F344;map[12576][2]:=$F8D3;
map[12577][1]:=$F346;map[12577][2]:=$F976;
map[12578][1]:=$F34D;map[12578][2]:=$F9B5;
map[12579][1]:=$F34E;map[12579][2]:=$F9C3;
map[12580][1]:=$F34F;map[12580][2]:=$F9C2;
map[12581][1]:=$F352;map[12581][2]:=$E4D4;
map[12582][1]:=$F353;map[12582][2]:=$EC65;
map[12583][1]:=$F354;map[12583][2]:=$F9CD;
map[12584][1]:=$F355;map[12584][2]:=$EF58;
map[12585][1]:=$F356;map[12585][2]:=$EF5D;
map[12586][1]:=$F358;map[12586][2]:=$F77B;
map[12587][1]:=$F359;map[12587][2]:=$F3B8;
map[12588][1]:=$F35A;map[12588][2]:=$F9B4;
map[12589][1]:=$F35D;map[12589][2]:=$E0E9;
map[12590][1]:=$F35F;map[12590][2]:=$E0E8;
map[12591][1]:=$F361;map[12591][2]:=$BBEA;
map[12592][1]:=$F363;map[12592][2]:=$E8D2;
map[12593][1]:=$F364;map[12593][2]:=$EC6C;
map[12594][1]:=$F366;map[12594][2]:=$EC6A;
map[12595][1]:=$F367;map[12595][2]:=$EC6D;
map[12596][1]:=$F36A;map[12596][2]:=$EC6B;
map[12597][1]:=$F36D;map[12597][2]:=$F566;
map[12598][1]:=$F36E;map[12598][2]:=$F564;
map[12599][1]:=$F371;map[12599][2]:=$F565;
map[12600][1]:=$F372;map[12600][2]:=$F6A2;
map[12601][1]:=$F375;map[12601][2]:=$F7A4;
map[12602][1]:=$F37E;map[12602][2]:=$F1BA;
map[12603][1]:=$F384;map[12603][2]:=$E4DB;
map[12604][1]:=$F387;map[12604][2]:=$E4DC;
map[12605][1]:=$F38B;map[12605][2]:=$E8D3;
map[12606][1]:=$F38E;map[12606][2]:=$E8D7;
map[12607][1]:=$F38F;map[12607][2]:=$E8D6;
map[12608][1]:=$F390;map[12608][2]:=$E8D5;
map[12609][1]:=$F393;map[12609][2]:=$EC6E;
map[12610][1]:=$F394;map[12610][2]:=$EC71;
map[12611][1]:=$F396;map[12611][2]:=$EC6F;
map[12612][1]:=$F397;map[12612][2]:=$EF68;
map[12613][1]:=$F398;map[12613][2]:=$EF66;
map[12614][1]:=$F399;map[12614][2]:=$EF65;
map[12615][1]:=$F39E;map[12615][2]:=$F1BC;
map[12616][1]:=$F39F;map[12616][2]:=$F1BD;
map[12617][1]:=$F3A1;map[12617][2]:=$C1B0;
map[12618][1]:=$F3A2;map[12618][2]:=$EB60;
map[12619][1]:=$F3A3;map[12619][2]:=$EB67;
map[12620][1]:=$F3A4;map[12620][2]:=$EE5A;
map[12621][1]:=$F3A5;map[12621][2]:=$EB5D;
map[12622][1]:=$F3A6;map[12622][2]:=$BFC0;
map[12623][1]:=$F3A7;map[12623][2]:=$C1B1;
map[12624][1]:=$F3A8;map[12624][2]:=$F0C1;
map[12625][1]:=$F3A9;map[12625][2]:=$EE5D;
map[12626][1]:=$F3AA;map[12626][2]:=$EE5F;
map[12627][1]:=$F3AB;map[12627][2]:=$C1AE;
map[12628][1]:=$F3AC;map[12628][2]:=$C1B5;
map[12629][1]:=$F3AD;map[12629][2]:=$F0C7;
map[12630][1]:=$F3AE;map[12630][2]:=$EE6E;
map[12631][1]:=$F3AF;map[12631][2]:=$C1AD;
map[12632][1]:=$F3B0;map[12632][2]:=$C1AC;
map[12633][1]:=$F3B1;map[12633][2]:=$EE69;
map[12634][1]:=$F3B2;map[12634][2]:=$F0BE;
map[12635][1]:=$F3B3;map[12635][2]:=$F0C0;
map[12636][1]:=$F3B4;map[12636][2]:=$C2CF;
map[12637][1]:=$F3B6;map[12637][2]:=$F4C9;
map[12638][1]:=$F3B7;map[12638][2]:=$F4C8;
map[12639][1]:=$F3B8;map[12639][2]:=$C3CA;
map[12640][1]:=$F3B9;map[12640][2]:=$F2E7;
map[12641][1]:=$F3BA;map[12641][2]:=$F642;
map[12642][1]:=$F3BB;map[12642][2]:=$C4F9;
map[12643][1]:=$F3BC;map[12643][2]:=$C5FB;
map[12644][1]:=$F3BD;map[12644][2]:=$F96E;
map[12645][1]:=$F3BE;map[12645][2]:=$A6CE;
map[12646][1]:=$F3BF;map[12646][2]:=$C4A2;
map[12647][1]:=$F3BF;map[12647][2]:=$F277;
map[12648][1]:=$F3C0;map[12648][2]:=$C16A;
map[12649][1]:=$F3C1;map[12649][2]:=$EDE1;
map[12650][1]:=$F3C2;map[12650][2]:=$AFE7;
map[12651][1]:=$F3C3;map[12651][2]:=$AAC7;
map[12652][1]:=$F3C4;map[12652][2]:=$ACF2;
map[12653][1]:=$F3C5;map[12653][2]:=$D344;
map[12654][1]:=$F3C6;map[12654][2]:=$BF77;
map[12655][1]:=$F3C7;map[12655][2]:=$D340;
map[12656][1]:=$F3C8;map[12656][2]:=$B863;
map[12657][1]:=$F3C9;map[12657][2]:=$D345;
map[12658][1]:=$F3CA;map[12658][2]:=$D6D7;
map[12659][1]:=$F3CB;map[12659][2]:=$D343;
map[12660][1]:=$F3CC;map[12660][2]:=$D6CC;
map[12661][1]:=$F3CD;map[12661][2]:=$D6DB;
map[12662][1]:=$F3CE;map[12662][2]:=$D6D4;
map[12663][1]:=$F3CF;map[12663][2]:=$B2C6;
map[12664][1]:=$F3D0;map[12664][2]:=$B2C8;
map[12665][1]:=$F3D1;map[12665][2]:=$D6D6;
map[12666][1]:=$F3D2;map[12666][2]:=$B2C1;
map[12667][1]:=$F3D3;map[12667][2]:=$D6CE;
map[12668][1]:=$F3D4;map[12668][2]:=$D6D1;
map[12669][1]:=$F3D5;map[12669][2]:=$D6D2;
map[12670][1]:=$F3D6;map[12670][2]:=$F8FB;
map[12671][1]:=$F3D7;map[12671][2]:=$B2C7;
map[12672][1]:=$F3D8;map[12672][2]:=$DAE5;
map[12673][1]:=$F3D9;map[12673][2]:=$EDC3;
map[12674][1]:=$F3DA;map[12674][2]:=$DAE6;
map[12675][1]:=$F3DB;map[12675][2]:=$BAE1;
map[12676][1]:=$F3DC;map[12676][2]:=$DAE2;
map[12677][1]:=$F3DD;map[12677][2]:=$BAE5;
map[12678][1]:=$F3DE;map[12678][2]:=$B861;
map[12679][1]:=$F3DF;map[12679][2]:=$B862;
map[12680][1]:=$F3E2;map[12680][2]:=$DF4B;
map[12681][1]:=$F3E3;map[12681][2]:=$C151;
map[12682][1]:=$F3E3;map[12682][2]:=$DF4E;
map[12683][1]:=$F3E4;map[12683][2]:=$E352;
map[12684][1]:=$F3E5;map[12684][2]:=$EDBD;
map[12685][1]:=$F3E6;map[12685][2]:=$E6D7;
map[12686][1]:=$F3E7;map[12686][2]:=$BAE6;
map[12687][1]:=$F3E8;map[12687][2]:=$BF78;
map[12688][1]:=$F3E8;map[12688][2]:=$E6D9;
map[12689][1]:=$F3E9;map[12689][2]:=$BAE3;
map[12690][1]:=$F3EA;map[12690][2]:=$F6FB;
map[12691][1]:=$F3EB;map[12691][2]:=$E358;
map[12692][1]:=$F3EC;map[12692][2]:=$C2B0;
map[12693][1]:=$F3ED;map[12693][2]:=$E34F;
map[12694][1]:=$F3EF;map[12694][2]:=$C2AD;
map[12695][1]:=$F3F0;map[12695][2]:=$BD65;
map[12696][1]:=$F3F1;map[12696][2]:=$C2B1;
map[12697][1]:=$F3F2;map[12697][2]:=$BD68;
map[12698][1]:=$F3F3;map[12698][2]:=$BD6A;
map[12699][1]:=$F3F4;map[12699][2]:=$EABA;
map[12700][1]:=$F3F5;map[12700][2]:=$EABD;
map[12701][1]:=$F3F6;map[12701][2]:=$EABC;
map[12702][1]:=$F3F7;map[12702][2]:=$BF7B;
map[12703][1]:=$F3F8;map[12703][2]:=$EAC1;
map[12704][1]:=$F3F9;map[12704][2]:=$C150;
map[12705][1]:=$F3FA;map[12705][2]:=$C14E;
map[12706][1]:=$F3FC;map[12706][2]:=$EDBB;
map[12707][1]:=$F3FD;map[12707][2]:=$F8B8;
map[12708][1]:=$F3FE;map[12708][2]:=$EDC2;
map[12709][1]:=$F442;map[12709][2]:=$F3C3;
map[12710][1]:=$F443;map[12710][2]:=$F3C2;
map[12711][1]:=$F444;map[12711][2]:=$F3C5;
map[12712][1]:=$F446;map[12712][2]:=$F3C4;
map[12713][1]:=$F447;map[12713][2]:=$F567;
map[12714][1]:=$F448;map[12714][2]:=$F569;
map[12715][1]:=$F449;map[12715][2]:=$F568;
map[12716][1]:=$F44B;map[12716][2]:=$F6A3;
map[12717][1]:=$F44C;map[12717][2]:=$F6A6;
map[12718][1]:=$F44D;map[12718][2]:=$F6A4;
map[12719][1]:=$F44E;map[12719][2]:=$F6A5;
map[12720][1]:=$F44F;map[12720][2]:=$F7A5;
map[12721][1]:=$F454;map[12721][2]:=$F854;
map[12722][1]:=$F455;map[12722][2]:=$F856;
map[12723][1]:=$F458;map[12723][2]:=$F9B6;
map[12724][1]:=$F45F;map[12724][2]:=$F7A6;
map[12725][1]:=$F465;map[12725][2]:=$EC72;
map[12726][1]:=$F467;map[12726][2]:=$F1BF;
map[12727][1]:=$F469;map[12727][2]:=$F3C6;
map[12728][1]:=$F46C;map[12728][2]:=$F6A7;
map[12729][1]:=$F46E;map[12729][2]:=$E4DD;
map[12730][1]:=$F46F;map[12730][2]:=$E4DE;
map[12731][1]:=$F471;map[12731][2]:=$E8D8;
map[12732][1]:=$F472;map[12732][2]:=$F1C0;
map[12733][1]:=$F473;map[12733][2]:=$F1C2;
map[12734][1]:=$F474;map[12734][2]:=$F1C1;
map[12735][1]:=$F477;map[12735][2]:=$F6A8;
map[12736][1]:=$F479;map[12736][2]:=$F7A9;
map[12737][1]:=$F47A;map[12737][2]:=$F7A8;
map[12738][1]:=$F47D;map[12738][2]:=$F8D5;
map[12739][1]:=$F484;map[12739][2]:=$E4E1;
map[12740][1]:=$F485;map[12740][2]:=$E4DF;
map[12741][1]:=$F486;map[12741][2]:=$E4E0;
map[12742][1]:=$F489;map[12742][2]:=$E8E2;
map[12743][1]:=$F48B;map[12743][2]:=$E8DD;
map[12744][1]:=$F48C;map[12744][2]:=$E8DA;
map[12745][1]:=$F491;map[12745][2]:=$E8E3;
map[12746][1]:=$F495;map[12746][2]:=$E8E0;
map[12747][1]:=$F496;map[12747][2]:=$E8DC;
map[12748][1]:=$F49A;map[12748][2]:=$E8DF;
map[12749][1]:=$F49B;map[12749][2]:=$E8DE;
map[12750][1]:=$F4A0;map[12750][2]:=$EC78;
map[12751][1]:=$F4A1;map[12751][2]:=$F065;
map[12752][1]:=$F4A2;map[12752][2]:=$C2AF;
map[12753][1]:=$F4A3;map[12753][2]:=$F068;
map[12754][1]:=$F4A4;map[12754][2]:=$C3B0;
map[12755][1]:=$F4A5;map[12755][2]:=$C5A3;
map[12756][1]:=$F4A6;map[12756][2]:=$C3B3;
map[12757][1]:=$F4A7;map[12757][2]:=$AAD8;
map[12758][1]:=$F4A8;map[12758][2]:=$D370;
map[12759][1]:=$F4A9;map[12759][2]:=$B2EA;
map[12760][1]:=$F4AA;map[12760][2]:=$BCF3;
map[12761][1]:=$F4AA;map[12761][2]:=$DB57;
map[12762][1]:=$F4AB;map[12762][2]:=$AFE5;
map[12763][1]:=$F4AC;map[12763][2]:=$D3D0;
map[12764][1]:=$F4AD;map[12764][2]:=$D069;
map[12765][1]:=$F4AE;map[12765][2]:=$AD51;
map[12766][1]:=$F4AF;map[12766][2]:=$F2C3;
map[12767][1]:=$F4B1;map[12767][2]:=$D371;
map[12768][1]:=$F4B2;map[12768][2]:=$AFEA;
map[12769][1]:=$F4B3;map[12769][2]:=$AFE9;
map[12770][1]:=$F4B4;map[12770][2]:=$D753;
map[12771][1]:=$F4B5;map[12771][2]:=$F746;
map[12772][1]:=$F4B6;map[12772][2]:=$D754;
map[12773][1]:=$F4B7;map[12773][2]:=$D756;
map[12774][1]:=$F4B9;map[12774][2]:=$DFA5;
map[12775][1]:=$F4BA;map[12775][2]:=$DFA4;
map[12776][1]:=$F4BB;map[12776][2]:=$BB53;
map[12777][1]:=$F4BC;map[12777][2]:=$E746;
map[12778][1]:=$F4BD;map[12778][2]:=$EDF1;
map[12779][1]:=$F4BE;map[12779][2]:=$F0A2;
map[12780][1]:=$F4BF;map[12780][2]:=$F4B6;
map[12781][1]:=$F4C0;map[12781][2]:=$D3DA;
map[12782][1]:=$F4C1;map[12782][2]:=$B8CD;
map[12783][1]:=$F4C1;map[12783][2]:=$BEC5;
map[12784][1]:=$F4C1;map[12784][2]:=$DCF5;
map[12785][1]:=$F4C2;map[12785][2]:=$B350;
map[12786][1]:=$F4C3;map[12786][2]:=$B8CA;
map[12787][1]:=$F4C4;map[12787][2]:=$B8C6;
map[12788][1]:=$F4C5;map[12788][2]:=$C3CE;
map[12789][1]:=$F4C6;map[12789][2]:=$D6F4;
map[12790][1]:=$F4C7;map[12790][2]:=$DF6D;
map[12791][1]:=$F4C8;map[12791][2]:=$DF6E;
map[12792][1]:=$F4C9;map[12792][2]:=$BD7E;
map[12793][1]:=$F4CA;map[12793][2]:=$E6F3;
map[12794][1]:=$F4CB;map[12794][2]:=$BFAA;
map[12795][1]:=$F4CC;map[12795][2]:=$AAC4;
map[12796][1]:=$F4CD;map[12796][2]:=$AEC5;
map[12797][1]:=$F4CE;map[12797][2]:=$D34A;
map[12798][1]:=$F4CF;map[12798][2]:=$F5E6;
map[12799][1]:=$F4D0;map[12799][2]:=$F8FD;
map[12800][1]:=$F4D1;map[12800][2]:=$DAE8;
map[12801][1]:=$F4D2;map[12801][2]:=$DAE7;
map[12802][1]:=$F4D3;map[12802][2]:=$DF54;
map[12803][1]:=$F4D4;map[12803][2]:=$E360;
map[12804][1]:=$F4D5;map[12804][2]:=$BAEA;
map[12805][1]:=$F4D6;map[12805][2]:=$C158;
map[12806][1]:=$F4D7;map[12806][2]:=$EF53;
map[12807][1]:=$F4D8;map[12807][2]:=$E6E1;
map[12808][1]:=$F4DA;map[12808][2]:=$E6E0;
map[12809][1]:=$F4DB;map[12809][2]:=$E6DF;
map[12810][1]:=$F4DC;map[12810][2]:=$EAC9;
map[12811][1]:=$F4DD;map[12811][2]:=$EDCF;
map[12812][1]:=$F4DE;map[12812][2]:=$A6E1;
map[12813][1]:=$F4DF;map[12813][2]:=$BA5B;
map[12814][1]:=$F4E0;map[12814][2]:=$ACFD;
map[12815][1]:=$F4E1;map[12815][2]:=$B2DE;
map[12816][1]:=$F4E2;map[12816][2]:=$B5BF;
map[12817][1]:=$F4E3;map[12817][2]:=$E37D;
map[12818][1]:=$F4E4;map[12818][2]:=$BB42;
map[12819][1]:=$F4E5;map[12819][2]:=$E6F9;
map[12820][1]:=$F4E6;map[12820][2]:=$BDA1;
map[12821][1]:=$F4E7;map[12821][2]:=$BFAD;
map[12822][1]:=$F4E8;map[12822][2]:=$C16B;
map[12823][1]:=$F4EA;map[12823][2]:=$EDDE;
map[12824][1]:=$F4EB;map[12824][2]:=$E375;
map[12825][1]:=$F4EC;map[12825][2]:=$E376;
map[12826][1]:=$F4ED;map[12826][2]:=$EDD9;
map[12827][1]:=$F4EE;map[12827][2]:=$F941;
map[12828][1]:=$F4EF;map[12828][2]:=$BEA2;
map[12829][1]:=$F4F1;map[12829][2]:=$AD76;
map[12830][1]:=$F4F2;map[12830][2]:=$DBED;
map[12831][1]:=$F4F3;map[12831][2]:=$E064;
map[12832][1]:=$F4F4;map[12832][2]:=$E05E;
map[12833][1]:=$F4F5;map[12833][2]:=$F96F;
map[12834][1]:=$F4F6;map[12834][2]:=$B369;
map[12835][1]:=$F4F7;map[12835][2]:=$BDEA;
map[12836][1]:=$F4F8;map[12836][2]:=$D3DE;
map[12837][1]:=$F4F9;map[12837][2]:=$B361;
map[12838][1]:=$F4FA;map[12838][2]:=$ADAA;
map[12839][1]:=$F4FB;map[12839][2]:=$D3FE;
map[12840][1]:=$F4FC;map[12840][2]:=$D440;
map[12841][1]:=$F4FD;map[12841][2]:=$D441;
map[12842][1]:=$F4FE;map[12842][2]:=$DC5E;
map[12843][1]:=$F540;map[12843][2]:=$EC76;
map[12844][1]:=$F541;map[12844][2]:=$ECA1;
map[12845][1]:=$F542;map[12845][2]:=$EC77;
map[12846][1]:=$F544;map[12846][2]:=$EC73;
map[12847][1]:=$F546;map[12847][2]:=$EC79;
map[12848][1]:=$F549;map[12848][2]:=$EC74;
map[12849][1]:=$F54A;map[12849][2]:=$EF72;
map[12850][1]:=$F54B;map[12850][2]:=$EC75;
map[12851][1]:=$F54C;map[12851][2]:=$ECA2;
map[12852][1]:=$F559;map[12852][2]:=$EC7E;
map[12853][1]:=$F55F;map[12853][2]:=$EF6D;
map[12854][1]:=$F564;map[12854][2]:=$EF74;
map[12855][1]:=$F565;map[12855][2]:=$EF6F;
map[12856][1]:=$F566;map[12856][2]:=$EF73;
map[12857][1]:=$F568;map[12857][2]:=$EF71;
map[12858][1]:=$F569;map[12858][2]:=$EF70;
map[12859][1]:=$F56C;map[12859][2]:=$EF6B;
map[12860][1]:=$F573;map[12860][2]:=$EF75;
map[12861][1]:=$F579;map[12861][2]:=$F1C8;
map[12862][1]:=$F57C;map[12862][2]:=$F1C9;
map[12863][1]:=$F57D;map[12863][2]:=$F1CD;
map[12864][1]:=$F582;map[12864][2]:=$F1CE;
map[12865][1]:=$F584;map[12865][2]:=$F1C6;
map[12866][1]:=$F588;map[12866][2]:=$F1C5;
map[12867][1]:=$F589;map[12867][2]:=$F1CC;
map[12868][1]:=$F58B;map[12868][2]:=$F1C4;
map[12869][1]:=$F58D;map[12869][2]:=$C357;
map[12870][1]:=$F598;map[12870][2]:=$F1CA;
map[12871][1]:=$F59E;map[12871][2]:=$F3D3;
map[12872][1]:=$F59F;map[12872][2]:=$F3D7;
map[12873][1]:=$F5A1;map[12873][2]:=$DC60;
map[12874][1]:=$F5A2;map[12874][2]:=$DC5D;
map[12875][1]:=$F5A4;map[12875][2]:=$B955;
map[12876][1]:=$F5A5;map[12876][2]:=$E0AD;
map[12877][1]:=$F5A6;map[12877][2]:=$C66F;
map[12878][1]:=$F5A7;map[12878][2]:=$F971;
map[12879][1]:=$F5A8;map[12879][2]:=$E473;
map[12880][1]:=$F5A9;map[12880][2]:=$BBC6;
map[12881][1]:=$F5AA;map[12881][2]:=$E474;
map[12882][1]:=$F5AC;map[12882][2]:=$E85B;
map[12883][1]:=$F5AD;map[12883][2]:=$EBD9;
map[12884][1]:=$F5AE;map[12884][2]:=$EBDB;
map[12885][1]:=$F5AF;map[12885][2]:=$EBDA;
map[12886][1]:=$F5B0;map[12886][2]:=$EEC6;
map[12887][1]:=$F5B1;map[12887][2]:=$C1DE;
map[12888][1]:=$F5B2;map[12888][2]:=$F152;
map[12889][1]:=$F5B3;map[12889][2]:=$F35F;
map[12890][1]:=$F5B4;map[12890][2]:=$C3E7;
map[12891][1]:=$F5B5;map[12891][2]:=$F151;
map[12892][1]:=$F5B6;map[12892][2]:=$F4E4;
map[12893][1]:=$F5B7;map[12893][2]:=$C4BF;
map[12894][1]:=$F5B8;map[12894][2]:=$C548;
map[12895][1]:=$F5B9;map[12895][2]:=$A8A8;
map[12896][1]:=$F5BA;map[12896][2]:=$F6C9;
map[12897][1]:=$F5BB;map[12897][2]:=$C4BB;
map[12898][1]:=$F5BC;map[12898][2]:=$E072;
map[12899][1]:=$F5BD;map[12899][2]:=$E460;
map[12900][1]:=$F5BE;map[12900][2]:=$C2D9;
map[12901][1]:=$F5BF;map[12901][2]:=$F144;
map[12902][1]:=$F5C0;map[12902][2]:=$D3E5;
map[12903][1]:=$F5C1;map[12903][2]:=$D7D9;
map[12904][1]:=$F5C2;map[12904][2]:=$D7D6;
map[12905][1]:=$F5C3;map[12905][2]:=$B36C;
map[12906][1]:=$F5C4;map[12906][2]:=$EEBE;
map[12907][1]:=$F5C5;map[12907][2]:=$DBF4;
map[12908][1]:=$F5C5;map[12908][2]:=$F0F9;
map[12909][1]:=$F5C6;map[12909][2]:=$DBFA;
map[12910][1]:=$F5C7;map[12910][2]:=$B65C;
map[12911][1]:=$F5C8;map[12911][2]:=$F760;
map[12912][1]:=$F5C9;map[12912][2]:=$B659;
map[12913][1]:=$F5CA;map[12913][2]:=$DBF6;
map[12914][1]:=$F5CB;map[12914][2]:=$B65F;
map[12915][1]:=$F5CC;map[12915][2]:=$B660;
map[12916][1]:=$F5CD;map[12916][2]:=$E069;
map[12917][1]:=$F5CE;map[12917][2]:=$C3DF;
map[12918][1]:=$F5CF;map[12918][2]:=$C2DE;
map[12919][1]:=$F5D0;map[12919][2]:=$E06E;
map[12920][1]:=$F5D1;map[12920][2]:=$F75F;
map[12921][1]:=$F5D2;map[12921][2]:=$C545;
map[12922][1]:=$F5D3;map[12922][2]:=$B8F8;
map[12923][1]:=$F5D4;map[12923][2]:=$E457;
map[12924][1]:=$F5D5;map[12924][2]:=$E45B;
map[12925][1]:=$F5D6;map[12925][2]:=$E840;
map[12926][1]:=$F5D7;map[12926][2]:=$BDEF;
map[12927][1]:=$F5D8;map[12927][2]:=$BDF3;
map[12928][1]:=$F5D9;map[12928][2]:=$C5AE;
map[12929][1]:=$F5DA;map[12929][2]:=$E7F7;
map[12930][1]:=$F5DB;map[12930][2]:=$E7F4;
map[12931][1]:=$F5DC;map[12931][2]:=$C5AD;
map[12932][1]:=$F5DE;map[12932][2]:=$EBC0;
map[12933][1]:=$F5DF;map[12933][2]:=$BFE5;
map[12934][1]:=$F5E0;map[12934][2]:=$BFE6;
map[12935][1]:=$F5E1;map[12935][2]:=$EBC4;
map[12936][1]:=$F5E2;map[12936][2]:=$BFE2;
map[12937][1]:=$F5E3;map[12937][2]:=$C1CE;
map[12938][1]:=$F5E4;map[12938][2]:=$EBC5;
map[12939][1]:=$F5E5;map[12939][2]:=$BFE4;
map[12940][1]:=$F5E6;map[12940][2]:=$C65C;
map[12941][1]:=$F5E7;map[12941][2]:=$C2DA;
map[12942][1]:=$F5E8;map[12942][2]:=$C1D1;
map[12943][1]:=$F5E9;map[12943][2]:=$F75D;
map[12944][1]:=$F5EA;map[12944][2]:=$C3DD;
map[12945][1]:=$F5EB;map[12945][2]:=$C3DA;
map[12946][1]:=$F5EC;map[12946][2]:=$F353;
map[12947][1]:=$F5ED;map[12947][2]:=$C3E0;
map[12948][1]:=$F5EE;map[12948][2]:=$C4BD;
map[12949][1]:=$F5EF;map[12949][2]:=$C66E;
map[12950][1]:=$F5F0;map[12950][2]:=$F75E;
map[12951][1]:=$F5F1;map[12951][2]:=$F761;
map[12952][1]:=$F5F2;map[12952][2]:=$F970;
map[12953][1]:=$F5F3;map[12953][2]:=$F8C3;
map[12954][1]:=$F5F4;map[12954][2]:=$CBA4;
map[12955][1]:=$F5F5;map[12955][2]:=$B649;
map[12956][1]:=$F5F6;map[12956][2]:=$B8E7;
map[12957][1]:=$F5F7;map[12957][2]:=$E05A;
map[12958][1]:=$F5F8;map[12958][2]:=$F0F1;
map[12959][1]:=$F5F9;map[12959][2]:=$EEB7;
map[12960][1]:=$F5FA;map[12960][2]:=$B1D8;
map[12961][1]:=$F5FB;map[12961][2]:=$D7C6;
map[12962][1]:=$F5FC;map[12962][2]:=$C2D2;
map[12963][1]:=$F5FD;map[12963][2]:=$DBD4;
map[12964][1]:=$F5FE;map[12964][2]:=$E043;
map[12965][1]:=$F640;map[12965][2]:=$F3D2;
map[12966][1]:=$F642;map[12966][2]:=$F3CA;
map[12967][1]:=$F644;map[12967][2]:=$F3C9;
map[12968][1]:=$F649;map[12968][2]:=$F3D4;
map[12969][1]:=$F64A;map[12969][2]:=$F3CC;
map[12970][1]:=$F650;map[12970][2]:=$F3D1;
map[12971][1]:=$F65C;map[12971][2]:=$F56F;
map[12972][1]:=$F669;map[12972][2]:=$F56D;
map[12973][1]:=$F66A;map[12973][2]:=$F573;
map[12974][1]:=$F66B;map[12974][2]:=$F571;
map[12975][1]:=$F66F;map[12975][2]:=$F56A;
map[12976][1]:=$F672;map[12976][2]:=$F572;
map[12977][1]:=$F678;map[12977][2]:=$F575;
map[12978][1]:=$F67B;map[12978][2]:=$F574;
map[12979][1]:=$F682;map[12979][2]:=$F6AA;
map[12980][1]:=$F686;map[12980][2]:=$F6B1;
map[12981][1]:=$F689;map[12981][2]:=$F6B0;
map[12982][1]:=$F690;map[12982][2]:=$F6A9;
map[12983][1]:=$F691;map[12983][2]:=$F6AC;
map[12984][1]:=$F699;map[12984][2]:=$F7B3;
map[12985][1]:=$F69B;map[12985][2]:=$F7B6;
map[12986][1]:=$F6A1;map[12986][2]:=$DFFD;
map[12987][1]:=$F6A2;map[12987][2]:=$E448;
map[12988][1]:=$F6A3;map[12988][2]:=$F2F5;
map[12989][1]:=$F6A4;map[12989][2]:=$B8E4;
map[12990][1]:=$F6A5;map[12990][2]:=$F0E7;
map[12991][1]:=$F6A6;map[12991][2]:=$E8B0;
map[12992][1]:=$F6A7;map[12992][2]:=$B3B8;
map[12993][1]:=$F6A8;map[12993][2]:=$C645;
map[12994][1]:=$F6A9;map[12994][2]:=$B6B2;
map[12995][1]:=$F6AA;map[12995][2]:=$BE5E;
map[12996][1]:=$F6AB;map[12996][2]:=$C5B4;
map[12997][1]:=$F6AC;map[12997][2]:=$E8AE;
map[12998][1]:=$F6AD;map[12998][2]:=$C050;
map[12999][1]:=$F6AE;map[12999][2]:=$C04B;
map[13000][1]:=$F6AF;map[13000][2]:=$C3F9;
map[13001][1]:=$F6B0;map[13001][2]:=$C647;
map[13002][1]:=$F6B1;map[13002][2]:=$C4C5;
map[13003][1]:=$F6B2;map[13003][2]:=$C5B5;
map[13004][1]:=$F6B3;map[13004][2]:=$EFB5;
map[13005][1]:=$F6B4;map[13005][2]:=$C4D4;
map[13006][1]:=$F6B5;map[13006][2]:=$F5BE;
map[13007][1]:=$F6B6;map[13007][2]:=$F5BB;
map[13008][1]:=$F6B7;map[13008][2]:=$C568;
map[13009][1]:=$F6B8;map[13009][2]:=$C569;
map[13010][1]:=$F6B9;map[13010][2]:=$C5C5;
map[13011][1]:=$F6BA;map[13011][2]:=$C5C6;
map[13012][1]:=$F6BB;map[13012][2]:=$C653;
map[13013][1]:=$F6BC;map[13013][2]:=$E0EF;
map[13014][1]:=$F6BD;map[13014][2]:=$EFB1;
map[13015][1]:=$F6BE;map[13015][2]:=$F965;
map[13016][1]:=$F6BF;map[13016][2]:=$AB41;
map[13017][1]:=$F6C0;map[13017][2]:=$D447;
map[13018][1]:=$F6C1;map[13018][2]:=$B96D;
map[13019][1]:=$F6C2;map[13019][2]:=$E0D5;
map[13020][1]:=$F6C3;map[13020][2]:=$BBDC;
map[13021][1]:=$F6C4;map[13021][2]:=$C2A3;
map[13022][1]:=$F6C5;map[13022][2]:=$F841;
map[13023][1]:=$F6C6;map[13023][2]:=$E4A9;
map[13024][1]:=$F6C7;map[13024][2]:=$C671;
map[13025][1]:=$F6C8;map[13025][2]:=$E874;
map[13026][1]:=$F6C9;map[13026][2]:=$C3F5;
map[13027][1]:=$F6CA;map[13027][2]:=$EEDE;
map[13028][1]:=$F6CB;map[13028][2]:=$F36C;
map[13029][1]:=$F6CC;map[13029][2]:=$EEDC;
map[13030][1]:=$F6CE;map[13030][2]:=$F8CA;
map[13031][1]:=$F6CF;map[13031][2]:=$BE7B;
map[13032][1]:=$F6D0;map[13032][2]:=$E8DB;
map[13033][1]:=$F6D4;map[13033][2]:=$C674;
map[13034][1]:=$F6D5;map[13034][2]:=$BF71;
map[13035][1]:=$F6D6;map[13035][2]:=$EC7B;
map[13036][1]:=$F6D7;map[13036][2]:=$C64D;
map[13037][1]:=$F6D8;map[13037][2]:=$EC7C;
map[13038][1]:=$F6D9;map[13038][2]:=$C244;
map[13039][1]:=$F6DA;map[13039][2]:=$EF6A;
map[13040][1]:=$F6DB;map[13040][2]:=$C243;
map[13041][1]:=$F6DC;map[13041][2]:=$EF6C;
map[13042][1]:=$F6DD;map[13042][2]:=$F95C;
map[13043][1]:=$F6DE;map[13043][2]:=$C242;
map[13044][1]:=$F6DF;map[13044][2]:=$F3D0;
map[13045][1]:=$F6E0;map[13045][2]:=$F858;
map[13046][1]:=$F6E1;map[13046][2]:=$EF64;
map[13047][1]:=$F6E1;map[13047][2]:=$F1C7;
map[13048][1]:=$F6E2;map[13048][2]:=$F9CE;
map[13049][1]:=$F6E3;map[13049][2]:=$C5BF;
map[13050][1]:=$F6E4;map[13050][2]:=$F7AE;
map[13051][1]:=$F6E5;map[13051][2]:=$F6AD;
map[13052][1]:=$F6E6;map[13052][2]:=$F7B2;
map[13053][1]:=$F6E7;map[13053][2]:=$C358;
map[13054][1]:=$F6E8;map[13054][2]:=$C354;
map[13055][1]:=$F6E9;map[13055][2]:=$F1C3;
map[13056][1]:=$F6EA;map[13056][2]:=$C356;
map[13057][1]:=$F6EB;map[13057][2]:=$C44A;
map[13058][1]:=$F6EC;map[13058][2]:=$F3C7;
map[13059][1]:=$F6ED;map[13059][2]:=$F3C8;
map[13060][1]:=$F6EE;map[13060][2]:=$F3D6;
map[13061][1]:=$F6EF;map[13061][2]:=$F3CB;
map[13062][1]:=$F6F0;map[13062][2]:=$C449;
map[13063][1]:=$F6F2;map[13063][2]:=$F3CD;
map[13064][1]:=$F6F3;map[13064][2]:=$F3CE;
map[13065][1]:=$F6F4;map[13065][2]:=$C44B;
map[13066][1]:=$F6F6;map[13066][2]:=$F3CF;
map[13067][1]:=$F6F8;map[13067][2]:=$F56B;
map[13068][1]:=$F6F9;map[13068][2]:=$C673;
map[13069][1]:=$F6FA;map[13069][2]:=$C4CF;
map[13070][1]:=$F6FB;map[13070][2]:=$F56E;
map[13071][1]:=$F6FC;map[13071][2]:=$F576;
map[13072][1]:=$F741;map[13072][2]:=$F7B5;
map[13073][1]:=$F743;map[13073][2]:=$F7AC;
map[13074][1]:=$F744;map[13074][2]:=$F570;
map[13075][1]:=$F745;map[13075][2]:=$F7B0;
map[13076][1]:=$F748;map[13076][2]:=$F7AD;
map[13077][1]:=$F74A;map[13077][2]:=$F7AA;
map[13078][1]:=$F74E;map[13078][2]:=$F85A;
map[13079][1]:=$F74F;map[13079][2]:=$F85C;
map[13080][1]:=$F750;map[13080][2]:=$F85F;
map[13081][1]:=$F751;map[13081][2]:=$F85B;
map[13082][1]:=$F752;map[13082][2]:=$F860;
map[13083][1]:=$F754;map[13083][2]:=$F859;
map[13084][1]:=$F759;map[13084][2]:=$F85D;
map[13085][1]:=$F75D;map[13085][2]:=$F85E;
map[13086][1]:=$F762;map[13086][2]:=$F8DA;
map[13087][1]:=$F766;map[13087][2]:=$F8D9;
map[13088][1]:=$F76A;map[13088][2]:=$F8D8;
map[13089][1]:=$F772;map[13089][2]:=$F95B;
map[13090][1]:=$F775;map[13090][2]:=$F979;
map[13091][1]:=$F777;map[13091][2]:=$F978;
map[13092][1]:=$F778;map[13092][2]:=$F977;
map[13093][1]:=$F779;map[13093][2]:=$F97A;
map[13094][1]:=$F77D;map[13094][2]:=$F9CA;
map[13095][1]:=$F781;map[13095][2]:=$E0EA;
map[13096][1]:=$F783;map[13096][2]:=$E8E1;
map[13097][1]:=$F785;map[13097][2]:=$EC7D;
map[13098][1]:=$F787;map[13098][2]:=$EC7A;
map[13099][1]:=$F78B;map[13099][2]:=$EF6E;
map[13100][1]:=$F78E;map[13100][2]:=$F8DB;
map[13101][1]:=$F790;map[13101][2]:=$F1CB;
map[13102][1]:=$F792;map[13102][2]:=$F3D5;
map[13103][1]:=$F795;map[13103][2]:=$F95A;
map[13104][1]:=$F796;map[13104][2]:=$F56C;
map[13105][1]:=$F79C;map[13105][2]:=$F6AB;
map[13106][1]:=$F79E;map[13106][2]:=$F7B1;
map[13107][1]:=$F7A1;map[13107][2]:=$C652;
map[13108][1]:=$F7A1;map[13108][2]:=$F7B4;
map[13109][1]:=$F7A2;map[13109][2]:=$C55F;
map[13110][1]:=$F7A3;map[13110][2]:=$F6AE;
map[13111][1]:=$F7A4;map[13111][2]:=$C560;
map[13112][1]:=$F7A5;map[13112][2]:=$F6AF;
map[13113][1]:=$F7A6;map[13113][2]:=$F7AF;
map[13114][1]:=$F7A7;map[13114][2]:=$C5C0;
map[13115][1]:=$F7A8;map[13115][2]:=$F7AB;
map[13116][1]:=$F7A9;map[13116][2]:=$C5C1;
map[13117][1]:=$F7AC;map[13117][2]:=$C5ED;
map[13118][1]:=$F7AD;map[13118][2]:=$C5EB;
map[13119][1]:=$F7AE;map[13119][2]:=$F857;
map[13120][1]:=$F7AF;map[13120][2]:=$F8D7;
map[13121][1]:=$F7B0;map[13121][2]:=$BBDE;
map[13122][1]:=$F7B1;map[13122][2]:=$BBDF;
map[13123][1]:=$F7B2;map[13123][2]:=$C5B6;
map[13124][1]:=$F7B4;map[13124][2]:=$EC56;
map[13125][1]:=$F7B5;map[13125][2]:=$C669;
map[13126][1]:=$F7B6;map[13126][2]:=$F17C;
map[13127][1]:=$F7B7;map[13127][2]:=$C2FD;
map[13128][1]:=$F7B9;map[13128][2]:=$F3A4;
map[13129][1]:=$F7BA;map[13129][2]:=$E4DA;
map[13130][1]:=$F7BB;map[13130][2]:=$BBEB;
map[13131][1]:=$F7BC;map[13131][2]:=$BE75;
map[13132][1]:=$F7BD;map[13132][2]:=$F6BC;
map[13133][1]:=$F7C0;map[13133][2]:=$C066;
map[13134][1]:=$F7C1;map[13134][2]:=$C34E;
map[13135][1]:=$F7C2;map[13135][2]:=$F1B9;
map[13136][1]:=$F7C3;map[13136][2]:=$C55C;
map[13137][1]:=$F7C4;map[13137][2]:=$F3C1;
map[13138][1]:=$F7C5;map[13138][2]:=$C662;
map[13139][1]:=$F7C6;map[13139][2]:=$F8D4;
map[13140][1]:=$F7C7;map[13140][2]:=$C5EA;
map[13141][1]:=$F7C8;map[13141][2]:=$BE79;
map[13142][1]:=$F7C9;map[13142][2]:=$E8D9;
map[13143][1]:=$F7CA;map[13143][2]:=$C64C;
map[13144][1]:=$F7CB;map[13144][2]:=$C352;
map[13145][1]:=$F7CC;map[13145][2]:=$EF69;
map[13146][1]:=$F7CD;map[13146][2]:=$C353;
map[13147][1]:=$F7CE;map[13147][2]:=$C55E;
map[13148][1]:=$F7CF;map[13148][2]:=$C557;
map[13149][1]:=$F7D0;map[13149][2]:=$C5E4;
map[13150][1]:=$F7D1;map[13150][2]:=$C34B;
map[13151][1]:=$F7D2;map[13151][2]:=$C5B9;
map[13152][1]:=$F7D3;map[13152][2]:=$F776;
map[13153][1]:=$F7D4;map[13153][2]:=$D449;
map[13154][1]:=$F7D5;map[13154][2]:=$B9A6;
map[13155][1]:=$F7D6;map[13155][2]:=$BBEC;
map[13156][1]:=$F7D7;map[13156][2]:=$BE77;
map[13157][1]:=$F7D8;map[13157][2]:=$E8D4;
map[13158][1]:=$F7D9;map[13158][2]:=$C067;
map[13159][1]:=$F7DA;map[13159][2]:=$C068;
map[13160][1]:=$F7DB;map[13160][2]:=$EC70;
map[13161][1]:=$F7DC;map[13161][2]:=$F1BB;
map[13162][1]:=$F7DE;map[13162][2]:=$C64B;
map[13163][1]:=$F7DF;map[13163][2]:=$F855;
map[13164][1]:=$F7E0;map[13164][2]:=$C663;
map[13165][1]:=$F7E2;map[13165][2]:=$BEA3;
map[13166][1]:=$F7E3;map[13166][2]:=$EDDD;
map[13167][1]:=$F7E4;map[13167][2]:=$B9A8;
map[13168][1]:=$F7E5;map[13168][2]:=$ECB1;
map[13169][1]:=$F7E6;map[13169][2]:=$ECAF;
map[13170][1]:=$F7E7;map[13170][2]:=$C247;
map[13171][1]:=$F7E8;map[13171][2]:=$C451;
map[13172][1]:=$F7E9;map[13172][2]:=$C3EF;
map[13173][1]:=$F7EA;map[13173][2]:=$C565;
map[13174][1]:=$F7EB;map[13174][2]:=$C5EF;
map[13175][1]:=$F7EC;map[13175][2]:=$C24C;
map[13176][1]:=$F7ED;map[13176][2]:=$C24A;
map[13177][1]:=$F7EE;map[13177][2]:=$C24B;
map[13178][1]:=$F7EF;map[13178][2]:=$C35C;
map[13179][1]:=$F7F0;map[13179][2]:=$F1E0;
map[13180][1]:=$F7F2;map[13180][2]:=$C675;
map[13181][1]:=$F7F3;map[13181][2]:=$F5B6;
map[13182][1]:=$F7F4;map[13182][2]:=$F5B4;
map[13183][1]:=$F7F5;map[13183][2]:=$F876;
map[13184][1]:=$F7F6;map[13184][2]:=$C566;
map[13185][1]:=$F7F7;map[13185][2]:=$EFB4;
map[13186][1]:=$F7F8;map[13186][2]:=$C35E;
map[13187][1]:=$F7F9;map[13187][2]:=$C4D3;
map[13188][1]:=$F7FA;map[13188][2]:=$C5C4;
map[13189][1]:=$F7FB;map[13189][2]:=$F87B;
map[13190][1]:=$F7FC;map[13190][2]:=$ECB8;
map[13191][1]:=$F7FD;map[13191][2]:=$C24D;
map[13192][1]:=$F7FE;map[13192][2]:=$F966;
map[13193][1]:=$F840;map[13193][2]:=$F8D6;
map[13194][1]:=$F843;map[13194][2]:=$DCAF;
map[13195][1]:=$F847;map[13195][2]:=$E0EB;
map[13196][1]:=$F84A;map[13196][2]:=$E0EC;
map[13197][1]:=$F84E;map[13197][2]:=$E4E2;
map[13198][1]:=$F852;map[13198][2]:=$E4E4;
map[13199][1]:=$F854;map[13199][2]:=$E8E8;
map[13200][1]:=$F856;map[13200][2]:=$E8EB;
map[13201][1]:=$F857;map[13201][2]:=$E8E5;
map[13202][1]:=$F858;map[13202][2]:=$E8EC;
map[13203][1]:=$F859;map[13203][2]:=$E8E4;
map[13204][1]:=$F85A;map[13204][2]:=$E8E6;
map[13205][1]:=$F85C;map[13205][2]:=$E8E7;
map[13206][1]:=$F85D;map[13206][2]:=$E8EA;
map[13207][1]:=$F860;map[13207][2]:=$BEA1;
map[13208][1]:=$F861;map[13208][2]:=$E8EF;
map[13209][1]:=$F862;map[13209][2]:=$E8EE;
map[13210][1]:=$F865;map[13210][2]:=$E8ED;
map[13211][1]:=$F86D;map[13211][2]:=$ECAC;
map[13212][1]:=$F871;map[13212][2]:=$ECA7;
map[13213][1]:=$F874;map[13213][2]:=$ECA4;
map[13214][1]:=$F875;map[13214][2]:=$ECAA;
map[13215][1]:=$F876;map[13215][2]:=$ECAD;
map[13216][1]:=$F87D;map[13216][2]:=$ECA5;
map[13217][1]:=$F880;map[13217][2]:=$ECAB;
map[13218][1]:=$F883;map[13218][2]:=$ECA3;
map[13219][1]:=$F887;map[13219][2]:=$ECA8;
map[13220][1]:=$F88B;map[13220][2]:=$EFA9;
map[13221][1]:=$F88C;map[13221][2]:=$EF7A;
map[13222][1]:=$F88F;map[13222][2]:=$EF7C;
map[13223][1]:=$F891;map[13223][2]:=$EF76;
map[13224][1]:=$F894;map[13224][2]:=$EF79;
map[13225][1]:=$F895;map[13225][2]:=$EFA5;
map[13226][1]:=$F896;map[13226][2]:=$EF7D;
map[13227][1]:=$F89B;map[13227][2]:=$EFA7;
map[13228][1]:=$F89C;map[13228][2]:=$EFA4;
map[13229][1]:=$F89E;map[13229][2]:=$EFA6;
map[13230][1]:=$F89F;map[13230][2]:=$EF77;
map[13231][1]:=$F942;map[13231][2]:=$EFA1;
map[13232][1]:=$F947;map[13232][2]:=$F1D2;
map[13233][1]:=$F948;map[13233][2]:=$F1D4;
map[13234][1]:=$F949;map[13234][2]:=$F1D7;
map[13235][1]:=$F94C;map[13235][2]:=$F1D1;
map[13236][1]:=$F951;map[13236][2]:=$F1DA;
map[13237][1]:=$F953;map[13237][2]:=$F1D6;
map[13238][1]:=$F954;map[13238][2]:=$F1D8;
map[13239][1]:=$F955;map[13239][2]:=$F1DC;
map[13240][1]:=$F956;map[13240][2]:=$F1D5;
map[13241][1]:=$F957;map[13241][2]:=$F1DD;
map[13242][1]:=$F958;map[13242][2]:=$F1D3;
map[13243][1]:=$F95C;map[13243][2]:=$F1DB;
map[13244][1]:=$F964;map[13244][2]:=$EF78;
map[13245][1]:=$F965;map[13245][2]:=$F3F1;
map[13246][1]:=$F966;map[13246][2]:=$F3E8;
map[13247][1]:=$F968;map[13247][2]:=$F3E4;
map[13248][1]:=$F96D;map[13248][2]:=$F3E7;
map[13249][1]:=$F96E;map[13249][2]:=$F3DD;
map[13250][1]:=$F970;map[13250][2]:=$F3EA;
map[13251][1]:=$F971;map[13251][2]:=$F3E5;
map[13252][1]:=$F972;map[13252][2]:=$F3E6;
map[13253][1]:=$F975;map[13253][2]:=$F3DF;
map[13254][1]:=$F976;map[13254][2]:=$F3EE;
map[13255][1]:=$F978;map[13255][2]:=$F3EB;
map[13256][1]:=$F97A;map[13256][2]:=$F3E3;
map[13257][1]:=$F97C;map[13257][2]:=$F3EF;
map[13258][1]:=$F97D;map[13258][2]:=$F3DE;
map[13259][1]:=$F97E;map[13259][2]:=$F3D9;
map[13260][1]:=$F980;map[13260][2]:=$F3EC;
map[13261][1]:=$F982;map[13261][2]:=$F3DB;
map[13262][1]:=$F983;map[13262][2]:=$F3E9;
map[13263][1]:=$F984;map[13263][2]:=$F3E0;
map[13264][1]:=$F986;map[13264][2]:=$F3DC;
map[13265][1]:=$F989;map[13265][2]:=$F3E1;
map[13266][1]:=$F98A;map[13266][2]:=$F3E2;
map[13267][1]:=$F98E;map[13267][2]:=$F57D;
map[13268][1]:=$F990;map[13268][2]:=$F57B;
map[13269][1]:=$F992;map[13269][2]:=$F5A2;
map[13270][1]:=$F995;map[13270][2]:=$F5A5;
map[13271][1]:=$F997;map[13271][2]:=$F578;
map[13272][1]:=$F999;map[13272][2]:=$F57E;
map[13273][1]:=$F99A;map[13273][2]:=$F5A3;
map[13274][1]:=$F99B;map[13274][2]:=$F57A;
map[13275][1]:=$F99C;map[13275][2]:=$F5AA;
map[13276][1]:=$F99D;map[13276][2]:=$F577;
map[13277][1]:=$F99E;map[13277][2]:=$F5A1;
map[13278][1]:=$F9A0;map[13278][2]:=$F5A8;
map[13279][1]:=$FA40;map[13279][2]:=$F5AB;
map[13280][1]:=$FA43;map[13280][2]:=$F5AF;
map[13281][1]:=$FA44;map[13281][2]:=$F5B0;
map[13282][1]:=$FA45;map[13282][2]:=$F5A9;
map[13283][1]:=$FA47;map[13283][2]:=$F5A4;
map[13284][1]:=$FA4A;map[13284][2]:=$F6C4;
map[13285][1]:=$FA4E;map[13285][2]:=$F6C3;
map[13286][1]:=$FA50;map[13286][2]:=$F6C6;
map[13287][1]:=$FA52;map[13287][2]:=$F6BD;
map[13288][1]:=$FA53;map[13288][2]:=$F6B3;
map[13289][1]:=$FA54;map[13289][2]:=$F6B2;
map[13290][1]:=$FA55;map[13290][2]:=$C564;
map[13291][1]:=$FA5B;map[13291][2]:=$F6B9;
map[13292][1]:=$FA60;map[13292][2]:=$F6BB;
map[13293][1]:=$FA62;map[13293][2]:=$F6BA;
map[13294][1]:=$FA64;map[13294][2]:=$F6B6;
map[13295][1]:=$FA65;map[13295][2]:=$F6C2;
map[13296][1]:=$FA68;map[13296][2]:=$F7BB;
map[13297][1]:=$FA69;map[13297][2]:=$F6C5;
map[13298][1]:=$FA6A;map[13298][2]:=$F6C7;
map[13299][1]:=$FA6B;map[13299][2]:=$F6BE;
map[13300][1]:=$FA6C;map[13300][2]:=$F6B8;
map[13301][1]:=$FA6D;map[13301][2]:=$F7BC;
map[13302][1]:=$FA6E;map[13302][2]:=$F7BE;
map[13303][1]:=$FA6F;map[13303][2]:=$F7B8;
map[13304][1]:=$FA72;map[13304][2]:=$F7C5;
map[13305][1]:=$FA75;map[13305][2]:=$F7C2;
map[13306][1]:=$FA78;map[13306][2]:=$F7B7;
map[13307][1]:=$FA79;map[13307][2]:=$F7BD;
map[13308][1]:=$FA7A;map[13308][2]:=$F7C6;
map[13309][1]:=$FA7B;map[13309][2]:=$F7B9;
map[13310][1]:=$FA7C;map[13310][2]:=$F7BF;
map[13311][1]:=$FA7E;map[13311][2]:=$F869;
map[13312][1]:=$FA80;map[13312][2]:=$F86E;
map[13313][1]:=$FA81;map[13313][2]:=$F864;
map[13314][1]:=$FA82;map[13314][2]:=$F867;
map[13315][1]:=$FA86;map[13315][2]:=$F872;
map[13316][1]:=$FA87;map[13316][2]:=$F7C0;
map[13317][1]:=$FA8A;map[13317][2]:=$F86F;
map[13318][1]:=$FA8B;map[13318][2]:=$F873;
map[13319][1]:=$FA8C;map[13319][2]:=$F86A;
map[13320][1]:=$FA93;map[13320][2]:=$F7C4;
map[13321][1]:=$FA94;map[13321][2]:=$F868;
map[13322][1]:=$FA95;map[13322][2]:=$F862;
map[13323][1]:=$FA99;map[13323][2]:=$F861;
map[13324][1]:=$FA9B;map[13324][2]:=$F8E6;
map[13325][1]:=$FA9C;map[13325][2]:=$F8DD;
map[13326][1]:=$FA9D;map[13326][2]:=$F8E5;
map[13327][1]:=$FA9E;map[13327][2]:=$F8E2;
map[13328][1]:=$FA9F;map[13328][2]:=$F8E3;
map[13329][1]:=$FAA0;map[13329][2]:=$F8DC;
map[13330][1]:=$FB40;map[13330][2]:=$F8DF;
map[13331][1]:=$FB41;map[13331][2]:=$F8E7;
map[13332][1]:=$FB42;map[13332][2]:=$F8E1;
map[13333][1]:=$FB43;map[13333][2]:=$F8E0;
map[13334][1]:=$FB46;map[13334][2]:=$F8E4;
map[13335][1]:=$FB48;map[13335][2]:=$F95D;
map[13336][1]:=$FB4A;map[13336][2]:=$F95E;
map[13337][1]:=$FB4D;map[13337][2]:=$F95F;
map[13338][1]:=$FB4E;map[13338][2]:=$F962;
map[13339][1]:=$FB4F;map[13339][2]:=$F961;
map[13340][1]:=$FB50;map[13340][2]:=$F97C;
map[13341][1]:=$FB51;map[13341][2]:=$F97B;
map[13342][1]:=$FB54;map[13342][2]:=$F9B8;
map[13343][1]:=$FB56;map[13343][2]:=$F9C5;
map[13344][1]:=$FB5C;map[13344][2]:=$E4E3;
map[13345][1]:=$FB5D;map[13345][2]:=$F6C1;
map[13346][1]:=$FB5E;map[13346][2]:=$ECA6;
map[13347][1]:=$FB5F;map[13347][2]:=$C06F;
map[13348][1]:=$FB62;map[13348][2]:=$EFA3;
map[13349][1]:=$FB64;map[13349][2]:=$F579;
map[13350][1]:=$FB66;map[13350][2]:=$F3DA;
map[13351][1]:=$FB67;map[13351][2]:=$F3D8;
map[13352][1]:=$FB68;map[13352][2]:=$F865;
map[13353][1]:=$FB69;map[13353][2]:=$F5A6;
map[13354][1]:=$FB6A;map[13354][2]:=$F5AE;
map[13355][1]:=$FB6B;map[13355][2]:=$F6B7;
map[13356][1]:=$FB6C;map[13356][2]:=$F6C8;
map[13357][1]:=$FB6D;map[13357][2]:=$F6BF;
map[13358][1]:=$FB6E;map[13358][2]:=$F6C0;
map[13359][1]:=$FB6F;map[13359][2]:=$F6B5;
map[13360][1]:=$FB70;map[13360][2]:=$F7C3;
map[13361][1]:=$FB72;map[13361][2]:=$F8DE;
map[13362][1]:=$FB73;map[13362][2]:=$F960;
map[13363][1]:=$FB7E;map[13363][2]:=$E0EE;
map[13364][1]:=$FB81;map[13364][2]:=$E8F0;
map[13365][1]:=$FB84;map[13365][2]:=$ECB0;
map[13366][1]:=$FB85;map[13366][2]:=$EFAB;
map[13367][1]:=$FB86;map[13367][2]:=$EFAA;
map[13368][1]:=$FB87;map[13368][2]:=$F1DF;
map[13369][1]:=$FB88;map[13369][2]:=$EFAC;
map[13370][1]:=$FB89;map[13370][2]:=$F1DE;
map[13371][1]:=$FB8C;map[13371][2]:=$F3F3;
map[13372][1]:=$FB8D;map[13372][2]:=$F3F2;
map[13373][1]:=$FB92;map[13373][2]:=$F5B1;
map[13374][1]:=$FB93;map[13374][2]:=$F5B3;
map[13375][1]:=$FB94;map[13375][2]:=$F5B2;
map[13376][1]:=$FB95;map[13376][2]:=$F6CA;
map[13377][1]:=$FB97;map[13377][2]:=$F8E8;
map[13378][1]:=$FB98;map[13378][2]:=$F963;
map[13379][1]:=$FB9B;map[13379][2]:=$F9D2;
map[13380][1]:=$FB9D;map[13380][2]:=$E4E5;
map[13381][1]:=$FC42;map[13381][2]:=$ECB3;
map[13382][1]:=$FC43;map[13382][2]:=$ECB2;
map[13383][1]:=$FC45;map[13383][2]:=$EFAD;
map[13384][1]:=$FC4A;map[13384][2]:=$F7C7;
map[13385][1]:=$FC4B;map[13385][2]:=$F9CB;
map[13386][1]:=$FC50;map[13386][2]:=$F3F4;
map[13387][1]:=$FC52;map[13387][2]:=$F874;
map[13388][1]:=$FC57;map[13388][2]:=$EFAE;
map[13389][1]:=$FC5B;map[13389][2]:=$F875;
map[13390][1]:=$FC5D;map[13390][2]:=$E8F1;
map[13391][1]:=$FC5E;map[13391][2]:=$ECB4;
map[13392][1]:=$FC5F;map[13392][2]:=$ECB5;
map[13393][1]:=$FC62;map[13393][2]:=$EFAF;
map[13394][1]:=$FC64;map[13394][2]:=$F97D;
map[13395][1]:=$FC66;map[13395][2]:=$F5B5;
map[13396][1]:=$FC67;map[13396][2]:=$F5B7;
map[13397][1]:=$FC69;map[13397][2]:=$F6CB;
map[13398][1]:=$FC6B;map[13398][2]:=$F6CD;
map[13399][1]:=$FC6C;map[13399][2]:=$F6CC;
map[13400][1]:=$FC6D;map[13400][2]:=$F7C8;
map[13401][1]:=$FC70;map[13401][2]:=$F877;
map[13402][1]:=$FC72;map[13402][2]:=$F964;
map[13403][1]:=$FC76;map[13403][2]:=$ECB6;
map[13404][1]:=$FC79;map[13404][2]:=$F1E2;
map[13405][1]:=$FC7A;map[13405][2]:=$F1E1;
map[13406][1]:=$FC80;map[13406][2]:=$F878;
map[13407][1]:=$FC84;map[13407][2]:=$F97E;
map[13408][1]:=$FC86;map[13408][2]:=$E8F2;
map[13409][1]:=$FC88;map[13409][2]:=$ECB7;
map[13410][1]:=$FC8B;map[13410][2]:=$F1E3;
map[13411][1]:=$FC8C;map[13411][2]:=$F6CF;
map[13412][1]:=$FC8D;map[13412][2]:=$F6D0;
map[13413][1]:=$FC8E;map[13413][2]:=$F6CE;
map[13414][1]:=$FC8F;map[13414][2]:=$F879;
map[13415][1]:=$FC91;map[13415][2]:=$F8E9;
map[13416][1]:=$FC94;map[13416][2]:=$EFB3;
map[13417][1]:=$FC95;map[13417][2]:=$EFB2;
map[13418][1]:=$FC96;map[13418][2]:=$F1E4;
map[13419][1]:=$FC99;map[13419][2]:=$F1E8;
map[13420][1]:=$FC9A;map[13420][2]:=$F1E7;
map[13421][1]:=$FC9B;map[13421][2]:=$F1E6;
map[13422][1]:=$FC9C;map[13422][2]:=$F1E5;
map[13423][1]:=$FC9D;map[13423][2]:=$F3F6;
map[13424][1]:=$FC9E;map[13424][2]:=$F5B9;
map[13425][1]:=$FC9F;map[13425][2]:=$F5B8;
map[13426][1]:=$FCA0;map[13426][2]:=$F6D1;
map[13427][1]:=$FD40;map[13427][2]:=$F7CB;
map[13428][1]:=$FD41;map[13428][2]:=$F7CA;
map[13429][1]:=$FD43;map[13429][2]:=$F7C9;
map[13430][1]:=$FD44;map[13430][2]:=$F87C;
map[13431][1]:=$FD45;map[13431][2]:=$F87A;
map[13432][1]:=$FD49;map[13432][2]:=$F3F7;
map[13433][1]:=$FD4A;map[13433][2]:=$F3F8;
map[13434][1]:=$FD4B;map[13434][2]:=$F7CC;
map[13435][1]:=$FD4C;map[13435][2]:=$F87D;
map[13436][1]:=$FD4E;map[13436][2]:=$F8EA;
map[13437][1]:=$FD50;map[13437][2]:=$F9B9;
map[13438][1]:=$FD51;map[13438][2]:=$F9D4;
map[13439][1]:=$FD54;map[13439][2]:=$F1E9;
map[13440][1]:=$FD55;map[13440][2]:=$F3F9;
map[13441][1]:=$FD5C;map[13441][2]:=$F3FA;
map[13442][1]:=$FD5E;map[13442][2]:=$F3FC;
map[13443][1]:=$FD61;map[13443][2]:=$F5BA;
map[13444][1]:=$FD63;map[13444][2]:=$F5BD;
map[13445][1]:=$FD64;map[13445][2]:=$F5BC;
map[13446][1]:=$FD6A;map[13446][2]:=$F6D4;
map[13447][1]:=$FD6B;map[13447][2]:=$F6D3;
map[13448][1]:=$FD71;map[13448][2]:=$F7CD;
map[13449][1]:=$FD74;map[13449][2]:=$F8A3;
map[13450][1]:=$FD75;map[13450][2]:=$F8A4;
map[13451][1]:=$FD76;map[13451][2]:=$F8A2;
map[13452][1]:=$FD77;map[13452][2]:=$F8A1;
map[13453][1]:=$FD7A;map[13453][2]:=$F8EB;
map[13454][1]:=$FD7B;map[13454][2]:=$F8EC;
map[13455][1]:=$FD7E;map[13455][2]:=$F967;
map[13456][1]:=$FD80;map[13456][2]:=$F96A;
map[13457][1]:=$FD81;map[13457][2]:=$F969;
map[13458][1]:=$FD82;map[13458][2]:=$F968;
map[13459][1]:=$FD85;map[13459][2]:=$F9D3;
map[13460][1]:=$FD86;map[13460][2]:=$F1EA;
map[13461][1]:=$FD87;map[13461][2]:=$F3FB;
map[13462][1]:=$FD8C;map[13462][2]:=$F5BF;
map[13463][1]:=$FD8D;map[13463][2]:=$F6D5;
map[13464][1]:=$FD93;map[13464][2]:=$F9D5;
map[13465][1]:=$FD98;map[13465][2]:=$F7CF;
map[13466][1]:=$FD9A;map[13466][2]:=$F9A1;
map[13467][1]:=$FE40;map[13467][2]:=$C94A;
map[13468][1]:=$FE41;map[13468][2]:=$DDFC;

//=================================================
map2[1][1]:=$A140;map2[1][2]:=$A1A1;
map2[2][1]:=$A141;map2[2][2]:=$A3AC;
map2[3][1]:=$A142;map2[3][2]:=$A1A2;
map2[4][1]:=$A143;map2[4][2]:=$A1A3;
map2[5][1]:=$A144;map2[5][2]:=$A3AE;
map2[6][1]:=$A145;map2[6][2]:=$A3AE;
map2[7][1]:=$A146;map2[7][2]:=$A3BB;
map2[8][1]:=$A147;map2[8][2]:=$A3BA;
map2[9][1]:=$A148;map2[9][2]:=$A3BF;
map2[10][1]:=$A149;map2[10][2]:=$A3A1;
map2[11][1]:=$A14A;map2[11][2]:=$A955;
map2[12][1]:=$A14B;map2[12][2]:=$A1AD;
map2[13][1]:=$A14C;map2[13][2]:=$A845;
map2[14][1]:=$A14D;map2[14][2]:=$A96F;
map2[15][1]:=$A14E;map2[15][2]:=$A970;
map2[16][1]:=$A14F;map2[16][2]:=$A971;
map2[17][1]:=$A150;map2[17][2]:=$A1A4;
map2[18][1]:=$A151;map2[18][2]:=$A972;
map2[19][1]:=$A152;map2[19][2]:=$A973;
map2[20][1]:=$A153;map2[20][2]:=$A974;
map2[21][1]:=$A154;map2[21][2]:=$A975;
map2[22][1]:=$A155;map2[22][2]:=$A3FC;
map2[23][1]:=$A156;map2[23][2]:=$A981;
map2[24][1]:=$A157;map2[24][2]:=$A6F2;
map2[25][1]:=$A158;map2[25][2]:=$A3AD;
map2[26][1]:=$A159;map2[26][2]:=$A6F4;
map2[27][1]:=$A15A;map2[27][2]:=$A3DF;
map2[28][1]:=$A15B;map2[28][2]:=$A6F5;
map2[29][1]:=$A15C;map2[29][2]:=$A96E;
map2[30][1]:=$A15D;map2[30][2]:=$A3A8;
map2[31][1]:=$A15E;map2[31][2]:=$A3A9;
map2[32][1]:=$A15F;map2[32][2]:=$A6E0;
map2[33][1]:=$A160;map2[33][2]:=$A6E1;
map2[34][1]:=$A161;map2[34][2]:=$A3FB;
map2[35][1]:=$A162;map2[35][2]:=$A3FD;
map2[36][1]:=$A163;map2[36][2]:=$A6F0;
map2[37][1]:=$A164;map2[37][2]:=$A6F1;
map2[38][1]:=$A165;map2[38][2]:=$A1B2;
map2[39][1]:=$A166;map2[39][2]:=$A1B3;
map2[40][1]:=$A167;map2[40][2]:=$A6E2;
map2[41][1]:=$A168;map2[41][2]:=$A6E3;
map2[42][1]:=$A169;map2[42][2]:=$A1BE;
map2[43][1]:=$A16A;map2[43][2]:=$A1BF;
map2[44][1]:=$A16B;map2[44][2]:=$A6EE;
map2[45][1]:=$A16C;map2[45][2]:=$A6EF;
map2[46][1]:=$A16D;map2[46][2]:=$A1B6;
map2[47][1]:=$A16E;map2[47][2]:=$A1B7;
map2[48][1]:=$A16F;map2[48][2]:=$A6E6;
map2[49][1]:=$A170;map2[49][2]:=$A6E7;
map2[50][1]:=$A171;map2[50][2]:=$A1B4;
map2[51][1]:=$A172;map2[51][2]:=$A1B5;
map2[52][1]:=$A173;map2[52][2]:=$A6E4;
map2[53][1]:=$A174;map2[53][2]:=$A6E5;
map2[54][1]:=$A175;map2[54][2]:=$A1B8;
map2[55][1]:=$A176;map2[55][2]:=$A1B9;
map2[56][1]:=$A177;map2[56][2]:=$A6E8;
map2[57][1]:=$A178;map2[57][2]:=$A6E9;
map2[58][1]:=$A179;map2[58][2]:=$A1BA;
map2[59][1]:=$A17A;map2[59][2]:=$A1BB;
map2[60][1]:=$A17B;map2[60][2]:=$A6EA;
map2[61][1]:=$A17C;map2[61][2]:=$A6EB;
map2[62][1]:=$A17D;map2[62][2]:=$A976;
map2[63][1]:=$A17E;map2[63][2]:=$A977;
map2[64][1]:=$A1A1;map2[64][2]:=$A978;
map2[65][1]:=$A1A2;map2[65][2]:=$A979;
map2[66][1]:=$A1A3;map2[66][2]:=$A97A;
map2[67][1]:=$A1A4;map2[67][2]:=$A97B;
map2[68][1]:=$A1A5;map2[68][2]:=$A1AE;
map2[69][1]:=$A1A6;map2[69][2]:=$A1AF;
map2[70][1]:=$A1A7;map2[70][2]:=$A1B0;
map2[71][1]:=$A1A8;map2[71][2]:=$A1B1;
map2[72][1]:=$A1A9;map2[72][2]:=$A894;
map2[73][1]:=$A1AA;map2[73][2]:=$A895;
map2[74][1]:=$A1AB;map2[74][2]:=$A846;
map2[75][1]:=$A1AC;map2[75][2]:=$A1E4;
map2[76][1]:=$A1AD;map2[76][2]:=$A3A3;
map2[77][1]:=$A1AE;map2[77][2]:=$A3A6;
map2[78][1]:=$A1AF;map2[78][2]:=$A3AA;
map2[79][1]:=$A1B0;map2[79][2]:=$A1F9;
map2[80][1]:=$A1B1;map2[80][2]:=$A1EC;
map2[81][1]:=$A1B2;map2[81][2]:=$A1A8;
map2[82][1]:=$A1B3;map2[82][2]:=$A1F0;
map2[83][1]:=$A1B4;map2[83][2]:=$A1F1;
map2[84][1]:=$A1B5;map2[84][2]:=$A1F7;
map2[85][1]:=$A1B6;map2[85][2]:=$A1F8;
map2[86][1]:=$A1B7;map2[86][2]:=$A1F2;
map2[87][1]:=$A1B8;map2[87][2]:=$A1EE;
map2[88][1]:=$A1B9;map2[88][2]:=$A1EF;
map2[89][1]:=$A1BA;map2[89][2]:=$A1F3;
map2[90][1]:=$A1BB;map2[90][2]:=$A1F4;
map2[91][1]:=$A1BC;map2[91][2]:=$A1F5;
map2[92][1]:=$A1BD;map2[92][2]:=$A1F6;
map2[93][1]:=$A1BE;map2[93][2]:=$A88C;
map2[94][1]:=$A1BF;map2[94][2]:=$A88B;
map2[95][1]:=$A1C0;map2[95][2]:=$A949;
map2[96][1]:=$A1C1;map2[96][2]:=$A847;
map2[97][1]:=$A1C2;map2[97][2]:=$A1A5;
map2[98][1]:=$A1C3;map2[98][2]:=$A3FE;
map2[99][1]:=$A1C4;map2[99][2]:=$A3DF;
map2[100][1]:=$A1C5;map2[100][2]:=$A3DF;
map2[101][1]:=$A1C6;map2[101][2]:=$A968;
map2[102][1]:=$A1C7;map2[102][2]:=$A969;
map2[103][1]:=$A1C8;map2[103][2]:=$A96C;
map2[104][1]:=$A1C9;map2[104][2]:=$A96D;
map2[105][1]:=$A1CA;map2[105][2]:=$A96A;
map2[106][1]:=$A1CB;map2[106][2]:=$A96B;
map2[107][1]:=$A1CC;map2[107][2]:=$A97C;
map2[108][1]:=$A1CD;map2[108][2]:=$A97D;
map2[109][1]:=$A1CE;map2[109][2]:=$A97E;
map2[110][1]:=$A1CF;map2[110][2]:=$A3AB;
map2[111][1]:=$A1D0;map2[111][2]:=$A3AD;
map2[112][1]:=$A1D1;map2[112][2]:=$A1C1;
map2[113][1]:=$A1D2;map2[113][2]:=$A1C2;
map2[114][1]:=$A1D3;map2[114][2]:=$A1C0;
map2[115][1]:=$A1D4;map2[115][2]:=$A1CC;
map2[116][1]:=$A1D5;map2[116][2]:=$A3BC;
map2[117][1]:=$A1D6;map2[117][2]:=$A3BE;
map2[118][1]:=$A1D7;map2[118][2]:=$A3BD;
map2[119][1]:=$A1D8;map2[119][2]:=$A851;
map2[120][1]:=$A1D9;map2[120][2]:=$A852;
map2[121][1]:=$A1DA;map2[121][2]:=$A1D9;
map2[122][1]:=$A1DB;map2[122][2]:=$A1DE;
map2[123][1]:=$A1DC;map2[123][2]:=$A850;
map2[124][1]:=$A1DD;map2[124][2]:=$A1D4;
map2[125][1]:=$A1DE;map2[125][2]:=$A980;
map2[126][1]:=$A1DF;map2[126][2]:=$A981;
map2[127][1]:=$A1E0;map2[127][2]:=$A982;
map2[128][1]:=$A1E1;map2[128][2]:=$A983;
map2[129][1]:=$A1E2;map2[129][2]:=$A984;
map2[130][1]:=$A1E3;map2[130][2]:=$A1AB;
map2[131][1]:=$A1E4;map2[131][2]:=$A1C9;
map2[132][1]:=$A1E5;map2[132][2]:=$A1C8;
map2[133][1]:=$A1E6;map2[133][2]:=$A1CD;
map2[134][1]:=$A1E7;map2[134][2]:=$A1CF;
map2[135][1]:=$A1E8;map2[135][2]:=$A84E;
map2[136][1]:=$A1E9;map2[136][2]:=$A853;
map2[137][1]:=$A1EA;map2[137][2]:=$A953;
map2[138][1]:=$A1EB;map2[138][2]:=$A952;
map2[139][1]:=$A1EC;map2[139][2]:=$A1D2;
map2[140][1]:=$A1ED;map2[140][2]:=$A1D3;
map2[141][1]:=$A1EE;map2[141][2]:=$A1DF;
map2[142][1]:=$A1EF;map2[142][2]:=$A1E0;
map2[143][1]:=$A1F0;map2[143][2]:=$A1E2;
map2[144][1]:=$A1F1;map2[144][2]:=$A1E1;
map2[145][1]:=$A1F2;map2[145][2]:=$A892;
map2[146][1]:=$A1F3;map2[146][2]:=$A1D1;
map2[147][1]:=$A1F4;map2[147][2]:=$A1FC;
map2[148][1]:=$A1F5;map2[148][2]:=$A1FD;
map2[149][1]:=$A1F6;map2[149][2]:=$A1FB;
map2[150][1]:=$A1F7;map2[150][2]:=$A1FA;
map2[151][1]:=$A1F8;map2[151][2]:=$A849;
map2[152][1]:=$A1F9;map2[152][2]:=$A84A;
map2[153][1]:=$A1FA;map2[153][2]:=$A84C;
map2[154][1]:=$A1FB;map2[154][2]:=$A84B;
map2[155][1]:=$A1FC;map2[155][2]:=$A1CE;
map2[156][1]:=$A1FD;map2[156][2]:=$A84F;
map2[157][1]:=$A1FE;map2[157][2]:=$A3AF;
map2[158][1]:=$A240;map2[158][2]:=$A3DC;
map2[159][1]:=$A241;map2[159][2]:=$A84D;
map2[160][1]:=$A242;map2[160][2]:=$A985;
map2[161][1]:=$A243;map2[161][2]:=$A1E7;
map2[162][1]:=$A244;map2[162][2]:=$A3A4;
map2[163][1]:=$A245;map2[163][2]:=$A893;
map2[164][1]:=$A246;map2[164][2]:=$A1E9;
map2[165][1]:=$A247;map2[165][2]:=$A1EA;
map2[166][1]:=$A248;map2[166][2]:=$A3A5;
map2[167][1]:=$A249;map2[167][2]:=$A3C0;
map2[168][1]:=$A24A;map2[168][2]:=$A1E6;
map2[169][1]:=$A24B;map2[169][2]:=$A848;
map2[170][1]:=$A24C;map2[170][2]:=$A986;
map2[171][1]:=$A24D;map2[171][2]:=$A987;
map2[172][1]:=$A24E;map2[172][2]:=$A988;
map2[173][1]:=$A24F;map2[173][2]:=$A954;
map2[174][1]:=$A250;map2[174][2]:=$A94C;
map2[175][1]:=$A251;map2[175][2]:=$A94D;
map2[176][1]:=$A252;map2[176][2]:=$A94E;
map2[177][1]:=$A253;map2[177][2]:=$A951;
map2[178][1]:=$A254;map2[178][2]:=$A94F;
map2[179][1]:=$A255;map2[179][2]:=$A94A;
map2[180][1]:=$A256;map2[180][2]:=$A94B;
map2[181][1]:=$A257;map2[181][2]:=$A950;
map2[182][1]:=$A258;map2[182][2]:=$A1E3;
map2[183][1]:=$A259;map2[183][2]:=$83BE;
map2[184][1]:=$A25A;map2[184][2]:=$83BF;
map2[185][1]:=$A25B;map2[185][2]:=$83C1;
map2[186][1]:=$A25C;map2[186][2]:=$83C0;
map2[187][1]:=$A25D;map2[187][2]:=$83C4;
map2[188][1]:=$A25E;map2[188][2]:=$83C5;
map2[189][1]:=$A25F;map2[189][2]:=$86ED;
map2[190][1]:=$A260;map2[190][2]:=$AD99;
map2[191][1]:=$A261;map2[191][2]:=$BC48;
map2[192][1]:=$A262;map2[192][2]:=$A878;
map2[193][1]:=$A263;map2[193][2]:=$A879;
map2[194][1]:=$A264;map2[194][2]:=$A87A;
map2[195][1]:=$A265;map2[195][2]:=$A87B;
map2[196][1]:=$A266;map2[196][2]:=$A87C;
map2[197][1]:=$A267;map2[197][2]:=$A87D;
map2[198][1]:=$A268;map2[198][2]:=$A87E;
map2[199][1]:=$A269;map2[199][2]:=$A880;
map2[200][1]:=$A26A;map2[200][2]:=$A887;
map2[201][1]:=$A26B;map2[201][2]:=$A886;
map2[202][1]:=$A26C;map2[202][2]:=$A885;
map2[203][1]:=$A26D;map2[203][2]:=$A884;
map2[204][1]:=$A26E;map2[204][2]:=$A883;
map2[205][1]:=$A26F;map2[205][2]:=$A882;
map2[206][1]:=$A270;map2[206][2]:=$A881;
map2[207][1]:=$A271;map2[207][2]:=$A9E0;
map2[208][1]:=$A272;map2[208][2]:=$A9D8;
map2[209][1]:=$A273;map2[209][2]:=$A9D0;
map2[210][1]:=$A274;map2[210][2]:=$A9C8;
map2[211][1]:=$A275;map2[211][2]:=$A9C0;
map2[212][1]:=$A276;map2[212][2]:=$A889;
map2[213][1]:=$A277;map2[213][2]:=$A9A4;
map2[214][1]:=$A278;map2[214][2]:=$A9A6;
map2[215][1]:=$A279;map2[215][2]:=$A88A;
map2[216][1]:=$A27A;map2[216][2]:=$A9B0;
map2[217][1]:=$A27B;map2[217][2]:=$A9B4;
map2[218][1]:=$A27C;map2[218][2]:=$A9B8;
map2[219][1]:=$A27D;map2[219][2]:=$A9BC;
map2[220][1]:=$A27E;map2[220][2]:=$A871;
map2[221][1]:=$A2A1;map2[221][2]:=$A872;
map2[222][1]:=$A2A2;map2[222][2]:=$A874;
map2[223][1]:=$A2A3;map2[223][2]:=$A873;
map2[224][1]:=$A2A4;map2[224][2]:=$A854;
map2[225][1]:=$A2A5;map2[225][2]:=$A862;
map2[226][1]:=$A2A6;map2[226][2]:=$A86E;
map2[227][1]:=$A2A7;map2[227][2]:=$A865;
map2[228][1]:=$A2A8;map2[228][2]:=$A88D;
map2[229][1]:=$A2A9;map2[229][2]:=$A88E;
map2[230][1]:=$A2AA;map2[230][2]:=$A890;
map2[231][1]:=$A2AB;map2[231][2]:=$A88F;
map2[232][1]:=$A2AC;map2[232][2]:=$A875;
map2[233][1]:=$A2AD;map2[233][2]:=$A876;
map2[234][1]:=$A2AE;map2[234][2]:=$A877;
map2[235][1]:=$A2AF;map2[235][2]:=$A3B0;
map2[236][1]:=$A2B0;map2[236][2]:=$A3B1;
map2[237][1]:=$A2B1;map2[237][2]:=$A3B2;
map2[238][1]:=$A2B2;map2[238][2]:=$A3B3;
map2[239][1]:=$A2B3;map2[239][2]:=$A3B4;
map2[240][1]:=$A2B4;map2[240][2]:=$A3B5;
map2[241][1]:=$A2B5;map2[241][2]:=$A3B6;
map2[242][1]:=$A2B6;map2[242][2]:=$A3B7;
map2[243][1]:=$A2B7;map2[243][2]:=$A3B8;
map2[244][1]:=$A2B8;map2[244][2]:=$A3B9;
map2[245][1]:=$A2B9;map2[245][2]:=$A2F1;
map2[246][1]:=$A2BA;map2[246][2]:=$A2F2;
map2[247][1]:=$A2BB;map2[247][2]:=$A2F3;
map2[248][1]:=$A2BC;map2[248][2]:=$A2F4;
map2[249][1]:=$A2BD;map2[249][2]:=$A2F5;
map2[250][1]:=$A2BE;map2[250][2]:=$A2F6;
map2[251][1]:=$A2BF;map2[251][2]:=$A2F7;
map2[252][1]:=$A2C0;map2[252][2]:=$A2F8;
map2[253][1]:=$A2C1;map2[253][2]:=$A2F9;
map2[254][1]:=$A2C2;map2[254][2]:=$A2FA;
map2[255][1]:=$A2C3;map2[255][2]:=$A940;
map2[256][1]:=$A2C4;map2[256][2]:=$A941;
map2[257][1]:=$A2C5;map2[257][2]:=$A942;
map2[258][1]:=$A2C6;map2[258][2]:=$A943;
map2[259][1]:=$A2C7;map2[259][2]:=$A944;
map2[260][1]:=$A2C8;map2[260][2]:=$A945;
map2[261][1]:=$A2C9;map2[261][2]:=$A946;
map2[262][1]:=$A2CA;map2[262][2]:=$A947;
map2[263][1]:=$A2CB;map2[263][2]:=$A948;
map2[264][1]:=$A2CC;map2[264][2]:=$CAAE;
map2[265][1]:=$A2CD;map2[265][2]:=$8560;
map2[266][1]:=$A2CE;map2[266][2]:=$D8A6;
map2[267][1]:=$A2CF;map2[267][2]:=$A3C1;
map2[268][1]:=$A2D0;map2[268][2]:=$A3C2;
map2[269][1]:=$A2D1;map2[269][2]:=$A3C3;
map2[270][1]:=$A2D2;map2[270][2]:=$A3C4;
map2[271][1]:=$A2D3;map2[271][2]:=$A3C5;
map2[272][1]:=$A2D4;map2[272][2]:=$A3C6;
map2[273][1]:=$A2D5;map2[273][2]:=$A3C7;
map2[274][1]:=$A2D6;map2[274][2]:=$A3C8;
map2[275][1]:=$A2D7;map2[275][2]:=$A3C9;
map2[276][1]:=$A2D8;map2[276][2]:=$A3CA;
map2[277][1]:=$A2D9;map2[277][2]:=$A3CB;
map2[278][1]:=$A2DA;map2[278][2]:=$A3CC;
map2[279][1]:=$A2DB;map2[279][2]:=$A3CD;
map2[280][1]:=$A2DC;map2[280][2]:=$A3CE;
map2[281][1]:=$A2DD;map2[281][2]:=$A3CF;
map2[282][1]:=$A2DE;map2[282][2]:=$A3D0;
map2[283][1]:=$A2DF;map2[283][2]:=$A3D1;
map2[284][1]:=$A2E0;map2[284][2]:=$A3D2;
map2[285][1]:=$A2E1;map2[285][2]:=$A3D3;
map2[286][1]:=$A2E2;map2[286][2]:=$A3D4;
map2[287][1]:=$A2E3;map2[287][2]:=$A3D5;
map2[288][1]:=$A2E4;map2[288][2]:=$A3D6;
map2[289][1]:=$A2E5;map2[289][2]:=$A3D7;
map2[290][1]:=$A2E6;map2[290][2]:=$A3D8;
map2[291][1]:=$A2E7;map2[291][2]:=$A3D9;
map2[292][1]:=$A2E8;map2[292][2]:=$A3DA;
map2[293][1]:=$A2E9;map2[293][2]:=$A3E1;
map2[294][1]:=$A2EA;map2[294][2]:=$A3E2;
map2[295][1]:=$A2EB;map2[295][2]:=$A3E3;
map2[296][1]:=$A2EC;map2[296][2]:=$A3E4;
map2[297][1]:=$A2ED;map2[297][2]:=$A3E5;
map2[298][1]:=$A2EE;map2[298][2]:=$A3E6;
map2[299][1]:=$A2EF;map2[299][2]:=$A3E7;
map2[300][1]:=$A2F0;map2[300][2]:=$A3E8;
map2[301][1]:=$A2F1;map2[301][2]:=$A3E9;
map2[302][1]:=$A2F2;map2[302][2]:=$A3EA;
map2[303][1]:=$A2F3;map2[303][2]:=$A3EB;
map2[304][1]:=$A2F4;map2[304][2]:=$A3EC;
map2[305][1]:=$A2F5;map2[305][2]:=$A3ED;
map2[306][1]:=$A2F6;map2[306][2]:=$A3EE;
map2[307][1]:=$A2F7;map2[307][2]:=$A3EF;
map2[308][1]:=$A2F8;map2[308][2]:=$A3F0;
map2[309][1]:=$A2F9;map2[309][2]:=$A3F1;
map2[310][1]:=$A2FA;map2[310][2]:=$A3F2;
map2[311][1]:=$A2FB;map2[311][2]:=$A3F3;
map2[312][1]:=$A2FC;map2[312][2]:=$A3F4;
map2[313][1]:=$A2FD;map2[313][2]:=$A3F5;
map2[314][1]:=$A2FE;map2[314][2]:=$A3F6;
map2[315][1]:=$A340;map2[315][2]:=$A3F7;
map2[316][1]:=$A341;map2[316][2]:=$A3F8;
map2[317][1]:=$A342;map2[317][2]:=$A3F9;
map2[318][1]:=$A343;map2[318][2]:=$A3FA;
map2[319][1]:=$A344;map2[319][2]:=$A6A1;
map2[320][1]:=$A345;map2[320][2]:=$A6A2;
map2[321][1]:=$A346;map2[321][2]:=$A6A3;
map2[322][1]:=$A347;map2[322][2]:=$A6A4;
map2[323][1]:=$A348;map2[323][2]:=$A6A5;
map2[324][1]:=$A349;map2[324][2]:=$A6A6;
map2[325][1]:=$A34A;map2[325][2]:=$A6A7;
map2[326][1]:=$A34B;map2[326][2]:=$A6A8;
map2[327][1]:=$A34C;map2[327][2]:=$A6A9;
map2[328][1]:=$A34D;map2[328][2]:=$A6AA;
map2[329][1]:=$A34E;map2[329][2]:=$A6AB;
map2[330][1]:=$A34F;map2[330][2]:=$A6AC;
map2[331][1]:=$A350;map2[331][2]:=$A6AD;
map2[332][1]:=$A351;map2[332][2]:=$A6AE;
map2[333][1]:=$A352;map2[333][2]:=$A6AF;
map2[334][1]:=$A353;map2[334][2]:=$A6B0;
map2[335][1]:=$A354;map2[335][2]:=$A6B1;
map2[336][1]:=$A355;map2[336][2]:=$A6B2;
map2[337][1]:=$A356;map2[337][2]:=$A6B3;
map2[338][1]:=$A357;map2[338][2]:=$A6B4;
map2[339][1]:=$A358;map2[339][2]:=$A6B5;
map2[340][1]:=$A359;map2[340][2]:=$A6B6;
map2[341][1]:=$A35A;map2[341][2]:=$A6B7;
map2[342][1]:=$A35B;map2[342][2]:=$A6B8;
map2[343][1]:=$A35C;map2[343][2]:=$A6C1;
map2[344][1]:=$A35D;map2[344][2]:=$A6C2;
map2[345][1]:=$A35E;map2[345][2]:=$A6C3;
map2[346][1]:=$A35F;map2[346][2]:=$A6C4;
map2[347][1]:=$A360;map2[347][2]:=$A6C5;
map2[348][1]:=$A361;map2[348][2]:=$A6C6;
map2[349][1]:=$A362;map2[349][2]:=$A6C7;
map2[350][1]:=$A363;map2[350][2]:=$A6C8;
map2[351][1]:=$A364;map2[351][2]:=$A6C9;
map2[352][1]:=$A365;map2[352][2]:=$A6CA;
map2[353][1]:=$A366;map2[353][2]:=$A6CB;
map2[354][1]:=$A367;map2[354][2]:=$A6CC;
map2[355][1]:=$A368;map2[355][2]:=$A6CD;
map2[356][1]:=$A369;map2[356][2]:=$A6CE;
map2[357][1]:=$A36A;map2[357][2]:=$A6CF;
map2[358][1]:=$A36B;map2[358][2]:=$A6D0;
map2[359][1]:=$A36C;map2[359][2]:=$A6D1;
map2[360][1]:=$A36D;map2[360][2]:=$A6D2;
map2[361][1]:=$A36E;map2[361][2]:=$A6D3;
map2[362][1]:=$A36F;map2[362][2]:=$A6D4;
map2[363][1]:=$A370;map2[363][2]:=$A6D5;
map2[364][1]:=$A371;map2[364][2]:=$A6D6;
map2[365][1]:=$A372;map2[365][2]:=$A6D7;
map2[366][1]:=$A373;map2[366][2]:=$A6D8;
map2[367][1]:=$A374;map2[367][2]:=$A8C5;
map2[368][1]:=$A375;map2[368][2]:=$A8C6;
map2[369][1]:=$A376;map2[369][2]:=$A8C7;
map2[370][1]:=$A377;map2[370][2]:=$A8C8;
map2[371][1]:=$A378;map2[371][2]:=$A8C9;
map2[372][1]:=$A379;map2[372][2]:=$A8CA;
map2[373][1]:=$A37A;map2[373][2]:=$A8CB;
map2[374][1]:=$A37B;map2[374][2]:=$A8CC;
map2[375][1]:=$A37C;map2[375][2]:=$A8CD;
map2[376][1]:=$A37D;map2[376][2]:=$A8CE;
map2[377][1]:=$A37E;map2[377][2]:=$A8CF;
map2[378][1]:=$A3A1;map2[378][2]:=$A8D0;
map2[379][1]:=$A3A2;map2[379][2]:=$A8D1;
map2[380][1]:=$A3A3;map2[380][2]:=$A8D2;
map2[381][1]:=$A3A4;map2[381][2]:=$A8D3;
map2[382][1]:=$A3A5;map2[382][2]:=$A8D4;
map2[383][1]:=$A3A6;map2[383][2]:=$A8D5;
map2[384][1]:=$A3A7;map2[384][2]:=$A8D6;
map2[385][1]:=$A3A8;map2[385][2]:=$A8D7;
map2[386][1]:=$A3A9;map2[386][2]:=$A8D8;
map2[387][1]:=$A3AA;map2[387][2]:=$A8D9;
map2[388][1]:=$A3AB;map2[388][2]:=$A8DA;
map2[389][1]:=$A3AC;map2[389][2]:=$A8DB;
map2[390][1]:=$A3AD;map2[390][2]:=$A8DC;
map2[391][1]:=$A3AE;map2[391][2]:=$A8DD;
map2[392][1]:=$A3AF;map2[392][2]:=$A8DE;
map2[393][1]:=$A3B0;map2[393][2]:=$A8DF;
map2[394][1]:=$A3B1;map2[394][2]:=$A8E0;
map2[395][1]:=$A3B2;map2[395][2]:=$A8E1;
map2[396][1]:=$A3B3;map2[396][2]:=$A8E2;
map2[397][1]:=$A3B4;map2[397][2]:=$A8E3;
map2[398][1]:=$A3B5;map2[398][2]:=$A8E4;
map2[399][1]:=$A3B6;map2[399][2]:=$A8E5;
map2[400][1]:=$A3B7;map2[400][2]:=$A8E6;
map2[401][1]:=$A3B8;map2[401][2]:=$A8E7;
map2[402][1]:=$A3B9;map2[402][2]:=$A8E8;
map2[403][1]:=$A3BA;map2[403][2]:=$A8E9;
map2[404][1]:=$A3BB;map2[404][2]:=$A842;
map2[405][1]:=$A3BC;map2[405][2]:=$A1A5;
map2[406][1]:=$A3BD;map2[406][2]:=$A840;
map2[407][1]:=$A3BE;map2[407][2]:=$A1A6;
map2[408][1]:=$A3BF;map2[408][2]:=$A841;
map2[409][1]:=$A440;map2[409][2]:=$D2BB;
map2[410][1]:=$A441;map2[410][2]:=$D2D2;
map2[411][1]:=$A442;map2[411][2]:=$B6A1;
map2[412][1]:=$A443;map2[412][2]:=$C6DF;
map2[413][1]:=$A444;map2[413][2]:=$C4CB;
map2[414][1]:=$A445;map2[414][2]:=$BEC5;
map2[415][1]:=$A446;map2[415][2]:=$C1CB;
map2[416][1]:=$A447;map2[416][2]:=$B6FE;
map2[417][1]:=$A448;map2[417][2]:=$C8CB;
map2[418][1]:=$A449;map2[418][2]:=$B6F9;
map2[419][1]:=$A44A;map2[419][2]:=$C8EB;
map2[420][1]:=$A44B;map2[420][2]:=$B0CB;
map2[421][1]:=$A44C;map2[421][2]:=$BCB8;
map2[422][1]:=$A44D;map2[422][2]:=$B5B6;
map2[423][1]:=$A44E;map2[423][2]:=$B5F3;
map2[424][1]:=$A44F;map2[424][2]:=$C1A6;
map2[425][1]:=$A450;map2[425][2]:=$D8B0;
map2[426][1]:=$A451;map2[426][2]:=$CAAE;
map2[427][1]:=$A452;map2[427][2]:=$B2B7;
map2[428][1]:=$A453;map2[428][2]:=$D3D6;
map2[429][1]:=$A454;map2[429][2]:=$C8FD;
map2[430][1]:=$A455;map2[430][2]:=$CFC2;
map2[431][1]:=$A456;map2[431][2]:=$D5C9;
map2[432][1]:=$A457;map2[432][2]:=$C9CF;
map2[433][1]:=$A458;map2[433][2]:=$D1BE;
map2[434][1]:=$A459;map2[434][2]:=$CDE8;
map2[435][1]:=$A45A;map2[435][2]:=$B7B2;
map2[436][1]:=$A45B;map2[436][2]:=$BEC3;
map2[437][1]:=$A45C;map2[437][2]:=$E7DB;
map2[438][1]:=$A45D;map2[438][2]:=$D2B2;
map2[439][1]:=$A45E;map2[439][2]:=$C6F2;
map2[440][1]:=$A45F;map2[440][2]:=$D3DA;
map2[441][1]:=$A460;map2[441][2]:=$CDF6;
map2[442][1]:=$A461;map2[442][2]:=$D8A3;
map2[443][1]:=$A462;map2[443][2]:=$C8D0;
map2[444][1]:=$A463;map2[444][2]:=$C9D7;
map2[445][1]:=$A464;map2[445][2]:=$C7A7;
map2[446][1]:=$A465;map2[446][2]:=$B2E6;
map2[447][1]:=$A466;map2[447][2]:=$BFDA;
map2[448][1]:=$A467;map2[448][2]:=$CDC1;
map2[449][1]:=$A468;map2[449][2]:=$CABF;
map2[450][1]:=$A469;map2[450][2]:=$CFA6;
map2[451][1]:=$A46A;map2[451][2]:=$B4F3;
map2[452][1]:=$A46B;map2[452][2]:=$C5AE;
map2[453][1]:=$A46C;map2[453][2]:=$D7D3;
map2[454][1]:=$A46D;map2[454][2]:=$E6DD;
map2[455][1]:=$A46E;map2[455][2]:=$E6DE;
map2[456][1]:=$A46F;map2[456][2]:=$B4E7;
map2[457][1]:=$A470;map2[457][2]:=$D0A1;
map2[458][1]:=$A471;map2[458][2]:=$DECC;
map2[459][1]:=$A472;map2[459][2]:=$CAAC;
map2[460][1]:=$A473;map2[460][2]:=$C9BD;
map2[461][1]:=$A474;map2[461][2]:=$B4A8;
map2[462][1]:=$A475;map2[462][2]:=$B9A4;
map2[463][1]:=$A476;map2[463][2]:=$BCBA;
map2[464][1]:=$A477;map2[464][2]:=$D2D1;
map2[465][1]:=$A478;map2[465][2]:=$CBC8;
map2[466][1]:=$A479;map2[466][2]:=$BDED;
map2[467][1]:=$A47A;map2[467][2]:=$B8C9;
map2[468][1]:=$A47B;map2[468][2]:=$DEC3;
map2[469][1]:=$A47C;map2[469][2]:=$DFAE;
map2[470][1]:=$A47D;map2[470][2]:=$B9AD;
map2[471][1]:=$A47E;map2[471][2]:=$B2C5;
map2[472][1]:=$A4A1;map2[472][2]:=$B3F3;
map2[473][1]:=$A4A2;map2[473][2]:=$D8A4;
map2[474][1]:=$A4A3;map2[474][2]:=$B2BB;
map2[475][1]:=$A4A4;map2[475][2]:=$D6D0;
map2[476][1]:=$A4A5;map2[476][2]:=$B7E1;
map2[477][1]:=$A4A6;map2[477][2]:=$B5A4;
map2[478][1]:=$A4A7;map2[478][2]:=$D6AE;
map2[479][1]:=$A4A8;map2[479][2]:=$D2FC;
map2[480][1]:=$A4A9;map2[480][2]:=$D3E8;
map2[481][1]:=$A4AA;map2[481][2]:=$D4C6;
map2[482][1]:=$A4AB;map2[482][2]:=$BEAE;
map2[483][1]:=$A4AC;map2[483][2]:=$BBA5;
map2[484][1]:=$A4AD;map2[484][2]:=$CEE5;
map2[485][1]:=$A4AE;map2[485][2]:=$BFBA;
map2[486][1]:=$A4AF;map2[486][2]:=$C8CA;
map2[487][1]:=$A4B0;map2[487][2]:=$CAB2;
map2[488][1]:=$A4B1;map2[488][2]:=$D8EA;
map2[489][1]:=$A4B2;map2[489][2]:=$C6CD;
map2[490][1]:=$A4B3;map2[490][2]:=$B3F0;
map2[491][1]:=$A4B4;map2[491][2]:=$C8D4;
map2[492][1]:=$A4B5;map2[492][2]:=$BDF1;
map2[493][1]:=$A4B6;map2[493][2]:=$BDE9;
map2[494][1]:=$A4B7;map2[494][2]:=$D8C6;
map2[495][1]:=$A4B8;map2[495][2]:=$D4AA;
map2[496][1]:=$A4B9;map2[496][2]:=$D4CA;
map2[497][1]:=$A4BA;map2[497][2]:=$C4DA;
map2[498][1]:=$A4BB;map2[498][2]:=$C1F9;
map2[499][1]:=$A4BC;map2[499][2]:=$D9E2;
map2[500][1]:=$A4BD;map2[500][2]:=$B9AB;
map2[501][1]:=$A4BE;map2[501][2]:=$C8DF;
map2[502][1]:=$A4BF;map2[502][2]:=$D0D7;
map2[503][1]:=$A4C0;map2[503][2]:=$B7D6;
map2[504][1]:=$A4C1;map2[504][2]:=$C7D0;
map2[505][1]:=$A4C2;map2[505][2]:=$D8D7;
map2[506][1]:=$A4C3;map2[506][2]:=$D4C8;
map2[507][1]:=$A4C4;map2[507][2]:=$B9B4;
map2[508][1]:=$A4C5;map2[508][2]:=$CEF0;
map2[509][1]:=$A4C6;map2[509][2]:=$BBAF;
map2[510][1]:=$A4C7;map2[510][2]:=$C6A5;
map2[511][1]:=$A4C8;map2[511][2]:=$CEE7;
map2[512][1]:=$A4C9;map2[512][2]:=$C9FD;
map2[513][1]:=$A4CA;map2[513][2]:=$D8A6;
map2[514][1]:=$A4CB;map2[514][2]:=$B1E5;
map2[515][1]:=$A4CC;map2[515][2]:=$B6F2;
map2[516][1]:=$A4CD;map2[516][2]:=$D3D1;
map2[517][1]:=$A4CE;map2[517][2]:=$BCB0;
map2[518][1]:=$A4CF;map2[518][2]:=$B7B4;
map2[519][1]:=$A4D0;map2[519][2]:=$C8C9;
map2[520][1]:=$A4D1;map2[520][2]:=$CCEC;
map2[521][1]:=$A4D2;map2[521][2]:=$B7F2;
map2[522][1]:=$A4D3;map2[522][2]:=$CCAB;
map2[523][1]:=$A4D4;map2[523][2]:=$D8B2;
map2[524][1]:=$A4D5;map2[524][2]:=$BFD7;
map2[525][1]:=$A4D6;map2[525][2]:=$C9D9;
map2[526][1]:=$A4D7;map2[526][2]:=$D3C8;
map2[527][1]:=$A4D8;map2[527][2]:=$B3DF;
map2[528][1]:=$A4D9;map2[528][2]:=$CDCD;
map2[529][1]:=$A4DA;map2[529][2]:=$B0CD;
map2[530][1]:=$A4DB;map2[530][2]:=$BBC3;
map2[531][1]:=$A4DC;map2[531][2]:=$D8A5;
map2[532][1]:=$A4DD;map2[532][2]:=$B5F5;
map2[533][1]:=$A4DE;map2[533][2]:=$D2FD;
map2[534][1]:=$A4DF;map2[534][2]:=$D0C4;
map2[535][1]:=$A4E0;map2[535][2]:=$B8EA;
map2[536][1]:=$A4E1;map2[536][2]:=$BBA7;
map2[537][1]:=$A4E2;map2[537][2]:=$CAD6;
map2[538][1]:=$A4E3;map2[538][2]:=$D4FA;
map2[539][1]:=$A4E4;map2[539][2]:=$D6A7;
map2[540][1]:=$A4E5;map2[540][2]:=$CEC4;
map2[541][1]:=$A4E6;map2[541][2]:=$B6B7;
map2[542][1]:=$A4E7;map2[542][2]:=$BDEF;
map2[543][1]:=$A4E8;map2[543][2]:=$B7BD;
map2[544][1]:=$A4E9;map2[544][2]:=$C8D5;
map2[545][1]:=$A4EA;map2[545][2]:=$D4BB;
map2[546][1]:=$A4EB;map2[546][2]:=$D4C2;
map2[547][1]:=$A4EC;map2[547][2]:=$C4BE;
map2[548][1]:=$A4ED;map2[548][2]:=$C7B7;
map2[549][1]:=$A4EE;map2[549][2]:=$D6B9;
map2[550][1]:=$A4EF;map2[550][2]:=$B4F5;
map2[551][1]:=$A4F0;map2[551][2]:=$CEE3;
map2[552][1]:=$A4F1;map2[552][2]:=$B1C8;
map2[553][1]:=$A4F2;map2[553][2]:=$C3AB;
map2[554][1]:=$A4F3;map2[554][2]:=$CACF;
map2[555][1]:=$A4F4;map2[555][2]:=$CBAE;
map2[556][1]:=$A4F5;map2[556][2]:=$BBF0;
map2[557][1]:=$A4F6;map2[557][2]:=$D7A6;
map2[558][1]:=$A4F7;map2[558][2]:=$B8B8;
map2[559][1]:=$A4F8;map2[559][2]:=$D8B3;
map2[560][1]:=$A4F9;map2[560][2]:=$C6AC;
map2[561][1]:=$A4FA;map2[561][2]:=$D1C0;
map2[562][1]:=$A4FB;map2[562][2]:=$C5A3;
map2[563][1]:=$A4FC;map2[563][2]:=$C8AE;
map2[564][1]:=$A4FD;map2[564][2]:=$CDF5;
map2[565][1]:=$A4FE;map2[565][2]:=$B1FB;
map2[566][1]:=$A540;map2[566][2]:=$CAC0;
map2[567][1]:=$A541;map2[567][2]:=$D8A7;
map2[568][1]:=$A542;map2[568][2]:=$C7D2;
map2[569][1]:=$A543;map2[569][2]:=$C7F0;
map2[570][1]:=$A544;map2[570][2]:=$D6F7;
map2[571][1]:=$A545;map2[571][2]:=$D5A7;
map2[572][1]:=$A546;map2[572][2]:=$B7A6;
map2[573][1]:=$A547;map2[573][2]:=$BAF5;
map2[574][1]:=$A548;map2[574][2]:=$D2D4;
map2[575][1]:=$A549;map2[575][2]:=$B8B6;
map2[576][1]:=$A54A;map2[576][2]:=$D7D0;
map2[577][1]:=$A54B;map2[577][2]:=$CACB;
map2[578][1]:=$A54C;map2[578][2]:=$CBFB;
map2[579][1]:=$A54D;map2[579][2]:=$D5CC;
map2[580][1]:=$A54E;map2[580][2]:=$B4FA;
map2[581][1]:=$A54F;map2[581][2]:=$C1EE;
map2[582][1]:=$A550;map2[582][2]:=$CFC9;
map2[583][1]:=$A551;map2[583][2]:=$D8F0;
map2[584][1]:=$A552;map2[584][2]:=$B3E4;
map2[585][1]:=$A553;map2[585][2]:=$D0D6;
map2[586][1]:=$A554;map2[586][2]:=$C8BD;
map2[587][1]:=$A555;map2[587][2]:=$B2E1;
map2[588][1]:=$A556;map2[588][2]:=$B6AC;
map2[589][1]:=$A557;map2[589][2]:=$B0BC;
map2[590][1]:=$A558;map2[590][2]:=$B3F6;
map2[591][1]:=$A559;map2[591][2]:=$CDB9;
map2[592][1]:=$A55A;map2[592][2]:=$BFAF;
map2[593][1]:=$A55B;map2[593][2]:=$BCD3;
map2[594][1]:=$A55C;map2[594][2]:=$B9A6;
map2[595][1]:=$A55D;map2[595][2]:=$B0FC;
map2[596][1]:=$A55E;map2[596][2]:=$B4D2;
map2[597][1]:=$A55F;map2[597][2]:=$B1B1;
map2[598][1]:=$A560;map2[598][2]:=$D4D1;
map2[599][1]:=$A561;map2[599][2]:=$C7AA;
map2[600][1]:=$A562;map2[600][2]:=$B0EB;
map2[601][1]:=$A563;map2[601][2]:=$BBDC;
map2[602][1]:=$A564;map2[602][2]:=$BFA8;
map2[603][1]:=$A565;map2[603][2]:=$D5BC;
map2[604][1]:=$A566;map2[604][2]:=$C3AE;
map2[605][1]:=$A567;map2[605][2]:=$D8B4;
map2[606][1]:=$A568;map2[606][2]:=$C8A5;
map2[607][1]:=$A569;map2[607][2]:=$BFC9;
map2[608][1]:=$A56A;map2[608][2]:=$B9C5;
map2[609][1]:=$A56B;map2[609][2]:=$D3D2;
map2[610][1]:=$A56C;map2[610][2]:=$D5D9;
map2[611][1]:=$A56D;map2[611][2]:=$B6A3;
map2[612][1]:=$A56E;map2[612][2]:=$DFB5;
map2[613][1]:=$A56F;map2[613][2]:=$DFB6;
map2[614][1]:=$A570;map2[614][2]:=$B5F0;
map2[615][1]:=$A571;map2[615][2]:=$CBBE;
map2[616][1]:=$A572;map2[616][2]:=$D8CF;
map2[617][1]:=$A573;map2[617][2]:=$BDD0;
map2[618][1]:=$A574;map2[618][2]:=$C1ED;
map2[619][1]:=$A575;map2[619][2]:=$D6BB;
map2[620][1]:=$A576;map2[620][2]:=$CAB7;
map2[621][1]:=$A577;map2[621][2]:=$DFB3;
map2[622][1]:=$A578;map2[622][2]:=$CCA8;
map2[623][1]:=$A579;map2[623][2]:=$BEE4;
map2[624][1]:=$A57A;map2[624][2]:=$B0C8;
map2[625][1]:=$A57B;map2[625][2]:=$DFB7;
map2[626][1]:=$A57C;map2[626][2]:=$CBC4;
map2[627][1]:=$A57D;map2[627][2]:=$C7F4;
map2[628][1]:=$A57E;map2[628][2]:=$CDE2;
map2[629][1]:=$A5A1;map2[629][2]:=$D1EB;
map2[630][1]:=$A5A2;map2[630][2]:=$CAA7;
map2[631][1]:=$A5A3;map2[631][2]:=$C5AB;
map2[632][1]:=$A5A4;map2[632][2]:=$C4CC;
map2[633][1]:=$A5A5;map2[633][2]:=$D4D0;
map2[634][1]:=$A5A6;map2[634][2]:=$CBFC;
map2[635][1]:=$A5A7;map2[635][2]:=$C4E1;
map2[636][1]:=$A5A8;map2[636][2]:=$BEDE;
map2[637][1]:=$A5A9;map2[637][2]:=$C7C9;
map2[638][1]:=$A5AA;map2[638][2]:=$D7F3;
map2[639][1]:=$A5AB;map2[639][2]:=$CAD0;
map2[640][1]:=$A5AC;map2[640][2]:=$B2BC;
map2[641][1]:=$A5AD;map2[641][2]:=$C6BD;
map2[642][1]:=$A5AE;map2[642][2]:=$D3D7;
map2[643][1]:=$A5AF;map2[643][2]:=$DBCD;
map2[644][1]:=$A5B0;map2[644][2]:=$BAEB;
map2[645][1]:=$A5B1;map2[645][2]:=$B8A5;
map2[646][1]:=$A5B2;map2[646][2]:=$B1D8;
map2[647][1]:=$A5B3;map2[647][2]:=$CEEC;
map2[648][1]:=$A5B4;map2[648][2]:=$B4F2;
map2[649][1]:=$A5B5;map2[649][2]:=$C8D3;
map2[650][1]:=$A5B6;map2[650][2]:=$B0C7;
map2[651][1]:=$A5B7;map2[651][2]:=$C6CB;
map2[652][1]:=$A5B8;map2[652][2]:=$B3E2;
map2[653][1]:=$A5B9;map2[653][2]:=$B5A9;
map2[654][1]:=$A5BA;map2[654][2]:=$9658;
map2[655][1]:=$A5BB;map2[655][2]:=$B1BE;
map2[656][1]:=$A5BC;map2[656][2]:=$CEB4;
map2[657][1]:=$A5BD;map2[657][2]:=$C4A9;
map2[658][1]:=$A5BE;map2[658][2]:=$D4FD;
map2[659][1]:=$A5BF;map2[659][2]:=$D5FD;
map2[660][1]:=$A5C0;map2[660][2]:=$C4B8;
map2[661][1]:=$A5C1;map2[661][2]:=$C3F1;
map2[662][1]:=$A5C2;map2[662][2]:=$D8B5;
map2[663][1]:=$A5C3;map2[663][2]:=$D3C0;
map2[664][1]:=$A5C4;map2[664][2]:=$D6AD;
map2[665][1]:=$A5C5;map2[665][2]:=$CDA1;
map2[666][1]:=$A5C6;map2[666][2]:=$B7BA;
map2[667][1]:=$A5C7;map2[667][2]:=$B7B8;
map2[668][1]:=$A5C8;map2[668][2]:=$D0FE;
map2[669][1]:=$A5C9;map2[669][2]:=$D3F1;
map2[670][1]:=$A5CA;map2[670][2]:=$B9CF;
map2[671][1]:=$A5CB;map2[671][2]:=$CDDF;
map2[672][1]:=$A5CC;map2[672][2]:=$B8CA;
map2[673][1]:=$A5CD;map2[673][2]:=$C9FA;
map2[674][1]:=$A5CE;map2[674][2]:=$D3C3;
map2[675][1]:=$A5CF;map2[675][2]:=$CBA6;
map2[676][1]:=$A5D0;map2[676][2]:=$CCEF;
map2[677][1]:=$A5D1;map2[677][2]:=$D3C9;
map2[678][1]:=$A5D2;map2[678][2]:=$BCD7;
map2[679][1]:=$A5D3;map2[679][2]:=$C9EA;
map2[680][1]:=$A5D4;map2[680][2]:=$F1E2;
map2[681][1]:=$A5D5;map2[681][2]:=$B0D7;
map2[682][1]:=$A5D6;map2[682][2]:=$C6A4;
map2[683][1]:=$A5D7;map2[683][2]:=$C3F3;
map2[684][1]:=$A5D8;map2[684][2]:=$C4BF;
map2[685][1]:=$A5D9;map2[685][2]:=$C3AC;
map2[686][1]:=$A5DA;map2[686][2]:=$CAB8;
map2[687][1]:=$A5DB;map2[687][2]:=$CAAF;
map2[688][1]:=$A5DC;map2[688][2]:=$CABE;
map2[689][1]:=$A5DD;map2[689][2]:=$BACC;
map2[690][1]:=$A5DE;map2[690][2]:=$D1A8;
map2[691][1]:=$A5DF;map2[691][2]:=$C1A2;
map2[692][1]:=$A5E0;map2[692][2]:=$D8A9;
map2[693][1]:=$A5E1;map2[693][2]:=$B6AA;
map2[694][1]:=$A5E2;map2[694][2]:=$C6B9;
map2[695][1]:=$A5E3;map2[695][2]:=$C5D2;
map2[696][1]:=$A5E4;map2[696][2]:=$D8C0;
map2[697][1]:=$A5E5;map2[697][2]:=$D8A8;
map2[698][1]:=$A5E6;map2[698][2]:=$BDBB;
map2[699][1]:=$A5E7;map2[699][2]:=$D2E0;
map2[700][1]:=$A5E8;map2[700][2]:=$BAA5;
map2[701][1]:=$A5E9;map2[701][2]:=$B7C2;
map2[702][1]:=$A5EA;map2[702][2]:=$D8F8;
map2[703][1]:=$A5EB;map2[703][2]:=$BBEF;
map2[704][1]:=$A5EC;map2[704][2]:=$D2C1;
map2[705][1]:=$A5ED;map2[705][2]:=$B7F2;
map2[706][1]:=$A5EE;map2[706][2]:=$CEE9;
map2[707][1]:=$A5EF;map2[707][2]:=$B7A5;
map2[708][1]:=$A5F0;map2[708][2]:=$D0DD;
map2[709][1]:=$A5F1;map2[709][2]:=$B7FC;
map2[710][1]:=$A5F2;map2[710][2]:=$D6D9;
map2[711][1]:=$A5F3;map2[711][2]:=$BCFE;
map2[712][1]:=$A5F4;map2[712][2]:=$C8CE;
map2[713][1]:=$A5F5;map2[713][2]:=$D1F6;
map2[714][1]:=$A5F6;map2[714][2]:=$D8F2;
map2[715][1]:=$A5F7;map2[715][2]:=$B7DD;
map2[716][1]:=$A5F8;map2[716][2]:=$C6F3;
map2[717][1]:=$A5F9;map2[717][2]:=$81B3;
map2[718][1]:=$A5FA;map2[718][2]:=$B9E2;
map2[719][1]:=$A5FB;map2[719][2]:=$D0D7;
map2[720][1]:=$A5FC;map2[720][2]:=$D5D7;
map2[721][1]:=$A5FD;map2[721][2]:=$CFC8;
map2[722][1]:=$A5FE;map2[722][2]:=$C8AB;
map2[723][1]:=$A640;map2[723][2]:=$B9B2;
map2[724][1]:=$A641;map2[724][2]:=$D4D9;
map2[725][1]:=$A642;map2[725][2]:=$B1F9;
map2[726][1]:=$A643;map2[726][2]:=$C1D0;
map2[727][1]:=$A644;map2[727][2]:=$D0CC;
map2[728][1]:=$A645;map2[728][2]:=$BBAE;
map2[729][1]:=$A646;map2[729][2]:=$D8D8;
map2[730][1]:=$A647;map2[730][2]:=$EBBE;
map2[731][1]:=$A648;map2[731][2]:=$C1D3;
map2[732][1]:=$A649;map2[732][2]:=$D0D9;
map2[733][1]:=$A64A;map2[733][2]:=$BFEF;
map2[734][1]:=$A64B;map2[734][2]:=$BDB3;
map2[735][1]:=$A64C;map2[735][2]:=$D3A1;
map2[736][1]:=$A64D;map2[736][2]:=$CEA3;
map2[737][1]:=$A64E;map2[737][2]:=$BCAA;
map2[738][1]:=$A64F;map2[738][2]:=$C0F4;
map2[739][1]:=$A650;map2[739][2]:=$CDAC;
map2[740][1]:=$A651;map2[740][2]:=$B5F5;
map2[741][1]:=$A652;map2[741][2]:=$CDC2;
map2[742][1]:=$A653;map2[742][2]:=$D3F5;
map2[743][1]:=$A654;map2[743][2]:=$85BC;
map2[744][1]:=$A655;map2[744][2]:=$B8F7;
map2[745][1]:=$A656;map2[745][2]:=$CFF2;
map2[746][1]:=$A657;map2[746][2]:=$C3FB;
map2[747][1]:=$A658;map2[747][2]:=$BACF;
map2[748][1]:=$A659;map2[748][2]:=$B3D4;
map2[749][1]:=$A65A;map2[749][2]:=$BAF3;
map2[750][1]:=$A65B;map2[750][2]:=$DFBA;
map2[751][1]:=$A65C;map2[751][2]:=$DFE5;
map2[752][1]:=$A65D;map2[752][2]:=$D2F2;
map2[753][1]:=$A65E;map2[753][2]:=$BBD8;
map2[754][1]:=$A65F;map2[754][2]:=$E0EE;
map2[755][1]:=$A660;map2[755][2]:=$DBDA;
map2[756][1]:=$A661;map2[756][2]:=$B5D8;
map2[757][1]:=$A662;map2[757][2]:=$D4DA;
map2[758][1]:=$A663;map2[758][2]:=$B9E7;
map2[759][1]:=$A664;map2[759][2]:=$DBD8;
map2[760][1]:=$A665;map2[760][2]:=$DBDD;
map2[761][1]:=$A666;map2[761][2]:=$DBD7;
map2[762][1]:=$A667;map2[762][2]:=$D9ED;
map2[763][1]:=$A668;map2[763][2]:=$B6E0;
map2[764][1]:=$A669;map2[764][2]:=$D2C4;
map2[765][1]:=$A66A;map2[765][2]:=$BFE4;
map2[766][1]:=$A66B;map2[766][2]:=$CDFD;
map2[767][1]:=$A66C;map2[767][2]:=$BCE9;
map2[768][1]:=$A66D;map2[768][2]:=$E5FA;
map2[769][1]:=$A66E;map2[769][2]:=$BAC3;
map2[770][1]:=$A66F;map2[770][2]:=$CBFD;
map2[771][1]:=$A670;map2[771][2]:=$C8E7;
map2[772][1]:=$A671;map2[772][2]:=$E5F9;
map2[773][1]:=$A672;map2[773][2]:=$D7D6;
map2[774][1]:=$A673;map2[774][2]:=$B4E6;
map2[775][1]:=$A674;map2[775][2]:=$D3EE;
map2[776][1]:=$A675;map2[776][2]:=$CAD8;
map2[777][1]:=$A676;map2[777][2]:=$D5AC;
map2[778][1]:=$A677;map2[778][2]:=$B0B2;
map2[779][1]:=$A678;map2[779][2]:=$CBC2;
map2[780][1]:=$A679;map2[780][2]:=$BCE2;
map2[781][1]:=$A67A;map2[781][2]:=$D2D9;
map2[782][1]:=$A67B;map2[782][2]:=$D6DD;
map2[783][1]:=$A67C;map2[783][2]:=$B7AB;
map2[784][1]:=$A67D;map2[784][2]:=$B2A2;
map2[785][1]:=$A67E;map2[785][2]:=$C4EA;
map2[786][1]:=$A6A1;map2[786][2]:=$CABD;
map2[787][1]:=$A6A2;map2[787][2]:=$B3DA;
map2[788][1]:=$A6A3;map2[788][2]:=$C3A6;
map2[789][1]:=$A6A4;map2[789][2]:=$E2E2;
map2[790][1]:=$A6A5;map2[790][2]:=$C8D6;
map2[791][1]:=$A6A6;map2[791][2]:=$D0E7;
map2[792][1]:=$A6A7;map2[792][2]:=$CAF9;
map2[793][1]:=$A6A8;map2[793][2]:=$B3C9;
map2[794][1]:=$A6A9;map2[794][2]:=$BFDB;
map2[795][1]:=$A6AA;map2[795][2]:=$BFB8;
map2[796][1]:=$A6AB;map2[796][2]:=$CDD0;
map2[797][1]:=$A6AC;map2[797][2]:=$CAD5;
map2[798][1]:=$A6AD;map2[798][2]:=$D4E7;
map2[799][1]:=$A6AE;map2[799][2]:=$D6BC;
map2[800][1]:=$A6AF;map2[800][2]:=$D1AE;
map2[801][1]:=$A6B0;map2[801][2]:=$D0F1;
map2[802][1]:=$A6B1;map2[802][2]:=$C7FA;
map2[803][1]:=$A6B2;map2[803][2]:=$D2B7;
map2[804][1]:=$A6B3;map2[804][2]:=$D3D0;
map2[805][1]:=$A6B4;map2[805][2]:=$D0E0;
map2[806][1]:=$A6B5;map2[806][2]:=$C6D3;
map2[807][1]:=$A6B6;map2[807][2]:=$D6EC;
map2[808][1]:=$A6B7;map2[808][2]:=$B6E4;
map2[809][1]:=$A6B8;map2[809][2]:=$B4CE;
map2[810][1]:=$A6B9;map2[810][2]:=$B4CB;
map2[811][1]:=$A6BA;map2[811][2]:=$CBC0;
map2[812][1]:=$A6BB;map2[812][2]:=$C4CA;
map2[813][1]:=$A6BC;map2[813][2]:=$C8EA;
map2[814][1]:=$A6BD;map2[814][2]:=$BAB9;
map2[815][1]:=$A6BE;map2[815][2]:=$CEDB;
map2[816][1]:=$A6BF;map2[816][2]:=$BDAD;
map2[817][1]:=$A6C0;map2[817][2]:=$B3D8;
map2[818][1]:=$A6C1;map2[818][2]:=$CFAB;
map2[819][1]:=$A6C2;map2[819][2]:=$C9C7;
map2[820][1]:=$A6C3;map2[820][2]:=$CEDB;
map2[821][1]:=$A6C4;map2[821][2]:=$D1B4;
map2[822][1]:=$A6C5;map2[822][2]:=$9AF7;
map2[823][1]:=$A6C6;map2[823][2]:=$B7BA;
map2[824][1]:=$A6C7;map2[824][2]:=$BBD2;
map2[825][1]:=$A6C8;map2[825][2]:=$C4B2;
map2[826][1]:=$A6C9;map2[826][2]:=$EAF2;
map2[827][1]:=$A6CA;map2[827][2]:=$B0D9;
map2[828][1]:=$A6CB;map2[828][2]:=$D6F1;
map2[829][1]:=$A6CC;map2[829][2]:=$C3D7;
map2[830][1]:=$A6CD;map2[830][2]:=$E6F9;
map2[831][1]:=$A6CE;map2[831][2]:=$F3BE;
map2[832][1]:=$A6CF;map2[832][2]:=$D1F2;
map2[833][1]:=$A6D0;map2[833][2]:=$D3F0;
map2[834][1]:=$A6D1;map2[834][2]:=$C0CF;
map2[835][1]:=$A6D2;map2[835][2]:=$BFBC;
map2[836][1]:=$A6D3;map2[836][2]:=$B6F8;
map2[837][1]:=$A6D4;map2[837][2]:=$F1E7;
map2[838][1]:=$A6D5;map2[838][2]:=$B6FA;
map2[839][1]:=$A6D6;map2[839][2]:=$EDB2;
map2[840][1]:=$A6D7;map2[840][2]:=$C8E2;
map2[841][1]:=$A6D8;map2[841][2]:=$C0DF;
map2[842][1]:=$A6D9;map2[842][2]:=$BCA1;
map2[843][1]:=$A6DA;map2[843][2]:=$B3BC;
map2[844][1]:=$A6DB;map2[844][2]:=$D7D4;
map2[845][1]:=$A6DC;map2[845][2]:=$D6C1;
map2[846][1]:=$A6DD;map2[846][2]:=$BECA;
map2[847][1]:=$A6DE;map2[847][2]:=$C9E0;
map2[848][1]:=$A6DF;map2[848][2]:=$E2B6;
map2[849][1]:=$A6E0;map2[849][2]:=$D6DB;
map2[850][1]:=$A6E1;map2[850][2]:=$F4DE;
map2[851][1]:=$A6E2;map2[851][2]:=$C9AB;
map2[852][1]:=$A6E3;map2[852][2]:=$B0AC;
map2[853][1]:=$A6E4;map2[853][2]:=$B3E6;
map2[854][1]:=$A6E5;map2[854][2]:=$D1AA;
map2[855][1]:=$A6E6;map2[855][2]:=$D0D0;
map2[856][1]:=$A6E7;map2[856][2]:=$D2C2;
map2[857][1]:=$A6E8;map2[857][2]:=$CEF7;
map2[858][1]:=$A6E9;map2[858][2]:=$DAE4;
map2[859][1]:=$A6EA;map2[859][2]:=$B4AE;
map2[860][1]:=$A6EB;map2[860][2]:=$BAE0;
map2[861][1]:=$A6EC;map2[861][2]:=$CEBB;
map2[862][1]:=$A6ED;map2[862][2]:=$D7A1;
map2[863][1]:=$A6EE;map2[863][2]:=$D8F9;
map2[864][1]:=$A6EF;map2[864][2]:=$D9A2;
map2[865][1]:=$A6F0;map2[865][2]:=$D8FA;
map2[866][1]:=$A6F1;map2[866][2]:=$B0E9;
map2[867][1]:=$A6F2;map2[867][2]:=$B7F0;
map2[868][1]:=$A6F3;map2[868][2]:=$BACE;
map2[869][1]:=$A6F4;map2[869][2]:=$B9C0;
map2[870][1]:=$A6F5;map2[870][2]:=$D7F4;
map2[871][1]:=$A6F6;map2[871][2]:=$D3D3;
map2[872][1]:=$A6F7;map2[872][2]:=$D9A4;
map2[873][1]:=$A6F8;map2[873][2]:=$CBC5;
map2[874][1]:=$A6F9;map2[874][2]:=$C9EC;
map2[875][1]:=$A6FA;map2[875][2]:=$B5E8;
map2[876][1]:=$A6FB;map2[876][2]:=$D5BC;
map2[877][1]:=$A6FC;map2[877][2]:=$CBC6;
map2[878][1]:=$A6FD;map2[878][2]:=$B5AB;
map2[879][1]:=$A6FE;map2[879][2]:=$D3B6;
map2[880][1]:=$A740;map2[880][2]:=$D7F7;
map2[881][1]:=$A741;map2[881][2]:=$C4E3;
map2[882][1]:=$A742;map2[882][2]:=$B2AE;
map2[883][1]:=$A743;map2[883][2]:=$B5CD;
map2[884][1]:=$A744;map2[884][2]:=$C1E6;
map2[885][1]:=$A745;map2[885][2]:=$D3E0;
map2[886][1]:=$A746;map2[886][2]:=$D8FE;
map2[887][1]:=$A747;map2[887][2]:=$B2BC;
map2[888][1]:=$A748;map2[888][2]:=$D8FD;
map2[889][1]:=$A749;map2[889][2]:=$B6D2;
map2[890][1]:=$A74A;map2[890][2]:=$BFCB;
map2[891][1]:=$A74B;map2[891][2]:=$C3E2;
map2[892][1]:=$A74C;map2[892][2]:=$B1F8;
map2[893][1]:=$A74D;map2[893][2]:=$D2B1;
map2[894][1]:=$A74E;map2[894][2]:=$C0E4;
map2[895][1]:=$A74F;map2[895][2]:=$B1F0;
map2[896][1]:=$A750;map2[896][2]:=$C5D0;
map2[897][1]:=$A751;map2[897][2]:=$C0FB;
map2[898][1]:=$A752;map2[898][2]:=$C9BE;
map2[899][1]:=$A753;map2[899][2]:=$C5D9;
map2[900][1]:=$A754;map2[900][2]:=$BDD9;
map2[901][1]:=$A755;map2[901][2]:=$D6FA;
map2[902][1]:=$A756;map2[902][2]:=$C5AC;
map2[903][1]:=$A757;map2[903][2]:=$DBBE;
map2[904][1]:=$A758;map2[904][2]:=$CFBB;
map2[905][1]:=$A759;map2[905][2]:=$BCB4;
map2[906][1]:=$A75A;map2[906][2]:=$C2D1;
map2[907][1]:=$A75B;map2[907][2]:=$C1DF;
map2[908][1]:=$A75C;map2[908][2]:=$BFD4;
map2[909][1]:=$A75D;map2[909][2]:=$CDCC;
map2[910][1]:=$A75E;map2[910][2]:=$CEE1;
map2[911][1]:=$A75F;map2[911][2]:=$B7F1;
map2[912][1]:=$A760;map2[912][2]:=$85D5;
map2[913][1]:=$A761;map2[913][2]:=$B0C9;
map2[914][1]:=$A762;map2[914][2]:=$B4F4;
map2[915][1]:=$A763;map2[915][2]:=$DFC0;
map2[916][1]:=$A764;map2[916][2]:=$CEE2;
map2[917][1]:=$A765;map2[917][2]:=$B3CA;
map2[918][1]:=$A766;map2[918][2]:=$C2C0;
map2[919][1]:=$A767;map2[919][2]:=$BEFD;
map2[920][1]:=$A768;map2[920][2]:=$B7D4;
map2[921][1]:=$A769;map2[921][2]:=$B8E6;
map2[922][1]:=$A76A;map2[922][2]:=$B4B5;
map2[923][1]:=$A76B;map2[923][2]:=$CEC7;
map2[924][1]:=$A76C;map2[924][2]:=$CEFC;
map2[925][1]:=$A76D;map2[925][2]:=$CBB1;
map2[926][1]:=$A76E;map2[926][2]:=$B3B3;
map2[927][1]:=$A76F;map2[927][2]:=$85C8;
map2[928][1]:=$A770;map2[928][2]:=$B7CD;
map2[929][1]:=$A771;map2[929][2]:=$BAF0;
map2[930][1]:=$A772;map2[930][2]:=$D1BD;
map2[931][1]:=$A773;map2[931][2]:=$D6A8;
map2[932][1]:=$A774;map2[932][2]:=$BAAC;
map2[933][1]:=$A775;map2[933][2]:=$D2F7;
map2[934][1]:=$A776;map2[934][2]:=$CCFD;
map2[935][1]:=$A777;map2[935][2]:=$B4D1;
map2[936][1]:=$A778;map2[936][2]:=$C0A7;
map2[937][1]:=$A779;map2[937][2]:=$B6DA;
map2[938][1]:=$A77A;map2[938][2]:=$E0F1;
map2[939][1]:=$A77B;map2[939][2]:=$B7BB;
map2[940][1]:=$A77C;map2[940][2]:=$BFD3;
map2[941][1]:=$A77D;map2[941][2]:=$D6B7;
map2[942][1]:=$A77E;map2[942][2]:=$CCAE;
map2[943][1]:=$A7A1;map2[943][2]:=$BEF9;
map2[944][1]:=$A7A2;map2[944][2]:=$BFB2;
map2[945][1]:=$A7A3;map2[945][2]:=$BBF8;
map2[946][1]:=$A7A4;map2[946][2]:=$D7F8;
map2[947][1]:=$A7A5;map2[947][2]:=$BBB5;
map2[948][1]:=$A7A6;map2[948][2]:=$DBDF;
map2[949][1]:=$A7A7;map2[949][2]:=$D7B3;
map2[950][1]:=$A7A8;map2[950][2]:=$BCD0;
map2[951][1]:=$A7A9;map2[951][2]:=$D7B1;
map2[952][1]:=$A7AA;map2[952][2]:=$B6CA;
map2[953][1]:=$A7AB;map2[953][2]:=$B7C1;
map2[954][1]:=$A7AC;map2[954][2]:=$E6A4;
map2[955][1]:=$A7AD;map2[955][2]:=$E5FE;
map2[956][1]:=$A7AE;map2[956][2]:=$C3EE;
map2[957][1]:=$A7AF;map2[957][2]:=$D1FD;
map2[958][1]:=$A7B0;map2[958][2]:=$E5FB;
map2[959][1]:=$A7B1;map2[959][2]:=$E6A5;
map2[960][1]:=$A7B2;map2[960][2]:=$BCCB;
map2[961][1]:=$A7B3;map2[961][2]:=$C8D1;
map2[962][1]:=$A7B4;map2[962][2]:=$CDD7;
map2[963][1]:=$A7B5;map2[963][2]:=$D0A2;
map2[964][1]:=$A7B6;map2[964][2]:=$D7CE;
map2[965][1]:=$A7B7;map2[965][2]:=$E6DA;
map2[966][1]:=$A7B8;map2[966][2]:=$D8C3;
map2[967][1]:=$A7B9;map2[967][2]:=$CDEA;
map2[968][1]:=$A7BA;map2[968][2]:=$CBCE;
map2[969][1]:=$A7BB;map2[969][2]:=$BAEA;
map2[970][1]:=$A7BC;map2[970][2]:=$DECE;
map2[971][1]:=$A7BD;map2[971][2]:=$BED6;
map2[972][1]:=$A7BE;map2[972][2]:=$C6A8;
map2[973][1]:=$A7BF;map2[973][2]:=$C4F2;
map2[974][1]:=$A7C0;map2[974][2]:=$CEB2;
map2[975][1]:=$A7C1;map2[975][2]:=$E1AA;
map2[976][1]:=$A7C2;map2[976][2]:=$E1AF;
map2[977][1]:=$A7C3;map2[977][2]:=$B2ED;
map2[978][1]:=$A7C4;map2[978][2]:=$E1A7;
map2[979][1]:=$A7C5;map2[979][2]:=$CED7;
map2[980][1]:=$A7C6;map2[980][2]:=$CFA3;
map2[981][1]:=$A7C7;map2[981][2]:=$D0F2;
map2[982][1]:=$A7C8;map2[982][2]:=$B1D3;
map2[983][1]:=$A7C9;map2[983][2]:=$B4B2;
map2[984][1]:=$A7CA;map2[984][2]:=$CDA2;
map2[985][1]:=$A7CB;map2[985][2]:=$C5AA;
map2[986][1]:=$A7CC;map2[986][2]:=$B5DC;
map2[987][1]:=$A7CD;map2[987][2]:=$CDAE;
map2[988][1]:=$A7CE;map2[988][2]:=$D0CE;
map2[989][1]:=$A7CF;map2[989][2]:=$E1DD;
map2[990][1]:=$A7D0;map2[990][2]:=$D2DB;
map2[991][1]:=$A7D1;map2[991][2]:=$CDFC;
map2[992][1]:=$A7D2;map2[992][2]:=$BCC9;
map2[993][1]:=$A7D3;map2[993][2]:=$D6BE;
map2[994][1]:=$A7D4;map2[994][2]:=$C8CC;
map2[995][1]:=$A7D5;map2[995][2]:=$B3C0;
map2[996][1]:=$A7D6;map2[996][2]:=$BFEC;
map2[997][1]:=$A7D7;map2[997][2]:=$E2EE;
map2[998][1]:=$A7D8;map2[998][2]:=$E2EC;
map2[999][1]:=$A7D9;map2[999][2]:=$BDE4;
map2[1000][1]:=$A7DA;map2[1000][2]:=$CED2;
map2[1001][1]:=$A7DB;map2[1001][2]:=$B3AD;
map2[1002][1]:=$A7DC;map2[1002][2]:=$BFB9;
map2[1003][1]:=$A7DD;map2[1003][2]:=$B6B6;
map2[1004][1]:=$A7DE;map2[1004][2]:=$BCBC;
map2[1005][1]:=$A7DF;map2[1005][2]:=$B7F6;
map2[1006][1]:=$A7E0;map2[1006][2]:=$BEF1;
map2[1007][1]:=$A7E1;map2[1007][2]:=$C5A4;
map2[1008][1]:=$A7E2;map2[1008][2]:=$B0D1;
map2[1009][1]:=$A7E3;map2[1009][2]:=$B6F3;
map2[1010][1]:=$A7E4;map2[1010][2]:=$D5D2;
map2[1011][1]:=$A7E5;map2[1011][2]:=$C5FA;
map2[1012][1]:=$A7E6;map2[1012][2]:=$B0E2;
map2[1013][1]:=$A7E7;map2[1013][2]:=$CAE3;
map2[1014][1]:=$A7E8;map2[1014][2]:=$B3B6;
map2[1015][1]:=$A7E9;map2[1015][2]:=$D5DB;
map2[1016][1]:=$A7EA;map2[1016][2]:=$B0E7;
map2[1017][1]:=$A7EB;map2[1017][2]:=$CDB6;
map2[1018][1]:=$A7EC;map2[1018][2]:=$D7A5;
map2[1019][1]:=$A7ED;map2[1019][2]:=$D2D6;
map2[1020][1]:=$A7EE;map2[1020][2]:=$925E;
map2[1021][1]:=$A7EF;map2[1021][2]:=$B8C4;
map2[1022][1]:=$A7F0;map2[1022][2]:=$B9A5;
map2[1023][1]:=$A7F1;map2[1023][2]:=$D8FC;
map2[1024][1]:=$A7F2;map2[1024][2]:=$BAB5;
map2[1025][1]:=$A7F3;map2[1025][2]:=$B8FC;
map2[1026][1]:=$A7F4;map2[1026][2]:=$CAF8;
map2[1027][1]:=$A7F5;map2[1027][2]:=$C0EE;
map2[1028][1]:=$A7F6;map2[1028][2]:=$D0D3;
map2[1029][1]:=$A7F7;map2[1029][2]:=$B2C4;
map2[1030][1]:=$A7F8;map2[1030][2]:=$B4E5;
map2[1031][1]:=$A7F9;map2[1031][2]:=$B6C5;
map2[1032][1]:=$A7FA;map2[1032][2]:=$D5C8;
map2[1033][1]:=$A7FB;map2[1033][2]:=$E8BD;
map2[1034][1]:=$A7FC;map2[1034][2]:=$C9BC;
map2[1035][1]:=$A7FD;map2[1035][2]:=$B8CB;
map2[1036][1]:=$A7FE;map2[1036][2]:=$B8DC;
map2[1037][1]:=$A840;map2[1037][2]:=$E8BC;
map2[1038][1]:=$A841;map2[1038][2]:=$966E;
map2[1039][1]:=$A842;map2[1039][2]:=$B2BD;
map2[1040][1]:=$A843;map2[1040][2]:=$C3BF;
map2[1041][1]:=$A844;map2[1041][2]:=$C7F3;
map2[1042][1]:=$A845;map2[1042][2]:=$B9AF;
map2[1043][1]:=$A846;map2[1043][2]:=$C9B3;
map2[1044][1]:=$A847;map2[1044][2]:=$C7DF;
map2[1045][1]:=$A848;map2[1045][2]:=$B3C1;
map2[1046][1]:=$A849;map2[1046][2]:=$B3C1;
map2[1047][1]:=$A84A;map2[1047][2]:=$E3E4;
map2[1048][1]:=$A84B;map2[1048][2]:=$C5E6;
map2[1049][1]:=$A84C;map2[1049][2]:=$CDF4;
map2[1050][1]:=$A84D;map2[1050][2]:=$BEF6;
map2[1051][1]:=$A84E;map2[1051][2]:=$E3E5;
map2[1052][1]:=$A84F;map2[1052][2]:=$CCAD;
map2[1053][1]:=$A850;map2[1053][2]:=$E3E7;
map2[1054][1]:=$A851;map2[1054][2]:=$E3E8;
map2[1055][1]:=$A852;map2[1055][2]:=$B3E5;
map2[1056][1]:=$A853;map2[1056][2]:=$C3BB;
map2[1057][1]:=$A854;map2[1057][2]:=$C6FB;
map2[1058][1]:=$A855;map2[1058][2]:=$CED6;
map2[1059][1]:=$A856;map2[1059][2]:=$BCB3;
map2[1060][1]:=$A857;map2[1060][2]:=$B7DA;
map2[1061][1]:=$A858;map2[1061][2]:=$E3EA;
map2[1062][1]:=$A859;map2[1062][2]:=$E3EC;
map2[1063][1]:=$A85A;map2[1063][2]:=$E3EB;
map2[1064][1]:=$A85B;map2[1064][2]:=$D9FC;
map2[1065][1]:=$A85C;map2[1065][2]:=$E3E6;
map2[1066][1]:=$A85D;map2[1066][2]:=$9B61;
map2[1067][1]:=$A85E;map2[1067][2]:=$D2CA;
map2[1068][1]:=$A85F;map2[1068][2]:=$D4EE;
map2[1069][1]:=$A860;map2[1069][2]:=$D7C6;
map2[1070][1]:=$A861;map2[1070][2]:=$D4D6;
map2[1071][1]:=$A862;map2[1071][2]:=$BEC4;
map2[1072][1]:=$A863;map2[1072][2]:=$C0CE;
map2[1073][1]:=$A864;map2[1073][2]:=$C4B5;
map2[1074][1]:=$A865;map2[1074][2]:=$A0AD;
map2[1075][1]:=$A866;map2[1075][2]:=$B5D2;
map2[1076][1]:=$A867;map2[1076][2]:=$BFF1;
map2[1077][1]:=$A868;map2[1077][2]:=$BEC1;
map2[1078][1]:=$A869;map2[1078][2]:=$F0AE;
map2[1079][1]:=$A86A;map2[1079][2]:=$B8A6;
map2[1080][1]:=$A86B;map2[1080][2]:=$C4D0;
map2[1081][1]:=$A86C;map2[1081][2]:=$B5E9;
map2[1082][1]:=$A86D;map2[1082][2]:=$D4ED;
map2[1083][1]:=$A86E;map2[1083][2]:=$B6A2;
map2[1084][1]:=$A86F;map2[1084][2]:=$D2D3;
map2[1085][1]:=$A870;map2[1085][2]:=$CBBD;
map2[1086][1]:=$A871;map2[1086][2]:=$D0E3;
map2[1087][1]:=$A872;map2[1087][2]:=$CDBA;
map2[1088][1]:=$A873;map2[1088][2]:=$BEBF;
map2[1089][1]:=$A874;map2[1089][2]:=$CFB5;
map2[1090][1]:=$A875;map2[1090][2]:=$BAB1;
map2[1091][1]:=$A876;map2[1091][2]:=$D0A4;
map2[1092][1]:=$A877;map2[1092][2]:=$EBC1;
map2[1093][1]:=$A878;map2[1093][2]:=$B8CE;
map2[1094][1]:=$A879;map2[1094][2]:=$D6E2;
map2[1095][1]:=$A87A;map2[1095][2]:=$B8D8;
map2[1096][1]:=$A87B;map2[1096][2]:=$B6C7;
map2[1097][1]:=$A87C;map2[1097][2]:=$D3FD;
map2[1098][1]:=$A87D;map2[1098][2]:=$C1BC;
map2[1099][1]:=$A87E;map2[1099][2]:=$C3A2;
map2[1100][1]:=$A8A1;map2[1100][2]:=$D3F3;
map2[1101][1]:=$A8A2;map2[1101][2]:=$C9D6;
map2[1102][1]:=$A8A3;map2[1102][2]:=$BCFB;
map2[1103][1]:=$A8A4;map2[1103][2]:=$BDC7;
map2[1104][1]:=$A8A5;map2[1104][2]:=$D1D4;
map2[1105][1]:=$A8A6;map2[1105][2]:=$B9C8;
map2[1106][1]:=$A8A7;map2[1106][2]:=$B6B9;
map2[1107][1]:=$A8A8;map2[1107][2]:=$F5B9;
map2[1108][1]:=$A8A9;map2[1108][2]:=$B1B4;
map2[1109][1]:=$A8AA;map2[1109][2]:=$B3E0;
map2[1110][1]:=$A8AB;map2[1110][2]:=$D7DF;
map2[1111][1]:=$A8AC;map2[1111][2]:=$D7E3;
map2[1112][1]:=$A8AD;map2[1112][2]:=$C9ED;
map2[1113][1]:=$A8AE;map2[1113][2]:=$B3B5;
map2[1114][1]:=$A8AF;map2[1114][2]:=$D0C1;
map2[1115][1]:=$A8B0;map2[1115][2]:=$B3BD;
map2[1116][1]:=$A8B1;map2[1116][2]:=$D3D8;
map2[1117][1]:=$A8B2;map2[1117][2]:=$E5C6;
map2[1118][1]:=$A8B3;map2[1118][2]:=$D1B8;
map2[1119][1]:=$A8B4;map2[1119][2]:=$C6F9;
map2[1120][1]:=$A8B5;map2[1120][2]:=$D1B2;
map2[1121][1]:=$A8B6;map2[1121][2]:=$D2D8;
map2[1122][1]:=$A8B7;map2[1122][2]:=$D0CF;
map2[1123][1]:=$A8B8;map2[1123][2]:=$D0B0;
map2[1124][1]:=$A8B9;map2[1124][2]:=$B0EE;
map2[1125][1]:=$A8BA;map2[1125][2]:=$C4C7;
map2[1126][1]:=$A8BB;map2[1126][2]:=$D3CF;
map2[1127][1]:=$A8BC;map2[1127][2]:=$E18A;
map2[1128][1]:=$A8BD;map2[1128][2]:=$C0EF;
map2[1129][1]:=$A8BE;map2[1129][2]:=$B7C0;
map2[1130][1]:=$A8BF;map2[1130][2]:=$C8EE;
map2[1131][1]:=$A8C0;map2[1131][2]:=$DAE5;
map2[1132][1]:=$A8C1;map2[1132][2]:=$DAE6;
map2[1133][1]:=$A8C2;map2[1133][2]:=$BFD3;
map2[1134][1]:=$A8C3;map2[1134][2]:=$B2A2;
map2[1135][1]:=$A8C4;map2[1135][2]:=$B9D4;
map2[1136][1]:=$A8C5;map2[1136][2]:=$C8E9;
map2[1137][1]:=$A8C6;map2[1137][2]:=$CAC2;
map2[1138][1]:=$A8C7;map2[1138][2]:=$D0A9;
map2[1139][1]:=$A8C8;map2[1139][2]:=$D1C7;
map2[1140][1]:=$A8C9;map2[1140][2]:=$CFED;
map2[1141][1]:=$A8CA;map2[1141][2]:=$BEA9;
map2[1142][1]:=$A8CB;map2[1142][2]:=$D1F0;
map2[1143][1]:=$A8CC;map2[1143][2]:=$D2C0;
map2[1144][1]:=$A8CD;map2[1144][2]:=$CACC;
map2[1145][1]:=$A8CE;map2[1145][2]:=$BCD1;
map2[1146][1]:=$A8CF;map2[1146][2]:=$CAB9;
map2[1147][1]:=$A8D0;map2[1147][2]:=$C0D0;
map2[1148][1]:=$A8D1;map2[1148][2]:=$B9A9;
map2[1149][1]:=$A8D2;map2[1149][2]:=$C0FD;
map2[1150][1]:=$A8D3;map2[1150][2]:=$C0B4;
map2[1151][1]:=$A8D4;map2[1151][2]:=$D9A9;
map2[1152][1]:=$A8D5;map2[1152][2]:=$B0DB;
map2[1153][1]:=$A8D6;map2[1153][2]:=$B2A2;
map2[1154][1]:=$A8D7;map2[1154][2]:=$B3DE;
map2[1155][1]:=$A8D8;map2[1155][2]:=$C5E5;
map2[1156][1]:=$A8D9;map2[1156][2]:=$D9AC;
map2[1157][1]:=$A8DA;map2[1157][2]:=$C2D8;
map2[1158][1]:=$A8DB;map2[1158][2]:=$D9AB;
map2[1159][1]:=$A8DC;map2[1159][2]:=$D9AA;
map2[1160][1]:=$A8DD;map2[1160][2]:=$D9A7;
map2[1161][1]:=$A8DE;map2[1161][2]:=$81E7;
map2[1162][1]:=$A8DF;map2[1162][2]:=$CDC3;
map2[1163][1]:=$A8E0;map2[1163][2]:=$B6F9;
map2[1164][1]:=$A8E1;map2[1164][2]:=$D9EE;
map2[1165][1]:=$A8E2;map2[1165][2]:=$C1BD;
map2[1166][1]:=$A8E3;map2[1166][2]:=$BEDF;
map2[1167][1]:=$A8E4;map2[1167][2]:=$C6E4;
map2[1168][1]:=$A8E5;map2[1168][2]:=$B5E4;
map2[1169][1]:=$A8E6;map2[1169][2]:=$D9FD;
map2[1170][1]:=$A8E7;map2[1170][2]:=$BAAF;
map2[1171][1]:=$A8E8;map2[1171][2]:=$BFCC;
map2[1172][1]:=$A8E9;map2[1172][2]:=$C8AF;
map2[1173][1]:=$A8EA;map2[1173][2]:=$CBA2;
map2[1174][1]:=$A8EB;map2[1174][2]:=$B4CC;
map2[1175][1]:=$A8EC;map2[1175][2]:=$B5BD;
map2[1176][1]:=$A8ED;map2[1176][2]:=$B9CE;
map2[1177][1]:=$A8EE;map2[1177][2]:=$D6C6;
map2[1178][1]:=$A8EF;map2[1178][2]:=$B6E7;
map2[1179][1]:=$A8F0;map2[1179][2]:=$DBC0;
map2[1180][1]:=$A8F1;map2[1180][2]:=$84C1;
map2[1181][1]:=$A8F2;map2[1181][2]:=$D7E4;
map2[1182][1]:=$A8F3;map2[1182][2]:=$D0AD;
map2[1183][1]:=$A8F4;map2[1183][2]:=$D7BF;
map2[1184][1]:=$A8F5;map2[1184][2]:=$B1B0;
map2[1185][1]:=$A8F6;map2[1185][2]:=$D8D4;
map2[1186][1]:=$A8F7;map2[1186][2]:=$BEED;
map2[1187][1]:=$A8F8;map2[1187][2]:=$D0B6;
map2[1188][1]:=$A8F9;map2[1188][2]:=$D0F4;
map2[1189][1]:=$A8FA;map2[1189][2]:=$C8A1;
map2[1190][1]:=$A8FB;map2[1190][2]:=$CAE5;
map2[1191][1]:=$A8FC;map2[1191][2]:=$CADC;
map2[1192][1]:=$A8FD;map2[1192][2]:=$CEB6;
map2[1193][1]:=$A8FE;map2[1193][2]:=$BAC7;
map2[1194][1]:=$A940;map2[1194][2]:=$BFA7;
map2[1195][1]:=$A941;map2[1195][2]:=$C5DE;
map2[1196][1]:=$A942;map2[1196][2]:=$B9BE;
map2[1197][1]:=$A943;map2[1197][2]:=$BED7;
map2[1198][1]:=$A944;map2[1198][2]:=$C9EB;
map2[1199][1]:=$A945;map2[1199][2]:=$DFC8;
map2[1200][1]:=$A946;map2[1200][2]:=$DFCD;
map2[1201][1]:=$A947;map2[1201][2]:=$D6E4;
map2[1202][1]:=$A948;map2[1202][2]:=$C5D8;
map2[1203][1]:=$A949;map2[1203][2]:=$BAF4;
map2[1204][1]:=$A94A;map2[1204][2]:=$B8C0;
map2[1205][1]:=$A94B;map2[1205][2]:=$DFC9;
map2[1206][1]:=$A94C;map2[1206][2]:=$DFCE;
map2[1207][1]:=$A94D;map2[1207][2]:=$BACD;
map2[1208][1]:=$A94E;map2[1208][2]:=$DFCB;
map2[1209][1]:=$A94F;map2[1209][2]:=$C4D8;
map2[1210][1]:=$A950;map2[1210][2]:=$D6DC;
map2[1211][1]:=$A951;map2[1211][2]:=$D5A6;
map2[1212][1]:=$A952;map2[1212][2]:=$C3FC;
map2[1213][1]:=$A953;map2[1213][2]:=$BECC;
map2[1214][1]:=$A954;map2[1214][2]:=$B9CC;
map2[1215][1]:=$A955;map2[1215][2]:=$C0AC;
map2[1216][1]:=$A956;map2[1216][2]:=$BFC0;
map2[1217][1]:=$A957;map2[1217][2]:=$C6BA;
map2[1218][1]:=$A958;map2[1218][2]:=$DBE1;
map2[1219][1]:=$A959;map2[1219][2]:=$C6C2;
map2[1220][1]:=$A95A;map2[1220][2]:=$CCB9;
map2[1221][1]:=$A95B;map2[1221][2]:=$C0A4;
map2[1222][1]:=$A95C;map2[1222][2]:=$DBE5;
map2[1223][1]:=$A95D;map2[1223][2]:=$D2B9;
map2[1224][1]:=$A95E;map2[1224][2]:=$B7EE;
map2[1225][1]:=$A95F;map2[1225][2]:=$C6E6;
map2[1226][1]:=$A960;map2[1226][2]:=$C4CE;
map2[1227][1]:=$A961;map2[1227][2]:=$D1D9;
map2[1228][1]:=$A962;map2[1228][2]:=$B1BC;
map2[1229][1]:=$A963;map2[1229][2]:=$E6AA;
map2[1230][1]:=$A964;map2[1230][2]:=$C6DE;
map2[1231][1]:=$A965;map2[1231][2]:=$CEAF;
map2[1232][1]:=$A966;map2[1232][2]:=$C3C3;
map2[1233][1]:=$A967;map2[1233][2]:=$C4DD;
map2[1234][1]:=$A968;map2[1234][2]:=$B9C3;
map2[1235][1]:=$A969;map2[1235][2]:=$C4B7;
map2[1236][1]:=$A96A;map2[1236][2]:=$BDE3;
map2[1237][1]:=$A96B;map2[1237][2]:=$E6A9;
map2[1238][1]:=$A96C;map2[1238][2]:=$CABC;
map2[1239][1]:=$A96D;map2[1239][2]:=$D0D5;
map2[1240][1]:=$A96E;map2[1240][2]:=$E6A2;
map2[1241][1]:=$A96F;map2[1241][2]:=$E6A8;
map2[1242][1]:=$A970;map2[1242][2]:=$8A85;
map2[1243][1]:=$A971;map2[1243][2]:=$E6A6;
map2[1244][1]:=$A972;map2[1244][2]:=$8A94;
map2[1245][1]:=$A973;map2[1245][2]:=$C3CF;
map2[1246][1]:=$A974;map2[1246][2]:=$B9C2;
map2[1247][1]:=$A975;map2[1247][2]:=$BCBE;
map2[1248][1]:=$A976;map2[1248][2]:=$D7DA;
map2[1249][1]:=$A977;map2[1249][2]:=$B6A8;
map2[1250][1]:=$A978;map2[1250][2]:=$B9D9;
map2[1251][1]:=$A979;map2[1251][2]:=$D2CB;
map2[1252][1]:=$A97A;map2[1252][2]:=$D6E6;
map2[1253][1]:=$A97B;map2[1253][2]:=$CDF0;
map2[1254][1]:=$A97C;map2[1254][2]:=$C9D0;
map2[1255][1]:=$A97D;map2[1255][2]:=$C7FC;
map2[1256][1]:=$A97E;map2[1256][2]:=$BED3;
map2[1257][1]:=$A9A1;map2[1257][2]:=$BDEC;
map2[1258][1]:=$A9A2;map2[1258][2]:=$E1BA;
map2[1259][1]:=$A9A3;map2[1259][2]:=$B8D4;
map2[1260][1]:=$A9A4;map2[1260][2]:=$B0B6;
map2[1261][1]:=$A9A5;map2[1261][2]:=$D1D2;
map2[1262][1]:=$A9A6;map2[1262][2]:=$E1B6;
map2[1263][1]:=$A9A7;map2[1263][2]:=$E1B7;
map2[1264][1]:=$A9A8;map2[1264][2]:=$D4C0;
map2[1265][1]:=$A9A9;map2[1265][2]:=$C1B1;
map2[1266][1]:=$A9AA;map2[1266][2]:=$D6E3;
map2[1267][1]:=$A9AB;map2[1267][2]:=$CCFB;
map2[1268][1]:=$A9AC;map2[1268][2]:=$C5C1;
map2[1269][1]:=$A9AD;map2[1269][2]:=$B2AF;
map2[1270][1]:=$A9AE;map2[1270][2]:=$E0FB;
map2[1271][1]:=$A9AF;map2[1271][2]:=$D0D2;
map2[1272][1]:=$A9B0;map2[1272][2]:=$B8FD;
map2[1273][1]:=$A9B1;map2[1273][2]:=$B5EA;
map2[1274][1]:=$A9B2;map2[1274][2]:=$B8AE;
map2[1275][1]:=$A9B3;map2[1275][2]:=$B5D7;
map2[1276][1]:=$A9B4;map2[1276][2]:=$E2D2;
map2[1277][1]:=$A9B5;map2[1277][2]:=$D1D3;
map2[1278][1]:=$A9B6;map2[1278][2]:=$CFD2;
map2[1279][1]:=$A9B7;map2[1279][2]:=$BBA1;
map2[1280][1]:=$A9B8;map2[1280][2]:=$E5F3;
map2[1281][1]:=$A9B9;map2[1281][2]:=$CDF9;
map2[1282][1]:=$A9BA;map2[1282][2]:=$D5F7;
map2[1283][1]:=$A9BB;map2[1283][2]:=$B7F0;
map2[1284][1]:=$A9BC;map2[1284][2]:=$B1CB;
map2[1285][1]:=$A9BD;map2[1285][2]:=$E3C3;
map2[1286][1]:=$A9BE;map2[1286][2]:=$D6D2;
map2[1287][1]:=$A9BF;map2[1287][2]:=$BAF6;
map2[1288][1]:=$A9C0;map2[1288][2]:=$C4EE;
map2[1289][1]:=$A9C1;map2[1289][2]:=$B7DE;
map2[1290][1]:=$A9C2;map2[1290][2]:=$E2F3;
map2[1291][1]:=$A9C3;map2[1291][2]:=$D5FA;
map2[1292][1]:=$A9C4;map2[1292][2]:=$C7D3;
map2[1293][1]:=$A9C5;map2[1293][2]:=$E2F0;
map2[1294][1]:=$A9C6;map2[1294][2]:=$B2C0;
map2[1295][1]:=$A9C7;map2[1295][2]:=$B9D6;
map2[1296][1]:=$A9C8;map2[1296][2]:=$C5C2;
map2[1297][1]:=$A9C9;map2[1297][2]:=$E2F9;
map2[1298][1]:=$A9CA;map2[1298][2]:=$D0D4;
map2[1299][1]:=$A9CB;map2[1299][2]:=$E2F5;
map2[1300][1]:=$A9CC;map2[1300][2]:=$E2F6;
map2[1301][1]:=$A9CD;map2[1301][2]:=$E2F2;
map2[1302][1]:=$A9CE;map2[1302][2]:=$BBF2;
map2[1303][1]:=$A9CF;map2[1303][2]:=$E3DE;
map2[1304][1]:=$A9D0;map2[1304][2]:=$B7BF;
map2[1305][1]:=$A9D1;map2[1305][2]:=$ECE5;
map2[1306][1]:=$A9D2;map2[1306][2]:=$CBF9;
map2[1307][1]:=$A9D3;map2[1307][2]:=$B3D0;
map2[1308][1]:=$A9D4;map2[1308][2]:=$C0AD;
map2[1309][1]:=$A9D5;map2[1309][2]:=$B0E8;
map2[1310][1]:=$A9D6;map2[1310][2]:=$D6F4;
map2[1311][1]:=$A9D7;map2[1311][2]:=$C3F2;
map2[1312][1]:=$A9D8;map2[1312][2]:=$B7F7;
map2[1313][1]:=$A9D9;map2[1313][2]:=$C4A8;
map2[1314][1]:=$A9DA;map2[1314][2]:=$BEDC;
map2[1315][1]:=$A9DB;map2[1315][2]:=$D5D0;
map2[1316][1]:=$A9DC;map2[1316][2]:=$C5FB;
map2[1317][1]:=$A9DD;map2[1317][2]:=$CDD8;
map2[1318][1]:=$A9DE;map2[1318][2]:=$B0CE;
map2[1319][1]:=$A9DF;map2[1319][2]:=$9281;
map2[1320][1]:=$A9E0;map2[1320][2]:=$C4E9;
map2[1321][1]:=$A9E1;map2[1321][2]:=$C5EA;
map2[1322][1]:=$A9E2;map2[1322][2]:=$B3E9;
map2[1323][1]:=$A9E3;map2[1323][2]:=$D1BA;
map2[1324][1]:=$A9E4;map2[1324][2]:=$B9D5;
map2[1325][1]:=$A9E5;map2[1325][2]:=$D7BE;
map2[1326][1]:=$A9E6;map2[1326][2]:=$C4B4;
map2[1327][1]:=$A9E7;map2[1327][2]:=$C5C4;
map2[1328][1]:=$A9E8;map2[1328][2]:=$B5D6;
map2[1329][1]:=$A9E9;map2[1329][2]:=$DED5;
map2[1330][1]:=$A9EA;map2[1330][2]:=$B1A7;
map2[1331][1]:=$A9EB;map2[1331][2]:=$BED0;
map2[1332][1]:=$A9EC;map2[1332][2]:=$CDCF;
map2[1333][1]:=$A9ED;map2[1333][2]:=$DED6;
map2[1334][1]:=$A9EE;map2[1334][2]:=$B2F0;
map2[1335][1]:=$A9EF;map2[1335][2]:=$CCA7;
map2[1336][1]:=$A9F0;map2[1336][2]:=$C1E0;
map2[1337][1]:=$A9F1;map2[1337][2]:=$B7C5;
map2[1338][1]:=$A9F2;map2[1338][2]:=$B8AB;
map2[1339][1]:=$A9F3;map2[1339][2]:=$D3DA;
map2[1340][1]:=$A9F4;map2[1340][2]:=$CDFA;
map2[1341][1]:=$A9F5;map2[1341][2]:=$CEF4;
map2[1342][1]:=$A9F6;map2[1342][2]:=$D2D7;
map2[1343][1]:=$A9F7;map2[1343][2]:=$B2FD;
map2[1344][1]:=$A9F8;map2[1344][2]:=$C0A5;
map2[1345][1]:=$A9F9;map2[1345][2]:=$B0BA;
map2[1346][1]:=$A9FA;map2[1346][2]:=$C3F7;
map2[1347][1]:=$A9FB;map2[1347][2]:=$EAC0;
map2[1348][1]:=$A9FC;map2[1348][2]:=$BBE8;
map2[1349][1]:=$A9FD;map2[1349][2]:=$EABF;
map2[1350][1]:=$A9FE;map2[1350][2]:=$EABB;
map2[1351][1]:=$AA40;map2[1351][2]:=$C9FD;
map2[1352][1]:=$AA41;map2[1352][2]:=$B7FE;
map2[1353][1]:=$AA42;map2[1353][2]:=$C5F3;
map2[1354][1]:=$AA43;map2[1354][2]:=$BABC;
map2[1355][1]:=$AA44;map2[1355][2]:=$E8CA;
map2[1356][1]:=$AA45;map2[1356][2]:=$D5ED;
map2[1357][1]:=$AA46;map2[1357][2]:=$B6AB;
map2[1358][1]:=$AA47;map2[1358][2]:=$B9FB;
map2[1359][1]:=$AA48;map2[1359][2]:=$E8C3;
map2[1360][1]:=$AA49;map2[1360][2]:=$E8CB;
map2[1361][1]:=$AA4A;map2[1361][2]:=$E8C1;
map2[1362][1]:=$AA4B;map2[1362][2]:=$D6A6;
map2[1363][1]:=$AA4C;map2[1363][2]:=$C1D6;
map2[1364][1]:=$AA4D;map2[1364][2]:=$B1AD;
map2[1365][1]:=$AA4E;map2[1365][2]:=$BDDC;
map2[1366][1]:=$AA4F;map2[1366][2]:=$B0E5;
map2[1367][1]:=$AA50;map2[1367][2]:=$CDF7;
map2[1368][1]:=$AA51;map2[1368][2]:=$CBC9;
map2[1369][1]:=$AA52;map2[1369][2]:=$CEF6;
map2[1370][1]:=$AA53;map2[1370][2]:=$E8C6;
map2[1371][1]:=$AA54;map2[1371][2]:=$C3B6;
map2[1372][1]:=$AA55;map2[1372][2]:=$9692;
map2[1373][1]:=$AA56;map2[1373][2]:=$E8CC;
map2[1374][1]:=$AA57;map2[1374][2]:=$E8C2;
map2[1375][1]:=$AA58;map2[1375][2]:=$EABD;
map2[1376][1]:=$AA59;map2[1376][2]:=$D0C0;
map2[1377][1]:=$AA5A;map2[1377][2]:=$CEE4;
map2[1378][1]:=$AA5B;map2[1378][2]:=$C6E7;
map2[1379][1]:=$AA5C;map2[1379][2]:=$E9E2;
map2[1380][1]:=$AA5D;map2[1380][2]:=$C3A5;
map2[1381][1]:=$AA5E;map2[1381][2]:=$B7D5;
map2[1382][1]:=$AA5F;map2[1382][2]:=$C6FC;
map2[1383][1]:=$AA60;map2[1383][2]:=$D7A2;
map2[1384][1]:=$AA61;map2[1384][2]:=$D3BE;
map2[1385][1]:=$AA62;map2[1385][2]:=$E3FB;
map2[1386][1]:=$AA63;map2[1386][2]:=$C3DA;
map2[1387][1]:=$AA64;map2[1387][2]:=$C4E0;
map2[1388][1]:=$AA65;map2[1388][2]:=$BAD3;
map2[1389][1]:=$AA66;map2[1389][2]:=$B9C1;
map2[1390][1]:=$AA67;map2[1390][2]:=$D5B4;
map2[1391][1]:=$AA68;map2[1391][2]:=$D5D3;
map2[1392][1]:=$AA69;map2[1392][2]:=$B2A8;
map2[1393][1]:=$AA6A;map2[1393][2]:=$C4AD;
map2[1394][1]:=$AA6B;map2[1394][2]:=$B7A8;
map2[1395][1]:=$AA6C;map2[1395][2]:=$E3FC;
map2[1396][1]:=$AA6D;map2[1396][2]:=$B7D0;
map2[1397][1]:=$AA6E;map2[1397][2]:=$D0B9;
map2[1398][1]:=$AA6F;map2[1398][2]:=$D3CD;
map2[1399][1]:=$AA70;map2[1399][2]:=$BFF6;
map2[1400][1]:=$AA71;map2[1400][2]:=$BEDA;
map2[1401][1]:=$AA72;map2[1401][2]:=$E3F4;
map2[1402][1]:=$AA73;map2[1402][2]:=$C7F6;
map2[1403][1]:=$AA74;map2[1403][2]:=$E3F3;
map2[1404][1]:=$AA75;map2[1404][2]:=$D1D8;
map2[1405][1]:=$AA76;map2[1405][2]:=$D6CE;
map2[1406][1]:=$AA77;map2[1406][2]:=$C5DD;
map2[1407][1]:=$AA78;map2[1407][2]:=$B7BA;
map2[1408][1]:=$AA79;map2[1408][2]:=$B2B4;
map2[1409][1]:=$AA7A;map2[1409][2]:=$9B69;
map2[1410][1]:=$AA7B;map2[1410][2]:=$E3FD;
map2[1411][1]:=$AA7C;map2[1411][2]:=$9B82;
map2[1412][1]:=$AA7D;map2[1412][2]:=$E3F7;
map2[1413][1]:=$AA7E;map2[1413][2]:=$E3F6;
map2[1414][1]:=$AAA1;map2[1414][2]:=$BFBB;
map2[1415][1]:=$AAA2;map2[1415][2]:=$D1D7;
map2[1416][1]:=$AAA3;map2[1416][2]:=$B3B4;
map2[1417][1]:=$AAA4;map2[1417][2]:=$B4B6;
map2[1418][1]:=$AAA5;map2[1418][2]:=$D6CB;
map2[1419][1]:=$AAA6;map2[1419][2]:=$C5C0;
map2[1420][1]:=$AAA7;map2[1420][2]:=$D5F9;
map2[1421][1]:=$AAA8;map2[1421][2]:=$B0D6;
map2[1422][1]:=$AAA9;map2[1422][2]:=$B0E6;
map2[1423][1]:=$AAAA;map2[1423][2]:=$C4C1;
map2[1424][1]:=$AAAB;map2[1424][2]:=$CEEF;
map2[1425][1]:=$AAAC;map2[1425][2]:=$D7B4;
map2[1426][1]:=$AAAD;map2[1426][2]:=$E1F2;
map2[1427][1]:=$AAAE;map2[1427][2]:=$BED1;
map2[1428][1]:=$AAAF;map2[1428][2]:=$B9B7;
map2[1429][1]:=$AAB0;map2[1429][2]:=$BAFC;
map2[1430][1]:=$AAB1;map2[1430][2]:=$CDE6;
map2[1431][1]:=$AAB2;map2[1431][2]:=$E7E5;
map2[1432][1]:=$AAB3;map2[1432][2]:=$E7E4;
map2[1433][1]:=$AAB4;map2[1433][2]:=$C3B5;
map2[1434][1]:=$AAB5;map2[1434][2]:=$AB68;
map2[1435][1]:=$AAB6;map2[1435][2]:=$AE6C;
map2[1436][1]:=$AAB7;map2[1436][2]:=$F0DE;
map2[1437][1]:=$AAB8;map2[1437][2]:=$B8ED;
map2[1438][1]:=$AAB9;map2[1438][2]:=$BECE;
map2[1439][1]:=$AABA;map2[1439][2]:=$B5C4;
map2[1440][1]:=$AABB;map2[1440][2]:=$D3DB;
map2[1441][1]:=$AABC;map2[1441][2]:=$C3A4;
map2[1442][1]:=$AABD;map2[1442][2]:=$D6B1;
map2[1443][1]:=$AABE;map2[1443][2]:=$D6AA;
map2[1444][1]:=$AABF;map2[1444][2]:=$B9E8;
map2[1445][1]:=$AAC0;map2[1445][2]:=$C9E7;
map2[1446][1]:=$AAC1;map2[1446][2]:=$ECEB;
map2[1447][1]:=$AAC2;map2[1447][2]:=$C6EE;
map2[1448][1]:=$AAC3;map2[1448][2]:=$B1FC;
map2[1449][1]:=$AAC4;map2[1449][2]:=$F4CC;
map2[1450][1]:=$AAC5;map2[1450][2]:=$BFD5;
map2[1451][1]:=$AAC6;map2[1451][2]:=$F1B7;
map2[1452][1]:=$AAC7;map2[1452][2]:=$F3C3;
map2[1453][1]:=$AAC8;map2[1453][2]:=$BEC0;
map2[1454][1]:=$AAC9;map2[1454][2]:=$D8E8;
map2[1455][1]:=$AACA;map2[1455][2]:=$C7BC;
map2[1456][1]:=$AACB;map2[1456][2]:=$D8C2;
map2[1457][1]:=$AACC;map2[1457][2]:=$D5DF;
map2[1458][1]:=$AACD;map2[1458][2]:=$B7CE;
map2[1459][1]:=$AACE;map2[1459][2]:=$B7CA;
map2[1460][1]:=$AACF;map2[1460][2]:=$D6AB;
map2[1461][1]:=$AAD0;map2[1461][2]:=$EBC5;
map2[1462][1]:=$AAD1;map2[1462][2]:=$B9C9;
map2[1463][1]:=$AAD2;map2[1463][2]:=$EBC6;
map2[1464][1]:=$AAD3;map2[1464][2]:=$BCE7;
map2[1465][1]:=$AAD4;map2[1465][2]:=$EBC8;
map2[1466][1]:=$AAD5;map2[1466][2]:=$B7BE;
map2[1467][1]:=$AAD6;map2[1467][2]:=$BFCF;
map2[1468][1]:=$AAD7;map2[1468][2]:=$CED4;
map2[1469][1]:=$AAD8;map2[1469][2]:=$F4A7;
map2[1470][1]:=$AAD9;map2[1470][2]:=$C9E1;
map2[1471][1]:=$AADA;map2[1471][2]:=$B7BC;
map2[1472][1]:=$AADB;map2[1472][2]:=$D6A5;
map2[1473][1]:=$AADC;map2[1473][2]:=$DCBD;
map2[1474][1]:=$AADD;map2[1474][2]:=$B0C5;
map2[1475][1]:=$AADE;map2[1475][2]:=$D1BF;
map2[1476][1]:=$AADF;map2[1476][2]:=$DCCF;
map2[1477][1]:=$AAE0;map2[1477][2]:=$C7DB;
map2[1478][1]:=$AAE1;map2[1478][2]:=$BBA8;
map2[1479][1]:=$AAE2;map2[1479][2]:=$B7D2;
map2[1480][1]:=$AAE3;map2[1480][2]:=$BDE6;
map2[1481][1]:=$AAE4;map2[1481][2]:=$D0BE;
map2[1482][1]:=$AAE5;map2[1482][2]:=$DCBF;
map2[1483][1]:=$AAE6;map2[1483][2]:=$C65D;
map2[1484][1]:=$AAE7;map2[1484][2]:=$DCC1;
map2[1485][1]:=$AAE8;map2[1485][2]:=$DCC0;
map2[1486][1]:=$AAE9;map2[1486][2]:=$DCC6;
map2[1487][1]:=$AAEA;map2[1487][2]:=$BBA2;
map2[1488][1]:=$AAEB;map2[1488][2]:=$CAAD;
map2[1489][1]:=$AAEC;map2[1489][2]:=$B3F5;
map2[1490][1]:=$AAED;map2[1490][2]:=$B1ED;
map2[1491][1]:=$AAEE;map2[1491][2]:=$D4FE;
map2[1492][1]:=$AAEF;map2[1492][2]:=$D3AD;
map2[1493][1]:=$AAF0;map2[1493][2]:=$B7B5;
map2[1494][1]:=$AAF1;map2[1494][2]:=$BDFC;
map2[1495][1]:=$AAF2;map2[1495][2]:=$C9DB;
map2[1496][1]:=$AAF3;map2[1496][2]:=$DBA1;
map2[1497][1]:=$AAF4;map2[1497][2]:=$C7F1;
map2[1498][1]:=$AAF5;map2[1498][2]:=$DAFD;
map2[1499][1]:=$AAF6;map2[1499][2]:=$B2C9;
map2[1500][1]:=$AAF7;map2[1500][2]:=$BDF0;
map2[1501][1]:=$AAF8;map2[1501][2]:=$B3A4;
map2[1502][1]:=$AAF9;map2[1502][2]:=$C3C5;
map2[1503][1]:=$AAFA;map2[1503][2]:=$B8B7;
map2[1504][1]:=$AAFB;map2[1504][2]:=$CDD3;
map2[1505][1]:=$AAFC;map2[1505][2]:=$B0A2;
map2[1506][1]:=$AAFD;map2[1506][2]:=$D7E8;
map2[1507][1]:=$AAFE;map2[1507][2]:=$B8BD;
map2[1508][1]:=$AB40;map2[1508][2]:=$DAE9;
map2[1509][1]:=$AB41;map2[1509][2]:=$F6BF;
map2[1510][1]:=$AB42;map2[1510][2]:=$D3EA;
map2[1511][1]:=$AB43;map2[1511][2]:=$C7E0;
map2[1512][1]:=$AB44;map2[1512][2]:=$B7C7;
map2[1513][1]:=$AB45;map2[1513][2]:=$D8BD;
map2[1514][1]:=$AB46;map2[1514][2]:=$CDA4;
map2[1515][1]:=$AB47;map2[1515][2]:=$C1C1;
map2[1516][1]:=$AB48;map2[1516][2]:=$D0C5;
map2[1517][1]:=$AB49;map2[1517][2]:=$C7D6;
map2[1518][1]:=$AB4A;map2[1518][2]:=$BAEE;
map2[1519][1]:=$AB4B;map2[1519][2]:=$B1E3;
map2[1520][1]:=$AB4C;map2[1520][2]:=$CFC0;
map2[1521][1]:=$AB4D;map2[1521][2]:=$D9B8;
map2[1522][1]:=$AB4E;map2[1522][2]:=$C7CE;
map2[1523][1]:=$AB4F;map2[1523][2]:=$B1A3;
map2[1524][1]:=$AB50;map2[1524][2]:=$B4D9;
map2[1525][1]:=$AB51;map2[1525][2]:=$C2C2;
map2[1526][1]:=$AB52;map2[1526][2]:=$B7FD;
map2[1527][1]:=$AB53;map2[1527][2]:=$D9B9;
map2[1528][1]:=$AB54;map2[1528][2]:=$BFA1;
map2[1529][1]:=$AB55;map2[1529][2]:=$CBD7;
map2[1530][1]:=$AB56;map2[1530][2]:=$CEEA;
map2[1531][1]:=$AB57;map2[1531][2]:=$C0FE;
map2[1532][1]:=$AB58;map2[1532][2]:=$B6ED;
map2[1533][1]:=$AB59;map2[1533][2]:=$CFB5;
map2[1534][1]:=$AB5A;map2[1534][2]:=$D9B5;
map2[1535][1]:=$AB5B;map2[1535][2]:=$D9DE;
map2[1536][1]:=$AB5C;map2[1536][2]:=$D3E1;
map2[1537][1]:=$AB5D;map2[1537][2]:=$BED6;
map2[1538][1]:=$AB5E;map2[1538][2]:=$D9F0;
map2[1539][1]:=$AB5F;map2[1539][2]:=$C3B0;
map2[1540][1]:=$AB60;map2[1540][2]:=$83D9;
map2[1541][1]:=$AB61;map2[1541][2]:=$B9DA;
map2[1542][1]:=$AB62;map2[1542][2]:=$8478;
map2[1543][1]:=$AB63;map2[1543][2]:=$CCEA;
map2[1544][1]:=$AB64;map2[1544][2]:=$CFF7;
map2[1545][1]:=$AB65;map2[1545][2]:=$C7B0;
map2[1546][1]:=$AB66;map2[1546][2]:=$D8DD;
map2[1547][1]:=$AB67;map2[1547][2]:=$BFCB;
map2[1548][1]:=$AB68;map2[1548][2]:=$D4F2;
map2[1549][1]:=$AB69;map2[1549][2]:=$D3C2;
map2[1550][1]:=$AB6A;map2[1550][2]:=$C3E3;
map2[1551][1]:=$AB6B;map2[1551][2]:=$B2AA;
map2[1552][1]:=$AB6C;map2[1552][2]:=$BEA2;
map2[1553][1]:=$AB6D;map2[1553][2]:=$D9E9;
map2[1554][1]:=$AB6E;map2[1554][2]:=$C4CF;
map2[1555][1]:=$AB6F;map2[1555][2]:=$C8B4;
map2[1556][1]:=$AB70;map2[1556][2]:=$BAF1;
map2[1557][1]:=$AB71;map2[1557][2]:=$C5D1;
map2[1558][1]:=$AB72;map2[1558][2]:=$D2A7;
map2[1559][1]:=$AB73;map2[1559][2]:=$B0A7;
map2[1560][1]:=$AB74;map2[1560][2]:=$D7C9;
map2[1561][1]:=$AB75;map2[1561][2]:=$B0A5;
map2[1562][1]:=$AB76;map2[1562][2]:=$D4D5;
map2[1563][1]:=$AB77;map2[1563][2]:=$CFCC;
map2[1564][1]:=$AB78;map2[1564][2]:=$DFD7;
map2[1565][1]:=$AB79;map2[1565][2]:=$BFC8;
map2[1566][1]:=$AB7A;map2[1566][2]:=$CDDB;
map2[1567][1]:=$AB7B;map2[1567][2]:=$DFD3;
map2[1568][1]:=$AB7C;map2[1568][2]:=$D1CA;
map2[1569][1]:=$AB7D;map2[1569][2]:=$DFE4;
map2[1570][1]:=$AB7E;map2[1570][2]:=$C6B7;
map2[1571][1]:=$ABA1;map2[1571][2]:=$BAE5;
map2[1572][1]:=$ABA2;map2[1572][2]:=$B9FE;
map2[1573][1]:=$ABA3;map2[1573][2]:=$BFA9;
map2[1574][1]:=$ABA4;map2[1574][2]:=$E5EB;
map2[1575][1]:=$ABA5;map2[1575][2]:=$D4DB;
map2[1576][1]:=$ABA6;map2[1576][2]:=$DFDD;
map2[1577][1]:=$ABA7;map2[1577][2]:=$DFE3;
map2[1578][1]:=$ABA8;map2[1578][2]:=$DFD6;
map2[1579][1]:=$ABA9;map2[1579][2]:=$DFDE;
map2[1580][1]:=$ABAA;map2[1580][2]:=$E0F3;
map2[1581][1]:=$ABAB;map2[1581][2]:=$B4B9;
map2[1582][1]:=$ABAC;map2[1582][2]:=$D0CD;
map2[1583][1]:=$ABAD;map2[1583][2]:=$DBF3;
map2[1584][1]:=$ABAE;map2[1584][2]:=$D4AB;
map2[1585][1]:=$ABAF;map2[1585][2]:=$B9B8;
map2[1586][1]:=$ABB0;map2[1586][2]:=$B3C7;
map2[1587][1]:=$ABB1;map2[1587][2]:=$BFE5;
map2[1588][1]:=$ABB2;map2[1588][2]:=$DBF2;
map2[1589][1]:=$ABB3;map2[1589][2]:=$DEC8;
map2[1590][1]:=$ABB4;map2[1590][2]:=$C6F5;
map2[1591][1]:=$ABB5;map2[1591][2]:=$D7E0;
map2[1592][1]:=$ABB6;map2[1592][2]:=$BFFC;
map2[1593][1]:=$ABB7;map2[1593][2]:=$DBBC;
map2[1594][1]:=$ABB8;map2[1594][2]:=$BDAA;
map2[1595][1]:=$ABB9;map2[1595][2]:=$E6B0;
map2[1596][1]:=$ABBA;map2[1596][2]:=$D7CB;
map2[1597][1]:=$ABBB;map2[1597][2]:=$E6AF;
map2[1598][1]:=$ABBC;map2[1598][2]:=$D2CC;
map2[1599][1]:=$ABBD;map2[1599][2]:=$CDDE;
map2[1600][1]:=$ABBE;map2[1600][2]:=$C0D1;
map2[1601][1]:=$ABBF;map2[1601][2]:=$D6B6;
map2[1602][1]:=$ABC0;map2[1602][2]:=$D2A6;
map2[1603][1]:=$ABC1;map2[1603][2]:=$BCE9;
map2[1604][1]:=$ABC2;map2[1604][2]:=$CDFE;
map2[1605][1]:=$ABC3;map2[1605][2]:=$D2F6;
map2[1606][1]:=$ABC4;map2[1606][2]:=$BAA2;
map2[1607][1]:=$ABC5;map2[1607][2]:=$D0FB;
map2[1608][1]:=$ABC6;map2[1608][2]:=$BBC2;
map2[1609][1]:=$ABC7;map2[1609][2]:=$CAD2;
map2[1610][1]:=$ABC8;map2[1610][2]:=$BFCD;
map2[1611][1]:=$ABC9;map2[1611][2]:=$E5B6;
map2[1612][1]:=$ABCA;map2[1612][2]:=$B7E2;
map2[1613][1]:=$ABCB;map2[1613][2]:=$CABA;
map2[1614][1]:=$ABCC;map2[1614][2]:=$C6C1;
map2[1615][1]:=$ABCD;map2[1615][2]:=$CAAC;
map2[1616][1]:=$ABCE;map2[1616][2]:=$CEDD;
map2[1617][1]:=$ABCF;map2[1617][2]:=$D6C5;
map2[1618][1]:=$ABD0;map2[1618][2]:=$E1BC;
map2[1619][1]:=$ABD1;map2[1619][2]:=$CFEF;
map2[1620][1]:=$ABD2;map2[1620][2]:=$B5DB;
map2[1621][1]:=$ABD3;map2[1621][2]:=$CBA7;
map2[1622][1]:=$ABD4;map2[1622][2]:=$8E95;
map2[1623][1]:=$ABD5;map2[1623][2]:=$D3C4;
map2[1624][1]:=$ABD6;map2[1624][2]:=$E2D4;
map2[1625][1]:=$ABD7;map2[1625][2]:=$B6C8;
map2[1626][1]:=$ABD8;map2[1626][2]:=$BDA8;
map2[1627][1]:=$ABD9;map2[1627][2]:=$DEC4;
map2[1628][1]:=$ABDA;map2[1628][2]:=$E5F4;
map2[1629][1]:=$ABDB;map2[1629][2]:=$D1E5;
map2[1630][1]:=$ABDC;map2[1630][2]:=$BADC;
map2[1631][1]:=$ABDD;map2[1631][2]:=$B4FD;
map2[1632][1]:=$ABDE;map2[1632][2]:=$BBB2;
map2[1633][1]:=$ABDF;map2[1633][2]:=$C2C9;
map2[1634][1]:=$ABE0;map2[1634][2]:=$E1DF;
map2[1635][1]:=$ABE1;map2[1635][2]:=$BAF3;
map2[1636][1]:=$ABE2;map2[1636][2]:=$E1E0;
map2[1637][1]:=$ABE3;map2[1637][2]:=$C5AD;
map2[1638][1]:=$ABE4;map2[1638][2]:=$CBBC;
map2[1639][1]:=$ABE5;map2[1639][2]:=$B5A1;
map2[1640][1]:=$ABE6;map2[1640][2]:=$BCB1;
map2[1641][1]:=$ABE7;map2[1641][2]:=$D4F5;
map2[1642][1]:=$ABE8;map2[1642][2]:=$D4B9;
map2[1643][1]:=$ABE9;map2[1643][2]:=$BBD0;
map2[1644][1]:=$ABEA;map2[1644][2]:=$C7A1;
map2[1645][1]:=$ABEB;map2[1645][2]:=$BADE;
map2[1646][1]:=$ABEC;map2[1646][2]:=$BBD6;
map2[1647][1]:=$ABED;map2[1647][2]:=$BAE3;
map2[1648][1]:=$ABEE;map2[1648][2]:=$CAD1;
map2[1649][1]:=$ABEF;map2[1649][2]:=$CCF1;
map2[1650][1]:=$ABF0;map2[1650][2]:=$B6B2;
map2[1651][1]:=$ABF1;map2[1651][2]:=$E3A1;
map2[1652][1]:=$ABF2;map2[1652][2]:=$D0F4;
map2[1653][1]:=$ABF3;map2[1653][2]:=$B1E2;
map2[1654][1]:=$ABF4;map2[1654][2]:=$B0DD;
map2[1655][1]:=$ABF5;map2[1655][2]:=$CDDA;
map2[1656][1]:=$ABF6;map2[1656][2]:=$B0B4;
map2[1657][1]:=$ABF7;map2[1657][2]:=$C6B4;
map2[1658][1]:=$ABF8;map2[1658][2]:=$CAC3;
map2[1659][1]:=$ABF9;map2[1659][2]:=$B3D6;
map2[1660][1]:=$ABFA;map2[1660][2]:=$DED7;
map2[1661][1]:=$ABFB;map2[1661][2]:=$D7A7;
map2[1662][1]:=$ABFC;map2[1662][2]:=$D6B8;
map2[1663][1]:=$ABFD;map2[1663][2]:=$B9B0;
map2[1664][1]:=$ABFE;map2[1664][2]:=$BFBD;
map2[1665][1]:=$AC40;map2[1665][2]:=$D5FC;
map2[1666][1]:=$AC41;map2[1666][2]:=$C0A8;
map2[1667][1]:=$AC42;map2[1667][2]:=$CAB0;
map2[1668][1]:=$AC43;map2[1668][2]:=$CBA9;
map2[1669][1]:=$AC44;map2[1669][2]:=$CCF4;
map2[1670][1]:=$AC45;map2[1670][2]:=$B9D2;
map2[1671][1]:=$AC46;map2[1671][2]:=$D5FE;
map2[1672][1]:=$AC47;map2[1672][2]:=$B9CA;
map2[1673][1]:=$AC48;map2[1673][2]:=$EDBD;
map2[1674][1]:=$AC49;map2[1674][2]:=$CAA9;
map2[1675][1]:=$AC4A;map2[1675][2]:=$BCC8;
map2[1676][1]:=$AC4B;map2[1676][2]:=$B4BA;
map2[1677][1]:=$AC4C;map2[1677][2]:=$D5D1;
map2[1678][1]:=$AC4D;map2[1678][2]:=$D3B3;
map2[1679][1]:=$AC4E;map2[1679][2]:=$C3C1;
map2[1680][1]:=$AC4F;map2[1680][2]:=$CAC7;
map2[1681][1]:=$AC50;map2[1681][2]:=$D0C7;
map2[1682][1]:=$AC51;map2[1682][2]:=$D7F2;
map2[1683][1]:=$AC52;map2[1683][2]:=$EAC5;
map2[1684][1]:=$AC53;map2[1684][2]:=$9560;
map2[1685][1]:=$AC54;map2[1685][2]:=$EAC2;
map2[1686][1]:=$AC55;map2[1686][2]:=$CAC1;
map2[1687][1]:=$AC56;map2[1687][2]:=$C8BE;
map2[1688][1]:=$AC57;map2[1688][2]:=$D6F9;
map2[1689][1]:=$AC58;map2[1689][2]:=$C8E1;
map2[1690][1]:=$AC59;map2[1690][2]:=$C4B3;
map2[1691][1]:=$AC5A;map2[1691][2]:=$BCED;
map2[1692][1]:=$AC5B;map2[1692][2]:=$BCDC;
map2[1693][1]:=$AC5C;map2[1693][2]:=$BFDD;
map2[1694][1]:=$AC5D;map2[1694][2]:=$D5A4;
map2[1695][1]:=$AC5E;map2[1695][2]:=$E8D1;
map2[1696][1]:=$AC5F;map2[1696][2]:=$BFC2;
map2[1697][1]:=$AC60;map2[1697][2]:=$B1FA;
map2[1698][1]:=$AC61;map2[1698][2]:=$B8CC;
map2[1699][1]:=$AC62;map2[1699][2]:=$B9D5;
map2[1700][1]:=$AC63;map2[1700][2]:=$E8D6;
map2[1701][1]:=$AC64;map2[1701][2]:=$B2E9;
map2[1702][1]:=$AC65;map2[1702][2]:=$E8DB;
map2[1703][1]:=$AC66;map2[1703][2]:=$B0D8;
map2[1704][1]:=$AC67;map2[1704][2]:=$D7F5;
map2[1705][1]:=$AC68;map2[1705][2]:=$C1F8;
map2[1706][1]:=$AC69;map2[1706][2]:=$E8D2;
map2[1707][1]:=$AC6A;map2[1707][2]:=$E8D4;
map2[1708][1]:=$AC6B;map2[1708][2]:=$E8DC;
map2[1709][1]:=$AC6C;map2[1709][2]:=$E8D8;
map2[1710][1]:=$AC6D;map2[1710][2]:=$C6E2;
map2[1711][1]:=$AC6E;map2[1711][2]:=$CDE1;
map2[1712][1]:=$AC6F;map2[1712][2]:=$D1EA;
map2[1713][1]:=$AC70;map2[1713][2]:=$B4F9;
map2[1714][1]:=$AC71;map2[1714][2]:=$B6CE;
map2[1715][1]:=$AC72;map2[1715][2]:=$B6BE;
map2[1716][1]:=$AC73;map2[1716][2]:=$C5FE;
map2[1717][1]:=$AC74;map2[1717][2]:=$B7FA;
map2[1718][1]:=$AC75;map2[1718][2]:=$C8AA;
map2[1719][1]:=$AC76;map2[1719][2]:=$D1F3;
map2[1720][1]:=$AC77;map2[1720][2]:=$D6DE;
map2[1721][1]:=$AC78;map2[1721][2]:=$BAE9;
map2[1722][1]:=$AC79;map2[1722][2]:=$C1F7;
map2[1723][1]:=$AC7A;map2[1723][2]:=$BDF2;
map2[1724][1]:=$AC7B;map2[1724][2]:=$E4A3;
map2[1725][1]:=$AC7C;map2[1725][2]:=$B6FD;
map2[1726][1]:=$AC7D;map2[1726][2]:=$B6B4;
map2[1727][1]:=$AC7E;map2[1727][2]:=$CFB4;
map2[1728][1]:=$ACA1;map2[1728][2]:=$BBEE;
map2[1729][1]:=$ACA2;map2[1729][2]:=$C7A2;
map2[1730][1]:=$ACA3;map2[1730][2]:=$C5C9;
map2[1731][1]:=$ACA4;map2[1731][2]:=$D0DA;
map2[1732][1]:=$ACA5;map2[1732][2]:=$C2E5;
map2[1733][1]:=$ACA6;map2[1733][2]:=$B1C3;
map2[1734][1]:=$ACA7;map2[1734][2]:=$E4A1;
map2[1735][1]:=$ACA8;map2[1735][2]:=$E4A2;
map2[1736][1]:=$ACA9;map2[1736][2]:=$9BB2;
map2[1737][1]:=$ACAA;map2[1737][2]:=$D0B9;
map2[1738][1]:=$ACAB;map2[1738][2]:=$E4AC;
map2[1739][1]:=$ACAC;map2[1739][2]:=$E4AD;
map2[1740][1]:=$ACAD;map2[1740][2]:=$E4A9;
map2[1741][1]:=$ACAE;map2[1741][2]:=$E4AA;
map2[1742][1]:=$ACAF;map2[1742][2]:=$ECC5;
map2[1743][1]:=$ACB0;map2[1743][2]:=$CEAA;
map2[1744][1]:=$ACB1;map2[1744][2]:=$B1FE;
map2[1745][1]:=$ACB2;map2[1745][2]:=$BEE6;
map2[1746][1]:=$ACB3;map2[1746][2]:=$BEBC;
map2[1747][1]:=$ACB4;map2[1747][2]:=$CCBF;
map2[1748][1]:=$ACB5;map2[1748][2]:=$D5A8;
map2[1749][1]:=$ACB6;map2[1749][2]:=$C5DA;
map2[1750][1]:=$ACB7;map2[1750][2]:=$D5D5;
map2[1751][1]:=$ACB8;map2[1751][2]:=$EBBC;
map2[1752][1]:=$ACB9;map2[1752][2]:=$C9FC;
map2[1753][1]:=$ACBA;map2[1753][2]:=$EAF4;
map2[1754][1]:=$ACBB;map2[1754][2]:=$B5D6;
map2[1755][1]:=$ACBC;map2[1755][2]:=$E1F7;
map2[1756][1]:=$ACBD;map2[1756][2]:=$BADD;
map2[1757][1]:=$ACBE;map2[1757][2]:=$BDC6;
map2[1758][1]:=$ACBF;map2[1758][2]:=$E7E8;
map2[1759][1]:=$ACC0;map2[1759][2]:=$C9BA;
map2[1760][1]:=$ACC1;map2[1760][2]:=$B2A3;
map2[1761][1]:=$ACC2;map2[1761][2]:=$C1E1;
map2[1762][1]:=$ACC3;map2[1762][2]:=$D5E4;
map2[1763][1]:=$ACC4;map2[1763][2]:=$E7EA;
map2[1764][1]:=$ACC5;map2[1764][2]:=$E7E9;
map2[1765][1]:=$ACC6;map2[1765][2]:=$C9F5;
map2[1766][1]:=$ACC7;map2[1766][2]:=$B1C2;
map2[1767][1]:=$ACC8;map2[1767][2]:=$CEB7;
map2[1768][1]:=$ACC9;map2[1768][2]:=$BDE7;
map2[1769][1]:=$ACCA;map2[1769][2]:=$EEB0;
map2[1770][1]:=$ACCB;map2[1770][2]:=$EEB1;
map2[1771][1]:=$ACCC;map2[1771][2]:=$D2DF;
map2[1772][1]:=$ACCD;map2[1772][2]:=$B0CC;
map2[1773][1]:=$ACCE;map2[1773][2]:=$BDEA;
map2[1774][1]:=$ACCF;map2[1774][2]:=$AF4D;
map2[1775][1]:=$ACD0;map2[1775][2]:=$F0E0;
map2[1776][1]:=$ACD1;map2[1776][2]:=$B9EF;
map2[1777][1]:=$ACD2;map2[1777][2]:=$BDD4;
map2[1778][1]:=$ACD3;map2[1778][2]:=$BBCA;
map2[1779][1]:=$ACD4;map2[1779][2]:=$F0A7;
map2[1780][1]:=$ACD5;map2[1780][2]:=$D3AF;
map2[1781][1]:=$ACD6;map2[1781][2]:=$C5E8;
map2[1782][1]:=$ACD7;map2[1782][2]:=$B1AD;
map2[1783][1]:=$ACD8;map2[1783][2]:=$D6D1;
map2[1784][1]:=$ACD9;map2[1784][2]:=$CAA1;
map2[1785][1]:=$ACDA;map2[1785][2]:=$EDEF;
map2[1786][1]:=$ACDB;map2[1786][2]:=$CFE0;
map2[1787][1]:=$ACDC;map2[1787][2]:=$C3BC;
map2[1788][1]:=$ACDD;map2[1788][2]:=$BFB4;
map2[1789][1]:=$ACDE;map2[1789][2]:=$B6DC;
map2[1790][1]:=$ACDF;map2[1790][2]:=$C5CE;
map2[1791][1]:=$ACE0;map2[1791][2]:=$EDF0;
map2[1792][1]:=$ACE1;map2[1792][2]:=$F1E6;
map2[1793][1]:=$ACE2;map2[1793][2]:=$C9B0;
map2[1794][1]:=$ACE3;map2[1794][2]:=$D1D0;
map2[1795][1]:=$ACE4;map2[1795][2]:=$C6F6;
map2[1796][1]:=$ACE5;map2[1796][2]:=$BFB3;
map2[1797][1]:=$ACE6;map2[1797][2]:=$ECEC;
map2[1798][1]:=$ACE7;map2[1798][2]:=$ECED;
map2[1799][1]:=$ACE8;map2[1799][2]:=$C6ED;
map2[1800][1]:=$ACE9;map2[1800][2]:=$B56F;
map2[1801][1]:=$ACEA;map2[1801][2]:=$D3ED;
map2[1802][1]:=$ACEB;map2[1802][2]:=$D8AE;
map2[1803][1]:=$ACEC;map2[1803][2]:=$BFC6;
map2[1804][1]:=$ACED;map2[1804][2]:=$C3EB;
map2[1805][1]:=$ACEE;map2[1805][2]:=$C7EF;
map2[1806][1]:=$ACEF;map2[1806][2]:=$B4A9;
map2[1807][1]:=$ACF0;map2[1807][2]:=$CDBB;
map2[1808][1]:=$ACF1;map2[1808][2]:=$B8CD;
map2[1809][1]:=$ACF2;map2[1809][2]:=$F3C4;
map2[1810][1]:=$ACF3;map2[1810][2]:=$D7D1;
map2[1811][1]:=$ACF4;map2[1811][2]:=$E6FB;
map2[1812][1]:=$ACF5;map2[1812][2]:=$BAEC;
map2[1813][1]:=$ACF6;map2[1813][2]:=$BCCD;
map2[1814][1]:=$ACF7;map2[1814][2]:=$C8D2;
map2[1815][1]:=$ACF8;map2[1815][2]:=$E6FC;
map2[1816][1]:=$ACF9;map2[1816][2]:=$D4BC;
map2[1817][1]:=$ACFA;map2[1817][2]:=$E6FA;
map2[1818][1]:=$ACFB;map2[1818][2]:=$B8D7;
map2[1819][1]:=$ACFC;map2[1819][2]:=$C3C0;
map2[1820][1]:=$ACFD;map2[1820][2]:=$F4E0;
map2[1821][1]:=$ACFE;map2[1821][2]:=$EBA3;
map2[1822][1]:=$AD40;map2[1822][2]:=$C4CD;
map2[1823][1]:=$AD41;map2[1823][2]:=$CBA3;
map2[1824][1]:=$AD42;map2[1824][2]:=$B6CB;
map2[1825][1]:=$AD43;map2[1825][2]:=$D2AE;
map2[1826][1]:=$AD44;map2[1826][2]:=$C5D6;
map2[1827][1]:=$AD45;map2[1827][2]:=$F1E3;
map2[1828][1]:=$AD46;map2[1828][2]:=$C5DF;
map2[1829][1]:=$AD47;map2[1829][2]:=$CEB8;
map2[1830][1]:=$AD48;map2[1830][2]:=$EBD0;
map2[1831][1]:=$AD49;map2[1831][2]:=$B1B3;
map2[1832][1]:=$AD4A;map2[1832][2]:=$BAFA;
map2[1833][1]:=$AD4B;map2[1833][2]:=$EBCE;
map2[1834][1]:=$AD4C;map2[1834][2]:=$CCA5;
map2[1835][1]:=$AD4D;map2[1835][2]:=$B0FB;
map2[1836][1]:=$AD4E;map2[1836][2]:=$D8B7;
map2[1837][1]:=$AD4F;map2[1837][2]:=$EBD5;
map2[1838][1]:=$AD50;map2[1838][2]:=$D6C2;
map2[1839][1]:=$AD51;map2[1839][2]:=$F4AE;
map2[1840][1]:=$AD52;map2[1840][2]:=$DCD1;
map2[1841][1]:=$AD53;map2[1841][2]:=$B7B6;
map2[1842][1]:=$AD54;map2[1842][2]:=$C3A9;
map2[1843][1]:=$AD55;map2[1843][2]:=$DCC4;
map2[1844][1]:=$AD56;map2[1844][2]:=$BFC1;
map2[1845][1]:=$AD57;map2[1845][2]:=$BFE0;
map2[1846][1]:=$AD58;map2[1846][2]:=$C7D1;
map2[1847][1]:=$AD59;map2[1847][2]:=$C8F4;
map2[1848][1]:=$AD5A;map2[1848][2]:=$C3AF;
map2[1849][1]:=$AD5B;map2[1849][2]:=$DCD4;
map2[1850][1]:=$AD5C;map2[1850][2]:=$DCDB;
map2[1851][1]:=$AD5D;map2[1851][2]:=$C3E7;
map2[1852][1]:=$AD5E;map2[1852][2]:=$D3A2;
map2[1853][1]:=$AD5F;map2[1853][2]:=$D7C2;
map2[1854][1]:=$AD60;map2[1854][2]:=$DCD9;
map2[1855][1]:=$AD61;map2[1855][2]:=$CCA6;
map2[1856][1]:=$AD62;map2[1856][2]:=$D4B7;
map2[1857][1]:=$AD63;map2[1857][2]:=$B0FA;
map2[1858][1]:=$AD64;map2[1858][2]:=$DCDF;
map2[1859][1]:=$AD65;map2[1859][2]:=$B9B6;
map2[1860][1]:=$AD66;map2[1860][2]:=$B1BD;
map2[1861][1]:=$AD67;map2[1861][2]:=$DCE2;
map2[1862][1]:=$AD68;map2[1862][2]:=$C5B0;
map2[1863][1]:=$AD69;map2[1863][2]:=$BAE7;
map2[1864][1]:=$AD6A;map2[1864][2]:=$F2B5;
map2[1865][1]:=$AD6B;map2[1865][2]:=$F2B3;
map2[1866][1]:=$AD6C;map2[1866][2]:=$D1DC;
map2[1867][1]:=$AD6D;map2[1867][2]:=$C9C0;
map2[1868][1]:=$AD6E;map2[1868][2]:=$D2AA;
map2[1869][1]:=$AD6F;map2[1869][2]:=$D362;
map2[1870][1]:=$AD70;map2[1870][2]:=$BCC6;
map2[1871][1]:=$AD71;map2[1871][2]:=$B6A9;
map2[1872][1]:=$AD72;map2[1872][2]:=$B8BC;
map2[1873][1]:=$AD73;map2[1873][2]:=$D5EA;
map2[1874][1]:=$AD74;map2[1874][2]:=$B8BA;
map2[1875][1]:=$AD75;map2[1875][2]:=$B8B0;
map2[1876][1]:=$AD76;map2[1876][2]:=$F4F1;
map2[1877][1]:=$AD77;map2[1877][2]:=$C5BF;
map2[1878][1]:=$AD78;map2[1878][2]:=$BEFC;
map2[1879][1]:=$AD79;map2[1879][2]:=$B9EC;
map2[1880][1]:=$AD7A;map2[1880][2]:=$CAF6;
map2[1881][1]:=$AD7B;map2[1881][2]:=$E5C8;
map2[1882][1]:=$AD7C;map2[1882][2]:=$CCF6;
map2[1883][1]:=$AD7D;map2[1883][2]:=$B5CF;
map2[1884][1]:=$AD7E;map2[1884][2]:=$E5C4;
map2[1885][1]:=$ADA1;map2[1885][2]:=$B5FC;
map2[1886][1]:=$ADA2;map2[1886][2]:=$C6C8;
map2[1887][1]:=$ADA3;map2[1887][2]:=$E5C6;
map2[1888][1]:=$ADA4;map2[1888][2]:=$E5CA;
map2[1889][1]:=$ADA5;map2[1889][2]:=$BDBC;
map2[1890][1]:=$ADA6;map2[1890][2]:=$C0C9;
map2[1891][1]:=$ADA7;map2[1891][2]:=$D3F4;
map2[1892][1]:=$ADA8;map2[1892][2]:=$BACF;
map2[1893][1]:=$ADA9;map2[1893][2]:=$C7F5;
map2[1894][1]:=$ADAA;map2[1894][2]:=$F4FA;
map2[1895][1]:=$ADAB;map2[1895][2]:=$D6D8;
map2[1896][1]:=$ADAC;map2[1896][2]:=$E3C5;
map2[1897][1]:=$ADAD;map2[1897][2]:=$CFDE;
map2[1898][1]:=$ADAE;map2[1898][2]:=$C2AA;
map2[1899][1]:=$ADAF;map2[1899][2]:=$C4B0;
map2[1900][1]:=$ADB0;map2[1900][2]:=$BDB5;
map2[1901][1]:=$ADB1;map2[1901][2]:=$C3E6;
map2[1902][1]:=$ADB2;map2[1902][2]:=$B8EF;
map2[1903][1]:=$ADB3;map2[1903][2]:=$CEA4;
map2[1904][1]:=$ADB4;map2[1904][2]:=$BEC2;
map2[1905][1]:=$ADB5;map2[1905][2]:=$D2F4;
map2[1906][1]:=$ADB6;map2[1906][2]:=$D2B3;
map2[1907][1]:=$ADB7;map2[1907][2]:=$B7E7;
map2[1908][1]:=$ADB8;map2[1908][2]:=$B7C9;
map2[1909][1]:=$ADB9;map2[1909][2]:=$CAB3;
map2[1910][1]:=$ADBA;map2[1910][2]:=$CAD7;
map2[1911][1]:=$ADBB;map2[1911][2]:=$CFE3;
map2[1912][1]:=$ADBC;map2[1912][2]:=$B3CB;
map2[1913][1]:=$ADBD;map2[1913][2]:=$D9F1;
map2[1914][1]:=$ADBE;map2[1914][2]:=$D9C4;
map2[1915][1]:=$ADBF;map2[1915][2]:=$B1B6;
map2[1916][1]:=$ADC0;map2[1916][2]:=$B7C2;
map2[1917][1]:=$ADC1;map2[1917][2]:=$B8A9;
map2[1918][1]:=$ADC2;map2[1918][2]:=$BEEB;
map2[1919][1]:=$ADC3;map2[1919][2]:=$D9C5;
map2[1920][1]:=$ADC4;map2[1920][2]:=$D9BA;
map2[1921][1]:=$ADC5;map2[1921][2]:=$D9BB;
map2[1922][1]:=$ADC6;map2[1922][2]:=$D0D2;
map2[1923][1]:=$ADC7;map2[1923][2]:=$C1A9;
map2[1924][1]:=$ADC8;map2[1924][2]:=$D6B5;
map2[1925][1]:=$ADC9;map2[1925][2]:=$BDE8;
map2[1926][1]:=$ADCA;map2[1926][2]:=$D2D0;
map2[1927][1]:=$ADCB;map2[1927][2]:=$B5B9;
map2[1928][1]:=$ADCC;map2[1928][2]:=$C3C7;
map2[1929][1]:=$ADCD;map2[1929][2]:=$B0B3;
map2[1930][1]:=$ADCE;map2[1930][2]:=$D8F6;
map2[1931][1]:=$ADCF;map2[1931][2]:=$BEF3;
map2[1932][1]:=$ADD0;map2[1932][2]:=$D9C6;
map2[1933][1]:=$ADD1;map2[1933][2]:=$BEE3;
map2[1934][1]:=$ADD2;map2[1934][2]:=$B3AB;
map2[1935][1]:=$ADD3;map2[1935][2]:=$B8F6;
map2[1936][1]:=$ADD4;map2[1936][2]:=$BAF2;
map2[1937][1]:=$ADD5;map2[1937][2]:=$CCC8;
map2[1938][1]:=$ADD6;map2[1938][2]:=$D9BD;
map2[1939][1]:=$ADD7;map2[1939][2]:=$D0DE;
map2[1940][1]:=$ADD8;map2[1940][2]:=$D9C1;
map2[1941][1]:=$ADD9;map2[1941][2]:=$C4DF;
map2[1942][1]:=$ADDA;map2[1942][2]:=$D9C2;
map2[1943][1]:=$ADDB;map2[1943][2]:=$C2D7;
map2[1944][1]:=$ADDC;map2[1944][2]:=$B2D6;
map2[1945][1]:=$ADDD;map2[1945][2]:=$BCE6;
map2[1946][1]:=$ADDE;map2[1946][2]:=$D4A9;
map2[1947][1]:=$ADDF;map2[1947][2]:=$DAA4;
map2[1948][1]:=$ADE0;map2[1948][2]:=$DAA3;
map2[1949][1]:=$ADE1;map2[1949][2]:=$B6B3;
map2[1950][1]:=$ADE2;map2[1950][2]:=$C1E8;
map2[1951][1]:=$ADE3;map2[1951][2]:=$D7BC;
map2[1952][1]:=$ADE4;map2[1952][2]:=$B5F2;
map2[1953][1]:=$ADE5;map2[1953][2]:=$C6CA;
map2[1954][1]:=$ADE6;map2[1954][2]:=$D8E0;
map2[1955][1]:=$ADE7;map2[1955][2]:=$CCDE;
map2[1956][1]:=$ADE8;map2[1956][2]:=$B8D5;
map2[1957][1]:=$ADE9;map2[1957][2]:=$B0FE;
map2[1958][1]:=$ADEA;map2[1958][2]:=$B7CB;
map2[1959][1]:=$ADEB;map2[1959][2]:=$C7E4;
map2[1960][1]:=$ADEC;map2[1960][2]:=$D4AD;
map2[1961][1]:=$ADED;map2[1961][2]:=$D8C8;
map2[1962][1]:=$ADEE;map2[1962][2]:=$DBC5;
map2[1963][1]:=$ADEF;map2[1963][2]:=$C9DA;
map2[1964][1]:=$ADF0;map2[1964][2]:=$CCC6;
map2[1965][1]:=$ADF1;map2[1965][2]:=$D1E4;
map2[1966][1]:=$ADF2;map2[1966][2]:=$E0A1;
map2[1967][1]:=$ADF3;map2[1967][2]:=$BADF;
map2[1968][1]:=$ADF4;map2[1968][2]:=$B8E7;
map2[1969][1]:=$ADF5;map2[1969][2]:=$D5DC;
map2[1970][1]:=$ADF6;map2[1970][2]:=$CBF4;
map2[1971][1]:=$ADF7;map2[1971][2]:=$B2B8;
map2[1972][1]:=$ADF8;map2[1972][2]:=$DFED;
map2[1973][1]:=$ADF9;map2[1973][2]:=$C1A8;
map2[1974][1]:=$ADFA;map2[1974][2]:=$BFDE;
map2[1975][1]:=$ADFB;map2[1975][2]:=$D4B1;
map2[1976][1]:=$ADFC;map2[1976][2]:=$B0A6;
map2[1977][1]:=$ADFD;map2[1977][2]:=$CFF8;
map2[1978][1]:=$ADFE;map2[1978][2]:=$C4C4;
map2[1979][1]:=$AE40;map2[1979][2]:=$C5B6;
map2[1980][1]:=$AE41;map2[1980][2]:=$DFF3;
map2[1981][1]:=$AE42;map2[1981][2]:=$B4BD;
map2[1982][1]:=$AE43;map2[1982][2]:=$DFEC;
map2[1983][1]:=$AE44;map2[1983][2]:=$DFF1;
map2[1984][1]:=$AE45;map2[1984][2]:=$C6D4;
map2[1985][1]:=$AE46;map2[1985][2]:=$E0F4;
map2[1986][1]:=$AE47;map2[1986][2]:=$B9A1;
map2[1987][1]:=$AE48;map2[1987][2]:=$C6D2;
map2[1988][1]:=$AE49;map2[1988][2]:=$C2F1;
map2[1989][1]:=$AE4A;map2[1989][2]:=$B0A3;
map2[1990][1]:=$AE4B;map2[1990][2]:=$88D6;
map2[1991][1]:=$AE4C;map2[1991][2]:=$CFC4;
map2[1992][1]:=$AE4D;map2[1992][2]:=$CCD7;
map2[1993][1]:=$AE4E;map2[1993][2]:=$DECA;
map2[1994][1]:=$AE4F;map2[1994][2]:=$DEC9;
map2[1995][1]:=$AE50;map2[1995][2]:=$E6B6;
map2[1996][1]:=$AE51;map2[1996][2]:=$C4EF;
map2[1997][1]:=$AE52;map2[1997][2]:=$C4C8;
map2[1998][1]:=$AE53;map2[1998][2]:=$BEEA;
map2[1999][1]:=$AE54;map2[1999][2]:=$D3E9;
map2[2000][1]:=$AE55;map2[2000][2]:=$E6B8;
map2[2001][1]:=$AE56;map2[2001][2]:=$BCA7;
map2[2002][1]:=$AE57;map2[2002][2]:=$C9EF;
map2[2003][1]:=$AE58;map2[2003][2]:=$E6B7;
map2[2004][1]:=$AE59;map2[2004][2]:=$C3E4;
map2[2005][1]:=$AE5A;map2[2005][2]:=$B6F0;
map2[2006][1]:=$AE5B;map2[2006][2]:=$E6B2;
map2[2007][1]:=$AE5C;map2[2007][2]:=$E6B3;
map2[2008][1]:=$AE5D;map2[2008][2]:=$CBEF;
map2[2009][1]:=$AE5E;map2[2009][2]:=$8CCC;
map2[2010][1]:=$AE5F;map2[2010][2]:=$D4D7;
map2[2011][1]:=$AE60;map2[2011][2]:=$BAA6;
map2[2012][1]:=$AE61;map2[2012][2]:=$BCD2;
map2[2013][1]:=$AE62;map2[2013][2]:=$D1E7;
map2[2014][1]:=$AE63;map2[2014][2]:=$B9AC;
map2[2015][1]:=$AE64;map2[2015][2]:=$CFFC;
map2[2016][1]:=$AE65;map2[2016][2]:=$C8DD;
map2[2017][1]:=$AE66;map2[2017][2]:=$E5B7;
map2[2018][1]:=$AE67;map2[2018][2]:=$C9E4;
map2[2019][1]:=$AE68;map2[2019][2]:=$D0BC;
map2[2020][1]:=$AE69;map2[2020][2]:=$D5B9;
map2[2021][1]:=$AE6A;map2[2021][2]:=$E5EC;
map2[2022][1]:=$AE6B;map2[2022][2]:=$C7CD;
map2[2023][1]:=$AE6C;map2[2023][2]:=$CFBF;
map2[2024][1]:=$AE6D;map2[2024][2]:=$BEFE;
map2[2025][1]:=$AE6E;map2[2025][2]:=$D3F8;
map2[2026][1]:=$AE6F;map2[2026][2]:=$B6EB;
map2[2027][1]:=$AE70;map2[2027][2]:=$B7E5;
map2[2028][1]:=$AE71;map2[2028][2]:=$B5BA;
map2[2029][1]:=$AE72;map2[2029][2]:=$8D80;
map2[2030][1]:=$AE73;map2[2030][2]:=$E1AD;
map2[2031][1]:=$AE74;map2[2031][2]:=$B2EE;
map2[2032][1]:=$AE75;map2[2032][2]:=$CFAF;
map2[2033][1]:=$AE76;map2[2033][2]:=$CAA6;
map2[2034][1]:=$AE77;map2[2034][2]:=$BFE2;
map2[2035][1]:=$AE78;map2[2035][2]:=$CDA5;
map2[2036][1]:=$AE79;map2[2036][2]:=$D7F9;
map2[2037][1]:=$AE7A;map2[2037][2]:=$C8F5;
map2[2038][1]:=$AE7B;map2[2038][2]:=$CDBD;
map2[2039][1]:=$AE7C;map2[2039][2]:=$BEB6;
map2[2040][1]:=$AE7D;map2[2040][2]:=$D0EC;
map2[2041][1]:=$AE7E;map2[2041][2]:=$EDA6;
map2[2042][1]:=$AEA1;map2[2042][2]:=$EDA7;
map2[2043][1]:=$AEA2;map2[2043][2]:=$B3DC;
map2[2044][1]:=$AEA3;map2[2044][2]:=$BFD6;
map2[2045][1]:=$AEA4;map2[2045][2]:=$CBA1;
map2[2046][1]:=$AEA5;map2[2046][2]:=$B9A7;
map2[2047][1]:=$AEA6;map2[2047][2]:=$B6F7;
map2[2048][1]:=$AEA7;map2[2048][2]:=$CFA2;
map2[2049][1]:=$AEA8;map2[2049][2]:=$C7C4;
map2[2050][1]:=$AEA9;map2[2050][2]:=$CEF2;
map2[2051][1]:=$AEAA;map2[2051][2]:=$E3A4;
map2[2052][1]:=$AEAB;map2[2052][2]:=$BAB7;
map2[2053][1]:=$AEAC;map2[2053][2]:=$BBDA;
map2[2054][1]:=$AEAD;map2[2054][2]:=$E3A9;
map2[2055][1]:=$AEAE;map2[2055][2]:=$D4C3;
map2[2056][1]:=$AEAF;map2[2056][2]:=$E3A3;
map2[2057][1]:=$AEB0;map2[2057][2]:=$C9C8;
map2[2058][1]:=$AEB1;map2[2058][2]:=$C8AD;
map2[2059][1]:=$AEB2;map2[2059][2]:=$EAFC;
map2[2060][1]:=$AEB3;map2[2060][2]:=$C4C3;
map2[2061][1]:=$AEB4;map2[2061][2]:=$C9D3;
map2[2062][1]:=$AEB5;map2[2062][2]:=$D0AE;
map2[2063][1]:=$AEB6;map2[2063][2]:=$D5F1;
map2[2064][1]:=$AEB7;map2[2064][2]:=$B2B6;
map2[2065][1]:=$AEB8;map2[2065][2]:=$CEE6;
map2[2066][1]:=$AEB9;map2[2066][2]:=$C0A6;
map2[2067][1]:=$AEBA;map2[2067][2]:=$C4F3;
map2[2068][1]:=$AEBB;map2[2068][2]:=$D7BD;
map2[2069][1]:=$AEBC;map2[2069][2]:=$CDA6;
map2[2070][1]:=$AEBD;map2[2070][2]:=$BEE8;
map2[2071][1]:=$AEBE;map2[2071][2]:=$CDEC;
map2[2072][1]:=$AEBF;map2[2072][2]:=$C5B2;
map2[2073][1]:=$AEC0;map2[2073][2]:=$B4EC;
map2[2074][1]:=$AEC1;map2[2074][2]:=$B0A4;
map2[2075][1]:=$AEC2;map2[2075][2]:=$BAB4;
map2[2076][1]:=$AEC3;map2[2076][2]:=$B0C6;
map2[2077][1]:=$AEC4;map2[2077][2]:=$D0A7;
map2[2078][1]:=$AEC5;map2[2078][2]:=$F4CD;
map2[2079][1]:=$AEC6;map2[2079][2]:=$C1CF;
map2[2080][1]:=$AEC7;map2[2080][2]:=$C5D4;
map2[2081][1]:=$AEC8;map2[2081][2]:=$C2C3;
map2[2082][1]:=$AEC9;map2[2082][2]:=$CAB1;
map2[2083][1]:=$AECA;map2[2083][2]:=$BDFA;
map2[2084][1]:=$AECB;map2[2084][2]:=$EACC;
map2[2085][1]:=$AECC;map2[2085][2]:=$BBCE;
map2[2086][1]:=$AECD;map2[2086][2]:=$C9B9;
map2[2087][1]:=$AECE;map2[2087][2]:=$C9CE;
map2[2088][1]:=$AECF;map2[2088][2]:=$9574;
map2[2089][1]:=$AED0;map2[2089][2]:=$EACB;
map2[2090][1]:=$AED1;map2[2090][2]:=$CAE9;
map2[2091][1]:=$AED2;map2[2091][2]:=$CBB7;
map2[2092][1]:=$AED3;map2[2092][2]:=$EBDE;
map2[2093][1]:=$AED4;map2[2093][2]:=$C0CA;
map2[2094][1]:=$AED5;map2[2094][2]:=$D0A3;
map2[2095][1]:=$AED6;map2[2095][2]:=$BACB;
map2[2096][1]:=$AED7;map2[2096][2]:=$B0B8;
map2[2097][1]:=$AED8;map2[2097][2]:=$BFF2;
map2[2098][1]:=$AED9;map2[2098][2]:=$BBB8;
map2[2099][1]:=$AEDA;map2[2099][2]:=$B8F9;
map2[2100][1]:=$AEDB;map2[2100][2]:=$B9F0;
map2[2101][1]:=$AEDC;map2[2101][2]:=$BDDB;
map2[2102][1]:=$AEDD;map2[2102][2]:=$E8F2;
map2[2103][1]:=$AEDE;map2[2103][2]:=$CAE1;
map2[2104][1]:=$AEDF;map2[2104][2]:=$C0F5;
map2[2105][1]:=$AEE0;map2[2105][2]:=$D7C0;
map2[2106][1]:=$AEE1;map2[2106][2]:=$C9A3;
map2[2107][1]:=$AEE2;map2[2107][2]:=$D4D4;
map2[2108][1]:=$AEE3;map2[2108][2]:=$B2F1;
map2[2109][1]:=$AEE4;map2[2109][2]:=$CDA9;
map2[2110][1]:=$AEE5;map2[2110][2]:=$E8EE;
map2[2111][1]:=$AEE6;map2[2111][2]:=$B8F1;
map2[2112][1]:=$AEE7;map2[2112][2]:=$CCD2;
map2[2113][1]:=$AEE8;map2[2113][2]:=$D6EA;
map2[2114][1]:=$AEE9;map2[2114][2]:=$CEA6;
map2[2115][1]:=$AEEA;map2[2115][2]:=$CBA8;
map2[2116][1]:=$AEEB;map2[2116][2]:=$96D8;
map2[2117][1]:=$AEEC;map2[2117][2]:=$E8EC;
map2[2118][1]:=$AEED;map2[2118][2]:=$CAE2;
map2[2119][1]:=$AEEE;map2[2119][2]:=$D1B3;
map2[2120][1]:=$AEEF;map2[2120][2]:=$D2F3;
map2[2121][1]:=$AEF0;map2[2121][2]:=$C6F8;
map2[2122][1]:=$AEF1;map2[2122][2]:=$D1F5;
map2[2123][1]:=$AEF2;map2[2123][2]:=$B0B1;
map2[2124][1]:=$AEF3;map2[2124][2]:=$BAA4;
map2[2125][1]:=$AEF4;map2[2125][2]:=$EBB3;
map2[2126][1]:=$AEF5;map2[2126][2]:=$CCA9;
map2[2127][1]:=$AEF6;map2[2127][2]:=$C0CB;
map2[2128][1]:=$AEF7;map2[2128][2]:=$CCE9;
map2[2129][1]:=$AEF8;map2[2129][2]:=$CFFB;
map2[2130][1]:=$AEF9;map2[2130][2]:=$E3FE;
map2[2131][1]:=$AEFA;map2[2131][2]:=$C6D6;
map2[2132][1]:=$AEFB;map2[2132][2]:=$BDFE;
map2[2133][1]:=$AEFC;map2[2133][2]:=$BAA3;
map2[2134][1]:=$AEFD;map2[2134][2]:=$D5E3;
map2[2135][1]:=$AEFE;map2[2135][2]:=$E4B8;
map2[2136][1]:=$AF40;map2[2136][2]:=$9BC9;
map2[2137][1]:=$AF41;map2[2137][2]:=$C9E6;
map2[2138][1]:=$AF42;map2[2138][2]:=$B8A1;
map2[2139][1]:=$AF43;map2[2139][2]:=$BFA3;
map2[2140][1]:=$AF44;map2[2140][2]:=$D4A1;
map2[2141][1]:=$AF45;map2[2141][2]:=$BAC6;
map2[2142][1]:=$AF46;map2[2142][2]:=$D3BF;
map2[2143][1]:=$AF47;map2[2143][2]:=$9BDD;
map2[2144][1]:=$AF48;map2[2144][2]:=$E4A4;
map2[2145][1]:=$AF49;map2[2145][2]:=$C4F9;
map2[2146][1]:=$AF4A;map2[2146][2]:=$9BC5;
map2[2147][1]:=$AF4B;map2[2147][2]:=$E4B9;
map2[2148][1]:=$AF4C;map2[2148][2]:=$ECC8;
map2[2149][1]:=$AF4D;map2[2149][2]:=$BAE6;
map2[2150][1]:=$AF4E;map2[2150][2]:=$BFBE;
map2[2151][1]:=$AF4F;map2[2151][2]:=$C0D3;
map2[2152][1]:=$AF50;map2[2152][2]:=$C1D2;
map2[2153][1]:=$AF51;map2[2153][2]:=$CEDA;
map2[2154][1]:=$AF52;map2[2154][2]:=$B5F9;
map2[2155][1]:=$AF53;map2[2155][2]:=$CCD8;
map2[2156][1]:=$AF54;map2[2156][2]:=$C0C7;
map2[2157][1]:=$AF55;map2[2157][2]:=$CFC1;
map2[2158][1]:=$AF56;map2[2158][2]:=$B1B7;
map2[2159][1]:=$AF57;map2[2159][2]:=$C0EA;
map2[2160][1]:=$AF58;map2[2160][2]:=$E1FA;
map2[2161][1]:=$AF59;map2[2161][2]:=$D7C8;
map2[2162][1]:=$AF5A;map2[2162][2]:=$B0E0;
map2[2163][1]:=$AF5B;map2[2163][2]:=$C1F0;
map2[2164][1]:=$AF5C;map2[2164][2]:=$C5E5;
map2[2165][1]:=$AF5D;map2[2165][2]:=$D6E9;
map2[2166][1]:=$AF5E;map2[2166][2]:=$AB95;
map2[2167][1]:=$AF5F;map2[2167][2]:=$E7F3;
map2[2168][1]:=$AF60;map2[2168][2]:=$C5CF;
map2[2169][1]:=$AF61;map2[2169][2]:=$C4B6;
map2[2170][1]:=$AF62;map2[2170][2]:=$D0F3;
map2[2171][1]:=$AF63;map2[2171][2]:=$DBCE;
map2[2172][1]:=$AF64;map2[2172][2]:=$C1F4;
map2[2173][1]:=$AF65;map2[2173][2]:=$BCB2;
map2[2174][1]:=$AF66;map2[2174][2]:=$B2A1;
map2[2175][1]:=$AF67;map2[2175][2]:=$D6A2;
map2[2176][1]:=$AF68;map2[2176][2]:=$C6A3;
map2[2177][1]:=$AF69;map2[2177][2]:=$F0E1;
map2[2178][1]:=$AF6A;map2[2178][2]:=$BED2;
map2[2179][1]:=$AF6B;map2[2179][2]:=$CCDB;
map2[2180][1]:=$AF6C;map2[2180][2]:=$D5EE;
map2[2181][1]:=$AF6D;map2[2181][2]:=$F0E8;
map2[2182][1]:=$AF6E;map2[2182][2]:=$F0E3;
map2[2183][1]:=$AF6F;map2[2183][2]:=$B8DE;
map2[2184][1]:=$AF70;map2[2184][2]:=$F0E5;
map2[2185][1]:=$AF71;map2[2185][2]:=$D2E6;
map2[2186][1]:=$AF72;map2[2186][2]:=$EEC1;
map2[2187][1]:=$AF73;map2[2187][2]:=$B0BB;
map2[2188][1]:=$AF74;map2[2188][2]:=$D1A3;
map2[2189][1]:=$AF75;map2[2189][2]:=$D5E6;
map2[2190][1]:=$AF76;map2[2190][2]:=$C3DF;
map2[2191][1]:=$AF77;map2[2191][2]:=$D5A3;
map2[2192][1]:=$AF78;map2[2192][2]:=$BED8;
map2[2193][1]:=$AF79;map2[2193][2]:=$C5E9;
map2[2194][1]:=$AF7A;map2[2194][2]:=$D5E8;
map2[2195][1]:=$AF7B;map2[2195][2]:=$D4D2;
map2[2196][1]:=$AF7C;map2[2196][2]:=$EDC0;
map2[2197][1]:=$AF7D;map2[2197][2]:=$C6C6;
map2[2198][1]:=$AF7E;map2[2198][2]:=$C9E9;
map2[2199][1]:=$AFA1;map2[2199][2]:=$EDC6;
map2[2200][1]:=$AFA2;map2[2200][2]:=$EDBE;
map2[2201][1]:=$AFA3;map2[2201][2]:=$B35E;
map2[2202][1]:=$AFA4;map2[2202][2]:=$EDC4;
map2[2203][1]:=$AFA5;map2[2203][2]:=$C5DA;
map2[2204][1]:=$AFA6;map2[2204][2]:=$C3D8;
map2[2205][1]:=$AFA7;map2[2205][2]:=$D3D3;
map2[2206][1]:=$AFA8;map2[2206][2]:=$ECF4;
map2[2207][1]:=$AFA9;map2[2207][2]:=$CBEE;
map2[2208][1]:=$AFAA;map2[2208][2]:=$D7E6;
map2[2209][1]:=$AFAB;map2[2209][2]:=$C9F1;
map2[2210][1]:=$AFAC;map2[2210][2]:=$D7A3;
map2[2211][1]:=$AFAD;map2[2211][2]:=$ECF3;
map2[2212][1]:=$AFAE;map2[2212][2]:=$ECF1;
map2[2213][1]:=$AFAF;map2[2213][2]:=$B3D3;
map2[2214][1]:=$AFB0;map2[2214][2]:=$EFF7;
map2[2215][1]:=$AFB1;map2[2215][2]:=$D1ED;
map2[2216][1]:=$AFB2;map2[2216][2]:=$D7E2;
map2[2217][1]:=$AFB3;map2[2217][2]:=$C7D8;
map2[2218][1]:=$AFB4;map2[2218][2]:=$D6C8;
map2[2219][1]:=$AFB5;map2[2219][2]:=$C3D8;
map2[2220][1]:=$AFB6;map2[2220][2]:=$D5AD;
map2[2221][1]:=$AFB7;map2[2221][2]:=$F1BA;
map2[2222][1]:=$AFB8;map2[2222][2]:=$D5BE;
map2[2223][1]:=$AFB9;map2[2223][2]:=$B0CA;
map2[2224][1]:=$AFBA;map2[2224][2]:=$D0A6;
map2[2225][1]:=$AFBB;map2[2225][2]:=$B7DB;
map2[2226][1]:=$AFBC;map2[2226][2]:=$B7C4;
map2[2227][1]:=$AFBD;map2[2227][2]:=$C9B4;
map2[2228][1]:=$AFBE;map2[2228][2]:=$CEC6;
map2[2229][1]:=$AFBF;map2[2229][2]:=$CEC9;
map2[2230][1]:=$AFC0;map2[2230][2]:=$CBD8;
map2[2231][1]:=$AFC1;map2[2231][2]:=$CBF7;
map2[2232][1]:=$AFC2;map2[2232][2]:=$B4BF;
map2[2233][1]:=$AFC3;map2[2233][2]:=$C5A6;
map2[2234][1]:=$AFC4;map2[2234][2]:=$E7A2;
map2[2235][1]:=$AFC5;map2[2235][2]:=$BCB6;
map2[2236][1]:=$AFC6;map2[2236][2]:=$E7A1;
map2[2237][1]:=$AFC7;map2[2237][2]:=$C4C9;
map2[2238][1]:=$AFC8;map2[2238][2]:=$D6BD;
map2[2239][1]:=$AFC9;map2[2239][2]:=$B7D7;
map2[2240][1]:=$AFCA;map2[2240][2]:=$C8B1;
map2[2241][1]:=$AFCB;map2[2241][2]:=$EEB9;
map2[2242][1]:=$AFCC;map2[2242][2]:=$B8E1;
map2[2243][1]:=$AFCD;map2[2243][2]:=$B3E1;
map2[2244][1]:=$AFCE;map2[2244][2]:=$CECC;
map2[2245][1]:=$AFCF;map2[2245][2]:=$EAC8;
map2[2246][1]:=$AFD0;map2[2246][2]:=$D4C5;
map2[2247][1]:=$AFD1;map2[2247][2]:=$B8FB;
map2[2248][1]:=$AFD2;map2[2248][2]:=$B0D2;
map2[2249][1]:=$AFD3;map2[2249][2]:=$BAC4;
map2[2250][1]:=$AFD4;map2[2250][2]:=$B5A2;
map2[2251][1]:=$AFD5;map2[2251][2]:=$B9A2;
map2[2252][1]:=$AFD6;map2[2252][2]:=$EBD7;
map2[2253][1]:=$AFD7;map2[2253][2]:=$D6AC;
map2[2254][1]:=$AFD8;map2[2254][2]:=$D2C8;
map2[2255][1]:=$AFD9;map2[2255][2]:=$D0B2;
map2[2256][1]:=$AFDA;map2[2256][2]:=$EBD9;
map2[2257][1]:=$AFDB;map2[2257][2]:=$EBD8;
map2[2258][1]:=$AFDC;map2[2258][2]:=$B4E0;
map2[2259][1]:=$AFDD;map2[2259][2]:=$D0D8;
map2[2260][1]:=$AFDE;map2[2260][2]:=$B8EC;
map2[2261][1]:=$AFDF;map2[2261][2]:=$C2F6;
map2[2262][1]:=$AFE0;map2[2262][2]:=$C4DC;
map2[2263][1]:=$AFE1;map2[2263][2]:=$BCB9;
map2[2264][1]:=$AFE2;map2[2264][2]:=$EBDD;
map2[2265][1]:=$AFE3;map2[2265][2]:=$BFE8;
map2[2266][1]:=$AFE4;map2[2266][2]:=$B3F4;
map2[2267][1]:=$AFE5;map2[2267][2]:=$F4AB;
map2[2268][1]:=$AFE6;map2[2268][2]:=$D2A8;
map2[2269][1]:=$AFE7;map2[2269][2]:=$F3C2;
map2[2270][1]:=$AFE8;map2[2270][2]:=$BABD;
map2[2271][1]:=$AFE9;map2[2271][2]:=$F4B3;
map2[2272][1]:=$AFEA;map2[2272][2]:=$F4B2;
map2[2273][1]:=$AFEB;map2[2273][2]:=$B0E3;
map2[2274][1]:=$AFEC;map2[2274][2]:=$DBBB;
map2[2275][1]:=$AFED;map2[2275][2]:=$C3A3;
map2[2276][1]:=$AFEE;map2[2276][2]:=$BBC4;
map2[2277][1]:=$AFEF;map2[2277][2]:=$C0F3;
map2[2278][1]:=$AFF0;map2[2278][2]:=$BEA3;
map2[2279][1]:=$AFF1;map2[2279][2]:=$C8D7;
map2[2280][1]:=$AFF2;map2[2280][2]:=$BCF6;
map2[2281][1]:=$AFF3;map2[2281][2]:=$B2DD;
map2[2282][1]:=$AFF4;map2[2282][2]:=$D2F0;
map2[2283][1]:=$AFF5;map2[2283][2]:=$DCEE;
map2[2284][1]:=$AFF6;map2[2284][2]:=$DCF3;
map2[2285][1]:=$AFF7;map2[2285][2]:=$D7C8;
map2[2286][1]:=$AFF8;map2[2286][2]:=$C8E3;
map2[2287][1]:=$AFF9;map2[2287][2]:=$B2E8;
map2[2288][1]:=$AFFA;map2[2288][2]:=$DCF8;
map2[2289][1]:=$AFFB;map2[2289][2]:=$DCF7;
map2[2290][1]:=$AFFC;map2[2290][2]:=$DCEF;
map2[2291][1]:=$AFFD;map2[2291][2]:=$B4C4;
map2[2292][1]:=$AFFE;map2[2292][2]:=$DCF5;
map2[2293][1]:=$B040;map2[2293][2]:=$F2AF;
map2[2294][1]:=$B041;map2[2294][2]:=$CEC3;
map2[2295][1]:=$B042;map2[2295][2]:=$F2BD;
map2[2296][1]:=$B043;map2[2296][2]:=$F2BE;
map2[2297][1]:=$B044;map2[2297][2]:=$D4E9;
map2[2298][1]:=$B045;map2[2298][2]:=$F2BF;
map2[2299][1]:=$B046;map2[2299][2]:=$B0F6;
map2[2300][1]:=$B047;map2[2300][2]:=$F2BC;
map2[2301][1]:=$B048;map2[2301][2]:=$D1C1;
map2[2302][1]:=$B049;map2[2302][2]:=$CBA5;
map2[2303][1]:=$B04A;map2[2303][2]:=$D6D4;
map2[2304][1]:=$B04B;map2[2304][2]:=$D4AC;
map2[2305][1]:=$B04C;map2[2305][2]:=$F1C7;
map2[2306][1]:=$B04D;map2[2306][2]:=$F1C5;
map2[2307][1]:=$B04E;map2[2307][2]:=$D6BB;
map2[2308][1]:=$B04F;map2[2308][2]:=$BCC7;
map2[2309][1]:=$B050;map2[2309][2]:=$DAA6;
map2[2310][1]:=$B051;map2[2310][2]:=$CCD6;
map2[2311][1]:=$B052;map2[2311][2]:=$DAA7;
map2[2312][1]:=$B053;map2[2312][2]:=$DAA8;
map2[2313][1]:=$B054;map2[2313][2]:=$D1B6;
map2[2314][1]:=$B055;map2[2314][2]:=$CDD0;
map2[2315][1]:=$B056;map2[2315][2]:=$D1B5;
map2[2316][1]:=$B057;map2[2316][2]:=$C6FD;
map2[2317][1]:=$B058;map2[2317][2]:=$D3F5;
map2[2318][1]:=$B059;map2[2318][2]:=$D394;
map2[2319][1]:=$B05A;map2[2319][2]:=$C6F1;
map2[2320][1]:=$B05B;map2[2320][2]:=$B2F2;
map2[2321][1]:=$B05C;map2[2321][2]:=$B1AA;
map2[2322][1]:=$B05D;map2[2322][2]:=$B2C6;
map2[2323][1]:=$B05E;map2[2323][2]:=$B9B1;
map2[2324][1]:=$B05F;map2[2324][2]:=$C6F0;
map2[2325][1]:=$B060;map2[2325][2]:=$B9AA;
map2[2326][1]:=$B061;map2[2326][2]:=$D0F9;
map2[2327][1]:=$B062;map2[2327][2]:=$E9ED;
map2[2328][1]:=$B063;map2[2328][2]:=$DC8B;
map2[2329][1]:=$B064;map2[2329][2]:=$C8E8;
map2[2330][1]:=$B065;map2[2330][2]:=$CBCD;
map2[2331][1]:=$B066;map2[2331][2]:=$C4E6;
map2[2332][1]:=$B067;map2[2332][2]:=$C3D4;
map2[2333][1]:=$B068;map2[2333][2]:=$CDCB;
map2[2334][1]:=$B069;map2[2334][2]:=$C4CB;
map2[2335][1]:=$B06A;map2[2335][2]:=$BBD8;
map2[2336][1]:=$B06B;map2[2336][2]:=$CCD3;
map2[2337][1]:=$B06C;map2[2337][2]:=$D7B7;
map2[2338][1]:=$B06D;map2[2338][2]:=$E5CB;
map2[2339][1]:=$B06E;map2[2339][2]:=$B1C5;
map2[2340][1]:=$B06F;map2[2340][2]:=$E7DF;
map2[2341][1]:=$B070;map2[2341][2]:=$BFA4;
map2[2342][1]:=$B071;map2[2342][2]:=$BAC2;
map2[2343][1]:=$B072;map2[2343][2]:=$DBAB;
map2[2344][1]:=$B073;map2[2344][2]:=$BEC6;
map2[2345][1]:=$B074;map2[2345][2]:=$C5E4;
map2[2346][1]:=$B075;map2[2346][2]:=$D7C3;
map2[2347][1]:=$B076;map2[2347][2]:=$B6A4;
map2[2348][1]:=$B077;map2[2348][2]:=$D5EB;
map2[2349][1]:=$B078;map2[2349][2]:=$EEC8;
map2[2350][1]:=$B079;map2[2350][2]:=$B8AA;
map2[2351][1]:=$B07A;map2[2351][2]:=$EEC7;
map2[2352][1]:=$B07B;map2[2352][2]:=$C9C1;
map2[2353][1]:=$B07C;map2[2353][2]:=$D4BA;
map2[2354][1]:=$B07D;map2[2354][2]:=$D5F3;
map2[2355][1]:=$B07E;map2[2355][2]:=$B6B8;
map2[2356][1]:=$B0A1;map2[2356][2]:=$B1DD;
map2[2357][1]:=$B0A2;map2[2357][2]:=$C9C2;
map2[2358][1]:=$B0A3;map2[2358][2]:=$B3FD;
map2[2359][1]:=$B0A4;map2[2359][2]:=$DAEA;
map2[2360][1]:=$B0A5;map2[2360][2]:=$C9FD;
map2[2361][1]:=$B0A6;map2[2361][2]:=$D6BB;
map2[2362][1]:=$B0A7;map2[2362][2]:=$BCA2;
map2[2363][1]:=$B0A8;map2[2363][2]:=$C2ED;
map2[2364][1]:=$B0A9;map2[2364][2]:=$B9C7;
map2[2365][1]:=$B0AA;map2[2365][2]:=$B8DF;
map2[2366][1]:=$B0AB;map2[2366][2]:=$B6B7;
map2[2367][1]:=$B0AC;map2[2367][2]:=$D8AA;
map2[2368][1]:=$B0AD;map2[2368][2]:=$B9ED;
map2[2369][1]:=$B0AE;map2[2369][2]:=$B8C9;
map2[2370][1]:=$B0AF;map2[2370][2]:=$D4DB;
map2[2371][1]:=$B0B0;map2[2371][2]:=$CEB1;
map2[2372][1]:=$B0B1;map2[2372][2]:=$CDA3;
map2[2373][1]:=$B0B2;map2[2373][2]:=$BCD9;
map2[2374][1]:=$B0B3;map2[2374][2]:=$D9C8;
map2[2375][1]:=$B0B4;map2[2375][2]:=$D9BC;
map2[2376][1]:=$B0B5;map2[2376][2]:=$D7F6;
map2[2377][1]:=$B0B6;map2[2377][2]:=$CEB0;
map2[2378][1]:=$B0B7;map2[2378][2]:=$BDA1;
map2[2379][1]:=$B0B8;map2[2379][2]:=$C5BC;
map2[2380][1]:=$B0B9;map2[2380][2]:=$D9CB;
map2[2381][1]:=$B0BA;map2[2381][2]:=$D9C9;
map2[2382][1]:=$B0BB;map2[2382][2]:=$D5EC;
map2[2383][1]:=$B0BC;map2[2383][2]:=$B2E0;
map2[2384][1]:=$B0BD;map2[2384][2]:=$CDB5;
map2[2385][1]:=$B0BE;map2[2385][2]:=$C6AB;
map2[2386][1]:=$B0BF;map2[2386][2]:=$D9BF;
map2[2387][1]:=$B0C0;map2[2387][2]:=$82C3;
map2[2388][1]:=$B0C1;map2[2388][2]:=$82C1;
map2[2389][1]:=$B0C2;map2[2389][2]:=$B6B5;
map2[2390][1]:=$B0C3;map2[2390][2]:=$C3E1;
map2[2391][1]:=$B0C4;map2[2391][2]:=$BBCB;
map2[2392][1]:=$B0C5;map2[2392][2]:=$BCF4;
map2[2393][1]:=$B0C6;map2[2393][2]:=$B8B1;
map2[2394][1]:=$B0C7;map2[2394][2]:=$C0D5;
map2[2395][1]:=$B0C8;map2[2395][2]:=$CEF1;
map2[2396][1]:=$B0C9;map2[2396][2]:=$BFB1;
map2[2397][1]:=$B0CA;map2[2397][2]:=$B6AF;
map2[2398][1]:=$B0CB;map2[2398][2]:=$D9EB;
map2[2399][1]:=$B0CC;map2[2399][2]:=$DECB;
map2[2400][1]:=$B0CD;map2[2400][2]:=$B3D7;
map2[2401][1]:=$B0CE;map2[2401][2]:=$C4E4;
map2[2402][1]:=$B0CF;map2[2402][2]:=$C7F8;
map2[2403][1]:=$B0D0;map2[2403][2]:=$D8D2;
map2[2404][1]:=$B0D1;map2[2404][2]:=$B2CE;
map2[2405][1]:=$B0D2;map2[2405][2]:=$C2FC;
map2[2406][1]:=$B0D3;map2[2406][2]:=$C9CC;
map2[2407][1]:=$B0D4;map2[2407][2]:=$C5BE;
map2[2408][1]:=$B0D5;map2[2408][2]:=$C0B2;
map2[2409][1]:=$B0D6;map2[2409][2]:=$D7C4;
map2[2410][1]:=$B0D7;map2[2410][2]:=$D1C6;
map2[2411][1]:=$B0D8;map2[2411][2]:=$B7C8;
map2[2412][1]:=$B0D9;map2[2412][2]:=$BFD0;
map2[2413][1]:=$B0DA;map2[2413][2]:=$B0A1;
map2[2414][1]:=$B0DB;map2[2414][2]:=$B3AA;
map2[2415][1]:=$B0DC;map2[2415][2]:=$E0A2;
map2[2416][1]:=$B0DD;map2[2416][2]:=$CECA;
map2[2417][1]:=$B0DE;map2[2417][2]:=$DFFB;
map2[2418][1]:=$B0DF;map2[2418][2]:=$CEA8;
map2[2419][1]:=$B0E0;map2[2419][2]:=$C6A1;
map2[2420][1]:=$B0E1;map2[2420][2]:=$C4EE;
map2[2421][1]:=$B0E2;map2[2421][2]:=$CADB;
map2[2422][1]:=$B0E3;map2[2422][2]:=$E0A8;
map2[2423][1]:=$B0E4;map2[2423][2]:=$BBA3;
map2[2424][1]:=$B0E5;map2[2424][2]:=$CFCE;
map2[2425][1]:=$B0E6;map2[2425][2]:=$E0A6;
map2[2426][1]:=$B0E7;map2[2426][2]:=$DFFA;
map2[2427][1]:=$B0E8;map2[2427][2]:=$E0A2;
map2[2428][1]:=$B0E9;map2[2428][2]:=$C8A6;
map2[2429][1]:=$B0EA;map2[2429][2]:=$B9FA;
map2[2430][1]:=$B0EB;map2[2430][2]:=$E0F6;
map2[2431][1]:=$B0EC;map2[2431][2]:=$D3F2;
map2[2432][1]:=$B0ED;map2[2432][2]:=$BCE1;
map2[2433][1]:=$B0EE;map2[2433][2]:=$DBD1;
map2[2434][1]:=$B0EF;map2[2434][2]:=$B6D1;
map2[2435][1]:=$B0F0;map2[2435][2]:=$B2BA;
map2[2436][1]:=$B0F1;map2[2436][2]:=$DBFD;
map2[2437][1]:=$B0F2;map2[2437][2]:=$BBF9;
map2[2438][1]:=$B0F3;map2[2438][2]:=$CCC3;
map2[2439][1]:=$B0F4;map2[2439][2]:=$B6C2;
map2[2440][1]:=$B0F5;map2[2440][2]:=$D6B4;
map2[2441][1]:=$B0F6;map2[2441][2]:=$C5E0;
map2[2442][1]:=$B0F7;map2[2442][2]:=$B9BB;
map2[2443][1]:=$B0F8;map2[2443][2]:=$C9DD;
map2[2444][1]:=$B0F9;map2[2444][2]:=$C8A2;
map2[2445][1]:=$B0FA;map2[2445][2]:=$C2A6;
map2[2446][1]:=$B0FB;map2[2446][2]:=$CDF1;
map2[2447][1]:=$B0FC;map2[2447][2]:=$B8BE;
map2[2448][1]:=$B0FD;map2[2448][2]:=$C0B7;
map2[2449][1]:=$B0FE;map2[2449][2]:=$E6B9;
map2[2450][1]:=$B140;map2[2450][2]:=$E6BD;
map2[2451][1]:=$B141;map2[2451][2]:=$E6BE;
map2[2452][1]:=$B142;map2[2452][2]:=$BBE9;
map2[2453][1]:=$B143;map2[2453][2]:=$C6C5;
map2[2454][1]:=$B144;map2[2454][2]:=$E6BB;
map2[2455][1]:=$B145;map2[2455][2]:=$CAEB;
map2[2456][1]:=$B146;map2[2456][2]:=$BFDC;
map2[2457][1]:=$B147;map2[2457][2]:=$D2FA;
map2[2458][1]:=$B148;map2[2458][2]:=$BCC4;
map2[2459][1]:=$B149;map2[2459][2]:=$BCC5;
map2[2460][1]:=$B14A;map2[2460][2]:=$CBDE;
map2[2461][1]:=$B14B;map2[2461][2]:=$C3DC;
map2[2462][1]:=$B14C;map2[2462][2]:=$CEBE;
map2[2463][1]:=$B14D;map2[2463][2]:=$D7A8;
map2[2464][1]:=$B14E;map2[2464][2]:=$BDAB;
map2[2465][1]:=$B14F;map2[2465][2]:=$CDC0;
map2[2466][1]:=$B150;map2[2466][2]:=$CCEB;
map2[2467][1]:=$B151;map2[2467][2]:=$8CD0;
map2[2468][1]:=$B152;map2[2468][2]:=$B3E7;
map2[2469][1]:=$B153;map2[2469][2]:=$E1C7;
map2[2470][1]:=$B154;map2[2470][2]:=$C6E9;
map2[2471][1]:=$B155;map2[2471][2]:=$E1C8;
map2[2472][1]:=$B156;map2[2472][2]:=$D1C2;
map2[2473][1]:=$B157;map2[2473][2]:=$E1BF;
map2[2474][1]:=$B158;map2[2474][2]:=$C0A5;
map2[2475][1]:=$B159;map2[2475][2]:=$B1C0;
map2[2476][1]:=$B15A;map2[2476][2]:=$B4DE;
map2[2477][1]:=$B15B;map2[2477][2]:=$C2D8;
map2[2478][1]:=$B15C;map2[2478][2]:=$E1C5;
map2[2479][1]:=$B15D;map2[2479][2]:=$E1C2;
map2[2480][1]:=$B15E;map2[2480][2]:=$B8DA;
map2[2481][1]:=$B15F;map2[2481][2]:=$B3B2;
map2[2482][1]:=$B160;map2[2482][2]:=$B3A3;
map2[2483][1]:=$B161;map2[2483][2]:=$B4F8;
map2[2484][1]:=$B162;map2[2484][2]:=$D5CA;
map2[2485][1]:=$B163;map2[2485][2]:=$E1A1;
map2[2486][1]:=$B164;map2[2486][2]:=$BFB5;
map2[2487][1]:=$B165;map2[2487][2]:=$D3B9;
map2[2488][1]:=$B166;map2[2488][2]:=$CAFC;
map2[2489][1]:=$B167;map2[2489][2]:=$E2D6;
map2[2490][1]:=$B168;map2[2490][2]:=$E2D7;
map2[2491][1]:=$B169;map2[2491][2]:=$D5C5;
map2[2492][1]:=$B16A;map2[2492][2]:=$C7BF;
map2[2493][1]:=$B16B;map2[2493][2]:=$E5E7;
map2[2494][1]:=$B16C;map2[2494][2]:=$B1F2;
map2[2495][1]:=$B16D;map2[2495][2]:=$B2CA;
map2[2496][1]:=$B16E;map2[2496][2]:=$B5F1;
map2[2497][1]:=$B16F;map2[2497][2]:=$B5C3;
map2[2498][1]:=$B170;map2[2498][2]:=$E1E3;
map2[2499][1]:=$B171;map2[2499][2]:=$B4D3;
map2[2500][1]:=$B172;map2[2500][2]:=$C5C7;
map2[2501][1]:=$B173;map2[2501][2]:=$D3F9;
map2[2502][1]:=$B174;map2[2502][2]:=$E1E2;
map2[2503][1]:=$B175;map2[2503][2]:=$E1E4;
map2[2504][1]:=$B176;map2[2504][2]:=$D3C1;
map2[2505][1]:=$B177;map2[2505][2]:=$BBBC;
map2[2506][1]:=$B178;map2[2506][2]:=$CFA4;
map2[2507][1]:=$B179;map2[2507][2]:=$D3C6;
map2[2508][1]:=$B17A;map2[2508][2]:=$C4FA;
map2[2509][1]:=$B17B;map2[2509][2]:=$CDEF;
map2[2510][1]:=$B17C;map2[2510][2]:=$E3B2;
map2[2511][1]:=$B17D;map2[2511][2]:=$B5EB;
map2[2512][1]:=$B17E;map2[2512][2]:=$C6E0;
map2[2513][1]:=$B1A1;map2[2513][2]:=$C7E9;
map2[2514][1]:=$B1A2;map2[2514][2]:=$E3AC;
map2[2515][1]:=$B1A3;map2[2515][2]:=$E2EA;
map2[2516][1]:=$B1A4;map2[2516][2]:=$CFA7;
map2[2517][1]:=$B1A5;map2[2517][2]:=$B5BF;
map2[2518][1]:=$B1A6;map2[2518][2]:=$E3AF;
map2[2519][1]:=$B1A7;map2[2519][2]:=$CCE8;
map2[2520][1]:=$B1A8;map2[2520][2]:=$E3B0;
map2[2521][1]:=$B1A9;map2[2521][2]:=$CEA9;
map2[2522][1]:=$B1AA;map2[2522][2]:=$BCC2;
map2[2523][1]:=$B1AB;map2[2523][2]:=$E3B1;
map2[2524][1]:=$B1AC;map2[2524][2]:=$90AA;
map2[2525][1]:=$B1AD;map2[2525][2]:=$C6DD;
map2[2526][1]:=$B1AE;map2[2526][2]:=$EAA9;
map2[2527][1]:=$B1AF;map2[2527][2]:=$ECE8;
map2[2528][1]:=$B1B0;map2[2528][2]:=$C2D3;
map2[2529][1]:=$B1B1;map2[2529][2]:=$BFD8;
map2[2530][1]:=$B1B2;map2[2530][2]:=$BEED;
map2[2531][1]:=$B1B3;map2[2531][2]:=$D2B4;
map2[2532][1]:=$B1B4;map2[2532][2]:=$CCBD;
map2[2533][1]:=$B1B5;map2[2533][2]:=$BDD3;
map2[2534][1]:=$B1B6;map2[2534][2]:=$BDDD;
map2[2535][1]:=$B1B7;map2[2535][2]:=$C5F5;
map2[2536][1]:=$B1B8;map2[2536][2]:=$BEF2;
map2[2537][1]:=$B1B9;map2[2537][2]:=$B4EB;
map2[2538][1]:=$B1BA;map2[2538][2]:=$DEDF;
map2[2539][1]:=$B1BB;map2[2539][2]:=$D1DA;
map2[2540][1]:=$B1BC;map2[2540][2]:=$B5F4;
map2[2541][1]:=$B1BD;map2[2541][2]:=$C9A8;
map2[2542][1]:=$B1BE;map2[2542][2]:=$B9D2;
map2[2543][1]:=$B1BF;map2[2543][2]:=$DED1;
map2[2544][1]:=$B1C0;map2[2544][2]:=$CDC6;
map2[2545][1]:=$B1C1;map2[2545][2]:=$C2D5;
map2[2546][1]:=$B1C2;map2[2546][2]:=$CADA;
map2[2547][1]:=$B1C3;map2[2547][2]:=$D5F5;
map2[2548][1]:=$B1C4;map2[2548][2]:=$B2C9;
map2[2549][1]:=$B1C5;map2[2549][2]:=$DEE4;
map2[2550][1]:=$B1C6;map2[2550][2]:=$C5C5;
map2[2551][1]:=$B1C7;map2[2551][2]:=$CCCD;
map2[2552][1]:=$B1C8;map2[2552][2]:=$CFC6;
map2[2553][1]:=$B1C9;map2[2553][2]:=$C4ED;
map2[2554][1]:=$B1CA;map2[2554][2]:=$DEE6;
map2[2555][1]:=$B1CB;map2[2555][2]:=$C9E1;
map2[2556][1]:=$B1CC;map2[2556][2]:=$DEE0;
map2[2557][1]:=$B1CD;map2[2557][2]:=$B1D6;
map2[2558][1]:=$B1CE;map2[2558][2]:=$B0BD;
map2[2559][1]:=$B1CF;map2[2559][2]:=$BEC8;
map2[2560][1]:=$B1D0;map2[2560][2]:=$BDCC;
map2[2561][1]:=$B1D1;map2[2561][2]:=$B0DC;
map2[2562][1]:=$B1D2;map2[2562][2]:=$C6F4;
map2[2563][1]:=$B1D3;map2[2563][2]:=$C3F4;
map2[2564][1]:=$B1D4;map2[2564][2]:=$D0F0;
map2[2565][1]:=$B1D5;map2[2565][2]:=$EBB7;
map2[2566][1]:=$B1D6;map2[2566][2]:=$94A0;
map2[2567][1]:=$B1D7;map2[2567][2]:=$D0B1;
map2[2568][1]:=$B1D8;map2[2568][2]:=$F5FA;
map2[2569][1]:=$B1D9;map2[2569][2]:=$D5B6;
map2[2570][1]:=$B1DA;map2[2570][2]:=$D7E5;
map2[2571][1]:=$B1DB;map2[2571][2]:=$D0FD;
map2[2572][1]:=$B1DC;map2[2572][2]:=$ECBA;
map2[2573][1]:=$B1DD;map2[2573][2]:=$ECBB;
map2[2574][1]:=$B1DE;map2[2574][2]:=$D6E7;
map2[2575][1]:=$B1DF;map2[2575][2]:=$CDED;
map2[2576][1]:=$B1E0;map2[2576][2]:=$CEEE;
map2[2577][1]:=$B1E1;map2[2577][2]:=$B3BF;
map2[2578][1]:=$B1E2;map2[2578][2]:=$BBDE;
map2[2579][1]:=$B1E3;map2[2579][2]:=$9584;
map2[2580][1]:=$B1E4;map2[2580][2]:=$B2DC;
map2[2581][1]:=$B1E5;map2[2581][2]:=$DBC3;
map2[2582][1]:=$B1E6;map2[2582][2]:=$CDFB;
map2[2583][1]:=$B1E7;map2[2583][2]:=$C1BA;
map2[2584][1]:=$B1E8;map2[2584][2]:=$CCDD;
map2[2585][1]:=$B1E9;map2[2585][2]:=$C9D2;
map2[2586][1]:=$B1EA;map2[2586][2]:=$E8F7;
map2[2587][1]:=$B1EB;map2[2587][2]:=$E8F3;
map2[2588][1]:=$B1EC;map2[2588][2]:=$B8CB;
map2[2589][1]:=$B1ED;map2[2589][2]:=$CDB0;
map2[2590][1]:=$B1EE;map2[2590][2]:=$C0A6;
map2[2591][1]:=$B1EF;map2[2591][2]:=$CEE0;
map2[2592][1]:=$B1F0;map2[2592][2]:=$B9A3;
map2[2593][1]:=$B1F1;map2[2593][2]:=$D0B5;
map2[2594][1]:=$B1F2;map2[2594][2]:=$E8E8;
map2[2595][1]:=$B1F3;map2[2595][2]:=$C6FA;
map2[2596][1]:=$B1F4;map2[2596][2]:=$CBF3;
map2[2597][1]:=$B1F5;map2[2597][2]:=$B0F0;
map2[2598][1]:=$B1F6;map2[2598][2]:=$C3B7;
map2[2599][1]:=$B1F7;map2[2599][2]:=$E8D9;
map2[2600][1]:=$B1F8;map2[2600][2]:=$CCF5;
map2[2601][1]:=$B1F9;map2[2601][2]:=$C0E6;
map2[2602][1]:=$B1FA;map2[2602][2]:=$E8C9;
map2[2603][1]:=$B1FB;map2[2603][2]:=$9770;
map2[2604][1]:=$B1FC;map2[2604][2]:=$9757;
map2[2605][1]:=$B1FD;map2[2605][2]:=$D3FB;
map2[2606][1]:=$B1FE;map2[2606][2]:=$C9B1;
map2[2607][1]:=$B240;map2[2607][2]:=$BAC1;
map2[2608][1]:=$B241;map2[2608][2]:=$C7F2;
map2[2609][1]:=$B242;map2[2609][2]:=$C7E2;
map2[2610][1]:=$B243;map2[2610][2]:=$CFD1;
map2[2611][1]:=$B244;map2[2611][2]:=$C1B9;
map2[2612][1]:=$B245;map2[2612][2]:=$B4BE;
map2[2613][1]:=$B246;map2[2613][2]:=$E4C8;
map2[2614][1]:=$B247;map2[2614][2]:=$D2BA;
map2[2615][1]:=$B248;map2[2615][2]:=$B5AD;
map2[2616][1]:=$B249;map2[2616][2]:=$CCCA;
map2[2617][1]:=$B24A;map2[2617][2]:=$D3D9;
map2[2618][1]:=$B24B;map2[2618][2]:=$CCED;
map2[2619][1]:=$B24C;map2[2619][2]:=$C7B3;
map2[2620][1]:=$B24D;map2[2620][2]:=$C7E5;
map2[2621][1]:=$B24E;map2[2621][2]:=$E4BF;
map2[2622][1]:=$B24F;map2[2622][2]:=$C1DC;
map2[2623][1]:=$B250;map2[2623][2]:=$D1C4;
map2[2624][1]:=$B251;map2[2624][2]:=$CAE7;
map2[2625][1]:=$B252;map2[2625][2]:=$E4CC;
map2[2626][1]:=$B253;map2[2626][2]:=$E4C1;
map2[2627][1]:=$B254;map2[2627][2]:=$D1CD;
map2[2628][1]:=$B255;map2[2628][2]:=$BAD4;
map2[2629][1]:=$B256;map2[2629][2]:=$BBEC;
map2[2630][1]:=$B257;map2[2630][2]:=$D4A8;
map2[2631][1]:=$B258;map2[2631][2]:=$E4C0;
map2[2632][1]:=$B259;map2[2632][2]:=$C6E0;
map2[2633][1]:=$B25A;map2[2633][2]:=$E4BE;
map2[2634][1]:=$B25B;map2[2634][2]:=$BAAD;
map2[2635][1]:=$B25C;map2[2635][2]:=$C0E1;
map2[2636][1]:=$B25D;map2[2636][2]:=$D2F9;
map2[2637][1]:=$B25E;map2[2637][2]:=$CCD4;
map2[2638][1]:=$B25F;map2[2638][2]:=$C2D9;
map2[2639][1]:=$B260;map2[2639][2]:=$C9EE;
map2[2640][1]:=$B261;map2[2640][2]:=$BBB4;
map2[2641][1]:=$B262;map2[2641][2]:=$BEBB;
map2[2642][1]:=$B263;map2[2642][2]:=$CFFD;
map2[2643][1]:=$B264;map2[2643][2]:=$D7CD;
map2[2644][1]:=$B265;map2[2644][2]:=$B8A2;
map2[2645][1]:=$B266;map2[2645][2]:=$B4E3;
map2[2646][1]:=$B267;map2[2646][2]:=$E4C3;
map2[2647][1]:=$B268;map2[2647][2]:=$E4C6;
map2[2648][1]:=$B269;map2[2648][2]:=$C5EB;
map2[2649][1]:=$B26A;map2[2649][2]:=$D1C9;
map2[2650][1]:=$B26B;map2[2650][2]:=$BAB8;
map2[2651][1]:=$B26C;map2[2651][2]:=$B7E9;
map2[2652][1]:=$B26D;map2[2652][2]:=$CFA9;
map2[2653][1]:=$B26E;map2[2653][2]:=$CBAC;
map2[2654][1]:=$B26F;map2[2654][2]:=$C7A3;
map2[2655][1]:=$B270;map2[2655][2]:=$C0E7;
map2[2656][1]:=$B271;map2[2656][2]:=$B2C2;
map2[2657][1]:=$B272;map2[2657][2]:=$C3CD;
map2[2658][1]:=$B273;map2[2658][2]:=$B2FE;
map2[2659][1]:=$B274;map2[2659][2]:=$E2A3;
map2[2660][1]:=$B275;map2[2660][2]:=$D5F8;
map2[2661][1]:=$B276;map2[2661][2]:=$C2CA;
map2[2662][1]:=$B277;map2[2662][2]:=$C0C5;
map2[2663][1]:=$B278;map2[2663][2]:=$E7F0;
map2[2664][1]:=$B279;map2[2664][2]:=$C7F2;
map2[2665][1]:=$B27A;map2[2665][2]:=$C0ED;
map2[2666][1]:=$B27B;map2[2666][2]:=$CFD6;
map2[2667][1]:=$B27C;map2[2667][2]:=$C1A7;
map2[2668][1]:=$B27D;map2[2668][2]:=$F0AD;
map2[2669][1]:=$B27E;map2[2669][2]:=$C6BF;
map2[2670][1]:=$B2A1;map2[2670][2]:=$B4C9;
map2[2671][1]:=$B2A2;map2[2671][2]:=$CCF0;
map2[2672][1]:=$B2A3;map2[2672][2]:=$B2FA;
map2[2673][1]:=$B2A4;map2[2673][2]:=$C2D4;
map2[2674][1]:=$B2A5;map2[2674][2]:=$C6E8;
map2[2675][1]:=$B2A6;map2[2675][2]:=$B1CF;
map2[2676][1]:=$B2A7;map2[2676][2]:=$D2EC;
map2[2677][1]:=$B2A8;map2[2677][2]:=$CAE8;
map2[2678][1]:=$B2A9;map2[2678][2]:=$D6CC;
map2[2679][1]:=$B2AA;map2[2679][2]:=$BADB;
map2[2680][1]:=$B2AB;map2[2680][2]:=$B4C3;
map2[2681][1]:=$B2AC;map2[2681][2]:=$C8AC;
map2[2682][1]:=$B2AD;map2[2682][2]:=$F0EA;
map2[2683][1]:=$B2AE;map2[2683][2]:=$F0A8;
map2[2684][1]:=$B2AF;map2[2684][2]:=$BFF8;
map2[2685][1]:=$B2B0;map2[2685][2]:=$BAD0;
map2[2686][1]:=$B2B1;map2[2686][2]:=$CAA2;
map2[2687][1]:=$B2B2;map2[2687][2]:=$BEEC;
map2[2688][1]:=$B2B3;map2[2688][2]:=$D6DA;
map2[2689][1]:=$B2B4;map2[2689][2]:=$D1DB;
map2[2690][1]:=$B2B5;map2[2690][2]:=$BFF4;
map2[2691][1]:=$B2B6;map2[2691][2]:=$EDF8;
map2[2692][1]:=$B2B7;map2[2692][2]:=$CCF7;
map2[2693][1]:=$B2B8;map2[2693][2]:=$C1F2;
map2[2694][1]:=$B2B9;map2[2694][2]:=$D6EC;
map2[2695][1]:=$B2BA;map2[2695][2]:=$EDCA;
map2[2696][1]:=$B2BB;map2[2696][2]:=$CFE9;
map2[2697][1]:=$B2BC;map2[2697][2]:=$C6B1;
map2[2698][1]:=$B2BD;map2[2698][2]:=$BCC0;
map2[2699][1]:=$B2BE;map2[2699][2]:=$D2C6;
map2[2700][1]:=$B2BF;map2[2700][2]:=$D6CF;
map2[2701][1]:=$B2C0;map2[2701][2]:=$F1BB;
map2[2702][1]:=$B2C1;map2[2702][2]:=$F3D2;
map2[2703][1]:=$B2C2;map2[2703][2]:=$B1BF;
map2[2704][1]:=$B2C3;map2[2704][2]:=$B5D1;
map2[2705][1]:=$B2C4;map2[2705][2]:=$B5DA;
map2[2706][1]:=$B2C5;map2[2706][2]:=$B7FB;
map2[2707][1]:=$B2C6;map2[2707][2]:=$F3CF;
map2[2708][1]:=$B2C7;map2[2708][2]:=$F3D7;
map2[2709][1]:=$B2C8;map2[2709][2]:=$F3D0;
map2[2710][1]:=$B2C9;map2[2710][2]:=$C1A3;
map2[2711][1]:=$B2CA;map2[2711][2]:=$B4D6;
map2[2712][1]:=$B2CB;map2[2712][2]:=$C6C9;
map2[2713][1]:=$B2CC;map2[2713][2]:=$B0ED;
map2[2714][1]:=$B2CD;map2[2714][2]:=$CFD2;
map2[2715][1]:=$B2CE;map2[2715][2]:=$CDB3;
map2[2716][1]:=$B2CF;map2[2716][2]:=$D4FA;
map2[2717][1]:=$B2D0;map2[2717][2]:=$C9DC;
map2[2718][1]:=$B2D1;map2[2718][2]:=$E7A8;
map2[2719][1]:=$B2D2;map2[2719][2]:=$E7A9;
map2[2720][1]:=$B2D3;map2[2720][2]:=$CFB8;
map2[2721][1]:=$B2D4;map2[2721][2]:=$C9F0;
map2[2722][1]:=$B2D5;map2[2722][2]:=$D7E9;
map2[2723][1]:=$B2D6;map2[2723][2]:=$C0DB;
map2[2724][1]:=$B2D7;map2[2724][2]:=$D6D5;
map2[2725][1]:=$B2D8;map2[2725][2]:=$E7A5;
map2[2726][1]:=$B2D9;map2[2726][2]:=$E7A6;
map2[2727][1]:=$B2DA;map2[2727][2]:=$B2A7;
map2[2728][1]:=$B2DB;map2[2728][2]:=$D0DF;
map2[2729][1]:=$B2DC;map2[2729][2]:=$C1E7;
map2[2730][1]:=$B2DD;map2[2730][2]:=$D2EE;
map2[2731][1]:=$B2DE;map2[2731][2]:=$F4E1;
map2[2732][1]:=$B2DF;map2[2732][2]:=$CFB0;
map2[2733][1]:=$B2E0;map2[2733][2]:=$F1EA;
map2[2734][1]:=$B2E1;map2[2734][2]:=$C1C4;
map2[2735][1]:=$B2E2;map2[2735][2]:=$F1F6;
map2[2736][1]:=$B2E3;map2[2736][2]:=$B8AC;
map2[2737][1]:=$B2E4;map2[2737][2]:=$B2B1;
map2[2738][1]:=$B2E5;map2[2738][2]:=$B4BD;
map2[2739][1]:=$B2E6;map2[2739][2]:=$CDD1;
map2[2740][1]:=$B2E7;map2[2740][2]:=$D0DE;
map2[2741][1]:=$B2E8;map2[2741][2]:=$C396;
map2[2742][1]:=$B2E9;map2[2742][2]:=$C38C;
map2[2743][1]:=$B2EA;map2[2743][2]:=$F4A9;
map2[2744][1]:=$B2EB;map2[2744][2]:=$B6E6;
map2[2745][1]:=$B2EC;map2[2745][2]:=$CFCF;
map2[2746][1]:=$B2ED;map2[2746][2]:=$B2B0;
map2[2747][1]:=$B2EE;map2[2747][2]:=$B4AC;
map2[2748][1]:=$B2EF;map2[2748][2]:=$C9AF;
map2[2749][1]:=$B2F0;map2[2749][2]:=$DDB8;
map2[2750][1]:=$B2F1;map2[2750][2]:=$DDB7;
map2[2751][1]:=$B2F2;map2[2751][2]:=$DDA9;
map2[2752][1]:=$B2F3;map2[2752][2]:=$BCD4;
map2[2753][1]:=$B2F4;map2[2753][2]:=$BEA5;
map2[2754][1]:=$B2F5;map2[2754][2]:=$C3A7;
map2[2755][1]:=$B2F6;map2[2755][2]:=$C4AA;
map2[2756][1]:=$B2F7;map2[2756][2]:=$DCEC;
map2[2757][1]:=$B2F8;map2[2757][2]:=$D7AF;
map2[2758][1]:=$B2F9;map2[2758][2]:=$DDAE;
map2[2759][1]:=$B2FA;map2[2759][2]:=$C0F2;
map2[2760][1]:=$B2FB;map2[2760][2]:=$DDAC;
map2[2761][1]:=$B2FC;map2[2761][2]:=$BAC9;
map2[2762][1]:=$B2FD;map2[2762][2]:=$DDB6;
map2[2763][1]:=$B2FE;map2[2763][2]:=$DDB1;
map2[2764][1]:=$B340;map2[2764][2]:=$C6CE;
map2[2765][1]:=$B341;map2[2765][2]:=$DCC8;
map2[2766][1]:=$B342;map2[2766][2]:=$B4A6;
map2[2767][1]:=$B343;map2[2767][2]:=$B1EB;
map2[2768][1]:=$B344;map2[2768][2]:=$C9DF;
map2[2769][1]:=$B345;map2[2769][2]:=$D6FB;
map2[2770][1]:=$B346;map2[2770][2]:=$F2C0;
map2[2771][1]:=$B347;map2[2771][2]:=$F2C1;
map2[2772][1]:=$B348;map2[2772][2]:=$F2C2;
map2[2773][1]:=$B349;map2[2773][2]:=$C7F9;
map2[2774][1]:=$B34A;map2[2774][2]:=$B5B0;
map2[2775][1]:=$B34B;map2[2775][2]:=$F2C6;
map2[2776][1]:=$B34C;map2[2776][2]:=$F2C7;
map2[2777][1]:=$B34D;map2[2777][2]:=$F2C8;
map2[2778][1]:=$B34E;map2[2778][2]:=$CAF5;
map2[2779][1]:=$B34F;map2[2779][2]:=$D9F2;
map2[2780][1]:=$B350;map2[2780][2]:=$F4C2;
map2[2781][1]:=$B351;map2[2781][2]:=$B1BB;
map2[2782][1]:=$B352;map2[2782][2]:=$CCBB;
map2[2783][1]:=$B353;map2[2783][2]:=$D0E4;
map2[2784][1]:=$B354;map2[2784][2]:=$C5DB;
map2[2785][1]:=$B355;map2[2785][2]:=$B4FC;
map2[2786][1]:=$B356;map2[2786][2]:=$C3D9;
map2[2787][1]:=$B357;map2[2787][2]:=$B9E6;
map2[2788][1]:=$B358;map2[2788][2]:=$B7C3;
map2[2789][1]:=$B359;map2[2789][2]:=$D1C8;
map2[2790][1]:=$B35A;map2[2790][2]:=$BEF7;
map2[2791][1]:=$B35B;map2[2791][2]:=$DAAB;
map2[2792][1]:=$B35C;map2[2792][2]:=$D0ED;
map2[2793][1]:=$B35D;map2[2793][2]:=$C9E8;
map2[2794][1]:=$B35E;map2[2794][2]:=$CBCF;
map2[2795][1]:=$B35F;map2[2795][2]:=$B6EF;
map2[2796][1]:=$B360;map2[2796][2]:=$D0C0;
map2[2797][1]:=$B361;map2[2797][2]:=$F4F9;
map2[2798][1]:=$B362;map2[2798][2]:=$EBE0;
map2[2799][1]:=$B363;map2[2799][2]:=$B7B7;
map2[2800][1]:=$B364;map2[2800][2]:=$D4F0;
map2[2801][1]:=$B365;map2[2801][2]:=$B9E1;
map2[2802][1]:=$B366;map2[2802][2]:=$BBF5;
map2[2803][1]:=$B367;map2[2803][2]:=$CCB0;
map2[2804][1]:=$B368;map2[2804][2]:=$C6B6;
map2[2805][1]:=$B369;map2[2805][2]:=$F4F6;
map2[2806][1]:=$B36A;map2[2806][2]:=$C9E2;
map2[2807][1]:=$B36B;map2[2807][2]:=$D6BA;
map2[2808][1]:=$B36C;map2[2808][2]:=$F5C3;
map2[2809][1]:=$B36D;map2[2809][2]:=$E9EE;
map2[2810][1]:=$B36E;map2[2810][2]:=$C8ED;
map2[2811][1]:=$B36F;map2[2811][2]:=$D5E2;
map2[2812][1]:=$B370;map2[2812][2]:=$E5D0;
map2[2813][1]:=$B371;map2[2813][2]:=$CDA8;
map2[2814][1]:=$B372;map2[2814][2]:=$B6BA;
map2[2815][1]:=$B373;map2[2815][2]:=$C1AC;
map2[2816][1]:=$B374;map2[2816][2]:=$CBD9;
map2[2817][1]:=$B375;map2[2817][2]:=$CAC5;
map2[2818][1]:=$B376;map2[2818][2]:=$D6F0;
map2[2819][1]:=$B377;map2[2819][2]:=$BEB6;
map2[2820][1]:=$B378;map2[2820][2]:=$B3D1;
map2[2821][1]:=$B379;map2[2821][2]:=$D4EC;
map2[2822][1]:=$B37A;map2[2822][2]:=$CDB8;
map2[2823][1]:=$B37B;map2[2823][2]:=$B7EA;
map2[2824][1]:=$B37C;map2[2824][2]:=$E5D1;
map2[2825][1]:=$B37D;map2[2825][2]:=$B9E4;
map2[2826][1]:=$B37E;map2[2826][2]:=$CDBE;
map2[2827][1]:=$B3A1;map2[2827][2]:=$B2BF;
map2[2828][1]:=$B3A2;map2[2828][2]:=$B9F9;
map2[2829][1]:=$B3A3;map2[2829][2]:=$B6BC;
map2[2830][1]:=$B3A4;map2[2830][2]:=$D0EF;
map2[2831][1]:=$B3A5;map2[2831][2]:=$D2B0;
map2[2832][1]:=$B3A6;map2[2832][2]:=$EECE;
map2[2833][1]:=$B3A7;map2[2833][2]:=$BFDB;
map2[2834][1]:=$B3A8;map2[2834][2]:=$B5F6;
map2[2835][1]:=$B3A9;map2[2835][2]:=$EECB;
map2[2836][1]:=$B3AA;map2[2836][2]:=$E247;
map2[2837][1]:=$B3AB;map2[2837][2]:=$B7B0;
map2[2838][1]:=$B3AC;map2[2838][2]:=$B1D5;
map2[2839][1]:=$B3AD;map2[2839][2]:=$C5E3;
map2[2840][1]:=$B3AE;map2[2840][2]:=$C1EA;
map2[2841][1]:=$B3AF;map2[2841][2]:=$B3C2;
map2[2842][1]:=$B3B0;map2[2842][2]:=$C2BD;
map2[2843][1]:=$B3B1;map2[2843][2]:=$D2F5;
map2[2844][1]:=$B3B2;map2[2844][2]:=$DAF0;
map2[2845][1]:=$B3B3;map2[2845][2]:=$CCD5;
map2[2846][1]:=$B3B4;map2[2846][2]:=$CFDD;
map2[2847][1]:=$B3B5;map2[2847][2]:=$DAEE;
map2[2848][1]:=$B3B6;map2[2848][2]:=$C8B8;
map2[2849][1]:=$B3B7;map2[2849][2]:=$D1A9;
map2[2850][1]:=$B3B8;map2[2850][2]:=$F6A7;
map2[2851][1]:=$B3B9;map2[2851][2]:=$D5C2;
map2[2852][1]:=$B3BA;map2[2852][2]:=$BEB9;
map2[2853][1]:=$B3BB;map2[2853][2]:=$B6A5;
map2[2854][1]:=$B3BC;map2[2854][2]:=$C7EA;
map2[2855][1]:=$B3BD;map2[2855][2]:=$D3E3;
map2[2856][1]:=$B3BE;map2[2856][2]:=$C4F1;
map2[2857][1]:=$B3BF;map2[2857][2]:=$C2B1;
map2[2858][1]:=$B3C0;map2[2858][2]:=$C2B9;
map2[2859][1]:=$B3C1;map2[2859][2]:=$C2F3;
map2[2860][1]:=$B3C2;map2[2860][2]:=$C2E9;
map2[2861][1]:=$B3C3;map2[2861][2]:=$BCD2;
map2[2862][1]:=$B3C4;map2[2862][2]:=$B0F8;
map2[2863][1]:=$B3C5;map2[2863][2]:=$B8B5;
map2[2864][1]:=$B3C6;map2[2864][2]:=$B1B8;
map2[2865][1]:=$B3C7;map2[2865][2]:=$BDDC;
map2[2866][1]:=$B3C8;map2[2866][2]:=$BFFE;
map2[2867][1]:=$B3C9;map2[2867][2]:=$D8F7;
map2[2868][1]:=$B3CA;map2[2868][2]:=$C9A1;
map2[2869][1]:=$B3CB;map2[2869][2]:=$D0A7;
map2[2870][1]:=$B3CC;map2[2870][2]:=$D7EE;
map2[2871][1]:=$B3CD;map2[2871][2]:=$BFAD;
map2[2872][1]:=$B3CE;map2[2872][2]:=$B8EE;
map2[2873][1]:=$B3CF;map2[2873][2]:=$D8DC;
map2[2874][1]:=$B3D0;map2[2874][2]:=$B4B4;
map2[2875][1]:=$B3D1;map2[2875][2]:=$CAA3;
map2[2876][1]:=$B3D2;map2[2876][2]:=$C0CD;
map2[2877][1]:=$B3D3;map2[2877][2]:=$CAA4;
map2[2878][1]:=$B3D4;map2[2878][2]:=$D1AB;
map2[2879][1]:=$B3D5;map2[2879][2]:=$B2A9;
map2[2880][1]:=$B3D6;map2[2880][2]:=$D8CA;
map2[2881][1]:=$B3D7;map2[2881][2]:=$E0B4;
map2[2882][1]:=$B3D8;map2[2882][2]:=$BFA6;
map2[2883][1]:=$B3D9;map2[2883][2]:=$D0FA;
map2[2884][1]:=$B3DA;map2[2884][2]:=$CCE4;
map2[2885][1]:=$B3DB;map2[2885][2]:=$BAB0;
map2[2886][1]:=$B3DC;map2[2886][2]:=$BAC8;
map2[2887][1]:=$B3DD;map2[2887][2]:=$B4AD;
map2[2888][1]:=$B3DE;map2[2888][2]:=$CEB9;
map2[2889][1]:=$B3DF;map2[2889][2]:=$CFB2;
map2[2890][1]:=$B3E0;map2[2890][2]:=$C9A5;
map2[2891][1]:=$B3E1;map2[2891][2]:=$E0B8;
map2[2892][1]:=$B3E2;map2[2892][2]:=$C0AE;
map2[2893][1]:=$B3E3;map2[2893][2]:=$E0A9;
map2[2894][1]:=$B3E4;map2[2894][2]:=$E0AB;
map2[2895][1]:=$B3E5;map2[2895][2]:=$D4FB;
map2[2896][1]:=$B3E6;map2[2896][2]:=$B5A5;
map2[2897][1]:=$B3E7;map2[2897][2]:=$E0B0;
map2[2898][1]:=$B3E8;map2[2898][2]:=$CDD9;
map2[2899][1]:=$B3E9;map2[2899][2]:=$D3B4;
map2[2900][1]:=$B3EA;map2[2900][2]:=$BBBD;
map2[2901][1]:=$B3EB;map2[2901][2]:=$D3F7;
map2[2902][1]:=$B3EC;map2[2902][2]:=$C7C7;
map2[2903][1]:=$B3ED;map2[2903][2]:=$E0AC;
map2[2904][1]:=$B3EE;map2[2904][2]:=$E0B1;
map2[2905][1]:=$B3EF;map2[2905][2]:=$BAED;
map2[2906][1]:=$B3F0;map2[2906][2]:=$B3D4;
map2[2907][1]:=$B3F1;map2[2907][2]:=$E0B9;
map2[2908][1]:=$B3F2;map2[2908][2]:=$CEA7;
map2[2909][1]:=$B3F3;map2[2909][2]:=$D2A2;
map2[2910][1]:=$B3F4;map2[2910][2]:=$BFB0;
map2[2911][1]:=$B3F5;map2[2911][2]:=$B3A1;
map2[2912][1]:=$B3F6;map2[2912][2]:=$B5CC;
map2[2913][1]:=$B3F7;map2[2913][2]:=$D1DF;
map2[2914][1]:=$B3F8;map2[2914][2]:=$B1A8;
map2[2915][1]:=$B3F9;map2[2915][2]:=$B1A4;
map2[2916][1]:=$B3FA;map2[2916][2]:=$DBF6;
map2[2917][1]:=$B3FB;map2[2917][2]:=$DCA9;
map2[2918][1]:=$B3FC;map2[2918][2]:=$D2BC;
map2[2919][1]:=$B3FD;map2[2919][2]:=$BAF8;
map2[2920][1]:=$B3FE;map2[2920][2]:=$B5EC;
map2[2921][1]:=$B440;map2[2921][2]:=$E6C3;
map2[2922][1]:=$B441;map2[2922][2]:=$C3C4;
map2[2923][1]:=$B442;map2[2923][2]:=$D0F6;
map2[2924][1]:=$B443;map2[2924][2]:=$C3BD;
map2[2925][1]:=$B444;map2[2925][2]:=$E6C2;
map2[2926][1]:=$B445;map2[2926][2]:=$E6B4;
map2[2927][1]:=$B446;map2[2927][2]:=$E6DC;
map2[2928][1]:=$B447;map2[2928][2]:=$E5EE;
map2[2929][1]:=$B448;map2[2929][2]:=$BAAE;
map2[2930][1]:=$B449;map2[2930][2]:=$B8BB;
map2[2931][1]:=$B44A;map2[2931][2]:=$D4A2;
map2[2932][1]:=$B44B;map2[2932][2]:=$C3C2;
map2[2933][1]:=$B44C;map2[2933][2]:=$D7F0;
map2[2934][1]:=$B44D;map2[2934][2]:=$D1B0;
map2[2935][1]:=$B44E;map2[2935][2]:=$BECD;
map2[2936][1]:=$B44F;map2[2936][2]:=$C7B6;
map2[2937][1]:=$B450;map2[2937][2]:=$E1B0;
map2[2938][1]:=$B451;map2[2938][2]:=$E1CB;
map2[2939][1]:=$B452;map2[2939][2]:=$EFFA;
map2[2940][1]:=$B453;map2[2940][2]:=$D9E3;
map2[2941][1]:=$B454;map2[2941][2]:=$B7F9;
map2[2942][1]:=$B455;map2[2942][2]:=$C3B1;
map2[2943][1]:=$B456;map2[2943][2]:=$D6A1;
map2[2944][1]:=$B457;map2[2944][2]:=$E0F8;
map2[2945][1]:=$B458;map2[2945][2]:=$BCB8;
map2[2946][1]:=$B459;map2[2946][2]:=$C0C8;
map2[2947][1]:=$B45A;map2[2947][2]:=$B2DE;
map2[2948][1]:=$B45B;map2[2948][2]:=$CFE1;
map2[2949][1]:=$B45C;map2[2949][2]:=$BEC7;
map2[2950][1]:=$B45D;map2[2950][2]:=$E5F6;
map2[2951][1]:=$B45E;map2[2951][2]:=$C5ED;
map2[2952][1]:=$B45F;map2[2952][2]:=$B8B4;
map2[2953][1]:=$B460;map2[2953][2]:=$D1AD;
map2[2954][1]:=$B461;map2[2954][2]:=$E1E5;
map2[2955][1]:=$B462;map2[2955][2]:=$BBF3;
map2[2956][1]:=$B463;map2[2956][2]:=$B6F1;
map2[2957][1]:=$B464;map2[2957][2]:=$B1AF;
map2[2958][1]:=$B465;map2[2958][2]:=$C3C6;
map2[2959][1]:=$B466;map2[2959][2]:=$BBDD;
map2[2960][1]:=$B467;map2[2960][2]:=$E3AB;
map2[2961][1]:=$B468;map2[2961][2]:=$E3B6;
map2[2962][1]:=$B469;map2[2962][2]:=$D0CA;
map2[2963][1]:=$B46A;map2[2963][2]:=$E3B5;
map2[2964][1]:=$B46B;map2[2964][2]:=$B6E8;
map2[2965][1]:=$B46C;map2[2965][2]:=$E2FC;
map2[2966][1]:=$B46D;map2[2966][2]:=$E3B7;
map2[2967][1]:=$B46E;map2[2967][2]:=$BFAE;
map2[2968][1]:=$B46F;map2[2968][2]:=$C4D5;
map2[2969][1]:=$B470;map2[2969][2]:=$E3B9;
map2[2970][1]:=$B471;map2[2970][2]:=$BBCC;
map2[2971][1]:=$B472;map2[2971][2]:=$D3E4;
map2[2972][1]:=$B473;map2[2972][2]:=$E3B8;
map2[2973][1]:=$B474;map2[2973][2]:=$90D4;
map2[2974][1]:=$B475;map2[2974][2]:=$EAAA;
map2[2975][1]:=$B476;map2[2975][2]:=$ECE9;
map2[2976][1]:=$B477;map2[2976][2]:=$B3B8;
map2[2977][1]:=$B478;map2[2977][2]:=$D5C6;
map2[2978][1]:=$B479;map2[2978][2]:=$C3E8;
map2[2979][1]:=$B47A;map2[2979][2]:=$BCF0;
map2[2980][1]:=$B47B;map2[2980][2]:=$BFAB;
map2[2981][1]:=$B47C;map2[2981][2]:=$C8E0;
map2[2982][1]:=$B47D;map2[2982][2]:=$DEF1;
map2[2983][1]:=$B47E;map2[2983][2]:=$D7E1;
map2[2984][1]:=$B4A1;map2[2984][2]:=$B2E5;
map2[2985][1]:=$B4A2;map2[2985][2]:=$B4A7;
map2[2986][1]:=$B4A3;map2[2986][2]:=$CCE1;
map2[2987][1]:=$B4A4;map2[2987][2]:=$CED5;
map2[2988][1]:=$B4A5;map2[2988][2]:=$D2BE;
map2[2989][1]:=$B4A6;map2[2989][2]:=$BDD2;
map2[2990][1]:=$B4A7;map2[2990][2]:=$BBD3;
map2[2991][1]:=$B4A8;map2[2991][2]:=$B4B7;
map2[2992][1]:=$B4A9;map2[2992][2]:=$D4AE;
map2[2993][1]:=$B4AA;map2[2993][2]:=$BEBE;
map2[2994][1]:=$B4AB;map2[2994][2]:=$BBBB;
map2[2995][1]:=$B4AC;map2[2995][2]:=$DEF0;
map2[2996][1]:=$B4AD;map2[2996][2]:=$D1EF;
map2[2997][1]:=$B4AE;map2[2997][2]:=$B1B3;
map2[2998][1]:=$B4AF;map2[2998][2]:=$B3A8;
map2[2999][1]:=$B4B0;map2[2999][2]:=$B6D8;
map2[3000][1]:=$B4B1;map2[3000][2]:=$B8D2;
map2[3001][1]:=$B4B2;map2[3001][2]:=$C9A2;
map2[3002][1]:=$B4B3;map2[3002][2]:=$B0DF;
map2[3003][1]:=$B4B4;map2[3003][2]:=$ECB3;
map2[3004][1]:=$B4B5;map2[3004][2]:=$CBB9;
map2[3005][1]:=$B4B6;map2[3005][2]:=$C6D5;
map2[3006][1]:=$B4B7;map2[3006][2]:=$CEFA;
map2[3007][1]:=$B4B8;map2[3007][2]:=$C7E7;
map2[3008][1]:=$B4B9;map2[3008][2]:=$BEA7;
map2[3009][1]:=$B4BA;map2[3009][2]:=$BEB0;
map2[3010][1]:=$B4BB;map2[3010][2]:=$CAEE;
map2[3011][1]:=$B4BC;map2[3011][2]:=$D6C7;
map2[3012][1]:=$B4BD;map2[3012][2]:=$C1C0;
map2[3013][1]:=$B4BE;map2[3013][2]:=$EAD0;
map2[3014][1]:=$B4BF;map2[3014][2]:=$D4F8;
map2[3015][1]:=$B4C0;map2[3015][2]:=$CCE6;
map2[3016][1]:=$B4C1;map2[3016][2]:=$C6DA;
map2[3017][1]:=$B4C2;map2[3017][2]:=$B3AF;
map2[3018][1]:=$B4C3;map2[3018][2]:=$B9D7;
map2[3019][1]:=$B4C4;map2[3019][2]:=$D7D8;
map2[3020][1]:=$B4C5;map2[3020][2]:=$CCC4;
map2[3021][1]:=$B4C6;map2[3021][2]:=$BCAC;
map2[3022][1]:=$B4C7;map2[3022][2]:=$D4E6;
map2[3023][1]:=$B4C8;map2[3023][2]:=$D2CE;
map2[3024][1]:=$B4C9;map2[3024][2]:=$B6B0;
map2[3025][1]:=$B4CA;map2[3025][2]:=$BFC3;
map2[3026][1]:=$B4CB;map2[3026][2]:=$C9AD;
map2[3027][1]:=$B4CC;map2[3027][2]:=$D5BB;
map2[3028][1]:=$B4CD;map2[3028][2]:=$E8FE;
map2[3029][1]:=$B4CE;map2[3029][2]:=$B0F4;
map2[3030][1]:=$B4CF;map2[3030][2]:=$C6DC;
map2[3031][1]:=$B4D0;map2[3031][2]:=$E9A6;
map2[3032][1]:=$B4D1;map2[3032][2]:=$C6E5;
map2[3033][1]:=$B4D2;map2[3033][2]:=$B9F7;
map2[3034][1]:=$B4D3;map2[3034][2]:=$D6B2;
map2[3035][1]:=$B4D4;map2[3035][2]:=$BDB7;
map2[3036][1]:=$B4D5;map2[3036][2]:=$D7B5;
map2[3037][1]:=$B4D6;map2[3037][2]:=$C3DE;
map2[3038][1]:=$B4D7;map2[3038][2]:=$C5EF;
map2[3039][1]:=$B4D8;map2[3039][2]:=$E8FA;
map2[3040][1]:=$B4D9;map2[3040][2]:=$97B1;
map2[3041][1]:=$B4DA;map2[3041][2]:=$BFEE;
map2[3042][1]:=$B4DB;map2[3042][2]:=$C6DB;
map2[3043][1]:=$B4DC;map2[3043][2]:=$C7D5;
map2[3044][1]:=$B4DD;map2[3044][2]:=$B2D0;
map2[3045][1]:=$B4DE;map2[3045][2]:=$D6B3;
map2[3046][1]:=$B4DF;map2[3046][2]:=$BFC7;
map2[3047][1]:=$B4E0;map2[3047][2]:=$CCBA;
map2[3048][1]:=$B4E1;map2[3048][2]:=$B5AA;
map2[3049][1]:=$B4E2;map2[3049][2]:=$C2C8;
map2[3050][1]:=$B4E3;map2[3050][2]:=$EBB2;
map2[3051][1]:=$B4E4;map2[3051][2]:=$B8DB;
map2[3052][1]:=$B4E5;map2[3052][2]:=$D3CE;
map2[3053][1]:=$B4E6;map2[3053][2]:=$E4D5;
map2[3054][1]:=$B4E7;map2[3054][2]:=$B6C9;
map2[3055][1]:=$B4E8;map2[3055][2]:=$E4D6;
map2[3056][1]:=$B4E9;map2[3056][2]:=$D3BF;
map2[3057][1]:=$B4EA;map2[3057][2]:=$B4D5;
map2[3058][1]:=$B4EB;map2[3058][2]:=$C7FE;
map2[3059][1]:=$B4EC;map2[3059][2]:=$E4D7;
map2[3060][1]:=$B4ED;map2[3060][2]:=$D4FC;
map2[3061][1]:=$B4EE;map2[3061][2]:=$BCF5;
map2[3062][1]:=$B4EF;map2[3062][2]:=$D5BF;
map2[3063][1]:=$B4F0;map2[3063][2]:=$CFE6;
map2[3064][1]:=$B4F1;map2[3064][2]:=$B2B3;
map2[3065][1]:=$B4F2;map2[3065][2]:=$BAFE;
map2[3066][1]:=$B4F3;map2[3066][2]:=$E4CE;
map2[3067][1]:=$B4F4;map2[3067][2]:=$CEBC;
map2[3068][1]:=$B4F5;map2[3068][2]:=$CED0;
map2[3069][1]:=$B4F6;map2[3069][2]:=$CCC0;
map2[3070][1]:=$B4F7;map2[3070][2]:=$BFCA;
map2[3071][1]:=$B4F8;map2[3071][2]:=$CDC4;
map2[3072][1]:=$B4F9;map2[3072][2]:=$C3EC;
map2[3073][1]:=$B4FA;map2[3073][2]:=$B2E2;
map2[3074][1]:=$B4FB;map2[3074][2]:=$C5C8;
map2[3075][1]:=$B4FC;map2[3075][2]:=$D3E5;
map2[3076][1]:=$B4FD;map2[3076][2]:=$BBEB;
map2[3077][1]:=$B4FE;map2[3077][2]:=$D7CC;
map2[3078][1]:=$B540;map2[3078][2]:=$B8C8;
map2[3079][1]:=$B541;map2[3079][2]:=$BBC1;
map2[3080][1]:=$B542;map2[3080][2]:=$E4CF;
map2[3081][1]:=$B543;map2[3081][2]:=$EDAA;
map2[3082][1]:=$B544;map2[3082][2]:=$E4D8;
map2[3083][1]:=$B545;map2[3083][2]:=$9CAE;
map2[3084][1]:=$B546;map2[3084][2]:=$9CA7;
map2[3085][1]:=$B547;map2[3085][2]:=$E4D2;
map2[3086][1]:=$B548;map2[3086][2]:=$B1BA;
map2[3087][1]:=$B549;map2[3087][2]:=$B7D9;
map2[3088][1]:=$B54A;map2[3088][2]:=$BDB9;
map2[3089][1]:=$B54B;map2[3089][2]:=$D1E6;
map2[3090][1]:=$B54C;map2[3090][2]:=$CEDE;
map2[3091][1]:=$B54D;map2[3091][2]:=$C8BB;
map2[3092][1]:=$B54E;map2[3092][2]:=$D6F3;
map2[3093][1]:=$B54F;map2[3093][2]:=$9F6A;
map2[3094][1]:=$B550;map2[3094][2]:=$C5C6;
map2[3095][1]:=$B551;map2[3095][2]:=$EAF7;
map2[3096][1]:=$B552;map2[3096][2]:=$CFAC;
map2[3097][1]:=$B553;map2[3097][2]:=$D3CC;
map2[3098][1]:=$B554;map2[3098][2]:=$E2AB;
map2[3099][1]:=$B555;map2[3099][2]:=$BAEF;
map2[3100][1]:=$B556;map2[3100][2]:=$D0C9;
map2[3101][1]:=$B557;map2[3101][2]:=$B7A9;
map2[3102][1]:=$B558;map2[3102][2]:=$E7F7;
map2[3103][1]:=$B559;map2[3103][2]:=$C1D5;
map2[3104][1]:=$B55A;map2[3104][2]:=$D7C1;
map2[3105][1]:=$B55B;map2[3105][2]:=$E7FA;
map2[3106][1]:=$B55C;map2[3106][2]:=$C5FD;
map2[3107][1]:=$B55D;map2[3107][2]:=$C5C3;
map2[3108][1]:=$B55E;map2[3108][2]:=$C7D9;
map2[3109][1]:=$B55F;map2[3109][2]:=$B9DC;
map2[3110][1]:=$B560;map2[3110][2]:=$E8A1;
map2[3111][1]:=$B561;map2[3111][2]:=$E7F9;
map2[3112][1]:=$B562;map2[3112][2]:=$E7FB;
map2[3113][1]:=$B563;map2[3113][2]:=$C9FB;
map2[3114][1]:=$B564;map2[3114][2]:=$CBD5;
map2[3115][1]:=$B565;map2[3115][2]:=$BBAD;
map2[3116][1]:=$B566;map2[3116][2]:=$B7AC;
map2[3117][1]:=$B567;map2[3117][2]:=$C1A1;
map2[3118][1]:=$B568;map2[3118][2]:=$CDB4;
map2[3119][1]:=$B569;map2[3119][2]:=$F0EB;
map2[3120][1]:=$B56A;map2[3120][2]:=$BEB7;
map2[3121][1]:=$B56B;map2[3121][2]:=$B6BB;
map2[3122][1]:=$B56C;map2[3122][2]:=$C6A6;
map2[3123][1]:=$B56D;map2[3123][2]:=$CBE1;
map2[3124][1]:=$B56E;map2[3124][2]:=$B5C7;
map2[3125][1]:=$B56F;map2[3125][2]:=$B7A2;
map2[3126][1]:=$B570;map2[3126][2]:=$CDEE;
map2[3127][1]:=$B571;map2[3127][2]:=$F0A9;
map2[3128][1]:=$B572;map2[3128][2]:=$F1E5;
map2[3129][1]:=$B573;map2[3129][2]:=$B5C1;
map2[3130][1]:=$B574;map2[3130][2]:=$C0A7;
map2[3131][1]:=$B575;map2[3131][2]:=$B6CC;
map2[3132][1]:=$B576;map2[3132][2]:=$CFF5;
map2[3133][1]:=$B577;map2[3133][2]:=$D3B2;
map2[3134][1]:=$B578;map2[3134][2]:=$D1E2;
map2[3135][1]:=$B579;map2[3135][2]:=$C9D4;
map2[3136][1]:=$B57A;map2[3136][2]:=$B8D1;
map2[3137][1]:=$B57B;map2[3137][2]:=$B3CC;
map2[3138][1]:=$B57C;map2[3138][2]:=$CBB0;
map2[3139][1]:=$B57D;map2[3139][2]:=$CFA1;
map2[3140][1]:=$B57E;map2[3140][2]:=$BEBD;
map2[3141][1]:=$B5A1;map2[3141][2]:=$B4B0;
map2[3142][1]:=$B5A2;map2[3142][2]:=$BDD1;
map2[3143][1]:=$B5A3;map2[3143][2]:=$CDAF;
map2[3144][1]:=$B5A4;map2[3144][2]:=$BFA2;
map2[3145][1]:=$B5A5;map2[3145][2]:=$B5C8;
map2[3146][1]:=$B5A6;map2[3146][2]:=$B2DF;
map2[3147][1]:=$B5A7;map2[3147][2]:=$B1CA;
map2[3148][1]:=$B5A8;map2[3148][2]:=$BFF0;
map2[3149][1]:=$B5A9;map2[3149][2]:=$CDB2;
map2[3150][1]:=$B5AA;map2[3150][2]:=$B4F0;
map2[3151][1]:=$B5AB;map2[3151][2]:=$CBF1;
map2[3152][1]:=$B5AC;map2[3152][2]:=$BDEE;
map2[3153][1]:=$B5AD;map2[3153][2]:=$B7A4;
map2[3154][1]:=$B5AE;map2[3154][2]:=$D6FE;
map2[3155][1]:=$B5AF;map2[3155][2]:=$CBDA;
map2[3156][1]:=$B5B0;map2[3156][2]:=$D6E0;
map2[3157][1]:=$B5B1;map2[3157][2]:=$BDCA;
map2[3158][1]:=$B5B2;map2[3158][2]:=$BDE1;
map2[3159][1]:=$B5B3;map2[3159][2]:=$C8DE;
map2[3160][1]:=$B5B4;map2[3160][2]:=$BEF8;
map2[3161][1]:=$B5B5;map2[3161][2]:=$D7CF;
map2[3162][1]:=$B5B6;map2[3162][2]:=$D0F5;
map2[3163][1]:=$B5B7;map2[3163][2]:=$CBBF;
map2[3164][1]:=$B5B8;map2[3164][2]:=$C2E7;
map2[3165][1]:=$B5B9;map2[3165][2]:=$B8F8;
map2[3166][1]:=$B5BA;map2[3166][2]:=$D1A4;
map2[3167][1]:=$B5BB;map2[3167][2]:=$C084;
map2[3168][1]:=$B5BC;map2[3168][2]:=$E7AD;
map2[3169][1]:=$B5BD;map2[3169][2]:=$C9C6;
map2[3170][1]:=$B5BE;map2[3170][2]:=$CFE8;
map2[3171][1]:=$B5BF;map2[3171][2]:=$F4E2;
map2[3172][1]:=$B5C0;map2[3172][2]:=$F1F3;
map2[3173][1]:=$B5C1;map2[3173][2]:=$F1F8;
map2[3174][1]:=$B5C2;map2[3174][2]:=$CBE0;
map2[3175][1]:=$B5C3;map2[3175][2]:=$CDF3;
map2[3176][1]:=$B5C4;map2[3176][2]:=$C7BB;
map2[3177][1]:=$B5C5;map2[3177][2]:=$D2B8;
map2[3178][1]:=$B5C6;map2[3178][2]:=$B8AD;
map2[3179][1]:=$B5C7;map2[3179][2]:=$C9F6;
map2[3180][1]:=$B5C8;map2[3180][2]:=$D5CD;
map2[3181][1]:=$B5C9;map2[3181][2]:=$CCF3;
map2[3182][1]:=$B5CA;map2[3182][2]:=$C6A2;
map2[3183][1]:=$B5CB;map2[3183][2]:=$EBE7;
map2[3184][1]:=$B5CC;map2[3184][2]:=$EBE8;
map2[3185][1]:=$B5CD;map2[3185][2]:=$EBE9;
map2[3186][1]:=$B5CE;map2[3186][2]:=$CAE6;
map2[3187][1]:=$B5CF;map2[3187][2]:=$CBB4;
map2[3188][1]:=$B5D0;map2[3188][2]:=$C6D0;
map2[3189][1]:=$B5D1;map2[3189][2]:=$DDCD;
map2[3190][1]:=$B5D2;map2[3190][2]:=$D1CC;
map2[3191][1]:=$B5D3;map2[3191][2]:=$C6BC;
map2[3192][1]:=$B5D4;map2[3192][2]:=$B2A4;
map2[3193][1]:=$B5D5;map2[3193][2]:=$DDD1;
map2[3194][1]:=$B5D6;map2[3194][2]:=$DDC2;
map2[3195][1]:=$B5D7;map2[3195][2]:=$DDBC;
map2[3196][1]:=$B5D8;map2[3196][2]:=$BBAA;
map2[3197][1]:=$B5D9;map2[3197][2]:=$C1E2;
map2[3198][1]:=$B5DA;map2[3198][2]:=$E2D6;
map2[3199][1]:=$B5DB;map2[3199][2]:=$D7C5;
map2[3200][1]:=$B5DC;map2[3200][2]:=$C0B3;
map2[3201][1]:=$B5DD;map2[3201][2]:=$DDD4;
map2[3202][1]:=$B5DE;map2[3202][2]:=$C3C8;
map2[3203][1]:=$B5DF;map2[3203][2]:=$BEFA;
map2[3204][1]:=$B5E0;map2[3204][2]:=$DDC4;
map2[3205][1]:=$B5E1;map2[3205][2]:=$B7C6;
map2[3206][1]:=$B5E2;map2[3206][2]:=$BED5;
map2[3207][1]:=$B5E3;map2[3207][2]:=$DDC7;
map2[3208][1]:=$B5E4;map2[3208][2]:=$CEAE;
map2[3209][1]:=$B5E5;map2[3209][2]:=$CCD1;
map2[3210][1]:=$B5E6;map2[3210][2]:=$B2CB;
map2[3211][1]:=$B5E7;map2[3211][2]:=$DCC9;
map2[3212][1]:=$B5E8;map2[3212][2]:=$DDCA;
map2[3213][1]:=$B5E9;map2[3213][2]:=$DDCB;
map2[3214][1]:=$B5EA;map2[3214][2]:=$D0E9;
map2[3215][1]:=$B5EB;map2[3215][2]:=$F2D4;
map2[3216][1]:=$B5EC;map2[3216][2]:=$CDDC;
map2[3217][1]:=$B5ED;map2[3217][2]:=$F2CE;
map2[3218][1]:=$B5EE;map2[3218][2]:=$BBD7;
map2[3219][1]:=$B5EF;map2[3219][2]:=$D6EB;
map2[3220][1]:=$B5F0;map2[3220][2]:=$B8F2;
map2[3221][1]:=$B5F1;map2[3221][2]:=$F2D0;
map2[3222][1]:=$B5F2;map2[3222][2]:=$F2D2;
map2[3223][1]:=$B5F3;map2[3223][2]:=$BDD6;
map2[3224][1]:=$B5F4;map2[3224][2]:=$B2C3;
map2[3225][1]:=$B5F5;map2[3225][2]:=$C1D1;
map2[3226][1]:=$B5F6;map2[3226][2]:=$B8A4;
map2[3227][1]:=$B5F7;map2[3227][2]:=$F1FB;
map2[3228][1]:=$B5F8;map2[3228][2]:=$CAD3;
map2[3229][1]:=$B5F9;map2[3229][2]:=$D7A2;
map2[3230][1]:=$B5FA;map2[3230][2]:=$D3BD;
map2[3231][1]:=$B5FB;map2[3231][2]:=$C6C0;
map2[3232][1]:=$B5FC;map2[3232][2]:=$B4CA;
map2[3233][1]:=$B5FD;map2[3233][2]:=$D6A4;
map2[3234][1]:=$B5FE;map2[3234][2]:=$DAAC;
map2[3235][1]:=$B640;map2[3235][2]:=$DAAF;
map2[3236][1]:=$B641;map2[3236][2]:=$D7E7;
map2[3237][1]:=$B642;map2[3237][2]:=$D5A9;
map2[3238][1]:=$B643;map2[3238][2]:=$DAAE;
map2[3239][1]:=$B644;map2[3239][2]:=$CBDF;
map2[3240][1]:=$B645;map2[3240][2]:=$D5EF;
map2[3241][1]:=$B646;map2[3241][2]:=$DAAD;
map2[3242][1]:=$B647;map2[3242][2]:=$D79D;
map2[3243][1]:=$B648;map2[3243][2]:=$CFF3;
map2[3244][1]:=$B649;map2[3244][2]:=$F5F5;
map2[3245][1]:=$B64A;map2[3245][2]:=$D6FC;
map2[3246][1]:=$B64B;map2[3246][2]:=$CCF9;
map2[3247][1]:=$B64C;map2[3247][2]:=$B7A1;
map2[3248][1]:=$B64D;map2[3248][2]:=$EADD;
map2[3249][1]:=$B64E;map2[3249][2]:=$EADA;
map2[3250][1]:=$B64F;map2[3250][2]:=$B7D1;
map2[3251][1]:=$B650;map2[3251][2]:=$BAD8;
map2[3252][1]:=$B651;map2[3252][2]:=$B9F3;
map2[3253][1]:=$B652;map2[3253][2]:=$C2F2;
map2[3254][1]:=$B653;map2[3254][2]:=$B1E1;
map2[3255][1]:=$B654;map2[3255][2]:=$C3B3;
map2[3256][1]:=$B655;map2[3256][2]:=$B4FB;
map2[3257][1]:=$B656;map2[3257][2]:=$D4BD;
map2[3258][1]:=$B657;map2[3258][2]:=$B3AC;
map2[3259][1]:=$B658;map2[3259][2]:=$B3C3;
map2[3260][1]:=$B659;map2[3260][2]:=$F5C9;
map2[3261][1]:=$B65A;map2[3261][2]:=$BEE0;
map2[3262][1]:=$B65B;map2[3262][2]:=$B0CF;
map2[3263][1]:=$B65C;map2[3263][2]:=$F5C7;
map2[3264][1]:=$B65D;map2[3264][2]:=$C5DC;
map2[3265][1]:=$B65E;map2[3265][2]:=$B5F8;
map2[3266][1]:=$B65F;map2[3266][2]:=$F5CB;
map2[3267][1]:=$B660;map2[3267][2]:=$F5CC;
map2[3268][1]:=$B661;map2[3268][2]:=$E9F0;
map2[3269][1]:=$B662;map2[3269][2]:=$D6E1;
map2[3270][1]:=$B663;map2[3270][2]:=$E9F3;
map2[3271][1]:=$B664;map2[3271][2]:=$B9BC;
map2[3272][1]:=$B665;map2[3272][2]:=$B4FE;
map2[3273][1]:=$B666;map2[3273][2]:=$E5D3;
map2[3274][1]:=$B667;map2[3274][2]:=$D6DC;
map2[3275][1]:=$B668;map2[3275][2]:=$D2DD;
map2[3276][1]:=$B669;map2[3276][2]:=$BDF8;
map2[3277][1]:=$B66A;map2[3277][2]:=$E5D4;
map2[3278][1]:=$B66B;map2[3278][2]:=$B6F5;
map2[3279][1]:=$B66C;map2[3279][2]:=$D3CA;
map2[3280][1]:=$B66D;map2[3280][2]:=$CFE7;
map2[3281][1]:=$B66E;map2[3281][2]:=$DBB1;
map2[3282][1]:=$B66F;map2[3282][2]:=$BAA8;
map2[3283][1]:=$B670;map2[3283][2]:=$CBD6;
map2[3284][1]:=$B671;map2[3284][2]:=$C1BF;
map2[3285][1]:=$B672;map2[3285][2]:=$B3AE;
map2[3286][1]:=$B673;map2[3286][2]:=$C5A5;
map2[3287][1]:=$B674;map2[3287][2]:=$B8C6;
map2[3288][1]:=$B675;map2[3288][2]:=$C4C6;
map2[3289][1]:=$B676;map2[3289][2]:=$BEFB;
map2[3290][1]:=$B677;map2[3290][2]:=$B6DB;
map2[3291][1]:=$B678;map2[3291][2]:=$EED4;
map2[3292][1]:=$B679;map2[3292][2]:=$E261;
map2[3293][1]:=$B67A;map2[3293][2]:=$EED3;
map2[3294][1]:=$B67B;map2[3294][2]:=$E3C9;
map2[3295][1]:=$B67C;map2[3295][2]:=$C8F2;
map2[3296][1]:=$B67D;map2[3296][2]:=$BFAA;
map2[3297][1]:=$B67E;map2[3297][2]:=$CFD0;
map2[3298][1]:=$B6A1;map2[3298][2]:=$BCE4;
map2[3299][1]:=$B6A2;map2[3299][2]:=$CFD0;
map2[3300][1]:=$B6A3;map2[3300][2]:=$E3C8;
map2[3301][1]:=$B6A4;map2[3301][2]:=$B6D3;
map2[3302][1]:=$B6A5;map2[3302][2]:=$BDD7;
map2[3303][1]:=$B6A6;map2[3303][2]:=$CBE5;
map2[3304][1]:=$B6A7;map2[3304][2]:=$D1F4;
map2[3305][1]:=$B6A8;map2[3305][2]:=$D3E7;
map2[3306][1]:=$B6A9;map2[3306][2]:=$C2A1;
map2[3307][1]:=$B6AA;map2[3307][2]:=$DAF2;
map2[3308][1]:=$B6AB;map2[3308][2]:=$DAEF;
map2[3309][1]:=$B6AC;map2[3309][2]:=$B5CC;
map2[3310][1]:=$B6AD;map2[3310][2]:=$D1E3;
map2[3311][1]:=$B6AE;map2[3311][2]:=$D1C5;
map2[3312][1]:=$B6AF;map2[3312][2]:=$D0DB;
map2[3313][1]:=$B6B0;map2[3313][2]:=$BCAF;
map2[3314][1]:=$B6B1;map2[3314][2]:=$B9CD;
map2[3315][1]:=$B6B2;map2[3315][2]:=$F6A9;
map2[3316][1]:=$B6B3;map2[3316][2]:=$D4C6;
map2[3317][1]:=$B6B4;map2[3317][2]:=$C8CD;
map2[3318][1]:=$B6B5;map2[3318][2]:=$CFEE;
map2[3319][1]:=$B6B6;map2[3319][2]:=$CBB3;
map2[3320][1]:=$B6B7;map2[3320][2]:=$D0EB;
map2[3321][1]:=$B6B8;map2[3321][2]:=$E2B8;
map2[3322][1]:=$B6B9;map2[3322][2]:=$E2BF;
map2[3323][1]:=$B6BA;map2[3323][2]:=$B7B9;
map2[3324][1]:=$B6BB;map2[3324][2]:=$E2BD;
map2[3325][1]:=$B6BC;map2[3325][2]:=$D2FB;
map2[3326][1]:=$B6BD;map2[3326][2]:=$E2C1;
map2[3327][1]:=$B6BE;map2[3327][2]:=$B7EB;
map2[3328][1]:=$B6BF;map2[3328][2]:=$D4A6;
map2[3329][1]:=$B6C0;map2[3329][2]:=$BBC6;
map2[3330][1]:=$B6C1;map2[3330][2]:=$CAF2;
map2[3331][1]:=$B6C2;map2[3331][2]:=$BADA;
map2[3332][1]:=$B6C3;map2[3332][2]:=$C2D2;
map2[3333][1]:=$B6C4;map2[3333][2]:=$D3B6;
map2[3334][1]:=$B6C5;map2[3334][2]:=$D5AE;
map2[3335][1]:=$B6C6;map2[3335][2]:=$B0C1;
map2[3336][1]:=$B6C7;map2[3336][2]:=$B4AB;
map2[3337][1]:=$B6C8;map2[3337][2]:=$BDF6;
map2[3338][1]:=$B6C9;map2[3338][2]:=$C7E3;
map2[3339][1]:=$B6CA;map2[3339][2]:=$B4DF;
map2[3340][1]:=$B6CB;map2[3340][2]:=$C9CB;
map2[3341][1]:=$B6CC;map2[3341][2]:=$C9B5;
map2[3342][1]:=$B6CD;map2[3342][2]:=$D9CC;
map2[3343][1]:=$B6CE;map2[3343][2]:=$834A;
map2[3344][1]:=$B6CF;map2[3344][2]:=$BDCB;
map2[3345][1]:=$B6D0;map2[3345][2]:=$B2F9;
map2[3346][1]:=$B6D1;map2[3346][2]:=$D8E2;
map2[3347][1]:=$B6D2;map2[3347][2]:=$C4BC;
map2[3348][1]:=$B6D3;map2[3348][2]:=$BDCB;
map2[3349][1]:=$B6D4;map2[3349][2]:=$C7DA;
map2[3350][1]:=$B6D5;map2[3350][2]:=$CAC6;
map2[3351][1]:=$B6D6;map2[3351][2]:=$BCA8;
map2[3352][1]:=$B6D7;map2[3352][2]:=$BBE3;
map2[3353][1]:=$B6D8;map2[3353][2]:=$E0B5;
map2[3354][1]:=$B6D9;map2[3354][2]:=$E0CB;
map2[3355][1]:=$B6DA;map2[3355][2]:=$C9A4;
map2[3356][1]:=$B6DB;map2[3356][2]:=$E0C2;
map2[3357][1]:=$B6DC;map2[3357][2]:=$C2F0;
map2[3358][1]:=$B6DD;map2[3358][2]:=$CAC8;
map2[3359][1]:=$B6DE;map2[3359][2]:=$D8C4;
map2[3360][1]:=$B6DF;map2[3360][2]:=$E0BE;
map2[3361][1]:=$B6E0;map2[3361][2]:=$CBC3;
map2[3362][1]:=$B6E1;map2[3362][2]:=$E0CD;
map2[3363][1]:=$B6E2;map2[3363][2]:=$E0C5;
map2[3364][1]:=$B6E3;map2[3364][2]:=$CED8;
map2[3365][1]:=$B6E4;map2[3365][2]:=$CECB;
map2[3366][1]:=$B6E5;map2[3366][2]:=$D0E1;
map2[3367][1]:=$B6E6;map2[3367][2]:=$C7BA;
map2[3368][1]:=$B6E7;map2[3368][2]:=$E0C6;
map2[3369][1]:=$B6E8;map2[3369][2]:=$E0BC;
map2[3370][1]:=$B6E9;map2[3370][2]:=$D4B0;
map2[3371][1]:=$B6EA;map2[3371][2]:=$D4B2;
map2[3372][1]:=$B6EB;map2[3372][2]:=$C8FB;
map2[3373][1]:=$B6EC;map2[3373][2]:=$CBDC;
map2[3374][1]:=$B6ED;map2[3374][2]:=$CCC1;
map2[3375][1]:=$B6EE;map2[3375][2]:=$CDBF;
map2[3376][1]:=$B6EF;map2[3376][2]:=$DAA3;
map2[3377][1]:=$B6F0;map2[3377][2]:=$CBFE;
map2[3378][1]:=$B6F1;map2[3378][2]:=$CCEE;
map2[3379][1]:=$B6F2;map2[3379][2]:=$CBFA;
map2[3380][1]:=$B6F3;map2[3380][2]:=$8965;
map2[3381][1]:=$B6F4;map2[3381][2]:=$BFE9;
map2[3382][1]:=$B6F5;map2[3382][2]:=$CEEB;
map2[3383][1]:=$B6F6;map2[3383][2]:=$DBF5;
map2[3384][1]:=$B6F7;map2[3384][2]:=$DCE3;
map2[3385][1]:=$B6F8;map2[3385][2]:=$B0C2;
map2[3386][1]:=$B6F9;map2[3386][2]:=$BCDE;
map2[3387][1]:=$B6FA;map2[3387][2]:=$BCB5;
map2[3388][1]:=$B6FB;map2[3388][2]:=$CFD3;
map2[3389][1]:=$B6FC;map2[3389][2]:=$E6C5;
map2[3390][1]:=$B6FD;map2[3390][2]:=$C2E8;
map2[3391][1]:=$B6FE;map2[3391][2]:=$E6C1;
map2[3392][1]:=$B740;map2[3392][2]:=$CFB1;
map2[3393][1]:=$B741;map2[3393][2]:=$C9A9;
map2[3394][1]:=$B742;map2[3394][2]:=$E6C7;
map2[3395][1]:=$B743;map2[3395][2]:=$E1D4;
map2[3396][1]:=$B744;map2[3396][2]:=$E1CF;
map2[3397][1]:=$B745;map2[3397][2]:=$BBCF;
map2[3398][1]:=$B746;map2[3398][2]:=$B8C9;
map2[3399][1]:=$B747;map2[3399][2]:=$C1AE;
map2[3400][1]:=$B748;map2[3400][2]:=$CFC3;
map2[3401][1]:=$B749;map2[3401][2]:=$8F73;
map2[3402][1]:=$B74A;map2[3402][2]:=$BBE3;
map2[3403][1]:=$B74B;map2[3403][2]:=$E1DD;
map2[3404][1]:=$B74C;map2[3404][2]:=$CEA2;
map2[3405][1]:=$B74D;map2[3405][2]:=$D3DE;
map2[3406][1]:=$B74E;map2[3406][2]:=$D2E2;
map2[3407][1]:=$B74F;map2[3407][2]:=$B4C8;
map2[3408][1]:=$B750;map2[3408][2]:=$B8D0;
map2[3409][1]:=$B751;map2[3409][2]:=$CFEB;
map2[3410][1]:=$B752;map2[3410][2]:=$B0AE;
map2[3411][1]:=$B753;map2[3411][2]:=$C8C7;
map2[3412][1]:=$B754;map2[3412][2]:=$B3EE;
map2[3413][1]:=$B755;map2[3413][2]:=$D3FA;
map2[3414][1]:=$B756;map2[3414][2]:=$C9F7;
map2[3415][1]:=$B757;map2[3415][2]:=$BBC5;
map2[3416][1]:=$B758;map2[3416][2]:=$C0F5;
map2[3417][1]:=$B759;map2[3417][2]:=$E3B3;
map2[3418][1]:=$B75A;map2[3418][2]:=$E2E9;
map2[3419][1]:=$B75B;map2[3419][2]:=$E2EB;
map2[3420][1]:=$B75C;map2[3420][2]:=$C0A2;
map2[3421][1]:=$B75D;map2[3421][2]:=$EDAA;
map2[3422][1]:=$B75E;map2[3422][2]:=$EDA9;
map2[3423][1]:=$B75F;map2[3423][2]:=$E2FD;
map2[3424][1]:=$B760;map2[3424][2]:=$EAAC;
map2[3425][1]:=$B761;map2[3425][2]:=$EAAB;
map2[3426][1]:=$B762;map2[3426][2]:=$B4EA;
map2[3427][1]:=$B763;map2[3427][2]:=$D5A5;
map2[3428][1]:=$B764;map2[3428][2]:=$B8E3;
map2[3429][1]:=$B765;map2[3429][2]:=$CCC2;
map2[3430][1]:=$B766;map2[3430][2]:=$B4EE;
map2[3431][1]:=$B767;map2[3431][2]:=$B2EB;
map2[3432][1]:=$B768;map2[3432][2]:=$B0E1;
map2[3433][1]:=$B769;map2[3433][2]:=$B2AB;
map2[3434][1]:=$B76A;map2[3434][2]:=$CBD1;
map2[3435][1]:=$B76B;map2[3435][2]:=$C9A6;
map2[3436][1]:=$B76C;map2[3436][2]:=$CBF0;
map2[3437][1]:=$B76D;map2[3437][2]:=$C7C0;
map2[3438][1]:=$B76E;map2[3438][2]:=$D2A1;
map2[3439][1]:=$B76F;map2[3439][2]:=$B5B7;
map2[3440][1]:=$B770;map2[3440][2]:=$B9B9;
map2[3441][1]:=$B771;map2[3441][2]:=$BEB4;
map2[3442][1]:=$B772;map2[3442][2]:=$D5E5;
map2[3443][1]:=$B773;map2[3443][2]:=$D0C2;
map2[3444][1]:=$B774;map2[3444][2]:=$B0B5;
map2[3445][1]:=$B775;map2[3445][2]:=$EACD;
map2[3446][1]:=$B776;map2[3446][2]:=$CFBE;
map2[3447][1]:=$B777;map2[3447][2]:=$D4CE;
map2[3448][1]:=$B778;map2[3448][2]:=$C5AF;
map2[3449][1]:=$B779;map2[3449][2]:=$EAD1;
map2[3450][1]:=$B77A;map2[3450][2]:=$9544;
map2[3451][1]:=$B77B;map2[3451][2]:=$95A2;
map2[3452][1]:=$B77C;map2[3452][2]:=$BBE1;
map2[3453][1]:=$B77D;map2[3453][2]:=$C0C6;
map2[3454][1]:=$B77E;map2[3454][2]:=$D2B5;
map2[3455][1]:=$B7A1;map2[3455][2]:=$B3FE;
map2[3456][1]:=$B7A2;map2[3456][2]:=$BFAC;
map2[3457][1]:=$B7A3;map2[3457][2]:=$E9AA;
map2[3458][1]:=$B7A4;map2[3458][2]:=$D0A8;
map2[3459][1]:=$B7A5;map2[3459][2]:=$BCAB;
map2[3460][1]:=$B7A6;map2[3460][2]:=$D2AC;
map2[3461][1]:=$B7A7;map2[3461][2]:=$B8C5;
map2[3462][1]:=$B7A8;map2[3462][2]:=$D1EE;
map2[3463][1]:=$B7A9;map2[3463][2]:=$E8E5;
map2[3464][1]:=$B7AA;map2[3464][2]:=$E9AE;
map2[3465][1]:=$B7AB;map2[3465][2]:=$C0E3;
map2[3466][1]:=$B7AC;map2[3466][2]:=$B7E3;
map2[3467][1]:=$B7AD;map2[3467][2]:=$E9BA;
map2[3468][1]:=$B7AE;map2[3468][2]:=$D3DC;
map2[3469][1]:=$B7AF;map2[3469][2]:=$E9AC;
map2[3470][1]:=$B7B0;map2[3470][2]:=$E9B9;
map2[3471][1]:=$B7B1;map2[3471][2]:=$97FC;
map2[3472][1]:=$B7B2;map2[3472][2]:=$D0AA;
map2[3473][1]:=$B7B3;map2[3473][2]:=$CBEA;
map2[3474][1]:=$B7B4;map2[3474][2]:=$BBD9;
map2[3475][1]:=$B7B5;map2[3475][2]:=$B5EE;
map2[3476][1]:=$B7B6;map2[3476][2]:=$D8B9;
map2[3477][1]:=$B7B7;map2[3477][2]:=$EBA6;
map2[3478][1]:=$B7B8;map2[3478][2]:=$D2E7;
map2[3479][1]:=$B7B9;map2[3479][2]:=$CBDD;
map2[3480][1]:=$B7BA;map2[3480][2]:=$D7D2;
map2[3481][1]:=$B7BB;map2[3481][2]:=$C8DC;
map2[3482][1]:=$B7BC;map2[3482][2]:=$E4E8;
map2[3483][1]:=$B7BD;map2[3483][2]:=$D4B4;
map2[3484][1]:=$B7BE;map2[3484][2]:=$B9B5;
map2[3485][1]:=$B7BF;map2[3485][2]:=$B5E1;
map2[3486][1]:=$B7C0;map2[3486][2]:=$C3F0;
map2[3487][1]:=$B7C1;map2[3487][2]:=$E4DF;
map2[3488][1]:=$B7C2;map2[3488][2]:=$E4DB;
map2[3489][1]:=$B7C3;map2[3489][2]:=$CAAA;
map2[3490][1]:=$B7C4;map2[3490][2]:=$C4E7;
map2[3491][1]:=$B7C5;map2[3491][2]:=$CEC2;
map2[3492][1]:=$B7C6;map2[3492][2]:=$BBAC;
map2[3493][1]:=$B7C7;map2[3493][2]:=$D7BC;
map2[3494][1]:=$B7C8;map2[3494][2]:=$C1EF;
map2[3495][1]:=$B7C9;map2[3495][2]:=$B2D7;
map2[3496][1]:=$B7CA;map2[3496][2]:=$CCCF;
map2[3497][1]:=$B7CB;map2[3497][2]:=$CFAA;
map2[3498][1]:=$B7CC;map2[3498][2]:=$E4E0;
map2[3499][1]:=$B7CD;map2[3499][2]:=$E4E5;
map2[3500][1]:=$B7CE;map2[3500][2]:=$BCE5;
map2[3501][1]:=$B7CF;map2[3501][2]:=$D1CC;
map2[3502][1]:=$B7D0;map2[3502][2]:=$B7B3;
map2[3503][1]:=$B7D1;map2[3503][2]:=$C3BA;
map2[3504][1]:=$B7D2;map2[3504][2]:=$C1B6;
map2[3505][1]:=$B7D3;map2[3505][2]:=$D5D5;
map2[3506][1]:=$B7D4;map2[3506][2]:=$ECCF;
map2[3507][1]:=$B7D5;map2[3507][2]:=$ECBE;
map2[3508][1]:=$B7D6;map2[3508][2]:=$ECE3;
map2[3509][1]:=$B7D7;map2[3509][2]:=$BBCD;
map2[3510][1]:=$B7D8;map2[3510][2]:=$BBC0;
map2[3511][1]:=$B7D9;map2[3511][2]:=$C9B7;
map2[3512][1]:=$B7DA;map2[3512][2]:=$ECD1;
map2[3513][1]:=$B7DB;map2[3513][2]:=$ECD0;
map2[3514][1]:=$B7DC;map2[3514][2]:=$C5AF;
map2[3515][1]:=$B7DD;map2[3515][2]:=$D2AF;
map2[3516][1]:=$B7DE;map2[3516][2]:=$EBBA;
map2[3517][1]:=$B7DF;map2[3517][2]:=$E9E0;
map2[3518][1]:=$B7E0;map2[3518][2]:=$CAA8;
map2[3519][1]:=$B7E1;map2[3519][2]:=$D4B3;
map2[3520][1]:=$B7E2;map2[3520][2]:=$BBAB;
map2[3521][1]:=$B7E3;map2[3521][2]:=$C0C5;
map2[3522][1]:=$B7E4;map2[3522][2]:=$BAF7;
map2[3523][1]:=$B7E5;map2[3523][2]:=$E8A6;
map2[3524][1]:=$B7E6;map2[3524][2]:=$C9AA;
map2[3525][1]:=$B7E7;map2[3525][2]:=$C8F0;
map2[3526][1]:=$B7E8;map2[3526][2]:=$E8A3;
map2[3527][1]:=$B7E9;map2[3527][2]:=$E7F5;
map2[3528][1]:=$B7EA;map2[3528][2]:=$E8A7;
map2[3529][1]:=$B7EB;map2[3529][2]:=$E7F8;
map2[3530][1]:=$B7EC;map2[3530][2]:=$E8A4;
map2[3531][1]:=$B7ED;map2[3531][2]:=$B5B1;
map2[3532][1]:=$B7EE;map2[3532][2]:=$BBFB;
map2[3533][1]:=$B7EF;map2[3533][2]:=$F0F6;
map2[3534][1]:=$B7F0;map2[3534][2]:=$CCB5;
map2[3535][1]:=$B7F1;map2[3535][2]:=$B4E1;
map2[3536][1]:=$B7F2;map2[3536][2]:=$AF71;
map2[3537][1]:=$B7F3;map2[3537][2]:=$F0F2;
map2[3538][1]:=$B7F4;map2[3538][2]:=$B1D4;
map2[3539][1]:=$B7F5;map2[3539][2]:=$F0F4;
map2[3540][1]:=$B7F6;map2[3540][2]:=$B3D5;
map2[3541][1]:=$B7F7;map2[3541][2]:=$AF72;
map2[3542][1]:=$B7F8;map2[3542][2]:=$D5B5;
map2[3543][1]:=$B7F9;map2[3543][2]:=$C3CB;
map2[3544][1]:=$B7FA;map2[3544][2]:=$BEA6;
map2[3545][1]:=$B7FB;map2[3545][2]:=$BDDE;
map2[3546][1]:=$B7FC;map2[3546][2]:=$C4C0;
map2[3547][1]:=$B7FD;map2[3547][2]:=$EDF9;
map2[3548][1]:=$B7FE;map2[3548][2]:=$B6BD;
map2[3549][1]:=$B840;map2[3549][2]:=$B6C3;
map2[3550][1]:=$B841;map2[3550][2]:=$B247;
map2[3551][1]:=$B842;map2[3551][2]:=$B2C7;
map2[3552][1]:=$B843;map2[3552][2]:=$D5F6;
map2[3553][1]:=$B844;map2[3553][2]:=$EEA2;
map2[3554][1]:=$B845;map2[3554][2]:=$EDFE;
map2[3555][1]:=$B846;map2[3555][2]:=$EEA1;
map2[3556][1]:=$B847;map2[3556][2]:=$B0AB;
map2[3557][1]:=$B848;map2[3557][2]:=$CBE9;
map2[3558][1]:=$B849;map2[3558][2]:=$C5F6;
map2[3559][1]:=$B84A;map2[3559][2]:=$CDEB;
map2[3560][1]:=$B84B;map2[3560][2]:=$B5E2;
map2[3561][1]:=$B84C;map2[3561][2]:=$C2B5;
map2[3562][1]:=$B84D;map2[3562][2]:=$B5EF;
map2[3563][1]:=$B84E;map2[3563][2]:=$C5F0;
map2[3564][1]:=$B84F;map2[3564][2]:=$B1AE;
map2[3565][1]:=$B850;map2[3565][2]:=$EDD4;
map2[3566][1]:=$B851;map2[3566][2]:=$B39C;
map2[3567][1]:=$B852;map2[3567][2]:=$ECF7;
map2[3568][1]:=$B853;map2[3568][2]:=$C2BB;
map2[3569][1]:=$B854;map2[3569][2]:=$BDFB;
map2[3570][1]:=$B855;map2[3570][2]:=$CDF2;
map2[3571][1]:=$B856;map2[3571][2]:=$C7DD;
map2[3572][1]:=$B857;map2[3572][2]:=$C0E2;
map2[3573][1]:=$B858;map2[3573][2]:=$D6C9;
map2[3574][1]:=$B859;map2[3574][2]:=$B3ED;
map2[3575][1]:=$B85A;map2[3575][2]:=$EFFE;
map2[3576][1]:=$B85B;map2[3576][2]:=$D9F7;
map2[3577][1]:=$B85C;map2[3577][2]:=$EFFD;
map2[3578][1]:=$B85D;map2[3578][2]:=$BFDF;
map2[3579][1]:=$B85E;map2[3579][2]:=$F1BD;
map2[3580][1]:=$B85F;map2[3580][2]:=$BFEA;
map2[3581][1]:=$B860;map2[3581][2]:=$BDDA;
map2[3582][1]:=$B861;map2[3582][2]:=$F3DE;
map2[3583][1]:=$B862;map2[3583][2]:=$F3DF;
map2[3584][1]:=$B863;map2[3584][2]:=$F3C8;
map2[3585][1]:=$B864;map2[3585][2]:=$C1BB;
map2[3586][1]:=$B865;map2[3586][2]:=$BEAC;
map2[3587][1]:=$B866;map2[3587][2]:=$D4C1;
map2[3588][1]:=$B867;map2[3588][2]:=$BEAD;
map2[3589][1]:=$B868;map2[3589][2]:=$BEEE;
map2[3590][1]:=$B869;map2[3590][2]:=$C0A6;
map2[3591][1]:=$B86A;map2[3591][2]:=$B0F3;
map2[3592][1]:=$B86B;map2[3592][2]:=$CBE7;
map2[3593][1]:=$B86C;map2[3593][2]:=$CCD0;
map2[3594][1]:=$B86D;map2[3594][2]:=$D6C3;
map2[3595][1]:=$B86E;map2[3595][2]:=$D5D6;
map2[3596][1]:=$B86F;map2[3596][2]:=$D7EF;
map2[3597][1]:=$B870;map2[3597][2]:=$CAF0;
map2[3598][1]:=$B871;map2[3598][2]:=$D2E5;
map2[3599][1]:=$B872;map2[3599][2]:=$CFDB;
map2[3600][1]:=$B873;map2[3600][2]:=$C8BA;
map2[3601][1]:=$B874;map2[3601][2]:=$CAA5;
map2[3602][1]:=$B875;map2[3602][2]:=$C6B8;
map2[3603][1]:=$B876;map2[3603][2]:=$CBC1;
map2[3604][1]:=$B877;map2[3604][2]:=$D2DE;
map2[3605][1]:=$B878;map2[3605][2]:=$EBEC;
map2[3606][1]:=$B879;map2[3606][2]:=$D1FC;
map2[3607][1]:=$B87A;map2[3607][2]:=$B3A6;
map2[3608][1]:=$B87B;map2[3608][2]:=$D0C8;
map2[3609][1]:=$B87C;map2[3609][2]:=$C8F9;
map2[3610][1]:=$B87D;map2[3610][2]:=$BDC5;
map2[3611][1]:=$B87E;map2[3611][2]:=$D6D7;
map2[3612][1]:=$B8A1;map2[3612][2]:=$B8B9;
map2[3613][1]:=$B8A2;map2[3613][2]:=$CFD9;
map2[3614][1]:=$B8A3;map2[3614][2]:=$C4D4;
map2[3615][1]:=$B8A4;map2[3615][2]:=$BECB;
map2[3616][1]:=$B8A5;map2[3616][2]:=$CDA7;
map2[3617][1]:=$B8A6;map2[3617][2]:=$B5D9;
map2[3618][1]:=$B8A7;map2[3618][2]:=$BBE7;
map2[3619][1]:=$B8A8;map2[3619][2]:=$C2E4;
map2[3620][1]:=$B8A9;map2[3620][2]:=$DDE6;
map2[3621][1]:=$B8AA;map2[3621][2]:=$BFFB;
map2[3622][1]:=$B8AB;map2[3622][2]:=$CEAD;
map2[3623][1]:=$B8AC;map2[3623][2]:=$BAF9;
map2[3624][1]:=$B8AD;map2[3624][2]:=$D2B6;
map2[3625][1]:=$B8AE;map2[3625][2]:=$D4E1;
map2[3626][1]:=$B8AF;map2[3626][2]:=$B8F0;
map2[3627][1]:=$B8B0;map2[3627][2]:=$DDE0;
map2[3628][1]:=$B8B1;map2[3628][2]:=$DDAB;
map2[3629][1]:=$B8B2;map2[3629][2]:=$C6CF;
map2[3630][1]:=$B8B3;map2[3630][2]:=$B6AD;
map2[3631][1]:=$B8B4;map2[3631][2]:=$DDE2;
map2[3632][1]:=$B8B5;map2[3632][2]:=$DDE7;
map2[3633][1]:=$B8B6;map2[3633][2]:=$DDE1;
map2[3634][1]:=$B8B7;map2[3634][2]:=$D3DD;
map2[3635][1]:=$B8B8;map2[3635][2]:=$C2B2;
map2[3636][1]:=$B8B9;map2[3636][2]:=$BAC5;
map2[3637][1]:=$B8BA;map2[3637][2]:=$D3BC;
map2[3638][1]:=$B8BB;map2[3638][2]:=$F2D1;
map2[3639][1]:=$B8BC;map2[3639][2]:=$F2DA;
map2[3640][1]:=$B8BD;map2[3640][2]:=$F2D8;
map2[3641][1]:=$B8BE;map2[3641][2]:=$CAF1;
map2[3642][1]:=$B8BF;map2[3642][2]:=$B6EA;
map2[3643][1]:=$B8C0;map2[3643][2]:=$CDC9;
map2[3644][1]:=$B8C1;map2[3644][2]:=$B7E4;
map2[3645][1]:=$B8C2;map2[3645][2]:=$F2D7;
map2[3646][1]:=$B8C3;map2[3646][2]:=$F2B9;
map2[3647][1]:=$B8C4;map2[3647][2]:=$F2DB;
map2[3648][1]:=$B8C5;map2[3648][2]:=$D1C3;
map2[3649][1]:=$B8C6;map2[3649][2]:=$F4C4;
map2[3650][1]:=$B8C7;map2[3650][2]:=$D2E1;
map2[3651][1]:=$B8C8;map2[3651][2]:=$C8B9;
map2[3652][1]:=$B8C9;map2[3652][2]:=$B2B9;
map2[3653][1]:=$B8CA;map2[3653][2]:=$F4C3;
map2[3654][1]:=$B8CB;map2[3654][2]:=$D7B0;
map2[3655][1]:=$B8CC;map2[3655][2]:=$C0EF;
map2[3656][1]:=$B8CD;map2[3656][2]:=$F4C1;
map2[3657][1]:=$B8CE;map2[3657][2]:=$D4A3;
map2[3658][1]:=$B8CF;map2[3658][2]:=$D9F6;
map2[3659][1]:=$B8D0;map2[3659][2]:=$CCF7;
map2[3660][1]:=$B8D1;map2[3660][2]:=$BDE2;
map2[3661][1]:=$B8D2;map2[3661][2]:=$B2EF;
map2[3662][1]:=$B8D3;map2[3662][2]:=$B8C3;
map2[3663][1]:=$B8D4;map2[3663][2]:=$CFEA;
map2[3664][1]:=$B8D5;map2[3664][2]:=$CAD4;
map2[3665][1]:=$B8D6;map2[3665][2]:=$CAAB;
map2[3666][1]:=$B8D7;map2[3666][2]:=$DAB5;
map2[3667][1]:=$B8D8;map2[3667][2]:=$BFE4;
map2[3668][1]:=$B8D9;map2[3668][2]:=$DAB6;
map2[3669][1]:=$B8DA;map2[3669][2]:=$D2E8;
map2[3670][1]:=$B8DB;map2[3670][2]:=$B3CF;
map2[3671][1]:=$B8DC;map2[3671][2]:=$BBB0;
map2[3672][1]:=$B8DD;map2[3672][2]:=$D6EF;
map2[3673][1]:=$B8DE;map2[3673][2]:=$B9EE;
map2[3674][1]:=$B8DF;map2[3674][2]:=$D1AF;
map2[3675][1]:=$B8E0;map2[3675][2]:=$DAB9;
map2[3676][1]:=$B8E1;map2[3676][2]:=$DAB8;
map2[3677][1]:=$B8E2;map2[3677][2]:=$D5B2;
map2[3678][1]:=$B8E3;map2[3678][2]:=$D49B;
map2[3679][1]:=$B8E4;map2[3679][2]:=$F6A4;
map2[3680][1]:=$B8E5;map2[3680][2]:=$D489;
map2[3681][1]:=$B8E6;map2[3681][2]:=$BBBF;
map2[3682][1]:=$B8E7;map2[3682][2]:=$F5F6;
map2[3683][1]:=$B8E8;map2[3683][2]:=$BAD1;
map2[3684][1]:=$B8E9;map2[3684][2]:=$D4F4;
map2[3685][1]:=$B8EA;map2[3685][2]:=$D7CA;
map2[3686][1]:=$B8EB;map2[3686][2]:=$BCD6;
map2[3687][1]:=$B8EC;map2[3687][2]:=$BBDF;
map2[3688][1]:=$B8ED;map2[3688][2]:=$EADF;
map2[3689][1]:=$B8EE;map2[3689][2]:=$C1DE;
map2[3690][1]:=$B8EF;map2[3690][2]:=$C2B8;
map2[3691][1]:=$B8F0;map2[3691][2]:=$EAE0;
map2[3692][1]:=$B8F1;map2[3692][2]:=$BCA3;
map2[3693][1]:=$B8F2;map2[3693][2]:=$B8FA;
map2[3694][1]:=$B8F3;map2[3694][2]:=$BFE7;
map2[3695][1]:=$B8F4;map2[3695][2]:=$C2B7;
map2[3696][1]:=$B8F5;map2[3696][2]:=$CCF8;
map2[3697][1]:=$B8F6;map2[3697][2]:=$B6E5;
map2[3698][1]:=$B8F7;map2[3698][2]:=$B9F2;
map2[3699][1]:=$B8F8;map2[3699][2]:=$F5D3;
map2[3700][1]:=$B8F9;map2[3700][2]:=$DB48;
map2[3701][1]:=$B8FA;map2[3701][2]:=$B6E3;
map2[3702][1]:=$B8FB;map2[3702][2]:=$BDCF;
map2[3703][1]:=$B8FC;map2[3703][2]:=$D4D8;
map2[3704][1]:=$B8FD;map2[3704][2]:=$E9F8;
map2[3705][1]:=$B8FE;map2[3705][2]:=$E9F9;
map2[3706][1]:=$B940;map2[3706][2]:=$B1D9;
map2[3707][1]:=$B941;map2[3707][2]:=$C5A9;
map2[3708][1]:=$B942;map2[3708][2]:=$D4CB;
map2[3709][1]:=$B943;map2[3709][2]:=$D3CE;
map2[3710][1]:=$B944;map2[3710][2]:=$B5C0;
map2[3711][1]:=$B945;map2[3711][2]:=$CBEC;
map2[3712][1]:=$B946;map2[3712][2]:=$B4EF;
map2[3713][1]:=$B947;map2[3713][2]:=$B1C6;
map2[3714][1]:=$B948;map2[3714][2]:=$CEA5;
map2[3715][1]:=$B949;map2[3715][2]:=$E5DA;
map2[3716][1]:=$B94A;map2[3716][2]:=$D3F6;
map2[3717][1]:=$B94B;map2[3717][2]:=$B6F4;
map2[3718][1]:=$B94C;map2[3718][2]:=$B9FD;
map2[3719][1]:=$B94D;map2[3719][2]:=$B1E9;
map2[3720][1]:=$B94E;map2[3720][2]:=$E5D8;
map2[3721][1]:=$B94F;map2[3721][2]:=$D3E2;
map2[3722][1]:=$B950;map2[3722][2]:=$B6DD;
map2[3723][1]:=$B951;map2[3723][2]:=$D7DE;
map2[3724][1]:=$B952;map2[3724][2]:=$E07A;
map2[3725][1]:=$B953;map2[3725][2]:=$B3EA;
map2[3726][1]:=$B954;map2[3726][2]:=$C0D2;
map2[3727][1]:=$B955;map2[3727][2]:=$F5A4;
map2[3728][1]:=$B956;map2[3728][2]:=$D3D4;
map2[3729][1]:=$B957;map2[3729][2]:=$EEDC;
map2[3730][1]:=$B958;map2[3730][2]:=$C7AF;
map2[3731][1]:=$B959;map2[3731][2]:=$EEE0;
map2[3732][1]:=$B95A;map2[3732][2]:=$EEDF;
map2[3733][1]:=$B95B;map2[3733][2]:=$BCD8;
map2[3734][1]:=$B95C;map2[3734][2]:=$D3CB;
map2[3735][1]:=$B95D;map2[3735][2]:=$C7A6;
map2[3736][1]:=$B95E;map2[3736][2]:=$C5D9;
map2[3737][1]:=$B95F;map2[3737][2]:=$B9B3;
map2[3738][1]:=$B960;map2[3738][2]:=$B2AC;
map2[3739][1]:=$B961;map2[3739][2]:=$C1E5;
map2[3740][1]:=$B962;map2[3740][2]:=$EEE7;
map2[3741][1]:=$B963;map2[3741][2]:=$EEE9;
map2[3742][1]:=$B964;map2[3742][2]:=$EED2;
map2[3743][1]:=$B965;map2[3743][2]:=$EEEB;
map2[3744][1]:=$B966;map2[3744][2]:=$EEE4;
map2[3745][1]:=$B967;map2[3745][2]:=$C3AD;
map2[3746][1]:=$B968;map2[3746][2]:=$D5A2;
map2[3747][1]:=$B969;map2[3747][2]:=$B0AF;
map2[3748][1]:=$B96A;map2[3748][2]:=$B8F4;
map2[3749][1]:=$B96B;map2[3749][2]:=$D4C9;
map2[3750][1]:=$B96C;map2[3750][2]:=$D3BA;
map2[3751][1]:=$B96D;map2[3751][2]:=$F6C1;
map2[3752][1]:=$B96E;map2[3752][2]:=$EFF4;
map2[3753][1]:=$B96F;map2[3753][2]:=$EB67;
map2[3754][1]:=$B970;map2[3754][2]:=$C0D7;
map2[3755][1]:=$B971;map2[3755][2]:=$B5E7;
map2[3756][1]:=$B972;map2[3756][2]:=$B1A2;
map2[3757][1]:=$B973;map2[3757][2]:=$C1E3;
map2[3758][1]:=$B974;map2[3758][2]:=$BEB8;
map2[3759][1]:=$B975;map2[3759][2]:=$D1A5;
map2[3760][1]:=$B976;map2[3760][2]:=$B0D0;
map2[3761][1]:=$B977;map2[3761][2]:=$D4A4;
map2[3762][1]:=$B978;map2[3762][2]:=$CDE7;
map2[3763][1]:=$B979;map2[3763][2]:=$B6D9;
map2[3764][1]:=$B97A;map2[3764][2]:=$E7EF;
map2[3765][1]:=$B97B;map2[3765][2]:=$B0E4;
map2[3766][1]:=$B97C;map2[3766][2]:=$CBCC;
map2[3767][1]:=$B97D;map2[3767][2]:=$CBC7;
map2[3768][1]:=$B97E;map2[3768][2]:=$E2C2;
map2[3769][1]:=$B9A1;map2[3769][2]:=$B1A5;
map2[3770][1]:=$B9A2;map2[3770][2]:=$CACE;
map2[3771][1]:=$B9A3;map2[3771][2]:=$B3DB;
map2[3772][1]:=$B9A4;map2[3772][2]:=$CDD4;
map2[3773][1]:=$B9A5;map2[3773][2]:=$D1B1;
map2[3774][1]:=$B9A6;map2[3774][2]:=$F7D5;
map2[3775][1]:=$B9A7;map2[3775][2]:=$F0AF;
map2[3776][1]:=$B9A8;map2[3776][2]:=$F7E4;
map2[3777][1]:=$B9A9;map2[3777][2]:=$B6A6;
map2[3778][1]:=$B9AA;map2[3778][2]:=$B9C4;
map2[3779][1]:=$B9AB;map2[3779][2]:=$CAF3;
map2[3780][1]:=$B9AC;map2[3780][2]:=$C9AE;
map2[3781][1]:=$B9AD;map2[3781][2]:=$D9D7;
map2[3782][1]:=$B9AE;map2[3782][2]:=$BDC4;
map2[3783][1]:=$B9AF;map2[3783][2]:=$D9D2;
map2[3784][1]:=$B9B0;map2[3784][2]:=$D9D4;
map2[3785][1]:=$B9B1;map2[3785][2]:=$C1C5;
map2[3786][1]:=$B9B2;map2[3786][2]:=$C6CD;
map2[3787][1]:=$B9B3;map2[3787][2]:=$CFF1;
map2[3788][1]:=$B9B4;map2[3788][2]:=$C7C8;
map2[3789][1]:=$B9B5;map2[3789][2]:=$B9CD;
map2[3790][1]:=$B9B6;map2[3790][2]:=$8351;
map2[3791][1]:=$B9B7;map2[3791][2]:=$8367;
map2[3792][1]:=$B9B8;map2[3792][2]:=$BEA4;
map2[3793][1]:=$B9B9;map2[3793][2]:=$B5CA;
map2[3794][1]:=$B9BA;map2[3794][2]:=$BBAE;
map2[3795][1]:=$B9BB;map2[3795][2]:=$D8E3;
map2[3796][1]:=$B9BC;map2[3796][2]:=$D8D1;
map2[3797][1]:=$B9BD;map2[3797][2]:=$D1E1;
map2[3798][1]:=$B9BE;map2[3798][2]:=$E0D5;
map2[3799][1]:=$B9BF;map2[3799][2]:=$E0D6;
map2[3800][1]:=$B9C0;map2[3800][2]:=$C2EF;
map2[3801][1]:=$B9C1;map2[3801][2]:=$B3A2;
map2[3802][1]:=$B9C2;map2[3802][2]:=$CBD4;
map2[3803][1]:=$B9C3;map2[3803][2]:=$C5BB;
map2[3804][1]:=$B9C4;map2[3804][2]:=$CCBE;
map2[3805][1]:=$B9C5;map2[3805][2]:=$BCCE;
map2[3806][1]:=$B9C6;map2[3806][2]:=$E0B6;
map2[3807][1]:=$B9C7;map2[3807][2]:=$B8C2;
map2[3808][1]:=$B9C8;map2[3808][2]:=$E0BB;
map2[3809][1]:=$B9C9;map2[3809][2]:=$DFF5;
map2[3810][1]:=$B9CA;map2[3810][2]:=$E0BD;
map2[3811][1]:=$B9CB;map2[3811][2]:=$E0D0;
map2[3812][1]:=$B9CC;map2[3812][2]:=$8745;
map2[3813][1]:=$B9CD;map2[3813][2]:=$DFD9;
map2[3814][1]:=$B9CE;map2[3814][2]:=$CDC5;
map2[3815][1]:=$B9CF;map2[3815][2]:=$CDBC;
map2[3816][1]:=$B9D0;map2[3816][2]:=$B3BE;
map2[3817][1]:=$B9D1;map2[3817][2]:=$DBD3;
map2[3818][1]:=$B9D2;map2[3818][2]:=$BEB3;
map2[3819][1]:=$B9D3;map2[3819][2]:=$C4B9;
map2[3820][1]:=$B9D4;map2[3820][2]:=$B5E6;
map2[3821][1]:=$B9D5;map2[3821][2]:=$C7B5;
map2[3822][1]:=$B9D6;map2[3822][2]:=$CAFB;
map2[3823][1]:=$B9D7;map2[3823][2]:=$8975;
map2[3824][1]:=$B9D8;map2[3824][2]:=$CAD9;
map2[3825][1]:=$B9D9;map2[3825][2]:=$BBEF;
map2[3826][1]:=$B9DA;map2[3826][2]:=$C3CE;
map2[3827][1]:=$B9DB;map2[3827][2]:=$E2B9;
map2[3828][1]:=$B9DC;map2[3828][2]:=$B6E1;
map2[3829][1]:=$B9DD;map2[3829][2]:=$DEC6;
map2[3830][1]:=$B9DE;map2[3830][2]:=$B5D5;
map2[3831][1]:=$B9DF;map2[3831][2]:=$E6CF;
map2[3832][1]:=$B9E0;map2[3832][2]:=$C4DB;
map2[3833][1]:=$B9E1;map2[3833][2]:=$E5FD;
map2[3834][1]:=$B9E2;map2[3834][2]:=$E6CE;
map2[3835][1]:=$B9E3;map2[3835][2]:=$E6D0;
map2[3836][1]:=$B9E4;map2[3836][2]:=$E6CC;
map2[3837][1]:=$B9E5;map2[3837][2]:=$B7F5;
map2[3838][1]:=$B9E6;map2[3838][2]:=$C4AF;
map2[3839][1]:=$B9E7;map2[3839][2]:=$C4FE;
map2[3840][1]:=$B9E8;map2[3840][2]:=$B9D1;
map2[3841][1]:=$B9E9;map2[3841][2]:=$C1C8;
map2[3842][1]:=$B9EA;map2[3842][2]:=$CAB5;
map2[3843][1]:=$B9EB;map2[3843][2]:=$D5AF;
map2[3844][1]:=$B9EC;map2[3844][2]:=$C7DE;
map2[3845][1]:=$B9ED;map2[3845][2]:=$E5BB;
map2[3846][1]:=$B9EE;map2[3846][2]:=$B2EC;
map2[3847][1]:=$B9EF;map2[3847][2]:=$B6D4;
map2[3848][1]:=$B9F0;map2[3848][2]:=$C2C5;
map2[3849][1]:=$B9F1;map2[3849][2]:=$D5B8;
map2[3850][1]:=$B9F2;map2[3850][2]:=$E1AB;
map2[3851][1]:=$B9F3;map2[3851][2]:=$E1A4;
map2[3852][1]:=$B9F4;map2[3852][2]:=$B1D2;
map2[3853][1]:=$B9F5;map2[3853][2]:=$C4BB;
map2[3854][1]:=$B9F6;map2[3854][2]:=$E0FE;
map2[3855][1]:=$B9F7;map2[3855][2]:=$E1A3;
map2[3856][1]:=$B9F8;map2[3856][2]:=$C0AA;
map2[3857][1]:=$B9F9;map2[3857][2]:=$C1CE;
map2[3858][1]:=$B9FA;map2[3858][2]:=$B1D7;
map2[3859][1]:=$B9FB;map2[3859][2]:=$B1F0;
map2[3860][1]:=$B9FC;map2[3860][2]:=$D5C3;
map2[3861][1]:=$B9FD;map2[3861][2]:=$B3B9;
map2[3862][1]:=$B9FE;map2[3862][2]:=$D2F3;
map2[3863][1]:=$BA40;map2[3863][2]:=$D4B8;
map2[3864][1]:=$BA41;map2[3864][2]:=$CCAC;
map2[3865][1]:=$BA42;map2[3865][2]:=$BFB6;
map2[3866][1]:=$BA43;map2[3866][2]:=$C2FD;
map2[3867][1]:=$BA44;map2[3867][2]:=$B9DF;
map2[3868][1]:=$BA45;map2[3868][2]:=$E2FA;
map2[3869][1]:=$BA46;map2[3869][2]:=$B2D1;
map2[3870][1]:=$BA47;map2[3870][2]:=$B2D2;
map2[3871][1]:=$BA48;map2[3871][2]:=$E3BC;
map2[3872][1]:=$BA49;map2[3872][2]:=$BDD8;
map2[3873][1]:=$BA4A;map2[3873][2]:=$C6B2;
map2[3874][1]:=$BA4B;map2[3874][2]:=$D5AA;
map2[3875][1]:=$BA4C;map2[3875][2]:=$CBA4;
map2[3876][1]:=$BA4D;map2[3876][2]:=$B3B7;
map2[3877][1]:=$BA4E;map2[3877][2]:=$C3FE;
map2[3878][1]:=$BA4F;map2[3878][2]:=$C2A7;
map2[3879][1]:=$BA50;map2[3879][2]:=$D5DB;
map2[3880][1]:=$BA51;map2[3880][2]:=$DEE2;
map2[3881][1]:=$BA52;map2[3881][2]:=$B4DD;
map2[3882][1]:=$BA53;map2[3882][2]:=$E5BA;
map2[3883][1]:=$BA54;map2[3883][2]:=$DEFD;
map2[3884][1]:=$BA55;map2[3884][2]:=$B2F4;
map2[3885][1]:=$BA56;map2[3885][2]:=$C7C3;
map2[3886][1]:=$BA57;map2[3886][2]:=$CED3;
map2[3887][1]:=$BA58;map2[3887][2]:=$C6EC;
map2[3888][1]:=$BA59;map2[3888][2]:=$ECBD;
map2[3889][1]:=$BA5A;map2[3889][2]:=$B3A9;
map2[3890][1]:=$BA5B;map2[3890][2]:=$F4DF;
map2[3891][1]:=$BA5C;map2[3891][2]:=$EAD4;
map2[3892][1]:=$BA5D;map2[3892][2]:=$B0F1;
map2[3893][1]:=$BA5E;map2[3893][2]:=$D5A5;
map2[3894][1]:=$BA5F;map2[3894][2]:=$E9C5;
map2[3895][1]:=$BA60;map2[3895][2]:=$E9C2;
map2[3896][1]:=$BA61;map2[3896][2]:=$C8D9;
map2[3897][1]:=$BA62;map2[3897][2]:=$B8DC;
map2[3898][1]:=$BA63;map2[3898][2]:=$B9B9;
map2[3899][1]:=$BA64;map2[3899][2]:=$E9BB;
map2[3900][1]:=$BA65;map2[3900][2]:=$C8B6;
map2[3901][1]:=$BA66;map2[3901][2]:=$E9BD;
map2[3902][1]:=$BA67;map2[3902][2]:=$E9BE;
map2[3903][1]:=$BA68;map2[3903][2]:=$C1F1;
map2[3904][1]:=$BA69;map2[3904][2]:=$BBB1;
map2[3905][1]:=$BA6A;map2[3905][2]:=$C7B9;
map2[3906][1]:=$BA6B;map2[3906][2]:=$E9BF;
map2[3907][1]:=$BA6C;map2[3907][2]:=$E9B3;
map2[3908][1]:=$BA6D;map2[3908][2]:=$B8C9;
map2[3909][1]:=$BA6E;map2[3909][2]:=$C5CC;
map2[3910][1]:=$BA6F;map2[3910][2]:=$986C;
map2[3911][1]:=$BA70;map2[3911][2]:=$C7B8;
map2[3912][1]:=$BA71;map2[3912][2]:=$B8E8;
map2[3913][1]:=$BA72;map2[3913][2]:=$EBB5;
map2[3914][1]:=$BA73;map2[3914][2]:=$D5C4;
map2[3915][1]:=$BA74;map2[3915][2]:=$D1DD;
map2[3916][1]:=$BA75;map2[3916][2]:=$B9F6;
map2[3917][1]:=$BA76;map2[3917][2]:=$C0EC;
map2[3918][1]:=$BA77;map2[3918][2]:=$B5CE;
map2[3919][1]:=$BA78;map2[3919][2]:=$E4F6;
map2[3920][1]:=$BA79;map2[3920][2]:=$D1FA;
map2[3921][1]:=$BA7A;map2[3921][2]:=$C4AE;
map2[3922][1]:=$BA7B;map2[3922][2]:=$D7D5;
map2[3923][1]:=$BA7C;map2[3923][2]:=$C2A9;
map2[3924][1]:=$BA7D;map2[3924][2]:=$C6AF;
map2[3925][1]:=$BA7E;map2[3925][2]:=$BABA;
map2[3926][1]:=$BAA1;map2[3926][2]:=$C2FA;
map2[3927][1]:=$BAA2;map2[3927][2]:=$D6CD;
map2[3928][1]:=$BAA3;map2[3928][2]:=$C6E1;
map2[3929][1]:=$BAA4;map2[3929][2]:=$CAFE;
map2[3930][1]:=$BAA5;map2[3930][2]:=$BDA5;
map2[3931][1]:=$BAA6;map2[3931][2]:=$D5C7;
map2[3932][1]:=$BAA7;map2[3932][2]:=$C1B0;
map2[3933][1]:=$BAA8;map2[3933][2]:=$E4EE;
map2[3934][1]:=$BAA9;map2[3934][2]:=$C2FE;
map2[3935][1]:=$BAAA;map2[3935][2]:=$E4F0;
map2[3936][1]:=$BAAB;map2[3936][2]:=$B3BA;
map2[3937][1]:=$BAAC;map2[3937][2]:=$E4F4;
map2[3938][1]:=$BAAD;map2[3938][2]:=$BBA6;
map2[3939][1]:=$BAAE;map2[3939][2]:=$D3E6;
map2[3940][1]:=$BAAF;map2[3940][2]:=$C9F8;
map2[3941][1]:=$BAB0;map2[3941][2]:=$B5D3;
map2[3942][1]:=$BAB1;map2[3942][2]:=$C2B1;
map2[3943][1]:=$BAB2;map2[3943][2]:=$C8DB;
map2[3944][1]:=$BAB3;map2[3944][2]:=$CEF5;
map2[3945][1]:=$BAB4;map2[3945][2]:=$C9BF;
map2[3946][1]:=$BAB5;map2[3946][2]:=$D0DC;
map2[3947][1]:=$BAB6;map2[3947][2]:=$CFA8;
map2[3948][1]:=$BAB7;map2[3948][2]:=$D3AB;
map2[3949][1]:=$BAB8;map2[3949][2]:=$B6FB;
map2[3950][1]:=$BAB9;map2[3950][2]:=$EAFB;
map2[3951][1]:=$BABA;map2[3951][2]:=$DCFD;
map2[3952][1]:=$BABB;map2[3952][2]:=$D3FC;
map2[3953][1]:=$BABC;map2[3953][2]:=$E2AF;
map2[3954][1]:=$BABD;map2[3954][2]:=$D1FE;
map2[3955][1]:=$BABE;map2[3955][2]:=$CBF6;
map2[3956][1]:=$BABF;map2[3956][2]:=$C2EA;
map2[3957][1]:=$BAC0;map2[3957][2]:=$B9E5;
map2[3958][1]:=$BAC1;map2[3958][2]:=$E8A9;
map2[3959][1]:=$BAC2;map2[3959][2]:=$D5E7;
map2[3960][1]:=$BAC3;map2[3960][2]:=$D2C9;
map2[3961][1]:=$BAC4;map2[3961][2]:=$C5B1;
map2[3962][1]:=$BAC5;map2[3962][2]:=$D1F1;
map2[3963][1]:=$BAC6;map2[3963][2]:=$B7E8;
map2[3964][1]:=$BAC7;map2[3964][2]:=$D3FA;
map2[3965][1]:=$BAC8;map2[3965][2]:=$BBBE;
map2[3966][1]:=$BAC9;map2[3966][2]:=$BEA1;
map2[3967][1]:=$BACA;map2[3967][2]:=$BCE0;
map2[3968][1]:=$BACB;map2[3968][2]:=$C3E9;
map2[3969][1]:=$BACC;map2[3969][2]:=$EEA5;
map2[3970][1]:=$BACD;map2[3970][2]:=$EEA3;
map2[3971][1]:=$BACE;map2[3971][2]:=$CBAF;
map2[3972][1]:=$BACF;map2[3972][2]:=$B4C5;
map2[3973][1]:=$BAD0;map2[3973][2]:=$C5CC;
map2[3974][1]:=$BAD1;map2[3974][2]:=$B1CC;
map2[3975][1]:=$BAD2;map2[3975][2]:=$CCBC;
map2[3976][1]:=$BAD3;map2[3976][2]:=$CBB6;
map2[3977][1]:=$BAD4;map2[3977][2]:=$EDD9;
map2[3978][1]:=$BAD5;map2[3978][2]:=$ECF5;
map2[3979][1]:=$BAD6;map2[3979][2]:=$B8A3;
map2[3980][1]:=$BAD7;map2[3980][2]:=$BBF6;
map2[3981][1]:=$BAD8;map2[3981][2]:=$D6D6;
map2[3982][1]:=$BAD9;map2[3982][2]:=$B3C6;
map2[3983][1]:=$BADA;map2[3983][2]:=$CDDD;
map2[3984][1]:=$BADB;map2[3984][2]:=$CED1;
map2[3985][1]:=$BADC;map2[3985][2]:=$BDDF;
map2[3986][1]:=$BADD;map2[3986][2]:=$B6CB;
map2[3987][1]:=$BADE;map2[3987][2]:=$B9DC;
map2[3988][1]:=$BADF;map2[3988][2]:=$BBFE;
map2[3989][1]:=$BAE0;map2[3989][2]:=$BCE3;
map2[3990][1]:=$BAE1;map2[3990][2]:=$F3DB;
map2[3991][1]:=$BAE2;map2[3991][2]:=$CBE3;
map2[3992][1]:=$BAE3;map2[3992][2]:=$F3E9;
map2[3993][1]:=$BAE4;map2[3993][2]:=$B2AD;
map2[3994][1]:=$BAE5;map2[3994][2]:=$F3DD;
map2[3995][1]:=$BAE6;map2[3995][2]:=$F3E7;
map2[3996][1]:=$BAE7;map2[3996][2]:=$B8F6;
map2[3997][1]:=$BAE8;map2[3997][2]:=$B975;
map2[3998][1]:=$BAE9;map2[3998][2]:=$B4E2;
map2[3999][1]:=$BAEA;map2[3999][2]:=$F4D5;
map2[4000][1]:=$BAEB;map2[4000][2]:=$BEAB;
map2[4001][1]:=$BAEC;map2[4001][2]:=$D5C0;
map2[4002][1]:=$BAED;map2[4002][2]:=$E7BA;
map2[4003][1]:=$BAEE;map2[4003][2]:=$D7DB;
map2[4004][1]:=$BAEF;map2[4004][2]:=$B4C2;
map2[4005][1]:=$BAF0;map2[4005][2]:=$E7B1;
map2[4006][1]:=$BAF1;map2[4006][2]:=$C2CC;
map2[4007][1]:=$BAF2;map2[4007][2]:=$BDF4;
map2[4008][1]:=$BAF3;map2[4008][2]:=$D7BA;
map2[4009][1]:=$BAF4;map2[4009][2]:=$CDF8;
map2[4010][1]:=$BAF5;map2[4010][2]:=$B8D9;
map2[4011][1]:=$BAF6;map2[4011][2]:=$E7B2;
map2[4012][1]:=$BAF7;map2[4012][2]:=$B3F1;
map2[4013][1]:=$BAF8;map2[4013][2]:=$C3E0;
map2[4014][1]:=$BAF9;map2[4014][2]:=$B2CA;
map2[4015][1]:=$BAFA;map2[4015][2]:=$C2DA;
map2[4016][1]:=$BAFB;map2[4016][2]:=$CEAC;
map2[4017][1]:=$BAFC;map2[4017][2]:=$D0F7;
map2[4018][1]:=$BAFD;map2[4018][2]:=$E7BB;
map2[4019][1]:=$BAFE;map2[4019][2]:=$E7B7;
map2[4020][1]:=$BB40;map2[4020][2]:=$B7A3;
map2[4021][1]:=$BB41;map2[4021][2]:=$B4E4;
map2[4022][1]:=$BB42;map2[4022][2]:=$F4E4;
map2[4023][1]:=$BB43;map2[4023][2]:=$B5D4;
map2[4024][1]:=$BB44;map2[4024][2]:=$CEC5;
map2[4025][1]:=$BB45;map2[4025][2]:=$BEDB;
map2[4026][1]:=$BB46;map2[4026][2]:=$D5D8;
map2[4027][1]:=$BB47;map2[4027][2]:=$B8AF;
map2[4028][1]:=$BB48;map2[4028][2]:=$B0F2;
map2[4029][1]:=$BB49;map2[4029][2]:=$B8E0;
map2[4030][1]:=$BB4A;map2[4030][2]:=$EBF5;
map2[4031][1]:=$BB4B;map2[4031][2]:=$B2B2;
map2[4032][1]:=$BB4C;map2[4032][2]:=$CDC8;
map2[4033][1]:=$BB4D;map2[4033][2]:=$EBF6;
map2[4034][1]:=$BB4E;map2[4034][2]:=$EAB0;
map2[4035][1]:=$BB4F;map2[4035][2]:=$CCA8;
map2[4036][1]:=$BB50;map2[4036][2]:=$D3EB;
map2[4037][1]:=$BB51;map2[4037][2]:=$CCF2;
map2[4038][1]:=$BB52;map2[4038][2]:=$CEE8;
map2[4039][1]:=$BB53;map2[4039][2]:=$F4BB;
map2[4040][1]:=$BB54;map2[4040][2]:=$C8D8;
map2[4041][1]:=$BB55;map2[4041][2]:=$DDEF;
map2[4042][1]:=$BB56;map2[4042][2]:=$CFAF;
map2[4043][1]:=$BB57;map2[4043][2]:=$D0EE;
map2[4044][1]:=$BB58;map2[4044][2]:=$C3C9;
map2[4045][1]:=$BB59;map2[4045][2]:=$DDB0;
map2[4046][1]:=$BB5A;map2[4046][2]:=$C6D1;
map2[4047][1]:=$BB5B;map2[4047][2]:=$CBE2;
map2[4048][1]:=$BB5C;map2[4048][2]:=$B8C7;
map2[4049][1]:=$BB5D;map2[4049][2]:=$D5F4;
map2[4050][1]:=$BB5E;map2[4050][2]:=$DDA5;
map2[4051][1]:=$BB5F;map2[4051][2]:=$DDED;
map2[4052][1]:=$BB60;map2[4052][2]:=$CBD1;
map2[4053][1]:=$BB61;map2[4053][2]:=$B2D4;
map2[4054][1]:=$BB62;map2[4054][2]:=$CBF2;
map2[4055][1]:=$BB63;map2[4055][2]:=$DDEE;
map2[4056][1]:=$BB64;map2[4056][2]:=$F2EA;
map2[4057][1]:=$BB65;map2[4057][2]:=$C3DB;
map2[4058][1]:=$BB66;map2[4058][2]:=$F2DF;
map2[4059][1]:=$BB67;map2[4059][2]:=$F2EC;
map2[4060][1]:=$BB68;map2[4060][2]:=$F2E1;
map2[4061][1]:=$BB69;map2[4061][2]:=$F2E6;
map2[4062][1]:=$BB6A;map2[4062][2]:=$D6A9;
map2[4063][1]:=$BB6B;map2[4063][2]:=$CAB4;
map2[4064][1]:=$BB6C;map2[4064][2]:=$F2E9;
map2[4065][1]:=$BB6D;map2[4065][2]:=$F2E8;
map2[4066][1]:=$BB6E;map2[4066][2]:=$C9D1;
map2[4067][1]:=$BB6F;map2[4067][2]:=$B9D3;
map2[4068][1]:=$BB70;map2[4068][2]:=$C5E1;
map2[4069][1]:=$BB71;map2[4069][2]:=$B9FC;
map2[4070][1]:=$BB72;map2[4070][2]:=$C2E3;
map2[4071][1]:=$BB73;map2[4071][2]:=$D6C6;
map2[4072][1]:=$BB74;map2[4072][2]:=$F1D4;
map2[4073][1]:=$BB75;map2[4073][2]:=$F1D2;
map2[4074][1]:=$BB76;map2[4074][2]:=$D16E;
map2[4075][1]:=$BB77;map2[4075][2]:=$CBD0;
map2[4076][1]:=$BB78;map2[4076][2]:=$D6BE;
map2[4077][1]:=$BB79;map2[4077][2]:=$D3EF;
map2[4078][1]:=$BB7A;map2[4078][2]:=$CEDC;
map2[4079][1]:=$BB7B;map2[4079][2]:=$C8CF;
map2[4080][1]:=$BB7C;map2[4080][2]:=$BDEB;
map2[4081][1]:=$BB7D;map2[4081][2]:=$CAC4;
map2[4082][1]:=$BB7E;map2[4082][2]:=$CEF3;
map2[4083][1]:=$BBA1;map2[4083][2]:=$CBB5;
map2[4084][1]:=$BBA2;map2[4084][2]:=$DABE;
map2[4085][1]:=$BBA3;map2[4085][2]:=$BBE5;
map2[4086][1]:=$BBA4;map2[4086][2]:=$D3D5;
map2[4087][1]:=$BBA5;map2[4087][2]:=$DABF;
map2[4088][1]:=$BBA6;map2[4088][2]:=$DABD;
map2[4089][1]:=$BBA7;map2[4089][2]:=$D563;
map2[4090][1]:=$BBA8;map2[4090][2]:=$BAC0;
map2[4091][1]:=$BBA9;map2[4091][2]:=$C0EA;
map2[4092][1]:=$BBAA;map2[4092][2]:=$C3B2;
map2[4093][1]:=$BBAB;map2[4093][2]:=$B1F6;
map2[4094][1]:=$BBAC;map2[4094][2]:=$EAE2;
map2[4095][1]:=$BBAD;map2[4095][2]:=$C9DE;
map2[4096][1]:=$BBAE;map2[4096][2]:=$BAD5;
map2[4097][1]:=$BBAF;map2[4097][2]:=$D5D4;
map2[4098][1]:=$BBB0;map2[4098][2]:=$B8CF;
map2[4099][1]:=$BBB1;map2[4099][2]:=$BED6;
map2[4100][1]:=$BBB2;map2[4100][2]:=$B8A8;
map2[4101][1]:=$BBB3;map2[4101][2]:=$E9FC;
map2[4102][1]:=$BBB4;map2[4102][2]:=$C7E1;
map2[4103][1]:=$BBB5;map2[4103][2]:=$CDEC;
map2[4104][1]:=$BBB6;map2[4104][2]:=$C0B1;
map2[4105][1]:=$BBB7;map2[4105][2]:=$D4B6;
map2[4106][1]:=$BBB8;map2[4106][2]:=$E5DC;
map2[4107][1]:=$BBB9;map2[4107][2]:=$D1B7;
map2[4108][1]:=$BBBA;map2[4108][2]:=$C7B2;
map2[4109][1]:=$BBBB;map2[4109][2]:=$D2A3;
map2[4110][1]:=$BBBC;map2[4110][2]:=$B5DD;
map2[4111][1]:=$BBBD;map2[4111][2]:=$E5DD;
map2[4112][1]:=$BBBE;map2[4112][2]:=$EDB3;
map2[4113][1]:=$BBBF;map2[4113][2]:=$E5DE;
map2[4114][1]:=$BBC0;map2[4114][2]:=$B1C9;
map2[4115][1]:=$BBC1;map2[4115][2]:=$DCAD;
map2[4116][1]:=$BBC2;map2[4116][2]:=$DBB4;
map2[4117][1]:=$BBC3;map2[4117][2]:=$BDCD;
map2[4118][1]:=$BBC4;map2[4118][2]:=$CBE1;
map2[4119][1]:=$BBC5;map2[4119][2]:=$BFE1;
map2[4120][1]:=$BBC6;map2[4120][2]:=$F5A9;
map2[4121][1]:=$BBC7;map2[4121][2]:=$BDC2;
map2[4122][1]:=$BBC8;map2[4122][2]:=$D2F8;
map2[4123][1]:=$BBC9;map2[4123][2]:=$CDAD;
map2[4124][1]:=$BBCA;map2[4124][2]:=$C3FA;
map2[4125][1]:=$BBCB;map2[4125][2]:=$EEF9;
map2[4126][1]:=$BBCC;map2[4126][2]:=$B8F5;
map2[4127][1]:=$BBCD;map2[4127][2]:=$EEFD;
map2[4128][1]:=$BBCE;map2[4128][2]:=$CFCE;
map2[4129][1]:=$BBCF;map2[4129][2]:=$EFA7;
map2[4130][1]:=$BBD0;map2[4130][2]:=$E375;
map2[4131][1]:=$BBD1;map2[4131][2]:=$CFB3;
map2[4132][1]:=$BBD2;map2[4132][2]:=$BAD2;
map2[4133][1]:=$BBD3;map2[4133][2]:=$B9EB;
map2[4134][1]:=$BBD4;map2[4134][2]:=$C3F6;
map2[4135][1]:=$BBD5;map2[4135][2]:=$B8F3;
map2[4136][1]:=$BBD6;map2[4136][2]:=$B7A7;
map2[4137][1]:=$BBD7;map2[4137][2]:=$BACF;
map2[4138][1]:=$BBD8;map2[4138][2]:=$CFB6;
map2[4139][1]:=$BBD9;map2[4139][2]:=$D5CF;
map2[4140][1]:=$BBDA;map2[4140][2]:=$BCCA;
map2[4141][1]:=$BBDB;map2[4141][2]:=$B4C6;
map2[4142][1]:=$BBDC;map2[4142][2]:=$F6C3;
map2[4143][1]:=$BBDD;map2[4143][2]:=$D0E8;
map2[4144][1]:=$BBDE;map2[4144][2]:=$F7B0;
map2[4145][1]:=$BBDF;map2[4145][2]:=$F7B1;
map2[4146][1]:=$BBE0;map2[4146][2]:=$C9D8;
map2[4147][1]:=$BBE1;map2[4147][2]:=$C6C4;
map2[4148][1]:=$BBE2;map2[4148][2]:=$C1EC;
map2[4149][1]:=$BBE3;map2[4149][2]:=$ECAA;
map2[4150][1]:=$BBE4;map2[4150][2]:=$CCA8;
map2[4151][1]:=$BBE5;map2[4151][2]:=$BDC8;
map2[4152][1]:=$BBE6;map2[4152][2]:=$B1FD;
map2[4153][1]:=$BBE7;map2[4153][2]:=$B6FC;
map2[4154][1]:=$BBE8;map2[4154][2]:=$E2C3;
map2[4155][1]:=$BBE9;map2[4155][2]:=$B2B5;
map2[4156][1]:=$BBEA;map2[4156][2]:=$F361;
map2[4157][1]:=$BBEB;map2[4157][2]:=$F7BB;
map2[4158][1]:=$BBEC;map2[4158][2]:=$F7D6;
map2[4159][1]:=$BBED;map2[4159][2]:=$BFFD;
map2[4160][1]:=$BBEE;map2[4160][2]:=$BBEA;
map2[4161][1]:=$BBEF;map2[4161][2]:=$C3F9;
map2[4162][1]:=$BBF0;map2[4162][2]:=$F0B0;
map2[4163][1]:=$BBF1;map2[4163][2]:=$B7EF;
map2[4164][1]:=$BBF2;map2[4164][2]:=$C3B4;
map2[4165][1]:=$BBF3;map2[4165][2]:=$B1C7;
map2[4166][1]:=$BBF4;map2[4166][2]:=$C6EB;
map2[4167][1]:=$BBF5;map2[4167][2]:=$D2DA;
map2[4168][1]:=$BBF6;map2[4168][2]:=$D2C7;
map2[4169][1]:=$BBF7;map2[4169][2]:=$C6A7;
map2[4170][1]:=$BBF8;map2[4170][2]:=$BDA9;
map2[4171][1]:=$BBF9;map2[4171][2]:=$BCDB;
map2[4172][1]:=$BBFA;map2[4172][2]:=$D9AF;
map2[4173][1]:=$BBFB;map2[4173][2]:=$BFEB;
map2[4174][1]:=$BBFC;map2[4174][2]:=$BCF3;
map2[4175][1]:=$BBFD;map2[4175][2]:=$B5B1;
map2[4176][1]:=$BBFE;map2[4176][2]:=$C1DD;
map2[4177][1]:=$BC40;map2[4177][2]:=$BEE7;
map2[4178][1]:=$BC41;map2[4178][2]:=$C5FC;
map2[4179][1]:=$BC42;map2[4179][2]:=$C1F5;
map2[4180][1]:=$BC43;map2[4180][2]:=$BDA3;
map2[4181][1]:=$BC44;map2[4181][2]:=$B9F4;
map2[4182][1]:=$BC45;map2[4182][2]:=$DBC4;
map2[4183][1]:=$BC46;map2[4183][2]:=$C0F7;
map2[4184][1]:=$BC47;map2[4184][2]:=$DFEB;
map2[4185][1]:=$BC48;map2[4185][2]:=$CEFB;
map2[4186][1]:=$BC49;map2[4186][2]:=$E0DA;
map2[4187][1]:=$BC4A;map2[4187][2]:=$B3B0;
map2[4188][1]:=$BC4B;map2[4188][2]:=$BAD9;
map2[4189][1]:=$BC4C;map2[4189][2]:=$D7EC;
map2[4190][1]:=$BC4D;map2[4190][2]:=$BBA9;
map2[4191][1]:=$BC4E;map2[4191][2]:=$D0EA;
map2[4192][1]:=$BC4F;map2[4192][2]:=$D2AD;
map2[4193][1]:=$BC50;map2[4193][2]:=$E0DB;
map2[4194][1]:=$BC51;map2[4194][2]:=$C5E7;
map2[4195][1]:=$BC52;map2[4195][2]:=$CBBB;
map2[4196][1]:=$BC53;map2[4196][2]:=$D0A5;
map2[4197][1]:=$BC54;map2[4197][2]:=$DFB4;
map2[4198][1]:=$BC55;map2[4198][2]:=$DCAF;
map2[4199][1]:=$BC56;map2[4199][2]:=$D0E6;
map2[4200][1]:=$BC57;map2[4200][2]:=$D4F6;
map2[4201][1]:=$BC58;map2[4201][2]:=$B7D8;
map2[4202][1]:=$BC59;map2[4202][2]:=$D7B9;
map2[4203][1]:=$BC5A;map2[4203][2]:=$B6E9;
map2[4204][1]:=$BC5B;map2[4204][2]:=$B6D5;
map2[4205][1]:=$BC5C;map2[4205][2]:=$8993;
map2[4206][1]:=$BC5D;map2[4206][2]:=$8A5D;
map2[4207][1]:=$BC5E;map2[4207][2]:=$E6D2;
map2[4208][1]:=$BC5F;map2[4208][2]:=$E6B5;
map2[4209][1]:=$BC60;map2[4209][2]:=$E6BF;
map2[4210][1]:=$BC61;map2[4210][2]:=$E5FC;
map2[4211][1]:=$BC62;map2[4211][2]:=$BDBF;
map2[4212][1]:=$BC63;map2[4212][2]:=$E6AC;
map2[4213][1]:=$BC64;map2[4213][2]:=$E5BC;
map2[4214][1]:=$BC65;map2[4214][2]:=$BFED;
map2[4215][1]:=$BC66;map2[4215][2]:=$C9F3;
map2[4216][1]:=$BC67;map2[4216][2]:=$D0B4;
map2[4217][1]:=$BC68;map2[4217][2]:=$B2E3;
map2[4218][1]:=$BC69;map2[4218][2]:=$C2C4;
map2[4219][1]:=$BC6A;map2[4219][2]:=$E1D8;
map2[4220][1]:=$BC6B;map2[4220][2]:=$8DC2;
map2[4221][1]:=$BC6C;map2[4221][2]:=$B4B1;
map2[4222][1]:=$BC6D;map2[4222][2]:=$D6C4;
map2[4223][1]:=$BC6E;map2[4223][2]:=$E1A6;
map2[4224][1]:=$BC6F;map2[4224][2]:=$B7CF;
map2[4225][1]:=$BC70;map2[4225][2]:=$B3F8;
map2[4226][1]:=$BC71;map2[4226][2]:=$C3ED;
map2[4227][1]:=$BC72;map2[4227][2]:=$D8CB;
map2[4228][1]:=$BC73;map2[4228][2]:=$B9E3;
map2[4229][1]:=$BC74;map2[4229][2]:=$B3A7;
map2[4230][1]:=$BC75;map2[4230][2]:=$B5AF;
map2[4231][1]:=$BC76;map2[4231][2]:=$D3B0;
map2[4232][1]:=$BC77;map2[4232][2]:=$B5C2;
map2[4233][1]:=$BC78;map2[4233][2]:=$D5F7;
map2[4234][1]:=$BC79;map2[4234][2]:=$C7EC;
map2[4235][1]:=$BC7A;map2[4235][2]:=$BBDB;
map2[4236][1]:=$BC7B;map2[4236][2]:=$C2C7;
map2[4237][1]:=$BC7C;map2[4237][2]:=$EDAB;
map2[4238][1]:=$BC7D;map2[4238][2]:=$C4BD;
map2[4239][1]:=$BC7E;map2[4239][2]:=$D3C7;
map2[4240][1]:=$BCA1;map2[4240][2]:=$C6DD;
map2[4241][1]:=$BCA2;map2[4241][2]:=$CEBF;
map2[4242][1]:=$BCA3;map2[4242][2]:=$CBCB;
map2[4243][1]:=$BCA4;map2[4243][2]:=$D3FB;
map2[4244][1]:=$BCA5;map2[4244][2]:=$E3BF;
map2[4245][1]:=$BCA6;map2[4245][2]:=$C1AF;
map2[4246][1]:=$BCA7;map2[4246][2]:=$C3F5;
map2[4247][1]:=$BCA8;map2[4247][2]:=$D4F7;
map2[4248][1]:=$BCA9;map2[4248][2]:=$E3BD;
map2[4249][1]:=$BCAA;map2[4249][2]:=$B5AC;
map2[4250][1]:=$BCAB;map2[4250][2]:=$B7DF;
map2[4251][1]:=$BCAC;map2[4251][2]:=$E3BE;
map2[4252][1]:=$BCAD;map2[4252][2]:=$E2E4;
map2[4253][1]:=$BCAE;map2[4253][2]:=$C2BE;
map2[4254][1]:=$BCAF;map2[4254][2]:=$C4A6;
map2[4255][1]:=$BCB0;map2[4255][2]:=$D6BF;
map2[4256][1]:=$BCB1;map2[4256][2]:=$C4A1;
map2[4257][1]:=$BCB2;map2[4257][2]:=$D7B2;
map2[4258][1]:=$BCB3;map2[4258][2]:=$C6CB;
map2[4259][1]:=$BCB4;map2[4259][2]:=$C0CC;
map2[4260][1]:=$BCB5;map2[4260][2]:=$B3C5;
map2[4261][1]:=$BCB6;map2[4261][2]:=$D7AB;
map2[4262][1]:=$BCB7;map2[4262][2]:=$B2A6;
map2[4263][1]:=$BCB8;map2[4263][2]:=$C4D3;
map2[4264][1]:=$BCB9;map2[4264][2]:=$CBBA;
map2[4265][1]:=$BCBA;map2[4265][2]:=$C1C3;
map2[4266][1]:=$BCBB;map2[4266][2]:=$C8F6;
map2[4267][1]:=$BCBC;map2[4267][2]:=$B4E9;
map2[4268][1]:=$BCBD;map2[4268][2]:=$B2A5;
map2[4269][1]:=$BCBE;map2[4269][2]:=$B8A7;
map2[4270][1]:=$BCBF;map2[4270][2]:=$C4ED;
map2[4271][1]:=$BCC0;map2[4271][2]:=$C7CB;
map2[4272][1]:=$BCC1;map2[4272][2]:=$DFA4;
map2[4273][1]:=$BCC2;map2[4273][2]:=$93DA;
map2[4274][1]:=$BCC3;map2[4274][2]:=$DEEC;
map2[4275][1]:=$BCC4;map2[4275][2]:=$B5D0;
map2[4276][1]:=$BCC5;map2[4276][2]:=$B7F3;
map2[4277][1]:=$BCC6;map2[4277][2]:=$CAFD;
map2[4278][1]:=$BCC7;map2[4278][2]:=$C4BA;
map2[4279][1]:=$BCC8;map2[4279][2]:=$D4DD;
map2[4280][1]:=$BCC9;map2[4280][2]:=$B1A9;
map2[4281][1]:=$BCCA;map2[4281][2]:=$EAC7;
map2[4282][1]:=$BCCB;map2[4282][2]:=$D1F9;
map2[4283][1]:=$BCCC;map2[4283][2]:=$D5C1;
map2[4284][1]:=$BCCD;map2[4284][2]:=$E9A4;
map2[4285][1]:=$BCCE;map2[4285][2]:=$D7AE;
map2[4286][1]:=$BCCF;map2[4286][2]:=$CAE0;
map2[4287][1]:=$BCD0;map2[4287][2]:=$B1EA;
map2[4288][1]:=$BCD1;map2[4288][2]:=$B2DB;
map2[4289][1]:=$BCD2;map2[4289][2]:=$C4A3;
map2[4290][1]:=$BCD3;map2[4290][2]:=$C2A5;
map2[4291][1]:=$BCD4;map2[4291][2]:=$B7AE;
map2[4292][1]:=$BCD5;map2[4292][2]:=$BDB0;
map2[4293][1]:=$BCD6;map2[4293][2]:=$C0D6;
map2[4294][1]:=$BCD7;map2[4294][2]:=$E8C8;
map2[4295][1]:=$BCD8;map2[4295][2]:=$E9CA;
map2[4296][1]:=$BCD9;map2[4296][2]:=$C1BA;
map2[4297][1]:=$BCDA;map2[4297][2]:=$C5B7;
map2[4298][1]:=$BCDB;map2[4298][2]:=$CCBE;
map2[4299][1]:=$BCDC;map2[4299][2]:=$E9E4;
map2[4300][1]:=$BCDD;map2[4300][2]:=$D2E3;
map2[4301][1]:=$BCDE;map2[4301][2]:=$C5B9;
map2[4302][1]:=$BCDF;map2[4302][2]:=$BDAC;
map2[4303][1]:=$BCE0;map2[4303][2]:=$E4FC;
map2[4304][1]:=$BCE1;map2[4304][2]:=$B3CE;
map2[4305][1]:=$BCE2;map2[4305][2]:=$C6C3;
map2[4306][1]:=$BCE3;map2[4306][2]:=$C1CA;
map2[4307][1]:=$BCE4;map2[4307][2]:=$BDE0;
map2[4308][1]:=$BCE5;map2[4308][2]:=$BDBD;
map2[4309][1]:=$BCE6;map2[4309][2]:=$CCB6;
map2[4310][1]:=$BCE7;map2[4310][2]:=$C7B1;
map2[4311][1]:=$BCE8;map2[4311][2]:=$E4FA;
map2[4312][1]:=$BCE9;map2[4312][2]:=$B3B1;
map2[4313][1]:=$BCEA;map2[4313][2]:=$C5EC;
map2[4314][1]:=$BCEB;map2[4314][2]:=$E4FD;
map2[4315][1]:=$BCEC;map2[4315][2]:=$C0A3;
map2[4316][1]:=$BCED;map2[4316][2]:=$C8F3;
map2[4317][1]:=$BCEE;map2[4317][2]:=$BDA7;
map2[4318][1]:=$BCEF;map2[4318][2]:=$C5CB;
map2[4319][1]:=$BCF0;map2[4319][2]:=$EBF8;
map2[4320][1]:=$BCF1;map2[4320][2]:=$E4B1;
map2[4321][1]:=$BCF2;map2[4321][2]:=$9D96;
map2[4322][1]:=$BCF3;map2[4322][2]:=$F4AA;
map2[4323][1]:=$BCF4;map2[4323][2]:=$CAEC;
map2[4324][1]:=$BCF5;map2[4324][2]:=$B0BE;
map2[4325][1]:=$BCF6;map2[4325][2]:=$C8C8;
map2[4326][1]:=$BCF7;map2[4326][2]:=$ECD9;
map2[4327][1]:=$BCF8;map2[4327][2]:=$EBBB;
map2[4328][1]:=$BCF9;map2[4328][2]:=$EAF3;
map2[4329][1]:=$BCFA;map2[4329][2]:=$BDB1;
map2[4330][1]:=$BCFB;map2[4330][2]:=$E2B1;
map2[4331][1]:=$BCFC;map2[4331][2]:=$D3A8;
map2[4332][1]:=$BCFD;map2[4332][2]:=$E8B0;
map2[4333][1]:=$BCFE;map2[4333][2]:=$C1A7;
map2[4334][1]:=$BD40;map2[4334][2]:=$E8AA;
map2[4335][1]:=$BD41;map2[4335][2]:=$E8AD;
map2[4336][1]:=$BD42;map2[4336][2]:=$E7DC;
map2[4337][1]:=$BD43;map2[4337][2]:=$F1A4;
map2[4338][1]:=$BD44;map2[4338][2]:=$B4F1;
map2[4339][1]:=$BD45;map2[4339][2]:=$CEC1;
map2[4340][1]:=$BD46;map2[4340][2]:=$C1F6;
map2[4341][1]:=$BD47;map2[4341][2]:=$CADD;
map2[4342][1]:=$BD48;map2[4342][2]:=$B4AF;
map2[4343][1]:=$BD49;map2[4343][2]:=$F1A3;
map2[4344][1]:=$BD4A;map2[4344][2]:=$B0A8;
map2[4345][1]:=$BD4B;map2[4345][2]:=$D6E5;
map2[4346][1]:=$BD4C;map2[4346][2]:=$C5CC;
map2[4347][1]:=$BD4D;map2[4347][2]:=$CFB9;
map2[4348][1]:=$BD4E;map2[4348][2]:=$B25B;
map2[4349][1]:=$BD4F;map2[4349][2]:=$EEA7;
map2[4350][1]:=$BD50;map2[4350][2]:=$EEA8;
map2[4351][1]:=$BD51;map2[4351][2]:=$B25F;
map2[4352][1]:=$BD52;map2[4352][2]:=$B4E8;
map2[4353][1]:=$BD53;map2[4353][2]:=$B0F5;
map2[4354][1]:=$BD54;map2[4354][2]:=$C8B7;
map2[4355][1]:=$BD55;map2[4355][2]:=$C0DA;
map2[4356][1]:=$BD56;map2[4356][2]:=$C4EB;
map2[4357][1]:=$BD57;map2[4357][2]:=$BFC4;
map2[4358][1]:=$BD58;map2[4358][2]:=$C2EB;
map2[4359][1]:=$BD59;map2[4359][2]:=$C5CC;
map2[4360][1]:=$BD5A;map2[4360][2]:=$B8E5;
map2[4361][1]:=$BD5B;map2[4361][2]:=$BCDA;
map2[4362][1]:=$BD5C;map2[4362][2]:=$B9C8;
map2[4363][1]:=$BD5D;map2[4363][2]:=$BBFC;
map2[4364][1]:=$BD5E;map2[4364][2]:=$F0A2;
map2[4365][1]:=$BD5F;map2[4365][2]:=$B5BE;
map2[4366][1]:=$BD60;map2[4366][2]:=$D2A4;
map2[4367][1]:=$BD61;map2[4367][2]:=$C7EE;
map2[4368][1]:=$BD62;map2[4368][2]:=$BCFD;
map2[4369][1]:=$BD63;map2[4369][2]:=$CFE4;
map2[4370][1]:=$BD64;map2[4370][2]:=$B7B6;
map2[4371][1]:=$BD65;map2[4371][2]:=$F3F0;
map2[4372][1]:=$BD66;map2[4372][2]:=$D7AD;
map2[4373][1]:=$BD67;map2[4373][2]:=$C6AA;
map2[4374][1]:=$BD68;map2[4374][2]:=$F3F2;
map2[4375][1]:=$BD69;map2[4375][2]:=$E9A2;
map2[4376][1]:=$BD6A;map2[4376][2]:=$F3F3;
map2[4377][1]:=$BD6B;map2[4377][2]:=$BAFD;
map2[4378][1]:=$BD6C;map2[4378][2]:=$B5DE;
map2[4379][1]:=$BD6D;map2[4379][2]:=$C1B7;
map2[4380][1]:=$BD6E;map2[4380][2]:=$CEB3;
map2[4381][1]:=$BD6F;map2[4381][2]:=$D6C2;
map2[4382][1]:=$BD70;map2[4382][2]:=$BCEA;
map2[4383][1]:=$BD71;map2[4383][2]:=$C3E5;
map2[4384][1]:=$BD72;map2[4384][2]:=$BCA9;
map2[4385][1]:=$BD73;map2[4385][2]:=$B1E0;
map2[4386][1]:=$BD74;map2[4386][2]:=$D4B5;
map2[4387][1]:=$BD75;map2[4387][2]:=$CFDF;
map2[4388][1]:=$BD76;map2[4388][2]:=$B6D0;
map2[4389][1]:=$BD77;map2[4389][2]:=$BBBA;
map2[4390][1]:=$BD78;map2[4390][2]:=$E7B6;
map2[4391][1]:=$BD79;map2[4391][2]:=$E7BC;
map2[4392][1]:=$BD7A;map2[4392][2]:=$E7BF;
map2[4393][1]:=$BD7B;map2[4393][2]:=$E7BE;
map2[4394][1]:=$BD7C;map2[4394][2]:=$C2EE;
map2[4395][1]:=$BD7D;map2[4395][2]:=$B0D5;
map2[4396][1]:=$BD7E;map2[4396][2]:=$F4C9;
map2[4397][1]:=$BDA1;map2[4397][2]:=$F4E6;
map2[4398][1]:=$BDA2;map2[4398][2]:=$F1EE;
map2[4399][1]:=$BDA3;map2[4399][2]:=$CCC5;
map2[4400][1]:=$BDA4;map2[4400][2]:=$C4A4;
map2[4401][1]:=$BDA5;map2[4401][2]:=$CFA5;
map2[4402][1]:=$BDA6;map2[4402][2]:=$BDBA;
map2[4403][1]:=$BDA7;map2[4403][2]:=$B7F4;
map2[4404][1]:=$BDA8;map2[4404][2]:=$B1EC;
map2[4405][1]:=$BDA9;map2[4405][2]:=$D5E1;
map2[4406][1]:=$BDAA;map2[4406][2]:=$B1CE;
map2[4407][1]:=$BDAB;map2[4407][2]:=$CEB5;
map2[4408][1]:=$BDAC;map2[4408][2]:=$C1AB;
map2[4409][1]:=$BDAD;map2[4409][2]:=$CADF;
map2[4410][1]:=$BDAE;map2[4410][2]:=$D2F1;
map2[4411][1]:=$BDAF;map2[4411][2]:=$C2FB;
map2[4412][1]:=$BDB0;map2[4412][2]:=$C3EF;
map2[4413][1]:=$BDB1;map2[4413][2]:=$BDAF;
map2[4414][1]:=$BDB2;map2[4414][2]:=$B2CC;
map2[4415][1]:=$BDB3;map2[4415][2]:=$B2B7;
map2[4416][1]:=$BDB4;map2[4416][2]:=$C5EE;
map2[4417][1]:=$BDB5;map2[4417][2]:=$B4D0;
map2[4418][1]:=$BDB6;map2[4418][2]:=$DEA3;
map2[4419][1]:=$BDB7;map2[4419][2]:=$C1E2;
map2[4420][1]:=$BDB8;map2[4420][2]:=$F2EB;
map2[4421][1]:=$BDB9;map2[4421][2]:=$BAFB;
map2[4422][1]:=$BDBA;map2[4422][2]:=$B5FB;
map2[4423][1]:=$BDBB;map2[4423][2]:=$F2F0;
map2[4424][1]:=$BDBC;map2[4424][2]:=$CFBA;
map2[4425][1]:=$BDBD;map2[4425][2]:=$CECF;
map2[4426][1]:=$BDBE;map2[4426][2]:=$CAAD;
map2[4427][1]:=$BDBF;map2[4427][2]:=$F2F9;
map2[4428][1]:=$BDC0;map2[4428][2]:=$BBC8;
map2[4429][1]:=$BDC1;map2[4429][2]:=$F2F2;
map2[4430][1]:=$BDC2;map2[4430][2]:=$F2F5;
map2[4431][1]:=$BDC3;map2[4431][2]:=$CEC0;
map2[4432][1]:=$BDC4;map2[4432][2]:=$B3E5;
map2[4433][1]:=$BDC5;map2[4433][2]:=$BAD6;
map2[4434][1]:=$BDC6;map2[4434][2]:=$B8B4;
map2[4435][1]:=$BDC7;map2[4435][2]:=$B0FD;
map2[4436][1]:=$BDC8;map2[4436][2]:=$F1D9;
map2[4437][1]:=$BDC9;map2[4437][2]:=$D188;
map2[4438][1]:=$BDCA;map2[4438][2]:=$F1DB;
map2[4439][1]:=$BDCB;map2[4439][2]:=$D2EA;
map2[4440][1]:=$BDCC;map2[4440][2]:=$C1C2;
map2[4441][1]:=$BDCD;map2[4441][2]:=$CCB8;
map2[4442][1]:=$BDCE;map2[4442][2]:=$D7BB;
map2[4443][1]:=$BDCF;map2[4443][2]:=$B5AE;
map2[4444][1]:=$BDD0;map2[4444][2]:=$C7EB;
map2[4445][1]:=$BDD1;map2[4445][2]:=$D6EE;
map2[4446][1]:=$BDD2;map2[4446][2]:=$BFCE;
map2[4447][1]:=$BDD3;map2[4447][2]:=$DAC3;
map2[4448][1]:=$BDD4;map2[4448][2]:=$DAC6;
map2[4449][1]:=$BDD5;map2[4449][2]:=$B5F7;
map2[4450][1]:=$BDD6;map2[4450][2]:=$CBAD;
map2[4451][1]:=$BDD7;map2[4451][2]:=$C2DB;
map2[4452][1]:=$BDD8;map2[4452][2]:=$DABA;
map2[4453][1]:=$BDD9;map2[4453][2]:=$DAC7;
map2[4454][1]:=$BDDA;map2[4454][2]:=$B7CC;
map2[4455][1]:=$BDDB;map2[4455][2]:=$DAC4;
map2[4456][1]:=$BDDC;map2[4456][2]:=$CDE3;
map2[4457][1]:=$BDDD;map2[4457][2]:=$CAFA;
map2[4458][1]:=$BDDE;map2[4458][2]:=$D6ED;
map2[4459][1]:=$BDDF;map2[4459][2]:=$C5E2;
map2[4460][1]:=$BDE0;map2[4460][2]:=$C9CD;
map2[4461][1]:=$BDE1;map2[4461][2]:=$B8B3;
map2[4462][1]:=$BDE2;map2[4462][2]:=$BCFA;
map2[4463][1]:=$BDE3;map2[4463][2]:=$D5CB;
map2[4464][1]:=$BDE4;map2[4464][2]:=$B6C4;
map2[4465][1]:=$BDE5;map2[4465][2]:=$CFCD;
map2[4466][1]:=$BDE6;map2[4466][2]:=$C2F4;
map2[4467][1]:=$BDE7;map2[4467][2]:=$B4CD;
map2[4468][1]:=$BDE8;map2[4468][2]:=$D6CA;
map2[4469][1]:=$BDE9;map2[4469][2]:=$E2D9;
map2[4470][1]:=$BDEA;map2[4470][2]:=$F4F7;
map2[4471][1]:=$BDEB;map2[4471][2]:=$CCCB;
map2[4472][1]:=$BDEC;map2[4472][2]:=$C8A4;
map2[4473][1]:=$BDED;map2[4473][2]:=$DB73;
map2[4474][1]:=$BDEE;map2[4474][2]:=$BCF9;
map2[4475][1]:=$BDEF;map2[4475][2]:=$F5D7;
map2[4476][1]:=$BDF0;map2[4476][2]:=$CCDF;
map2[4477][1]:=$BDF1;map2[4477][2]:=$CCA4;
map2[4478][1]:=$BDF2;map2[4478][2]:=$B2C8;
map2[4479][1]:=$BDF3;map2[4479][2]:=$F5D8;
map2[4480][1]:=$BDF4;map2[4480][2]:=$F2E9;
map2[4481][1]:=$BDF5;map2[4481][2]:=$BEE1;
map2[4482][1]:=$BDF6;map2[4482][2]:=$CCC9;
map2[4483][1]:=$BDF7;map2[4483][2]:=$BBD4;
map2[4484][1]:=$BDF8;map2[4484][2]:=$C1BE;
map2[4485][1]:=$BDF9;map2[4485][2]:=$EAA1;
map2[4486][1]:=$BDFA;map2[4486][2]:=$B1B2;
map2[4487][1]:=$BDFB;map2[4487][2]:=$E9FD;
map2[4488][1]:=$BDFC;map2[4488][2]:=$C2D6;
map2[4489][1]:=$BDFD;map2[4489][2]:=$EAA2;
map2[4490][1]:=$BDFE;map2[4490][2]:=$E9FE;
map2[4491][1]:=$BE40;map2[4491][2]:=$B9F5;
map2[4492][1]:=$BE41;map2[4492][2]:=$CACA;
map2[4493][1]:=$BE42;map2[4493][2]:=$D5DA;
map2[4494][1]:=$BE43;map2[4494][2]:=$E5DB;
map2[4495][1]:=$BE44;map2[4495][2]:=$D4E2;
map2[4496][1]:=$BE45;map2[4496][2]:=$C7A8;
map2[4497][1]:=$BE46;map2[4497][2]:=$C1DA;
map2[4498][1]:=$BE47;map2[4498][2]:=$D6A3;
map2[4499][1]:=$BE48;map2[4499][2]:=$B5CB;
map2[4500][1]:=$BE49;map2[4500][2]:=$DBB6;
map2[4501][1]:=$BE4A;map2[4501][2]:=$B4BC;
map2[4502][1]:=$BE4B;map2[4502][2]:=$D7ED;
map2[4503][1]:=$BE4C;map2[4503][2]:=$B4D7;
map2[4504][1]:=$BE4D;map2[4504][2]:=$EBE7;
map2[4505][1]:=$BE4E;map2[4505][2]:=$D0BF;
map2[4506][1]:=$BE4F;map2[4506][2]:=$CCE0;
map2[4507][1]:=$BE50;map2[4507][2]:=$CFFA;
map2[4508][1]:=$BE51;map2[4508][2]:=$C6CC;
map2[4509][1]:=$BE52;map2[4509][2]:=$EEED;
map2[4510][1]:=$BE53;map2[4510][2]:=$B3FA;
map2[4511][1]:=$BE54;map2[4511][2]:=$C2C1;
map2[4512][1]:=$BE55;map2[4512][2]:=$C8F1;
map2[4513][1]:=$BE56;map2[4513][2]:=$EFB1;
map2[4514][1]:=$BE57;map2[4514][2]:=$B7E6;
map2[4515][1]:=$BE58;map2[4515][2]:=$B1B5;
map2[4516][1]:=$BE59;map2[4516][2]:=$EFAE;
map2[4517][1]:=$BE5A;map2[4517][2]:=$BAB8;
map2[4518][1]:=$BE5B;map2[4518][2]:=$E3CC;
map2[4519][1]:=$BE5C;map2[4519][2]:=$D4C4;
map2[4520][1]:=$BE5D;map2[4520][2]:=$CFF6;
map2[4521][1]:=$BE5E;map2[4521][2]:=$F6AA;
map2[4522][1]:=$BE5F;map2[4522][2]:=$D5F0;
map2[4523][1]:=$BE60;map2[4523][2]:=$C3B9;
map2[4524][1]:=$BE61;map2[4524][2]:=$BFBF;
map2[4525][1]:=$BE62;map2[4525][2]:=$B0B0;
map2[4526][1]:=$BE63;map2[4526][2]:=$D0AC;
map2[4527][1]:=$BE64;map2[4527][2]:=$B9AE;
map2[4528][1]:=$BE65;map2[4528][2]:=$F2A1;
map2[4529][1]:=$BE66;map2[4529][2]:=$B8A9;
map2[4530][1]:=$BE67;map2[4530][2]:=$F2A2;
map2[4531][1]:=$BE68;map2[4531][2]:=$B9CE;
map2[4532][1]:=$BE69;map2[4532][2]:=$D1F8;
map2[4533][1]:=$BE6A;map2[4533][2]:=$B6F6;
map2[4534][1]:=$BE6B;map2[4534][2]:=$C4D9;
map2[4535][1]:=$BE6C;map2[4535][2]:=$D3E0;
map2[4536][1]:=$BE6D;map2[4536][2]:=$CDD5;
map2[4537][1]:=$BE6E;map2[4537][2]:=$D7A4;
map2[4538][1]:=$BE6F;map2[4538][2]:=$E6E1;
map2[4539][1]:=$BE70;map2[4539][2]:=$CABB;
map2[4540][1]:=$BE71;map2[4540][2]:=$E6E5;
map2[4541][1]:=$BE72;map2[4541][2]:=$BCDD;
map2[4542][1]:=$BE73;map2[4542][2]:=$BED4;
map2[4543][1]:=$BE74;map2[4543][2]:=$E6E2;
map2[4544][1]:=$BE75;map2[4544][2]:=$F7BC;
map2[4545][1]:=$BE76;map2[4545][2]:=$B7A2;
map2[4546][1]:=$BE77;map2[4546][2]:=$F7D7;
map2[4547][1]:=$BE78;map2[4547][2]:=$C4D6;
map2[4548][1]:=$BE79;map2[4548][2]:=$F7C8;
map2[4549][1]:=$BE7A;map2[4549][2]:=$C6C7;
map2[4550][1]:=$BE7B;map2[4550][2]:=$F6CF;
map2[4551][1]:=$BE7C;map2[4551][2]:=$C2B3;
map2[4552][1]:=$BE7D;map2[4552][2]:=$F0B2;
map2[4553][1]:=$BE7E;map2[4553][2]:=$D1BB;
map2[4554][1]:=$BEA1;map2[4554][2]:=$F860;
map2[4555][1]:=$BEA2;map2[4555][2]:=$F4EF;
map2[4556][1]:=$BEA3;map2[4556][2]:=$F7E2;
map2[4557][1]:=$BEA4;map2[4557][2]:=$C0E8;
map2[4558][1]:=$BEA5;map2[4558][2]:=$C4AB;
map2[4559][1]:=$BEA6;map2[4559][2]:=$B3DD;
map2[4560][1]:=$BEA7;map2[4560][2]:=$C8E5;
map2[4561][1]:=$BEA8;map2[4561][2]:=$BEA1;
map2[4562][1]:=$BEA9;map2[4562][2]:=$D9B1;
map2[4563][1]:=$BEAA;map2[4563][2]:=$D9CF;
map2[4564][1]:=$BEAB;map2[4564][2]:=$D9AD;
map2[4565][1]:=$BEAC;map2[4565][2]:=$BCBD;
map2[4566][1]:=$BEAD;map2[4566][2]:=$C3DD;
map2[4567][1]:=$BEAE;map2[4567][2]:=$C4FD;
map2[4568][1]:=$BEAF;map2[4568][2]:=$BCC1;
map2[4569][1]:=$BEB0;map2[4569][2]:=$D8E6;
map2[4570][1]:=$BEB1;map2[4570][2]:=$D1AB;
map2[4571][1]:=$BEB2;map2[4571][2]:=$E0DF;
map2[4572][1]:=$BEB3;map2[4572][2]:=$E0E6;
map2[4573][1]:=$BEB4;map2[4573][2]:=$B5B1;
map2[4574][1]:=$BEB5;map2[4574][2]:=$D8AC;
map2[4575][1]:=$BEB6;map2[4575][2]:=$E0E4;
map2[4576][1]:=$BEB7;map2[4576][2]:=$B6D6;
map2[4577][1]:=$BEB8;map2[4577][2]:=$D4EB;
map2[4578][1]:=$BEB9;map2[4578][2]:=$C6F7;
map2[4579][1]:=$BEBA;map2[4579][2]:=$DFE6;
map2[4580][1]:=$BEBB;map2[4580][2]:=$E0E5;
map2[4581][1]:=$BEBC;map2[4581][2]:=$E0C8;
map2[4582][1]:=$BEBD;map2[4582][2]:=$CAC9;
map2[4583][1]:=$BEBE;map2[4583][2]:=$E0DE;
map2[4584][1]:=$BEBF;map2[4584][2]:=$B8C1;
map2[4585][1]:=$BEC0;map2[4585][2]:=$B1DA;
map2[4586][1]:=$BEC1;map2[4586][2]:=$BFD1;
map2[4587][1]:=$BEC2;map2[4587][2]:=$CCB3;
map2[4588][1]:=$BEC3;map2[4588][2]:=$DBD5;
map2[4589][1]:=$BEC4;map2[4589][2]:=$B7DC;
map2[4590][1]:=$BEC5;map2[4590][2]:=$F4C1;
map2[4591][1]:=$BEC6;map2[4591][2]:=$D9F8;
map2[4592][1]:=$BEC7;map2[4592][2]:=$D1A7;
map2[4593][1]:=$BEC8;map2[4593][2]:=$E5BE;
map2[4594][1]:=$BEC9;map2[4594][2]:=$B5BC;
map2[4595][1]:=$BECA;map2[4595][2]:=$C7BF;
map2[4596][1]:=$BECB;map2[4596][2]:=$CFDC;
map2[4597][1]:=$BECC;map2[4597][2]:=$C6BE;
map2[4598][1]:=$BECD;map2[4598][2]:=$EDAC;
map2[4599][1]:=$BECE;map2[4599][2]:=$B1B9;
map2[4600][1]:=$BECF;map2[4600][2]:=$E3C1;
map2[4601][1]:=$BED0;map2[4601][2]:=$D2E4;
map2[4602][1]:=$BED1;map2[4602][2]:=$BAB6;
map2[4603][1]:=$BED2;map2[4603][2]:=$B0C3;
map2[4604][1]:=$BED3;map2[4604][2]:=$D0B8;
map2[4605][1]:=$BED4;map2[4605][2]:=$D5BD;
map2[4606][1]:=$BED5;map2[4606][2]:=$C9C3;
map2[4607][1]:=$BED6;map2[4607][2]:=$D3B5;
map2[4608][1]:=$BED7;map2[4608][2]:=$B5B2;
map2[4609][1]:=$BED8;map2[4609][2]:=$CCA2;
map2[4610][1]:=$BED9;map2[4610][2]:=$BAB3;
map2[4611][1]:=$BEDA;map2[4611][2]:=$BEDD;
map2[4612][1]:=$BEDB;map2[4612][2]:=$C2B0;
map2[4613][1]:=$BEDC;map2[4613][2]:=$D4F1;
map2[4614][1]:=$BEDD;map2[4614][2]:=$C0DE;
map2[4615][1]:=$BEDE;map2[4615][2]:=$B2D9;
map2[4616][1]:=$BEDF;map2[4616][2]:=$BCF1;
map2[4617][1]:=$BEE0;map2[4617][2]:=$C7DC;
map2[4618][1]:=$BEE1;map2[4618][2]:=$B5A3;
map2[4619][1]:=$BEE2;map2[4619][2]:=$CECE;
map2[4620][1]:=$BEE3;map2[4620][2]:=$D5FB;
map2[4621][1]:=$BEE4;map2[4621][2]:=$C0FA;
map2[4622][1]:=$BEE5;map2[4622][2]:=$CFFE;
map2[4623][1]:=$BEE6;map2[4623][2]:=$E5DF;
map2[4624][1]:=$BEE7;map2[4624][2]:=$EACA;
map2[4625][1]:=$BEE8;map2[4625][2]:=$EABC;
map2[4626][1]:=$BEE9;map2[4626][2]:=$95C5;
map2[4627][1]:=$BEEA;map2[4627][2]:=$E9D7;
map2[4628][1]:=$BEEB;map2[4628][2]:=$C6D3;
map2[4629][1]:=$BEEC;map2[4629][2]:=$E8EB;
map2[4630][1]:=$BEED;map2[4630][2]:=$B3C8;
map2[4631][1]:=$BEEE;map2[4631][2]:=$BAE1;
map2[4632][1]:=$BEEF;map2[4632][2]:=$E9D9;
map2[4633][1]:=$BEF0;map2[4633][2]:=$CAF7;
map2[4634][1]:=$BEF1;map2[4634][2]:=$E9CF;
map2[4635][1]:=$BEF2;map2[4635][2]:=$CDD6;
map2[4636][1]:=$BEF3;map2[4636][2]:=$CFF0;
map2[4637][1]:=$BEF4;map2[4637][2]:=$C7C5;
map2[4638][1]:=$BEF5;map2[4638][2]:=$C7C1;
map2[4639][1]:=$BEF6;map2[4639][2]:=$E9D4;
map2[4640][1]:=$BEF7;map2[4640][2]:=$BBFA;
map2[4641][1]:=$BEF8;map2[4641][2]:=$E8E3;
map2[4642][1]:=$BEF9;map2[4642][2]:=$ECA8;
map2[4643][1]:=$BEFA;map2[4643][2]:=$C0FA;
map2[4644][1]:=$BEFB;map2[4644][2]:=$EBA9;
map2[4645][1]:=$BEFC;map2[4645][2]:=$E5A5;
map2[4646][1]:=$BEFD;map2[4646][2]:=$B5ED;
map2[4647][1]:=$BEFE;map2[4647][2]:=$D4E8;
map2[4648][1]:=$BF40;map2[4648][2]:=$C5A8;
map2[4649][1]:=$BF41;map2[4649][2]:=$D4F3;
map2[4650][1]:=$BF42;map2[4650][2]:=$D7C7;
map2[4651][1]:=$BF43;map2[4651][2]:=$E5A2;
map2[4652][1]:=$BF44;map2[4652][2]:=$B0C4;
map2[4653][1]:=$BF45;map2[4653][2]:=$BCA4;
map2[4654][1]:=$BF46;map2[4654][2]:=$E5A3;
map2[4655][1]:=$BF47;map2[4655][2]:=$E5A4;
map2[4656][1]:=$BF48;map2[4656][2]:=$9CF9;
map2[4657][1]:=$BF49;map2[4657][2]:=$E4C5;
map2[4658][1]:=$BF4A;map2[4658][2]:=$9DD7;
map2[4659][1]:=$BF4B;map2[4659][2]:=$B3E3;
map2[4660][1]:=$BF4C;map2[4660][2]:=$ECC0;
map2[4661][1]:=$BF4D;map2[4661][2]:=$C1D7;
map2[4662][1]:=$BF4E;map2[4662][2]:=$C9D5;
map2[4663][1]:=$BF4F;map2[4663][2]:=$B5C6;
map2[4664][1]:=$BF50;map2[4664][2]:=$D1E0;
map2[4665][1]:=$BF51;map2[4665][2]:=$ECE4;
map2[4666][1]:=$BF52;map2[4666][2]:=$C1C7;
map2[4667][1]:=$BF53;map2[4667][2]:=$CCCC;
map2[4668][1]:=$BF54;map2[4668][2]:=$ECCB;
map2[4669][1]:=$BF55;map2[4669][2]:=$C8BC;
map2[4670][1]:=$BF56;map2[4670][2]:=$D1E6;
map2[4671][1]:=$BF57;map2[4671][2]:=$B6C0;
map2[4672][1]:=$BF58;map2[4672][2]:=$E8AB;
map2[4673][1]:=$BF59;map2[4673][2]:=$E7E1;
map2[4674][1]:=$BF5A;map2[4674][2]:=$AD55;
map2[4675][1]:=$BF5B;map2[4675][2]:=$AD5A;
map2[4676][1]:=$BF5C;map2[4676][2]:=$E8B1;
map2[4677][1]:=$BF5D;map2[4677][2]:=$C6B0;
map2[4678][1]:=$BF5E;map2[4678][2]:=$EAB1;
map2[4679][1]:=$BF5F;map2[4679][2]:=$DDF9;
map2[4680][1]:=$BF60;map2[4680][2]:=$D5CE;
map2[4681][1]:=$BF61;map2[4681][2]:=$C8B3;
map2[4682][1]:=$BF62;map2[4682][2]:=$F0FC;
map2[4683][1]:=$BF63;map2[4683][2]:=$C2AC;
map2[4684][1]:=$BF64;map2[4684][2]:=$EEC2;
map2[4685][1]:=$BF65;map2[4685][2]:=$EEAA;
map2[4686][1]:=$BF66;map2[4686][2]:=$C2F7;
map2[4687][1]:=$BF67;map2[4687][2]:=$EEA9;
map2[4688][1]:=$BF68;map2[4688][2]:=$C6B3;
map2[4689][1]:=$BF69;map2[4689][2]:=$C4A5;
map2[4690][1]:=$BF6A;map2[4690][2]:=$D7A9;
map2[4691][1]:=$BF6B;map2[4691][2]:=$EDE0;
map2[4692][1]:=$BF6C;map2[4692][2]:=$EDD3;
map2[4693][1]:=$BF6D;map2[4693][2]:=$D3F9;
map2[4694][1]:=$BF6E;map2[4694][2]:=$BBFD;
map2[4695][1]:=$BF6F;map2[4695][2]:=$D3B1;
map2[4696][1]:=$BF70;map2[4696][2]:=$C4C2;
map2[4697][1]:=$BF71;map2[4697][2]:=$F6D5;
map2[4698][1]:=$BF72;map2[4698][2]:=$B763;
map2[4699][1]:=$BF73;map2[4699][2]:=$BFFA;
map2[4700][1]:=$BF74;map2[4700][2]:=$B8DD;
map2[4701][1]:=$BF75;map2[4701][2]:=$CBF2;
map2[4702][1]:=$BF76;map2[4702][2]:=$D6FE;
map2[4703][1]:=$BF77;map2[4703][2]:=$F3C6;
map2[4704][1]:=$BF78;map2[4704][2]:=$F3E8;
map2[4705][1]:=$BF79;map2[4705][2]:=$B4DB;
map2[4706][1]:=$BF7A;map2[4706][2]:=$C9B8;
map2[4707][1]:=$BF7B;map2[4707][2]:=$F3F7;
map2[4708][1]:=$BF7C;map2[4708][2]:=$B8E2;
map2[4709][1]:=$BF7D;map2[4709][2]:=$CCC7;
map2[4710][1]:=$BF7E;map2[4710][2]:=$E7CB;
map2[4711][1]:=$BFA1;map2[4711][2]:=$E7CC;
map2[4712][1]:=$BFA2;map2[4712][2]:=$DDD3;
map2[4713][1]:=$BFA3;map2[4713][2]:=$B8BF;
map2[4714][1]:=$BFA4;map2[4714][2]:=$CFD8;
map2[4715][1]:=$BFA5;map2[4715][2]:=$E7C9;
map2[4716][1]:=$BFA6;map2[4716][2]:=$E7C7;
map2[4717][1]:=$BFA7;map2[4717][2]:=$E7C6;
map2[4718][1]:=$BFA8;map2[4718][2]:=$E7A7;
map2[4719][1]:=$BFA9;map2[4719][2]:=$EEBE;
map2[4720][1]:=$BFAA;map2[4720][2]:=$F4CB;
map2[4721][1]:=$BFAB;map2[4721][2]:=$BAB2;
map2[4722][1]:=$BFAC;map2[4722][2]:=$B0BF;
map2[4723][1]:=$BFAD;map2[4723][2]:=$F4E7;
map2[4724][1]:=$BFAE;map2[4724][2]:=$F1F1;
map2[4725][1]:=$BFAF;map2[4725][2]:=$C9C5;
map2[4726][1]:=$BFB0;map2[4726][2]:=$C4E5;
map2[4727][1]:=$BFB1;map2[4727][2]:=$C5F2;
map2[4728][1]:=$BFB2;map2[4728][2]:=$D5E9;
map2[4729][1]:=$BFB3;map2[4729][2]:=$D0CB;
map2[4730][1]:=$BFB4;map2[4730][2]:=$CBD2;
map2[4731][1]:=$BFB5;map2[4731][2]:=$B2D5;
map2[4732][1]:=$BFB6;map2[4732][2]:=$C8EF;
map2[4733][1]:=$BFB7;map2[4733][2]:=$DEA5;
map2[4734][1]:=$BFB8;map2[4734][2]:=$DEA6;
map2[4735][1]:=$BFB9;map2[4735][2]:=$DEA7;
map2[4736][1]:=$BFBA;map2[4736][2]:=$B5B4;
map2[4737][1]:=$BFBB;map2[4737][2]:=$DEAC;
map2[4738][1]:=$BFBC;map2[4738][2]:=$BDB6;
map2[4739][1]:=$BFBD;map2[4739][2]:=$CFF4;
map2[4740][1]:=$BFBE;map2[4740][2]:=$CEDF;
map2[4741][1]:=$BFBF;map2[4741][2]:=$DEA9;
map2[4742][1]:=$BFC0;map2[4742][2]:=$F3A6;
map2[4743][1]:=$BFC1;map2[4743][2]:=$C3F8;
map2[4744][1]:=$BFC2;map2[4744][2]:=$C2EC;
map2[4745][1]:=$BFC3;map2[4745][2]:=$D3A9;
map2[4746][1]:=$BFC4;map2[4746][2]:=$C8DA;
map2[4747][1]:=$BFC5;map2[4747][2]:=$BAE2;
map2[4748][1]:=$BFC6;map2[4748][2]:=$CDCA;
map2[4749][1]:=$BFC7;map2[4749][2]:=$BFE3;
map2[4750][1]:=$BFC8;map2[4750][2]:=$C8EC;
map2[4751][1]:=$BFC9;map2[4751][2]:=$F1DD;
map2[4752][1]:=$BFCA;map2[4752][2]:=$F1D7;
map2[4753][1]:=$BFCB;map2[4753][2]:=$C7D7;
map2[4754][1]:=$BFCC;map2[4754][2]:=$EAEC;
map2[4755][1]:=$BFCD;map2[4755][2]:=$DAD0;
map2[4756][1]:=$BFCE;map2[4756][2]:=$D1E8;
map2[4757][1]:=$BFCF;map2[4757][2]:=$DAC9;
map2[4758][1]:=$BFD0;map2[4758][2]:=$BBE4;
map2[4759][1]:=$BFD1;map2[4759][2]:=$C4B1;
map2[4760][1]:=$BFD2;map2[4760][2]:=$B5FD;
map2[4761][1]:=$BFD3;map2[4761][2]:=$D0B3;
map2[4762][1]:=$BFD4;map2[4762][2]:=$DAD1;
map2[4763][1]:=$BFD5;map2[4763][2]:=$C5B5;
map2[4764][1]:=$BFD6;map2[4764][2]:=$DACB;
map2[4765][1]:=$BFD7;map2[4765][2]:=$CEBD;
map2[4766][1]:=$BFD8;map2[4766][2]:=$B7ED;
map2[4767][1]:=$BFD9;map2[4767][2]:=$DACD;
map2[4768][1]:=$BFDA;map2[4768][2]:=$DACF;
map2[4769][1]:=$BFDB;map2[4769][2]:=$DAC8;
map2[4770][1]:=$BFDC;map2[4770][2]:=$DACE;
map2[4771][1]:=$BFDD;map2[4771][2]:=$D4A5;
map2[4772][1]:=$BFDE;map2[4772][2]:=$D86A;
map2[4773][1]:=$BFDF;map2[4773][2]:=$C3A8;
map2[4774][1]:=$BFE0;map2[4774][2]:=$C0B5;
map2[4775][1]:=$BFE1;map2[4775][2]:=$CCE3;
map2[4776][1]:=$BFE2;map2[4776][2]:=$F5E2;
map2[4777][1]:=$BFE3;map2[4777][2]:=$D3BB;
map2[4778][1]:=$BFE4;map2[4778][2]:=$F5E5;
map2[4779][1]:=$BFE5;map2[4779][2]:=$F5DF;
map2[4780][1]:=$BFE6;map2[4780][2]:=$F5E0;
map2[4781][1]:=$BFE7;map2[4781][2]:=$B7F8;
map2[4782][1]:=$BFE8;map2[4782][2]:=$BCAD;
map2[4783][1]:=$BFE9;map2[4783][2]:=$CAE4;
map2[4784][1]:=$BFEA;map2[4784][2]:=$EAA3;
map2[4785][1]:=$BFEB;map2[4785][2]:=$B1E6;
map2[4786][1]:=$BFEC;map2[4786][2]:=$B0EC;
map2[4787][1]:=$BFED;map2[4787][2]:=$D7F1;
map2[4788][1]:=$BFEE;map2[4788][2]:=$E5E0;
map2[4789][1]:=$BFEF;map2[4789][2]:=$D1A1;
map2[4790][1]:=$BFF0;map2[4790][2]:=$B3D9;
map2[4791][1]:=$BFF1;map2[4791][2]:=$C1C9;
map2[4792][1]:=$BFF2;map2[4792][2]:=$D2C5;
map2[4793][1]:=$BFF3;map2[4793][2]:=$DAFE;
map2[4794][1]:=$BFF4;map2[4794][2]:=$D0D1;
map2[4795][1]:=$BFF5;map2[4795][2]:=$B6A7;
map2[4796][1]:=$BFF6;map2[4796][2]:=$B1ED;
map2[4797][1]:=$BFF7;map2[4797][2]:=$BEE2;
map2[4798][1]:=$BFF8;map2[4798][2]:=$C3CC;
map2[4799][1]:=$BFF9;map2[4799][2]:=$B4ED;
map2[4800][1]:=$BFFA;map2[4800][2]:=$C7AE;
map2[4801][1]:=$BFFB;map2[4801][2]:=$B8D6;
map2[4802][1]:=$BFFC;map2[4802][2]:=$CEFD;
map2[4803][1]:=$BFFD;map2[4803][2]:=$C2BC;
map2[4804][1]:=$BFFE;map2[4804][2]:=$EFA3;
map2[4805][1]:=$C040;map2[4805][2]:=$D7B6;
map2[4806][1]:=$C041;map2[4806][2]:=$BDF5;
map2[4807][1]:=$C042;map2[4807][2]:=$E89F;
map2[4808][1]:=$C043;map2[4808][2]:=$EFBF;
map2[4809][1]:=$C044;map2[4809][2]:=$EFC0;
map2[4810][1]:=$C045;map2[4810][2]:=$EFC5;
map2[4811][1]:=$C046;map2[4811][2]:=$D1D6;
map2[4812][1]:=$C047;map2[4812][2]:=$CBED;
map2[4813][1]:=$C048;map2[4813][2]:=$CBE6;
map2[4814][1]:=$C049;map2[4814][2]:=$CFD5;
map2[4815][1]:=$C04A;map2[4815][2]:=$B5F1;
map2[4816][1]:=$C04B;map2[4816][2]:=$F6AE;
map2[4817][1]:=$C04C;map2[4817][2]:=$D5B4;
map2[4818][1]:=$C04D;map2[4818][2]:=$C1D8;
map2[4819][1]:=$C04E;map2[4819][2]:=$BBF4;
map2[4820][1]:=$C04F;map2[4820][2]:=$C4DE;
map2[4821][1]:=$C050;map2[4821][2]:=$F6AD;
map2[4822][1]:=$C051;map2[4822][2]:=$B5E5;
map2[4823][1]:=$C052;map2[4823][2]:=$BEB2;
map2[4824][1]:=$C053;map2[4824][2]:=$EBEF;
map2[4825][1]:=$C054;map2[4825][2]:=$C7CA;
map2[4826][1]:=$C055;map2[4826][2]:=$BCD5;
map2[4827][1]:=$C056;map2[4827][2]:=$BEB1;
map2[4828][1]:=$C057;map2[4828][2]:=$C6B5;
map2[4829][1]:=$C058;map2[4829][2]:=$F2A5;
map2[4830][1]:=$C059;map2[4830][2]:=$CDB7;
map2[4831][1]:=$C05A;map2[4831][2]:=$CDC7;
map2[4832][1]:=$C05B;map2[4832][2]:=$D2C3;
map2[4833][1]:=$C05C;map2[4833][2]:=$B2CD;
map2[4834][1]:=$C05D;map2[4834][2]:=$B9DD;
map2[4835][1]:=$C05E;map2[4835][2]:=$BDA4;
map2[4836][1]:=$C05F;map2[4836][2]:=$E2C6;
map2[4837][1]:=$C060;map2[4837][2]:=$CFDA;
map2[4838][1]:=$C061;map2[4838][2]:=$EBC8;
map2[4839][1]:=$C062;map2[4839][2]:=$BAA7;
map2[4840][1]:=$C063;map2[4840][2]:=$E6E9;
map2[4841][1]:=$C064;map2[4841][2]:=$C2E6;
map2[4842][1]:=$C065;map2[4842][2]:=$BAA1;
map2[4843][1]:=$C066;map2[4843][2]:=$F7C0;
map2[4844][1]:=$C067;map2[4844][2]:=$F7D9;
map2[4845][1]:=$C068;map2[4845][2]:=$F7DA;
map2[4846][1]:=$C069;map2[4846][2]:=$BAE5;
map2[4847][1]:=$C06A;map2[4847][2]:=$B1AB;
map2[4848][1]:=$C06B;map2[4848][2]:=$CDD2;
map2[4849][1]:=$C06C;map2[4849][2]:=$F0B3;
map2[4850][1]:=$C06D;map2[4850][2]:=$D1EC;
map2[4851][1]:=$C06E;map2[4851][2]:=$D1BC;
map2[4852][1]:=$C06F;map2[4852][2]:=$FB5F;
map2[4853][1]:=$C070;map2[4853][2]:=$D4A7;
map2[4854][1]:=$C071;map2[4854][2]:=$C4AC;
map2[4855][1]:=$C072;map2[4855][2]:=$C7AD;
map2[4856][1]:=$C073;map2[4856][2]:=$C1FA;
map2[4857][1]:=$C074;map2[4857][2]:=$B9EA;
map2[4858][1]:=$C075;map2[4858][2]:=$D3C5;
map2[4859][1]:=$C076;map2[4859][2]:=$B3A5;
map2[4860][1]:=$C077;map2[4860][2]:=$C0DC;
map2[4861][1]:=$C078;map2[4861][2]:=$B4A2;
map2[4862][1]:=$C079;map2[4862][2]:=$C0F8;
map2[4863][1]:=$C07A;map2[4863][2]:=$BABF;
map2[4864][1]:=$C07B;map2[4864][2]:=$DFCC;
map2[4865][1]:=$C07C;map2[4865][2]:=$B3A2;
map2[4866][1]:=$C07D;map2[4866][2]:=$E0E9;
map2[4867][1]:=$C07E;map2[4867][2]:=$CFC5;
map2[4868][1]:=$C0A1;map2[4868][2]:=$CCE7;
map2[4869][1]:=$C0A2;map2[4869][2]:=$BABE;
map2[4870][1]:=$C0A3;map2[4870][2]:=$D1B9;
map2[4871][1]:=$C0A4;map2[4871][2]:=$DBD6;
map2[4872][1]:=$C0A5;map2[4872][2]:=$DBF7;
map2[4873][1]:=$C0A6;map2[4873][2]:=$D3A4;
map2[4874][1]:=$C0A7;map2[4874][2]:=$E6C9;
map2[4875][1]:=$C0A8;map2[4875][2]:=$E6D6;
map2[4876][1]:=$C0A9;map2[4876][2]:=$C8E6;
map2[4877][1]:=$C0AA;map2[4877][2]:=$DECF;
map2[4878][1]:=$C0AB;map2[4878][2]:=$E5F0;
map2[4879][1]:=$C0AC;map2[4879][2]:=$D3EC;
map2[4880][1]:=$C0AD;map2[4880][2]:=$C1EB;
map2[4881][1]:=$C0AE;map2[4881][2]:=$D4C0;
map2[4882][1]:=$C0AF;map2[4882][2]:=$E1C9;
map2[4883][1]:=$C0B0;map2[4883][2]:=$B0EF;
map2[4884][1]:=$C0B1;map2[4884][2]:=$C3D6;
map2[4885][1]:=$C0B2;map2[4885][2]:=$BBD5;
map2[4886][1]:=$C0B3;map2[4886][2]:=$D3A6;
map2[4887][1]:=$C0B4;map2[4887][2]:=$B6AE;
map2[4888][1]:=$C0B5;map2[4888][2]:=$BFD2;
map2[4889][1]:=$C0B6;map2[4889][2]:=$C5B3;
map2[4890][1]:=$C0B7;map2[4890][2]:=$EDAE;
map2[4891][1]:=$C0B8;map2[4891][2]:=$CFB7;
map2[4892][1]:=$C0B9;map2[4892][2]:=$B4F7;
map2[4893][1]:=$C0BA;map2[4893][2]:=$C7E6;
map2[4894][1]:=$C0BB;map2[4894][2]:=$BBF7;
map2[4895][1]:=$C0BC;map2[4895][2]:=$EBA2;
map2[4896][1]:=$C0BD;map2[4896][2]:=$BCB7;
map2[4897][1]:=$C0BE;map2[4897][2]:=$C5A1;
map2[4898][1]:=$C0BF;map2[4898][2]:=$B2C1;
map2[4899][1]:=$C0C0;map2[4899][2]:=$C4E2;
map2[4900][1]:=$C0C1;map2[4900][2]:=$B8E9;
map2[4901][1]:=$C0C2;map2[4901][2]:=$DFAA;
map2[4902][1]:=$C0C3;map2[4902][2]:=$944E;
map2[4903][1]:=$C0C4;map2[4903][2]:=$C1B2;
map2[4904][1]:=$C0C5;map2[4904][2]:=$B1D0;
map2[4905][1]:=$C0C6;map2[4905][2]:=$CAEF;
map2[4906][1]:=$C0C7;map2[4906][2]:=$EAD3;
map2[4907][1]:=$C0C8;map2[4907][2]:=$CCB4;
map2[4908][1]:=$C0C9;map2[4908][2]:=$B5B5;
map2[4909][1]:=$C0CA;map2[4909][2]:=$CFAD;
map2[4910][1]:=$C0CB;map2[4910][2]:=$BCEC;
map2[4911][1]:=$C0CC;map2[4911][2]:=$E8ED;
map2[4912][1]:=$C0CD;map2[4912][2]:=$E8CE;
map2[4913][1]:=$C0CE;map2[4913][2]:=$E9C9;
map2[4914][1]:=$C0CF;map2[4914][2]:=$995D;
map2[4915][1]:=$C0D0;map2[4915][2]:=$E9DE;
map2[4916][1]:=$C0D1;map2[4916][2]:=$E9DC;
map2[4917][1]:=$C0D2;map2[4917][2]:=$E9D1;
map2[4918][1]:=$C0D3;map2[4918][2]:=$9A62;
map2[4919][1]:=$C0D4;map2[4919][2]:=$E9E7;
map2[4920][1]:=$C0D5;map2[4920][2]:=$9AB4;
map2[4921][1]:=$C0D6;map2[4921][2]:=$D5B1;
map2[4922][1]:=$C0D7;map2[4922][2]:=$C5A2;
map2[4923][1]:=$C0D8;map2[4923][2]:=$B1F5;
map2[4924][1]:=$C0D9;map2[4924][2]:=$BCC3;
map2[4925][1]:=$C0DA;map2[4925][2]:=$E5A9;
map2[4926][1]:=$C0DB;map2[4926][2]:=$C3C9;
map2[4927][1]:=$C0DC;map2[4927][2]:=$CCCE;
map2[4928][1]:=$C0DD;map2[4928][2]:=$C0C4;
map2[4929][1]:=$C0DE;map2[4929][2]:=$E5AA;
map2[4930][1]:=$C0DF;map2[4930][2]:=$C9AC;
map2[4931][1]:=$C0E0;map2[4931][2]:=$BFA3;
map2[4932][1]:=$C0E1;map2[4932][2]:=$E5A6;
map2[4933][1]:=$C0E2;map2[4933][2]:=$9E43;
map2[4934][1]:=$C0E3;map2[4934][2]:=$CAAA;
map2[4935][1]:=$C0E4;map2[4935][2]:=$E5A7;
map2[4936][1]:=$C0E5;map2[4936][2]:=$CEAB;
map2[4937][1]:=$C0E6;map2[4937][2]:=$ECDD;
map2[4938][1]:=$C0E7;map2[4938][2]:=$D3AA;
map2[4939][1]:=$C0E8;map2[4939][2]:=$DBC6;
map2[4940][1]:=$C0E9;map2[4940][2]:=$B2D3;
map2[4941][1]:=$C0EA;map2[4941][2]:=$D4EF;
map2[4942][1]:=$C0EB;map2[4942][2]:=$D6F2;
map2[4943][1]:=$C0EC;map2[4943][2]:=$BBD9;
map2[4944][1]:=$C0ED;map2[4944][2]:=$BBE2;
map2[4945][1]:=$C0EE;map2[4945][2]:=$ECDB;
map2[4946][1]:=$C0EF;map2[4946][2]:=$BEF4;
map2[4947][1]:=$C0F0;map2[4947][2]:=$C7BD;
map2[4948][1]:=$C0F1;map2[4948][2]:=$C4FC;
map2[4949][1]:=$C0F2;map2[4949][2]:=$BBF1;
map2[4950][1]:=$C0F3;map2[4950][2]:=$E8B3;
map2[4951][1]:=$C0F4;map2[4951][2]:=$BBB7;
map2[4952][1]:=$C0F5;map2[4952][2]:=$E8A8;
map2[4953][1]:=$C0F6;map2[4953][2]:=$E8B2;
map2[4954][1]:=$C0F7;map2[4954][2]:=$F0EC;
map2[4955][1]:=$C0F8;map2[4955][2]:=$C1C6;
map2[4956][1]:=$C0F9;map2[4956][2]:=$B0A9;
map2[4957][1]:=$C0FA;map2[4957][2]:=$B5B4;
map2[4958][1]:=$C0FB;map2[4958][2]:=$CDAB;
map2[4959][1]:=$C0FC;map2[4959][2]:=$B5C9;
map2[4960][1]:=$C0FD;map2[4960][2]:=$EEAB;
map2[4961][1]:=$C0FE;map2[4961][2]:=$CBB2;
map2[4962][1]:=$C140;map2[4962][2]:=$C7C6;
map2[4963][1]:=$C141;map2[4963][2]:=$B274;
map2[4964][1]:=$C142;map2[4964][2]:=$BDC3;
map2[4965][1]:=$C143;map2[4965][2]:=$C1D7;
map2[4966][1]:=$C144;map2[4966][2]:=$BBC7;
map2[4967][1]:=$C145;map2[4967][2]:=$EDE3;
map2[4968][1]:=$C146;map2[4968][2]:=$EDB6;
map2[4969][1]:=$C147;map2[4969][2]:=$BDB8;
map2[4970][1]:=$C148;map2[4970][2]:=$ECFB;
map2[4971][1]:=$C149;map2[4971][2]:=$ECF8;
map2[4972][1]:=$C14A;map2[4972][2]:=$CBEB;
map2[4973][1]:=$C14B;map2[4973][2]:=$C1FE;
map2[4974][1]:=$C14C;map2[4974][2]:=$B4D8;
map2[4975][1]:=$C14D;map2[4975][2]:=$C2A8;
map2[4976][1]:=$C14E;map2[4976][2]:=$F3FA;
map2[4977][1]:=$C14F;map2[4977][2]:=$C5F1;
map2[4978][1]:=$C150;map2[4978][2]:=$F3F9;
map2[4979][1]:=$C151;map2[4979][2]:=$F3E3;
map2[4980][1]:=$C152;map2[4980][2]:=$BFB7;
map2[4981][1]:=$C153;map2[4981][2]:=$C3D3;
map2[4982][1]:=$C154;map2[4982][2]:=$B7E0;
map2[4983][1]:=$C155;map2[4983][2]:=$C4A3;
map2[4984][1]:=$C156;map2[4984][2]:=$D4E3;
map2[4985][1]:=$C157;map2[4985][2]:=$B2DA;
map2[4986][1]:=$C158;map2[4986][2]:=$F4D6;
map2[4987][1]:=$C159;map2[4987][2]:=$CBF5;
map2[4988][1]:=$C15A;map2[4988][2]:=$BCA8;
map2[4989][1]:=$C15B;map2[4989][2]:=$E7D1;
map2[4990][1]:=$C15C;map2[4990][2]:=$C2C6;
map2[4991][1]:=$C15D;map2[4991][2]:=$E7D0;
map2[4992][1]:=$C15E;map2[4992][2]:=$B1C1;
map2[4993][1]:=$C15F;map2[4993][2]:=$B7EC;
map2[4994][1]:=$C160;map2[4994][2]:=$D7DC;
map2[4995][1]:=$C161;map2[4995][2]:=$D7DD;
map2[4996][1]:=$C162;map2[4996][2]:=$E7D2;
map2[4997][1]:=$C163;map2[4997][2]:=$B7B1;
map2[4998][1]:=$C164;map2[4998][2]:=$CFCB;
map2[4999][1]:=$C165;map2[4999][2]:=$E7CE;
map2[5000][1]:=$C166;map2[5000][2]:=$F1DF;
map2[5001][1]:=$C167;map2[5001][2]:=$E7CF;
map2[5002][1]:=$C168;map2[5002][2]:=$BF84;
map2[5003][1]:=$C169;map2[5003][2]:=$D1DD;
map2[5004][1]:=$C16A;map2[5004][2]:=$F3C0;
map2[5005][1]:=$C16B;map2[5005][2]:=$F4E8;
map2[5006][1]:=$C16C;map2[5006][2]:=$D2ED;
map2[5007][1]:=$C16D;map2[5007][2]:=$F1FA;
map2[5008][1]:=$C16E;map2[5008][2]:=$C9F9;
map2[5009][1]:=$C16F;map2[5009][2]:=$B4CF;
map2[5010][1]:=$C170;map2[5010][2]:=$C1AA;
map2[5011][1]:=$C171;map2[5011][2]:=$CBCA;
map2[5012][1]:=$C172;map2[5012][2]:=$D2DC;
map2[5013][1]:=$C173;map2[5013][2]:=$D3B7;
map2[5014][1]:=$C174;map2[5014][2]:=$E2DF;
map2[5015][1]:=$C175;map2[5015][2]:=$B1DB;
map2[5016][1]:=$C176;map2[5016][2]:=$CDCE;
map2[5017][1]:=$C177;map2[5017][2]:=$C5A7;
map2[5018][1]:=$C178;map2[5018][2]:=$B5A8;
map2[5019][1]:=$C179;map2[5019][2]:=$C1B3;
map2[5020][1]:=$C17A;map2[5020][2]:=$EBDA;
map2[5021][1]:=$C17B;map2[5021][2]:=$C1D9;
map2[5022][1]:=$C17C;map2[5022][2]:=$BED9;
map2[5023][1]:=$C17D;map2[5023][2]:=$BCE8;
map2[5024][1]:=$C17E;map2[5024][2]:=$D0BD;
map2[5025][1]:=$C1A1;map2[5025][2]:=$B1A1;
map2[5026][1]:=$C1A2;map2[5026][2]:=$C0D9;
map2[5027][1]:=$C1A3;map2[5027][2]:=$DEB5;
map2[5028][1]:=$C1A4;map2[5028][2]:=$BDAA;
map2[5029][1]:=$C1A5;map2[5029][2]:=$C7BE;
map2[5030][1]:=$C1A6;map2[5030][2]:=$CAED;
map2[5031][1]:=$C1A7;map2[5031][2]:=$D1A6;
map2[5032][1]:=$C1A8;map2[5032][2]:=$DEB1;
map2[5033][1]:=$C1A9;map2[5033][2]:=$DEB0;
map2[5034][1]:=$C1AA;map2[5034][2]:=$BCBB;
map2[5035][1]:=$C1AB;map2[5035][2]:=$BFF7;
map2[5036][1]:=$C1AC;map2[5036][2]:=$F3B0;
map2[5037][1]:=$C1AD;map2[5037][2]:=$F3AF;
map2[5038][1]:=$C1AE;map2[5038][2]:=$F3AB;
map2[5039][1]:=$C1AF;map2[5039][2]:=$F2FE;
map2[5040][1]:=$C1B0;map2[5040][2]:=$F3A1;
map2[5041][1]:=$C1B1;map2[5041][2]:=$F3A7;
map2[5042][1]:=$C1B2;map2[5042][2]:=$F2F7;
map2[5043][1]:=$C1B3;map2[5043][2]:=$C2DD;
map2[5044][1]:=$C1B4;map2[5044][2]:=$F2E5;
map2[5045][1]:=$C1B5;map2[5045][2]:=$F3AC;
map2[5046][1]:=$C1B6;map2[5046][2]:=$D9F4;
map2[5047][1]:=$C1B7;map2[5047][2]:=$F1DE;
map2[5048][1]:=$C1B8;map2[5048][2]:=$CFE5;
map2[5049][1]:=$C1B9;map2[5049][2]:=$F1DA;
map2[5050][1]:=$C1BA;map2[5050][2]:=$D245;
map2[5051][1]:=$C1BB;map2[5051][2]:=$EAE9;
map2[5052][1]:=$C1BC;map2[5052][2]:=$C3D5;
map2[5053][1]:=$C1BD;map2[5053][2]:=$B0F9;
map2[5054][1]:=$C1BE;map2[5054][2]:=$C7AB;
map2[5055][1]:=$C1BF;map2[5055][2]:=$BDB2;
map2[5056][1]:=$C1C0;map2[5056][2]:=$BBD1;
map2[5057][1]:=$C1C1;map2[5057][2]:=$D2A5;
map2[5058][1]:=$C1C2;map2[5058][2]:=$D0BB;
map2[5059][1]:=$C1C3;map2[5059][2]:=$CCDC;
map2[5060][1]:=$C1C4;map2[5060][2]:=$DAD7;
map2[5061][1]:=$C1C5;map2[5061][2]:=$BBED;
map2[5062][1]:=$C1C6;map2[5062][2]:=$CFAA;
map2[5063][1]:=$C1C7;map2[5063][2]:=$E1D9;
map2[5064][1]:=$C1C8;map2[5064][2]:=$D7AC;
map2[5065][1]:=$C1C9;map2[5065][2]:=$C8FC;
map2[5066][1]:=$C1CA;map2[5066][2]:=$B9BA;
map2[5067][1]:=$C1CB;map2[5067][2]:=$CAA3;
map2[5068][1]:=$C1CC;map2[5068][2]:=$EAE7;
map2[5069][1]:=$C1CD;map2[5069][2]:=$C7F7;
map2[5070][1]:=$C1CE;map2[5070][2]:=$F5E3;
map2[5071][1]:=$C1CF;map2[5071][2]:=$CCA3;
map2[5072][1]:=$C1D0;map2[5072][2]:=$B5B8;
map2[5073][1]:=$C1D1;map2[5073][2]:=$F5E8;
map2[5074][1]:=$C1D2;map2[5074][2]:=$CFBD;
map2[5075][1]:=$C1D3;map2[5075][2]:=$D5B7;
map2[5076][1]:=$C1D4;map2[5076][2]:=$ECB1;
map2[5077][1]:=$C1D5;map2[5077][2]:=$D4AF;
map2[5078][1]:=$C1D6;map2[5078][2]:=$D3DF;
map2[5079][1]:=$C1D7;map2[5079][2]:=$B1DC;
map2[5080][1]:=$C1D8;map2[5080][2]:=$E5E1;
map2[5081][1]:=$C1D9;map2[5081][2]:=$BBB9;
map2[5082][1]:=$C1DA;map2[5082][2]:=$C2F5;
map2[5083][1]:=$C1DB;map2[5083][2]:=$E5E2;
map2[5084][1]:=$C1DC;map2[5084][2]:=$D1FB;
map2[5085][1]:=$C1DD;map2[5085][2]:=$DBB8;
map2[5086][1]:=$C1DE;map2[5086][2]:=$F5B1;
map2[5087][1]:=$C1DF;map2[5087][2]:=$D4CD;
map2[5088][1]:=$C1E0;map2[5088][2]:=$B3F3;
map2[5089][1]:=$C1E1;map2[5089][2]:=$B6C6;
map2[5090][1]:=$C1E2;map2[5090][2]:=$C3BE;
map2[5091][1]:=$C1E3;map2[5091][2]:=$C3AA;
map2[5092][1]:=$C1E4;map2[5092][2]:=$BCFC;
map2[5093][1]:=$C1E5;map2[5093][2]:=$C1B6;
map2[5094][1]:=$C1E6;map2[5094][2]:=$EFC6;
map2[5095][1]:=$C1E7;map2[5095][2]:=$B9F8;
map2[5096][1]:=$C1E8;map2[5096][2]:=$B4B8;
map2[5097][1]:=$C1E9;map2[5097][2]:=$D6D3;
map2[5098][1]:=$C1EA;map2[5098][2]:=$C7C2;
map2[5099][1]:=$C1EB;map2[5099][2]:=$B6CD;
map2[5100][1]:=$C1EC;map2[5100][2]:=$EFCC;
map2[5101][1]:=$C1ED;map2[5101][2]:=$E896;
map2[5102][1]:=$C1EE;map2[5102][2]:=$EFC9;
map2[5103][1]:=$C1EF;map2[5103][2]:=$C0AB;
map2[5104][1]:=$C1F0;map2[5104][2]:=$E3D7;
map2[5105][1]:=$C1F1;map2[5105][2]:=$C0BB;
map2[5106][1]:=$C1F2;map2[5106][2]:=$E3C7;
map2[5107][1]:=$C1F3;map2[5107][2]:=$B0E5;
map2[5108][1]:=$C1F4;map2[5108][2]:=$D2FE;
map2[5109][1]:=$C1F5;map2[5109][2]:=$C1A5;
map2[5110][1]:=$C1F6;map2[5110][2]:=$CBE4;
map2[5111][1]:=$C1F7;map2[5111][2]:=$CBAA;
map2[5112][1]:=$C1F8;map2[5112][2]:=$CFBC;
map2[5113][1]:=$C1F9;map2[5113][2]:=$BECF;
map2[5114][1]:=$C1FA;map2[5114][2]:=$BAAB;
map2[5115][1]:=$C1FB;map2[5115][2]:=$BFC5;
map2[5116][1]:=$C1FC;map2[5116][2]:=$ECAB;
map2[5117][1]:=$C1FD;map2[5117][2]:=$CEB9;
map2[5118][1]:=$C1FE;map2[5118][2]:=$B3D2;
map2[5119][1]:=$C240;map2[5119][2]:=$BFA5;
map2[5120][1]:=$C241;map2[5120][2]:=$CFCA;
map2[5121][1]:=$C242;map2[5121][2]:=$F6DE;
map2[5122][1]:=$C243;map2[5122][2]:=$F6DB;
map2[5123][1]:=$C244;map2[5123][2]:=$F6D9;
map2[5124][1]:=$C245;map2[5124][2]:=$BAE8;
map2[5125][1]:=$C246;map2[5125][2]:=$B8EB;
map2[5126][1]:=$C247;map2[5126][2]:=$F7E7;
map2[5127][1]:=$C248;map2[5127][2]:=$F0A4;
map2[5128][1]:=$C249;map2[5128][2]:=$B5E3;
map2[5129][1]:=$C24A;map2[5129][2]:=$F7ED;
map2[5130][1]:=$C24B;map2[5130][2]:=$F7EE;
map2[5131][1]:=$C24C;map2[5131][2]:=$F7EC;
map2[5132][1]:=$C24D;map2[5132][2]:=$F7FD;
map2[5133][1]:=$C24E;map2[5133][2]:=$D5AB;
map2[5134][1]:=$C24F;map2[5134][2]:=$B4D4;
map2[5135][1]:=$C250;map2[5135][2]:=$E0E0;
map2[5136][1]:=$C251;map2[5136][2]:=$CFF2;
map2[5137][1]:=$C252;map2[5137][2]:=$DBDB;
map2[5138][1]:=$C253;map2[5138][2]:=$C0DD;
map2[5139][1]:=$C254;map2[5139][2]:=$C9F4;
map2[5140][1]:=$C255;map2[5140][2]:=$D2CD;
map2[5141][1]:=$C256;map2[5141][2]:=$EDAF;
map2[5142][1]:=$C257;map2[5142][2]:=$B4C1;
map2[5143][1]:=$C258;map2[5143][2]:=$C0A9;
map2[5144][1]:=$C259;map2[5144][2]:=$D6C0;
map2[5145][1]:=$C25A;map2[5145][2]:=$C8C5;
map2[5146][1]:=$C25B;map2[5146][2]:=$C4EC;
map2[5147][1]:=$C25C;map2[5147][2]:=$B0DA;
map2[5148][1]:=$C25D;map2[5148][2]:=$CBD3;
map2[5149][1]:=$C25E;map2[5149][2]:=$DFA2;
map2[5150][1]:=$C25F;map2[5150][2]:=$B6CF;
map2[5151][1]:=$C260;map2[5151][2]:=$EAD7;
map2[5152][1]:=$C261;map2[5152][2]:=$EBFC;
map2[5153][1]:=$C262;map2[5153][2]:=$E9C4;
map2[5154][1]:=$C263;map2[5154][2]:=$C3CA;
map2[5155][1]:=$C264;map2[5155][2]:=$B9F1;
map2[5156][1]:=$C265;map2[5156][2]:=$BCF7;
map2[5157][1]:=$C266;map2[5157][2]:=$C4FB;
map2[5158][1]:=$C267;map2[5158][2]:=$E8FE;
map2[5159][1]:=$C268;map2[5159][2]:=$9783;
map2[5160][1]:=$C269;map2[5160][2]:=$CCA8;
map2[5161][1]:=$C26A;map2[5161][2]:=$ECA3;
map2[5162][1]:=$C26B;map2[5162][2]:=$B9E9;
map2[5163][1]:=$C26C;map2[5163][2]:=$E9EB;
map2[5164][1]:=$C26D;map2[5164][2]:=$D0BA;
map2[5165][1]:=$C26E;map2[5165][2]:=$E4C9;
map2[5166][1]:=$C26F;map2[5166][2]:=$C2CB;
map2[5167][1]:=$C270;map2[5167][2]:=$E4C2;
map2[5168][1]:=$C271;map2[5168][2]:=$BDA6;
map2[5169][1]:=$C272;map2[5169][2]:=$C6D9;
map2[5170][1]:=$C273;map2[5170][2]:=$E4AF;
map2[5171][1]:=$C274;map2[5171][2]:=$D1AC;
map2[5172][1]:=$C275;map2[5172][2]:=$BDFD;
map2[5173][1]:=$C276;map2[5173][2]:=$ECE2;
map2[5174][1]:=$C277;map2[5174][2]:=$A05E;
map2[5175][1]:=$C278;map2[5175][2]:=$E1EE;
map2[5176][1]:=$C279;map2[5176][2]:=$C1D4;
map2[5177][1]:=$C27A;map2[5177][2]:=$E8B5;
map2[5178][1]:=$C27B;map2[5178][2]:=$E8AF;
map2[5179][1]:=$C27C;map2[5179][2]:=$CECD;
map2[5180][1]:=$C27D;map2[5180][2]:=$F1B1;
map2[5181][1]:=$C27E;map2[5181][2]:=$F0DD;
map2[5182][1]:=$C2A1;map2[5182][2]:=$D3FA;
map2[5183][1]:=$C2A2;map2[5183][2]:=$EEAD;
map2[5184][1]:=$C2A3;map2[5184][2]:=$F6C4;
map2[5185][1]:=$C2A4;map2[5185][2]:=$D5B0;
map2[5186][1]:=$C2A5;map2[5186][2]:=$EDFA;
map2[5187][1]:=$C2A6;map2[5187][2]:=$B4A1;
map2[5188][1]:=$C2A7;map2[5188][2]:=$C0F1;
map2[5189][1]:=$C2A8;map2[5189][2]:=$F0A3;
map2[5190][1]:=$C2A9;map2[5190][2]:=$BBE0;
map2[5191][1]:=$C2AA;map2[5191][2]:=$B68C;
map2[5192][1]:=$C2AB;map2[5192][2]:=$B4DC;
map2[5193][1]:=$C2AC;map2[5193][2]:=$C7CF;
map2[5194][1]:=$C2AD;map2[5194][2]:=$F3EF;
map2[5195][1]:=$C2AE;map2[5195][2]:=$BBC9;
map2[5196][1]:=$C2AF;map2[5196][2]:=$F4A2;
map2[5197][1]:=$C2B0;map2[5197][2]:=$F3EC;
map2[5198][1]:=$C2B1;map2[5198][2]:=$F3F1;
map2[5199][1]:=$C2B2;map2[5199][2]:=$BCF2;
map2[5200][1]:=$C2B3;map2[5200][2]:=$C1B8;
map2[5201][1]:=$C2B4;map2[5201][2]:=$D6AF;
map2[5202][1]:=$C2B5;map2[5202][2]:=$C9C9;
map2[5203][1]:=$C2B6;map2[5203][2]:=$C8C6;
map2[5204][1]:=$C2B7;map2[5204][2]:=$E7D4;
map2[5205][1]:=$C2B8;map2[5205][2]:=$D0E5;
map2[5206][1]:=$C2B9;map2[5206][2]:=$E7D5;
map2[5207][1]:=$C2BA;map2[5207][2]:=$B7AD;
map2[5208][1]:=$C2BB;map2[5208][2]:=$CCB3;
map2[5209][1]:=$C2BC;map2[5209][2]:=$C7CC;
map2[5210][1]:=$C2BD;map2[5210][2]:=$B7AD;
map2[5211][1]:=$C2BE;map2[5211][2]:=$D6B0;
map2[5212][1]:=$C2BF;map2[5212][2]:=$C4F4;
map2[5213][1]:=$C2C0;map2[5213][2]:=$C6EA;
map2[5214][1]:=$C2C1;map2[5214][2]:=$EBF7;
map2[5215][1]:=$C2C2;map2[5215][2]:=$BEC9;
map2[5216][1]:=$C2C3;map2[5216][2]:=$B2D8;
map2[5217][1]:=$C2C4;map2[5217][2]:=$C8F8;
map2[5218][1]:=$C2C5;map2[5218][2]:=$C0B6;
map2[5219][1]:=$C2C6;map2[5219][2]:=$C3EA;
map2[5220][1]:=$C2C7;map2[5220][2]:=$BDE5;
map2[5221][1]:=$C2C8;map2[5221][2]:=$D1AC;
map2[5222][1]:=$C2C9;map2[5222][2]:=$DCF9;
map2[5223][1]:=$C2CA;map2[5223][2]:=$DEB7;
map2[5224][1]:=$C2CB;map2[5224][2]:=$BCF6;
map2[5225][1]:=$C2CC;map2[5225][2]:=$F2CD;
map2[5226][1]:=$C2CD;map2[5226][2]:=$B2F5;
map2[5227][1]:=$C2CE;map2[5227][2]:=$B3E6;
map2[5228][1]:=$C2CF;map2[5228][2]:=$F3B4;
map2[5229][1]:=$C2D0;map2[5229][2]:=$B8B2;
map2[5230][1]:=$C2D1;map2[5230][2]:=$EAEE;
map2[5231][1]:=$C2D2;map2[5231][2]:=$F5FC;
map2[5232][1]:=$C2D3;map2[5232][2]:=$DAD3;
map2[5233][1]:=$C2D4;map2[5233][2]:=$BDF7;
map2[5234][1]:=$C2D5;map2[5234][2]:=$C3FD;
map2[5235][1]:=$C2D6;map2[5235][2]:=$DAD8;
map2[5236][1]:=$C2D7;map2[5236][2]:=$B7E1;
map2[5237][1]:=$C2D8;map2[5237][2]:=$D7B8;
map2[5238][1]:=$C2D9;map2[5238][2]:=$F5BE;
map2[5239][1]:=$C2DA;map2[5239][2]:=$F5E7;
map2[5240][1]:=$C2DB;map2[5240][2]:=$B1C4;
map2[5241][1]:=$C2DC;map2[5241][2]:=$D7D9;
map2[5242][1]:=$C2DD;map2[5242][2]:=$BCA3;
map2[5243][1]:=$C2DE;map2[5243][2]:=$F5CF;
map2[5244][1]:=$C2DF;map2[5244][2]:=$C7FB;
map2[5245][1]:=$C2E0;map2[5245][2]:=$D7AA;
map2[5246][1]:=$C2E1;map2[5246][2]:=$D5DE;
map2[5247][1]:=$C2E2;map2[5247][2]:=$E5C7;
map2[5248][1]:=$C2E3;map2[5248][2]:=$E5E4;
map2[5249][1]:=$C2E4;map2[5249][2]:=$E5E3;
map2[5250][1]:=$C2E5;map2[5250][2]:=$D2BD;
map2[5251][1]:=$C2E6;map2[5251][2]:=$BDB4;
map2[5252][1]:=$C2E7;map2[5252][2]:=$C0E5;
map2[5253][1]:=$C2E8;map2[5253][2]:=$E946;
map2[5254][1]:=$C2E9;map2[5254][2]:=$B0F7;
map2[5255][1]:=$C2EA;map2[5255][2]:=$CBF8;
map2[5256][1]:=$C2EB;map2[5256][2]:=$CED9;
map2[5257][1]:=$C2EC;map2[5257][2]:=$C4F8;
map2[5258][1]:=$C2ED;map2[5258][2]:=$D5F2;
map2[5259][1]:=$C2EE;map2[5259][2]:=$B8E4;
map2[5260][1]:=$C2EF;map2[5260][2]:=$EFD7;
map2[5261][1]:=$C2F0;map2[5261][2]:=$EFD3;
map2[5262][1]:=$C2F1;map2[5262][2]:=$B4B8;
map2[5263][1]:=$C2F2;map2[5263][2]:=$E66A;
map2[5264][1]:=$C2F3;map2[5264][2]:=$E3D8;
map2[5265][1]:=$C2F4;map2[5265][2]:=$B4B3;
map2[5266][1]:=$C2F5;map2[5266][2]:=$E3D9;
map2[5267][1]:=$C2F6;map2[5267][2]:=$E3DA;
map2[5268][1]:=$C2F7;map2[5268][2]:=$C0EB;
map2[5269][1]:=$C2F8;map2[5269][2]:=$D4D3;
map2[5270][1]:=$C2F9;map2[5270][2]:=$CBAB;
map2[5271][1]:=$C2FA;map2[5271][2]:=$B3FB;
map2[5272][1]:=$C2FB;map2[5272][2]:=$BCA6;
map2[5273][1]:=$C2FC;map2[5273][2]:=$C1EF;
map2[5274][1]:=$C2FD;map2[5274][2]:=$F7B7;
map2[5275][1]:=$C2FE;map2[5275][2]:=$C7EF;
map2[5276][1]:=$C340;map2[5276][2]:=$B1DE;
map2[5277][1]:=$C341;map2[5277][2]:=$ED8B;
map2[5278][1]:=$C342;map2[5278][2]:=$B6EE;
map2[5279][1]:=$C343;map2[5279][2]:=$D1D5;
map2[5280][1]:=$C344;map2[5280][2]:=$CCE2;
map2[5281][1]:=$C345;map2[5281][2]:=$F2A6;
map2[5282][1]:=$C346;map2[5282][2]:=$F2A7;
map2[5283][1]:=$C347;map2[5283][2]:=$D1EF;
map2[5284][1]:=$C348;map2[5284][2]:=$C1F3;
map2[5285][1]:=$C349;map2[5285][2]:=$E2C8;
map2[5286][1]:=$C34A;map2[5286][2]:=$C0A1;
map2[5287][1]:=$C34B;map2[5287][2]:=$F7D1;
map2[5288][1]:=$C34C;map2[5288][2]:=$F0A5;
map2[5289][1]:=$C34D;map2[5289][2]:=$C6EF;
map2[5290][1]:=$C34E;map2[5290][2]:=$F7C1;
map2[5291][1]:=$C34F;map2[5291][2]:=$D7D7;
map2[5292][1]:=$C350;map2[5292][2]:=$CBC9;
map2[5293][1]:=$C351;map2[5293][2]:=$CEBA;
map2[5294][1]:=$C352;map2[5294][2]:=$F7CB;
map2[5295][1]:=$C353;map2[5295][2]:=$F7CD;
map2[5296][1]:=$C354;map2[5296][2]:=$F6E8;
map2[5297][1]:=$C355;map2[5297][2]:=$C0F0;
map2[5298][1]:=$C356;map2[5298][2]:=$F6EA;
map2[5299][1]:=$C357;map2[5299][2]:=$F58D;
map2[5300][1]:=$C358;map2[5300][2]:=$F6E7;
map2[5301][1]:=$C359;map2[5301][2]:=$BEE9;
map2[5302][1]:=$C35A;map2[5302][2]:=$B6EC;
map2[5303][1]:=$C35B;map2[5303][2]:=$F0C0;
map2[5304][1]:=$C35C;map2[5304][2]:=$F7EF;
map2[5305][1]:=$C35D;map2[5305][2]:=$B6AC;
map2[5306][1]:=$C35E;map2[5306][2]:=$F7F8;
map2[5307][1]:=$C35F;map2[5307][2]:=$83A7;
map2[5308][1]:=$C360;map2[5308][2]:=$D1CA;
map2[5309][1]:=$C361;map2[5309][2]:=$BBB5;
map2[5310][1]:=$C362;map2[5310][2]:=$C2A2;
map2[5311][1]:=$C363;map2[5311][2]:=$DBDE;
map2[5312][1]:=$C364;map2[5312][2]:=$B3E8;
map2[5313][1]:=$C365;map2[5313][2]:=$C5D3;
map2[5314][1]:=$C366;map2[5314][2]:=$C2AE;
map2[5315][1]:=$C367;map2[5315][2]:=$B3CD;
map2[5316][1]:=$C368;map2[5316][2]:=$BBB3;
map2[5317][1]:=$C369;map2[5317][2]:=$C0C1;
map2[5318][1]:=$C36A;map2[5318][2]:=$E3C2;
map2[5319][1]:=$C36B;map2[5319][2]:=$C5CA;
map2[5320][1]:=$C36C;map2[5320][2]:=$C2A3;
map2[5321][1]:=$C36D;map2[5321][2]:=$BFF5;
map2[5322][1]:=$C36E;map2[5322][2]:=$C6D8;
map2[5323][1]:=$C36F;map2[5323][2]:=$B3F7;
map2[5324][1]:=$C370;map2[5324][2]:=$E8FC;
map2[5325][1]:=$C371;map2[5325][2]:=$E9B5;
map2[5326][1]:=$C372;map2[5326][2]:=$E9D6;
map2[5327][1]:=$C373;map2[5327][2]:=$E5AD;
map2[5328][1]:=$C374;map2[5328][2]:=$E4EC;
map2[5329][1]:=$C375;map2[5329][2]:=$E4FE;
map2[5330][1]:=$C376;map2[5330][2]:=$E5AB;
map2[5331][1]:=$C377;map2[5331][2]:=$C1A4;
map2[5332][1]:=$C378;map2[5332][2]:=$B1F4;
map2[5333][1]:=$C379;map2[5333][2]:=$E3F2;
map2[5334][1]:=$C37A;map2[5334][2]:=$B1AC;
map2[5335][1]:=$C37B;map2[5335][2]:=$CBB8;
map2[5336][1]:=$C37C;map2[5336][2]:=$EBB9;
map2[5337][1]:=$C37D;map2[5337][2]:=$B6BF;
map2[5338][1]:=$C37E;map2[5338][2]:=$CADE;
map2[5339][1]:=$C3A1;map2[5339][2]:=$CCA1;
map2[5340][1]:=$C3A2;map2[5340][2]:=$E7F4;
map2[5341][1]:=$C3A3;map2[5341][2]:=$C7ED;
map2[5342][1]:=$C3A4;map2[5342][2]:=$B0EA;
map2[5343][1]:=$C3A5;map2[5343][2]:=$B3EB;
map2[5344][1]:=$C3A6;map2[5344][2]:=$BDAE;
map2[5345][1]:=$C3A7;map2[5345][2]:=$B1F1;
map2[5346][1]:=$C3A8;map2[5346][2]:=$B3D5;
map2[5347][1]:=$C3A9;map2[5347][2]:=$C3C9;
map2[5348][1]:=$C3AA;map2[5348][2]:=$B0AD;
map2[5349][1]:=$C3AB;map2[5349][2]:=$B5BB;
map2[5350][1]:=$C3AC;map2[5350][2]:=$BBF1;
map2[5351][1]:=$C3AD;map2[5351][2]:=$CEC8;
map2[5352][1]:=$C3AE;map2[5352][2]:=$C1B1;
map2[5353][1]:=$C3AF;map2[5353][2]:=$B2BE;
map2[5354][1]:=$C3B0;map2[5354][2]:=$F4A4;
map2[5355][1]:=$C3B1;map2[5355][2]:=$C7A9;
map2[5356][1]:=$C3B2;map2[5356][2]:=$E9DC;
map2[5357][1]:=$C3B3;map2[5357][2]:=$F4A6;
map2[5358][1]:=$C3B4;map2[5358][2]:=$CFB5;
map2[5359][1]:=$C3B5;map2[5359][2]:=$BCEB;
map2[5360][1]:=$C3B6;map2[5360][2]:=$D2EF;
map2[5361][1]:=$C3B7;map2[5361][2]:=$C9FE;
map2[5362][1]:=$C3B8;map2[5362][2]:=$BBE6;
map2[5363][1]:=$C3B9;map2[5363][2]:=$C2DE;
map2[5364][1]:=$C3BA;map2[5364][2]:=$BDC9;
map2[5365][1]:=$C3BB;map2[5365][2]:=$EBFE;
map2[5366][1]:=$C3BC;map2[5366][2]:=$B8FE;
map2[5367][1]:=$C3BD;map2[5367][2]:=$D9FA;
map2[5368][1]:=$C3BE;map2[5368][2]:=$C0B0;
map2[5369][1]:=$C3BF;map2[5369][2]:=$B7AA;
map2[5370][1]:=$C3C0;map2[5370][2]:=$D2D5;
map2[5371][1]:=$C3C1;map2[5371][2]:=$DEB4;
map2[5372][1]:=$C3C2;map2[5372][2]:=$C5BA;
map2[5373][1]:=$C3C3;map2[5373][2]:=$CCD9;
map2[5374][1]:=$C3C4;map2[5374][2]:=$D2A9;
map2[5375][1]:=$C3C5;map2[5375][2]:=$CB9F;
map2[5376][1]:=$C3C6;map2[5376][2]:=$D2CF;
map2[5377][1]:=$C3C7;map2[5377][2]:=$D3AC;
map2[5378][1]:=$C3C8;map2[5378][2]:=$D0AB;
map2[5379][1]:=$C3C9;map2[5379][2]:=$D0B7;
map2[5380][1]:=$C3CA;map2[5380][2]:=$F3B8;
map2[5381][1]:=$C3CB;map2[5381][2]:=$F1C9;
map2[5382][1]:=$C3CC;map2[5382][2]:=$BDF3;
map2[5383][1]:=$C3CD;map2[5383][2]:=$B0C0;
map2[5384][1]:=$C3CE;map2[5384][2]:=$F4C5;
map2[5385][1]:=$C3CF;map2[5385][2]:=$BBA9;
map2[5386][1]:=$C3D0;map2[5386][2]:=$C6D7;
map2[5387][1]:=$C3D1;map2[5387][2]:=$CAB6;
map2[5388][1]:=$C3D2;map2[5388][2]:=$D6A4;
map2[5389][1]:=$C3D3;map2[5389][2]:=$CCB7;
map2[5390][1]:=$C3D4;map2[5390][2]:=$DADC;
map2[5391][1]:=$C3D5;map2[5391][2]:=$BCA5;
map2[5392][1]:=$C3D6;map2[5392][2]:=$CEFB;
map2[5393][1]:=$C3D7;map2[5393][2]:=$DADB;
map2[5394][1]:=$C3D8;map2[5394][2]:=$D4F9;
map2[5395][1]:=$C3D9;map2[5395][2]:=$D4DE;
map2[5396][1]:=$C3DA;map2[5396][2]:=$F5EB;
map2[5397][1]:=$C3DB;map2[5397][2]:=$B6D7;
map2[5398][1]:=$C3DC;map2[5398][2]:=$B3F9;
map2[5399][1]:=$C3DD;map2[5399][2]:=$F5EA;
map2[5400][1]:=$C3DE;map2[5400][2]:=$B5C5;
map2[5401][1]:=$C3DF;map2[5401][2]:=$F5CE;
map2[5402][1]:=$C3E0;map2[5402][2]:=$F5ED;
map2[5403][1]:=$C3E1;map2[5403][2]:=$EAA5;
map2[5404][1]:=$C3E2;map2[5404][2]:=$BDCE;
map2[5405][1]:=$C3E3;map2[5405][2]:=$B4C7;
map2[5406][1]:=$C3E4;map2[5406][2]:=$B1DF;
map2[5407][1]:=$C3E5;map2[5407][2]:=$E5E5;
map2[5408][1]:=$C3E6;map2[5408][2]:=$E14E;
map2[5409][1]:=$C3E7;map2[5409][2]:=$F5B4;
map2[5410][1]:=$C3E8;map2[5410][2]:=$BEB5;
map2[5411][1]:=$C3E9;map2[5411][2]:=$EFE1;
map2[5412][1]:=$C3EA;map2[5412][2]:=$B2F9;
map2[5413][1]:=$C3EB;map2[5413][2]:=$EFDF;
map2[5414][1]:=$C3EC;map2[5414][2]:=$C1B4;
map2[5415][1]:=$C3ED;map2[5415][2]:=$EFDB;
map2[5416][1]:=$C3EE;map2[5416][2]:=$EFDC;
map2[5417][1]:=$C3EF;map2[5417][2]:=$F7E9;
map2[5418][1]:=$C3F0;map2[5418][2]:=$EFDA;
map2[5419][1]:=$C3F1;map2[5419][2]:=$EFDD;
map2[5420][1]:=$C3F2;map2[5420][2]:=$EFCF;
map2[5421][1]:=$C3F3;map2[5421][2]:=$EFCE;
map2[5422][1]:=$C3F4;map2[5422][2]:=$EFAC;
map2[5423][1]:=$C3F5;map2[5423][2]:=$F6C9;
map2[5424][1]:=$C3F6;map2[5424][2]:=$B9D8;
map2[5425][1]:=$C3F7;map2[5425][2]:=$C2A4;
map2[5426][1]:=$C3F8;map2[5426][2]:=$C4D1;
map2[5427][1]:=$C3F9;map2[5427][2]:=$F6AF;
map2[5428][1]:=$C3FA;map2[5428][2]:=$CEED;
map2[5429][1]:=$C3FB;map2[5429][2]:=$C3D2;
map2[5430][1]:=$C3FC;map2[5430][2]:=$E8BA;
map2[5431][1]:=$C3FD;map2[5431][2]:=$D4CF;
map2[5432][1]:=$C3FE;map2[5432][2]:=$C0E0;
map2[5433][1]:=$C440;map2[5433][2]:=$D4B8;
map2[5434][1]:=$C441;map2[5434][2]:=$B5DF;
map2[5435][1]:=$C442;map2[5435][2]:=$ECAC;
map2[5436][1]:=$C443;map2[5436][2]:=$C2F8;
map2[5437][1]:=$C444;map2[5437][2]:=$E2CB;
map2[5438][1]:=$C445;map2[5438][2]:=$E6F0;
map2[5439][1]:=$C446;map2[5439][2]:=$C6AD;
map2[5440][1]:=$C447;map2[5440][2]:=$BAFA;
map2[5441][1]:=$C448;map2[5441][2]:=$BEA8;
map2[5442][1]:=$C449;map2[5442][2]:=$F6F0;
map2[5443][1]:=$C44A;map2[5443][2]:=$F6EB;
map2[5444][1]:=$C44B;map2[5444][2]:=$F6F4;
map2[5445][1]:=$C44C;map2[5445][2]:=$F0C8;
map2[5446][1]:=$C44D;map2[5446][2]:=$F0C4;
map2[5447][1]:=$C44E;map2[5447][2]:=$C8B5;
map2[5448][1]:=$C44F;map2[5448][2]:=$F0C6;
map2[5449][1]:=$C450;map2[5449][2]:=$C5F4;
map2[5450][1]:=$C451;map2[5450][2]:=$F7E8;
map2[5451][1]:=$C452;map2[5451][2]:=$C0F6;
map2[5452][1]:=$C453;map2[5452][2]:=$C2B4;
map2[5453][1]:=$C454;map2[5453][2]:=$C7FA;
map2[5454][1]:=$C455;map2[5454][2]:=$C8B0;
map2[5455][1]:=$C456;map2[5455][2]:=$C1FC;
map2[5456][1]:=$C457;map2[5456][2]:=$C8C2;
map2[5457][1]:=$C458;map2[5457][2]:=$E0D3;
map2[5458][1]:=$C459;map2[5458][2]:=$D1CF;
map2[5459][1]:=$C45A;map2[5459][2]:=$BDC0;
map2[5460][1]:=$C45B;map2[5460][2]:=$C8C0;
map2[5461][1]:=$C45C;map2[5461][2]:=$E6D7;
map2[5462][1]:=$C45D;map2[5462][2]:=$C4EF;
map2[5463][1]:=$C45E;map2[5463][2]:=$C4F5;
map2[5464][1]:=$C45F;map2[5464][2]:=$B1A6;
map2[5465][1]:=$C460;map2[5465][2]:=$8E66;
map2[5466][1]:=$C461;map2[5466][2]:=$D0FC;
map2[5467][1]:=$C462;map2[5467][2]:=$E2E3;
map2[5468][1]:=$C463;map2[5468][2]:=$C8C1;
map2[5469][1]:=$C464;map2[5469][2]:=$C0B9;
map2[5470][1]:=$C465;map2[5470][2]:=$B2F3;
map2[5471][1]:=$C466;map2[5471][2]:=$EAD8;
map2[5472][1]:=$C467;map2[5472][2]:=$EBCA;
map2[5473][1]:=$C468;map2[5473][2]:=$E9B4;
map2[5474][1]:=$C469;map2[5474][2]:=$C0BD;
map2[5475][1]:=$C46A;map2[5475][2]:=$C3D6;
map2[5476][1]:=$C46B;map2[5476][2]:=$E4F2;
map2[5477][1]:=$C46C;map2[5477][2]:=$C2AF;
map2[5478][1]:=$C46D;map2[5478][2]:=$CFD7;
map2[5479][1]:=$C46E;map2[5479][2]:=$E7E7;
map2[5480][1]:=$C46F;map2[5480][2]:=$D1F7;
map2[5481][1]:=$C470;map2[5481][2]:=$D6A2;
map2[5482][1]:=$C471;map2[5482][2]:=$BFF3;
map2[5483][1]:=$C472;map2[5483][2]:=$EDC2;
map2[5484][1]:=$C473;map2[5484][2]:=$B7AF;
map2[5485][1]:=$C474;map2[5485][2]:=$C0F9;
map2[5486][1]:=$C475;map2[5486][2]:=$F1BC;
map2[5487][1]:=$C476;map2[5487][2]:=$BEBA;
map2[5488][1]:=$C477;map2[5488][2]:=$B3EF;
map2[5489][1]:=$C478;map2[5489][2]:=$C0BA;
map2[5490][1]:=$C479;map2[5490][2]:=$BCAE;
map2[5491][1]:=$C47A;map2[5491][2]:=$C5B4;
map2[5492][1]:=$C47B;map2[5492][2]:=$CDC5;
map2[5493][1]:=$C47C;map2[5493][2]:=$B1E8;
map2[5494][1]:=$C47D;map2[5494][2]:=$E7CD;
map2[5495][1]:=$C47E;map2[5495][2]:=$BCCC;
map2[5496][1]:=$C4A1;map2[5496][2]:=$D7EB;
map2[5497][1]:=$C4A2;map2[5497][2]:=$F3BF;
map2[5498][1]:=$C4A3;map2[5498][2]:=$D2AB;
map2[5499][1]:=$C4A4;map2[5499][2]:=$EBCD;
map2[5500][1]:=$C4A5;map2[5500][2]:=$BDA2;
map2[5501][1]:=$C4A6;map2[5501][2]:=$D4E5;
map2[5502][1]:=$C4A7;map2[5502][2]:=$B0AA;
map2[5503][1]:=$C4A8;map2[5503][2]:=$C4A2;
map2[5504][1]:=$C4A9;map2[5504][2]:=$DDFE;
map2[5505][1]:=$C4AA;map2[5505][2]:=$C2AB;
map2[5506][1]:=$C4AB;map2[5506][2]:=$C6BB;
map2[5507][1]:=$C4AC;map2[5507][2]:=$CBD5;
map2[5508][1]:=$C4AD;map2[5508][2]:=$D4CC;
map2[5509][1]:=$C4AE;map2[5509][2]:=$F2BA;
map2[5510][1]:=$C4AF;map2[5510][2]:=$C8E4;
map2[5511][1]:=$C4B0;map2[5511][2]:=$F1DC;
map2[5512][1]:=$C4B1;map2[5512][2]:=$BEF5;
map2[5513][1]:=$C4B2;map2[5513][2]:=$B4A5;
map2[5514][1]:=$C4B3;map2[5514][2]:=$D2E9;
map2[5515][1]:=$C4B4;map2[5515][2]:=$C6A9;
map2[5516][1]:=$C4B5;map2[5516][2]:=$BEAF;
map2[5517][1]:=$C4B6;map2[5517][2]:=$D2EB;
map2[5518][1]:=$C4B7;map2[5518][2]:=$D4EB;
map2[5519][1]:=$C4B8;map2[5519][2]:=$DADE;
map2[5520][1]:=$C4B9;map2[5520][2]:=$D3AE;
map2[5521][1]:=$C4BA;map2[5521][2]:=$C9C4;
map2[5522][1]:=$C4BB;map2[5522][2]:=$F5BB;
map2[5523][1]:=$C4BC;map2[5523][2]:=$D4EA;
map2[5524][1]:=$C4BD;map2[5524][2]:=$F5EE;
map2[5525][1]:=$C4BE;map2[5525][2]:=$DB51;
map2[5526][1]:=$C4BF;map2[5526][2]:=$F5B7;
map2[5527][1]:=$C4C0;map2[5527][2]:=$CACD;
map2[5528][1]:=$C4C1;map2[5528][2]:=$D6D3;
map2[5529][1]:=$C4C2;map2[5529][2]:=$EEF3;
map2[5530][1]:=$C4C3;map2[5530][2]:=$D0E2;
map2[5531][1]:=$C4C4;map2[5531][2]:=$B2FB;
map2[5532][1]:=$C4C5;map2[5532][2]:=$F6B1;
map2[5533][1]:=$C4C6;map2[5533][2]:=$C6AE;
map2[5534][1]:=$C4C7;map2[5534][2]:=$C8C4;
map2[5535][1]:=$C4C8;map2[5535][2]:=$BCA2;
map2[5536][1]:=$C4C9;map2[5536][2]:=$DCB0;
map2[5537][1]:=$C4CA;map2[5537][2]:=$E5B9;
map2[5538][1]:=$C4CB;map2[5538][2]:=$CCDA;
map2[5539][1]:=$C4CC;map2[5539][2]:=$C9A7;
map2[5540][1]:=$C4CD;map2[5540][2]:=$F27B;
map2[5541][1]:=$C4CE;map2[5541][2]:=$C8FA;
map2[5542][1]:=$C4CF;map2[5542][2]:=$F6FA;
map2[5543][1]:=$C4D0;map2[5543][2]:=$CFCC;
map2[5544][1]:=$C4D1;map2[5544][2]:=$C3E6;
map2[5545][1]:=$C4D2;map2[5545][2]:=$B5B3;
map2[5546][1]:=$C4D3;map2[5546][2]:=$F7F9;
map2[5547][1]:=$C4D4;map2[5547][2]:=$F6B4;
map2[5548][1]:=$C4D5;map2[5548][2]:=$B3F6;
map2[5549][1]:=$C4D6;map2[5549][2]:=$C1E4;
map2[5550][1]:=$C4D7;map2[5550][2]:=$D9B3;
map2[5551][1]:=$C4D8;map2[5551][2]:=$C2DE;
map2[5552][1]:=$C4D9;map2[5552][2]:=$E0BF;
map2[5553][1]:=$C4DA;map2[5553][2]:=$DFF9;
map2[5554][1]:=$C4DB;map2[5554][2]:=$CFF9;
map2[5555][1]:=$C4DC;map2[5555][2]:=$D9E7;
map2[5556][1]:=$C4DD;map2[5556][2]:=$CAF4;
map2[5557][1]:=$C4DE;map2[5557][2]:=$CEA1;
map2[5558][1]:=$C4DF;map2[5558][2]:=$BEE5;
map2[5559][1]:=$C4E0;map2[5559][2]:=$C9E5;
map2[5560][1]:=$C4E1;map2[5560][2]:=$C9E3;
map2[5561][1]:=$C4E2;map2[5561][2]:=$D0AF;
map2[5562][1]:=$C4E3;map2[5562][2]:=$ECB5;
map2[5563][1]:=$C4E4;map2[5563][2]:=$EAD9;
map2[5564][1]:=$C4E5;map2[5564][2]:=$D3A3;
map2[5565][1]:=$C4E6;map2[5565][2]:=$C0B8;
map2[5566][1]:=$C4E7;map2[5566][2]:=$E8F9;
map2[5567][1]:=$C4E8;map2[5567][2]:=$BCDF;
map2[5568][1]:=$C4E9;map2[5568][2]:=$B9E0;
map2[5569][1]:=$C4EA;map2[5569][2]:=$C0C3;
map2[5570][1]:=$C4EB;map2[5570][2]:=$CEFE;
map2[5571][1]:=$C4EC;map2[5571][2]:=$AD8D;
map2[5572][1]:=$C4ED;map2[5572][2]:=$E8AC;
map2[5573][1]:=$C4EE;map2[5573][2]:=$F1AE;
map2[5574][1]:=$C4EF;map2[5574][2]:=$B180;
map2[5575][1]:=$C4F0;map2[5575][2]:=$CCD9;
map2[5576][1]:=$C4F1;map2[5576][2]:=$B2F8;
map2[5577][1]:=$C4F2;map2[5577][2]:=$D0F8;
map2[5578][1]:=$C4F3;map2[5578][2]:=$E5F1;
map2[5579][1]:=$C4F4;map2[5579][2]:=$CC59;
map2[5580][1]:=$C4F5;map2[5580][2]:=$C0BC;
map2[5581][1]:=$C4F6;map2[5581][2]:=$DEBA;
map2[5582][1]:=$C4F7;map2[5582][2]:=$F2C3;
map2[5583][1]:=$C4F8;map2[5583][2]:=$B4C0;
map2[5584][1]:=$C4F9;map2[5584][2]:=$F3BB;
map2[5585][1]:=$C4FA;map2[5585][2]:=$C0AF;
map2[5586][1]:=$C4FB;map2[5586][2]:=$CDE0;
map2[5587][1]:=$C4FC;map2[5587][2]:=$D26F;
map2[5588][1]:=$C4FD;map2[5588][2]:=$C0C0;
map2[5589][1]:=$C4FE;map2[5589][2]:=$C7B4;
map2[5590][1]:=$C540;map2[5590][2]:=$BBA4;
map2[5591][1]:=$C541;map2[5591][2]:=$D3FE;
map2[5592][1]:=$C542;map2[5592][2]:=$D4DF;
map2[5593][1]:=$C543;map2[5593][2]:=$B3EC;
map2[5594][1]:=$C544;map2[5594][2]:=$D4BE;
map2[5595][1]:=$C545;map2[5595][2]:=$F5D2;
map2[5596][1]:=$C546;map2[5596][2]:=$BAE4;
map2[5597][1]:=$C547;map2[5597][2]:=$B1E7;
map2[5598][1]:=$C548;map2[5598][2]:=$F5B8;
map2[5599][1]:=$C549;map2[5599][2]:=$C1AD;
map2[5600][1]:=$C54A;map2[5600][2]:=$C0D8;
map2[5601][1]:=$C54B;map2[5601][2]:=$CCFA;
map2[5602][1]:=$C54C;map2[5602][2]:=$EEF5;
map2[5603][1]:=$C54D;map2[5603][2]:=$EEEC;
map2[5604][1]:=$C54E;map2[5604][2]:=$EFED;
map2[5605][1]:=$C54F;map2[5605][2]:=$EFD4;
map2[5606][1]:=$C550;map2[5606][2]:=$B1D9;
map2[5607][1]:=$C551;map2[5607][2]:=$B0D4;
map2[5608][1]:=$C552;map2[5608][2]:=$C5F9;
map2[5609][1]:=$C553;map2[5609][2]:=$C2B6;
map2[5610][1]:=$C554;map2[5610][2]:=$CFEC;
map2[5611][1]:=$C555;map2[5611][2]:=$B9CB;
map2[5612][1]:=$C556;map2[5612][2]:=$F2AB;
map2[5613][1]:=$C557;map2[5613][2]:=$F7CF;
map2[5614][1]:=$C558;map2[5614][2]:=$C7FD;
map2[5615][1]:=$C559;map2[5615][2]:=$E6F4;
map2[5616][1]:=$C55A;map2[5616][2]:=$DDEB;
map2[5617][1]:=$C55B;map2[5617][2]:=$C2E2;
map2[5618][1]:=$C55C;map2[5618][2]:=$F7C3;
map2[5619][1]:=$C55D;map2[5619][2]:=$C4A7;
map2[5620][1]:=$C55E;map2[5620][2]:=$F7CE;
map2[5621][1]:=$C55F;map2[5621][2]:=$F7A2;
map2[5622][1]:=$C560;map2[5622][2]:=$F7A4;
map2[5623][1]:=$C561;map2[5623][2]:=$DDBA;
map2[5624][1]:=$C562;map2[5624][2]:=$BAD7;
map2[5625][1]:=$C563;map2[5625][2]:=$F0CE;
map2[5626][1]:=$C564;map2[5626][2]:=$FA55;
map2[5627][1]:=$C565;map2[5627][2]:=$F7EA;
map2[5628][1]:=$C566;map2[5628][2]:=$F7F6;
map2[5629][1]:=$C567;map2[5629][2]:=$DCB1;
map2[5630][1]:=$C568;map2[5630][2]:=$F6B7;
map2[5631][1]:=$C569;map2[5631][2]:=$F6B8;
map2[5632][1]:=$C56A;map2[5632][2]:=$C4F6;
map2[5633][1]:=$C56B;map2[5633][2]:=$D9B2;
map2[5634][1]:=$C56C;map2[5634][2]:=$D9CE;
map2[5635][1]:=$C56D;map2[5635][2]:=$DFBD;
map2[5636][1]:=$C56E;map2[5636][2]:=$C4D2;
map2[5637][1]:=$C56F;map2[5637][2]:=$86AA;
map2[5638][1]:=$C570;map2[5638][2]:=$C2CF;
map2[5639][1]:=$C571;map2[5639][2]:=$E1DB;
map2[5640][1]:=$C572;map2[5640][2]:=$C2CD;
map2[5641][1]:=$C573;map2[5641][2]:=$CDE4;
map2[5642][1]:=$C574;map2[5642][2]:=$DCB2;
map2[5643][1]:=$C575;map2[5643][2]:=$CCAF;
map2[5644][1]:=$C576;map2[5644][2]:=$C8A8;
map2[5645][1]:=$C577;map2[5645][2]:=$BBB6;
map2[5646][1]:=$C578;map2[5646][2]:=$C8F7;
map2[5647][1]:=$C579;map2[5647][2]:=$CCB2;
map2[5648][1]:=$C57A;map2[5648][2]:=$E2A4;
map2[5649][1]:=$C57B;map2[5649][2]:=$C8BF;
map2[5650][1]:=$C57C;map2[5650][2]:=$B5FE;
map2[5651][1]:=$C57D;map2[5651][2]:=$F1AB;
map2[5652][1]:=$C57E;map2[5652][2]:=$D1A2;
map2[5653][1]:=$C5A1;map2[5653][2]:=$ECFC;
map2[5654][1]:=$C5A2;map2[5654][2]:=$C1FD;
map2[5655][1]:=$C5A3;map2[5655][2]:=$F4A5;
map2[5656][1]:=$C5A4;map2[5656][2]:=$C1FB;
map2[5657][1]:=$C5A5;map2[5657][2]:=$CCFD;
map2[5658][1]:=$C5A6;map2[5658][2]:=$D4E0;
map2[5659][1]:=$C5A7;map2[5659][2]:=$CFAE;
map2[5660][1]:=$C5A8;map2[5660][2]:=$B3C4;
map2[5661][1]:=$C5A9;map2[5661][2]:=$D381;
map2[5662][1]:=$C5AA;map2[5662][2]:=$B6C1;
map2[5663][1]:=$C5AB;map2[5663][2]:=$CAEA;
map2[5664][1]:=$C5AC;map2[5664][2]:=$D8CD;
map2[5665][1]:=$C5AD;map2[5665][2]:=$F5DC;
map2[5666][1]:=$C5AE;map2[5666][2]:=$F5D9;
map2[5667][1]:=$C5AF;map2[5667][2]:=$E0CE;
map2[5668][1]:=$C5B0;map2[5668][2]:=$DBAA;
map2[5669][1]:=$C5B1;map2[5669][2]:=$D6FD;
map2[5670][1]:=$C5B2;map2[5670][2]:=$BCF8;
map2[5671][1]:=$C5B3;map2[5671][2]:=$BCF8;
map2[5672][1]:=$C5B4;map2[5672][2]:=$F6AB;
map2[5673][1]:=$C5B5;map2[5673][2]:=$F6B2;
map2[5674][1]:=$C5B6;map2[5674][2]:=$F7B2;
map2[5675][1]:=$C5B7;map2[5675][2]:=$E7D6;
map2[5676][1]:=$C5B8;map2[5676][2]:=$B2FC;
map2[5677][1]:=$C5B9;map2[5677][2]:=$F7D2;
map2[5678][1]:=$C5BA;map2[5678][2]:=$BDBE;
map2[5679][1]:=$C5BB;map2[5679][2]:=$E6E7;
map2[5680][1]:=$C5BC;map2[5680][2]:=$D4E0;
map2[5681][1]:=$C5BD;map2[5681][2]:=$D0EB;
map2[5682][1]:=$C5BE;map2[5682][2]:=$B1EE;
map2[5683][1]:=$C5BF;map2[5683][2]:=$F6E3;
map2[5684][1]:=$C5C0;map2[5684][2]:=$F7A7;
map2[5685][1]:=$C5C1;map2[5685][2]:=$F7A9;
map2[5686][1]:=$C5C2;map2[5686][2]:=$F0D1;
map2[5687][1]:=$C5C3;map2[5687][2]:=$C5B8;
map2[5688][1]:=$C5C4;map2[5688][2]:=$F7FA;
map2[5689][1]:=$C5C5;map2[5689][2]:=$F6B9;
map2[5690][1]:=$C5C6;map2[5690][2]:=$F6BA;
map2[5691][1]:=$C5C7;map2[5691][2]:=$B9A8;
map2[5692][1]:=$C5C8;map2[5692][2]:=$CBD5;
map2[5693][1]:=$C5C9;map2[5693][2]:=$D1D2;
map2[5694][1]:=$C5CA;map2[5694][2]:=$C1B5;
map2[5695][1]:=$C5CB;map2[5695][2]:=$C2CE;
map2[5696][1]:=$C5CC;map2[5696][2]:=$BEF0;
map2[5697][1]:=$C5CD;map2[5697][2]:=$BDC1;
map2[5698][1]:=$C5CE;map2[5698][2]:=$C9B9;
map2[5699][1]:=$C5CF;map2[5699][2]:=$99E6;
map2[5700][1]:=$C5D0;map2[5700][2]:=$E8B6;
map2[5701][1]:=$C5D1;map2[5701][2]:=$C7D4;
map2[5702][1]:=$C5D2;map2[5702][2]:=$C7A9;
map2[5703][1]:=$C5D3;map2[5703][2]:=$BB5F;
map2[5704][1]:=$C5D4;map2[5704][2]:=$D4BF;
map2[5705][1]:=$C5D5;map2[5705][2]:=$D3A7;
map2[5706][1]:=$C5D6;map2[5706][2]:=$CFCB;
map2[5707][1]:=$C5D7;map2[5707][2]:=$C075;
map2[5708][1]:=$C5D8;map2[5708][2]:=$C548;
map2[5709][1]:=$C5D9;map2[5709][2]:=$D5BA;
map2[5710][1]:=$C5DA;map2[5710][2]:=$C2DC;
map2[5711][1]:=$C5DB;map2[5711][2]:=$B9C6;
map2[5712][1]:=$C5DC;map2[5712][2]:=$B1E4;
map2[5713][1]:=$C5DD;map2[5713][2]:=$E5CE;
map2[5714][1]:=$C5DE;map2[5714][2]:=$C2DF;
map2[5715][1]:=$C5DF;map2[5715][2]:=$EFF0;
map2[5716][1]:=$C5E0;map2[5716][2]:=$EEE5;
map2[5717][1]:=$C5E1;map2[5717][2]:=$C5D9;
map2[5718][1]:=$C5E2;map2[5718][2]:=$D8CC;
map2[5719][1]:=$C5E3;map2[5719][2]:=$CFD4;
map2[5720][1]:=$C5E4;map2[5720][2]:=$F7D0;
map2[5721][1]:=$C5E5;map2[5721][2]:=$BEAA;
map2[5722][1]:=$C5E6;map2[5722][2]:=$E6E4;
map2[5723][1]:=$C5E7;map2[5723][2]:=$D1E9;
map2[5724][1]:=$C5E8;map2[5724][2]:=$CBE8;
map2[5725][1]:=$C5E9;map2[5725][2]:=$CCE5;
map2[5726][1]:=$C5EA;map2[5726][2]:=$F7C7;
map2[5727][1]:=$C5EB;map2[5727][2]:=$F7AD;
map2[5728][1]:=$C5EC;map2[5728][2]:=$C1DB;
map2[5729][1]:=$C5ED;map2[5729][2]:=$F7AC;
map2[5730][1]:=$C5EE;map2[5730][2]:=$F0B8;
map2[5731][1]:=$C5EF;map2[5731][2]:=$F7EB;
map2[5732][1]:=$C5F0;map2[5732][2]:=$C3B9;
map2[5733][1]:=$C5F1;map2[5733][2]:=$D6F6;
map2[5734][1]:=$C5F2;map2[5734][2]:=$B0D3;
map2[5735][1]:=$C5F3;map2[5735][2]:=$C0BF;
map2[5736][1]:=$C5F4;map2[5736][2]:=$E5B1;
map2[5737][1]:=$C5F5;map2[5737][2]:=$CCB1;
map2[5738][1]:=$C5F6;map2[5738][2]:=$F1B2;
map2[5739][1]:=$C5F7;map2[5739][2]:=$B4A3;
map2[5740][1]:=$C5F8;map2[5740][2]:=$B9DE;
map2[5741][1]:=$C5F9;map2[5741][2]:=$EEBF;
map2[5742][1]:=$C5FA;map2[5742][2]:=$B2CF;
map2[5743][1]:=$C5FB;map2[5743][2]:=$F3BC;
map2[5744][1]:=$C5FC;map2[5744][2]:=$E1E9;
map2[5745][1]:=$C5FD;map2[5745][2]:=$C8C3;
map2[5746][1]:=$C5FE;map2[5746][2]:=$B2F7;
map2[5747][1]:=$C640;map2[5747][2]:=$DADF;
map2[5748][1]:=$C641;map2[5748][2]:=$D1DE;
map2[5749][1]:=$C642;map2[5749][2]:=$B8D3;
map2[5750][1]:=$C643;map2[5750][2]:=$C4F0;
map2[5751][1]:=$C644;map2[5751][2]:=$C2AF;
map2[5752][1]:=$C645;map2[5752][2]:=$F6A8;
map2[5753][1]:=$C646;map2[5753][2]:=$C1E9;
map2[5754][1]:=$C647;map2[5754][2]:=$F6B0;
map2[5755][1]:=$C648;map2[5755][2]:=$C7A7;
map2[5756][1]:=$C649;map2[5756][2]:=$F2AD;
map2[5757][1]:=$C64A;map2[5757][2]:=$D6E8;
map2[5758][1]:=$C64B;map2[5758][2]:=$F7DE;
map2[5759][1]:=$C64C;map2[5759][2]:=$F7CA;
map2[5760][1]:=$C64D;map2[5760][2]:=$F6D7;
map2[5761][1]:=$C64E;map2[5761][2]:=$D3A5;
map2[5762][1]:=$C64F;map2[5762][2]:=$F0D8;
map2[5763][1]:=$C650;map2[5763][2]:=$BCEE;
map2[5764][1]:=$C651;map2[5764][2]:=$D1CE;
map2[5765][1]:=$C652;map2[5765][2]:=$F7A1;
map2[5766][1]:=$C653;map2[5766][2]:=$F6BB;
map2[5767][1]:=$C654;map2[5767][2]:=$C8A3;
map2[5768][1]:=$C655;map2[5768][2]:=$CCFC;
map2[5769][1]:=$C656;map2[5769][2]:=$E9AD;
map2[5770][1]:=$C657;map2[5770][2]:=$CDE5;
map2[5771][1]:=$C658;map2[5771][2]:=$C0E9;
map2[5772][1]:=$C659;map2[5772][2]:=$C2E1;
map2[5773][1]:=$C65A;map2[5773][2]:=$C2F9;
map2[5774][1]:=$C65B;map2[5774][2]:=$B9DB;
map2[5775][1]:=$C65C;map2[5775][2]:=$F5E6;
map2[5776][1]:=$C65D;map2[5776][2]:=$D0C6;
map2[5777][1]:=$C65E;map2[5777][2]:=$CFE2;
map2[5778][1]:=$C65F;map2[5778][2]:=$D4BF;
map2[5779][1]:=$C660;map2[5779][2]:=$C2AD;
map2[5780][1]:=$C661;map2[5780][2]:=$B2F6;
map2[5781][1]:=$C662;map2[5781][2]:=$F7C5;
map2[5782][1]:=$C663;map2[5782][2]:=$F7E0;
map2[5783][1]:=$C664;map2[5783][2]:=$D9E4;
map2[5784][1]:=$C665;map2[5784][2]:=$C2D0;
map2[5785][1]:=$C666;map2[5785][2]:=$D6F5;
map2[5786][1]:=$C667;map2[5786][2]:=$D4DE;
map2[5787][1]:=$C668;map2[5787][2]:=$C4F7;
map2[5788][1]:=$C669;map2[5788][2]:=$F7B5;
map2[5789][1]:=$C66A;map2[5789][2]:=$C2BF;
map2[5790][1]:=$C66B;map2[5790][2]:=$E6F7;
map2[5791][1]:=$C66C;map2[5791][2]:=$C0C2;
map2[5792][1]:=$C66D;map2[5792][2]:=$DAD4;
map2[5793][1]:=$C66E;map2[5793][2]:=$F5EF;
map2[5794][1]:=$C66F;map2[5794][2]:=$F5A6;
map2[5795][1]:=$C670;map2[5795][2]:=$D7EA;
map2[5796][1]:=$C671;map2[5796][2]:=$F6C7;
map2[5797][1]:=$C672;map2[5797][2]:=$C2E0;
map2[5798][1]:=$C673;map2[5798][2]:=$F6F9;
map2[5799][1]:=$C674;map2[5799][2]:=$F6D4;
map2[5800][1]:=$C675;map2[5800][2]:=$F7F2;
map2[5801][1]:=$C676;map2[5801][2]:=$D1DE;
map2[5802][1]:=$C677;map2[5802][2]:=$D4E4;
map2[5803][1]:=$C678;map2[5803][2]:=$F0D0;
map2[5804][1]:=$C679;map2[5804][2]:=$ECE0;
map2[5805][1]:=$C67A;map2[5805][2]:=$E6EA;
map2[5806][1]:=$C67B;map2[5806][2]:=$D3F4;
map2[5807][1]:=$C67C;map2[5807][2]:=$F0D9;
map2[5808][1]:=$C67D;map2[5808][2]:=$F0BD;
map2[5809][1]:=$C67E;map2[5809][2]:=$D3F5;
map2[5810][1]:=$C940;map2[5810][2]:=$8156;
map2[5811][1]:=$C941;map2[5811][2]:=$D8BF;
map2[5812][1]:=$C942;map2[5812][2]:=$DBC9;
map2[5813][1]:=$C943;map2[5813][2]:=$D8CE;
map2[5814][1]:=$C944;map2[5814][2]:=$B3A7;
map2[5815][1]:=$C945;map2[5815][2]:=$CDF2;
map2[5816][1]:=$C946;map2[5816][2]:=$D8A2;
map2[5817][1]:=$C947;map2[5817][2]:=$D8B1;
map2[5818][1]:=$C948;map2[5818][2]:=$D8A1;
map2[5819][1]:=$C949;map2[5819][2]:=$E0ED;
map2[5820][1]:=$C94A;map2[5820][2]:=$FE40;
map2[5821][1]:=$C94B;map2[5821][2]:=$E5F8;
map2[5822][1]:=$C94C;map2[5822][2]:=$E1DC;
map2[5823][1]:=$C94D;map2[5823][2]:=$8144;
map2[5824][1]:=$C94E;map2[5824][2]:=$83D3;
map2[5825][1]:=$C94F;map2[5825][2]:=$D3EB;
map2[5826][1]:=$C950;map2[5826][2]:=$814D;
map2[5827][1]:=$C951;map2[5827][2]:=$D8C1;
map2[5828][1]:=$C952;map2[5828][2]:=$D8EC;
map2[5829][1]:=$C953;map2[5829][2]:=$D8EB;
map2[5830][1]:=$C954;map2[5830][2]:=$8194;
map2[5831][1]:=$C955;map2[5831][2]:=$83DC;
map2[5832][1]:=$C956;map2[5832][2]:=$84F3;
map2[5833][1]:=$C957;map2[5833][2]:=$856E;
map2[5834][1]:=$C958;map2[5834][2]:=$859C;
map2[5835][1]:=$C959;map2[5835][2]:=$884C;
map2[5836][1]:=$C95A;map2[5836][2]:=$89E0;
map2[5837][1]:=$C95B;map2[5837][2]:=$89F8;
map2[5838][1]:=$C95C;map2[5838][2]:=$8CA8;
map2[5839][1]:=$C95D;map2[5839][2]:=$8E88;
map2[5840][1]:=$C95E;map2[5840][2]:=$94FA;
map2[5841][1]:=$C95F;map2[5841][2]:=$ECAF;
map2[5842][1]:=$C960;map2[5842][2]:=$9AAF;
map2[5843][1]:=$C961;map2[5843][2]:=$C6F8;
map2[5844][1]:=$C962;map2[5844][2]:=$E3DC;
map2[5845][1]:=$C963;map2[5845][2]:=$814F;
map2[5846][1]:=$C964;map2[5846][2]:=$8153;
map2[5847][1]:=$C965;map2[5847][2]:=$D8ED;
map2[5848][1]:=$C966;map2[5848][2]:=$819B;
map2[5849][1]:=$C967;map2[5849][2]:=$81A0;
map2[5850][1]:=$C968;map2[5850][2]:=$D8EE;
map2[5851][1]:=$C969;map2[5851][2]:=$D9DA;
map2[5852][1]:=$C96A;map2[5852][2]:=$8199;
map2[5853][1]:=$C96B;map2[5853][2]:=$8459;
map2[5854][1]:=$C96C;map2[5854][2]:=$8546;
map2[5855][1]:=$C96D;map2[5855][2]:=$8563;
map2[5856][1]:=$C96E;map2[5856][2]:=$884E;
map2[5857][1]:=$C96F;map2[5857][2]:=$CAA5;
map2[5858][1]:=$C970;map2[5858][2]:=$89ED;
map2[5859][1]:=$C971;map2[5859][2]:=$BABB;
map2[5860][1]:=$C972;map2[5860][2]:=$C4FE;
map2[5861][1]:=$C973;map2[5861][2]:=$E5B3;
map2[5862][1]:=$C974;map2[5862][2]:=$8CA9;
map2[5863][1]:=$C975;map2[5863][2]:=$E5EA;
map2[5864][1]:=$C976;map2[5864][2]:=$8CDE;
map2[5865][1]:=$C977;map2[5865][2]:=$8CDD;
map2[5866][1]:=$C978;map2[5866][2]:=$8E8A;
map2[5867][1]:=$C979;map2[5867][2]:=$E2CF;
map2[5868][1]:=$C97A;map2[5868][2]:=$8ED9;
map2[5869][1]:=$C97B;map2[5869][2]:=$E2E1;
map2[5870][1]:=$C97C;map2[5870][2]:=$91E0;
map2[5871][1]:=$C97D;map2[5871][2]:=$9241;
map2[5872][1]:=$C97E;map2[5872][2]:=$EBAD;
map2[5873][1]:=$C9A1;map2[5873][2]:=$9AE9;
map2[5874][1]:=$C9A2;map2[5874][2]:=$9AF1;
map2[5875][1]:=$C9A3;map2[5875][2]:=$9AF0;
map2[5876][1]:=$C9A4;map2[5876][2]:=$9AED;
map2[5877][1]:=$C9A5;map2[5877][2]:=$A0E3;
map2[5878][1]:=$C9A6;map2[5878][2]:=$E1EC;
map2[5879][1]:=$C9A7;map2[5879][2]:=$AB54;
map2[5880][1]:=$C9A8;map2[5880][2]:=$B662;
map2[5881][1]:=$C9A9;map2[5881][2]:=$C345;
map2[5882][1]:=$C9AA;map2[5882][2]:=$EA62;
map2[5883][1]:=$C9AB;map2[5883][2]:=$BCBF;
map2[5884][1]:=$C9AC;map2[5884][2]:=$D3C5;
map2[5885][1]:=$C9AD;map2[5885][2]:=$81C0;
map2[5886][1]:=$C9AE;map2[5886][2]:=$D8F5;
map2[5887][1]:=$C9AF;map2[5887][2]:=$81B7;
map2[5888][1]:=$C9B0;map2[5888][2]:=$81A4;
map2[5889][1]:=$C9B1;map2[5889][2]:=$81AB;
map2[5890][1]:=$C9B2;map2[5890][2]:=$BCDB;
map2[5891][1]:=$C9B3;map2[5891][2]:=$81B2;
map2[5892][1]:=$C9B4;map2[5892][2]:=$81BB;
map2[5893][1]:=$C9B5;map2[5893][2]:=$81AC;
map2[5894][1]:=$C9B6;map2[5894][2]:=$81AF;
map2[5895][1]:=$C9B7;map2[5895][2]:=$D8F3;
map2[5896][1]:=$C9B8;map2[5896][2]:=$81B6;
map2[5897][1]:=$C9B9;map2[5897][2]:=$81AE;
map2[5898][1]:=$C9BA;map2[5898][2]:=$81A5;
map2[5899][1]:=$C9BB;map2[5899][2]:=$81B5;
map2[5900][1]:=$C9BC;map2[5900][2]:=$D9FC;
map2[5901][1]:=$C9BD;map2[5901][2]:=$845C;
map2[5902][1]:=$C9BE;map2[5902][2]:=$8457;
map2[5903][1]:=$C9BF;map2[5903][2]:=$845B;
map2[5904][1]:=$C9C0;map2[5904][2]:=$84B5;
map2[5905][1]:=$C9C1;map2[5905][2]:=$8549;
map2[5906][1]:=$C9C2;map2[5906][2]:=$8548;
map2[5907][1]:=$C9C3;map2[5907][2]:=$8564;
map2[5908][1]:=$C9C4;map2[5908][2]:=$857C;
map2[5909][1]:=$C9C5;map2[5909][2]:=$85BB;
map2[5910][1]:=$C9C6;map2[5910][2]:=$E0EF;
map2[5911][1]:=$C9C7;map2[5911][2]:=$D8B6;
map2[5912][1]:=$C9C8;map2[5912][2]:=$DBDC;
map2[5913][1]:=$C9C9;map2[5913][2]:=$DBD9;
map2[5914][1]:=$C9CA;map2[5914][2]:=$8856;
map2[5915][1]:=$C9CB;map2[5915][2]:=$DEC5;
map2[5916][1]:=$C9CC;map2[5916][2]:=$8A6A;
map2[5917][1]:=$C9CD;map2[5917][2]:=$8A67;
map2[5918][1]:=$C9CE;map2[5918][2]:=$8A6B;
map2[5919][1]:=$C9CF;map2[5919][2]:=$8A66;
map2[5920][1]:=$C9D0;map2[5920][2]:=$8A68;
map2[5921][1]:=$C9D1;map2[5921][2]:=$8A64;
map2[5922][1]:=$C9D2;map2[5922][2]:=$8A69;
map2[5923][1]:=$C9D3;map2[5923][2]:=$8C49;
map2[5924][1]:=$C9D4;map2[5924][2]:=$E6D8;
map2[5925][1]:=$C9D5;map2[5925][2]:=$DECD;
map2[5926][1]:=$C9D6;map2[5926][2]:=$8CE4;
map2[5927][1]:=$C9D7;map2[5927][2]:=$E1A8;
map2[5928][1]:=$C9D8;map2[5928][2]:=$8CE3;
map2[5929][1]:=$C9D9;map2[5929][2]:=$8CE6;
map2[5930][1]:=$C9DA;map2[5930][2]:=$8E78;
map2[5931][1]:=$C9DB;map2[5931][2]:=$8ED4;
map2[5932][1]:=$C9DC;map2[5932][2]:=$D7AF;
map2[5933][1]:=$C9DD;map2[5933][2]:=$D2EC;
map2[5934][1]:=$C9DE;map2[5934][2]:=$8F77;
map2[5935][1]:=$C9DF;map2[5935][2]:=$8FB0;
map2[5936][1]:=$C9E0;map2[5936][2]:=$8FE7;
map2[5937][1]:=$C9E1;map2[5937][2]:=$8FE6;
map2[5938][1]:=$C9E2;map2[5938][2]:=$E2E3;
map2[5939][1]:=$C9E3;map2[5939][2]:=$9247;
map2[5940][1]:=$C9E4;map2[5940][2]:=$9249;
map2[5941][1]:=$C9E5;map2[5941][2]:=$924E;
map2[5942][1]:=$C9E6;map2[5942][2]:=$C7A4;
map2[5943][1]:=$C9E7;map2[5943][2]:=$C7A4;
map2[5944][1]:=$C9E8;map2[5944][2]:=$924D;
map2[5945][1]:=$C9E9;map2[5945][2]:=$9245;
map2[5946][1]:=$C9EA;map2[5946][2]:=$924B;
map2[5947][1]:=$C9EB;map2[5947][2]:=$9246;
map2[5948][1]:=$C9EC;map2[5948][2]:=$924F;
map2[5949][1]:=$C9ED;map2[5949][2]:=$EAB9;
map2[5950][1]:=$C9EE;map2[5950][2]:=$EAB8;
map2[5951][1]:=$C9EF;map2[5951][2]:=$9662;
map2[5952][1]:=$C9F0;map2[5952][2]:=$965F;
map2[5953][1]:=$C9F1;map2[5953][2]:=$965E;
map2[5954][1]:=$C9F2;map2[5954][2]:=$9660;
map2[5955][1]:=$C9F3;map2[5955][2]:=$BBFA;
map2[5956][1]:=$C9F4;map2[5956][2]:=$9663;
map2[5957][1]:=$C9F5;map2[5957][2]:=$9661;
map2[5958][1]:=$C9F6;map2[5958][2]:=$965B;
map2[5959][1]:=$C9F7;map2[5959][2]:=$EBAE;
map2[5960][1]:=$C9F8;map2[5960][2]:=$D9E0;
map2[5961][1]:=$C9F9;map2[5961][2]:=$9AFB;
map2[5962][1]:=$C9FA;map2[5962][2]:=$E3E1;
map2[5963][1]:=$C9FB;map2[5963][2]:=$9AF9;
map2[5964][1]:=$C9FC;map2[5964][2]:=$E3E2;
map2[5965][1]:=$C9FD;map2[5965][2]:=$E3E0;
map2[5966][1]:=$C9FE;map2[5966][2]:=$9AF5;
map2[5967][1]:=$CA40;map2[5967][2]:=$9AF6;
map2[5968][1]:=$CA41;map2[5968][2]:=$9EBC;
map2[5969][1]:=$CA42;map2[5969][2]:=$A0AC;
map2[5970][1]:=$CA43;map2[5970][2]:=$E1ED;
map2[5971][1]:=$CA44;map2[5971][2]:=$A0E7;
map2[5972][1]:=$CA45;map2[5972][2]:=$E7E0;
map2[5973][1]:=$CA46;map2[5973][2]:=$AE66;
map2[5974][1]:=$CA47;map2[5974][2]:=$B06D;
map2[5975][1]:=$CA48;map2[5975][2]:=$B78A;
map2[5976][1]:=$CA49;map2[5976][2]:=$CDF8;
map2[5977][1]:=$CA4A;map2[5977][2]:=$DCB3;
map2[5978][1]:=$CA4B;map2[5978][2]:=$C64A;
map2[5979][1]:=$CA4C;map2[5979][2]:=$C64B;
map2[5980][1]:=$CA4D;map2[5980][2]:=$DCB4;
map2[5981][1]:=$CA4E;map2[5981][2]:=$DCB5;
map2[5982][1]:=$CA4F;map2[5982][2]:=$F2AE;
map2[5983][1]:=$CA50;map2[5983][2]:=$D281;
map2[5984][1]:=$CA51;map2[5984][2]:=$DAF8;
map2[5985][1]:=$CA52;map2[5985][2]:=$DAF5;
map2[5986][1]:=$CA53;map2[5986][2]:=$DF8E;
map2[5987][1]:=$CA54;map2[5987][2]:=$DAF6;
map2[5988][1]:=$CA55;map2[5988][2]:=$DF8C;
map2[5989][1]:=$CA56;map2[5989][2]:=$DAE3;
map2[5990][1]:=$CA57;map2[5990][2]:=$EA65;
map2[5991][1]:=$CA58;map2[5991][2]:=$EA63;
map2[5992][1]:=$CA59;map2[5992][2]:=$EA64;
map2[5993][1]:=$CA5A;map2[5993][2]:=$81D8;
map2[5994][1]:=$CA5B;map2[5994][2]:=$81C8;
map2[5995][1]:=$CA5C;map2[5995][2]:=$81DA;
map2[5996][1]:=$CA5D;map2[5996][2]:=$81D2;
map2[5997][1]:=$CA5E;map2[5997][2]:=$CCE5;
map2[5998][1]:=$CA5F;map2[5998][2]:=$D8F4;
map2[5999][1]:=$CA60;map2[5999][2]:=$81C9;
map2[6000][1]:=$CA61;map2[6000][2]:=$D8FB;
map2[6001][1]:=$CA62;map2[6001][2]:=$81D6;
map2[6002][1]:=$CA63;map2[6002][2]:=$D9A1;
map2[6003][1]:=$CA64;map2[6003][2]:=$81CC;
map2[6004][1]:=$CA65;map2[6004][2]:=$EEB4;
map2[6005][1]:=$CA66;map2[6005][2]:=$81C1;
map2[6006][1]:=$CA67;map2[6006][2]:=$81C4;
map2[6007][1]:=$CA68;map2[6007][2]:=$81CA;
map2[6008][1]:=$CA69;map2[6008][2]:=$81D9;
map2[6009][1]:=$CA6A;map2[6009][2]:=$83D7;
map2[6010][1]:=$CA6B;map2[6010][2]:=$83EC;
map2[6011][1]:=$CA6C;map2[6011][2]:=$845F;
map2[6012][1]:=$CA6D;map2[6012][2]:=$8460;
map2[6013][1]:=$CA6E;map2[6013][2]:=$8462;
map2[6014][1]:=$CA6F;map2[6014][2]:=$DBBF;
map2[6015][1]:=$CA70;map2[6015][2]:=$84B7;
map2[6016][1]:=$CA71;map2[6016][2]:=$84FA;
map2[6017][1]:=$CA72;map2[6017][2]:=$D8D5;
map2[6018][1]:=$CA73;map2[6018][2]:=$8570;
map2[6019][1]:=$CA74;map2[6019][2]:=$857D;
map2[6020][1]:=$CA75;map2[6020][2]:=$857E;
map2[6021][1]:=$CA76;map2[6021][2]:=$85C6;
map2[6022][1]:=$CA77;map2[6022][2]:=$85C9;
map2[6023][1]:=$CA78;map2[6023][2]:=$85C5;
map2[6024][1]:=$CA79;map2[6024][2]:=$DFBE;
map2[6025][1]:=$CA7A;map2[6025][2]:=$85D0;
map2[6026][1]:=$CA7B;map2[6026][2]:=$85BF;
map2[6027][1]:=$CA7C;map2[6027][2]:=$85C1;
map2[6028][1]:=$CA7D;map2[6028][2]:=$85C4;
map2[6029][1]:=$CA7E;map2[6029][2]:=$85BE;
map2[6030][1]:=$CAA1;map2[6030][2]:=$85CB;
map2[6031][1]:=$CAA2;map2[6031][2]:=$85D6;
map2[6032][1]:=$CAA3;map2[6032][2]:=$85CD;
map2[6033][1]:=$CAA4;map2[6033][2]:=$B6D6;
map2[6034][1]:=$CAA5;map2[6034][2]:=$85C3;
map2[6035][1]:=$CAA6;map2[6035][2]:=$85D1;
map2[6036][1]:=$CAA7;map2[6036][2]:=$87EA;
map2[6037][1]:=$CAA8;map2[6037][2]:=$87E5;
map2[6038][1]:=$CAA9;map2[6038][2]:=$87E3;
map2[6039][1]:=$CAAA;map2[6039][2]:=$885E;
map2[6040][1]:=$CAAB;map2[6040][2]:=$8861;
map2[6041][1]:=$CAAC;map2[6041][2]:=$DBD0;
map2[6042][1]:=$CAAD;map2[6042][2]:=$8864;
map2[6043][1]:=$CAAE;map2[6043][2]:=$8865;
map2[6044][1]:=$CAAF;map2[6044][2]:=$8866;
map2[6045][1]:=$CAB0;map2[6045][2]:=$89E2;
map2[6046][1]:=$CAB1;map2[6046][2]:=$8A43;
map2[6047][1]:=$CAB2;map2[6047][2]:=$8A7E;
map2[6048][1]:=$CAB3;map2[6048][2]:=$8A75;
map2[6049][1]:=$CAB4;map2[6049][2]:=$8A7B;
map2[6050][1]:=$CAB5;map2[6050][2]:=$E6A1;
map2[6051][1]:=$CAB6;map2[6051][2]:=$8A6F;
map2[6052][1]:=$CAB7;map2[6052][2]:=$8A7D;
map2[6053][1]:=$CAB8;map2[6053][2]:=$8A71;
map2[6054][1]:=$CAB9;map2[6054][2]:=$8A70;
map2[6055][1]:=$CABA;map2[6055][2]:=$8A80;
map2[6056][1]:=$CABB;map2[6056][2]:=$8A7C;
map2[6057][1]:=$CABC;map2[6057][2]:=$8C61;
map2[6058][1]:=$CABD;map2[6058][2]:=$8C64;
map2[6059][1]:=$CABE;map2[6059][2]:=$8CB4;
map2[6060][1]:=$CABF;map2[6060][2]:=$8CB6;
map2[6061][1]:=$CAC0;map2[6061][2]:=$E1A9;
map2[6062][1]:=$CAC1;map2[6062][2]:=$8CF1;
map2[6063][1]:=$CAC2;map2[6063][2]:=$E1AC;
map2[6064][1]:=$CAC3;map2[6064][2]:=$8CEF;
map2[6065][1]:=$CAC4;map2[6065][2]:=$8CED;
map2[6066][1]:=$CAC5;map2[6066][2]:=$8CF2;
map2[6067][1]:=$CAC6;map2[6067][2]:=$8CEE;
map2[6068][1]:=$CAC7;map2[6068][2]:=$8CEB;
map2[6069][1]:=$CAC8;map2[6069][2]:=$8CF3;
map2[6070][1]:=$CAC9;map2[6070][2]:=$8CF4;
map2[6071][1]:=$CACA;map2[6071][2]:=$8E79;
map2[6072][1]:=$CACB;map2[6072][2]:=$8E8D;
map2[6073][1]:=$CACC;map2[6073][2]:=$8E90;
map2[6074][1]:=$CACD;map2[6074][2]:=$E2D1;
map2[6075][1]:=$CACE;map2[6075][2]:=$8EDD;
map2[6076][1]:=$CACF;map2[6076][2]:=$8EDE;
map2[6077][1]:=$CAD0;map2[6077][2]:=$8EDC;
map2[6078][1]:=$CAD1;map2[6078][2]:=$8EDF;
map2[6079][1]:=$CAD2;map2[6079][2]:=$8F6B;
map2[6080][1]:=$CAD3;map2[6080][2]:=$8F79;
map2[6081][1]:=$CAD4;map2[6081][2]:=$8FB3;
map2[6082][1]:=$CAD5;map2[6082][2]:=$8FB2;
map2[6083][1]:=$CAD6;map2[6083][2]:=$DFAF;
map2[6084][1]:=$CAD7;map2[6084][2]:=$ECFD;
map2[6085][1]:=$CAD8;map2[6085][2]:=$ECFE;
map2[6086][1]:=$CAD9;map2[6086][2]:=$E2ED;
map2[6087][1]:=$CADA;map2[6087][2]:=$8FF1;
map2[6088][1]:=$CADB;map2[6088][2]:=$E2E5;
map2[6089][1]:=$CADC;map2[6089][2]:=$8FF7;
map2[6090][1]:=$CADD;map2[6090][2]:=$E2E7;
map2[6091][1]:=$CADE;map2[6091][2]:=$E2E8;
map2[6092][1]:=$CADF;map2[6092][2]:=$8FEE;
map2[6093][1]:=$CAE0;map2[6093][2]:=$8FFC;
map2[6094][1]:=$CAE1;map2[6094][2]:=$8FF4;
map2[6095][1]:=$CAE2;map2[6095][2]:=$8FFA;
map2[6096][1]:=$CAE3;map2[6096][2]:=$D0C3;
map2[6097][1]:=$CAE4;map2[6097][2]:=$BBB3;
map2[6098][1]:=$CAE5;map2[6098][2]:=$8FF8;
map2[6099][1]:=$CAE6;map2[6099][2]:=$91F7;
map2[6100][1]:=$CAE7;map2[6100][2]:=$925C;
map2[6101][1]:=$CAE8;map2[6101][2]:=$9262;
map2[6102][1]:=$CAE9;map2[6102][2]:=$9264;
map2[6103][1]:=$CAEA;map2[6103][2]:=$9265;
map2[6104][1]:=$CAEB;map2[6104][2]:=$9267;
map2[6105][1]:=$CAEC;map2[6105][2]:=$925F;
map2[6106][1]:=$CAED;map2[6106][2]:=$9251;
map2[6107][1]:=$CAEE;map2[6107][2]:=$9258;
map2[6108][1]:=$CAEF;map2[6108][2]:=$9257;
map2[6109][1]:=$CAF0;map2[6109][2]:=$C8C5;
map2[6110][1]:=$CAF1;map2[6110][2]:=$925A;
map2[6111][1]:=$CAF2;map2[6111][2]:=$9260;
map2[6112][1]:=$CAF3;map2[6112][2]:=$9255;
map2[6113][1]:=$CAF4;map2[6113][2]:=$9259;
map2[6114][1]:=$CAF5;map2[6114][2]:=$9252;
map2[6115][1]:=$CAF6;map2[6115][2]:=$9253;
map2[6116][1]:=$CAF7;map2[6116][2]:=$BFBC;
map2[6117][1]:=$CAF8;map2[6117][2]:=$EABA;
map2[6118][1]:=$CAF9;map2[6118][2]:=$9542;
map2[6119][1]:=$CAFA;map2[6119][2]:=$9541;
map2[6120][1]:=$CAFB;map2[6120][2]:=$9540;
map2[6121][1]:=$CAFC;map2[6121][2]:=$9543;
map2[6122][1]:=$CAFD;map2[6122][2]:=$9666;
map2[6123][1]:=$CAFE;map2[6123][2]:=$9667;
map2[6124][1]:=$CB40;map2[6124][2]:=$9670;
map2[6125][1]:=$CB41;map2[6125][2]:=$966D;
map2[6126][1]:=$CB42;map2[6126][2]:=$E8BB;
map2[6127][1]:=$CB43;map2[6127][2]:=$E8BE;
map2[6128][1]:=$CB44;map2[6128][2]:=$9673;
map2[6129][1]:=$CB45;map2[6129][2]:=$966A;
map2[6130][1]:=$CB46;map2[6130][2]:=$9671;
map2[6131][1]:=$CB47;map2[6131][2]:=$9669;
map2[6132][1]:=$CB48;map2[6132][2]:=$9AB1;
map2[6133][1]:=$CB49;map2[6133][2]:=$EBAF;
map2[6134][1]:=$CB4A;map2[6134][2]:=$EBB0;
map2[6135][1]:=$CB4B;map2[6135][2]:=$9B50;
map2[6136][1]:=$CB4C;map2[6136][2]:=$9B46;
map2[6137][1]:=$CB4D;map2[6137][2]:=$9B47;
map2[6138][1]:=$CB4E;map2[6138][2]:=$9B56;
map2[6139][1]:=$CB4F;map2[6139][2]:=$9B59;
map2[6140][1]:=$CB50;map2[6140][2]:=$C6E3;
map2[6141][1]:=$CB51;map2[6141][2]:=$9B4C;
map2[6142][1]:=$CB52;map2[6142][2]:=$9B4B;
map2[6143][1]:=$CB53;map2[6143][2]:=$E3E9;
map2[6144][1]:=$CB54;map2[6144][2]:=$9B62;
map2[6145][1]:=$CB55;map2[6145][2]:=$9B49;
map2[6146][1]:=$CB56;map2[6146][2]:=$9B57;
map2[6147][1]:=$CB57;map2[6147][2]:=$9B5E;
map2[6148][1]:=$CB58;map2[6148][2]:=$9B63;
map2[6149][1]:=$CB59;map2[6149][2]:=$9B45;
map2[6150][1]:=$CB5A;map2[6150][2]:=$9B4D;
map2[6151][1]:=$CB5B;map2[6151][2]:=$9B44;
map2[6152][1]:=$CB5C;map2[6152][2]:=$9B52;
map2[6153][1]:=$CB5D;map2[6153][2]:=$9B5B;
map2[6154][1]:=$CB5E;map2[6154][2]:=$9EBF;
map2[6155][1]:=$CB5F;map2[6155][2]:=$9EC2;
map2[6156][1]:=$CB60;map2[6156][2]:=$A0AE;
map2[6157][1]:=$CB61;map2[6157][2]:=$A0ED;
map2[6158][1]:=$CB62;map2[6158][2]:=$A0EB;
map2[6159][1]:=$CB63;map2[6159][2]:=$E1F0;
map2[6160][1]:=$CB64;map2[6160][2]:=$A0F0;
map2[6161][1]:=$CB65;map2[6161][2]:=$E1F1;
map2[6162][1]:=$CB66;map2[6162][2]:=$A0E8;
map2[6163][1]:=$CB67;map2[6163][2]:=$A0EF;
map2[6164][1]:=$CB68;map2[6164][2]:=$AB5C;
map2[6165][1]:=$CB69;map2[6165][2]:=$AB5D;
map2[6166][1]:=$CB6A;map2[6166][2]:=$AB5A;
map2[6167][1]:=$CB6B;map2[6167][2]:=$AB5B;
map2[6168][1]:=$CB6C;map2[6168][2]:=$AB59;
map2[6169][1]:=$CB6D;map2[6169][2]:=$EEAE;
map2[6170][1]:=$CB6E;map2[6170][2]:=$AE6A;
map2[6171][1]:=$CB6F;map2[6171][2]:=$F0DB;
map2[6172][1]:=$CB70;map2[6172][2]:=$AF48;
map2[6173][1]:=$CB71;map2[6173][2]:=$B06F;
map2[6174][1]:=$CB72;map2[6174][2]:=$B569;
map2[6175][1]:=$CB73;map2[6175][2]:=$C26B;
map2[6176][1]:=$CB74;map2[6176][2]:=$C34D;
map2[6177][1]:=$CB75;map2[6177][2]:=$C34F;
map2[6178][1]:=$CB76;map2[6178][2]:=$C349;
map2[6179][1]:=$CB77;map2[6179][2]:=$C34B;
map2[6180][1]:=$CB78;map2[6180][2]:=$EBC0;
map2[6181][1]:=$CB79;map2[6181][2]:=$C653;
map2[6182][1]:=$CB7A;map2[6182][2]:=$DCB6;
map2[6183][1]:=$CB7B;map2[6183][2]:=$C64E;
map2[6184][1]:=$CB7C;map2[6184][2]:=$DCBA;
map2[6185][1]:=$CB7D;map2[6185][2]:=$DCBB;
map2[6186][1]:=$CB7E;map2[6186][2]:=$C654;
map2[6187][1]:=$CBA1;map2[6187][2]:=$DCB7;
map2[6188][1]:=$CBA2;map2[6188][2]:=$C64D;
map2[6189][1]:=$CBA3;map2[6189][2]:=$DCB9;
map2[6190][1]:=$CBA4;map2[6190][2]:=$F5F4;
map2[6191][1]:=$CBA5;map2[6191][2]:=$DE80;
map2[6192][1]:=$CBA6;map2[6192][2]:=$DE7B;
map2[6193][1]:=$CBA7;map2[6193][2]:=$DF92;
map2[6194][1]:=$CBA8;map2[6194][2]:=$DAFA;
map2[6195][1]:=$CBA9;map2[6195][2]:=$DF95;
map2[6196][1]:=$CBAA;map2[6196][2]:=$DF91;
map2[6197][1]:=$CBAB;map2[6197][2]:=$DF96;
map2[6198][1]:=$CBAC;map2[6198][2]:=$DF93;
map2[6199][1]:=$CBAD;map2[6199][2]:=$EA6F;
map2[6200][1]:=$CBAE;map2[6200][2]:=$EA69;
map2[6201][1]:=$CBAF;map2[6201][2]:=$D6B7;
map2[6202][1]:=$CBB0;map2[6202][2]:=$EA6D;
map2[6203][1]:=$CBB1;map2[6203][2]:=$8150;
map2[6204][1]:=$CBB2;map2[6204][2]:=$81F7;
map2[6205][1]:=$CBB3;map2[6205][2]:=$D9AE;
map2[6206][1]:=$CBB4;map2[6206][2]:=$81EC;
map2[6207][1]:=$CBB5;map2[6207][2]:=$81E8;
map2[6208][1]:=$CBB6;map2[6208][2]:=$81E9;
map2[6209][1]:=$CBB7;map2[6209][2]:=$81EE;
map2[6210][1]:=$CBB8;map2[6210][2]:=$D9A5;
map2[6211][1]:=$CBB9;map2[6211][2]:=$D9A6;
map2[6212][1]:=$CBBA;map2[6212][2]:=$D9A8;
map2[6213][1]:=$CBBB;map2[6213][2]:=$D6B6;
map2[6214][1]:=$CBBC;map2[6214][2]:=$81E4;
map2[6215][1]:=$CBBD;map2[6215][2]:=$81D5;
map2[6216][1]:=$CBBE;map2[6216][2]:=$B6B1;
map2[6217][1]:=$CBBF;map2[6217][2]:=$81DD;
map2[6218][1]:=$CBC0;map2[6218][2]:=$81F9;
map2[6219][1]:=$CBC1;map2[6219][2]:=$81E6;
map2[6220][1]:=$CBC2;map2[6220][2]:=$81EA;
map2[6221][1]:=$CBC3;map2[6221][2]:=$81E5;
map2[6222][1]:=$CBC4;map2[6222][2]:=$81F2;
map2[6223][1]:=$CBC5;map2[6223][2]:=$81FA;
map2[6224][1]:=$CBC6;map2[6224][2]:=$D9B0;
map2[6225][1]:=$CBC7;map2[6225][2]:=$81FB;
map2[6226][1]:=$CBC8;map2[6226][2]:=$81F3;
map2[6227][1]:=$CBC9;map2[6227][2]:=$81EB;
map2[6228][1]:=$CBCA;map2[6228][2]:=$81F5;
map2[6229][1]:=$CBCB;map2[6229][2]:=$81DE;
map2[6230][1]:=$CBCC;map2[6230][2]:=$81E0;
map2[6231][1]:=$CBCD;map2[6231][2]:=$83DF;
map2[6232][1]:=$CBCE;map2[6232][2]:=$D9FE;
map2[6233][1]:=$CBCF;map2[6233][2]:=$83EE;
map2[6234][1]:=$CBD0;map2[6234][2]:=$846E;
map2[6235][1]:=$CBD1;map2[6235][2]:=$846C;
map2[6236][1]:=$CBD2;map2[6236][2]:=$D8DA;
map2[6237][1]:=$CBD3;map2[6237][2]:=$8473;
map2[6238][1]:=$CBD4;map2[6238][2]:=$846B;
map2[6239][1]:=$CBD5;map2[6239][2]:=$84C2;
map2[6240][1]:=$CBD6;map2[6240][2]:=$84FB;
map2[6241][1]:=$CBD7;map2[6241][2]:=$84FC;
map2[6242][1]:=$CBD8;map2[6242][2]:=$855C;
map2[6243][1]:=$CBD9;map2[6243][2]:=$8582;
map2[6244][1]:=$CBDA;map2[6244][2]:=$8584;
map2[6245][1]:=$CBDB;map2[6245][2]:=$85F1;
map2[6246][1]:=$CBDC;map2[6246][2]:=$85ED;
map2[6247][1]:=$CBDD;map2[6247][2]:=$85EE;
map2[6248][1]:=$CBDE;map2[6248][2]:=$85F6;
map2[6249][1]:=$CBDF;map2[6249][2]:=$DFC6;
map2[6250][1]:=$CBE0;map2[6250][2]:=$85F2;
map2[6251][1]:=$CBE1;map2[6251][2]:=$85E3;
map2[6252][1]:=$CBE2;map2[6252][2]:=$85EB;
map2[6253][1]:=$CBE3;map2[6253][2]:=$85EC;
map2[6254][1]:=$CBE4;map2[6254][2]:=$85DF;
map2[6255][1]:=$CBE5;map2[6255][2]:=$85E4;
map2[6256][1]:=$CBE6;map2[6256][2]:=$85E9;
map2[6257][1]:=$CBE7;map2[6257][2]:=$DFCF;
map2[6258][1]:=$CBE8;map2[6258][2]:=$85F5;
map2[6259][1]:=$CBE9;map2[6259][2]:=$85E7;
map2[6260][1]:=$CBEA;map2[6260][2]:=$85DD;
map2[6261][1]:=$CBEB;map2[6261][2]:=$85DC;
map2[6262][1]:=$CBEC;map2[6262][2]:=$85F9;
map2[6263][1]:=$CBED;map2[6263][2]:=$85DE;
map2[6264][1]:=$CBEE;map2[6264][2]:=$85E0;
map2[6265][1]:=$CBEF;map2[6265][2]:=$DFCA;
map2[6266][1]:=$CBF0;map2[6266][2]:=$87EF;
map2[6267][1]:=$CBF1;map2[6267][2]:=$E0F2;
map2[6268][1]:=$CBF2;map2[6268][2]:=$C5F7;
map2[6269][1]:=$CBF3;map2[6269][2]:=$8875;
map2[6270][1]:=$CBF4;map2[6270][2]:=$DBE8;
map2[6271][1]:=$CBF5;map2[6271][2]:=$DBE3;
map2[6272][1]:=$CBF6;map2[6272][2]:=$8874;
map2[6273][1]:=$CBF7;map2[6273][2]:=$DBF0;
map2[6274][1]:=$CBF8;map2[6274][2]:=$DBE9;
map2[6275][1]:=$CBF9;map2[6275][2]:=$887E;
map2[6276][1]:=$CBFA;map2[6276][2]:=$8877;
map2[6277][1]:=$CBFB;map2[6277][2]:=$DBE6;
map2[6278][1]:=$CBFC;map2[6278][2]:=$DBEA;
map2[6279][1]:=$CBFD;map2[6279][2]:=$8876;
map2[6280][1]:=$CBFE;map2[6280][2]:=$886D;
map2[6281][1]:=$CC40;map2[6281][2]:=$DBE7;
map2[6282][1]:=$CC41;map2[6282][2]:=$887B;
map2[6283][1]:=$CC42;map2[6283][2]:=$89E7;
map2[6284][1]:=$CC43;map2[6284][2]:=$8A45;
map2[6285][1]:=$CC44;map2[6285][2]:=$8A87;
map2[6286][1]:=$CC45;map2[6286][2]:=$8A8B;
map2[6287][1]:=$CC46;map2[6287][2]:=$8A9B;
map2[6288][1]:=$CC47;map2[6288][2]:=$8A9A;
map2[6289][1]:=$CC48;map2[6289][2]:=$E6A7;
map2[6290][1]:=$CC49;map2[6290][2]:=$8A98;
map2[6291][1]:=$CC4A;map2[6291][2]:=$8A90;
map2[6292][1]:=$CC4B;map2[6292][2]:=$8A88;
map2[6293][1]:=$CC4C;map2[6293][2]:=$8A8C;
map2[6294][1]:=$CC4D;map2[6294][2]:=$8A92;
map2[6295][1]:=$CC4E;map2[6295][2]:=$8A9D;
map2[6296][1]:=$CC4F;map2[6296][2]:=$8A84;
map2[6297][1]:=$CC50;map2[6297][2]:=$8A8D;
map2[6298][1]:=$CC51;map2[6298][2]:=$8A8F;
map2[6299][1]:=$CC52;map2[6299][2]:=$8A96;
map2[6300][1]:=$CC53;map2[6300][2]:=$8A86;
map2[6301][1]:=$CC54;map2[6301][2]:=$8A95;
map2[6302][1]:=$CC55;map2[6302][2]:=$E6DF;
map2[6303][1]:=$CC56;map2[6303][2]:=$E6DB;
map2[6304][1]:=$CC57;map2[6304][2]:=$E5B5;
map2[6305][1]:=$CC58;map2[6305][2]:=$E5B4;
map2[6306][1]:=$CC59;map2[6306][2]:=$8CC2;
map2[6307][1]:=$CC5A;map2[6307][2]:=$8CC4;
map2[6308][1]:=$CC5B;map2[6308][2]:=$8D41;
map2[6309][1]:=$CC5C;map2[6309][2]:=$8CFA;
map2[6310][1]:=$CC5D;map2[6310][2]:=$8CF8;
map2[6311][1]:=$CC5E;map2[6311][2]:=$E1B2;
map2[6312][1]:=$CC5F;map2[6312][2]:=$8D42;
map2[6313][1]:=$CC60;map2[6313][2]:=$8CFE;
map2[6314][1]:=$CC61;map2[6314][2]:=$E1B5;
map2[6315][1]:=$CC62;map2[6315][2]:=$8CF7;
map2[6316][1]:=$CC63;map2[6316][2]:=$E1B8;
map2[6317][1]:=$CC64;map2[6317][2]:=$C1EB;
map2[6318][1]:=$CC65;map2[6318][2]:=$E1B3;
map2[6319][1]:=$CC66;map2[6319][2]:=$8D40;
map2[6320][1]:=$CC67;map2[6320][2]:=$8CFD;
map2[6321][1]:=$CC68;map2[6321][2]:=$8CF5;
map2[6322][1]:=$CC69;map2[6322][2]:=$8CFB;
map2[6323][1]:=$CC6A;map2[6323][2]:=$8D46;
map2[6324][1]:=$CC6B;map2[6324][2]:=$8D43;
map2[6325][1]:=$CC6C;map2[6325][2]:=$8CFC;
map2[6326][1]:=$CC6D;map2[6326][2]:=$8E93;
map2[6327][1]:=$CC6E;map2[6327][2]:=$E0FA;
map2[6328][1]:=$CC6F;map2[6328][2]:=$E0F9;
map2[6329][1]:=$CC70;map2[6329][2]:=$8F80;
map2[6330][1]:=$CC71;map2[6330][2]:=$8F7C;
map2[6331][1]:=$CC72;map2[6331][2]:=$8F7D;
map2[6332][1]:=$CC73;map2[6332][2]:=$8F7E;
map2[6333][1]:=$CC74;map2[6333][2]:=$8FA0;
map2[6334][1]:=$CC75;map2[6334][2]:=$E1DE;
map2[6335][1]:=$CC76;map2[6335][2]:=$8FB6;
map2[6336][1]:=$CC77;map2[6336][2]:=$8FB5;
map2[6337][1]:=$CC78;map2[6337][2]:=$8FEB;
map2[6338][1]:=$CC79;map2[6338][2]:=$8FEF;
map2[6339][1]:=$CC7A;map2[6339][2]:=$9050;
map2[6340][1]:=$CC7B;map2[6340][2]:=$E2F1;
map2[6341][1]:=$CC7C;map2[6341][2]:=$E2EF;
map2[6342][1]:=$CC7D;map2[6342][2]:=$9054;
map2[6343][1]:=$CC7E;map2[6343][2]:=$9042;
map2[6344][1]:=$CCA1;map2[6344][2]:=$9056;
map2[6345][1]:=$CCA2;map2[6345][2]:=$E2F7;
map2[6346][1]:=$CCA3;map2[6346][2]:=$9047;
map2[6347][1]:=$CCA4;map2[6347][2]:=$9055;
map2[6348][1]:=$CCA5;map2[6348][2]:=$9049;
map2[6349][1]:=$CCA6;map2[6349][2]:=$904A;
map2[6350][1]:=$CCA7;map2[6350][2]:=$904F;
map2[6351][1]:=$CCA8;map2[6351][2]:=$904C;
map2[6352][1]:=$CCA9;map2[6352][2]:=$E2F4;
map2[6353][1]:=$CCAA;map2[6353][2]:=$9044;
map2[6354][1]:=$CCAB;map2[6354][2]:=$9051;
map2[6355][1]:=$CCAC;map2[6355][2]:=$9046;
map2[6356][1]:=$CCAD;map2[6356][2]:=$9045;
map2[6357][1]:=$CCAE;map2[6357][2]:=$9043;
map2[6358][1]:=$CCAF;map2[6358][2]:=$9041;
map2[6359][1]:=$CCB0;map2[6359][2]:=$C1AF;
map2[6360][1]:=$CCB1;map2[6360][2]:=$EAA7;
map2[6361][1]:=$CCB2;map2[6361][2]:=$ECE6;
map2[6362][1]:=$CCB3;map2[6362][2]:=$9271;
map2[6363][1]:=$CCB4;map2[6363][2]:=$9277;
map2[6364][1]:=$CCB5;map2[6364][2]:=$9283;
map2[6365][1]:=$CCB6;map2[6365][2]:=$927C;
map2[6366][1]:=$CCB7;map2[6366][2]:=$9270;
map2[6367][1]:=$CCB8;map2[6367][2]:=$9278;
map2[6368][1]:=$CCB9;map2[6368][2]:=$DED4;
map2[6369][1]:=$CCBA;map2[6369][2]:=$9272;
map2[6370][1]:=$CCBB;map2[6370][2]:=$9276;
map2[6371][1]:=$CCBC;map2[6371][2]:=$9273;
map2[6372][1]:=$CCBD;map2[6372][2]:=$DED3;
map2[6373][1]:=$CCBE;map2[6373][2]:=$926F;
map2[6374][1]:=$CCBF;map2[6374][2]:=$9274;
map2[6375][1]:=$CCC0;map2[6375][2]:=$927A;
map2[6376][1]:=$CCC1;map2[6376][2]:=$9491;
map2[6377][1]:=$CCC2;map2[6377][2]:=$94D6;
map2[6378][1]:=$CCC3;map2[6378][2]:=$94E3;
map2[6379][1]:=$CCC4;map2[6379][2]:=$9550;
map2[6380][1]:=$CCC5;map2[6380][2]:=$9547;
map2[6381][1]:=$CCC6;map2[6381][2]:=$954C;
map2[6382][1]:=$CCC7;map2[6382][2]:=$9555;
map2[6383][1]:=$CCC8;map2[6383][2]:=$954F;
map2[6384][1]:=$CCC9;map2[6384][2]:=$9546;
map2[6385][1]:=$CCCA;map2[6385][2]:=$EABE;
map2[6386][1]:=$CCCB;map2[6386][2]:=$9551;
map2[6387][1]:=$CCCC;map2[6387][2]:=$9552;
map2[6388][1]:=$CCCD;map2[6388][2]:=$954D;
map2[6389][1]:=$CCCE;map2[6389][2]:=$9548;
map2[6390][1]:=$CCCF;map2[6390][2]:=$9554;
map2[6391][1]:=$CCD0;map2[6391][2]:=$9553;
map2[6392][1]:=$CCD1;map2[6392][2]:=$95F7;
map2[6393][1]:=$CCD2;map2[6393][2]:=$EBC3;
map2[6394][1]:=$CCD3;map2[6394][2]:=$9688;
map2[6395][1]:=$CCD4;map2[6395][2]:=$967A;
map2[6396][1]:=$CCD5;map2[6396][2]:=$968E;
map2[6397][1]:=$CCD6;map2[6397][2]:=$9691;
map2[6398][1]:=$CCD7;map2[6398][2]:=$967E;
map2[6399][1]:=$CCD8;map2[6399][2]:=$9683;
map2[6400][1]:=$CCD9;map2[6400][2]:=$E8C4;
map2[6401][1]:=$CCDA;map2[6401][2]:=$9689;
map2[6402][1]:=$CCDB;map2[6402][2]:=$B9B9;
map2[6403][1]:=$CCDC;map2[6403][2]:=$967D;
map2[6404][1]:=$CCDD;map2[6404][2]:=$968D;
map2[6405][1]:=$CCDE;map2[6405][2]:=$968C;
map2[6406][1]:=$CCDF;map2[6406][2]:=$9682;
map2[6407][1]:=$CCE0;map2[6407][2]:=$9697;
map2[6408][1]:=$CCE1;map2[6408][2]:=$9690;
map2[6409][1]:=$CCE2;map2[6409][2]:=$9695;
map2[6410][1]:=$CCE3;map2[6410][2]:=$9687;
map2[6411][1]:=$CCE4;map2[6411][2]:=$9684;
map2[6412][1]:=$CCE5;map2[6412][2]:=$BCAB;
map2[6413][1]:=$CCE6;map2[6413][2]:=$9680;
map2[6414][1]:=$CCE7;map2[6414][2]:=$9681;
map2[6415][1]:=$CCE8;map2[6415][2]:=$9693;
map2[6416][1]:=$CCE9;map2[6416][2]:=$99F6;
map2[6417][1]:=$CCEA;map2[6417][2]:=$9A7C;
map2[6418][1]:=$CCEB;map2[6418][2]:=$9A7A;
map2[6419][1]:=$CCEC;map2[6419][2]:=$9AB7;
map2[6420][1]:=$CCED;map2[6420][2]:=$9ADF;
map2[6421][1]:=$CCEE;map2[6421][2]:=$EDB3;
map2[6422][1]:=$CCEF;map2[6422][2]:=$9B89;
map2[6423][1]:=$CCF0;map2[6423][2]:=$E3F9;
map2[6424][1]:=$CCF1;map2[6424][2]:=$E3FA;
map2[6425][1]:=$CCF2;map2[6425][2]:=$9B80;
map2[6426][1]:=$CCF3;map2[6426][2]:=$9B6E;
map2[6427][1]:=$CCF4;map2[6427][2]:=$E3EF;
map2[6428][1]:=$CCF5;map2[6428][2]:=$E3F0;
map2[6429][1]:=$CCF6;map2[6429][2]:=$9B87;
map2[6430][1]:=$CCF7;map2[6430][2]:=$9B6F;
map2[6431][1]:=$CCF8;map2[6431][2]:=$E3EE;
map2[6432][1]:=$CCF9;map2[6432][2]:=$9B73;
map2[6433][1]:=$CCFA;map2[6433][2]:=$9B70;
map2[6434][1]:=$CCFB;map2[6434][2]:=$9B74;
map2[6435][1]:=$CCFC;map2[6435][2]:=$9B75;
map2[6436][1]:=$CCFD;map2[6436][2]:=$9B8A;
map2[6437][1]:=$CCFE;map2[6437][2]:=$9B8B;
map2[6438][1]:=$CD40;map2[6438][2]:=$9B7D;
map2[6439][1]:=$CD41;map2[6439][2]:=$9B83;
map2[6440][1]:=$CD42;map2[6440][2]:=$9B6C;
map2[6441][1]:=$CD43;map2[6441][2]:=$9B58;
map2[6442][1]:=$CD44;map2[6442][2]:=$9B64;
map2[6443][1]:=$CD45;map2[6443][2]:=$9B55;
map2[6444][1]:=$CD46;map2[6444][2]:=$C5A2;
map2[6445][1]:=$CD47;map2[6445][2]:=$9B71;
map2[6446][1]:=$CD48;map2[6446][2]:=$9BAE;
map2[6447][1]:=$CD49;map2[6447][2]:=$9B79;
map2[6448][1]:=$CD4A;map2[6448][2]:=$9B76;
map2[6449][1]:=$CD4B;map2[6449][2]:=$9B6B;
map2[6450][1]:=$CD4C;map2[6450][2]:=$9B8D;
map2[6451][1]:=$CD4D;map2[6451][2]:=$9B7B;
map2[6452][1]:=$CD4E;map2[6452][2]:=$9B88;
map2[6453][1]:=$CD4F;map2[6453][2]:=$9B7C;
map2[6454][1]:=$CD50;map2[6454][2]:=$C8B2;
map2[6455][1]:=$CD51;map2[6455][2]:=$9ED4;
map2[6456][1]:=$CD52;map2[6456][2]:=$EAC1;
map2[6457][1]:=$CD53;map2[6457][2]:=$9ED2;
map2[6458][1]:=$CD54;map2[6458][2]:=$9EC9;
map2[6459][1]:=$CD55;map2[6459][2]:=$9EC8;
map2[6460][1]:=$CD56;map2[6460][2]:=$9ED1;
map2[6461][1]:=$CD57;map2[6461][2]:=$ECC0;
map2[6462][1]:=$CD58;map2[6462][2]:=$9EC6;
map2[6463][1]:=$CD59;map2[6463][2]:=$9ED5;
map2[6464][1]:=$CD5A;map2[6464][2]:=$9EC7;
map2[6465][1]:=$CD5B;map2[6465][2]:=$A0B2;
map2[6466][1]:=$CD5C;map2[6466][2]:=$A0FB;
map2[6467][1]:=$CD5D;map2[6467][2]:=$A0F4;
map2[6468][1]:=$CD5E;map2[6468][2]:=$A0FC;
map2[6469][1]:=$CD5F;map2[6469][2]:=$A0F2;
map2[6470][1]:=$CD60;map2[6470][2]:=$AA40;
map2[6471][1]:=$CD61;map2[6471][2]:=$E1F4;
map2[6472][1]:=$CD62;map2[6472][2]:=$A0F9;
map2[6473][1]:=$CD63;map2[6473][2]:=$A0FD;
map2[6474][1]:=$CD64;map2[6474][2]:=$A0F5;
map2[6475][1]:=$CD65;map2[6475][2]:=$A0F7;
map2[6476][1]:=$CD66;map2[6476][2]:=$AB67;
map2[6477][1]:=$CD67;map2[6477][2]:=$AB65;
map2[6478][1]:=$CD68;map2[6478][2]:=$AB6E;
map2[6479][1]:=$CD69;map2[6479][2]:=$AB69;
map2[6480][1]:=$CD6A;map2[6480][2]:=$E7E3;
map2[6481][1]:=$CD6B;map2[6481][2]:=$AB64;
map2[6482][1]:=$CD6C;map2[6482][2]:=$AB6D;
map2[6483][1]:=$CD6D;map2[6483][2]:=$AB62;
map2[6484][1]:=$CD6E;map2[6484][2]:=$AD93;
map2[6485][1]:=$CD6F;map2[6485][2]:=$AD98;
map2[6486][1]:=$CD70;map2[6486][2]:=$AE6D;
map2[6487][1]:=$CD71;map2[6487][2]:=$EEAF;
map2[6488][1]:=$CD72;map2[6488][2]:=$E7DE;
map2[6489][1]:=$CD73;map2[6489][2]:=$AF43;
map2[6490][1]:=$CD74;map2[6490][2]:=$AF49;
map2[6491][1]:=$CD75;map2[6491][2]:=$B091;
map2[6492][1]:=$CD76;map2[6492][2]:=$B15A;
map2[6493][1]:=$CD77;map2[6493][2]:=$EDEC;
map2[6494][1]:=$CD78;map2[6494][2]:=$B159;
map2[6495][1]:=$CD79;map2[6495][2]:=$B15B;
map2[6496][1]:=$CD7A;map2[6496][2]:=$EDB7;
map2[6497][1]:=$CD7B;map2[6497][2]:=$B34D;
map2[6498][1]:=$CD7C;map2[6498][2]:=$B34A;
map2[6499][1]:=$CD7D;map2[6499][2]:=$B34C;
map2[6500][1]:=$CD7E;map2[6500][2]:=$B34B;
map2[6501][1]:=$CDA1;map2[6501][2]:=$B349;
map2[6502][1]:=$CDA2;map2[6502][2]:=$B56B;
map2[6503][1]:=$CDA3;map2[6503][2]:=$B56A;
map2[6504][1]:=$CDA4;map2[6504][2]:=$B667;
map2[6505][1]:=$CDA5;map2[6505][2]:=$F1B6;
map2[6506][1]:=$CDA6;map2[6506][2]:=$B78B;
map2[6507][1]:=$CDA7;map2[6507][2]:=$B885;
map2[6508][1]:=$CDA8;map2[6508][2]:=$BB6F;
map2[6509][1]:=$CDA9;map2[6509][2]:=$BC6C;
map2[6510][1]:=$CDAA;map2[6510][2]:=$F1F4;
map2[6511][1]:=$CDAB;map2[6511][2]:=$C348;
map2[6512][1]:=$CDAC;map2[6512][2]:=$B0B9;
map2[6513][1]:=$CDAD;map2[6513][2]:=$C351;
map2[6514][1]:=$CDAE;map2[6514][2]:=$C35A;
map2[6515][1]:=$CDAF;map2[6515][2]:=$C358;
map2[6516][1]:=$CDB0;map2[6516][2]:=$EBC7;
map2[6517][1]:=$CDB1;map2[6517][2]:=$C573;
map2[6518][1]:=$CDB2;map2[6518][2]:=$C65B;
map2[6519][1]:=$CDB3;map2[6519][2]:=$C666;
map2[6520][1]:=$CDB4;map2[6520][2]:=$DCBE;
map2[6521][1]:=$CDB5;map2[6521][2]:=$C658;
map2[6522][1]:=$CDB6;map2[6522][2]:=$DCC5;
map2[6523][1]:=$CDB7;map2[6523][2]:=$C659;
map2[6524][1]:=$CDB8;map2[6524][2]:=$C660;
map2[6525][1]:=$CDB9;map2[6525][2]:=$C65E;
map2[6526][1]:=$CDBA;map2[6526][2]:=$DCC7;
map2[6527][1]:=$CDBB;map2[6527][2]:=$C664;
map2[6528][1]:=$CDBC;map2[6528][2]:=$C65A;
map2[6529][1]:=$CDBD;map2[6529][2]:=$C662;
map2[6530][1]:=$CDBE;map2[6530][2]:=$DCCC;
map2[6531][1]:=$CDBF;map2[6531][2]:=$DCB8;
map2[6532][1]:=$CDC0;map2[6532][2]:=$DCCD;
map2[6533][1]:=$CDC1;map2[6533][2]:=$DCCB;
map2[6534][1]:=$CDC2;map2[6534][2]:=$C667;
map2[6535][1]:=$CDC3;map2[6535][2]:=$DCD2;
map2[6536][1]:=$CDC4;map2[6536][2]:=$C668;
map2[6537][1]:=$CDC5;map2[6537][2]:=$C661;
map2[6538][1]:=$CDC6;map2[6538][2]:=$C65C;
map2[6539][1]:=$CDC7;map2[6539][2]:=$CD42;
map2[6540][1]:=$CDC8;map2[6540][2]:=$F2B0;
map2[6541][1]:=$CDC9;map2[6541][2]:=$CD40;
map2[6542][1]:=$CDCA;map2[6542][2]:=$F2B1;
map2[6543][1]:=$CDCB;map2[6543][2]:=$D858;
map2[6544][1]:=$CDCC;map2[6544][2]:=$DE86;
map2[6545][1]:=$CDCD;map2[6545][2]:=$DE82;
map2[6546][1]:=$CDCE;map2[6546][2]:=$E5C2;
map2[6547][1]:=$CDCF;map2[6547][2]:=$DE84;
map2[6548][1]:=$CDD0;map2[6548][2]:=$DE87;
map2[6549][1]:=$CDD1;map2[6549][2]:=$E5C3;
map2[6550][1]:=$CDD2;map2[6550][2]:=$DE88;
map2[6551][1]:=$CDD3;map2[6551][2]:=$DF9B;
map2[6552][1]:=$CDD4;map2[6552][2]:=$DAFB;
map2[6553][1]:=$CDD5;map2[6553][2]:=$BAAA;
map2[6554][1]:=$CDD6;map2[6554][2]:=$DAFC;
map2[6555][1]:=$CDD7;map2[6555][2]:=$DBA2;
map2[6556][1]:=$CDD8;map2[6556][2]:=$EA72;
map2[6557][1]:=$CDD9;map2[6557][2]:=$DAE7;
map2[6558][1]:=$CDDA;map2[6558][2]:=$DAE8;
map2[6559][1]:=$CDDB;map2[6559][2]:=$EA73;
map2[6560][1]:=$CDDC;map2[6560][2]:=$EA76;
map2[6561][1]:=$CDDD;map2[6561][2]:=$825A;
map2[6562][1]:=$CDDE;map2[6562][2]:=$D9B4;
map2[6563][1]:=$CDDF;map2[6563][2]:=$825C;
map2[6564][1]:=$CDE0;map2[6564][2]:=$8245;
map2[6565][1]:=$CDE1;map2[6565][2]:=$8257;
map2[6566][1]:=$CDE2;map2[6566][2]:=$8258;
map2[6567][1]:=$CDE3;map2[6567][2]:=$D9B6;
map2[6568][1]:=$CDE4;map2[6568][2]:=$825D;
map2[6569][1]:=$CDE5;map2[6569][2]:=$D9B7;
map2[6570][1]:=$CDE6;map2[6570][2]:=$8260;
map2[6571][1]:=$CDE7;map2[6571][2]:=$824D;
map2[6572][1]:=$CDE8;map2[6572][2]:=$8246;
map2[6573][1]:=$CDE9;map2[6573][2]:=$8261;
map2[6574][1]:=$CDEA;map2[6574][2]:=$8255;
map2[6575][1]:=$CDEB;map2[6575][2]:=$825F;
map2[6576][1]:=$CDEC;map2[6576][2]:=$824C;
map2[6577][1]:=$CDED;map2[6577][2]:=$8251;
map2[6578][1]:=$CDEE;map2[6578][2]:=$824B;
map2[6579][1]:=$CDEF;map2[6579][2]:=$8268;
map2[6580][1]:=$CDF0;map2[6580][2]:=$D8D9;
map2[6581][1]:=$CDF1;map2[6581][2]:=$8476;
map2[6582][1]:=$CDF2;map2[6582][2]:=$84C4;
map2[6583][1]:=$CDF3;map2[6583][2]:=$84C6;
map2[6584][1]:=$CDF4;map2[6584][2]:=$855D;
map2[6585][1]:=$CDF5;map2[6585][2]:=$8574;
map2[6586][1]:=$CDF6;map2[6586][2]:=$8586;
map2[6587][1]:=$CDF7;map2[6587][2]:=$8585;
map2[6588][1]:=$CDF8;map2[6588][2]:=$D8C7;
map2[6589][1]:=$CDF9;map2[6589][2]:=$C0E5;
map2[6590][1]:=$CDFA;map2[6590][2]:=$8649;
map2[6591][1]:=$CDFB;map2[6591][2]:=$85FE;
map2[6592][1]:=$CDFC;map2[6592][2]:=$DFD2;
map2[6593][1]:=$CDFD;map2[6593][2]:=$8641;
map2[6594][1]:=$CDFE;map2[6594][2]:=$DFE7;
map2[6595][1]:=$CE40;map2[6595][2]:=$864C;
map2[6596][1]:=$CE41;map2[6596][2]:=$C688;
map2[6597][1]:=$CE42;map2[6597][2]:=$8647;
map2[6598][1]:=$CE43;map2[6598][2]:=$8642;
map2[6599][1]:=$CE44;map2[6599][2]:=$8650;
map2[6600][1]:=$CE45;map2[6600][2]:=$8646;
map2[6601][1]:=$CE46;map2[6601][2]:=$864D;
map2[6602][1]:=$CE47;map2[6602][2]:=$B6DF;
map2[6603][1]:=$CE48;map2[6603][2]:=$85FD;
map2[6604][1]:=$CE49;map2[6604][2]:=$85E8;
map2[6605][1]:=$CE4A;map2[6605][2]:=$DFC3;
map2[6606][1]:=$CE4B;map2[6606][2]:=$8640;
map2[6607][1]:=$CE4C;map2[6607][2]:=$864B;
map2[6608][1]:=$CE4D;map2[6608][2]:=$DFDA;
map2[6609][1]:=$CE4E;map2[6609][2]:=$DFE8;
map2[6610][1]:=$CE4F;map2[6610][2]:=$8643;
map2[6611][1]:=$CE50;map2[6611][2]:=$DBFB;
map2[6612][1]:=$CE51;map2[6612][2]:=$8893;
map2[6613][1]:=$CE52;map2[6613][2]:=$8894;
map2[6614][1]:=$CE53;map2[6614][2]:=$DBEC;
map2[6615][1]:=$CE54;map2[6615][2]:=$DBED;
map2[6616][1]:=$CE55;map2[6616][2]:=$888D;
map2[6617][1]:=$CE56;map2[6617][2]:=$8892;
map2[6618][1]:=$CE57;map2[6618][2]:=$B6E2;
map2[6619][1]:=$CE58;map2[6619][2]:=$888A;
map2[6620][1]:=$CE59;map2[6620][2]:=$888E;
map2[6621][1]:=$CE5A;map2[6621][2]:=$8887;
map2[6622][1]:=$CE5B;map2[6622][2]:=$888F;
map2[6623][1]:=$CE5C;map2[6623][2]:=$8895;
map2[6624][1]:=$CE5D;map2[6624][2]:=$8890;
map2[6625][1]:=$CE5E;map2[6625][2]:=$888B;
map2[6626][1]:=$CE5F;map2[6626][2]:=$89D4;
map2[6627][1]:=$CE60;map2[6627][2]:=$B8B4;
map2[6628][1]:=$CE61;map2[6628][2]:=$8A4C;
map2[6629][1]:=$CE62;map2[6629][2]:=$8AA3;
map2[6630][1]:=$CE63;map2[6630][2]:=$8AA0;
map2[6631][1]:=$CE64;map2[6631][2]:=$8AAC;
map2[6632][1]:=$CE65;map2[6632][2]:=$8ABB;
map2[6633][1]:=$CE66;map2[6633][2]:=$8AAF;
map2[6634][1]:=$CE67;map2[6634][2]:=$E6AD;
map2[6635][1]:=$CE68;map2[6635][2]:=$8AB7;
map2[6636][1]:=$CE69;map2[6636][2]:=$8AB9;
map2[6637][1]:=$CE6A;map2[6637][2]:=$8AB8;
map2[6638][1]:=$CE6B;map2[6638][2]:=$8AB4;
map2[6639][1]:=$CE6C;map2[6639][2]:=$8AA5;
map2[6640][1]:=$CE6D;map2[6640][2]:=$8AB0;
map2[6641][1]:=$CE6E;map2[6641][2]:=$8AB5;
map2[6642][1]:=$CE6F;map2[6642][2]:=$8A9F;
map2[6643][1]:=$CE70;map2[6643][2]:=$8AA8;
map2[6644][1]:=$CE71;map2[6644][2]:=$8AB1;
map2[6645][1]:=$CE72;map2[6645][2]:=$8AB3;
map2[6646][1]:=$CE73;map2[6646][2]:=$8AA2;
map2[6647][1]:=$CE74;map2[6647][2]:=$8ABA;
map2[6648][1]:=$CE75;map2[6648][2]:=$8AB2;
map2[6649][1]:=$CE76;map2[6649][2]:=$8AAB;
map2[6650][1]:=$CE77;map2[6650][2]:=$8C69;
map2[6651][1]:=$CE78;map2[6651][2]:=$8CC5;
map2[6652][1]:=$CE79;map2[6652][2]:=$8D59;
map2[6653][1]:=$CE7A;map2[6653][2]:=$8D60;
map2[6654][1]:=$CE7B;map2[6654][2]:=$8D55;
map2[6655][1]:=$CE7C;map2[6655][2]:=$8D5F;
map2[6656][1]:=$CE7D;map2[6656][2]:=$E1BE;
map2[6657][1]:=$CE7E;map2[6657][2]:=$8D62;
map2[6658][1]:=$CEA1;map2[6658][2]:=$8D65;
map2[6659][1]:=$CEA2;map2[6659][2]:=$8D61;
map2[6660][1]:=$CEA3;map2[6660][2]:=$8D53;
map2[6661][1]:=$CEA4;map2[6661][2]:=$8D51;
map2[6662][1]:=$CEA5;map2[6662][2]:=$8D54;
map2[6663][1]:=$CEA6;map2[6663][2]:=$8D5E;
map2[6664][1]:=$CEA7;map2[6664][2]:=$8D5B;
map2[6665][1]:=$CEA8;map2[6665][2]:=$8D5C;
map2[6666][1]:=$CEA9;map2[6666][2]:=$8D58;
map2[6667][1]:=$CEAA;map2[6667][2]:=$8D52;
map2[6668][1]:=$CEAB;map2[6668][2]:=$8D50;
map2[6669][1]:=$CEAC;map2[6669][2]:=$8D57;
map2[6670][1]:=$CEAD;map2[6670][2]:=$8D66;
map2[6671][1]:=$CEAE;map2[6671][2]:=$8D77;
map2[6672][1]:=$CEAF;map2[6672][2]:=$DAE1;
map2[6673][1]:=$CEB0;map2[6673][2]:=$8E97;
map2[6674][1]:=$CEB1;map2[6674][2]:=$8E98;
map2[6675][1]:=$CEB2;map2[6675][2]:=$8E99;
map2[6676][1]:=$CEB3;map2[6676][2]:=$8E96;
map2[6677][1]:=$CEB4;map2[6677][2]:=$8E9A;
map2[6678][1]:=$CEB5;map2[6678][2]:=$8EF0;
map2[6679][1]:=$CEB6;map2[6679][2]:=$8EE8;
map2[6680][1]:=$CEB7;map2[6680][2]:=$8EE6;
map2[6681][1]:=$CEB8;map2[6681][2]:=$8EE3;
map2[6682][1]:=$CEB9;map2[6682][2]:=$8EE7;
map2[6683][1]:=$CEBA;map2[6683][2]:=$E2D3;
map2[6684][1]:=$CEBB;map2[6684][2]:=$8F6D;
map2[6685][1]:=$CEBC;map2[6685][2]:=$8F83;
map2[6686][1]:=$CEBD;map2[6686][2]:=$E5E8;
map2[6687][1]:=$CEBE;map2[6687][2]:=$8FB9;
map2[6688][1]:=$CEBF;map2[6688][2]:=$9058;
map2[6689][1]:=$CEC0;map2[6689][2]:=$905A;
map2[6690][1]:=$CEC1;map2[6690][2]:=$906B;
map2[6691][1]:=$CEC2;map2[6691][2]:=$9079;
map2[6692][1]:=$CEC3;map2[6692][2]:=$9071;
map2[6693][1]:=$CEC4;map2[6693][2]:=$9060;
map2[6694][1]:=$CEC5;map2[6694][2]:=$906A;
map2[6695][1]:=$CEC6;map2[6695][2]:=$9062;
map2[6696][1]:=$CEC7;map2[6696][2]:=$9064;
map2[6697][1]:=$CEC8;map2[6697][2]:=$906F;
map2[6698][1]:=$CEC9;map2[6698][2]:=$9066;
map2[6699][1]:=$CECA;map2[6699][2]:=$905E;
map2[6700][1]:=$CECB;map2[6700][2]:=$E2FE;
map2[6701][1]:=$CECC;map2[6701][2]:=$9072;
map2[6702][1]:=$CECD;map2[6702][2]:=$904E;
map2[6703][1]:=$CECE;map2[6703][2]:=$905F;
map2[6704][1]:=$CECF;map2[6704][2]:=$906E;
map2[6705][1]:=$CED0;map2[6705][2]:=$9076;
map2[6706][1]:=$CED1;map2[6706][2]:=$9077;
map2[6707][1]:=$CED2;map2[6707][2]:=$91FA;
map2[6708][1]:=$CED3;map2[6708][2]:=$ECE7;
map2[6709][1]:=$CED4;map2[6709][2]:=$9282;
map2[6710][1]:=$CED5;map2[6710][2]:=$929B;
map2[6711][1]:=$CED6;map2[6711][2]:=$9299;
map2[6712][1]:=$CED7;map2[6712][2]:=$928E;
map2[6713][1]:=$CED8;map2[6713][2]:=$BFE6;
map2[6714][1]:=$CED9;map2[6714][2]:=$9294;
map2[6715][1]:=$CEDA;map2[6715][2]:=$928B;
map2[6716][1]:=$CEDB;map2[6716][2]:=$9290;
map2[6717][1]:=$CEDC;map2[6717][2]:=$929C;
map2[6718][1]:=$CEDD;map2[6718][2]:=$929A;
map2[6719][1]:=$CEDE;map2[6719][2]:=$928F;
map2[6720][1]:=$CEDF;map2[6720][2]:=$DED9;
map2[6721][1]:=$CEE0;map2[6721][2]:=$9293;
map2[6722][1]:=$CEE1;map2[6722][2]:=$929F;
map2[6723][1]:=$CEE2;map2[6723][2]:=$92A0;
map2[6724][1]:=$CEE3;map2[6724][2]:=$9291;
map2[6725][1]:=$CEE4;map2[6725][2]:=$92A1;
map2[6726][1]:=$CEE5;map2[6726][2]:=$9292;
map2[6727][1]:=$CEE6;map2[6727][2]:=$928C;
map2[6728][1]:=$CEE7;map2[6728][2]:=$9493;
map2[6729][1]:=$CEE8;map2[6729][2]:=$9495;
map2[6730][1]:=$CEE9;map2[6730][2]:=$94D7;
map2[6731][1]:=$CEEA;map2[6731][2]:=$94E5;
map2[6732][1]:=$CEEB;map2[6732][2]:=$EAC6;
map2[6733][1]:=$CEEC;map2[6733][2]:=$955D;
map2[6734][1]:=$CEED;map2[6734][2]:=$9568;
map2[6735][1]:=$CEEE;map2[6735][2]:=$EAC7;
map2[6736][1]:=$CEEF;map2[6736][2]:=$955B;
map2[6737][1]:=$CEF0;map2[6737][2]:=$9561;
map2[6738][1]:=$CEF1;map2[6738][2]:=$955E;
map2[6739][1]:=$CEF2;map2[6739][2]:=$9569;
map2[6740][1]:=$CEF3;map2[6740][2]:=$9564;
map2[6741][1]:=$CEF4;map2[6741][2]:=$956D;
map2[6742][1]:=$CEF5;map2[6742][2]:=$EAC3;
map2[6743][1]:=$CEF6;map2[6743][2]:=$EAC4;
map2[6744][1]:=$CEF7;map2[6744][2]:=$956C;
map2[6745][1]:=$CEF8;map2[6745][2]:=$9566;
map2[6746][1]:=$CEF9;map2[6746][2]:=$9646;
map2[6747][1]:=$CEFA;map2[6747][2]:=$EBD4;
map2[6748][1]:=$CEFB;map2[6748][2]:=$E8DE;
map2[6749][1]:=$CEFC;map2[6749][2]:=$96C4;
map2[6750][1]:=$CEFD;map2[6750][2]:=$96AE;
map2[6751][1]:=$CEFE;map2[6751][2]:=$96A3;
map2[6752][1]:=$CF40;map2[6752][2]:=$B9F1;
map2[6753][1]:=$CF41;map2[6753][2]:=$96A4;
map2[6754][1]:=$CF42;map2[6754][2]:=$96C8;
map2[6755][1]:=$CF43;map2[6755][2]:=$E8CF;
map2[6756][1]:=$CF44;map2[6756][2]:=$96A9;
map2[6757][1]:=$CF45;map2[6757][2]:=$BCCF;
map2[6758][1]:=$CF46;map2[6758][2]:=$96AB;
map2[6759][1]:=$CF47;map2[6759][2]:=$96C1;
map2[6760][1]:=$CF48;map2[6760][2]:=$96BC;
map2[6761][1]:=$CF49;map2[6761][2]:=$96B9;
map2[6762][1]:=$CF4A;map2[6762][2]:=$E8D5;
map2[6763][1]:=$CF4B;map2[6763][2]:=$96B3;
map2[6764][1]:=$CF4C;map2[6764][2]:=$E8D7;
map2[6765][1]:=$CF4D;map2[6765][2]:=$96C7;
map2[6766][1]:=$CF4E;map2[6766][2]:=$96C6;
map2[6767][1]:=$CF4F;map2[6767][2]:=$96C3;
map2[6768][1]:=$CF50;map2[6768][2]:=$96BB;
map2[6769][1]:=$CF51;map2[6769][2]:=$96AA;
map2[6770][1]:=$CF52;map2[6770][2]:=$96A2;
map2[6771][1]:=$CF53;map2[6771][2]:=$96B4;
map2[6772][1]:=$CF54;map2[6772][2]:=$96BE;
map2[6773][1]:=$CF55;map2[6773][2]:=$E8CD;
map2[6774][1]:=$CF56;map2[6774][2]:=$96A0;
map2[6775][1]:=$CF57;map2[6775][2]:=$96CC;
map2[6776][1]:=$CF58;map2[6776][2]:=$96AC;
map2[6777][1]:=$CF59;map2[6777][2]:=$96C2;
map2[6778][1]:=$CF5A;map2[6778][2]:=$96B2;
map2[6779][1]:=$CF5B;map2[6779][2]:=$969E;
map2[6780][1]:=$CF5C;map2[6780][2]:=$96BD;
map2[6781][1]:=$CF5D;map2[6781][2]:=$96B8;
map2[6782][1]:=$CF5E;map2[6782][2]:=$B9D5;
map2[6783][1]:=$CF5F;map2[6783][2]:=$96AF;
map2[6784][1]:=$CF60;map2[6784][2]:=$96B0;
map2[6785][1]:=$CF61;map2[6785][2]:=$E8DA;
map2[6786][1]:=$CF62;map2[6786][2]:=$96C0;
map2[6787][1]:=$CF63;map2[6787][2]:=$96B1;
map2[6788][1]:=$CF64;map2[6788][2]:=$99F8;
map2[6789][1]:=$CF65;map2[6789][2]:=$E9E3;
map2[6790][1]:=$CF66;map2[6790][2]:=$E9E5;
map2[6791][1]:=$CF67;map2[6791][2]:=$9A9F;
map2[6792][1]:=$CF68;map2[6792][2]:=$B1D1;
map2[6793][1]:=$CF69;map2[6793][2]:=$9AB3;
map2[6794][1]:=$CF6A;map2[6794][2]:=$9AB9;
map2[6795][1]:=$CF6B;map2[6795][2]:=$9AE1;
map2[6796][1]:=$CF6C;map2[6796][2]:=$EBB1;
map2[6797][1]:=$CF6D;map2[6797][2]:=$9BA9;
map2[6798][1]:=$CF6E;map2[6798][2]:=$9BAF;
map2[6799][1]:=$CF6F;map2[6799][2]:=$9BAC;
map2[6800][1]:=$CF70;map2[6800][2]:=$9BA2;
map2[6801][1]:=$CF71;map2[6801][2]:=$CDDD;
map2[6802][1]:=$CF72;map2[6802][2]:=$9BB4;
map2[6803][1]:=$CF73;map2[6803][2]:=$C8F7;
map2[6804][1]:=$CF74;map2[6804][2]:=$9B96;
map2[6805][1]:=$CF75;map2[6805][2]:=$9B81;
map2[6806][1]:=$CF76;map2[6806][2]:=$E4B2;
map2[6807][1]:=$CF77;map2[6807][2]:=$E4A7;
map2[6808][1]:=$CF78;map2[6808][2]:=$E4A8;
map2[6809][1]:=$CF79;map2[6809][2]:=$9BB3;
map2[6810][1]:=$CF7A;map2[6810][2]:=$E4AE;
map2[6811][1]:=$CF7B;map2[6811][2]:=$9B9A;
map2[6812][1]:=$CF7C;map2[6812][2]:=$9B8F;
map2[6813][1]:=$CF7D;map2[6813][2]:=$9BA1;
map2[6814][1]:=$CF7E;map2[6814][2]:=$9BB6;
map2[6815][1]:=$CFA1;map2[6815][2]:=$BDE0;
map2[6816][1]:=$CFA2;map2[6816][2]:=$9B9F;
map2[6817][1]:=$CFA3;map2[6817][2]:=$9BB1;
map2[6818][1]:=$CFA4;map2[6818][2]:=$9B91;
map2[6819][1]:=$CFA5;map2[6819][2]:=$9B98;
map2[6820][1]:=$CFA6;map2[6820][2]:=$9BB5;
map2[6821][1]:=$CFA7;map2[6821][2]:=$E4A6;
map2[6822][1]:=$CFA8;map2[6822][2]:=$9BA3;
map2[6823][1]:=$CFA9;map2[6823][2]:=$9BAB;
map2[6824][1]:=$CFAA;map2[6824][2]:=$9B94;
map2[6825][1]:=$CFAB;map2[6825][2]:=$9BA5;
map2[6826][1]:=$CFAC;map2[6826][2]:=$9B95;
map2[6827][1]:=$CFAD;map2[6827][2]:=$9B99;
map2[6828][1]:=$CFAE;map2[6828][2]:=$ECC4;
map2[6829][1]:=$CFAF;map2[6829][2]:=$9ED8;
map2[6830][1]:=$CFB0;map2[6830][2]:=$9EEA;
map2[6831][1]:=$CFB1;map2[6831][2]:=$ECC6;
map2[6832][1]:=$CFB2;map2[6832][2]:=$9EE4;
map2[6833][1]:=$CFB3;map2[6833][2]:=$9EDA;
map2[6834][1]:=$CFB4;map2[6834][2]:=$9EE6;
map2[6835][1]:=$CFB5;map2[6835][2]:=$9EE7;
map2[6836][1]:=$CFB6;map2[6836][2]:=$9EE2;
map2[6837][1]:=$CFB7;map2[6837][2]:=$A098;
map2[6838][1]:=$CFB8;map2[6838][2]:=$A09E;
map2[6839][1]:=$CFB9;map2[6839][2]:=$A09F;
map2[6840][1]:=$CFBA;map2[6840][2]:=$A0B4;
map2[6841][1]:=$CFBB;map2[6841][2]:=$A0B6;
map2[6842][1]:=$CFBC;map2[6842][2]:=$A0B8;
map2[6843][1]:=$CFBD;map2[6843][2]:=$EAF0;
map2[6844][1]:=$CFBE;map2[6844][2]:=$A0F3;
map2[6845][1]:=$CFBF;map2[6845][2]:=$AA45;
map2[6846][1]:=$CFC0;map2[6846][2]:=$E1F5;
map2[6847][1]:=$CFC1;map2[6847][2]:=$AA4A;
map2[6848][1]:=$CFC2;map2[6848][2]:=$AA42;
map2[6849][1]:=$CFC3;map2[6849][2]:=$AA49;
map2[6850][1]:=$CFC4;map2[6850][2]:=$AA47;
map2[6851][1]:=$CFC5;map2[6851][2]:=$AA44;
map2[6852][1]:=$CFC6;map2[6852][2]:=$AB51;
map2[6853][1]:=$CFC7;map2[6853][2]:=$AB81;
map2[6854][1]:=$CFC8;map2[6854][2]:=$E7E6;
map2[6855][1]:=$CFC9;map2[6855][2]:=$E7EC;
map2[6856][1]:=$CFCA;map2[6856][2]:=$AB7C;
map2[6857][1]:=$CFCB;map2[6857][2]:=$AB74;
map2[6858][1]:=$CFCC;map2[6858][2]:=$AB72;
map2[6859][1]:=$CFCD;map2[6859][2]:=$AB71;
map2[6860][1]:=$CFCE;map2[6860][2]:=$AB70;
map2[6861][1]:=$CFCF;map2[6861][2]:=$AB96;
map2[6862][1]:=$CFD0;map2[6862][2]:=$AB78;
map2[6863][1]:=$CFD1;map2[6863][2]:=$AB7E;
map2[6864][1]:=$CFD2;map2[6864][2]:=$AB77;
map2[6865][1]:=$CFD3;map2[6865][2]:=$AB7A;
map2[6866][1]:=$CFD4;map2[6866][2]:=$AB7D;
map2[6867][1]:=$CFD5;map2[6867][2]:=$AB73;
map2[6868][1]:=$CFD6;map2[6868][2]:=$AB80;
map2[6869][1]:=$CFD7;map2[6869][2]:=$AD9C;
map2[6870][1]:=$CFD8;map2[6870][2]:=$CECD;
map2[6871][1]:=$CFD9;map2[6871][2]:=$AE67;
map2[6872][1]:=$CFDA;map2[6872][2]:=$AE73;
map2[6873][1]:=$CFDB;map2[6873][2]:=$EEB2;
map2[6874][1]:=$CFDC;map2[6874][2]:=$AF4F;
map2[6875][1]:=$CFDD;map2[6875][2]:=$AF52;
map2[6876][1]:=$CFDE;map2[6876][2]:=$B06A;
map2[6877][1]:=$CFDF;map2[6877][2]:=$B140;
map2[6878][1]:=$CFE0;map2[6878][2]:=$EDF1;
map2[6879][1]:=$CFE1;map2[6879][2]:=$B164;
map2[6880][1]:=$CFE2;map2[6880][2]:=$EDED;
map2[6881][1]:=$CFE3;map2[6881][2]:=$B165;
map2[6882][1]:=$CFE4;map2[6882][2]:=$B167;
map2[6883][1]:=$CFE5;map2[6883][2]:=$B15D;
map2[6884][1]:=$CFE6;map2[6884][2]:=$B15F;
map2[6885][1]:=$CFE7;map2[6885][2]:=$B15E;
map2[6886][1]:=$CFE8;map2[6886][2]:=$EFF2;
map2[6887][1]:=$CFE9;map2[6887][2]:=$B341;
map2[6888][1]:=$CFEA;map2[6888][2]:=$B351;
map2[6889][1]:=$CFEB;map2[6889][2]:=$EDBC;
map2[6890][1]:=$CFEC;map2[6890][2]:=$C5F8;
map2[6891][1]:=$CFED;map2[6891][2]:=$B350;
map2[6892][1]:=$CFEE;map2[6892][2]:=$B358;
map2[6893][1]:=$CFEF;map2[6893][2]:=$B357;
map2[6894][1]:=$CFF0;map2[6894][2]:=$B356;
map2[6895][1]:=$CFF1;map2[6895][2]:=$EDB9;
map2[6896][1]:=$CFF2;map2[6896][2]:=$B34E;
map2[6897][1]:=$CFF3;map2[6897][2]:=$B359;
map2[6898][1]:=$CFF4;map2[6898][2]:=$B570;
map2[6899][1]:=$CFF5;map2[6899][2]:=$B572;
map2[6900][1]:=$CFF6;map2[6900][2]:=$B571;
map2[6901][1]:=$CFF7;map2[6901][2]:=$B56E;
map2[6902][1]:=$CFF8;map2[6902][2]:=$B56D;
map2[6903][1]:=$CFF9;map2[6903][2]:=$EFF5;
map2[6904][1]:=$CFFA;map2[6904][2]:=$D6D6;
map2[6905][1]:=$CFFB;map2[6905][2]:=$B66D;
map2[6906][1]:=$CFFC;map2[6906][2]:=$B671;
map2[6907][1]:=$CFFD;map2[6907][2]:=$B66C;
map2[6908][1]:=$CFFE;map2[6908][2]:=$F1B8;
map2[6909][1]:=$D040;map2[6909][2]:=$B78E;
map2[6910][1]:=$D041;map2[6910][2]:=$B866;
map2[6911][1]:=$D042;map2[6911][2]:=$B888;
map2[6912][1]:=$D043;map2[6912][2]:=$B889;
map2[6913][1]:=$D044;map2[6913][2]:=$BB74;
map2[6914][1]:=$D045;map2[6914][2]:=$BB72;
map2[6915][1]:=$D046;map2[6915][2]:=$BB73;
map2[6916][1]:=$D047;map2[6916][2]:=$BB76;
map2[6917][1]:=$D048;map2[6917][2]:=$BB77;
map2[6918][1]:=$D049;map2[6918][2]:=$BB78;
map2[6919][1]:=$D04A;map2[6919][2]:=$BC72;
map2[6920][1]:=$D04B;map2[6920][2]:=$E6FD;
map2[6921][1]:=$D04C;map2[6921][2]:=$BC70;
map2[6922][1]:=$D04D;map2[6922][2]:=$EEB7;
map2[6923][1]:=$D04E;map2[6923][2]:=$C168;
map2[6924][1]:=$D04F;map2[6924][2]:=$C165;
map2[6925][1]:=$D050;map2[6925][2]:=$C187;
map2[6926][1]:=$D051;map2[6926][2]:=$C254;
map2[6927][1]:=$D052;map2[6927][2]:=$C258;
map2[6928][1]:=$D053;map2[6928][2]:=$C259;
map2[6929][1]:=$D054;map2[6929][2]:=$F1E8;
map2[6930][1]:=$D055;map2[6930][2]:=$DEC7;
map2[6931][1]:=$D056;map2[6931][2]:=$C36A;
map2[6932][1]:=$D057;map2[6932][2]:=$C35E;
map2[6933][1]:=$D058;map2[6933][2]:=$C36C;
map2[6934][1]:=$D059;map2[6934][2]:=$C365;
map2[6935][1]:=$D05A;map2[6935][2]:=$C35F;
map2[6936][1]:=$D05B;map2[6936][2]:=$EBCF;
map2[6937][1]:=$D05C;map2[6937][2]:=$C364;
map2[6938][1]:=$D05D;map2[6938][2]:=$C35D;
map2[6939][1]:=$D05E;map2[6939][2]:=$C36E;
map2[6940][1]:=$D05F;map2[6940][2]:=$EBD1;
map2[6941][1]:=$D060;map2[6941][2]:=$CAA4;
map2[6942][1]:=$D061;map2[6942][2]:=$C361;
map2[6943][1]:=$D062;map2[6943][2]:=$C369;
map2[6944][1]:=$D063;map2[6944][2]:=$C360;
map2[6945][1]:=$D064;map2[6945][2]:=$C363;
map2[6946][1]:=$D065;map2[6946][2]:=$EBD3;
map2[6947][1]:=$D066;map2[6947][2]:=$C36F;
map2[6948][1]:=$D067;map2[6948][2]:=$EBD2;
map2[6949][1]:=$D068;map2[6949][2]:=$C561;
map2[6950][1]:=$D069;map2[6950][2]:=$F4AD;
map2[6951][1]:=$D06A;map2[6951][2]:=$C655;
map2[6952][1]:=$D06B;map2[6952][2]:=$C66E;
map2[6953][1]:=$D06C;map2[6953][2]:=$C683;
map2[6954][1]:=$D06D;map2[6954][2]:=$C6BB;
map2[6955][1]:=$D06E;map2[6955][2]:=$DCD8;
map2[6956][1]:=$D06F;map2[6956][2]:=$C673;
map2[6957][1]:=$D070;map2[6957][2]:=$C685;
map2[6958][1]:=$D071;map2[6958][2]:=$DCE6;
map2[6959][1]:=$D072;map2[6959][2]:=$DCFB;
map2[6960][1]:=$D073;map2[6960][2]:=$C9BB;
map2[6961][1]:=$D074;map2[6961][2]:=$C66D;
map2[6962][1]:=$D075;map2[6962][2]:=$DCDA;
map2[6963][1]:=$D076;map2[6963][2]:=$C676;
map2[6964][1]:=$D077;map2[6964][2]:=$DCD3;
map2[6965][1]:=$D078;map2[6965][2]:=$C67A;
map2[6966][1]:=$D079;map2[6966][2]:=$C67C;
map2[6967][1]:=$D07A;map2[6967][2]:=$DCDD;
map2[6968][1]:=$D07B;map2[6968][2]:=$DCDE;
map2[6969][1]:=$D07C;map2[6969][2]:=$C67D;
map2[6970][1]:=$D07D;map2[6970][2]:=$C679;
map2[6971][1]:=$D07E;map2[6971][2]:=$C675;
map2[6972][1]:=$D0A1;map2[6972][2]:=$DCD6;
map2[6973][1]:=$D0A2;map2[6973][2]:=$DCE5;
map2[6974][1]:=$D0A3;map2[6974][2]:=$C680;
map2[6975][1]:=$D0A4;map2[6975][2]:=$C67B;
map2[6976][1]:=$D0A5;map2[6976][2]:=$C677;
map2[6977][1]:=$D0A6;map2[6977][2]:=$CD48;
map2[6978][1]:=$D0A7;map2[6978][2]:=$CD45;
map2[6979][1]:=$D0A8;map2[6979][2]:=$F2B4;
map2[6980][1]:=$D0A9;map2[6980][2]:=$CD44;
map2[6981][1]:=$D0AA;map2[6981][2]:=$D059;
map2[6982][1]:=$D0AB;map2[6982][2]:=$D062;
map2[6983][1]:=$D0AC;map2[6983][2]:=$D073;
map2[6984][1]:=$D0AD;map2[6984][2]:=$D074;
map2[6985][1]:=$D0AE;map2[6985][2]:=$F1C3;
map2[6986][1]:=$D0AF;map2[6986][2]:=$D361;
map2[6987][1]:=$D0B0;map2[6987][2]:=$D388;
map2[6988][1]:=$D0B1;map2[6988][2]:=$D9EA;
map2[6989][1]:=$D0B2;map2[6989][2]:=$DA5C;
map2[6990][1]:=$D0B3;map2[6990][2]:=$DE8C;
map2[6991][1]:=$D0B4;map2[6991][2]:=$DE8B;
map2[6992][1]:=$D0B5;map2[6992][2]:=$E5C5;
map2[6993][1]:=$D0B6;map2[6993][2]:=$DE8A;
map2[6994][1]:=$D0B7;map2[6994][2]:=$E05A;
map2[6995][1]:=$D0B8;map2[6995][2]:=$DF9E;
map2[6996][1]:=$D0B9;map2[6996][2]:=$DF9F;
map2[6997][1]:=$D0BA;map2[6997][2]:=$E04A;
map2[6998][1]:=$D0BB;map2[6998][2]:=$DBA4;
map2[6999][1]:=$D0BC;map2[6999][2]:=$DBA5;
map2[7000][1]:=$D0BD;map2[7000][2]:=$DBA8;
map2[7001][1]:=$D0BE;map2[7001][2]:=$E045;
map2[7002][1]:=$D0BF;map2[7002][2]:=$E043;
map2[7003][1]:=$D0C0;map2[7003][2]:=$EEC6;
map2[7004][1]:=$D0C1;map2[7004][2]:=$EEC5;
map2[7005][1]:=$D0C2;map2[7005][2]:=$DAEB;
map2[7006][1]:=$D0C3;map2[7006][2]:=$EA79;
map2[7007][1]:=$D0C4;map2[7007][2]:=$EA7A;
map2[7008][1]:=$D0C5;map2[7008][2]:=$EA7C;
map2[7009][1]:=$D0C6;map2[7009][2]:=$EA77;
map2[7010][1]:=$D0C7;map2[7010][2]:=$EA78;
map2[7011][1]:=$D0C8;map2[7011][2]:=$828A;
map2[7012][1]:=$D0C9;map2[7012][2]:=$8279;
map2[7013][1]:=$D0CA;map2[7013][2]:=$827B;
map2[7014][1]:=$D0CB;map2[7014][2]:=$8284;
map2[7015][1]:=$D0CC;map2[7015][2]:=$828C;
map2[7016][1]:=$D0CD;map2[7016][2]:=$8292;
map2[7017][1]:=$D0CE;map2[7017][2]:=$8288;
map2[7018][1]:=$D0CF;map2[7018][2]:=$826C;
map2[7019][1]:=$D0D0;map2[7019][2]:=$826B;
map2[7020][1]:=$D0D1;map2[7020][2]:=$8295;
map2[7021][1]:=$D0D2;map2[7021][2]:=$8299;
map2[7022][1]:=$D0D3;map2[7022][2]:=$D9BE;
map2[7023][1]:=$D0D4;map2[7023][2]:=$826D;
map2[7024][1]:=$D0D5;map2[7024][2]:=$826E;
map2[7025][1]:=$D0D6;map2[7025][2]:=$8287;
map2[7026][1]:=$D0D7;map2[7026][2]:=$D9C3;
map2[7027][1]:=$D0D8;map2[7027][2]:=$828B;
map2[7028][1]:=$D0D9;map2[7028][2]:=$828F;
map2[7029][1]:=$D0DA;map2[7029][2]:=$8297;
map2[7030][1]:=$D0DB;map2[7030][2]:=$8291;
map2[7031][1]:=$D0DC;map2[7031][2]:=$8293;
map2[7032][1]:=$D0DD;map2[7032][2]:=$8281;
map2[7033][1]:=$D0DE;map2[7033][2]:=$B5B3;
map2[7034][1]:=$D0DF;map2[7034][2]:=$83DB;
map2[7035][1]:=$D0E0;map2[7035][2]:=$83DA;
map2[7036][1]:=$D0E1;map2[7036][2]:=$83F5;
map2[7037][1]:=$D0E2;map2[7037][2]:=$C6E0;
map2[7038][1]:=$D0E3;map2[7038][2]:=$83F3;
map2[7039][1]:=$D0E4;map2[7039][2]:=$83F4;
map2[7040][1]:=$D0E5;map2[7040][2]:=$83F7;
map2[7041][1]:=$D0E6;map2[7041][2]:=$D8DF;
map2[7042][1]:=$D0E7;map2[7042][2]:=$8481;
map2[7043][1]:=$D0E8;map2[7043][2]:=$847A;
map2[7044][1]:=$D0E9;map2[7044][2]:=$D8DE;
map2[7045][1]:=$D0EA;map2[7045][2]:=$8484;
map2[7046][1]:=$D0EB;map2[7046][2]:=$847C;
map2[7047][1]:=$D0EC;map2[7047][2]:=$8486;
map2[7048][1]:=$D0ED;map2[7048][2]:=$84CD;
map2[7049][1]:=$D0EE;map2[7049][2]:=$84FE;
map2[7050][1]:=$D0EF;map2[7050][2]:=$858A;
map2[7051][1]:=$D0F0;map2[7051][2]:=$867E;
map2[7052][1]:=$D0F1;map2[7052][2]:=$DFC7;
map2[7053][1]:=$D0F2;map2[7053][2]:=$8674;
map2[7054][1]:=$D0F3;map2[7054][2]:=$8670;
map2[7055][1]:=$D0F4;map2[7055][2]:=$DFEA;
map2[7056][1]:=$D0F5;map2[7056][2]:=$DFEE;
map2[7057][1]:=$D0F6;map2[7057][2]:=$8657;
map2[7058][1]:=$D0F7;map2[7058][2]:=$DFC4;
map2[7059][1]:=$D0F8;map2[7059][2]:=$DBC1;
map2[7060][1]:=$D0F9;map2[7060][2]:=$DFC2;
map2[7061][1]:=$D0FA;map2[7061][2]:=$866A;
map2[7062][1]:=$D0FB;map2[7062][2]:=$8658;
map2[7063][1]:=$D0FC;map2[7063][2]:=$DFF2;
map2[7064][1]:=$D0FD;map2[7064][2]:=$8669;
map2[7065][1]:=$D0FE;map2[7065][2]:=$865C;
map2[7066][1]:=$D140;map2[7066][2]:=$866B;
map2[7067][1]:=$D141;map2[7067][2]:=$8663;
map2[7068][1]:=$D142;map2[7068][2]:=$8660;
map2[7069][1]:=$D143;map2[7069][2]:=$8661;
map2[7070][1]:=$D144;map2[7070][2]:=$8653;
map2[7071][1]:=$D145;map2[7071][2]:=$866F;
map2[7072][1]:=$D146;map2[7072][2]:=$8667;
map2[7073][1]:=$D147;map2[7073][2]:=$866C;
map2[7074][1]:=$D148;map2[7074][2]:=$87F4;
map2[7075][1]:=$D149;map2[7075][2]:=$87F5;
map2[7076][1]:=$D14A;map2[7076][2]:=$88B0;
map2[7077][1]:=$D14B;map2[7077][2]:=$88F4;
map2[7078][1]:=$D14C;map2[7078][2]:=$DBF4;
map2[7079][1]:=$D14D;map2[7079][2]:=$DBF8;
map2[7080][1]:=$D14E;map2[7080][2]:=$88A1;
map2[7081][1]:=$D14F;map2[7081][2]:=$88AB;
map2[7082][1]:=$D150;map2[7082][2]:=$88A4;
map2[7083][1]:=$D151;map2[7083][2]:=$88A3;
map2[7084][1]:=$D152;map2[7084][2]:=$DBF9;
map2[7085][1]:=$D153;map2[7085][2]:=$889E;
map2[7086][1]:=$D154;map2[7086][2]:=$88A6;
map2[7087][1]:=$D155;map2[7087][2]:=$88AC;
map2[7088][1]:=$D156;map2[7088][2]:=$88B2;
map2[7089][1]:=$D157;map2[7089][2]:=$88A0;
map2[7090][1]:=$D158;map2[7090][2]:=$88A8;
map2[7091][1]:=$D159;map2[7091][2]:=$89E8;
map2[7092][1]:=$D15A;map2[7092][2]:=$8A47;
map2[7093][1]:=$D15B;map2[7093][2]:=$8AC8;
map2[7094][1]:=$D15C;map2[7094][2]:=$8AC6;
map2[7095][1]:=$D15D;map2[7095][2]:=$8AD6;
map2[7096][1]:=$D15E;map2[7096][2]:=$8AD7;
map2[7097][1]:=$D15F;map2[7097][2]:=$8AC5;
map2[7098][1]:=$D160;map2[7098][2]:=$8AC1;
map2[7099][1]:=$D161;map2[7099][2]:=$8AC7;
map2[7100][1]:=$D162;map2[7100][2]:=$8ABD;
map2[7101][1]:=$D163;map2[7101][2]:=$8ACC;
map2[7102][1]:=$D164;map2[7102][2]:=$8ADA;
map2[7103][1]:=$D165;map2[7103][2]:=$D8AB;
map2[7104][1]:=$D166;map2[7104][2]:=$8C68;
map2[7105][1]:=$D167;map2[7105][2]:=$8C6C;
map2[7106][1]:=$D168;map2[7106][2]:=$8C6B;
map2[7107][1]:=$D169;map2[7107][2]:=$8CA0;
map2[7108][1]:=$D16A;map2[7108][2]:=$8CCA;
map2[7109][1]:=$D16B;map2[7109][2]:=$8CC9;
map2[7110][1]:=$D16C;map2[7110][2]:=$8D6D;
map2[7111][1]:=$D16D;map2[7111][2]:=$8D7D;
map2[7112][1]:=$D16E;map2[7112][2]:=$8D6E;
map2[7113][1]:=$D16F;map2[7113][2]:=$8D70;
map2[7114][1]:=$D170;map2[7114][2]:=$8D76;
map2[7115][1]:=$D171;map2[7115][2]:=$8D7E;
map2[7116][1]:=$D172;map2[7116][2]:=$8D78;
map2[7117][1]:=$D173;map2[7117][2]:=$8E9D;
map2[7118][1]:=$D174;map2[7118][2]:=$8E9C;
map2[7119][1]:=$D175;map2[7119][2]:=$8EE9;
map2[7120][1]:=$D176;map2[7120][2]:=$8EEE;
map2[7121][1]:=$D177;map2[7121][2]:=$8EEB;
map2[7122][1]:=$D178;map2[7122][2]:=$8EED;
map2[7123][1]:=$D179;map2[7123][2]:=$E5F2;
map2[7124][1]:=$D17A;map2[7124][2]:=$8F84;
map2[7125][1]:=$D17B;map2[7125][2]:=$8FAA;
map2[7126][1]:=$D17C;map2[7126][2]:=$EDA2;
map2[7127][1]:=$D17D;map2[7127][2]:=$EDA3;
map2[7128][1]:=$D17E;map2[7128][2]:=$EDA4;
map2[7129][1]:=$D1A1;map2[7129][2]:=$EDA5;
map2[7130][1]:=$D1A2;map2[7130][2]:=$9094;
map2[7131][1]:=$D1A3;map2[7131][2]:=$9085;
map2[7132][1]:=$D1A4;map2[7132][2]:=$907E;
map2[7133][1]:=$D1A5;map2[7133][2]:=$E3A8;
map2[7134][1]:=$D1A6;map2[7134][2]:=$9080;
map2[7135][1]:=$D1A7;map2[7135][2]:=$E3A6;
map2[7136][1]:=$D1A8;map2[7136][2]:=$E3A7;
map2[7137][1]:=$D1A9;map2[7137][2]:=$908D;
map2[7138][1]:=$D1AA;map2[7138][2]:=$E3AA;
map2[7139][1]:=$D1AB;map2[7139][2]:=$908E;
map2[7140][1]:=$D1AC;map2[7140][2]:=$9084;
map2[7141][1]:=$D1AD;map2[7141][2]:=$9091;
map2[7142][1]:=$D1AE;map2[7142][2]:=$9088;
map2[7143][1]:=$D1AF;map2[7143][2]:=$91E3;
map2[7144][1]:=$D1B0;map2[7144][2]:=$91FD;
map2[7145][1]:=$D1B1;map2[7145][2]:=$928D;
map2[7146][1]:=$D1B2;map2[7146][2]:=$929D;
map2[7147][1]:=$D1B3;map2[7147][2]:=$92C2;
map2[7148][1]:=$D1B4;map2[7148][2]:=$92A9;
map2[7149][1]:=$D1B5;map2[7149][2]:=$92BA;
map2[7150][1]:=$D1B6;map2[7150][2]:=$CDB1;
map2[7151][1]:=$D1B7;map2[7151][2]:=$92B1;
map2[7152][1]:=$D1B8;map2[7152][2]:=$DEDC;
map2[7153][1]:=$D1B9;map2[7153][2]:=$9356;
map2[7154][1]:=$D1BA;map2[7154][2]:=$DEDA;
map2[7155][1]:=$D1BB;map2[7155][2]:=$DEDB;
map2[7156][1]:=$D1BC;map2[7156][2]:=$92BD;
map2[7157][1]:=$D1BD;map2[7157][2]:=$92B5;
map2[7158][1]:=$D1BE;map2[7158][2]:=$92A8;
map2[7159][1]:=$D1BF;map2[7159][2]:=$92B9;
map2[7160][1]:=$D1C0;map2[7160][2]:=$92AF;
map2[7161][1]:=$D1C1;map2[7161][2]:=$92C4;
map2[7162][1]:=$D1C2;map2[7162][2]:=$92C1;
map2[7163][1]:=$D1C3;map2[7163][2]:=$92C5;
map2[7164][1]:=$D1C4;map2[7164][2]:=$92AA;
map2[7165][1]:=$D1C5;map2[7165][2]:=$92BB;
map2[7166][1]:=$D1C6;map2[7166][2]:=$92AE;
map2[7167][1]:=$D1C7;map2[7167][2]:=$92C6;
map2[7168][1]:=$D1C8;map2[7168][2]:=$92BE;
map2[7169][1]:=$D1C9;map2[7169][2]:=$92B3;
map2[7170][1]:=$D1CA;map2[7170][2]:=$92C3;
map2[7171][1]:=$D1CB;map2[7171][2]:=$92B8;
map2[7172][1]:=$D1CC;map2[7172][2]:=$92BC;
map2[7173][1]:=$D1CD;map2[7173][2]:=$9499;
map2[7174][1]:=$D1CE;map2[7174][2]:=$9497;
map2[7175][1]:=$D1CF;map2[7175][2]:=$ECB7;
map2[7176][1]:=$D1D0;map2[7176][2]:=$ECB9;
map2[7177][1]:=$D1D1;map2[7177][2]:=$ECB8;
map2[7178][1]:=$D1D2;map2[7178][2]:=$C6EC;
map2[7179][1]:=$D1D3;map2[7179][2]:=$9579;
map2[7180][1]:=$D1D4;map2[7180][2]:=$EAC9;
map2[7181][1]:=$D1D5;map2[7181][2]:=$9576;
map2[7182][1]:=$D1D6;map2[7182][2]:=$957D;
map2[7183][1]:=$D1D7;map2[7183][2]:=$9648;
map2[7184][1]:=$D1D8;map2[7184][2]:=$9649;
map2[7185][1]:=$D1D9;map2[7185][2]:=$96DE;
map2[7186][1]:=$D1DA;map2[7186][2]:=$96DA;
map2[7187][1]:=$D1DB;map2[7187][2]:=$E8F1;
map2[7188][1]:=$D1DC;map2[7188][2]:=$E8E0;
map2[7189][1]:=$D1DD;map2[7189][2]:=$E8E1;
map2[7190][1]:=$D1DE;map2[7190][2]:=$96F2;
map2[7191][1]:=$D1DF;map2[7191][2]:=$96F5;
map2[7192][1]:=$D1E0;map2[7192][2]:=$96F7;
map2[7193][1]:=$D1E1;map2[7193][2]:=$C6DC;
map2[7194][1]:=$D1E2;map2[7194][2]:=$96ED;
map2[7195][1]:=$D1E3;map2[7195][2]:=$96DC;
map2[7196][1]:=$D1E4;map2[7196][2]:=$96EF;
map2[7197][1]:=$D1E5;map2[7197][2]:=$96E7;
map2[7198][1]:=$D1E6;map2[7198][2]:=$96E9;
map2[7199][1]:=$D1E7;map2[7199][2]:=$96EB;
map2[7200][1]:=$D1E8;map2[7200][2]:=$E8E4;
map2[7201][1]:=$D1E9;map2[7201][2]:=$E8E6;
map2[7202][1]:=$D1EA;map2[7202][2]:=$96EE;
map2[7203][1]:=$D1EB;map2[7203][2]:=$E8E9;
map2[7204][1]:=$D1EC;map2[7204][2]:=$96D5;
map2[7205][1]:=$D1ED;map2[7205][2]:=$96D6;
map2[7206][1]:=$D1EE;map2[7206][2]:=$96E4;
map2[7207][1]:=$D1EF;map2[7207][2]:=$96E6;
map2[7208][1]:=$D1F0;map2[7208][2]:=$96EA;
map2[7209][1]:=$D1F1;map2[7209][2]:=$96F6;
map2[7210][1]:=$D1F2;map2[7210][2]:=$96F1;
map2[7211][1]:=$D1F3;map2[7211][2]:=$96E3;
map2[7212][1]:=$D1F4;map2[7212][2]:=$96DF;
map2[7213][1]:=$D1F5;map2[7213][2]:=$99FC;
map2[7214][1]:=$D1F6;map2[7214][2]:=$9A40;
map2[7215][1]:=$D1F7;map2[7215][2]:=$99FD;
map2[7216][1]:=$D1F8;map2[7216][2]:=$9A42;
map2[7217][1]:=$D1F9;map2[7217][2]:=$9A44;
map2[7218][1]:=$D1FA;map2[7218][2]:=$9A6C;
map2[7219][1]:=$D1FB;map2[7219][2]:=$C342;
map2[7220][1]:=$D1FC;map2[7220][2]:=$9A7E;
map2[7221][1]:=$D1FD;map2[7221][2]:=$9ABE;
map2[7222][1]:=$D1FE;map2[7222][2]:=$9ABC;
map2[7223][1]:=$D240;map2[7223][2]:=$9AC0;
map2[7224][1]:=$D241;map2[7224][2]:=$9ABB;
map2[7225][1]:=$D242;map2[7225][2]:=$9ABA;
map2[7226][1]:=$D243;map2[7226][2]:=$C8DE;
map2[7227][1]:=$D244;map2[7227][2]:=$9AE3;
map2[7228][1]:=$D245;map2[7228][2]:=$9BD2;
map2[7229][1]:=$D246;map2[7229][2]:=$E4BD;
map2[7230][1]:=$D247;map2[7230][2]:=$9BC4;
map2[7231][1]:=$D248;map2[7231][2]:=$9BD0;
map2[7232][1]:=$D249;map2[7232][2]:=$9B97;
map2[7233][1]:=$D24A;map2[7233][2]:=$9BC2;
map2[7234][1]:=$D24B;map2[7234][2]:=$9BE2;
map2[7235][1]:=$D24C;map2[7235][2]:=$9BBE;
map2[7236][1]:=$D24D;map2[7236][2]:=$9BC3;
map2[7237][1]:=$D24E;map2[7237][2]:=$9BCA;
map2[7238][1]:=$D24F;map2[7238][2]:=$E4B4;
map2[7239][1]:=$D250;map2[7239][2]:=$E4B3;
map2[7240][1]:=$D251;map2[7240][2]:=$9BDF;
map2[7241][1]:=$D252;map2[7241][2]:=$9C55;
map2[7242][1]:=$D253;map2[7242][2]:=$9BD6;
map2[7243][1]:=$D254;map2[7243][2]:=$9BDB;
map2[7244][1]:=$D255;map2[7244][2]:=$E4B7;
map2[7245][1]:=$D256;map2[7245][2]:=$9BC6;
map2[7246][1]:=$D257;map2[7246][2]:=$E4BB;
map2[7247][1]:=$D258;map2[7247][2]:=$9BE4;
map2[7248][1]:=$D259;map2[7248][2]:=$9BCB;
map2[7249][1]:=$D25A;map2[7249][2]:=$E4BC;
map2[7250][1]:=$D25B;map2[7250][2]:=$9BC1;
map2[7251][1]:=$D25C;map2[7251][2]:=$CDBF;
map2[7252][1]:=$D25D;map2[7252][2]:=$9BE5;
map2[7253][1]:=$D25E;map2[7253][2]:=$9BAD;
map2[7254][1]:=$D25F;map2[7254][2]:=$9BC7;
map2[7255][1]:=$D260;map2[7255][2]:=$9BDE;
map2[7256][1]:=$D261;map2[7256][2]:=$9BD5;
map2[7257][1]:=$D262;map2[7257][2]:=$9BD7;
map2[7258][1]:=$D263;map2[7258][2]:=$9BDA;
map2[7259][1]:=$D264;map2[7259][2]:=$9B9E;
map2[7260][1]:=$D265;map2[7260][2]:=$9BD9;
map2[7261][1]:=$D266;map2[7261][2]:=$9BD3;
map2[7262][1]:=$D267;map2[7262][2]:=$9BD4;
map2[7263][1]:=$D268;map2[7263][2]:=$9BCF;
map2[7264][1]:=$D269;map2[7264][2]:=$9BE1;
map2[7265][1]:=$D26A;map2[7265][2]:=$9F40;
map2[7266][1]:=$D26B;map2[7266][2]:=$9EF9;
map2[7267][1]:=$D26C;map2[7267][2]:=$9EF7;
map2[7268][1]:=$D26D;map2[7268][2]:=$9F41;
map2[7269][1]:=$D26E;map2[7269][2]:=$9EF1;
map2[7270][1]:=$D26F;map2[7270][2]:=$C08C;
map2[7271][1]:=$D270;map2[7271][2]:=$9F45;
map2[7272][1]:=$D271;map2[7272][2]:=$9EFD;
map2[7273][1]:=$D272;map2[7273][2]:=$9EF8;
map2[7274][1]:=$D273;map2[7274][2]:=$9F42;
map2[7275][1]:=$D274;map2[7275][2]:=$9F43;
map2[7276][1]:=$D275;map2[7276][2]:=$9EFA;
map2[7277][1]:=$D276;map2[7277][2]:=$9EF3;
map2[7278][1]:=$D277;map2[7278][2]:=$9EED;
map2[7279][1]:=$D278;map2[7279][2]:=$9EEE;
map2[7280][1]:=$D279;map2[7280][2]:=$9EEF;
map2[7281][1]:=$D27A;map2[7281][2]:=$9EFE;
map2[7282][1]:=$D27B;map2[7282][2]:=$9EF4;
map2[7283][1]:=$D27C;map2[7283][2]:=$9F44;
map2[7284][1]:=$D27D;map2[7284][2]:=$A099;
map2[7285][1]:=$D27E;map2[7285][2]:=$A0BC;
map2[7286][1]:=$D2A1;map2[7286][2]:=$A0BB;
map2[7287][1]:=$D2A2;map2[7287][2]:=$A0BA;
map2[7288][1]:=$D2A3;map2[7288][2]:=$AA51;
map2[7289][1]:=$D2A4;map2[7289][2]:=$E1FE;
map2[7290][1]:=$D2A5;map2[7290][2]:=$E1F9;
map2[7291][1]:=$D2A6;map2[7291][2]:=$AA4F;
map2[7292][1]:=$D2A7;map2[7292][2]:=$AA4C;
map2[7293][1]:=$D2A8;map2[7293][2]:=$E1FC;
map2[7294][1]:=$D2A9;map2[7294][2]:=$E2A1;
map2[7295][1]:=$D2AA;map2[7295][2]:=$E1FB;
map2[7296][1]:=$D2AB;map2[7296][2]:=$AB84;
map2[7297][1]:=$D2AC;map2[7297][2]:=$E7EE;
map2[7298][1]:=$D2AD;map2[7298][2]:=$E7ED;
map2[7299][1]:=$D2AE;map2[7299][2]:=$AB87;
map2[7300][1]:=$D2AF;map2[7300][2]:=$AB75;
map2[7301][1]:=$D2B0;map2[7301][2]:=$E7F2;
map2[7302][1]:=$D2B1;map2[7302][2]:=$AB91;
map2[7303][1]:=$D2B2;map2[7303][2]:=$E7F1;
map2[7304][1]:=$D2B3;map2[7304][2]:=$AB8C;
map2[7305][1]:=$D2B4;map2[7305][2]:=$AB83;
map2[7306][1]:=$D2B5;map2[7306][2]:=$AB8B;
map2[7307][1]:=$D2B6;map2[7307][2]:=$AB85;
map2[7308][1]:=$D2B7;map2[7308][2]:=$AB8D;
map2[7309][1]:=$D2B8;map2[7309][2]:=$AB8A;
map2[7310][1]:=$D2B9;map2[7310][2]:=$AB88;
map2[7311][1]:=$D2BA;map2[7311][2]:=$AB89;
map2[7312][1]:=$D2BB;map2[7312][2]:=$AB94;
map2[7313][1]:=$D2BC;map2[7313][2]:=$F0AC;
map2[7314][1]:=$D2BD;map2[7314][2]:=$AD94;
map2[7315][1]:=$D2BE;map2[7315][2]:=$EAB2;
map2[7316][1]:=$D2BF;map2[7316][2]:=$AE41;
map2[7317][1]:=$D2C0;map2[7317][2]:=$AE60;
map2[7318][1]:=$D2C1;map2[7318][2]:=$EEB3;
map2[7319][1]:=$D2C2;map2[7319][2]:=$AE82;
map2[7320][1]:=$D2C3;map2[7320][2]:=$F0E6;
map2[7321][1]:=$D2C4;map2[7321][2]:=$AF5A;
map2[7322][1]:=$D2C5;map2[7322][2]:=$AF57;
map2[7323][1]:=$D2C6;map2[7323][2]:=$F0E4;
map2[7324][1]:=$D2C7;map2[7324][2]:=$AF59;
map2[7325][1]:=$D2C8;map2[7325][2]:=$AF58;
map2[7326][1]:=$D2C9;map2[7326][2]:=$AF54;
map2[7327][1]:=$D2CA;map2[7327][2]:=$AF56;
map2[7328][1]:=$D2CB;map2[7328][2]:=$B073;
map2[7329][1]:=$D2CC;map2[7329][2]:=$B142;
map2[7330][1]:=$D2CD;map2[7330][2]:=$B176;
map2[7331][1]:=$D2CE;map2[7331][2]:=$B174;
map2[7332][1]:=$D2CF;map2[7332][2]:=$B16B;
map2[7333][1]:=$D2D0;map2[7333][2]:=$B16E;
map2[7334][1]:=$D2D1;map2[7334][2]:=$B16D;
map2[7335][1]:=$D2D2;map2[7335][2]:=$B179;
map2[7336][1]:=$D2D3;map2[7336][2]:=$B16C;
map2[7337][1]:=$D2D4;map2[7337][2]:=$B170;
map2[7338][1]:=$D2D5;map2[7338][2]:=$EDF4;
map2[7339][1]:=$D2D6;map2[7339][2]:=$EDF2;
map2[7340][1]:=$D2D7;map2[7340][2]:=$EDF3;
map2[7341][1]:=$D2D8;map2[7341][2]:=$B17C;
map2[7342][1]:=$D2D9;map2[7342][2]:=$EDC8;
map2[7343][1]:=$D2DA;map2[7343][2]:=$EDC7;
map2[7344][1]:=$D2DB;map2[7344][2]:=$B360;
map2[7345][1]:=$D2DC;map2[7345][2]:=$B36A;
map2[7346][1]:=$D2DD;map2[7346][2]:=$B366;
map2[7347][1]:=$D2DE;map2[7347][2]:=$B362;
map2[7348][1]:=$D2DF;map2[7348][2]:=$B365;
map2[7349][1]:=$D2E0;map2[7349][2]:=$B364;
map2[7350][1]:=$D2E1;map2[7350][2]:=$B35F;
map2[7351][1]:=$D2E2;map2[7351][2]:=$EDC9;
map2[7352][1]:=$D2E3;map2[7352][2]:=$B369;
map2[7353][1]:=$D2E4;map2[7353][2]:=$B363;
map2[7354][1]:=$D2E5;map2[7354][2]:=$B367;
map2[7355][1]:=$D2E6;map2[7355][2]:=$B579;
map2[7356][1]:=$D2E7;map2[7356][2]:=$ECEE;
map2[7357][1]:=$D2E8;map2[7357][2]:=$B575;
map2[7358][1]:=$D2E9;map2[7358][2]:=$ECEF;
map2[7359][1]:=$D2EA;map2[7359][2]:=$ECF0;
map2[7360][1]:=$D2EB;map2[7360][2]:=$B578;
map2[7361][1]:=$D2EC;map2[7361][2]:=$B577;
map2[7362][1]:=$D2ED;map2[7362][2]:=$EFF8;
map2[7363][1]:=$D2EE;map2[7363][2]:=$B680;
map2[7364][1]:=$D2EF;map2[7364][2]:=$B679;
map2[7365][1]:=$D2F0;map2[7365][2]:=$B681;
map2[7366][1]:=$D2F1;map2[7366][2]:=$EFF6;
map2[7367][1]:=$D2F2;map2[7367][2]:=$B67E;
map2[7368][1]:=$D2F3;map2[7368][2]:=$B676;
map2[7369][1]:=$D2F4;map2[7369][2]:=$B678;
map2[7370][1]:=$D2F5;map2[7370][2]:=$B677;
map2[7371][1]:=$D2F6;map2[7371][2]:=$F1B9;
map2[7372][1]:=$D2F7;map2[7372][2]:=$B792;
map2[7373][1]:=$D2F8;map2[7373][2]:=$B790;
map2[7374][1]:=$D2F9;map2[7374][2]:=$B794;
map2[7375][1]:=$D2FA;map2[7375][2]:=$B795;
map2[7376][1]:=$D2FB;map2[7376][2]:=$B793;
map2[7377][1]:=$D2FC;map2[7377][2]:=$B791;
map2[7378][1]:=$D2FD;map2[7378][2]:=$B86C;
map2[7379][1]:=$D2FE;map2[7379][2]:=$B891;
map2[7380][1]:=$D340;map2[7380][2]:=$F3C7;
map2[7381][1]:=$D341;map2[7381][2]:=$B893;
map2[7382][1]:=$D342;map2[7382][2]:=$B88B;
map2[7383][1]:=$D343;map2[7383][2]:=$F3CB;
map2[7384][1]:=$D344;map2[7384][2]:=$F3C5;
map2[7385][1]:=$D345;map2[7385][2]:=$F3C9;
map2[7386][1]:=$D346;map2[7386][2]:=$B890;
map2[7387][1]:=$D347;map2[7387][2]:=$B88D;
map2[7388][1]:=$D348;map2[7388][2]:=$B892;
map2[7389][1]:=$D349;map2[7389][2]:=$BB7B;
map2[7390][1]:=$D34A;map2[7390][2]:=$F4CE;
map2[7391][1]:=$D34B;map2[7391][2]:=$BB81;
map2[7392][1]:=$D34C;map2[7392][2]:=$BB83;
map2[7393][1]:=$D34D;map2[7393][2]:=$BB80;
map2[7394][1]:=$D34E;map2[7394][2]:=$BB84;
map2[7395][1]:=$D34F;map2[7395][2]:=$BB7C;
map2[7396][1]:=$D350;map2[7396][2]:=$BC8D;
map2[7397][1]:=$D351;map2[7397][2]:=$C081;
map2[7398][1]:=$D352;map2[7398][2]:=$BC80;
map2[7399][1]:=$D353;map2[7399][2]:=$BC7C;
map2[7400][1]:=$D354;map2[7400][2]:=$C080;
map2[7401][1]:=$D355;map2[7401][2]:=$C083;
map2[7402][1]:=$D356;map2[7402][2]:=$E7A3;
map2[7403][1]:=$D357;map2[7403][2]:=$BC8E;
map2[7404][1]:=$D358;map2[7404][2]:=$BC81;
map2[7405][1]:=$D359;map2[7405][2]:=$BC7D;
map2[7406][1]:=$D35A;map2[7406][2]:=$BC7A;
map2[7407][1]:=$D35B;map2[7407][2]:=$C143;
map2[7408][1]:=$D35C;map2[7408][2]:=$EEB8;
map2[7409][1]:=$D35D;map2[7409][2]:=$C145;
map2[7410][1]:=$D35E;map2[7410][2]:=$C146;
map2[7411][1]:=$D35F;map2[7411][2]:=$C144;
map2[7412][1]:=$D360;map2[7412][2]:=$C142;
map2[7413][1]:=$D361;map2[7413][2]:=$C16C;
map2[7414][1]:=$D362;map2[7414][2]:=$C169;
map2[7415][1]:=$D363;map2[7415][2]:=$C18A;
map2[7416][1]:=$D364;map2[7416][2]:=$C189;
map2[7417][1]:=$D365;map2[7417][2]:=$C188;
map2[7418][1]:=$D366;map2[7418][2]:=$F1E9;
map2[7419][1]:=$D367;map2[7419][2]:=$C26F;
map2[7420][1]:=$D368;map2[7420][2]:=$C26C;
map2[7421][1]:=$D369;map2[7421][2]:=$B0B7;
map2[7422][1]:=$D36A;map2[7422][2]:=$EBDC;
map2[7423][1]:=$D36B;map2[7423][2]:=$C373;
map2[7424][1]:=$D36C;map2[7424][2]:=$C371;
map2[7425][1]:=$D36D;map2[7425][2]:=$C378;
map2[7426][1]:=$D36E;map2[7426][2]:=$C374;
map2[7427][1]:=$D36F;map2[7427][2]:=$C377;
map2[7428][1]:=$D370;map2[7428][2]:=$F4A8;
map2[7429][1]:=$D371;map2[7429][2]:=$F4B1;
map2[7430][1]:=$D372;map2[7430][2]:=$C575;
map2[7431][1]:=$D373;map2[7431][2]:=$DCFC;
map2[7432][1]:=$D374;map2[7432][2]:=$DCFA;
map2[7433][1]:=$D375;map2[7433][2]:=$C744;
map2[7434][1]:=$D376;map2[7434][2]:=$C68E;
map2[7435][1]:=$D377;map2[7435][2]:=$DCE8;
map2[7436][1]:=$D378;map2[7436][2]:=$C697;
map2[7437][1]:=$D379;map2[7437][2]:=$C74E;
map2[7438][1]:=$D37A;map2[7438][2]:=$C741;
map2[7439][1]:=$D37B;map2[7439][2]:=$C742;
map2[7440][1]:=$D37C;map2[7440][2]:=$C698;
map2[7441][1]:=$D37D;map2[7441][2]:=$DCE7;
map2[7442][1]:=$D37E;map2[7442][2]:=$C694;
map2[7443][1]:=$D3A1;map2[7443][2]:=$C743;
map2[7444][1]:=$D3A2;map2[7444][2]:=$C74B;
map2[7445][1]:=$D3A3;map2[7445][2]:=$DDA2;
map2[7446][1]:=$D3A4;map2[7446][2]:=$C69A;
map2[7447][1]:=$D3A5;map2[7447][2]:=$DCEB;
map2[7448][1]:=$D3A6;map2[7448][2]:=$DCED;
map2[7449][1]:=$D3A7;map2[7449][2]:=$C74A;
map2[7450][1]:=$D3A8;map2[7450][2]:=$C68C;
map2[7451][1]:=$D3A9;map2[7451][2]:=$C696;
map2[7452][1]:=$D3AA;map2[7452][2]:=$C692;
map2[7453][1]:=$D3AB;map2[7453][2]:=$C69E;
map2[7454][1]:=$D3AC;map2[7454][2]:=$DCF2;
map2[7455][1]:=$D3AD;map2[7455][2]:=$C699;
map2[7456][1]:=$D3AE;map2[7456][2]:=$DCF4;
map2[7457][1]:=$D3AF;map2[7457][2]:=$C745;
map2[7458][1]:=$D3B0;map2[7458][2]:=$C749;
map2[7459][1]:=$D3B1;map2[7459][2]:=$C74C;
map2[7460][1]:=$D3B2;map2[7460][2]:=$C690;
map2[7461][1]:=$D3B3;map2[7461][2]:=$B2E7;
map2[7462][1]:=$D3B4;map2[7462][2]:=$C748;
map2[7463][1]:=$D3B5;map2[7463][2]:=$BCEB;
map2[7464][1]:=$D3B6;map2[7464][2]:=$C746;
map2[7465][1]:=$D3B7;map2[7465][2]:=$CC8D;
map2[7466][1]:=$D3B8;map2[7466][2]:=$CC8C;
map2[7467][1]:=$D3B9;map2[7467][2]:=$CD61;
map2[7468][1]:=$D3BA;map2[7468][2]:=$F2B6;
map2[7469][1]:=$D3BB;map2[7469][2]:=$CD57;
map2[7470][1]:=$D3BC;map2[7470][2]:=$F2B7;
map2[7471][1]:=$D3BD;map2[7471][2]:=$CD54;
map2[7472][1]:=$D3BE;map2[7472][2]:=$CD5D;
map2[7473][1]:=$D3BF;map2[7473][2]:=$CD4E;
map2[7474][1]:=$D3C0;map2[7474][2]:=$CD58;
map2[7475][1]:=$D3C1;map2[7475][2]:=$CD4D;
map2[7476][1]:=$D3C2;map2[7476][2]:=$F2B8;
map2[7477][1]:=$D3C3;map2[7477][2]:=$CD5B;
map2[7478][1]:=$D3C4;map2[7478][2]:=$CD4C;
map2[7479][1]:=$D3C5;map2[7479][2]:=$CD62;
map2[7480][1]:=$D3C6;map2[7480][2]:=$CD5A;
map2[7481][1]:=$D3C7;map2[7481][2]:=$CD60;
map2[7482][1]:=$D3C8;map2[7482][2]:=$F2BB;
map2[7483][1]:=$D3C9;map2[7483][2]:=$B2CF;
map2[7484][1]:=$D3CA;map2[7484][2]:=$CD59;
map2[7485][1]:=$D3CB;map2[7485][2]:=$CD51;
map2[7486][1]:=$D3CC;map2[7486][2]:=$F2BA;
map2[7487][1]:=$D3CD;map2[7487][2]:=$CD53;
map2[7488][1]:=$D3CE;map2[7488][2]:=$CD56;
map2[7489][1]:=$D3CF;map2[7489][2]:=$D05B;
map2[7490][1]:=$D3D0;map2[7490][2]:=$F4AC;
map2[7491][1]:=$D3D1;map2[7491][2]:=$D075;
map2[7492][1]:=$D3D2;map2[7492][2]:=$D07A;
map2[7493][1]:=$D3D3;map2[7493][2]:=$D07B;
map2[7494][1]:=$D3D4;map2[7494][2]:=$F1C4;
map2[7495][1]:=$D3D5;map2[7495][2]:=$D082;
map2[7496][1]:=$D3D6;map2[7496][2]:=$D077;
map2[7497][1]:=$D3D7;map2[7497][2]:=$F1C6;
map2[7498][1]:=$D3D8;map2[7498][2]:=$D076;
map2[7499][1]:=$D3D9;map2[7499][2]:=$D083;
map2[7500][1]:=$D3DA;map2[7500][2]:=$F4C0;
map2[7501][1]:=$D3DB;map2[7501][2]:=$D079;
map2[7502][1]:=$D3DC;map2[7502][2]:=$D081;
map2[7503][1]:=$D3DD;map2[7503][2]:=$D79A;
map2[7504][1]:=$D3DE;map2[7504][2]:=$F4F8;
map2[7505][1]:=$D3DF;map2[7505][2]:=$D859;
map2[7506][1]:=$D3E0;map2[7506][2]:=$D874;
map2[7507][1]:=$D3E1;map2[7507][2]:=$D897;
map2[7508][1]:=$D3E2;map2[7508][2]:=$D896;
map2[7509][1]:=$D3E3;map2[7509][2]:=$B8CF;
map2[7510][1]:=$D3E4;map2[7510][2]:=$DA5D;
map2[7511][1]:=$D3E5;map2[7511][2]:=$F5C0;
map2[7512][1]:=$D3E6;map2[7512][2]:=$DA90;
map2[7513][1]:=$D3E7;map2[7513][2]:=$DA8F;
map2[7514][1]:=$D3E8;map2[7514][2]:=$DE61;
map2[7515][1]:=$D3E9;map2[7515][2]:=$DC8F;
map2[7516][1]:=$D3EA;map2[7516][2]:=$DE98;
map2[7517][1]:=$D3EB;map2[7517][2]:=$DE93;
map2[7518][1]:=$D3EC;map2[7518][2]:=$CACA;
map2[7519][1]:=$D3ED;map2[7519][2]:=$DE99;
map2[7520][1]:=$D3EE;map2[7520][2]:=$DE96;
map2[7521][1]:=$D3EF;map2[7521][2]:=$E5CC;
map2[7522][1]:=$D3F0;map2[7522][2]:=$DE97;
map2[7523][1]:=$D3F1;map2[7523][2]:=$DE94;
map2[7524][1]:=$D3F2;map2[7524][2]:=$E04B;
map2[7525][1]:=$D3F3;map2[7525][2]:=$E051;
map2[7526][1]:=$D3F4;map2[7526][2]:=$E04D;
map2[7527][1]:=$D3F5;map2[7527][2]:=$E04E;
map2[7528][1]:=$D3F6;map2[7528][2]:=$E052;
map2[7529][1]:=$D3F7;map2[7529][2]:=$DBA3;
map2[7530][1]:=$D3F8;map2[7530][2]:=$E054;
map2[7531][1]:=$D3F9;map2[7531][2]:=$E04C;
map2[7532][1]:=$D3FA;map2[7532][2]:=$DBAE;
map2[7533][1]:=$D3FB;map2[7533][2]:=$DBAD;
map2[7534][1]:=$D3FC;map2[7534][2]:=$DBAC;
map2[7535][1]:=$D3FD;map2[7535][2]:=$DBA7;
map2[7536][1]:=$D3FE;map2[7536][2]:=$F4FB;
map2[7537][1]:=$D440;map2[7537][2]:=$F4FC;
map2[7538][1]:=$D441;map2[7538][2]:=$F4FD;
map2[7539][1]:=$D442;map2[7539][2]:=$EEC9;
map2[7540][1]:=$D443;map2[7540][2]:=$E19D;
map2[7541][1]:=$D444;map2[7541][2]:=$E196;
map2[7542][1]:=$D445;map2[7542][2]:=$EA83;
map2[7543][1]:=$D446;map2[7543][2]:=$DAEC;
map2[7544][1]:=$D447;map2[7544][2]:=$F6C0;
map2[7545][1]:=$D448;map2[7545][2]:=$F097;
map2[7546][1]:=$D449;map2[7546][2]:=$F7D4;
map2[7547][1]:=$D44A;map2[7547][2]:=$DBCB;
map2[7548][1]:=$D44B;map2[7548][2]:=$8176;
map2[7549][1]:=$D44C;map2[7549][2]:=$82C4;
map2[7550][1]:=$D44D;map2[7550][2]:=$82BF;
map2[7551][1]:=$D44E;map2[7551][2]:=$82B7;
map2[7552][1]:=$D44F;map2[7552][2]:=$82B4;
map2[7553][1]:=$D450;map2[7553][2]:=$82B6;
map2[7554][1]:=$D451;map2[7554][2]:=$82AC;
map2[7555][1]:=$D452;map2[7555][2]:=$82A7;
map2[7556][1]:=$D453;map2[7556][2]:=$82B3;
map2[7557][1]:=$D454;map2[7557][2]:=$82C6;
map2[7558][1]:=$D455;map2[7558][2]:=$D9CA;
map2[7559][1]:=$D456;map2[7559][2]:=$82A8;
map2[7560][1]:=$D457;map2[7560][2]:=$82A0;
map2[7561][1]:=$D458;map2[7561][2]:=$82B2;
map2[7562][1]:=$D459;map2[7562][2]:=$82A6;
map2[7563][1]:=$D45A;map2[7563][2]:=$82B8;
map2[7564][1]:=$D45B;map2[7564][2]:=$8285;
map2[7565][1]:=$D45C;map2[7565][2]:=$82A3;
map2[7566][1]:=$D45D;map2[7566][2]:=$82B5;
map2[7567][1]:=$D45E;map2[7567][2]:=$82BE;
map2[7568][1]:=$D45F;map2[7568][2]:=$82C0;
map2[7569][1]:=$D460;map2[7569][2]:=$82B9;
map2[7570][1]:=$D461;map2[7570][2]:=$82BA;
map2[7571][1]:=$D462;map2[7571][2]:=$82A4;
map2[7572][1]:=$D463;map2[7572][2]:=$829F;
map2[7573][1]:=$D464;map2[7573][2]:=$82C2;
map2[7574][1]:=$D465;map2[7574][2]:=$82C7;
map2[7575][1]:=$D466;map2[7575][2]:=$82AF;
map2[7576][1]:=$D467;map2[7576][2]:=$82AA;
map2[7577][1]:=$D468;map2[7577][2]:=$83F8;
map2[7578][1]:=$D469;map2[7578][2]:=$848B;
map2[7579][1]:=$D46A;map2[7579][2]:=$848D;
map2[7580][1]:=$D46B;map2[7580][2]:=$848C;
map2[7581][1]:=$D46C;map2[7581][2]:=$B9D0;
map2[7582][1]:=$D46D;map2[7582][2]:=$DBC3;
map2[7583][1]:=$D46E;map2[7583][2]:=$84D1;
map2[7584][1]:=$D46F;map2[7584][2]:=$D8D0;
map2[7585][1]:=$D470;map2[7585][2]:=$8589;
map2[7586][1]:=$D471;map2[7586][2]:=$E0A3;
map2[7587][1]:=$D472;map2[7587][2]:=$E0A4;
map2[7588][1]:=$D473;map2[7588][2]:=$DFFE;
map2[7589][1]:=$D474;map2[7589][2]:=$8694;
map2[7590][1]:=$D475;map2[7590][2]:=$DFFD;
map2[7591][1]:=$D476;map2[7591][2]:=$8685;
map2[7592][1]:=$D477;map2[7592][2]:=$DFF4;
map2[7593][1]:=$D478;map2[7593][2]:=$8697;
map2[7594][1]:=$D479;map2[7594][2]:=$867C;
map2[7595][1]:=$D47A;map2[7595][2]:=$8687;
map2[7596][1]:=$D47B;map2[7596][2]:=$8686;
map2[7597][1]:=$D47C;map2[7597][2]:=$E0A7;
map2[7598][1]:=$D47D;map2[7598][2]:=$8698;
map2[7599][1]:=$D47E;map2[7599][2]:=$868F;
map2[7600][1]:=$D4A1;map2[7600][2]:=$866D;
map2[7601][1]:=$D4A2;map2[7601][2]:=$8684;
map2[7602][1]:=$D4A3;map2[7602][2]:=$C9B6;
map2[7603][1]:=$D4A4;map2[7603][2]:=$8695;
map2[7604][1]:=$D4A5;map2[7604][2]:=$8689;
map2[7605][1]:=$D4A6;map2[7605][2]:=$8691;
map2[7606][1]:=$D4A7;map2[7606][2]:=$8683;
map2[7607][1]:=$D4A8;map2[7607][2]:=$868B;
map2[7608][1]:=$D4A9;map2[7608][2]:=$868D;
map2[7609][1]:=$D4AA;map2[7609][2]:=$8692;
map2[7610][1]:=$D4AB;map2[7610][2]:=$E0F5;
map2[7611][1]:=$D4AC;map2[7611][2]:=$E0F0;
map2[7612][1]:=$D4AD;map2[7612][2]:=$88CD;
map2[7613][1]:=$D4AE;map2[7613][2]:=$88DE;
map2[7614][1]:=$D4AF;map2[7614][2]:=$88BB;
map2[7615][1]:=$D4B0;map2[7615][2]:=$88CB;
map2[7616][1]:=$D4B1;map2[7616][2]:=$88B8;
map2[7617][1]:=$D4B2;map2[7617][2]:=$DBFA;
map2[7618][1]:=$D4B3;map2[7618][2]:=$DCA5;
map2[7619][1]:=$D4B4;map2[7619][2]:=$DCA4;
map2[7620][1]:=$D4B5;map2[7620][2]:=$DCA3;
map2[7621][1]:=$D4B6;map2[7621][2]:=$88D5;
map2[7622][1]:=$D4B7;map2[7622][2]:=$DBFC;
map2[7623][1]:=$D4B8;map2[7623][2]:=$DCA1;
map2[7624][1]:=$D4B9;map2[7624][2]:=$88C9;
map2[7625][1]:=$D4BA;map2[7625][2]:=$DBEF;
map2[7626][1]:=$D4BB;map2[7626][2]:=$DDC0;
map2[7627][1]:=$D4BC;map2[7627][2]:=$88C5;
map2[7628][1]:=$D4BD;map2[7628][2]:=$88BC;
map2[7629][1]:=$D4BE;map2[7629][2]:=$88C8;
map2[7630][1]:=$D4BF;map2[7630][2]:=$88BD;
map2[7631][1]:=$D4C0;map2[7631][2]:=$88C4;
map2[7632][1]:=$D4C1;map2[7632][2]:=$DBEB;
map2[7633][1]:=$D4C2;map2[7633][2]:=$88D9;
map2[7634][1]:=$D4C3;map2[7634][2]:=$88CE;
map2[7635][1]:=$D4C4;map2[7635][2]:=$88DB;
map2[7636][1]:=$D4C5;map2[7636][2]:=$88BF;
map2[7637][1]:=$D4C6;map2[7637][2]:=$88D1;
map2[7638][1]:=$D4C7;map2[7638][2]:=$88D8;
map2[7639][1]:=$D4C8;map2[7639][2]:=$88C7;
map2[7640][1]:=$D4C9;map2[7640][2]:=$88C1;
map2[7641][1]:=$D4CA;map2[7641][2]:=$B2C9;
map2[7642][1]:=$D4CB;map2[7642][2]:=$DCA2;
map2[7643][1]:=$D4CC;map2[7643][2]:=$88D3;
map2[7644][1]:=$D4CD;map2[7644][2]:=$8A4F;
map2[7645][1]:=$D4CE;map2[7645][2]:=$8AFE;
map2[7646][1]:=$D4CF;map2[7646][2]:=$8AF7;
map2[7647][1]:=$D4D0;map2[7647][2]:=$E6BC;
map2[7648][1]:=$D4D1;map2[7648][2]:=$E6BA;
map2[7649][1]:=$D4D2;map2[7649][2]:=$8AFC;
map2[7650][1]:=$D4D3;map2[7650][2]:=$8ADD;
map2[7651][1]:=$D4D4;map2[7651][2]:=$8ADB;
map2[7652][1]:=$D4D5;map2[7652][2]:=$E6AB;
map2[7653][1]:=$D4D6;map2[7653][2]:=$8AF0;
map2[7654][1]:=$D4D7;map2[7654][2]:=$8AFD;
map2[7655][1]:=$D4D8;map2[7655][2]:=$8B43;
map2[7656][1]:=$D4D9;map2[7656][2]:=$D2F9;
map2[7657][1]:=$D4DA;map2[7657][2]:=$8AF3;
map2[7658][1]:=$D4DB;map2[7658][2]:=$8B42;
map2[7659][1]:=$D4DC;map2[7659][2]:=$8AF6;
map2[7660][1]:=$D4DD;map2[7660][2]:=$8AE6;
map2[7661][1]:=$D4DE;map2[7661][2]:=$8AFB;
map2[7662][1]:=$D4DF;map2[7662][2]:=$8AF2;
map2[7663][1]:=$D4E0;map2[7663][2]:=$8AE7;
map2[7664][1]:=$D4E1;map2[7664][2]:=$8AF9;
map2[7665][1]:=$D4E2;map2[7665][2]:=$8AEA;
map2[7666][1]:=$D4E3;map2[7666][2]:=$8B64;
map2[7667][1]:=$D4E4;map2[7667][2]:=$8AE2;
map2[7668][1]:=$D4E5;map2[7668][2]:=$8AED;
map2[7669][1]:=$D4E6;map2[7669][2]:=$8ADE;
map2[7670][1]:=$D4E7;map2[7670][2]:=$8AEC;
map2[7671][1]:=$D4E8;map2[7671][2]:=$8B4C;
map2[7672][1]:=$D4E9;map2[7672][2]:=$8B46;
map2[7673][1]:=$D4EA;map2[7673][2]:=$8AE9;
map2[7674][1]:=$D4EB;map2[7674][2]:=$8AF1;
map2[7675][1]:=$D4EC;map2[7675][2]:=$8AF5;
map2[7676][1]:=$D4ED;map2[7676][2]:=$8AE5;
map2[7677][1]:=$D4EE;map2[7677][2]:=$8AFA;
map2[7678][1]:=$D4EF;map2[7678][2]:=$8C53;
map2[7679][1]:=$D4F0;map2[7679][2]:=$8C51;
map2[7680][1]:=$D4F1;map2[7680][2]:=$8C76;
map2[7681][1]:=$D4F2;map2[7681][2]:=$8C75;
map2[7682][1]:=$D4F3;map2[7682][2]:=$E5ED;
map2[7683][1]:=$D4F4;map2[7683][2]:=$E1C6;
map2[7684][1]:=$D4F5;map2[7684][2]:=$8D86;
map2[7685][1]:=$D4F6;map2[7685][2]:=$8D94;
map2[7686][1]:=$D4F7;map2[7686][2]:=$8D92;
map2[7687][1]:=$D4F8;map2[7687][2]:=$E1B4;
map2[7688][1]:=$D4F9;map2[7688][2]:=$8D87;
map2[7689][1]:=$D4FA;map2[7689][2]:=$8D9B;
map2[7690][1]:=$D4FB;map2[7690][2]:=$E1C1;
map2[7691][1]:=$D4FC;map2[7691][2]:=$E1C3;
map2[7692][1]:=$D4FD;map2[7692][2]:=$8D9A;
map2[7693][1]:=$D4FE;map2[7693][2]:=$8D89;
map2[7694][1]:=$D540;map2[7694][2]:=$8DA0;
map2[7695][1]:=$D541;map2[7695][2]:=$8D8C;
map2[7696][1]:=$D542;map2[7696][2]:=$8D99;
map2[7697][1]:=$D543;map2[7697][2]:=$8D95;
map2[7698][1]:=$D544;map2[7698][2]:=$E1C4;
map2[7699][1]:=$D545;map2[7699][2]:=$8EAA;
map2[7700][1]:=$D546;map2[7700][2]:=$8EA5;
map2[7701][1]:=$D547;map2[7701][2]:=$8EF1;
map2[7702][1]:=$D548;map2[7702][2]:=$8EF3;
map2[7703][1]:=$D549;map2[7703][2]:=$E2D5;
map2[7704][1]:=$D54A;map2[7704][2]:=$8EF2;
map2[7705][1]:=$D54B;map2[7705][2]:=$E2D8;
map2[7706][1]:=$D54C;map2[7706][2]:=$8F89;
map2[7707][1]:=$D54D;map2[7707][2]:=$8F8B;
map2[7708][1]:=$D54E;map2[7708][2]:=$8FC2;
map2[7709][1]:=$D54F;map2[7709][2]:=$8FC0;
map2[7710][1]:=$D550;map2[7710][2]:=$8FC5;
map2[7711][1]:=$D551;map2[7711][2]:=$9086;
map2[7712][1]:=$D552;map2[7712][2]:=$908A;
map2[7713][1]:=$D553;map2[7713][2]:=$9083;
map2[7714][1]:=$D554;map2[7714][2]:=$90A3;
map2[7715][1]:=$D555;map2[7715][2]:=$909B;
map2[7716][1]:=$D556;map2[7716][2]:=$90A1;
map2[7717][1]:=$D557;map2[7717][2]:=$90B3;
map2[7718][1]:=$D558;map2[7718][2]:=$90B4;
map2[7719][1]:=$D559;map2[7719][2]:=$90B0;
map2[7720][1]:=$D55A;map2[7720][2]:=$90BD;
map2[7721][1]:=$D55B;map2[7721][2]:=$90B7;
map2[7722][1]:=$D55C;map2[7722][2]:=$E3AE;
map2[7723][1]:=$D55D;map2[7723][2]:=$90AB;
map2[7724][1]:=$D55E;map2[7724][2]:=$E3AD;
map2[7725][1]:=$D55F;map2[7725][2]:=$90B8;
map2[7726][1]:=$D560;map2[7726][2]:=$909F;
map2[7727][1]:=$D561;map2[7727][2]:=$BEAA;
map2[7728][1]:=$D562;map2[7728][2]:=$90A4;
map2[7729][1]:=$D563;map2[7729][2]:=$90A8;
map2[7730][1]:=$D564;map2[7730][2]:=$90AE;
map2[7731][1]:=$D565;map2[7731][2]:=$90A5;
map2[7732][1]:=$D566;map2[7732][2]:=$EAFD;
map2[7733][1]:=$D567;map2[7733][2]:=$92CC;
map2[7734][1]:=$D568;map2[7734][2]:=$DEE5;
map2[7735][1]:=$D569;map2[7735][2]:=$B5E0;
map2[7736][1]:=$D56A;map2[7736][2]:=$92DB;
map2[7737][1]:=$D56B;map2[7737][2]:=$92FC;
map2[7738][1]:=$D56C;map2[7738][2]:=$92EF;
map2[7739][1]:=$D56D;map2[7739][2]:=$DEDD;
map2[7740][1]:=$D56E;map2[7740][2]:=$92EE;
map2[7741][1]:=$D56F;map2[7741][2]:=$92A5;
map2[7742][1]:=$D570;map2[7742][2]:=$92F4;
map2[7743][1]:=$D571;map2[7743][2]:=$DEE1;
map2[7744][1]:=$D572;map2[7744][2]:=$92D2;
map2[7745][1]:=$D573;map2[7745][2]:=$B6DE;
map2[7746][1]:=$D574;map2[7746][2]:=$C6FE;
map2[7747][1]:=$D575;map2[7747][2]:=$BEDD;
map2[7748][1]:=$D576;map2[7748][2]:=$92F5;
map2[7749][1]:=$D577;map2[7749][2]:=$92D7;
map2[7750][1]:=$D578;map2[7750][2]:=$92ED;
map2[7751][1]:=$D579;map2[7751][2]:=$DEE3;
map2[7752][1]:=$D57A;map2[7752][2]:=$DEE7;
map2[7753][1]:=$D57B;map2[7753][2]:=$92DA;
map2[7754][1]:=$D57C;map2[7754][2]:=$92F2;
map2[7755][1]:=$D57D;map2[7755][2]:=$92B4;
map2[7756][1]:=$D57E;map2[7756][2]:=$92F0;
map2[7757][1]:=$D5A1;map2[7757][2]:=$92D8;
map2[7758][1]:=$D5A2;map2[7758][2]:=$92E1;
map2[7759][1]:=$D5A3;map2[7759][2]:=$92DE;
map2[7760][1]:=$D5A4;map2[7760][2]:=$92E5;
map2[7761][1]:=$D5A5;map2[7761][2]:=$92E4;
map2[7762][1]:=$D5A6;map2[7762][2]:=$92D3;
map2[7763][1]:=$D5A7;map2[7763][2]:=$949F;
map2[7764][1]:=$D5A8;map2[7764][2]:=$94EC;
map2[7765][1]:=$D5A9;map2[7765][2]:=$9588;
map2[7766][1]:=$D5AA;map2[7766][2]:=$EACE;
map2[7767][1]:=$D5AB;map2[7767][2]:=$9581;
map2[7768][1]:=$D5AC;map2[7768][2]:=$9580;
map2[7769][1]:=$D5AD;map2[7769][2]:=$9582;
map2[7770][1]:=$D5AE;map2[7770][2]:=$9586;
map2[7771][1]:=$D5AF;map2[7771][2]:=$964B;
map2[7772][1]:=$D5B0;map2[7772][2]:=$974F;
map2[7773][1]:=$D5B1;map2[7773][2]:=$9759;
map2[7774][1]:=$D5B2;map2[7774][2]:=$9761;
map2[7775][1]:=$D5B3;map2[7775][2]:=$976B;
map2[7776][1]:=$D5B4;map2[7776][2]:=$9746;
map2[7777][1]:=$D5B5;map2[7777][2]:=$9747;
map2[7778][1]:=$D5B6;map2[7778][2]:=$9778;
map2[7779][1]:=$D5B7;map2[7779][2]:=$9776;
map2[7780][1]:=$D5B8;map2[7780][2]:=$97F9;
map2[7781][1]:=$D5B9;map2[7781][2]:=$9748;
map2[7782][1]:=$D5BA;map2[7782][2]:=$9771;
map2[7783][1]:=$D5BB;map2[7783][2]:=$9777;
map2[7784][1]:=$D5BC;map2[7784][2]:=$9774;
map2[7785][1]:=$D5BD;map2[7785][2]:=$974D;
map2[7786][1]:=$D5BE;map2[7786][2]:=$E8F5;
map2[7787][1]:=$D5BF;map2[7787][2]:=$977A;
map2[7788][1]:=$D5C0;map2[7788][2]:=$E8F4;
map2[7789][1]:=$D5C1;map2[7789][2]:=$E8F6;
map2[7790][1]:=$D5C2;map2[7790][2]:=$9763;
map2[7791][1]:=$D5C3;map2[7791][2]:=$9752;
map2[7792][1]:=$D5C4;map2[7792][2]:=$E8F8;
map2[7793][1]:=$D5C5;map2[7793][2]:=$974B;
map2[7794][1]:=$D5C6;map2[7794][2]:=$9775;
map2[7795][1]:=$D5C7;map2[7795][2]:=$9756;
map2[7796][1]:=$D5C8;map2[7796][2]:=$974A;
map2[7797][1]:=$D5C9;map2[7797][2]:=$9754;
map2[7798][1]:=$D5CA;map2[7798][2]:=$976A;
map2[7799][1]:=$D5CB;map2[7799][2]:=$9766;
map2[7800][1]:=$D5CC;map2[7800][2]:=$975D;
map2[7801][1]:=$D5CD;map2[7801][2]:=$976F;
map2[7802][1]:=$D5CE;map2[7802][2]:=$975B;
map2[7803][1]:=$D5CF;map2[7803][2]:=$9772;
map2[7804][1]:=$D5D0;map2[7804][2]:=$974E;
map2[7805][1]:=$D5D1;map2[7805][2]:=$9751;
map2[7806][1]:=$D5D2;map2[7806][2]:=$9762;
map2[7807][1]:=$D5D3;map2[7807][2]:=$975E;
map2[7808][1]:=$D5D4;map2[7808][2]:=$975C;
map2[7809][1]:=$D5D5;map2[7809][2]:=$9753;
map2[7810][1]:=$D5D6;map2[7810][2]:=$9A46;
map2[7811][1]:=$D5D7;map2[7811][2]:=$9A43;
map2[7812][1]:=$D5D8;map2[7812][2]:=$ECA4;
map2[7813][1]:=$D5D9;map2[7813][2]:=$9A47;
map2[7814][1]:=$D5DA;map2[7814][2]:=$9A84;
map2[7815][1]:=$D5DB;map2[7815][2]:=$9A82;
map2[7816][1]:=$D5DC;map2[7816][2]:=$E9E8;
map2[7817][1]:=$D5DD;map2[7817][2]:=$9A81;
map2[7818][1]:=$D5DE;map2[7818][2]:=$9A80;
map2[7819][1]:=$D5DF;map2[7819][2]:=$EBB4;
map2[7820][1]:=$D5E0;map2[7820][2]:=$B5ED;
map2[7821][1]:=$D5E1;map2[7821][2]:=$E4CA;
map2[7822][1]:=$D5E2;map2[7822][2]:=$9BF0;
map2[7823][1]:=$D5E3;map2[7823][2]:=$9BEF;
map2[7824][1]:=$D5E4;map2[7824][2]:=$9CB0;
map2[7825][1]:=$D5E5;map2[7825][2]:=$9BEB;
map2[7826][1]:=$D5E6;map2[7826][2]:=$C1E8;
map2[7827][1]:=$D5E7;map2[7827][2]:=$9C4D;
map2[7828][1]:=$D5E8;map2[7828][2]:=$9BF2;
map2[7829][1]:=$D5E9;map2[7829][2]:=$E4B5;
map2[7830][1]:=$D5EA;map2[7830][2]:=$9C46;
map2[7831][1]:=$D5EB;map2[7831][2]:=$9C60;
map2[7832][1]:=$D5EC;map2[7832][2]:=$9BFC;
map2[7833][1]:=$D5ED;map2[7833][2]:=$E4C4;
map2[7834][1]:=$D5EE;map2[7834][2]:=$9C4C;
map2[7835][1]:=$D5EF;map2[7835][2]:=$C4D7;
map2[7836][1]:=$D5F0;map2[7836][2]:=$9BF8;
map2[7837][1]:=$D5F1;map2[7837][2]:=$E4CB;
map2[7838][1]:=$D5F2;map2[7838][2]:=$9C4B;
map2[7839][1]:=$D5F3;map2[7839][2]:=$E4C7;
map2[7840][1]:=$D5F4;map2[7840][2]:=$9C4A;
map2[7841][1]:=$D5F5;map2[7841][2]:=$9C58;
map2[7842][1]:=$D5F6;map2[7842][2]:=$9BFE;
map2[7843][1]:=$D5F7;map2[7843][2]:=$9BF7;
map2[7844][1]:=$D5F8;map2[7844][2]:=$9C54;
map2[7845][1]:=$D5F9;map2[7845][2]:=$9C56;
map2[7846][1]:=$D5FA;map2[7846][2]:=$9BF4;
map2[7847][1]:=$D5FB;map2[7847][2]:=$9C47;
map2[7848][1]:=$D5FC;map2[7848][2]:=$9BFA;
map2[7849][1]:=$D5FD;map2[7849][2]:=$9C42;
map2[7850][1]:=$D5FE;map2[7850][2]:=$9BFD;
map2[7851][1]:=$D640;map2[7851][2]:=$9C43;
map2[7852][1]:=$D641;map2[7852][2]:=$9C57;
map2[7853][1]:=$D642;map2[7853][2]:=$9C45;
map2[7854][1]:=$D643;map2[7854][2]:=$9C5D;
map2[7855][1]:=$D644;map2[7855][2]:=$9C48;
map2[7856][1]:=$D645;map2[7856][2]:=$9C40;
map2[7857][1]:=$D646;map2[7857][2]:=$9C4E;
map2[7858][1]:=$D647;map2[7858][2]:=$9BF5;
map2[7859][1]:=$D648;map2[7859][2]:=$9F52;
map2[7860][1]:=$D649;map2[7860][2]:=$9F62;
map2[7861][1]:=$D64A;map2[7861][2]:=$CDE9;
map2[7862][1]:=$D64B;map2[7862][2]:=$9F68;
map2[7863][1]:=$D64C;map2[7863][2]:=$CCFE;
map2[7864][1]:=$D64D;map2[7864][2]:=$9F61;
map2[7865][1]:=$D64E;map2[7865][2]:=$9F4A;
map2[7866][1]:=$D64F;map2[7866][2]:=$9F5B;
map2[7867][1]:=$D650;map2[7867][2]:=$9F4D;
map2[7868][1]:=$D651;map2[7868][2]:=$ECC9;
map2[7869][1]:=$D652;map2[7869][2]:=$9F54;
map2[7870][1]:=$D653;map2[7870][2]:=$9F56;
map2[7871][1]:=$D654;map2[7871][2]:=$9F5D;
map2[7872][1]:=$D655;map2[7872][2]:=$ECCA;
map2[7873][1]:=$D656;map2[7873][2]:=$9F57;
map2[7874][1]:=$D657;map2[7874][2]:=$9F51;
map2[7875][1]:=$D658;map2[7875][2]:=$9F50;
map2[7876][1]:=$D659;map2[7876][2]:=$9F60;
map2[7877][1]:=$D65A;map2[7877][2]:=$9F59;
map2[7878][1]:=$D65B;map2[7878][2]:=$9F63;
map2[7879][1]:=$D65C;map2[7879][2]:=$EAF5;
map2[7880][1]:=$D65D;map2[7880][2]:=$A0BD;
map2[7881][1]:=$D65E;map2[7881][2]:=$A0BE;
map2[7882][1]:=$D65F;map2[7882][2]:=$EAF6;
map2[7883][1]:=$D660;map2[7883][2]:=$E2A7;
map2[7884][1]:=$D661;map2[7884][2]:=$E2A2;
map2[7885][1]:=$D662;map2[7885][2]:=$AA56;
map2[7886][1]:=$D663;map2[7886][2]:=$AA5E;
map2[7887][1]:=$D664;map2[7887][2]:=$AA61;
map2[7888][1]:=$D665;map2[7888][2]:=$E2A5;
map2[7889][1]:=$D666;map2[7889][2]:=$AA57;
map2[7890][1]:=$D667;map2[7890][2]:=$AA50;
map2[7891][1]:=$D668;map2[7891][2]:=$AA5C;
map2[7892][1]:=$D669;map2[7892][2]:=$E2A6;
map2[7893][1]:=$D66A;map2[7893][2]:=$AB53;
map2[7894][1]:=$D66B;map2[7894][2]:=$AB9F;
map2[7895][1]:=$D66C;map2[7895][2]:=$AC40;
map2[7896][1]:=$D66D;map2[7896][2]:=$AB9E;
map2[7897][1]:=$D66E;map2[7897][2]:=$AC4B;
map2[7898][1]:=$D66F;map2[7898][2]:=$AC49;
map2[7899][1]:=$D670;map2[7899][2]:=$AC45;
map2[7900][1]:=$D671;map2[7900][2]:=$AC4C;
map2[7901][1]:=$D672;map2[7901][2]:=$AC48;
map2[7902][1]:=$D673;map2[7902][2]:=$AC42;
map2[7903][1]:=$D674;map2[7903][2]:=$AC44;
map2[7904][1]:=$D675;map2[7904][2]:=$AC47;
map2[7905][1]:=$D676;map2[7905][2]:=$AC4F;
map2[7906][1]:=$D677;map2[7906][2]:=$AC4E;
map2[7907][1]:=$D678;map2[7907][2]:=$AB9D;
map2[7908][1]:=$D679;map2[7908][2]:=$AC4D;
map2[7909][1]:=$D67A;map2[7909][2]:=$AE87;
map2[7910][1]:=$D67B;map2[7910][2]:=$AE86;
map2[7911][1]:=$D67C;map2[7911][2]:=$AF5E;
map2[7912][1]:=$D67D;map2[7912][2]:=$D1F7;
map2[7913][1]:=$D67E;map2[7913][2]:=$AF5F;
map2[7914][1]:=$D6A1;map2[7914][2]:=$AF5C;
map2[7915][1]:=$D6A2;map2[7915][2]:=$AF5D;
map2[7916][1]:=$D6A3;map2[7916][2]:=$AF61;
map2[7917][1]:=$D6A4;map2[7917][2]:=$AF60;
map2[7918][1]:=$D6A5;map2[7918][2]:=$B076;
map2[7919][1]:=$D6A6;map2[7919][2]:=$B072;
map2[7920][1]:=$D6A7;map2[7920][2]:=$B145;
map2[7921][1]:=$D6A8;map2[7921][2]:=$B187;
map2[7922][1]:=$D6A9;map2[7922][2]:=$C3D0;
map2[7923][1]:=$D6AA;map2[7923][2]:=$EDF5;
map2[7924][1]:=$D6AB;map2[7924][2]:=$B183;
map2[7925][1]:=$D6AC;map2[7925][2]:=$B184;
map2[7926][1]:=$D6AD;map2[7926][2]:=$B186;
map2[7927][1]:=$D6AE;map2[7927][2]:=$B185;
map2[7928][1]:=$D6AF;map2[7928][2]:=$B189;
map2[7929][1]:=$D6B0;map2[7929][2]:=$EDF6;
map2[7930][1]:=$D6B1;map2[7930][2]:=$B188;
map2[7931][1]:=$D6B2;map2[7931][2]:=$EDF7;
map2[7932][1]:=$D6B3;map2[7932][2]:=$B373;
map2[7933][1]:=$D6B4;map2[7933][2]:=$CEF8;
map2[7934][1]:=$D6B5;map2[7934][2]:=$B374;
map2[7935][1]:=$D6B6;map2[7935][2]:=$B377;
map2[7936][1]:=$D6B7;map2[7936][2]:=$B375;
map2[7937][1]:=$D6B8;map2[7937][2]:=$EDD1;
map2[7938][1]:=$D6B9;map2[7938][2]:=$EDCE;
map2[7939][1]:=$D6BA;map2[7939][2]:=$B9E8;
map2[7940][1]:=$D6BB;map2[7940][2]:=$EDCF;
map2[7941][1]:=$D6BC;map2[7941][2]:=$B580;
map2[7942][1]:=$D6BD;map2[7942][2]:=$ECF6;
map2[7943][1]:=$D6BE;map2[7943][2]:=$B582;
map2[7944][1]:=$D6BF;map2[7944][2]:=$B583;
map2[7945][1]:=$D6C0;map2[7945][2]:=$B57E;
map2[7946][1]:=$D6C1;map2[7946][2]:=$B584;
map2[7947][1]:=$D6C2;map2[7947][2]:=$B57D;
map2[7948][1]:=$D6C3;map2[7948][2]:=$C0EB;
map2[7949][1]:=$D6C4;map2[7949][2]:=$B68A;
map2[7950][1]:=$D6C5;map2[7950][2]:=$BDD5;
map2[7951][1]:=$D6C6;map2[7951][2]:=$B687;
map2[7952][1]:=$D6C7;map2[7952][2]:=$B688;
map2[7953][1]:=$D6C8;map2[7953][2]:=$B797;
map2[7954][1]:=$D6C9;map2[7954][2]:=$B79A;
map2[7955][1]:=$D6CA;map2[7955][2]:=$B798;
map2[7956][1]:=$D6CB;map2[7956][2]:=$B944;
map2[7957][1]:=$D6CC;map2[7957][2]:=$F3CC;
map2[7958][1]:=$D6CD;map2[7958][2]:=$B943;
map2[7959][1]:=$D6CE;map2[7959][2]:=$F3D3;
map2[7960][1]:=$D6CF;map2[7960][2]:=$B941;
map2[7961][1]:=$D6D0;map2[7961][2]:=$B89C;
map2[7962][1]:=$D6D1;map2[7962][2]:=$F3D4;
map2[7963][1]:=$D6D2;map2[7963][2]:=$F3D5;
map2[7964][1]:=$D6D3;map2[7964][2]:=$B896;
map2[7965][1]:=$D6D4;map2[7965][2]:=$F3CE;
map2[7966][1]:=$D6D5;map2[7966][2]:=$B899;
map2[7967][1]:=$D6D6;map2[7967][2]:=$F3D1;
map2[7968][1]:=$D6D7;map2[7968][2]:=$F3CA;
map2[7969][1]:=$D6D8;map2[7969][2]:=$B8A0;
map2[7970][1]:=$D6D9;map2[7970][2]:=$B940;
map2[7971][1]:=$D6DA;map2[7971][2]:=$B942;
map2[7972][1]:=$D6DB;map2[7972][2]:=$F3CD;
map2[7973][1]:=$D6DC;map2[7973][2]:=$B897;
map2[7974][1]:=$D6DD;map2[7974][2]:=$B89D;
map2[7975][1]:=$D6DE;map2[7975][2]:=$BB89;
map2[7976][1]:=$D6DF;map2[7976][2]:=$D5B3;
map2[7977][1]:=$D6E0;map2[7977][2]:=$BB8A;
map2[7978][1]:=$D6E1;map2[7978][2]:=$BB90;
map2[7979][1]:=$D6E2;map2[7979][2]:=$C082;
map2[7980][1]:=$D6E3;map2[7980][2]:=$BD46;
map2[7981][1]:=$D6E4;map2[7981][2]:=$BD41;
map2[7982][1]:=$D6E5;map2[7982][2]:=$BCA0;
map2[7983][1]:=$D6E6;map2[7983][2]:=$E7A4;
map2[7984][1]:=$D6E7;map2[7984][2]:=$BD4E;
map2[7985][1]:=$D6E8;map2[7985][2]:=$BC97;
map2[7986][1]:=$D6E9;map2[7986][2]:=$BC95;
map2[7987][1]:=$D6EA;map2[7987][2]:=$BD4A;
map2[7988][1]:=$D6EB;map2[7988][2]:=$BD50;
map2[7989][1]:=$D6EC;map2[7989][2]:=$BD47;
map2[7990][1]:=$D6ED;map2[7990][2]:=$E7AA;
map2[7991][1]:=$D6EE;map2[7991][2]:=$BD53;
map2[7992][1]:=$D6EF;map2[7992][2]:=$BD44;
map2[7993][1]:=$D6F0;map2[7993][2]:=$BC94;
map2[7994][1]:=$D6F1;map2[7994][2]:=$C147;
map2[7995][1]:=$D6F2;map2[7995][2]:=$C16B;
map2[7996][1]:=$D6F3;map2[7996][2]:=$C171;
map2[7997][1]:=$D6F4;map2[7997][2]:=$F4C6;
map2[7998][1]:=$D6F5;map2[7998][2]:=$C170;
map2[7999][1]:=$D6F6;map2[7999][2]:=$F1B4;
map2[8000][1]:=$D6F7;map2[8000][2]:=$C190;
map2[8001][1]:=$D6F8;map2[8001][2]:=$C191;
map2[8002][1]:=$D6F9;map2[8002][2]:=$C193;
map2[8003][1]:=$D6FA;map2[8003][2]:=$C194;
map2[8004][1]:=$D6FB;map2[8004][2]:=$C18D;
map2[8005][1]:=$D6FC;map2[8005][2]:=$C192;
map2[8006][1]:=$D6FD;map2[8006][2]:=$C18F;
map2[8007][1]:=$D6FE;map2[8007][2]:=$C260;
map2[8008][1]:=$D740;map2[8008][2]:=$C25F;
map2[8009][1]:=$D741;map2[8009][2]:=$C25D;
map2[8010][1]:=$D742;map2[8010][2]:=$C274;
map2[8011][1]:=$D743;map2[8011][2]:=$F1F5;
map2[8012][1]:=$D744;map2[8012][2]:=$C275;
map2[8013][1]:=$D745;map2[8013][2]:=$EBE4;
map2[8014][1]:=$D746;map2[8014][2]:=$C38D;
map2[8015][1]:=$D747;map2[8015][2]:=$C383;
map2[8016][1]:=$D748;map2[8016][2]:=$EBD6;
map2[8017][1]:=$D749;map2[8017][2]:=$C394;
map2[8018][1]:=$D74A;map2[8018][2]:=$C387;
map2[8019][1]:=$D74B;map2[8019][2]:=$EBE3;
map2[8020][1]:=$D74C;map2[8020][2]:=$EBE2;
map2[8021][1]:=$D74D;map2[8021][2]:=$C389;
map2[8022][1]:=$D74E;map2[8022][2]:=$C381;
map2[8023][1]:=$D74F;map2[8023][2]:=$C38F;
map2[8024][1]:=$D750;map2[8024][2]:=$C386;
map2[8025][1]:=$D751;map2[8025][2]:=$C38A;
map2[8026][1]:=$D752;map2[8026][2]:=$C56A;
map2[8027][1]:=$D753;map2[8027][2]:=$F4B4;
map2[8028][1]:=$D754;map2[8028][2]:=$F4B6;
map2[8029][1]:=$D755;map2[8029][2]:=$C57B;
map2[8030][1]:=$D756;map2[8030][2]:=$F4B7;
map2[8031][1]:=$D757;map2[8031][2]:=$C57A;
map2[8032][1]:=$D758;map2[8032][2]:=$E5F5;
map2[8033][1]:=$D759;map2[8033][2]:=$C76B;
map2[8034][1]:=$D75A;map2[8034][2]:=$C777;
map2[8035][1]:=$D75B;map2[8035][2]:=$DDB9;
map2[8036][1]:=$D75C;map2[8036][2]:=$C769;
map2[8037][1]:=$D75D;map2[8037][2]:=$C75C;
map2[8038][1]:=$D75E;map2[8038][2]:=$C757;
map2[8039][1]:=$D75F;map2[8039][2]:=$C778;
map2[8040][1]:=$D760;map2[8040][2]:=$C758;
map2[8041][1]:=$D761;map2[8041][2]:=$C76A;
map2[8042][1]:=$D762;map2[8042][2]:=$C760;
map2[8043][1]:=$D763;map2[8043][2]:=$C76E;
map2[8044][1]:=$D764;map2[8044][2]:=$C771;
map2[8045][1]:=$D765;map2[8045][2]:=$C759;
map2[8046][1]:=$D766;map2[8046][2]:=$C76D;
map2[8047][1]:=$D767;map2[8047][2]:=$DDB3;
map2[8048][1]:=$D768;map2[8048][2]:=$DDB4;
map2[8049][1]:=$D769;map2[8049][2]:=$C762;
map2[8050][1]:=$D76A;map2[8050][2]:=$C768;
map2[8051][1]:=$D76B;map2[8051][2]:=$C773;
map2[8052][1]:=$D76C;map2[8052][2]:=$DCF0;
map2[8053][1]:=$D76D;map2[8053][2]:=$DDAD;
map2[8054][1]:=$D76E;map2[8054][2]:=$C767;
map2[8055][1]:=$D76F;map2[8055][2]:=$C75D;
map2[8056][1]:=$D770;map2[8056][2]:=$C779;
map2[8057][1]:=$D771;map2[8057][2]:=$C780;
map2[8058][1]:=$D772;map2[8058][2]:=$C765;
map2[8059][1]:=$D773;map2[8059][2]:=$C770;
map2[8060][1]:=$D774;map2[8060][2]:=$DDA8;
map2[8061][1]:=$D775;map2[8061][2]:=$C75E;
map2[8062][1]:=$D776;map2[8062][2]:=$C77A;
map2[8063][1]:=$D777;map2[8063][2]:=$C764;
map2[8064][1]:=$D778;map2[8064][2]:=$C77E;
map2[8065][1]:=$D779;map2[8065][2]:=$C75A;
map2[8066][1]:=$D77A;map2[8066][2]:=$C772;
map2[8067][1]:=$D77B;map2[8067][2]:=$CC92;
map2[8068][1]:=$D77C;map2[8068][2]:=$CC8F;
map2[8069][1]:=$D77D;map2[8069][2]:=$CD70;
map2[8070][1]:=$D77E;map2[8070][2]:=$CD69;
map2[8071][1]:=$D7A1;map2[8071][2]:=$CD72;
map2[8072][1]:=$D7A2;map2[8072][2]:=$CD71;
map2[8073][1]:=$D7A3;map2[8073][2]:=$CD74;
map2[8074][1]:=$D7A4;map2[8074][2]:=$F2C5;
map2[8075][1]:=$D7A5;map2[8075][2]:=$F2C4;
map2[8076][1]:=$D7A6;map2[8076][2]:=$CD75;
map2[8077][1]:=$D7A7;map2[8077][2]:=$CD6B;
map2[8078][1]:=$D7A8;map2[8078][2]:=$CD68;
map2[8079][1]:=$D7A9;map2[8079][2]:=$CD6A;
map2[8080][1]:=$D7AA;map2[8080][2]:=$CD76;
map2[8081][1]:=$D7AB;map2[8081][2]:=$F2CA;
map2[8082][1]:=$D7AC;map2[8082][2]:=$CD6C;
map2[8083][1]:=$D7AD;map2[8083][2]:=$CD6D;
map2[8084][1]:=$D7AE;map2[8084][2]:=$CD73;
map2[8085][1]:=$D7AF;map2[8085][2]:=$CD6E;
map2[8086][1]:=$D7B0;map2[8086][2]:=$CD6F;
map2[8087][1]:=$D7B1;map2[8087][2]:=$D066;
map2[8088][1]:=$D7B2;map2[8088][2]:=$D086;
map2[8089][1]:=$D7B3;map2[8089][2]:=$D08F;
map2[8090][1]:=$D7B4;map2[8090][2]:=$D09E;
map2[8091][1]:=$D7B5;map2[8091][2]:=$F1C8;
map2[8092][1]:=$D7B6;map2[8092][2]:=$D0A0;
map2[8093][1]:=$D7B7;map2[8093][2]:=$D093;
map2[8094][1]:=$D7B8;map2[8094][2]:=$D08C;
map2[8095][1]:=$D7B9;map2[8095][2]:=$D099;
map2[8096][1]:=$D7BA;map2[8096][2]:=$D097;
map2[8097][1]:=$D7BB;map2[8097][2]:=$D091;
map2[8098][1]:=$D7BC;map2[8098][2]:=$D09D;
map2[8099][1]:=$D7BD;map2[8099][2]:=$D092;
map2[8100][1]:=$D7BE;map2[8100][2]:=$D094;
map2[8101][1]:=$D7BF;map2[8101][2]:=$D090;
map2[8102][1]:=$D7C0;map2[8102][2]:=$D9F3;
map2[8103][1]:=$D7C1;map2[8103][2]:=$D140;
map2[8104][1]:=$D7C2;map2[8104][2]:=$D088;
map2[8105][1]:=$D7C3;map2[8105][2]:=$D08D;
map2[8106][1]:=$D7C4;map2[8106][2]:=$D089;
map2[8107][1]:=$D7C5;map2[8107][2]:=$D283;
map2[8108][1]:=$D7C6;map2[8108][2]:=$F5FB;
map2[8109][1]:=$D7C7;map2[8109][2]:=$D366;
map2[8110][1]:=$D7C8;map2[8110][2]:=$D363;
map2[8111][1]:=$D7C9;map2[8111][2]:=$D452;
map2[8112][1]:=$D7CA;map2[8112][2]:=$D449;
map2[8113][1]:=$D7CB;map2[8113][2]:=$D44E;
map2[8114][1]:=$D7CC;map2[8114][2]:=$D440;
map2[8115][1]:=$D7CD;map2[8115][2]:=$D841;
map2[8116][1]:=$D7CE;map2[8116][2]:=$D843;
map2[8117][1]:=$D7CF;map2[8117][2]:=$D85D;
map2[8118][1]:=$D7D0;map2[8118][2]:=$D85E;
map2[8119][1]:=$D7D1;map2[8119][2]:=$D876;
map2[8120][1]:=$D7D2;map2[8120][2]:=$D898;
map2[8121][1]:=$D7D3;map2[8121][2]:=$DA62;
map2[8122][1]:=$D7D4;map2[8122][2]:=$DA60;
map2[8123][1]:=$D7D5;map2[8123][2]:=$DA5E;
map2[8124][1]:=$D7D6;map2[8124][2]:=$F5C2;
map2[8125][1]:=$D7D7;map2[8125][2]:=$DA96;
map2[8126][1]:=$D7D8;map2[8126][2]:=$DA91;
map2[8127][1]:=$D7D9;map2[8127][2]:=$F5C1;
map2[8128][1]:=$D7DA;map2[8128][2]:=$DA95;
map2[8129][1]:=$D7DB;map2[8129][2]:=$DC94;
map2[8130][1]:=$D7DC;map2[8130][2]:=$DC9A;
map2[8131][1]:=$D7DD;map2[8131][2]:=$DC99;
map2[8132][1]:=$D7DE;map2[8132][2]:=$DC98;
map2[8133][1]:=$D7DF;map2[8133][2]:=$DC93;
map2[8134][1]:=$D7E0;map2[8134][2]:=$DC9C;
map2[8135][1]:=$D7E1;map2[8135][2]:=$DC9D;
map2[8136][1]:=$D7E2;map2[8136][2]:=$DF43;
map2[8137][1]:=$D7E3;map2[8137][2]:=$E5CD;
map2[8138][1]:=$D7E4;map2[8138][2]:=$E5CF;
map2[8139][1]:=$D7E5;map2[8139][2]:=$DF41;
map2[8140][1]:=$D7E6;map2[8140][2]:=$DE9C;
map2[8141][1]:=$D7E7;map2[8141][2]:=$E5D2;
map2[8142][1]:=$D7E8;map2[8142][2]:=$DBB0;
map2[8143][1]:=$D7E9;map2[8143][2]:=$E056;
map2[8144][1]:=$D7EA;map2[8144][2]:=$E059;
map2[8145][1]:=$D7EB;map2[8145][2]:=$B3BB;
map2[8146][1]:=$D7EC;map2[8146][2]:=$E05B;
map2[8147][1]:=$D7ED;map2[8147][2]:=$E05C;
map2[8148][1]:=$D7EE;map2[8148][2]:=$E049;
map2[8149][1]:=$D7EF;map2[8149][2]:=$DBAF;
map2[8150][1]:=$D7F0;map2[8150][2]:=$E057;
map2[8151][1]:=$D7F1;map2[8151][2]:=$E055;
map2[8152][1]:=$D7F2;map2[8152][2]:=$E147;
map2[8153][1]:=$D7F3;map2[8153][2]:=$E148;
map2[8154][1]:=$D7F4;map2[8154][2]:=$B7D3;
map2[8155][1]:=$D7F5;map2[8155][2]:=$E144;
map2[8156][1]:=$D7F6;map2[8156][2]:=$E146;
map2[8157][1]:=$D7F7;map2[8157][2]:=$BAB8;
map2[8158][1]:=$D7F8;map2[8158][2]:=$E24E;
map2[8159][1]:=$D7F9;map2[8159][2]:=$E24B;
map2[8160][1]:=$D7FA;map2[8160][2]:=$E24D;
map2[8161][1]:=$D7FB;map2[8161][2]:=$E252;
map2[8162][1]:=$D7FC;map2[8162][2]:=$EECC;
map2[8163][1]:=$D7FD;map2[8163][2]:=$EECF;
map2[8164][1]:=$D7FE;map2[8164][2]:=$E244;
map2[8165][1]:=$D840;map2[8165][2]:=$E245;
map2[8166][1]:=$D841;map2[8166][2]:=$EECA;
map2[8167][1]:=$D842;map2[8167][2]:=$E242;
map2[8168][1]:=$D843;map2[8168][2]:=$E248;
map2[8169][1]:=$D844;map2[8169][2]:=$E94F;
map2[8170][1]:=$D845;map2[8170][2]:=$E3C6;
map2[8171][1]:=$D846;map2[8171][2]:=$EA5C;
map2[8172][1]:=$D847;map2[8172][2]:=$EA95;
map2[8173][1]:=$D848;map2[8173][2]:=$EA8B;
map2[8174][1]:=$D849;map2[8174][2]:=$EA8A;
map2[8175][1]:=$D84A;map2[8175][2]:=$EA8F;
map2[8176][1]:=$D84B;map2[8176][2]:=$EA8D;
map2[8177][1]:=$D84C;map2[8177][2]:=$EB63;
map2[8178][1]:=$D84D;map2[8178][2]:=$EC77;
map2[8179][1]:=$D84E;map2[8179][2]:=$ED96;
map2[8180][1]:=$D84F;map2[8180][2]:=$F098;
map2[8181][1]:=$D850;map2[8181][2]:=$D8B8;
map2[8182][1]:=$D851;map2[8182][2]:=$82E6;
map2[8183][1]:=$D852;map2[8183][2]:=$82E0;
map2[8184][1]:=$D853;map2[8184][2]:=$82DF;
map2[8185][1]:=$D854;map2[8185][2]:=$82E9;
map2[8186][1]:=$D855;map2[8186][2]:=$82D7;
map2[8187][1]:=$D856;map2[8187][2]:=$B4F6;
map2[8188][1]:=$D857;map2[8188][2]:=$82D1;
map2[8189][1]:=$D858;map2[8189][2]:=$82D8;
map2[8190][1]:=$D859;map2[8190][2]:=$82D9;
map2[8191][1]:=$D85A;map2[8191][2]:=$82E8;
map2[8192][1]:=$D85B;map2[8192][2]:=$82BD;
map2[8193][1]:=$D85C;map2[8193][2]:=$82E7;
map2[8194][1]:=$D85D;map2[8194][2]:=$82DD;
map2[8195][1]:=$D85E;map2[8195][2]:=$82D0;
map2[8196][1]:=$D85F;map2[8196][2]:=$82D4;
map2[8197][1]:=$D860;map2[8197][2]:=$83C2;
map2[8198][1]:=$D861;map2[8198][2]:=$83FB;
map2[8199][1]:=$D862;map2[8199][2]:=$8541;
map2[8200][1]:=$D863;map2[8200][2]:=$8540;
map2[8201][1]:=$D864;map2[8201][2]:=$C0FA;
map2[8202][1]:=$D865;map2[8202][2]:=$858E;
map2[8203][1]:=$D866;map2[8203][2]:=$E0B3;
map2[8204][1]:=$D867;map2[8204][2]:=$86C8;
map2[8205][1]:=$D868;map2[8205][2]:=$86C6;
map2[8206][1]:=$D869;map2[8206][2]:=$86CD;
map2[8207][1]:=$D86A;map2[8207][2]:=$E0A5;
map2[8208][1]:=$D86B;map2[8208][2]:=$DFD4;
map2[8209][1]:=$D86C;map2[8209][2]:=$86C3;
map2[8210][1]:=$D86D;map2[8210][2]:=$86BA;
map2[8211][1]:=$D86E;map2[8211][2]:=$E0AE;
map2[8212][1]:=$D86F;map2[8212][2]:=$DFF6;
map2[8213][1]:=$D870;map2[8213][2]:=$DFF7;
map2[8214][1]:=$D871;map2[8214][2]:=$E0AF;
map2[8215][1]:=$D872;map2[8215][2]:=$86C4;
map2[8216][1]:=$D873;map2[8216][2]:=$D4DB;
map2[8217][1]:=$D874;map2[8217][2]:=$86C5;
map2[8218][1]:=$D875;map2[8218][2]:=$86B1;
map2[8219][1]:=$D876;map2[8219][2]:=$86B5;
map2[8220][1]:=$D877;map2[8220][2]:=$D1D2;
map2[8221][1]:=$D878;map2[8221][2]:=$86B2;
map2[8222][1]:=$D879;map2[8222][2]:=$86BB;
map2[8223][1]:=$D87A;map2[8223][2]:=$86C2;
map2[8224][1]:=$D87B;map2[8224][2]:=$86B7;
map2[8225][1]:=$D87C;map2[8225][2]:=$87F9;
map2[8226][1]:=$D87D;map2[8226][2]:=$88ED;
map2[8227][1]:=$D87E;map2[8227][2]:=$88F8;
map2[8228][1]:=$D8A1;map2[8228][2]:=$DCA7;
map2[8229][1]:=$D8A2;map2[8229][2]:=$DCA6;
map2[8230][1]:=$D8A3;map2[8230][2]:=$88EB;
map2[8231][1]:=$D8A4;map2[8231][2]:=$88E8;
map2[8232][1]:=$D8A5;map2[8232][2]:=$88EC;
map2[8233][1]:=$D8A6;map2[8233][2]:=$88CA;
map2[8234][1]:=$D8A7;map2[8234][2]:=$8949;
map2[8235][1]:=$D8A8;map2[8235][2]:=$88E9;
map2[8236][1]:=$D8A9;map2[8236][2]:=$88E4;
map2[8237][1]:=$D8AA;map2[8237][2]:=$88E3;
map2[8238][1]:=$D8AB;map2[8238][2]:=$88F5;
map2[8239][1]:=$D8AC;map2[8239][2]:=$BCEE;
map2[8240][1]:=$D8AD;map2[8240][2]:=$88F7;
map2[8241][1]:=$D8AE;map2[8241][2]:=$88F1;
map2[8242][1]:=$D8AF;map2[8242][2]:=$88FA;
map2[8243][1]:=$D8B0;map2[8243][2]:=$88F9;
map2[8244][1]:=$D8B1;map2[8244][2]:=$88F0;
map2[8245][1]:=$D8B2;map2[8245][2]:=$88EF;
map2[8246][1]:=$D8B3;map2[8246][2]:=$88FC;
map2[8247][1]:=$D8B4;map2[8247][2]:=$8A53;
map2[8248][1]:=$D8B5;map2[8248][2]:=$E6A3;
map2[8249][1]:=$D8B6;map2[8249][2]:=$8B69;
map2[8250][1]:=$D8B7;map2[8250][2]:=$8B72;
map2[8251][1]:=$D8B8;map2[8251][2]:=$E6C4;
map2[8252][1]:=$D8B9;map2[8252][2]:=$8B75;
map2[8253][1]:=$D8BA;map2[8253][2]:=$8B71;
map2[8254][1]:=$D8BB;map2[8254][2]:=$8B50;
map2[8255][1]:=$D8BC;map2[8255][2]:=$8B79;
map2[8256][1]:=$D8BD;map2[8256][2]:=$8B53;
map2[8257][1]:=$D8BE;map2[8257][2]:=$8B78;
map2[8258][1]:=$D8BF;map2[8258][2]:=$8B7E;
map2[8259][1]:=$D8C0;map2[8259][2]:=$8B6A;
map2[8260][1]:=$D8C1;map2[8260][2]:=$CDB5;
map2[8261][1]:=$D8C2;map2[8261][2]:=$8ADC;
map2[8262][1]:=$D8C3;map2[8262][2]:=$8B5A;
map2[8263][1]:=$D8C4;map2[8263][2]:=$8B60;
map2[8264][1]:=$D8C5;map2[8264][2]:=$8B6C;
map2[8265][1]:=$D8C6;map2[8265][2]:=$8B59;
map2[8266][1]:=$D8C7;map2[8266][2]:=$8B61;
map2[8267][1]:=$D8C8;map2[8267][2]:=$8B7C;
map2[8268][1]:=$D8C9;map2[8268][2]:=$8B52;
map2[8269][1]:=$D8CA;map2[8269][2]:=$8B54;
map2[8270][1]:=$D8CB;map2[8270][2]:=$8B62;
map2[8271][1]:=$D8CC;map2[8271][2]:=$8B6F;
map2[8272][1]:=$D8CD;map2[8272][2]:=$8B65;
map2[8273][1]:=$D8CE;map2[8273][2]:=$8B68;
map2[8274][1]:=$D8CF;map2[8274][2]:=$8B70;
map2[8275][1]:=$D8D0;map2[8275][2]:=$8C90;
map2[8276][1]:=$D8D1;map2[8276][2]:=$8C7C;
map2[8277][1]:=$D8D2;map2[8277][2]:=$8C7B;
map2[8278][1]:=$D8D3;map2[8278][2]:=$8C81;
map2[8279][1]:=$D8D4;map2[8279][2]:=$8C80;
map2[8280][1]:=$D8D5;map2[8280][2]:=$8C7A;
map2[8281][1]:=$D8D6;map2[8281][2]:=$8C7D;
map2[8282][1]:=$D8D7;map2[8282][2]:=$8CA5;
map2[8283][1]:=$D8D8;map2[8283][2]:=$8CBB;
map2[8284][1]:=$D8D9;map2[8284][2]:=$8DA6;
map2[8285][1]:=$D8DA;map2[8285][2]:=$8DB0;
map2[8286][1]:=$D8DB;map2[8286][2]:=$E1D1;
map2[8287][1]:=$D8DC;map2[8287][2]:=$8DAE;
map2[8288][1]:=$D8DD;map2[8288][2]:=$E1D2;
map2[8289][1]:=$D8DE;map2[8289][2]:=$8DAC;
map2[8290][1]:=$D8DF;map2[8290][2]:=$8DA4;
map2[8291][1]:=$D8E0;map2[8291][2]:=$8DBA;
map2[8292][1]:=$D8E1;map2[8292][2]:=$8DB7;
map2[8293][1]:=$D8E2;map2[8293][2]:=$8DBE;
map2[8294][1]:=$D8E3;map2[8294][2]:=$E1CE;
map2[8295][1]:=$D8E4;map2[8295][2]:=$8DA9;
map2[8296][1]:=$D8E5;map2[8296][2]:=$8DBB;
map2[8297][1]:=$D8E6;map2[8297][2]:=$E1CC;
map2[8298][1]:=$D8E7;map2[8298][2]:=$8DA1;
map2[8299][1]:=$D8E8;map2[8299][2]:=$8DC1;
map2[8300][1]:=$D8E9;map2[8300][2]:=$8DAF;
map2[8301][1]:=$D8EA;map2[8301][2]:=$8DA8;
map2[8302][1]:=$D8EB;map2[8302][2]:=$8DB5;
map2[8303][1]:=$D8EC;map2[8303][2]:=$8DA7;
map2[8304][1]:=$D8ED;map2[8304][2]:=$8DAB;
map2[8305][1]:=$D8EE;map2[8305][2]:=$8DA2;
map2[8306][1]:=$D8EF;map2[8306][2]:=$8DA5;
map2[8307][1]:=$D8F0;map2[8307][2]:=$8DAD;
map2[8308][1]:=$D8F1;map2[8308][2]:=$8DB2;
map2[8309][1]:=$D8F2;map2[8309][2]:=$E1A2;
map2[8310][1]:=$D8F3;map2[8310][2]:=$8EAD;
map2[8311][1]:=$D8F4;map2[8311][2]:=$E5E9;
map2[8312][1]:=$D8F5;map2[8312][2]:=$8FCB;
map2[8313][1]:=$D8F6;map2[8313][2]:=$8FCA;
map2[8314][1]:=$D8F7;map2[8314][2]:=$8FCE;
map2[8315][1]:=$D8F8;map2[8315][2]:=$90AC;
map2[8316][1]:=$D8F9;map2[8316][2]:=$90A0;
map2[8317][1]:=$D8FA;map2[8317][2]:=$90AD;
map2[8318][1]:=$D8FB;map2[8318][2]:=$90BB;
map2[8319][1]:=$D8FC;map2[8319][2]:=$90AF;
map2[8320][1]:=$D8FD;map2[8320][2]:=$90A9;
map2[8321][1]:=$D8FE;map2[8321][2]:=$90D6;
map2[8322][1]:=$D940;map2[8322][2]:=$E3A2;
map2[8323][1]:=$D941;map2[8323][2]:=$90CF;
map2[8324][1]:=$D942;map2[8324][2]:=$90D7;
map2[8325][1]:=$D943;map2[8325][2]:=$90CD;
map2[8326][1]:=$D944;map2[8326][2]:=$90C2;
map2[8327][1]:=$D945;map2[8327][2]:=$90D5;
map2[8328][1]:=$D946;map2[8328][2]:=$90C4;
map2[8329][1]:=$D947;map2[8329][2]:=$90C6;
map2[8330][1]:=$D948;map2[8330][2]:=$90C8;
map2[8331][1]:=$D949;map2[8331][2]:=$90A6;
map2[8332][1]:=$D94A;map2[8332][2]:=$90CB;
map2[8333][1]:=$D94B;map2[8333][2]:=$90D9;
map2[8334][1]:=$D94C;map2[8334][2]:=$90DD;
map2[8335][1]:=$D94D;map2[8335][2]:=$90D2;
map2[8336][1]:=$D94E;map2[8336][2]:=$90C9;
map2[8337][1]:=$D94F;map2[8337][2]:=$90CC;
map2[8338][1]:=$D950;map2[8338][2]:=$90D0;
map2[8339][1]:=$D951;map2[8339][2]:=$91FE;
map2[8340][1]:=$D952;map2[8340][2]:=$92E7;
map2[8341][1]:=$D953;map2[8341][2]:=$92F6;
map2[8342][1]:=$D954;map2[8342][2]:=$EAFE;
map2[8343][1]:=$D955;map2[8343][2]:=$DEEF;
map2[8344][1]:=$D956;map2[8344][2]:=$9357;
map2[8345][1]:=$D957;map2[8345][2]:=$935A;
map2[8346][1]:=$D958;map2[8346][2]:=$935E;
map2[8347][1]:=$D959;map2[8347][2]:=$9342;
map2[8348][1]:=$D95A;map2[8348][2]:=$93D6;
map2[8349][1]:=$D95B;map2[8349][2]:=$9361;
map2[8350][1]:=$D95C;map2[8350][2]:=$9346;
map2[8351][1]:=$D95D;map2[8351][2]:=$DEEB;
map2[8352][1]:=$D95E;map2[8352][2]:=$DEDE;
map2[8353][1]:=$D95F;map2[8353][2]:=$934C;
map2[8354][1]:=$D960;map2[8354][2]:=$DEE9;
map2[8355][1]:=$D961;map2[8355][2]:=$9362;
map2[8356][1]:=$D962;map2[8356][2]:=$93A9;
map2[8357][1]:=$D963;map2[8357][2]:=$9354;
map2[8358][1]:=$D964;map2[8358][2]:=$DEF2;
map2[8359][1]:=$D965;map2[8359][2]:=$9353;
map2[8360][1]:=$D966;map2[8360][2]:=$9352;
map2[8361][1]:=$D967;map2[8361][2]:=$DEED;
map2[8362][1]:=$D968;map2[8362][2]:=$934E;
map2[8363][1]:=$D969;map2[8363][2]:=$934A;
map2[8364][1]:=$D96A;map2[8364][2]:=$9341;
map2[8365][1]:=$D96B;map2[8365][2]:=$9344;
map2[8366][1]:=$D96C;map2[8366][2]:=$9348;
map2[8367][1]:=$D96D;map2[8367][2]:=$9347;
map2[8368][1]:=$D96E;map2[8368][2]:=$9345;
map2[8369][1]:=$D96F;map2[8369][2]:=$935F;
map2[8370][1]:=$D970;map2[8370][2]:=$934D;
map2[8371][1]:=$D971;map2[8371][2]:=$934F;
map2[8372][1]:=$D972;map2[8372][2]:=$948C;
map2[8373][1]:=$D973;map2[8373][2]:=$94AA;
map2[8374][1]:=$D974;map2[8374][2]:=$94AD;
map2[8375][1]:=$D975;map2[8375][2]:=$94A8;
map2[8376][1]:=$D976;map2[8376][2]:=$94A4;
map2[8377][1]:=$D977;map2[8377][2]:=$94AB;
map2[8378][1]:=$D978;map2[8378][2]:=$94A9;
map2[8379][1]:=$D979;map2[8379][2]:=$B1F3;
map2[8380][1]:=$D97A;map2[8380][2]:=$94D0;
map2[8381][1]:=$D97B;map2[8381][2]:=$94D1;
map2[8382][1]:=$D97C;map2[8382][2]:=$94D9;
map2[8383][1]:=$D97D;map2[8383][2]:=$94ED;
map2[8384][1]:=$D97E;map2[8384][2]:=$ECBC;
map2[8385][1]:=$D9A1;map2[8385][2]:=$9596;
map2[8386][1]:=$D9A2;map2[8386][2]:=$958D;
map2[8387][1]:=$D9A3;map2[8387][2]:=$9595;
map2[8388][1]:=$D9A4;map2[8388][2]:=$9599;
map2[8389][1]:=$D9A5;map2[8389][2]:=$958F;
map2[8390][1]:=$D9A6;map2[8390][2]:=$9594;
map2[8391][1]:=$D9A7;map2[8391][2]:=$958B;
map2[8392][1]:=$D9A8;map2[8392][2]:=$9590;
map2[8393][1]:=$D9A9;map2[8393][2]:=$95FC;
map2[8394][1]:=$D9AA;map2[8394][2]:=$97BE;
map2[8395][1]:=$D9AB;map2[8395][2]:=$9794;
map2[8396][1]:=$D9AC;map2[8396][2]:=$97B8;
map2[8397][1]:=$D9AD;map2[8397][2]:=$979A;
map2[8398][1]:=$D9AE;map2[8398][2]:=$97D5;
map2[8399][1]:=$D9AF;map2[8399][2]:=$E8F0;
map2[8400][1]:=$D9B0;map2[8400][2]:=$97A6;
map2[8401][1]:=$D9B1;map2[8401][2]:=$C0E2;
map2[8402][1]:=$D9B2;map2[8402][2]:=$E8E2;
map2[8403][1]:=$D9B3;map2[8403][2]:=$E8C7;
map2[8404][1]:=$D9B4;map2[8404][2]:=$97AF;
map2[8405][1]:=$D9B5;map2[8405][2]:=$97A7;
map2[8406][1]:=$D9B6;map2[8406][2]:=$97A0;
map2[8407][1]:=$D9B7;map2[8407][2]:=$9785;
map2[8408][1]:=$D9B8;map2[8408][2]:=$97C1;
map2[8409][1]:=$D9B9;map2[8409][2]:=$E9A7;
map2[8410][1]:=$D9BA;map2[8410][2]:=$97AC;
map2[8411][1]:=$D9BB;map2[8411][2]:=$979E;
map2[8412][1]:=$D9BC;map2[8412][2]:=$97BA;
map2[8413][1]:=$D9BD;map2[8413][2]:=$978F;
map2[8414][1]:=$D9BE;map2[8414][2]:=$97BB;
map2[8415][1]:=$D9BF;map2[8415][2]:=$984B;
map2[8416][1]:=$D9C0;map2[8416][2]:=$977B;
map2[8417][1]:=$D9C1;map2[8417][2]:=$97C0;
map2[8418][1]:=$D9C2;map2[8418][2]:=$97AA;
map2[8419][1]:=$D9C3;map2[8419][2]:=$978B;
map2[8420][1]:=$D9C4;map2[8420][2]:=$97C2;
map2[8421][1]:=$D9C5;map2[8421][2]:=$97B0;
map2[8422][1]:=$D9C6;map2[8422][2]:=$9792;
map2[8423][1]:=$D9C7;map2[8423][2]:=$97B2;
map2[8424][1]:=$D9C8;map2[8424][2]:=$E8FB;
map2[8425][1]:=$D9C9;map2[8425][2]:=$97A4;
map2[8426][1]:=$D9CA;map2[8426][2]:=$E9A3;
map2[8427][1]:=$D9CB;map2[8427][2]:=$97BD;
map2[8428][1]:=$D9CC;map2[8428][2]:=$97C5;
map2[8429][1]:=$D9CD;map2[8429][2]:=$9790;
map2[8430][1]:=$D9CE;map2[8430][2]:=$978D;
map2[8431][1]:=$D9CF;map2[8431][2]:=$979B;
map2[8432][1]:=$D9D0;map2[8432][2]:=$979C;
map2[8433][1]:=$D9D1;map2[8433][2]:=$97A2;
map2[8434][1]:=$D9D2;map2[8434][2]:=$97AD;
map2[8435][1]:=$D9D3;map2[8435][2]:=$9793;
map2[8436][1]:=$D9D4;map2[8436][2]:=$97B9;
map2[8437][1]:=$D9D5;map2[8437][2]:=$9795;
map2[8438][1]:=$D9D6;map2[8438][2]:=$97A5;
map2[8439][1]:=$D9D7;map2[8439][2]:=$97C3;
map2[8440][1]:=$D9D8;map2[8440][2]:=$97D0;
map2[8441][1]:=$D9D9;map2[8441][2]:=$978C;
map2[8442][1]:=$D9DA;map2[8442][2]:=$ECA5;
map2[8443][1]:=$D9DB;map2[8443][2]:=$9A48;
map2[8444][1]:=$D9DC;map2[8444][2]:=$9A4B;
map2[8445][1]:=$D9DD;map2[8445][2]:=$9A49;
map2[8446][1]:=$D9DE;map2[8446][2]:=$9A85;
map2[8447][1]:=$D9DF;map2[8447][2]:=$9A87;
map2[8448][1]:=$D9E0;map2[8448][2]:=$9A89;
map2[8449][1]:=$D9E1;map2[8449][2]:=$9A86;
map2[8450][1]:=$D9E2;map2[8450][2]:=$9AA5;
map2[8451][1]:=$D9E3;map2[8451][2]:=$9AC5;
map2[8452][1]:=$D9E4;map2[8452][2]:=$9AC7;
map2[8453][1]:=$D9E5;map2[8453][2]:=$EBA5;
map2[8454][1]:=$D9E6;map2[8454][2]:=$C7E8;
map2[8455][1]:=$D9E7;map2[8455][2]:=$EDB5;
map2[8456][1]:=$D9E8;map2[8456][2]:=$9C8C;
map2[8457][1]:=$D9E9;map2[8457][2]:=$9C8D;
map2[8458][1]:=$D9EA;map2[8458][2]:=$9C73;
map2[8459][1]:=$D9EB;map2[8459][2]:=$9C8F;
map2[8460][1]:=$D9EC;map2[8460][2]:=$E3ED;
map2[8461][1]:=$D9ED;map2[8461][2]:=$9C84;
map2[8462][1]:=$D9EE;map2[8462][2]:=$9C85;
map2[8463][1]:=$D9EF;map2[8463][2]:=$9C8B;
map2[8464][1]:=$D9F0;map2[8464][2]:=$9CA0;
map2[8465][1]:=$D9F1;map2[8465][2]:=$E4CD;
map2[8466][1]:=$D9F2;map2[8466][2]:=$9C87;
map2[8467][1]:=$D9F3;map2[8467][2]:=$9C89;
map2[8468][1]:=$D9F4;map2[8468][2]:=$9C9C;
map2[8469][1]:=$D9F5;map2[8469][2]:=$9CAF;
map2[8470][1]:=$D9F6;map2[8470][2]:=$9C71;
map2[8471][1]:=$D9F7;map2[8471][2]:=$9C7D;
map2[8472][1]:=$D9F8;map2[8472][2]:=$9C91;
map2[8473][1]:=$D9F9;map2[8473][2]:=$9C88;
map2[8474][1]:=$D9FA;map2[8474][2]:=$9C95;
map2[8475][1]:=$D9FB;map2[8475][2]:=$9C83;
map2[8476][1]:=$D9FC;map2[8476][2]:=$9C63;
map2[8477][1]:=$D9FD;map2[8477][2]:=$9C7A;
map2[8478][1]:=$D9FE;map2[8478][2]:=$E4A5;
map2[8479][1]:=$DA40;map2[8479][2]:=$9CA6;
map2[8480][1]:=$DA41;map2[8480][2]:=$9C9B;
map2[8481][1]:=$DA42;map2[8481][2]:=$9C9F;
map2[8482][1]:=$DA43;map2[8482][2]:=$9C7C;
map2[8483][1]:=$DA44;map2[8483][2]:=$9C77;
map2[8484][1]:=$DA45;map2[8484][2]:=$9C9E;
map2[8485][1]:=$DA46;map2[8485][2]:=$9CAD;
map2[8486][1]:=$DA47;map2[8486][2]:=$E4D0;
map2[8487][1]:=$DA48;map2[8487][2]:=$9C82;
map2[8488][1]:=$DA49;map2[8488][2]:=$9B68;
map2[8489][1]:=$DA4A;map2[8489][2]:=$9C7B;
map2[8490][1]:=$DA4B;map2[8490][2]:=$E4D4;
map2[8491][1]:=$DA4C;map2[8491][2]:=$9CA3;
map2[8492][1]:=$DA4D;map2[8492][2]:=$9C76;
map2[8493][1]:=$DA4E;map2[8493][2]:=$9CB4;
map2[8494][1]:=$DA4F;map2[8494][2]:=$9CA2;
map2[8495][1]:=$DA50;map2[8495][2]:=$9CB3;
map2[8496][1]:=$DA51;map2[8496][2]:=$9C97;
map2[8497][1]:=$DA52;map2[8497][2]:=$9CB5;
map2[8498][1]:=$DA53;map2[8498][2]:=$9C96;
map2[8499][1]:=$DA54;map2[8499][2]:=$9CA4;
map2[8500][1]:=$DA55;map2[8500][2]:=$9C7E;
map2[8501][1]:=$DA56;map2[8501][2]:=$9C80;
map2[8502][1]:=$DA57;map2[8502][2]:=$9C9A;
map2[8503][1]:=$DA58;map2[8503][2]:=$9F6E;
map2[8504][1]:=$DA59;map2[8504][2]:=$9F6C;
map2[8505][1]:=$DA5A;map2[8505][2]:=$ECCC;
map2[8506][1]:=$DA5B;map2[8506][2]:=$9F53;
map2[8507][1]:=$DA5C;map2[8507][2]:=$9F7B;
map2[8508][1]:=$DA5D;map2[8508][2]:=$ECCD;
map2[8509][1]:=$DA5E;map2[8509][2]:=$9F71;
map2[8510][1]:=$DA5F;map2[8510][2]:=$9F73;
map2[8511][1]:=$DA60;map2[8511][2]:=$9F70;
map2[8512][1]:=$DA61;map2[8512][2]:=$9F7C;
map2[8513][1]:=$DA62;map2[8513][2]:=$9F6D;
map2[8514][1]:=$DA63;map2[8514][2]:=$9F75;
map2[8515][1]:=$DA64;map2[8515][2]:=$9F84;
map2[8516][1]:=$DA65;map2[8516][2]:=$9F69;
map2[8517][1]:=$DA66;map2[8517][2]:=$BCE3;
map2[8518][1]:=$DA67;map2[8518][2]:=$A0AA;
map2[8519][1]:=$DA68;map2[8519][2]:=$A0C5;
map2[8520][1]:=$DA69;map2[8520][2]:=$A0C6;
map2[8521][1]:=$DA6A;map2[8521][2]:=$A0C3;
map2[8522][1]:=$DA6B;map2[8522][2]:=$A0C2;
map2[8523][1]:=$DA6C;map2[8523][2]:=$EAF8;
map2[8524][1]:=$DA6D;map2[8524][2]:=$AA5F;
map2[8525][1]:=$DA6E;map2[8525][2]:=$AA59;
map2[8526][1]:=$DA6F;map2[8526][2]:=$AA6D;
map2[8527][1]:=$DA70;map2[8527][2]:=$E2A9;
map2[8528][1]:=$DA71;map2[8528][2]:=$E2AE;
map2[8529][1]:=$DA72;map2[8529][2]:=$AA6F;
map2[8530][1]:=$DA73;map2[8530][2]:=$AA69;
map2[8531][1]:=$DA74;map2[8531][2]:=$AA6E;
map2[8532][1]:=$DA75;map2[8532][2]:=$AA6B;
map2[8533][1]:=$DA76;map2[8533][2]:=$AA68;
map2[8534][1]:=$DA77;map2[8534][2]:=$AA66;
map2[8535][1]:=$DA78;map2[8535][2]:=$AA70;
map2[8536][1]:=$DA79;map2[8536][2]:=$AA5A;
map2[8537][1]:=$DA7A;map2[8537][2]:=$E7FD;
map2[8538][1]:=$DA7B;map2[8538][2]:=$E7FE;
map2[8539][1]:=$DA7C;map2[8539][2]:=$E7FC;
map2[8540][1]:=$DA7D;map2[8540][2]:=$AC65;
map2[8541][1]:=$DA7E;map2[8541][2]:=$AC57;
map2[8542][1]:=$DAA1;map2[8542][2]:=$E8A2;
map2[8543][1]:=$DAA2;map2[8543][2]:=$AC60;
map2[8544][1]:=$DAA3;map2[8544][2]:=$AC66;
map2[8545][1]:=$DAA4;map2[8545][2]:=$AC68;
map2[8546][1]:=$DAA5;map2[8546][2]:=$AC62;
map2[8547][1]:=$DAA6;map2[8547][2]:=$AC61;
map2[8548][1]:=$DAA7;map2[8548][2]:=$AC5C;
map2[8549][1]:=$DAA8;map2[8549][2]:=$AC64;
map2[8550][1]:=$DAA9;map2[8550][2]:=$AC5F;
map2[8551][1]:=$DAAA;map2[8551][2]:=$AC69;
map2[8552][1]:=$DAAB;map2[8552][2]:=$AE45;
map2[8553][1]:=$DAAC;map2[8553][2]:=$C4FE;
map2[8554][1]:=$DAAD;map2[8554][2]:=$AE8F;
map2[8555][1]:=$DAAE;map2[8555][2]:=$AE8C;
map2[8556][1]:=$DAAF;map2[8556][2]:=$F0F0;
map2[8557][1]:=$DAB0;map2[8557][2]:=$AF65;
map2[8558][1]:=$DAB1;map2[8558][2]:=$AF6A;
map2[8559][1]:=$DAB2;map2[8559][2]:=$F0ED;
map2[8560][1]:=$DAB3;map2[8560][2]:=$AF67;
map2[8561][1]:=$DAB4;map2[8561][2]:=$AF68;
map2[8562][1]:=$DAB5;map2[8562][2]:=$F0EE;
map2[8563][1]:=$DAB6;map2[8563][2]:=$AF63;
map2[8564][1]:=$DAB7;map2[8564][2]:=$B07A;
map2[8565][1]:=$DAB8;map2[8565][2]:=$B078;
map2[8566][1]:=$DAB9;map2[8566][2]:=$B148;
map2[8567][1]:=$DABA;map2[8567][2]:=$B18F;
map2[8568][1]:=$DABB;map2[8568][2]:=$EDFB;
map2[8569][1]:=$DABC;map2[8569][2]:=$B18D;
map2[8570][1]:=$DABD;map2[8570][2]:=$B195;
map2[8571][1]:=$DABE;map2[8571][2]:=$B18E;
map2[8572][1]:=$DABF;map2[8572][2]:=$B192;
map2[8573][1]:=$DAC0;map2[8573][2]:=$B196;
map2[8574][1]:=$DAC1;map2[8574][2]:=$B193;
map2[8575][1]:=$DAC2;map2[8575][2]:=$B194;
map2[8576][1]:=$DAC3;map2[8576][2]:=$B29C;
map2[8577][1]:=$DAC4;map2[8577][2]:=$EFF3;
map2[8578][1]:=$DAC5;map2[8578][2]:=$B384;
map2[8579][1]:=$DAC6;map2[8579][2]:=$EDCC;
map2[8580][1]:=$DAC7;map2[8580][2]:=$B389;
map2[8581][1]:=$DAC8;map2[8581][2]:=$B36E;
map2[8582][1]:=$DAC9;map2[8582][2]:=$EDCB;
map2[8583][1]:=$DACA;map2[8583][2]:=$B390;
map2[8584][1]:=$DACB;map2[8584][2]:=$EDD2;
map2[8585][1]:=$DACC;map2[8585][2]:=$C8B7;
map2[8586][1]:=$DACD;map2[8586][2]:=$B38F;
map2[8587][1]:=$DACE;map2[8587][2]:=$B38D;
map2[8588][1]:=$DACF;map2[8588][2]:=$EDBA;
map2[8589][1]:=$DAD0;map2[8589][2]:=$B382;
map2[8590][1]:=$DAD1;map2[8590][2]:=$B386;
map2[8591][1]:=$DAD2;map2[8591][2]:=$B58B;
map2[8592][1]:=$DAD3;map2[8592][2]:=$B58A;
map2[8593][1]:=$DAD4;map2[8593][2]:=$B589;
map2[8594][1]:=$DAD5;map2[8594][2]:=$B587;
map2[8595][1]:=$DAD6;map2[8595][2]:=$EFFC;
map2[8596][1]:=$DAD7;map2[8596][2]:=$B694;
map2[8597][1]:=$DAD8;map2[8597][2]:=$EFFB;
map2[8598][1]:=$DAD9;map2[8598][2]:=$B695;
map2[8599][1]:=$DADA;map2[8599][2]:=$B68F;
map2[8600][1]:=$DADB;map2[8600][2]:=$B79B;
map2[8601][1]:=$DADC;map2[8601][2]:=$F1B5;
map2[8602][1]:=$DADD;map2[8602][2]:=$B873;
map2[8603][1]:=$DADE;map2[8603][2]:=$B952;
map2[8604][1]:=$DADF;map2[8604][2]:=$B948;
map2[8605][1]:=$DAE0;map2[8605][2]:=$B94F;
map2[8606][1]:=$DAE1;map2[8606][2]:=$B951;
map2[8607][1]:=$DAE2;map2[8607][2]:=$F3DC;
map2[8608][1]:=$DAE3;map2[8608][2]:=$B954;
map2[8609][1]:=$DAE4;map2[8609][2]:=$B94B;
map2[8610][1]:=$DAE5;map2[8610][2]:=$F3D8;
map2[8611][1]:=$DAE6;map2[8611][2]:=$F3DA;
map2[8612][1]:=$DAE7;map2[8612][2]:=$F4D2;
map2[8613][1]:=$DAE8;map2[8613][2]:=$F4D1;
map2[8614][1]:=$DAE9;map2[8614][2]:=$BB93;
map2[8615][1]:=$DAEA;map2[8615][2]:=$BB8F;
map2[8616][1]:=$DAEB;map2[8616][2]:=$BD61;
map2[8617][1]:=$DAEC;map2[8617][2]:=$BD77;
map2[8618][1]:=$DAED;map2[8618][2]:=$BD6C;
map2[8619][1]:=$DAEE;map2[8619][2]:=$BD5C;
map2[8620][1]:=$DAEF;map2[8620][2]:=$BD5F;
map2[8621][1]:=$DAF0;map2[8621][2]:=$BD70;
map2[8622][1]:=$DAF1;map2[8622][2]:=$BD73;
map2[8623][1]:=$DAF2;map2[8623][2]:=$E7A5;
map2[8624][1]:=$DAF3;map2[8624][2]:=$BD76;
map2[8625][1]:=$DAF4;map2[8625][2]:=$BD65;
map2[8626][1]:=$DAF5;map2[8626][2]:=$BD74;
map2[8627][1]:=$DAF6;map2[8627][2]:=$BD5B;
map2[8628][1]:=$DAF7;map2[8628][2]:=$BD5D;
map2[8629][1]:=$DAF8;map2[8629][2]:=$BD72;
map2[8630][1]:=$DAF9;map2[8630][2]:=$BD5A;
map2[8631][1]:=$DAFA;map2[8631][2]:=$BD68;
map2[8632][1]:=$DAFB;map2[8632][2]:=$E7AC;
map2[8633][1]:=$DAFC;map2[8633][2]:=$C090;
map2[8634][1]:=$DAFD;map2[8634][2]:=$C091;
map2[8635][1]:=$DAFE;map2[8635][2]:=$C149;
map2[8636][1]:=$DB40;map2[8636][2]:=$C14A;
map2[8637][1]:=$DB41;map2[8637][2]:=$C8DE;
map2[8638][1]:=$DB42;map2[8638][2]:=$C172;
map2[8639][1]:=$DB43;map2[8639][2]:=$CFDB;
map2[8640][1]:=$DB44;map2[8640][2]:=$C198;
map2[8641][1]:=$DB45;map2[8641][2]:=$C27A;
map2[8642][1]:=$DB46;map2[8642][2]:=$C278;
map2[8643][1]:=$DB47;map2[8643][2]:=$C279;
map2[8644][1]:=$DB48;map2[8644][2]:=$C375;
map2[8645][1]:=$DB49;map2[8645][2]:=$C368;
map2[8646][1]:=$DB4A;map2[8646][2]:=$C443;
map2[8647][1]:=$DB4B;map2[8647][2]:=$C0B0;
map2[8648][1]:=$DB4C;map2[8648][2]:=$C44B;
map2[8649][1]:=$DB4D;map2[8649][2]:=$C44A;
map2[8650][1]:=$DB4E;map2[8650][2]:=$C446;
map2[8651][1]:=$DB4F;map2[8651][2]:=$C39F;
map2[8652][1]:=$DB50;map2[8652][2]:=$C448;
map2[8653][1]:=$DB51;map2[8653][2]:=$C39C;
map2[8654][1]:=$DB52;map2[8654][2]:=$C551;
map2[8655][1]:=$DB53;map2[8655][2]:=$C555;
map2[8656][1]:=$DB54;map2[8656][2]:=$C55C;
map2[8657][1]:=$DB55;map2[8657][2]:=$C55D;
map2[8658][1]:=$DB56;map2[8658][2]:=$C55E;
map2[8659][1]:=$DB57;map2[8659][2]:=$F4AA;
map2[8660][1]:=$DB58;map2[8660][2]:=$C57C;
map2[8661][1]:=$DB59;map2[8661][2]:=$C57D;
map2[8662][1]:=$DB5A;map2[8662][2]:=$C57E;
map2[8663][1]:=$DB5B;map2[8663][2]:=$C645;
map2[8664][1]:=$DB5C;map2[8664][2]:=$C69F;
map2[8665][1]:=$DB5D;map2[8665][2]:=$BACA;
map2[8666][1]:=$DB5E;map2[8666][2]:=$DDCF;
map2[8667][1]:=$DB5F;map2[8667][2]:=$C862;
map2[8668][1]:=$DB60;map2[8668][2]:=$DDD2;
map2[8669][1]:=$DB61;map2[8669][2]:=$C79D;
map2[8670][1]:=$DB62;map2[8670][2]:=$C854;
map2[8671][1]:=$DB63;map2[8671][2]:=$C79C;
map2[8672][1]:=$DB64;map2[8672][2]:=$C79A;
map2[8673][1]:=$DB65;map2[8673][2]:=$C849;
map2[8674][1]:=$DB66;map2[8674][2]:=$C845;
map2[8675][1]:=$DB67;map2[8675][2]:=$C853;
map2[8676][1]:=$DB68;map2[8676][2]:=$C788;
map2[8677][1]:=$DB69;map2[8677][2]:=$C789;
map2[8678][1]:=$DB6A;map2[8678][2]:=$C79E;
map2[8679][1]:=$DB6B;map2[8679][2]:=$C799;
map2[8680][1]:=$DB6C;map2[8680][2]:=$C784;
map2[8681][1]:=$DB6D;map2[8681][2]:=$DDBD;
map2[8682][1]:=$DB6E;map2[8682][2]:=$DDC3;
map2[8683][1]:=$DB6F;map2[8683][2]:=$DDBE;
map2[8684][1]:=$DB70;map2[8684][2]:=$DDBF;
map2[8685][1]:=$DB71;map2[8685][2]:=$C84B;
map2[8686][1]:=$DB72;map2[8686][2]:=$DDD5;
map2[8687][1]:=$DB73;map2[8687][2]:=$C78B;
map2[8688][1]:=$DB74;map2[8688][2]:=$C78D;
map2[8689][1]:=$DB75;map2[8689][2]:=$DDC5;
map2[8690][1]:=$DB76;map2[8690][2]:=$C844;
map2[8691][1]:=$DB77;map2[8691][2]:=$C78A;
map2[8692][1]:=$DB78;map2[8692][2]:=$C851;
map2[8693][1]:=$DB79;map2[8693][2]:=$DDCC;
map2[8694][1]:=$DB7A;map2[8694][2]:=$C797;
map2[8695][1]:=$DB7B;map2[8695][2]:=$DDC8;
map2[8696][1]:=$DB7C;map2[8696][2]:=$DDC9;
map2[8697][1]:=$DB7D;map2[8697][2]:=$C785;
map2[8698][1]:=$DB7E;map2[8698][2]:=$C842;
map2[8699][1]:=$DBA1;map2[8699][2]:=$C792;
map2[8700][1]:=$DBA2;map2[8700][2]:=$C847;
map2[8701][1]:=$DBA3;map2[8701][2]:=$B9BD;
map2[8702][1]:=$DBA4;map2[8702][2]:=$C78F;
map2[8703][1]:=$DBA5;map2[8703][2]:=$DDD0;
map2[8704][1]:=$DBA6;map2[8704][2]:=$C855;
map2[8705][1]:=$DBA7;map2[8705][2]:=$C786;
map2[8706][1]:=$DBA8;map2[8706][2]:=$C79F;
map2[8707][1]:=$DBA9;map2[8707][2]:=$C840;
map2[8708][1]:=$DBAA;map2[8708][2]:=$C787;
map2[8709][1]:=$DBAB;map2[8709][2]:=$C848;
map2[8710][1]:=$DBAC;map2[8710][2]:=$C793;
map2[8711][1]:=$DBAD;map2[8711][2]:=$C798;
map2[8712][1]:=$DBAE;map2[8712][2]:=$C85C;
map2[8713][1]:=$DBAF;map2[8713][2]:=$C796;
map2[8714][1]:=$DBB0;map2[8714][2]:=$C84A;
map2[8715][1]:=$DBB1;map2[8715][2]:=$F2D5;
map2[8716][1]:=$DBB2;map2[8716][2]:=$CD83;
map2[8717][1]:=$DBB3;map2[8717][2]:=$CD86;
map2[8718][1]:=$DBB4;map2[8718][2]:=$CD79;
map2[8719][1]:=$DBB5;map2[8719][2]:=$CD84;
map2[8720][1]:=$DBB6;map2[8720][2]:=$CD7D;
map2[8721][1]:=$DBB7;map2[8721][2]:=$CD89;
map2[8722][1]:=$DBB8;map2[8722][2]:=$CD80;
map2[8723][1]:=$DBB9;map2[8723][2]:=$CD8A;
map2[8724][1]:=$DBBA;map2[8724][2]:=$CD7E;
map2[8725][1]:=$DBBB;map2[8725][2]:=$CD8B;
map2[8726][1]:=$DBBC;map2[8726][2]:=$F2CB;
map2[8727][1]:=$DBBD;map2[8727][2]:=$CD7C;
map2[8728][1]:=$DBBE;map2[8728][2]:=$CD88;
map2[8729][1]:=$DBBF;map2[8729][2]:=$F2D6;
map2[8730][1]:=$DBC0;map2[8730][2]:=$D05E;
map2[8731][1]:=$DBC1;map2[8731][2]:=$D069;
map2[8732][1]:=$DBC2;map2[8732][2]:=$D068;
map2[8733][1]:=$DBC3;map2[8733][2]:=$D14B;
map2[8734][1]:=$DBC4;map2[8734][2]:=$D15E;
map2[8735][1]:=$DBC5;map2[8735][2]:=$D14A;
map2[8736][1]:=$DBC6;map2[8736][2]:=$D149;
map2[8737][1]:=$DBC7;map2[8737][2]:=$D150;
map2[8738][1]:=$DBC8;map2[8738][2]:=$D14E;
map2[8739][1]:=$DBC9;map2[8739][2]:=$D148;
map2[8740][1]:=$DBCA;map2[8740][2]:=$F1CB;
map2[8741][1]:=$DBCB;map2[8741][2]:=$F1CA;
map2[8742][1]:=$DBCC;map2[8742][2]:=$D14D;
map2[8743][1]:=$DBCD;map2[8743][2]:=$D144;
map2[8744][1]:=$DBCE;map2[8744][2]:=$D178;
map2[8745][1]:=$DBCF;map2[8745][2]:=$F1CC;
map2[8746][1]:=$DBD0;map2[8746][2]:=$D294;
map2[8747][1]:=$DBD1;map2[8747][2]:=$EAE8;
map2[8748][1]:=$DBD2;map2[8748][2]:=$D296;
map2[8749][1]:=$DBD3;map2[8749][2]:=$B5D6;
map2[8750][1]:=$DBD4;map2[8750][2]:=$F5FD;
map2[8751][1]:=$DBD5;map2[8751][2]:=$D367;
map2[8752][1]:=$DBD6;map2[8752][2]:=$DAAA;
map2[8753][1]:=$DBD7;map2[8753][2]:=$D46D;
map2[8754][1]:=$DBD8;map2[8754][2]:=$D45B;
map2[8755][1]:=$DBD9;map2[8755][2]:=$D479;
map2[8756][1]:=$DBDA;map2[8756][2]:=$D461;
map2[8757][1]:=$DBDB;map2[8757][2]:=$D79C;
map2[8758][1]:=$DBDC;map2[8758][2]:=$DAB0;
map2[8759][1]:=$DBDD;map2[8759][2]:=$D465;
map2[8760][1]:=$DBDE;map2[8760][2]:=$D466;
map2[8761][1]:=$DBDF;map2[8761][2]:=$DAB1;
map2[8762][1]:=$DBE0;map2[8762][2]:=$EEBA;
map2[8763][1]:=$DBE1;map2[8763][2]:=$D471;
map2[8764][1]:=$DBE2;map2[8764][2]:=$D46A;
map2[8765][1]:=$DBE3;map2[8765][2]:=$D46C;
map2[8766][1]:=$DBE4;map2[8766][2]:=$D46F;
map2[8767][1]:=$DBE5;map2[8767][2]:=$D860;
map2[8768][1]:=$DBE6;map2[8768][2]:=$D87A;
map2[8769][1]:=$DBE7;map2[8769][2]:=$D879;
map2[8770][1]:=$DBE8;map2[8770][2]:=$EADC;
map2[8771][1]:=$DBE9;map2[8771][2]:=$D950;
map2[8772][1]:=$DBEA;map2[8772][2]:=$EADB;
map2[8773][1]:=$DBEB;map2[8773][2]:=$D94B;
map2[8774][1]:=$DBEC;map2[8774][2]:=$D947;
map2[8775][1]:=$DBED;map2[8775][2]:=$F4F2;
map2[8776][1]:=$DBEE;map2[8776][2]:=$DA65;
map2[8777][1]:=$DBEF;map2[8777][2]:=$DA6B;
map2[8778][1]:=$DBF0;map2[8778][2]:=$DB41;
map2[8779][1]:=$DBF1;map2[8779][2]:=$DA9F;
map2[8780][1]:=$DBF2;map2[8780][2]:=$DA9C;
map2[8781][1]:=$DBF3;map2[8781][2]:=$DA98;
map2[8782][1]:=$DBF4;map2[8782][2]:=$F5C5;
map2[8783][1]:=$DBF5;map2[8783][2]:=$DB43;
map2[8784][1]:=$DBF6;map2[8784][2]:=$F5CA;
map2[8785][1]:=$DBF7;map2[8785][2]:=$DB40;
map2[8786][1]:=$DBF8;map2[8786][2]:=$DB42;
map2[8787][1]:=$DBF9;map2[8787][2]:=$DA99;
map2[8788][1]:=$DBFA;map2[8788][2]:=$F5C6;
map2[8789][1]:=$DBFB;map2[8789][2]:=$DA97;
map2[8790][1]:=$DBFC;map2[8790][2]:=$DD4A;
map2[8791][1]:=$DBFD;map2[8791][2]:=$DD52;
map2[8792][1]:=$DBFE;map2[8792][2]:=$E9F7;
map2[8793][1]:=$DC40;map2[8793][2]:=$E9F2;
map2[8794][1]:=$DC41;map2[8794][2]:=$DD41;
map2[8795][1]:=$DC42;map2[8795][2]:=$DD49;
map2[8796][1]:=$DC43;map2[8796][2]:=$DD40;
map2[8797][1]:=$DC44;map2[8797][2]:=$DD50;
map2[8798][1]:=$DC45;map2[8798][2]:=$DD42;
map2[8799][1]:=$DC46;map2[8799][2]:=$DD43;
map2[8800][1]:=$DC47;map2[8800][2]:=$DD51;
map2[8801][1]:=$DC48;map2[8801][2]:=$E9F4;
map2[8802][1]:=$DC49;map2[8802][2]:=$DD4C;
map2[8803][1]:=$DC4A;map2[8803][2]:=$DD47;
map2[8804][1]:=$DC4B;map2[8804][2]:=$DD4F;
map2[8805][1]:=$DC4C;map2[8805][2]:=$DD44;
map2[8806][1]:=$DC4D;map2[8806][2]:=$E5D5;
map2[8807][1]:=$DC4E;map2[8807][2]:=$DF4F;
map2[8808][1]:=$DC4F;map2[8808][2]:=$E5D6;
map2[8809][1]:=$DC50;map2[8809][2]:=$DBA9;
map2[8810][1]:=$DC51;map2[8810][2]:=$E08C;
map2[8811][1]:=$DC52;map2[8811][2]:=$DBB2;
map2[8812][1]:=$DC53;map2[8812][2]:=$E064;
map2[8813][1]:=$DC54;map2[8813][2]:=$E063;
map2[8814][1]:=$DC55;map2[8814][2]:=$E06B;
map2[8815][1]:=$DC56;map2[8815][2]:=$E060;
map2[8816][1]:=$DC57;map2[8816][2]:=$E062;
map2[8817][1]:=$DC58;map2[8817][2]:=$E066;
map2[8818][1]:=$DC59;map2[8818][2]:=$E065;
map2[8819][1]:=$DC5A;map2[8819][2]:=$E06A;
map2[8820][1]:=$DC5B;map2[8820][2]:=$E068;
map2[8821][1]:=$DC5C;map2[8821][2]:=$E067;
map2[8822][1]:=$DC5D;map2[8822][2]:=$F5A2;
map2[8823][1]:=$DC5E;map2[8823][2]:=$F4FE;
map2[8824][1]:=$DC5F;map2[8824][2]:=$E14C;
map2[8825][1]:=$DC60;map2[8825][2]:=$F5A1;
map2[8826][1]:=$DC61;map2[8826][2]:=$E14D;
map2[8827][1]:=$DC62;map2[8827][2]:=$EED5;
map2[8828][1]:=$DC63;map2[8828][2]:=$E264;
map2[8829][1]:=$DC64;map2[8829][2]:=$EED8;
map2[8830][1]:=$DC65;map2[8830][2]:=$E897;
map2[8831][1]:=$DC66;map2[8831][2]:=$E274;
map2[8832][1]:=$DC67;map2[8832][2]:=$EED1;
map2[8833][1]:=$DC68;map2[8833][2]:=$E269;
map2[8834][1]:=$DC69;map2[8834][2]:=$E266;
map2[8835][1]:=$DC6A;map2[8835][2]:=$EED9;
map2[8836][1]:=$DC6B;map2[8836][2]:=$E895;
map2[8837][1]:=$DC6C;map2[8837][2]:=$E259;
map2[8838][1]:=$DC6D;map2[8838][2]:=$E257;
map2[8839][1]:=$DC6E;map2[8839][2]:=$E260;
map2[8840][1]:=$DC6F;map2[8840][2]:=$EED7;
map2[8841][1]:=$DC70;map2[8841][2]:=$EED6;
map2[8842][1]:=$DC71;map2[8842][2]:=$E25C;
map2[8843][1]:=$DC72;map2[8843][2]:=$E276;
map2[8844][1]:=$DC73;map2[8844][2]:=$E27E;
map2[8845][1]:=$DC74;map2[8845][2]:=$E273;
map2[8846][1]:=$DC75;map2[8846][2]:=$E271;
map2[8847][1]:=$DC76;map2[8847][2]:=$D4BF;
map2[8848][1]:=$DC77;map2[8848][2]:=$E270;
map2[8849][1]:=$DC78;map2[8849][2]:=$E950;
map2[8850][1]:=$DC79;map2[8850][2]:=$E961;
map2[8851][1]:=$DC7A;map2[8851][2]:=$E3CA;
map2[8852][1]:=$DC7B;map2[8852][2]:=$E964;
map2[8853][1]:=$DC7C;map2[8853][2]:=$EA9E;
map2[8854][1]:=$DC7D;map2[8854][2]:=$EA97;
map2[8855][1]:=$DC7E;map2[8855][2]:=$DAF1;
map2[8856][1]:=$DCA1;map2[8856][2]:=$DAED;
map2[8857][1]:=$DCA2;map2[8857][2]:=$EA9C;
map2[8858][1]:=$DCA3;map2[8858][2]:=$EA99;
map2[8859][1]:=$DCA4;map2[8859][2]:=$EB64;
map2[8860][1]:=$DCA5;map2[8860][2]:=$EB66;
map2[8861][1]:=$DCA6;map2[8861][2]:=$EB65;
map2[8862][1]:=$DCA7;map2[8862][2]:=$EB84;
map2[8863][1]:=$DCA8;map2[8863][2]:=$EB83;
map2[8864][1]:=$DCA9;map2[8864][2]:=$EC79;
map2[8865][1]:=$DCAA;map2[8865][2]:=$EC7D;
map2[8866][1]:=$DCAB;map2[8866][2]:=$EC7B;
map2[8867][1]:=$DCAC;map2[8867][2]:=$F1FC;
map2[8868][1]:=$DCAD;map2[8868][2]:=$EF4D;
map2[8869][1]:=$DCAE;map2[8869][2]:=$E2C0;
map2[8870][1]:=$DCAF;map2[8870][2]:=$F843;
map2[8871][1]:=$DCB0;map2[8871][2]:=$EDE9;
map2[8872][1]:=$DCB1;map2[8872][2]:=$817A;
map2[8873][1]:=$DCB2;map2[8873][2]:=$817B;
map2[8874][1]:=$DCB3;map2[8874][2]:=$818D;
map2[8875][1]:=$DCB4;map2[8875][2]:=$8340;
map2[8876][1]:=$DCB5;map2[8876][2]:=$8342;
map2[8877][1]:=$DCB6;map2[8877][2]:=$8349;
map2[8878][1]:=$DCB7;map2[8878][2]:=$82F3;
map2[8879][1]:=$DCB8;map2[8879][2]:=$8347;
map2[8880][1]:=$DCB9;map2[8880][2]:=$834D;
map2[8881][1]:=$DCBA;map2[8881][2]:=$D8F1;
map2[8882][1]:=$DCBB;map2[8882][2]:=$834B;
map2[8883][1]:=$DCBC;map2[8883][2]:=$D9CD;
map2[8884][1]:=$DCBD;map2[8884][2]:=$82F5;
map2[8885][1]:=$DCBE;map2[8885][2]:=$8344;
map2[8886][1]:=$DCBF;map2[8886][2]:=$D9D1;
map2[8887][1]:=$DCC0;map2[8887][2]:=$82F6;
map2[8888][1]:=$DCC1;map2[8888][2]:=$834E;
map2[8889][1]:=$DCC2;map2[8889][2]:=$D9DD;
map2[8890][1]:=$DCC3;map2[8890][2]:=$82FA;
map2[8891][1]:=$DCC4;map2[8891][2]:=$82FC;
map2[8892][1]:=$DCC5;map2[8892][2]:=$83FE;
map2[8893][1]:=$DCC6;map2[8893][2]:=$8498;
map2[8894][1]:=$DCC7;map2[8894][2]:=$8496;
map2[8895][1]:=$DCC8;map2[8895][2]:=$8499;
map2[8896][1]:=$DCC9;map2[8896][2]:=$849A;
map2[8897][1]:=$DCCA;map2[8897][2]:=$86DB;
map2[8898][1]:=$DCCB;map2[8898][2]:=$86E9;
map2[8899][1]:=$DCCC;map2[8899][2]:=$E0C9;
map2[8900][1]:=$DCCD;map2[8900][2]:=$86E3;
map2[8901][1]:=$DCCE;map2[8901][2]:=$86E0;
map2[8902][1]:=$DCCF;map2[8902][2]:=$8679;
map2[8903][1]:=$DCD0;map2[8903][2]:=$E0C3;
map2[8904][1]:=$DCD1;map2[8904][2]:=$86D8;
map2[8905][1]:=$DCD2;map2[8905][2]:=$E0C1;
map2[8906][1]:=$DCD3;map2[8906][2]:=$E0C4;
map2[8907][1]:=$DCD4;map2[8907][2]:=$DFEF;
map2[8908][1]:=$DCD5;map2[8908][2]:=$86D7;
map2[8909][1]:=$DCD6;map2[8909][2]:=$E0AA;
map2[8910][1]:=$DCD7;map2[8910][2]:=$86B6;
map2[8911][1]:=$DCD8;map2[8911][2]:=$86E2;
map2[8912][1]:=$DCD9;map2[8912][2]:=$86E4;
map2[8913][1]:=$DCDA;map2[8913][2]:=$86EC;
map2[8914][1]:=$DCDB;map2[8914][2]:=$E0B2;
map2[8915][1]:=$DCDC;map2[8915][2]:=$86DE;
map2[8916][1]:=$DCDD;map2[8916][2]:=$E0C7;
map2[8917][1]:=$DCDE;map2[8917][2]:=$E0CA;
map2[8918][1]:=$DCDF;map2[8918][2]:=$86E7;
map2[8919][1]:=$DCE0;map2[8919][2]:=$86DA;
map2[8920][1]:=$DCE1;map2[8920][2]:=$8842;
map2[8921][1]:=$DCE2;map2[8921][2]:=$8951;
map2[8922][1]:=$DCE3;map2[8922][2]:=$8962;
map2[8923][1]:=$DCE4;map2[8923][2]:=$DBF7;
map2[8924][1]:=$DCE5;map2[8924][2]:=$DBEE;
map2[8925][1]:=$DCE6;map2[8925][2]:=$EBF3;
map2[8926][1]:=$DCE7;map2[8926][2]:=$894A;
map2[8927][1]:=$DCE8;map2[8927][2]:=$8967;
map2[8928][1]:=$DCE9;map2[8928][2]:=$8952;
map2[8929][1]:=$DCEA;map2[8929][2]:=$894D;
map2[8930][1]:=$DCEB;map2[8930][2]:=$8959;
map2[8931][1]:=$DCEC;map2[8931][2]:=$8955;
map2[8932][1]:=$DCED;map2[8932][2]:=$DCAA;
map2[8933][1]:=$DCEE;map2[8933][2]:=$8957;
map2[8934][1]:=$DCEF;map2[8934][2]:=$88FE;
map2[8935][1]:=$DCF0;map2[8935][2]:=$895E;
map2[8936][1]:=$DCF1;map2[8936][2]:=$8969;
map2[8937][1]:=$DCF2;map2[8937][2]:=$89D7;
map2[8938][1]:=$DCF3;map2[8938][2]:=$8B93;
map2[8939][1]:=$DCF4;map2[8939][2]:=$8B90;
map2[8940][1]:=$DCF5;map2[8940][2]:=$F4C1;
map2[8941][1]:=$DCF6;map2[8941][2]:=$8B89;
map2[8942][1]:=$DCF7;map2[8942][2]:=$E6CA;
map2[8943][1]:=$DCF8;map2[8943][2]:=$8B84;
map2[8944][1]:=$DCF9;map2[8944][2]:=$EBF4;
map2[8945][1]:=$DCFA;map2[8945][2]:=$8B83;
map2[8946][1]:=$DCFB;map2[8946][2]:=$8B8D;
map2[8947][1]:=$DCFC;map2[8947][2]:=$8B94;
map2[8948][1]:=$DCFD;map2[8948][2]:=$8B8A;
map2[8949][1]:=$DCFE;map2[8949][2]:=$8B92;
map2[8950][1]:=$DD40;map2[8950][2]:=$8B87;
map2[8951][1]:=$DD41;map2[8951][2]:=$8B8E;
map2[8952][1]:=$DD42;map2[8952][2]:=$8B95;
map2[8953][1]:=$DD43;map2[8953][2]:=$8B85;
map2[8954][1]:=$DD44;map2[8954][2]:=$8B86;
map2[8955][1]:=$DD45;map2[8955][2]:=$8B97;
map2[8956][1]:=$DD46;map2[8956][2]:=$8B88;
map2[8957][1]:=$DD47;map2[8957][2]:=$8B66;
map2[8958][1]:=$DD48;map2[8958][2]:=$8C83;
map2[8959][1]:=$DD49;map2[8959][2]:=$8C85;
map2[8960][1]:=$DD4A;map2[8960][2]:=$8C86;
map2[8961][1]:=$DD4B;map2[8961][2]:=$8CAF;
map2[8962][1]:=$DD4C;map2[8962][2]:=$8CBD;
map2[8963][1]:=$DD4D;map2[8963][2]:=$8DD3;
map2[8964][1]:=$DD4E;map2[8964][2]:=$8DC9;
map2[8965][1]:=$DD4F;map2[8965][2]:=$E1D3;
map2[8966][1]:=$DD50;map2[8966][2]:=$8DCB;
map2[8967][1]:=$DD51;map2[8967][2]:=$8DD4;
map2[8968][1]:=$DD52;map2[8968][2]:=$E1CD;
map2[8969][1]:=$DD53;map2[8969][2]:=$8DC4;
map2[8970][1]:=$DD54;map2[8970][2]:=$8DCE;
map2[8971][1]:=$DD55;map2[8971][2]:=$8DCD;
map2[8972][1]:=$DD56;map2[8972][2]:=$8DC8;
map2[8973][1]:=$DD57;map2[8973][2]:=$DBCF;
map2[8974][1]:=$DD58;map2[8974][2]:=$8EB7;
map2[8975][1]:=$DD59;map2[8975][2]:=$8EB6;
map2[8976][1]:=$DD5A;map2[8976][2]:=$8EB3;
map2[8977][1]:=$DD5B;map2[8977][2]:=$8EB5;
map2[8978][1]:=$DD5C;map2[8978][2]:=$8EB4;
map2[8979][1]:=$DD5D;map2[8979][2]:=$8EFE;
map2[8980][1]:=$DD5E;map2[8980][2]:=$8F44;
map2[8981][1]:=$DD5F;map2[8981][2]:=$8F40;
map2[8982][1]:=$DD60;map2[8982][2]:=$8F43;
map2[8983][1]:=$DD61;map2[8983][2]:=$8F41;
map2[8984][1]:=$DD62;map2[8984][2]:=$ECB0;
map2[8985][1]:=$DD63;map2[8985][2]:=$8FD0;
map2[8986][1]:=$DD64;map2[8986][2]:=$E1E6;
map2[8987][1]:=$DD65;map2[8987][2]:=$90C3;
map2[8988][1]:=$DD66;map2[8988][2]:=$9141;
map2[8989][1]:=$DD67;map2[8989][2]:=$E3BB;
map2[8990][1]:=$DD68;map2[8990][2]:=$E3BA;
map2[8991][1]:=$DD69;map2[8991][2]:=$90FD;
map2[8992][1]:=$DD6A;map2[8992][2]:=$90EF;
map2[8993][1]:=$DD6B;map2[8993][2]:=$90EB;
map2[8994][1]:=$DD6C;map2[8994][2]:=$90E7;
map2[8995][1]:=$DD6D;map2[8995][2]:=$90FE;
map2[8996][1]:=$DD6E;map2[8996][2]:=$90E8;
map2[8997][1]:=$DD6F;map2[8997][2]:=$9144;
map2[8998][1]:=$DD70;map2[8998][2]:=$90E3;
map2[8999][1]:=$DD71;map2[8999][2]:=$90F8;
map2[9000][1]:=$DD72;map2[9000][2]:=$91E7;
map2[9001][1]:=$DD73;map2[9001][2]:=$E150;
map2[9002][1]:=$DD74;map2[9002][2]:=$91E8;
map2[9003][1]:=$DD75;map2[9003][2]:=$EAAD;
map2[9004][1]:=$DD76;map2[9004][2]:=$EAAE;
map2[9005][1]:=$DD77;map2[9005][2]:=$9343;
map2[9006][1]:=$DD78;map2[9006][2]:=$9360;
map2[9007][1]:=$DD79;map2[9007][2]:=$935B;
map2[9008][1]:=$DD7A;map2[9008][2]:=$B4A4;
map2[9009][1]:=$DD7B;map2[9009][2]:=$9373;
map2[9010][1]:=$DD7C;map2[9010][2]:=$936E;
map2[9011][1]:=$DD7D;map2[9011][2]:=$DEF7;
map2[9012][1]:=$DD7E;map2[9012][2]:=$937E;
map2[9013][1]:=$DDA1;map2[9013][2]:=$938A;
map2[9014][1]:=$DDA2;map2[9014][2]:=$9395;
map2[9015][1]:=$DDA3;map2[9015][2]:=$937B;
map2[9016][1]:=$DDA4;map2[9016][2]:=$9374;
map2[9017][1]:=$DDA5;map2[9017][2]:=$9377;
map2[9018][1]:=$DDA6;map2[9018][2]:=$938F;
map2[9019][1]:=$DDA7;map2[9019][2]:=$938D;
map2[9020][1]:=$DDA8;map2[9020][2]:=$937C;
map2[9021][1]:=$DDA9;map2[9021][2]:=$937D;
map2[9022][1]:=$DDAA;map2[9022][2]:=$DEF8;
map2[9023][1]:=$DDAB;map2[9023][2]:=$DEF9;
map2[9024][1]:=$DDAC;map2[9024][2]:=$9387;
map2[9025][1]:=$DDAD;map2[9025][2]:=$9382;
map2[9026][1]:=$DDAE;map2[9026][2]:=$DEF4;
map2[9027][1]:=$DDAF;map2[9027][2]:=$938B;
map2[9028][1]:=$DDB0;map2[9028][2]:=$9386;
map2[9029][1]:=$DDB1;map2[9029][2]:=$936F;
map2[9030][1]:=$DDB2;map2[9030][2]:=$9379;
map2[9031][1]:=$DDB3;map2[9031][2]:=$9393;
map2[9032][1]:=$DDB4;map2[9032][2]:=$9380;
map2[9033][1]:=$DDB5;map2[9033][2]:=$9381;
map2[9034][1]:=$DDB6;map2[9034][2]:=$DEF5;
map2[9035][1]:=$DDB7;map2[9035][2]:=$9359;
map2[9036][1]:=$DDB8;map2[9036][2]:=$DEF6;
map2[9037][1]:=$DDB9;map2[9037][2]:=$9385;
map2[9038][1]:=$DDBA;map2[9038][2]:=$DEFA;
map2[9039][1]:=$DDBB;map2[9039][2]:=$9371;
map2[9040][1]:=$DDBC;map2[9040][2]:=$94B0;
map2[9041][1]:=$DDBD;map2[9041][2]:=$94CA;
map2[9042][1]:=$DDBE;map2[9042][2]:=$94EF;
map2[9043][1]:=$DDBF;map2[9043][2]:=$959D;
map2[9044][1]:=$DDC0;map2[9044][2]:=$EAD2;
map2[9045][1]:=$DDC1;map2[9045][2]:=$95A9;
map2[9046][1]:=$DDC2;map2[9046][2]:=$95A5;
map2[9047][1]:=$DDC3;map2[9047][2]:=$95A1;
map2[9048][1]:=$DDC4;map2[9048][2]:=$95A0;
map2[9049][1]:=$DDC5;map2[9049][2]:=$95AB;
map2[9050][1]:=$DDC6;map2[9050][2]:=$95A8;
map2[9051][1]:=$DDC7;map2[9051][2]:=$9593;
map2[9052][1]:=$DDC8;map2[9052][2]:=$9650;
map2[9053][1]:=$DDC9;map2[9053][2]:=$E9B8;
map2[9054][1]:=$DDCA;map2[9054][2]:=$97FE;
map2[9055][1]:=$DDCB;map2[9055][2]:=$97E0;
map2[9056][1]:=$DDCC;map2[9056][2]:=$97F2;
map2[9057][1]:=$DDCD;map2[9057][2]:=$9841;
map2[9058][1]:=$DDCE;map2[9058][2]:=$E9A8;
map2[9059][1]:=$DDCF;map2[9059][2]:=$B4BB;
map2[9060][1]:=$DDD0;map2[9060][2]:=$97E9;
map2[9061][1]:=$DDD1;map2[9061][2]:=$9847;
map2[9062][1]:=$DDD2;map2[9062][2]:=$E9A9;
map2[9063][1]:=$DDD3;map2[9063][2]:=$E9AB;
map2[9064][1]:=$DDD4;map2[9064][2]:=$E9A5;
map2[9065][1]:=$DDD5;map2[9065][2]:=$97FB;
map2[9066][1]:=$DDD6;map2[9066][2]:=$9851;
map2[9067][1]:=$DDD7;map2[9067][2]:=$97EC;
map2[9068][1]:=$DDD8;map2[9068][2]:=$97ED;
map2[9069][1]:=$DDD9;map2[9069][2]:=$97DD;
map2[9070][1]:=$DDDA;map2[9070][2]:=$9848;
map2[9071][1]:=$DDDB;map2[9071][2]:=$97DC;
map2[9072][1]:=$DDDC;map2[9072][2]:=$B4AA;
map2[9073][1]:=$DDDD;map2[9073][2]:=$9843;
map2[9074][1]:=$DDDE;map2[9074][2]:=$E9A2;
map2[9075][1]:=$DDDF;map2[9075][2]:=$E9B1;
map2[9076][1]:=$DDE0;map2[9076][2]:=$E9B2;
map2[9077][1]:=$DDE1;map2[9077][2]:=$9846;
map2[9078][1]:=$DDE2;map2[9078][2]:=$97E5;
map2[9079][1]:=$DDE3;map2[9079][2]:=$984A;
map2[9080][1]:=$DDE4;map2[9080][2]:=$97E8;
map2[9081][1]:=$DDE5;map2[9081][2]:=$9850;
map2[9082][1]:=$DDE6;map2[9082][2]:=$97FA;
map2[9083][1]:=$DDE7;map2[9083][2]:=$97E6;
map2[9084][1]:=$DDE8;map2[9084][2]:=$984E;
map2[9085][1]:=$DDE9;map2[9085][2]:=$97F0;
map2[9086][1]:=$DDEA;map2[9086][2]:=$97E2;
map2[9087][1]:=$DDEB;map2[9087][2]:=$97EF;
map2[9088][1]:=$DDEC;map2[9088][2]:=$97DF;
map2[9089][1]:=$DDED;map2[9089][2]:=$97FD;
map2[9090][1]:=$DDEE;map2[9090][2]:=$97F3;
map2[9091][1]:=$DDEF;map2[9091][2]:=$97F5;
map2[9092][1]:=$DDF0;map2[9092][2]:=$97DB;
map2[9093][1]:=$DDF1;map2[9093][2]:=$97F6;
map2[9094][1]:=$DDF2;map2[9094][2]:=$97D9;
map2[9095][1]:=$DDF3;map2[9095][2]:=$9852;
map2[9096][1]:=$DDF4;map2[9096][2]:=$97E3;
map2[9097][1]:=$DDF5;map2[9097][2]:=$ECA7;
map2[9098][1]:=$DDF6;map2[9098][2]:=$9A50;
map2[9099][1]:=$DDF7;map2[9099][2]:=$ECA6;
map2[9100][1]:=$DDF8;map2[9100][2]:=$9A4E;
map2[9101][1]:=$DDF9;map2[9101][2]:=$9A51;
map2[9102][1]:=$DDFA;map2[9102][2]:=$9A4D;
map2[9103][1]:=$DDFB;map2[9103][2]:=$E9EA;
map2[9104][1]:=$DDFC;map2[9104][2]:=$FE41;
map2[9105][1]:=$DDFD;map2[9105][2]:=$9ACD;
map2[9106][1]:=$DDFE;map2[9106][2]:=$9ACE;
map2[9107][1]:=$DE40;map2[9107][2]:=$EBA8;
map2[9108][1]:=$DE41;map2[9108][2]:=$9ACA;
map2[9109][1]:=$DE42;map2[9109][2]:=$9ACB;
map2[9110][1]:=$DE43;map2[9110][2]:=$9CCE;
map2[9111][1]:=$DE44;map2[9111][2]:=$9CF1;
map2[9112][1]:=$DE45;map2[9112][2]:=$9CE9;
map2[9113][1]:=$DE46;map2[9113][2]:=$E4E7;
map2[9114][1]:=$DE47;map2[9114][2]:=$9CE4;
map2[9115][1]:=$DE48;map2[9115][2]:=$E4E9;
map2[9116][1]:=$DE49;map2[9116][2]:=$9CC7;
map2[9117][1]:=$DE4A;map2[9117][2]:=$9CC8;
map2[9118][1]:=$DE4B;map2[9118][2]:=$9CD1;
map2[9119][1]:=$DE4C;map2[9119][2]:=$E4DA;
map2[9120][1]:=$DE4D;map2[9120][2]:=$9CE0;
map2[9121][1]:=$DE4E;map2[9121][2]:=$9CE8;
map2[9122][1]:=$DE4F;map2[9122][2]:=$9CF0;
map2[9123][1]:=$DE50;map2[9123][2]:=$E4E1;
map2[9124][1]:=$DE51;map2[9124][2]:=$B3FC;
map2[9125][1]:=$DE52;map2[9125][2]:=$9CD0;
map2[9126][1]:=$DE53;map2[9126][2]:=$9CEA;
map2[9127][1]:=$DE54;map2[9127][2]:=$E4E3;
map2[9128][1]:=$DE55;map2[9128][2]:=$9CDC;
map2[9129][1]:=$DE56;map2[9129][2]:=$9CED;
map2[9130][1]:=$DE57;map2[9130][2]:=$9CD5;
map2[9131][1]:=$DE58;map2[9131][2]:=$E4E6;
map2[9132][1]:=$DE59;map2[9132][2]:=$E4D1;
map2[9133][1]:=$DE5A;map2[9133][2]:=$9CE2;
map2[9134][1]:=$DE5B;map2[9134][2]:=$9CE5;
map2[9135][1]:=$DE5C;map2[9135][2]:=$9CF5;
map2[9136][1]:=$DE5D;map2[9136][2]:=$9CF2;
map2[9137][1]:=$DE5E;map2[9137][2]:=$9CCC;
map2[9138][1]:=$DE5F;map2[9138][2]:=$9CC6;
map2[9139][1]:=$DE60;map2[9139][2]:=$9CC4;
map2[9140][1]:=$DE61;map2[9140][2]:=$9CC3;
map2[9141][1]:=$DE62;map2[9141][2]:=$9CD4;
map2[9142][1]:=$DE63;map2[9142][2]:=$9CD2;
map2[9143][1]:=$DE64;map2[9143][2]:=$9CE3;
map2[9144][1]:=$DE65;map2[9144][2]:=$9BE9;
map2[9145][1]:=$DE66;map2[9145][2]:=$9CEF;
map2[9146][1]:=$DE67;map2[9146][2]:=$9CEB;
map2[9147][1]:=$DE68;map2[9147][2]:=$9CCB;
map2[9148][1]:=$DE69;map2[9148][2]:=$9BB8;
map2[9149][1]:=$DE6A;map2[9149][2]:=$9CD3;
map2[9150][1]:=$DE6B;map2[9150][2]:=$BBD4;
map2[9151][1]:=$DE6C;map2[9151][2]:=$9F9A;
map2[9152][1]:=$DE6D;map2[9152][2]:=$ECBF;
map2[9153][1]:=$DE6E;map2[9153][2]:=$9FA7;
map2[9154][1]:=$DE6F;map2[9154][2]:=$9FA4;
map2[9155][1]:=$DE70;map2[9155][2]:=$9F8B;
map2[9156][1]:=$DE71;map2[9156][2]:=$9FA2;
map2[9157][1]:=$DE72;map2[9157][2]:=$DCE4;
map2[9158][1]:=$DE73;map2[9158][2]:=$ECD2;
map2[9159][1]:=$DE74;map2[9159][2]:=$ECD4;
map2[9160][1]:=$DE75;map2[9160][2]:=$9FAA;
map2[9161][1]:=$DE76;map2[9161][2]:=$9FA5;
map2[9162][1]:=$DE77;map2[9162][2]:=$9F8C;
map2[9163][1]:=$DE78;map2[9163][2]:=$9F9E;
map2[9164][1]:=$DE79;map2[9164][2]:=$9F8D;
map2[9165][1]:=$DE7A;map2[9165][2]:=$9F93;
map2[9166][1]:=$DE7B;map2[9166][2]:=$9FAF;
map2[9167][1]:=$DE7C;map2[9167][2]:=$9FA3;
map2[9168][1]:=$DE7D;map2[9168][2]:=$9F96;
map2[9169][1]:=$DE7E;map2[9169][2]:=$9F99;
map2[9170][1]:=$DEA1;map2[9170][2]:=$9F8E;
map2[9171][1]:=$DEA2;map2[9171][2]:=$9F94;
map2[9172][1]:=$DEA3;map2[9172][2]:=$9FA0;
map2[9173][1]:=$DEA4;map2[9173][2]:=$A0A2;
map2[9174][1]:=$DEA5;map2[9174][2]:=$EAF9;
map2[9175][1]:=$DEA6;map2[9175][2]:=$A0C7;
map2[9176][1]:=$DEA7;map2[9176][2]:=$A0CA;
map2[9177][1]:=$DEA8;map2[9177][2]:=$A0C9;
map2[9178][1]:=$DEA9;map2[9178][2]:=$A0C8;
map2[9179][1]:=$DEAA;map2[9179][2]:=$AA74;
map2[9180][1]:=$DEAB;map2[9180][2]:=$AA78;
map2[9181][1]:=$DEAC;map2[9181][2]:=$E1F8;
map2[9182][1]:=$DEAD;map2[9182][2]:=$AA72;
map2[9183][1]:=$DEAE;map2[9183][2]:=$AA76;
map2[9184][1]:=$DEAF;map2[9184][2]:=$AA81;
map2[9185][1]:=$DEB0;map2[9185][2]:=$AA80;
map2[9186][1]:=$DEB1;map2[9186][2]:=$AC75;
map2[9187][1]:=$DEB2;map2[9187][2]:=$AC7B;
map2[9188][1]:=$DEB3;map2[9188][2]:=$E7E2;
map2[9189][1]:=$DEB4;map2[9189][2]:=$AB60;
map2[9190][1]:=$DEB5;map2[9190][2]:=$AC83;
map2[9191][1]:=$DEB6;map2[9191][2]:=$E8A5;
map2[9192][1]:=$DEB7;map2[9192][2]:=$AC72;
map2[9193][1]:=$DEB8;map2[9193][2]:=$AC81;
map2[9194][1]:=$DEB9;map2[9194][2]:=$AC82;
map2[9195][1]:=$DEBA;map2[9195][2]:=$AC80;
map2[9196][1]:=$DEBB;map2[9196][2]:=$AC73;
map2[9197][1]:=$DEBC;map2[9197][2]:=$AC77;
map2[9198][1]:=$DEBD;map2[9198][2]:=$AC7E;
map2[9199][1]:=$DEBE;map2[9199][2]:=$AC86;
map2[9200][1]:=$DEBF;map2[9200][2]:=$AD95;
map2[9201][1]:=$DEC0;map2[9201][2]:=$EAB3;
map2[9202][1]:=$DEC1;map2[9202][2]:=$AE48;
map2[9203][1]:=$DEC2;map2[9203][2]:=$AE47;
map2[9204][1]:=$DEC3;map2[9204][2]:=$AE5D;
map2[9205][1]:=$DEC4;map2[9205][2]:=$EEB5;
map2[9206][1]:=$DEC5;map2[9206][2]:=$AE95;
map2[9207][1]:=$DEC6;map2[9207][2]:=$9857;
map2[9208][1]:=$DEC7;map2[9208][2]:=$AF70;
map2[9209][1]:=$DEC8;map2[9209][2]:=$AF85;
map2[9210][1]:=$DEC9;map2[9210][2]:=$F0F1;
map2[9211][1]:=$DECA;map2[9211][2]:=$AF75;
map2[9212][1]:=$DECB;map2[9212][2]:=$AF7A;
map2[9213][1]:=$DECC;map2[9213][2]:=$F0F3;
map2[9214][1]:=$DECD;map2[9214][2]:=$B1D4;
map2[9215][1]:=$DECE;map2[9215][2]:=$AF76;
map2[9216][1]:=$DECF;map2[9216][2]:=$F0F5;
map2[9217][1]:=$DED0;map2[9217][2]:=$AF78;
map2[9218][1]:=$DED1;map2[9218][2]:=$AF74;
map2[9219][1]:=$DED2;map2[9219][2]:=$AF6E;
map2[9220][1]:=$DED3;map2[9220][2]:=$AF73;
map2[9221][1]:=$DED4;map2[9221][2]:=$AF79;
map2[9222][1]:=$DED5;map2[9222][2]:=$F0AA;
map2[9223][1]:=$DED6;map2[9223][2]:=$B094;
map2[9224][1]:=$DED7;map2[9224][2]:=$B14A;
map2[9225][1]:=$DED8;map2[9225][2]:=$B19B;
map2[9226][1]:=$DED9;map2[9226][2]:=$B242;
map2[9227][1]:=$DEDA;map2[9227][2]:=$B243;
map2[9228][1]:=$DEDB;map2[9228][2]:=$B198;
map2[9229][1]:=$DEDC;map2[9229][2]:=$B19C;
map2[9230][1]:=$DEDD;map2[9230][2]:=$EDFD;
map2[9231][1]:=$DEDE;map2[9231][2]:=$B246;
map2[9232][1]:=$DEDF;map2[9232][2]:=$B245;
map2[9233][1]:=$DEE0;map2[9233][2]:=$B19A;
map2[9234][1]:=$DEE1;map2[9234][2]:=$B19F;
map2[9235][1]:=$DEE2;map2[9235][2]:=$B248;
map2[9236][1]:=$DEE3;map2[9236][2]:=$B29E;
map2[9237][1]:=$DEE4;map2[9237][2]:=$EDD6;
map2[9238][1]:=$DEE5;map2[9238][2]:=$EDD5;
map2[9239][1]:=$DEE6;map2[9239][2]:=$B449;
map2[9240][1]:=$DEE7;map2[9240][2]:=$B446;
map2[9241][1]:=$DEE8;map2[9241][2]:=$B440;
map2[9242][1]:=$DEE9;map2[9242][2]:=$B44A;
map2[9243][1]:=$DEEA;map2[9243][2]:=$B441;
map2[9244][1]:=$DEEB;map2[9244][2]:=$B442;
map2[9245][1]:=$DEEC;map2[9245][2]:=$EDD8;
map2[9246][1]:=$DEED;map2[9246][2]:=$B3A0;
map2[9247][1]:=$DEEE;map2[9247][2]:=$B397;
map2[9248][1]:=$DEEF;map2[9248][2]:=$B44C;
map2[9249][1]:=$DEF0;map2[9249][2]:=$B39D;
map2[9250][1]:=$DEF1;map2[9250][2]:=$B44B;
map2[9251][1]:=$DEF2;map2[9251][2]:=$B399;
map2[9252][1]:=$DEF3;map2[9252][2]:=$B590;
map2[9253][1]:=$DEF4;map2[9253][2]:=$B594;
map2[9254][1]:=$DEF5;map2[9254][2]:=$B591;
map2[9255][1]:=$DEF6;map2[9255][2]:=$B58E;
map2[9256][1]:=$DEF7;map2[9256][2]:=$B698;
map2[9257][1]:=$DEF8;map2[9257][2]:=$B69D;
map2[9258][1]:=$DEF9;map2[9258][2]:=$B69E;
map2[9259][1]:=$DEFA;map2[9259][2]:=$B699;
map2[9260][1]:=$DEFB;map2[9260][2]:=$B0DE;
map2[9261][1]:=$DEFC;map2[9261][2]:=$B69B;
map2[9262][1]:=$DEFD;map2[9262][2]:=$B743;
map2[9263][1]:=$DEFE;map2[9263][2]:=$B69A;
map2[9264][1]:=$DF40;map2[9264][2]:=$B69F;
map2[9265][1]:=$DF41;map2[9265][2]:=$B697;
map2[9266][1]:=$DF42;map2[9266][2]:=$B840;
map2[9267][1]:=$DF43;map2[9267][2]:=$B7A0;
map2[9268][1]:=$DF44;map2[9268][2]:=$B79E;
map2[9269][1]:=$DF45;map2[9269][2]:=$B878;
map2[9270][1]:=$DF46;map2[9270][2]:=$B960;
map2[9271][1]:=$DF47;map2[9271][2]:=$B95E;
map2[9272][1]:=$DF48;map2[9272][2]:=$B967;
map2[9273][1]:=$DF49;map2[9273][2]:=$B96B;
map2[9274][1]:=$DF4A;map2[9274][2]:=$B963;
map2[9275][1]:=$DF4B;map2[9275][2]:=$F3E2;
map2[9276][1]:=$DF4C;map2[9276][2]:=$B95F;
map2[9277][1]:=$DF4D;map2[9277][2]:=$B96A;
map2[9278][1]:=$DF4E;map2[9278][2]:=$F3E3;
map2[9279][1]:=$DF4F;map2[9279][2]:=$B969;
map2[9280][1]:=$DF50;map2[9280][2]:=$B95C;
map2[9281][1]:=$DF51;map2[9281][2]:=$B96D;
map2[9282][1]:=$DF52;map2[9282][2]:=$B96C;
map2[9283][1]:=$DF53;map2[9283][2]:=$B95D;
map2[9284][1]:=$DF54;map2[9284][2]:=$F4D3;
map2[9285][1]:=$DF55;map2[9285][2]:=$BB9A;
map2[9286][1]:=$DF56;map2[9286][2]:=$BB98;
map2[9287][1]:=$DF57;map2[9287][2]:=$E7B0;
map2[9288][1]:=$DF58;map2[9288][2]:=$E7AE;
map2[9289][1]:=$DF59;map2[9289][2]:=$BD88;
map2[9290][1]:=$DF5A;map2[9290][2]:=$BD95;
map2[9291][1]:=$DF5B;map2[9291][2]:=$BD87;
map2[9292][1]:=$DF5C;map2[9292][2]:=$BD8D;
map2[9293][1]:=$DF5D;map2[9293][2]:=$BD82;
map2[9294][1]:=$DF5E;map2[9294][2]:=$BD96;
map2[9295][1]:=$DF5F;map2[9295][2]:=$BD83;
map2[9296][1]:=$DF60;map2[9296][2]:=$E7AF;
map2[9297][1]:=$DF61;map2[9297][2]:=$BD84;
map2[9298][1]:=$DF62;map2[9298][2]:=$C085;
map2[9299][1]:=$DF63;map2[9299][2]:=$BD9C;
map2[9300][1]:=$DF64;map2[9300][2]:=$BD8C;
map2[9301][1]:=$DF65;map2[9301][2]:=$BD85;
map2[9302][1]:=$DF66;map2[9302][2]:=$BD9A;
map2[9303][1]:=$DF67;map2[9303][2]:=$C14E;
map2[9304][1]:=$DF68;map2[9304][2]:=$C14C;
map2[9305][1]:=$DF69;map2[9305][2]:=$C14B;
map2[9306][1]:=$DF6A;map2[9306][2]:=$EEBB;
map2[9307][1]:=$DF6B;map2[9307][2]:=$C14D;
map2[9308][1]:=$DF6C;map2[9308][2]:=$C176;
map2[9309][1]:=$DF6D;map2[9309][2]:=$F4C7;
map2[9310][1]:=$DF6E;map2[9310][2]:=$F4C8;
map2[9311][1]:=$DF6F;map2[9311][2]:=$C19B;
map2[9312][1]:=$DF70;map2[9312][2]:=$C19C;
map2[9313][1]:=$DF71;map2[9313][2]:=$B3FA;
map2[9314][1]:=$DF72;map2[9314][2]:=$C457;
map2[9315][1]:=$DF73;map2[9315][2]:=$EBED;
map2[9316][1]:=$DF74;map2[9316][2]:=$C462;
map2[9317][1]:=$DF75;map2[9317][2]:=$C450;
map2[9318][1]:=$DF76;map2[9318][2]:=$EBEE;
map2[9319][1]:=$DF77;map2[9319][2]:=$C44F;
map2[9320][1]:=$DF78;map2[9320][2]:=$C455;
map2[9321][1]:=$DF79;map2[9321][2]:=$C45E;
map2[9322][1]:=$DF7A;map2[9322][2]:=$9651;
map2[9323][1]:=$DF7B;map2[9323][2]:=$C452;
map2[9324][1]:=$DF7C;map2[9324][2]:=$C461;
map2[9325][1]:=$DF7D;map2[9325][2]:=$EBF2;
map2[9326][1]:=$DF7E;map2[9326][2]:=$C45D;
map2[9327][1]:=$DFA1;map2[9327][2]:=$C444;
map2[9328][1]:=$DFA2;map2[9328][2]:=$EBE1;
map2[9329][1]:=$DFA3;map2[9329][2]:=$C572;
map2[9330][1]:=$DFA4;map2[9330][2]:=$F4BA;
map2[9331][1]:=$DFA5;map2[9331][2]:=$F4B9;
map2[9332][1]:=$DFA6;map2[9332][2]:=$C580;
map2[9333][1]:=$DFA7;map2[9333][2]:=$C582;
map2[9334][1]:=$DFA8;map2[9334][2]:=$C584;
map2[9335][1]:=$DFA9;map2[9335][2]:=$C991;
map2[9336][1]:=$DFAA;map2[9336][2]:=$C875;
map2[9337][1]:=$DFAB;map2[9337][2]:=$C88B;
map2[9338][1]:=$DFAC;map2[9338][2]:=$DDE3;
map2[9339][1]:=$DFAD;map2[9339][2]:=$C89E;
map2[9340][1]:=$DFAE;map2[9340][2]:=$C94B;
map2[9341][1]:=$DFAF;map2[9341][2]:=$C94A;
map2[9342][1]:=$DFB0;map2[9342][2]:=$C893;
map2[9343][1]:=$DFB1;map2[9343][2]:=$DDD7;
map2[9344][1]:=$DFB2;map2[9344][2]:=$C876;
map2[9345][1]:=$DFB3;map2[9345][2]:=$C948;
map2[9346][1]:=$DFB4;map2[9346][2]:=$C895;
map2[9347][1]:=$DFB5;map2[9347][2]:=$C86A;
map2[9348][1]:=$DFB6;map2[9348][2]:=$C883;
map2[9349][1]:=$DFB7;map2[9349][2]:=$C940;
map2[9350][1]:=$DFB8;map2[9350][2]:=$DDD8;
map2[9351][1]:=$DFB9;map2[9351][2]:=$DDD9;
map2[9352][1]:=$DFBA;map2[9352][2]:=$C89C;
map2[9353][1]:=$DFBB;map2[9353][2]:=$DDDA;
map2[9354][1]:=$DFBC;map2[9354][2]:=$C88D;
map2[9355][1]:=$DFBD;map2[9355][2]:=$CA44;
map2[9356][1]:=$DFBE;map2[9356][2]:=$C88E;
map2[9357][1]:=$DFBF;map2[9357][2]:=$C870;
map2[9358][1]:=$DFC0;map2[9358][2]:=$C872;
map2[9359][1]:=$DFC1;map2[9359][2]:=$C86D;
map2[9360][1]:=$DFC2;map2[9360][2]:=$DDDD;
map2[9361][1]:=$DFC3;map2[9361][2]:=$C879;
map2[9362][1]:=$DFC4;map2[9362][2]:=$DDDF;
map2[9363][1]:=$DFC5;map2[9363][2]:=$C86B;
map2[9364][1]:=$DFC6;map2[9364][2]:=$C87B;
map2[9365][1]:=$DFC7;map2[9365][2]:=$C863;
map2[9366][1]:=$DFC8;map2[9366][2]:=$C794;
map2[9367][1]:=$DFC9;map2[9367][2]:=$C881;
map2[9368][1]:=$DFCA;map2[9368][2]:=$C869;
map2[9369][1]:=$DFCB;map2[9369][2]:=$C878;
map2[9370][1]:=$DFCC;map2[9370][2]:=$C867;
map2[9371][1]:=$DFCD;map2[9371][2]:=$C88F;
map2[9372][1]:=$DFCE;map2[9372][2]:=$C89A;
map2[9373][1]:=$DFCF;map2[9373][2]:=$C871;
map2[9374][1]:=$DFD0;map2[9374][2]:=$C884;
map2[9375][1]:=$DFD1;map2[9375][2]:=$C882;
map2[9376][1]:=$DFD2;map2[9376][2]:=$DDA6;
map2[9377][1]:=$DFD3;map2[9377][2]:=$D2A9;
map2[9378][1]:=$DFD4;map2[9378][2]:=$C973;
map2[9379][1]:=$DFD5;map2[9379][2]:=$DDE5;
map2[9380][1]:=$DFD6;map2[9380][2]:=$C873;
map2[9381][1]:=$DFD7;map2[9381][2]:=$C87C;
map2[9382][1]:=$DFD8;map2[9382][2]:=$C86F;
map2[9383][1]:=$DFD9;map2[9383][2]:=$C86C;
map2[9384][1]:=$DFDA;map2[9384][2]:=$C896;
map2[9385][1]:=$DFDB;map2[9385][2]:=$C941;
map2[9386][1]:=$DFDC;map2[9386][2]:=$C87A;
map2[9387][1]:=$DFDD;map2[9387][2]:=$C865;
map2[9388][1]:=$DFDE;map2[9388][2]:=$B2CE;
map2[9389][1]:=$DFDF;map2[9389][2]:=$C889;
map2[9390][1]:=$DFE0;map2[9390][2]:=$C898;
map2[9391][1]:=$DFE1;map2[9391][2]:=$C886;
map2[9392][1]:=$DFE2;map2[9392][2]:=$CD99;
map2[9393][1]:=$DFE3;map2[9393][2]:=$CD96;
map2[9394][1]:=$DFE4;map2[9394][2]:=$CD8F;
map2[9395][1]:=$DFE5;map2[9395][2]:=$CD9A;
map2[9396][1]:=$DFE6;map2[9396][2]:=$F2CC;
map2[9397][1]:=$DFE7;map2[9397][2]:=$CD7B;
map2[9398][1]:=$DFE8;map2[9398][2]:=$CD8D;
map2[9399][1]:=$DFE9;map2[9399][2]:=$CE61;
map2[9400][1]:=$DFEA;map2[9400][2]:=$F2D9;
map2[9401][1]:=$DFEB;map2[9401][2]:=$CD9B;
map2[9402][1]:=$DFEC;map2[9402][2]:=$F2DD;
map2[9403][1]:=$DFED;map2[9403][2]:=$CD95;
map2[9404][1]:=$DFEE;map2[9404][2]:=$CD8E;
map2[9405][1]:=$DFEF;map2[9405][2]:=$F2DC;
map2[9406][1]:=$DFF0;map2[9406][2]:=$CD97;
map2[9407][1]:=$DFF1;map2[9407][2]:=$D15D;
map2[9408][1]:=$DFF2;map2[9408][2]:=$D156;
map2[9409][1]:=$DFF3;map2[9409][2]:=$D158;
map2[9410][1]:=$DFF4;map2[9410][2]:=$F1CE;
map2[9411][1]:=$DFF5;map2[9411][2]:=$D163;
map2[9412][1]:=$DFF6;map2[9412][2]:=$D160;
map2[9413][1]:=$DFF7;map2[9413][2]:=$D15F;
map2[9414][1]:=$DFF8;map2[9414][2]:=$BCD0;
map2[9415][1]:=$DFF9;map2[9415][2]:=$D15A;
map2[9416][1]:=$DFFA;map2[9416][2]:=$D285;
map2[9417][1]:=$DFFB;map2[9417][2]:=$D29A;
map2[9418][1]:=$DFFC;map2[9418][2]:=$D369;
map2[9419][1]:=$DFFD;map2[9419][2]:=$F6A1;
map2[9420][1]:=$DFFE;map2[9420][2]:=$D36D;
map2[9421][1]:=$E040;map2[9421][2]:=$D36B;
map2[9422][1]:=$E041;map2[9422][2]:=$D36A;
map2[9423][1]:=$E042;map2[9423][2]:=$D36C;
map2[9424][1]:=$E043;map2[9424][2]:=$F5FE;
map2[9425][1]:=$E044;map2[9425][2]:=$B4A5;
map2[9426][1]:=$E045;map2[9426][2]:=$D497;
map2[9427][1]:=$E046;map2[9427][2]:=$DAB2;
map2[9428][1]:=$E047;map2[9428][2]:=$DAB4;
map2[9429][1]:=$E048;map2[9429][2]:=$DABC;
map2[9430][1]:=$E049;map2[9430][2]:=$D460;
map2[9431][1]:=$E04A;map2[9431][2]:=$D498;
map2[9432][1]:=$E04B;map2[9432][2]:=$D541;
map2[9433][1]:=$E04C;map2[9433][2]:=$DAB3;
map2[9434][1]:=$E04D;map2[9434][2]:=$DAB7;
map2[9435][1]:=$E04E;map2[9435][2]:=$D542;
map2[9436][1]:=$E04F;map2[9436][2]:=$D540;
map2[9437][1]:=$E050;map2[9437][2]:=$D495;
map2[9438][1]:=$E051;map2[9438][2]:=$D49A;
map2[9439][1]:=$E052;map2[9439][2]:=$D844;
map2[9440][1]:=$E053;map2[9440][2]:=$D84F;
map2[9441][1]:=$E054;map2[9441][2]:=$D84E;
map2[9442][1]:=$E055;map2[9442][2]:=$D864;
map2[9443][1]:=$E056;map2[9443][2]:=$D863;
map2[9444][1]:=$E057;map2[9444][2]:=$D865;
map2[9445][1]:=$E058;map2[9445][2]:=$D87D;
map2[9446][1]:=$E059;map2[9446][2]:=$D87C;
map2[9447][1]:=$E05A;map2[9447][2]:=$F5F7;
map2[9448][1]:=$E05B;map2[9448][2]:=$D95E;
map2[9449][1]:=$E05C;map2[9449][2]:=$DA55;
map2[9450][1]:=$E05D;map2[9450][2]:=$DA56;
map2[9451][1]:=$E05E;map2[9451][2]:=$F4F4;
map2[9452][1]:=$E05F;map2[9452][2]:=$DA6C;
map2[9453][1]:=$E060;map2[9453][2]:=$DA6E;
map2[9454][1]:=$E061;map2[9454][2]:=$DA6F;
map2[9455][1]:=$E062;map2[9455][2]:=$DA6D;
map2[9456][1]:=$E063;map2[9456][2]:=$DA72;
map2[9457][1]:=$E064;map2[9457][2]:=$F4F3;
map2[9458][1]:=$E065;map2[9458][2]:=$DA70;
map2[9459][1]:=$E066;map2[9459][2]:=$DA71;
map2[9460][1]:=$E067;map2[9460][2]:=$DB4D;
map2[9461][1]:=$E068;map2[9461][2]:=$DB44;
map2[9462][1]:=$E069;map2[9462][2]:=$F5CD;
map2[9463][1]:=$E06A;map2[9463][2]:=$DB4E;
map2[9464][1]:=$E06B;map2[9464][2]:=$DB4C;
map2[9465][1]:=$E06C;map2[9465][2]:=$DA9D;
map2[9466][1]:=$E06D;map2[9466][2]:=$DB4A;
map2[9467][1]:=$E06E;map2[9467][2]:=$F5D0;
map2[9468][1]:=$E06F;map2[9468][2]:=$DB46;
map2[9469][1]:=$E070;map2[9469][2]:=$DB49;
map2[9470][1]:=$E071;map2[9470][2]:=$DB4F;
map2[9471][1]:=$E072;map2[9471][2]:=$F5BC;
map2[9472][1]:=$E073;map2[9472][2]:=$DB50;
map2[9473][1]:=$E074;map2[9473][2]:=$DD61;
map2[9474][1]:=$E075;map2[9474][2]:=$DD5A;
map2[9475][1]:=$E076;map2[9475][2]:=$DD5C;
map2[9476][1]:=$E077;map2[9476][2]:=$DD5B;
map2[9477][1]:=$E078;map2[9477][2]:=$E9FB;
map2[9478][1]:=$E079;map2[9478][2]:=$E9FA;
map2[9479][1]:=$E07A;map2[9479][2]:=$DE62;
map2[9480][1]:=$E07B;map2[9480][2]:=$DD5D;
map2[9481][1]:=$E07C;map2[9481][2]:=$DD66;
map2[9482][1]:=$E07D;map2[9482][2]:=$E5D9;
map2[9483][1]:=$E07E;map2[9483][2]:=$DF54;
map2[9484][1]:=$E0A1;map2[9484][2]:=$E5D7;
map2[9485][1]:=$E0A2;map2[9485][2]:=$DF5A;
map2[9486][1]:=$E0A3;map2[9486][2]:=$DF53;
map2[9487][1]:=$E0A4;map2[9487][2]:=$E073;
map2[9488][1]:=$E0A5;map2[9488][2]:=$E070;
map2[9489][1]:=$E0A6;map2[9489][2]:=$E072;
map2[9490][1]:=$E0A7;map2[9490][2]:=$E074;
map2[9491][1]:=$E0A8;map2[9491][2]:=$D4C7;
map2[9492][1]:=$E0A9;map2[9492][2]:=$DAF9;
map2[9493][1]:=$E0AA;map2[9493][2]:=$E06E;
map2[9494][1]:=$E0AB;map2[9494][2]:=$E071;
map2[9495][1]:=$E0AC;map2[9495][2]:=$CDAA;
map2[9496][1]:=$E0AD;map2[9496][2]:=$F5A5;
map2[9497][1]:=$E0AE;map2[9497][2]:=$EEE8;
map2[9498][1]:=$E0AF;map2[9498][2]:=$E34C;
map2[9499][1]:=$E0B0;map2[9499][2]:=$EEE6;
map2[9500][1]:=$E0B1;map2[9500][2]:=$EEDA;
map2[9501][1]:=$E0B2;map2[9501][2]:=$EEDB;
map2[9502][1]:=$E0B3;map2[9502][2]:=$EEDD;
map2[9503][1]:=$E0B4;map2[9503][2]:=$E35F;
map2[9504][1]:=$E0B5;map2[9504][2]:=$EEE1;
map2[9505][1]:=$E0B6;map2[9505][2]:=$EFA5;
map2[9506][1]:=$E0B7;map2[9506][2]:=$EEEA;
map2[9507][1]:=$E0B8;map2[9507][2]:=$E344;
map2[9508][1]:=$E0B9;map2[9508][2]:=$D7EA;
map2[9509][1]:=$E0BA;map2[9509][2]:=$EEE3;
map2[9510][1]:=$E0BB;map2[9510][2]:=$EEE2;
map2[9511][1]:=$E0BC;map2[9511][2]:=$E349;
map2[9512][1]:=$E0BD;map2[9512][2]:=$E35A;
map2[9513][1]:=$E0BE;map2[9513][2]:=$E361;
map2[9514][1]:=$E0BF;map2[9514][2]:=$E369;
map2[9515][1]:=$E0C0;map2[9515][2]:=$E291;
map2[9516][1]:=$E0C1;map2[9516][2]:=$E35B;
map2[9517][1]:=$E0C2;map2[9517][2]:=$E36A;
map2[9518][1]:=$E0C3;map2[9518][2]:=$E28C;
map2[9519][1]:=$E0C4;map2[9519][2]:=$E34E;
map2[9520][1]:=$E0C5;map2[9520][2]:=$E35D;
map2[9521][1]:=$E0C6;map2[9521][2]:=$E34A;
map2[9522][1]:=$E0C7;map2[9522][2]:=$E36C;
map2[9523][1]:=$E0C8;map2[9523][2]:=$E348;
map2[9524][1]:=$E0C9;map2[9524][2]:=$E34D;
map2[9525][1]:=$E0CA;map2[9525][2]:=$E346;
map2[9526][1]:=$E0CB;map2[9526][2]:=$E350;
map2[9527][1]:=$E0CC;map2[9527][2]:=$E28D;
map2[9528][1]:=$E0CD;map2[9528][2]:=$E973;
map2[9529][1]:=$E0CE;map2[9529][2]:=$E970;
map2[9530][1]:=$E0CF;map2[9530][2]:=$E972;
map2[9531][1]:=$E0D0;map2[9531][2]:=$E96F;
map2[9532][1]:=$E0D1;map2[9532][2]:=$EB43;
map2[9533][1]:=$E0D2;map2[9533][2]:=$EB44;
map2[9534][1]:=$E0D3;map2[9534][2]:=$EB42;
map2[9535][1]:=$E0D4;map2[9535][2]:=$DAF3;
map2[9536][1]:=$E0D5;map2[9536][2]:=$F6C2;
map2[9537][1]:=$E0D6;map2[9537][2]:=$EB89;
map2[9538][1]:=$E0D7;map2[9538][2]:=$EB8C;
map2[9539][1]:=$E0D8;map2[9539][2]:=$EB88;
map2[9540][1]:=$E0D9;map2[9540][2]:=$EB87;
map2[9541][1]:=$E0DA;map2[9541][2]:=$BDF9;
map2[9542][1]:=$E0DB;map2[9542][2]:=$EC82;
map2[9543][1]:=$E0DC;map2[9543][2]:=$EC83;
map2[9544][1]:=$E0DD;map2[9544][2]:=$EC80;
map2[9545][1]:=$E0DE;map2[9545][2]:=$F1FE;
map2[9546][1]:=$E0DF;map2[9546][2]:=$ED9F;
map2[9547][1]:=$E0E0;map2[9547][2]:=$F1FD;
map2[9548][1]:=$E0E1;map2[9548][2]:=$EF50;
map2[9549][1]:=$E0E2;map2[9549][2]:=$EF8F;
map2[9550][1]:=$E0E3;map2[9550][2]:=$EF92;
map2[9551][1]:=$E0E4;map2[9551][2]:=$F155;
map2[9552][1]:=$E0E5;map2[9552][2]:=$F158;
map2[9553][1]:=$E0E6;map2[9553][2]:=$F156;
map2[9554][1]:=$E0E7;map2[9554][2]:=$F15B;
map2[9555][1]:=$E0E8;map2[9555][2]:=$F35F;
map2[9556][1]:=$E0E9;map2[9556][2]:=$F35D;
map2[9557][1]:=$E0EA;map2[9557][2]:=$F781;
map2[9558][1]:=$E0EB;map2[9558][2]:=$F847;
map2[9559][1]:=$E0EC;map2[9559][2]:=$F84A;
map2[9560][1]:=$E0ED;map2[9560][2]:=$D9EC;
map2[9561][1]:=$E0EE;map2[9561][2]:=$FB7E;
map2[9562][1]:=$E0EF;map2[9562][2]:=$F6BC;
map2[9563][1]:=$E0F0;map2[9563][2]:=$D9D6;
map2[9564][1]:=$E0F1;map2[9564][2]:=$8356;
map2[9565][1]:=$E0F2;map2[9565][2]:=$8358;
map2[9566][1]:=$E0F3;map2[9566][2]:=$D9C7;
map2[9567][1]:=$E0F4;map2[9567][2]:=$CBDB;
map2[9568][1]:=$E0F5;map2[9568][2]:=$835B;
map2[9569][1]:=$E0F6;map2[9569][2]:=$8368;
map2[9570][1]:=$E0F7;map2[9570][2]:=$835D;
map2[9571][1]:=$E0F8;map2[9571][2]:=$8364;
map2[9572][1]:=$E0F9;map2[9572][2]:=$8355;
map2[9573][1]:=$E0FA;map2[9573][2]:=$D9D5;
map2[9574][1]:=$E0FB;map2[9574][2]:=$836B;
map2[9575][1]:=$E0FC;map2[9575][2]:=$836A;
map2[9576][1]:=$E0FD;map2[9576][2]:=$8363;
map2[9577][1]:=$E0FE;map2[9577][2]:=$8360;
map2[9578][1]:=$E140;map2[9578][2]:=$8440;
map2[9579][1]:=$E141;map2[9579][2]:=$849C;
map2[9580][1]:=$E142;map2[9580][2]:=$D8E4;
map2[9581][1]:=$E143;map2[9581][2]:=$84D6;
map2[9582][1]:=$E144;map2[9582][2]:=$84E5;
map2[9583][1]:=$E145;map2[9583][2]:=$8553;
map2[9584][1]:=$E146;map2[9584][2]:=$8591;
map2[9585][1]:=$E147;map2[9585][2]:=$E0D7;
map2[9586][1]:=$E148;map2[9586][2]:=$874A;
map2[9587][1]:=$E149;map2[9587][2]:=$E0D1;
map2[9588][1]:=$E14A;map2[9588][2]:=$8747;
map2[9589][1]:=$E14B;map2[9589][2]:=$86F9;
map2[9590][1]:=$E14C;map2[9590][2]:=$D8C5;
map2[9591][1]:=$E14D;map2[9591][2]:=$DFE9;
map2[9592][1]:=$E14E;map2[9592][2]:=$E0D2;
map2[9593][1]:=$E14F;map2[9593][2]:=$8748;
map2[9594][1]:=$E150;map2[9594][2]:=$86FB;
map2[9595][1]:=$E151;map2[9595][2]:=$86F7;
map2[9596][1]:=$E152;map2[9596][2]:=$8750;
map2[9597][1]:=$E153;map2[9597][2]:=$86FD;
map2[9598][1]:=$E154;map2[9598][2]:=$86FA;
map2[9599][1]:=$E155;map2[9599][2]:=$86F6;
map2[9600][1]:=$E156;map2[9600][2]:=$DCAD;
map2[9601][1]:=$E157;map2[9601][2]:=$D7A9;
map2[9602][1]:=$E158;map2[9602][2]:=$8983;
map2[9603][1]:=$E159;map2[9603][2]:=$8989;
map2[9604][1]:=$E15A;map2[9604][2]:=$8979;
map2[9605][1]:=$E15B;map2[9605][2]:=$DCAC;
map2[9606][1]:=$E15C;map2[9606][2]:=$8976;
map2[9607][1]:=$E15D;map2[9607][2]:=$896C;
map2[9608][1]:=$E15E;map2[9608][2]:=$897D;
map2[9609][1]:=$E15F;map2[9609][2]:=$8972;
map2[9610][1]:=$E160;map2[9610][2]:=$897A;
map2[9611][1]:=$E161;map2[9611][2]:=$8984;
map2[9612][1]:=$E162;map2[9612][2]:=$8981;
map2[9613][1]:=$E163;map2[9613][2]:=$896E;
map2[9614][1]:=$E164;map2[9614][2]:=$8977;
map2[9615][1]:=$E165;map2[9615][2]:=$897B;
map2[9616][1]:=$E166;map2[9616][2]:=$8973;
map2[9617][1]:=$E167;map2[9617][2]:=$8985;
map2[9618][1]:=$E168;map2[9618][2]:=$8982;
map2[9619][1]:=$E169;map2[9619][2]:=$89DC;
map2[9620][1]:=$E16A;map2[9620][2]:=$8A5B;
map2[9621][1]:=$E16B;map2[9621][2]:=$E6D1;
map2[9622][1]:=$E16C;map2[9622][2]:=$8BAD;
map2[9623][1]:=$E16D;map2[9623][2]:=$8BA7;
map2[9624][1]:=$E16E;map2[9624][2]:=$8B9D;
map2[9625][1]:=$E16F;map2[9625][2]:=$8BAA;
map2[9626][1]:=$E170;map2[9626][2]:=$8BA0;
map2[9627][1]:=$E171;map2[9627][2]:=$8BAC;
map2[9628][1]:=$E172;map2[9628][2]:=$E6C6;
map2[9629][1]:=$E173;map2[9629][2]:=$8BB1;
map2[9630][1]:=$E174;map2[9630][2]:=$8BA5;
map2[9631][1]:=$E175;map2[9631][2]:=$E6CB;
map2[9632][1]:=$E176;map2[9632][2]:=$8BA1;
map2[9633][1]:=$E177;map2[9633][2]:=$8BAB;
map2[9634][1]:=$E178;map2[9634][2]:=$8BA3;
map2[9635][1]:=$E179;map2[9635][2]:=$8BA2;
map2[9636][1]:=$E17A;map2[9636][2]:=$8B9F;
map2[9637][1]:=$E17B;map2[9637][2]:=$8BA9;
map2[9638][1]:=$E17C;map2[9638][2]:=$8BA4;
map2[9639][1]:=$E17D;map2[9639][2]:=$8C56;
map2[9640][1]:=$E17E;map2[9640][2]:=$8C8A;
map2[9641][1]:=$E1A1;map2[9641][2]:=$8C8C;
map2[9642][1]:=$E1A2;map2[9642][2]:=$E5EF;
map2[9643][1]:=$E1A3;map2[9643][2]:=$E1D6;
map2[9644][1]:=$E1A4;map2[9644][2]:=$8DE1;
map2[9645][1]:=$E1A5;map2[9645][2]:=$8DDE;
map2[9646][1]:=$E1A6;map2[9646][2]:=$8DE6;
map2[9647][1]:=$E1A7;map2[9647][2]:=$8DDB;
map2[9648][1]:=$E1A8;map2[9648][2]:=$E1D0;
map2[9649][1]:=$E1A9;map2[9649][2]:=$8DD8;
map2[9650][1]:=$E1AA;map2[9650][2]:=$8DEA;
map2[9651][1]:=$E1AB;map2[9651][2]:=$8DE9;
map2[9652][1]:=$E1AC;map2[9652][2]:=$8DE8;
map2[9653][1]:=$E1AD;map2[9653][2]:=$8DDF;
map2[9654][1]:=$E1AE;map2[9654][2]:=$8DDD;
map2[9655][1]:=$E1AF;map2[9655][2]:=$8DED;
map2[9656][1]:=$E1B0;map2[9656][2]:=$8DDA;
map2[9657][1]:=$E1B1;map2[9657][2]:=$8DE0;
map2[9658][1]:=$E1B2;map2[9658][2]:=$E0FD;
map2[9659][1]:=$E1B3;map2[9659][2]:=$8EBF;
map2[9660][1]:=$E1B4;map2[9660][2]:=$8EBB;
map2[9661][1]:=$E1B5;map2[9661][2]:=$8F4C;
map2[9662][1]:=$E1B6;map2[9662][2]:=$E2DB;
map2[9663][1]:=$E1B7;map2[9663][2]:=$8F4B;
map2[9664][1]:=$E1B8;map2[9664][2]:=$8EF6;
map2[9665][1]:=$E1B9;map2[9665][2]:=$8F4F;
map2[9666][1]:=$E1BA;map2[9666][2]:=$D2F1;
map2[9667][1]:=$E1BB;map2[9667][2]:=$8F4D;
map2[9668][1]:=$E1BC;map2[9668][2]:=$E2DA;
map2[9669][1]:=$E1BD;map2[9669][2]:=$8F49;
map2[9670][1]:=$E1BE;map2[9670][2]:=$8F93;
map2[9671][1]:=$E1BF;map2[9671][2]:=$8F92;
map2[9672][1]:=$E1C0;map2[9672][2]:=$8FAE;
map2[9673][1]:=$E1C1;map2[9673][2]:=$8FD6;
map2[9674][1]:=$E1C2;map2[9674][2]:=$90E5;
map2[9675][1]:=$E1C3;map2[9675][2]:=$EDA8;
map2[9676][1]:=$E1C4;map2[9676][2]:=$90F9;
map2[9677][1]:=$E1C5;map2[9677][2]:=$9150;
map2[9678][1]:=$E1C6;map2[9678][2]:=$915F;
map2[9679][1]:=$E1C7;map2[9679][2]:=$E3A5;
map2[9680][1]:=$E1C8;map2[9680][2]:=$9146;
map2[9681][1]:=$E1C9;map2[9681][2]:=$9147;
map2[9682][1]:=$E1CA;map2[9682][2]:=$9160;
map2[9683][1]:=$E1CB;map2[9683][2]:=$915B;
map2[9684][1]:=$E1CC;map2[9684][2]:=$916C;
map2[9685][1]:=$E1CD;map2[9685][2]:=$C9E5;
map2[9686][1]:=$E1CE;map2[9686][2]:=$9148;
map2[9687][1]:=$E1CF;map2[9687][2]:=$9166;
map2[9688][1]:=$E1D0;map2[9688][2]:=$914E;
map2[9689][1]:=$E1D1;map2[9689][2]:=$9156;
map2[9690][1]:=$E1D2;map2[9690][2]:=$90F4;
map2[9691][1]:=$E1D3;map2[9691][2]:=$E2E6;
map2[9692][1]:=$E1D4;map2[9692][2]:=$9153;
map2[9693][1]:=$E1D5;map2[9693][2]:=$9149;
map2[9694][1]:=$E1D6;map2[9694][2]:=$EAAF;
map2[9695][1]:=$E1D7;map2[9695][2]:=$EAA8;
map2[9696][1]:=$E1D8;map2[9696][2]:=$91ED;
map2[9697][1]:=$E1D9;map2[9697][2]:=$9384;
map2[9698][1]:=$E1DA;map2[9698][2]:=$9399;
map2[9699][1]:=$E1DB;map2[9699][2]:=$93A4;
map2[9700][1]:=$E1DC;map2[9700][2]:=$93A6;
map2[9701][1]:=$E1DD;map2[9701][2]:=$93B9;
map2[9702][1]:=$E1DE;map2[9702][2]:=$DED2;
map2[9703][1]:=$E1DF;map2[9703][2]:=$93B7;
map2[9704][1]:=$E1E0;map2[9704][2]:=$BFD9;
map2[9705][1]:=$E1E1;map2[9705][2]:=$93BF;
map2[9706][1]:=$E1E2;map2[9706][2]:=$93BA;
map2[9707][1]:=$E1E3;map2[9707][2]:=$93AE;
map2[9708][1]:=$E1E4;map2[9708][2]:=$93DD;
map2[9709][1]:=$E1E5;map2[9709][2]:=$939A;
map2[9710][1]:=$E1E6;map2[9710][2]:=$C1CC;
map2[9711][1]:=$E1E7;map2[9711][2]:=$DEFB;
map2[9712][1]:=$E1E8;map2[9712][2]:=$DEE8;
map2[9713][1]:=$E1E9;map2[9713][2]:=$9397;
map2[9714][1]:=$E1EA;map2[9714][2]:=$939E;
map2[9715][1]:=$E1EB;map2[9715][2]:=$93A8;
map2[9716][1]:=$E1EC;map2[9716][2]:=$939C;
map2[9717][1]:=$E1ED;map2[9717][2]:=$93C1;
map2[9718][1]:=$E1EE;map2[9718][2]:=$EBA1;
map2[9719][1]:=$E1EF;map2[9719][2]:=$93B2;
map2[9720][1]:=$E1F0;map2[9720][2]:=$93B1;
map2[9721][1]:=$E1F1;map2[9721][2]:=$93A2;
map2[9722][1]:=$E1F2;map2[9722][2]:=$93AD;
map2[9723][1]:=$E1F3;map2[9723][2]:=$93BC;
map2[9724][1]:=$E1F4;map2[9724][2]:=$94B2;
map2[9725][1]:=$E1F5;map2[9725][2]:=$94D2;
map2[9726][1]:=$E1F6;map2[9726][2]:=$95B2;
map2[9727][1]:=$E1F7;map2[9727][2]:=$95B1;
map2[9728][1]:=$E1F8;map2[9728][2]:=$95B0;
map2[9729][1]:=$E1F9;map2[9729][2]:=$9641;
map2[9730][1]:=$E1FA;map2[9730][2]:=$9640;
map2[9731][1]:=$E1FB;map2[9731][2]:=$9652;
map2[9732][1]:=$E1FC;map2[9732][2]:=$E9C1;
map2[9733][1]:=$E1FD;map2[9733][2]:=$9879;
map2[9734][1]:=$E1FE;map2[9734][2]:=$988A;
map2[9735][1]:=$E240;map2[9735][2]:=$9869;
map2[9736][1]:=$E241;map2[9736][2]:=$E9B6;
map2[9737][1]:=$E242;map2[9737][2]:=$9862;
map2[9738][1]:=$E243;map2[9738][2]:=$9875;
map2[9739][1]:=$E244;map2[9739][2]:=$9872;
map2[9740][1]:=$E245;map2[9740][2]:=$987D;
map2[9741][1]:=$E246;map2[9741][2]:=$985F;
map2[9742][1]:=$E247;map2[9742][2]:=$9864;
map2[9743][1]:=$E248;map2[9743][2]:=$985C;
map2[9744][1]:=$E249;map2[9744][2]:=$E9BC;
map2[9745][1]:=$E24A;map2[9745][2]:=$E9C7;
map2[9746][1]:=$E24B;map2[9746][2]:=$9870;
map2[9747][1]:=$E24C;map2[9747][2]:=$9880;
map2[9748][1]:=$E24D;map2[9748][2]:=$9874;
map2[9749][1]:=$E24E;map2[9749][2]:=$E8E7;
map2[9750][1]:=$E24F;map2[9750][2]:=$9885;
map2[9751][1]:=$E250;map2[9751][2]:=$987E;
map2[9752][1]:=$E251;map2[9752][2]:=$986D;
map2[9753][1]:=$E252;map2[9753][2]:=$E9C0;
map2[9754][1]:=$E253;map2[9754][2]:=$987B;
map2[9755][1]:=$E254;map2[9755][2]:=$E9C3;
map2[9756][1]:=$E255;map2[9756][2]:=$9865;
map2[9757][1]:=$E256;map2[9757][2]:=$988D;
map2[9758][1]:=$E257;map2[9758][2]:=$9877;
map2[9759][1]:=$E258;map2[9759][2]:=$9861;
map2[9760][1]:=$E259;map2[9760][2]:=$E8BF;
map2[9761][1]:=$E25A;map2[9761][2]:=$986A;
map2[9762][1]:=$E25B;map2[9762][2]:=$9867;
map2[9763][1]:=$E25C;map2[9763][2]:=$9895;
map2[9764][1]:=$E25D;map2[9764][2]:=$9863;
map2[9765][1]:=$E25E;map2[9765][2]:=$985E;
map2[9766][1]:=$E25F;map2[9766][2]:=$9883;
map2[9767][1]:=$E260;map2[9767][2]:=$9878;
map2[9768][1]:=$E261;map2[9768][2]:=$986E;
map2[9769][1]:=$E262;map2[9769][2]:=$9887;
map2[9770][1]:=$E263;map2[9770][2]:=$9A52;
map2[9771][1]:=$E264;map2[9771][2]:=$9A54;
map2[9772][1]:=$E265;map2[9772][2]:=$9A53;
map2[9773][1]:=$E266;map2[9773][2]:=$E9E6;
map2[9774][1]:=$E267;map2[9774][2]:=$9A8D;
map2[9775][1]:=$E268;map2[9775][2]:=$9A8E;
map2[9776][1]:=$E269;map2[9776][2]:=$9AA8;
map2[9777][1]:=$E26A;map2[9777][2]:=$9AA9;
map2[9778][1]:=$E26B;map2[9778][2]:=$9ACF;
map2[9779][1]:=$E26C;map2[9779][2]:=$DCFE;
map2[9780][1]:=$E26D;map2[9780][2]:=$9D44;
map2[9781][1]:=$E26E;map2[9781][2]:=$9D41;
map2[9782][1]:=$E26F;map2[9782][2]:=$9D50;
map2[9783][1]:=$E270;map2[9783][2]:=$9D6A;
map2[9784][1]:=$E271;map2[9784][2]:=$E4B0;
map2[9785][1]:=$E272;map2[9785][2]:=$9D74;
map2[9786][1]:=$E273;map2[9786][2]:=$9BBA;
map2[9787][1]:=$E274;map2[9787][2]:=$9D6F;
map2[9788][1]:=$E275;map2[9788][2]:=$E4F5;
map2[9789][1]:=$E276;map2[9789][2]:=$9D87;
map2[9790][1]:=$E277;map2[9790][2]:=$9D60;
map2[9791][1]:=$E278;map2[9791][2]:=$C5BD;
map2[9792][1]:=$E279;map2[9792][2]:=$9D6C;
map2[9793][1]:=$E27A;map2[9793][2]:=$9D5F;
map2[9794][1]:=$E27B;map2[9794][2]:=$9D78;
map2[9795][1]:=$E27C;map2[9795][2]:=$9D5C;
map2[9796][1]:=$E27D;map2[9796][2]:=$9CFC;
map2[9797][1]:=$E27E;map2[9797][2]:=$9CBE;
map2[9798][1]:=$E2A1;map2[9798][2]:=$E4F1;
map2[9799][1]:=$E2A2;map2[9799][2]:=$9DA4;
map2[9800][1]:=$E2A3;map2[9800][2]:=$E4EF;
map2[9801][1]:=$E2A4;map2[9801][2]:=$9CFD;
map2[9802][1]:=$E2A5;map2[9802][2]:=$E4DD;
map2[9803][1]:=$E2A6;map2[9803][2]:=$9D7C;
map2[9804][1]:=$E2A7;map2[9804][2]:=$9D70;
map2[9805][1]:=$E2A8;map2[9805][2]:=$9D79;
map2[9806][1]:=$E2A9;map2[9806][2]:=$E4D3;
map2[9807][1]:=$E2AA;map2[9807][2]:=$9CFA;
map2[9808][1]:=$E2AB;map2[9808][2]:=$9D53;
map2[9809][1]:=$E2AC;map2[9809][2]:=$9D59;
map2[9810][1]:=$E2AD;map2[9810][2]:=$9D80;
map2[9811][1]:=$E2AE;map2[9811][2]:=$9D52;
map2[9812][1]:=$E2AF;map2[9812][2]:=$9D4B;
map2[9813][1]:=$E2B0;map2[9813][2]:=$9D45;
map2[9814][1]:=$E2B1;map2[9814][2]:=$9D76;
map2[9815][1]:=$E2B2;map2[9815][2]:=$9D63;
map2[9816][1]:=$E2B3;map2[9816][2]:=$9D4A;
map2[9817][1]:=$E2B4;map2[9817][2]:=$9D77;
map2[9818][1]:=$E2B5;map2[9818][2]:=$9D66;
map2[9819][1]:=$E2B6;map2[9819][2]:=$9D58;
map2[9820][1]:=$E2B7;map2[9820][2]:=$9D65;
map2[9821][1]:=$E2B8;map2[9821][2]:=$9D54;
map2[9822][1]:=$E2B9;map2[9822][2]:=$9D67;
map2[9823][1]:=$E2BA;map2[9823][2]:=$9FC0;
map2[9824][1]:=$E2BB;map2[9824][2]:=$9FC7;
map2[9825][1]:=$E2BC;map2[9825][2]:=$9FC2;
map2[9826][1]:=$E2BD;map2[9826][2]:=$9FBA;
map2[9827][1]:=$E2BE;map2[9827][2]:=$9FBE;
map2[9828][1]:=$E2BF;map2[9828][2]:=$9FBC;
map2[9829][1]:=$E2C0;map2[9829][2]:=$D1AC;
map2[9830][1]:=$E2C1;map2[9830][2]:=$9FB6;
map2[9831][1]:=$E2C2;map2[9831][2]:=$9FBF;
map2[9832][1]:=$E2C3;map2[9832][2]:=$9FBB;
map2[9833][1]:=$E2C4;map2[9833][2]:=$ECC1;
map2[9834][1]:=$E2C5;map2[9834][2]:=$A09B;
map2[9835][1]:=$E2C6;map2[9835][2]:=$A0A5;
map2[9836][1]:=$E2C7;map2[9836][2]:=$A0CF;
map2[9837][1]:=$E2C8;map2[9837][2]:=$A0CD;
map2[9838][1]:=$E2C9;map2[9838][2]:=$A0CB;
map2[9839][1]:=$E2CA;map2[9839][2]:=$B4F4;
map2[9840][1]:=$E2CB;map2[9840][2]:=$E2B0;
map2[9841][1]:=$E2CC;map2[9841][2]:=$AA86;
map2[9842][1]:=$E2CD;map2[9842][2]:=$AA83;
map2[9843][1]:=$E2CE;map2[9843][2]:=$AC8C;
map2[9844][1]:=$E2CF;map2[9844][2]:=$AC9B;
map2[9845][1]:=$E2D0;map2[9845][2]:=$AC99;
map2[9846][1]:=$E2D1;map2[9846][2]:=$AC9D;
map2[9847][1]:=$E2D2;map2[9847][2]:=$AB6F;
map2[9848][1]:=$E2D3;map2[9848][2]:=$AC91;
map2[9849][1]:=$E2D4;map2[9849][2]:=$AC97;
map2[9850][1]:=$E2D5;map2[9850][2]:=$AE49;
map2[9851][1]:=$E2D6;map2[9851][2]:=$AE4B;
map2[9852][1]:=$E2D7;map2[9852][2]:=$AE4C;
map2[9853][1]:=$E2D8;map2[9853][2]:=$AE99;
map2[9854][1]:=$E2D9;map2[9854][2]:=$AF46;
map2[9855][1]:=$E2DA;map2[9855][2]:=$AF8A;
map2[9856][1]:=$E2DB;map2[9856][2]:=$AF80;
map2[9857][1]:=$E2DC;map2[9857][2]:=$F0F8;
map2[9858][1]:=$E2DD;map2[9858][2]:=$F0FD;
map2[9859][1]:=$E2DE;map2[9859][2]:=$AF86;
map2[9860][1]:=$E2DF;map2[9860][2]:=$F0FA;
map2[9861][1]:=$E2E0;map2[9861][2]:=$AF89;
map2[9862][1]:=$E2E1;map2[9862][2]:=$F1E4;
map2[9863][1]:=$E2E2;map2[9863][2]:=$B257;
map2[9864][1]:=$E2E3;map2[9864][2]:=$B256;
map2[9865][1]:=$E2E4;map2[9865][2]:=$B3F2;
map2[9866][1]:=$E2E5;map2[9866][2]:=$B258;
map2[9867][1]:=$E2E6;map2[9867][2]:=$B249;
map2[9868][1]:=$E2E7;map2[9868][2]:=$EEA6;
map2[9869][1]:=$E2E8;map2[9869][2]:=$B24A;
map2[9870][1]:=$E2E9;map2[9870][2]:=$D8BA;
map2[9871][1]:=$E2EA;map2[9871][2]:=$B259;
map2[9872][1]:=$E2EB;map2[9872][2]:=$EDDA;
map2[9873][1]:=$E2EC;map2[9873][2]:=$B455;
map2[9874][1]:=$E2ED;map2[9874][2]:=$B2EA;
map2[9875][1]:=$E2EE;map2[9875][2]:=$EDB8;
map2[9876][1]:=$E2EF;map2[9876][2]:=$B453;
map2[9877][1]:=$E2F0;map2[9877][2]:=$B39B;
map2[9878][1]:=$E2F1;map2[9878][2]:=$B456;
map2[9879][1]:=$E2F2;map2[9879][2]:=$B44E;
map2[9880][1]:=$E2F3;map2[9880][2]:=$EDDC;
map2[9881][1]:=$E2F4;map2[9881][2]:=$B44F;
map2[9882][1]:=$E2F5;map2[9882][2]:=$B457;
map2[9883][1]:=$E2F6;map2[9883][2]:=$B450;
map2[9884][1]:=$E2F7;map2[9884][2]:=$B451;
map2[9885][1]:=$E2F8;map2[9885][2]:=$B645;
map2[9886][1]:=$E2F9;map2[9886][2]:=$ECF9;
map2[9887][1]:=$E2FA;map2[9887][2]:=$B59A;
map2[9888][1]:=$E2FB;map2[9888][2]:=$B643;
map2[9889][1]:=$E2FC;map2[9889][2]:=$B574;
map2[9890][1]:=$E2FD;map2[9890][2]:=$B641;
map2[9891][1]:=$E2FE;map2[9891][2]:=$B640;
map2[9892][1]:=$E340;map2[9892][2]:=$B644;
map2[9893][1]:=$E341;map2[9893][2]:=$B598;
map2[9894][1]:=$E342;map2[9894][2]:=$B5A0;
map2[9895][1]:=$E343;map2[9895][2]:=$B59E;
map2[9896][1]:=$E344;map2[9896][2]:=$B74B;
map2[9897][1]:=$E345;map2[9897][2]:=$B762;
map2[9898][1]:=$E346;map2[9898][2]:=$B750;
map2[9899][1]:=$E347;map2[9899][2]:=$B74F;
map2[9900][1]:=$E348;map2[9900][2]:=$B748;
map2[9901][1]:=$E349;map2[9901][2]:=$B746;
map2[9902][1]:=$E34A;map2[9902][2]:=$F1BF;
map2[9903][1]:=$E34B;map2[9903][2]:=$B845;
map2[9904][1]:=$E34C;map2[9904][2]:=$F1BE;
map2[9905][1]:=$E34D;map2[9905][2]:=$B87A;
map2[9906][1]:=$E34E;map2[9906][2]:=$B978;
map2[9907][1]:=$E34F;map2[9907][2]:=$F3ED;
map2[9908][1]:=$E350;map2[9908][2]:=$B97A;
map2[9909][1]:=$E351;map2[9909][2]:=$B980;
map2[9910][1]:=$E352;map2[9910][2]:=$F3E4;
map2[9911][1]:=$E353;map2[9911][2]:=$B983;
map2[9912][1]:=$E354;map2[9912][2]:=$B9BF;
map2[9913][1]:=$E355;map2[9913][2]:=$B97C;
map2[9914][1]:=$E356;map2[9914][2]:=$B987;
map2[9915][1]:=$E357;map2[9915][2]:=$B97D;
map2[9916][1]:=$E358;map2[9916][2]:=$F3EB;
map2[9917][1]:=$E359;map2[9917][2]:=$B984;
map2[9918][1]:=$E35A;map2[9918][2]:=$D4FD;
map2[9919][1]:=$E35B;map2[9919][2]:=$B985;
map2[9920][1]:=$E35C;map2[9920][2]:=$B98C;
map2[9921][1]:=$E35D;map2[9921][2]:=$B973;
map2[9922][1]:=$E35E;map2[9922][2]:=$BBA0;
map2[9923][1]:=$E35F;map2[9923][2]:=$BC40;
map2[9924][1]:=$E360;map2[9924][2]:=$F4D4;
map2[9925][1]:=$E361;map2[9925][2]:=$BB9F;
map2[9926][1]:=$E362;map2[9926][2]:=$BE4D;
map2[9927][1]:=$E363;map2[9927][2]:=$BE5C;
map2[9928][1]:=$E364;map2[9928][2]:=$BE67;
map2[9929][1]:=$E365;map2[9929][2]:=$E7B9;
map2[9930][1]:=$E366;map2[9930][2]:=$BE50;
map2[9931][1]:=$E367;map2[9931][2]:=$BE66;
map2[9932][1]:=$E368;map2[9932][2]:=$BE65;
map2[9933][1]:=$E369;map2[9933][2]:=$BE6A;
map2[9934][1]:=$E36A;map2[9934][2]:=$BE44;
map2[9935][1]:=$E36B;map2[9935][2]:=$BE73;
map2[9936][1]:=$E36C;map2[9936][2]:=$E7B5;
map2[9937][1]:=$E36D;map2[9937][2]:=$BE6B;
map2[9938][1]:=$E36E;map2[9938][2]:=$E7B3;
map2[9939][1]:=$E36F;map2[9939][2]:=$BE71;
map2[9940][1]:=$E370;map2[9940][2]:=$C087;
map2[9941][1]:=$E371;map2[9941][2]:=$E7B8;
map2[9942][1]:=$E372;map2[9942][2]:=$BD9E;
map2[9943][1]:=$E373;map2[9943][2]:=$BE61;
map2[9944][1]:=$E374;map2[9944][2]:=$BE46;
map2[9945][1]:=$E375;map2[9945][2]:=$F4EB;
map2[9946][1]:=$E376;map2[9946][2]:=$F4EC;
map2[9947][1]:=$E377;map2[9947][2]:=$BE4F;
map2[9948][1]:=$E378;map2[9948][2]:=$BE48;
map2[9949][1]:=$E379;map2[9949][2]:=$BE6E;
map2[9950][1]:=$E37A;map2[9950][2]:=$C151;
map2[9951][1]:=$E37B;map2[9951][2]:=$C19F;
map2[9952][1]:=$E37C;map2[9952][2]:=$C1A0;
map2[9953][1]:=$E37D;map2[9953][2]:=$F4E3;
map2[9954][1]:=$E37E;map2[9954][2]:=$C19E;
map2[9955][1]:=$E3A1;map2[9955][2]:=$C263;
map2[9956][1]:=$E3A2;map2[9956][2]:=$C283;
map2[9957][1]:=$E3A3;map2[9957][2]:=$C282;
map2[9958][1]:=$E3A4;map2[9958][2]:=$C46A;
map2[9959][1]:=$E3A5;map2[9959][2]:=$C468;
map2[9960][1]:=$E3A6;map2[9960][2]:=$EBF0;
map2[9961][1]:=$E3A7;map2[9961][2]:=$C469;
map2[9962][1]:=$E3A8;map2[9962][2]:=$C46D;
map2[9963][1]:=$E3A9;map2[9963][2]:=$C46C;
map2[9964][1]:=$E3AA;map2[9964][2]:=$C46B;
map2[9965][1]:=$E3AB;map2[9965][2]:=$C56C;
map2[9966][1]:=$E3AC;map2[9966][2]:=$DDF5;
map2[9967][1]:=$E3AD;map2[9967][2]:=$C95C;
map2[9968][1]:=$E3AE;map2[9968][2]:=$DDF2;
map2[9969][1]:=$E3AF;map2[9969][2]:=$C958;
map2[9970][1]:=$E3B0;map2[9970][2]:=$DDF0;
map2[9971][1]:=$E3B1;map2[9971][2]:=$C979;
map2[9972][1]:=$E3B2;map2[9972][2]:=$C971;
map2[9973][1]:=$E3B3;map2[9973][2]:=$C964;
map2[9974][1]:=$E3B4;map2[9974][2]:=$C966;
map2[9975][1]:=$E3B5;map2[9975][2]:=$C963;
map2[9976][1]:=$E3B6;map2[9976][2]:=$DDF3;
map2[9977][1]:=$E3B7;map2[9977][2]:=$DDF4;
map2[9978][1]:=$E3B8;map2[9978][2]:=$DDE8;
map2[9979][1]:=$E3B9;map2[9979][2]:=$DDE9;
map2[9980][1]:=$E3BA;map2[9980][2]:=$C962;
map2[9981][1]:=$E3BB;map2[9981][2]:=$C954;
map2[9982][1]:=$E3BC;map2[9982][2]:=$C968;
map2[9983][1]:=$E3BD;map2[9983][2]:=$DDEA;
map2[9984][1]:=$E3BE;map2[9984][2]:=$C956;
map2[9985][1]:=$E3BF;map2[9985][2]:=$C95F;
map2[9986][1]:=$E3C0;map2[9986][2]:=$C96D;
map2[9987][1]:=$E3C1;map2[9987][2]:=$C95A;
map2[9988][1]:=$E3C2;map2[9988][2]:=$DDAA;
map2[9989][1]:=$E3C3;map2[9989][2]:=$C975;
map2[9990][1]:=$E3C4;map2[9990][2]:=$C978;
map2[9991][1]:=$E3C5;map2[9991][2]:=$C955;
map2[9992][1]:=$E3C6;map2[9992][2]:=$C961;
map2[9993][1]:=$E3C7;map2[9993][2]:=$D8E1;
map2[9994][1]:=$E3C8;map2[9994][2]:=$C960;
map2[9995][1]:=$E3C9;map2[9995][2]:=$B1CD;
map2[9996][1]:=$E3CA;map2[9996][2]:=$C953;
map2[9997][1]:=$E3CB;map2[9997][2]:=$C96B;
map2[9998][1]:=$E3CC;map2[9998][2]:=$C97A;
map2[9999][1]:=$E3CD;map2[9999][2]:=$C959;
map2[10000][1]:=$E3CE;map2[10000][2]:=$C97E;
map2[10001][1]:=$E3CF;map2[10001][2]:=$C97C;
map2[10002][1]:=$E3D0;map2[10002][2]:=$C97B;
map2[10003][1]:=$E3D1;map2[10003][2]:=$C983;
map2[10004][1]:=$E3D2;map2[10004][2]:=$C967;
map2[10005][1]:=$E3D3;map2[10005][2]:=$C94D;
map2[10006][1]:=$E3D4;map2[10006][2]:=$CC98;
map2[10007][1]:=$E3D5;map2[10007][2]:=$CE50;
map2[10008][1]:=$E3D6;map2[10008][2]:=$F2DE;
map2[10009][1]:=$E3D7;map2[10009][2]:=$CE48;
map2[10010][1]:=$E3D8;map2[10010][2]:=$CE77;
map2[10011][1]:=$E3D9;map2[10011][2]:=$CE58;
map2[10012][1]:=$E3DA;map2[10012][2]:=$F2E2;
map2[10013][1]:=$E3DB;map2[10013][2]:=$F2E0;
map2[10014][1]:=$E3DC;map2[10014][2]:=$C0AF;
map2[10015][1]:=$E3DD;map2[10015][2]:=$CE40;
map2[10016][1]:=$E3DE;map2[10016][2]:=$CE41;
map2[10017][1]:=$E3DF;map2[10017][2]:=$CE5B;
map2[10018][1]:=$E3E0;map2[10018][2]:=$CE4B;
map2[10019][1]:=$E3E1;map2[10019][2]:=$CE59;
map2[10020][1]:=$E3E2;map2[10020][2]:=$F2E4;
map2[10021][1]:=$E3E3;map2[10021][2]:=$CE5E;
map2[10022][1]:=$E3E4;map2[10022][2]:=$CE44;
map2[10023][1]:=$E3E5;map2[10023][2]:=$CE4F;
map2[10024][1]:=$E3E6;map2[10024][2]:=$CE49;
map2[10025][1]:=$E3E7;map2[10025][2]:=$CE4C;
map2[10026][1]:=$E3E8;map2[10026][2]:=$CE56;
map2[10027][1]:=$E3E9;map2[10027][2]:=$D1D1;
map2[10028][1]:=$E3EA;map2[10028][2]:=$CE55;
map2[10029][1]:=$E3EB;map2[10029][2]:=$F2E7;
map2[10030][1]:=$E3EC;map2[10030][2]:=$CE51;
map2[10031][1]:=$E3ED;map2[10031][2]:=$CE5A;
map2[10032][1]:=$E3EE;map2[10032][2]:=$CE46;
map2[10033][1]:=$E3EF;map2[10033][2]:=$CE47;
map2[10034][1]:=$E3F0;map2[10034][2]:=$CE53;
map2[10035][1]:=$E3F1;map2[10035][2]:=$CE45;
map2[10036][1]:=$E3F2;map2[10036][2]:=$F2E3;
map2[10037][1]:=$E3F3;map2[10037][2]:=$CE4E;
map2[10038][1]:=$E3F4;map2[10038][2]:=$CD9E;
map2[10039][1]:=$E3F5;map2[10039][2]:=$D172;
map2[10040][1]:=$E3F6;map2[10040][2]:=$D167;
map2[10041][1]:=$E3F7;map2[10041][2]:=$F1D1;
map2[10042][1]:=$E3F8;map2[10042][2]:=$D16F;
map2[10043][1]:=$E3F9;map2[10043][2]:=$D173;
map2[10044][1]:=$E3FA;map2[10044][2]:=$F1D5;
map2[10045][1]:=$E3FB;map2[10045][2]:=$D16D;
map2[10046][1]:=$E3FC;map2[10046][2]:=$F1D3;
map2[10047][1]:=$E3FD;map2[10047][2]:=$D171;
map2[10048][1]:=$E3FE;map2[10048][2]:=$D174;
map2[10049][1]:=$E440;map2[10049][2]:=$F1D6;
map2[10050][1]:=$E441;map2[10050][2]:=$D16B;
map2[10051][1]:=$E442;map2[10051][2]:=$D16A;
map2[10052][1]:=$E443;map2[10052][2]:=$D29C;
map2[10053][1]:=$E444;map2[10053][2]:=$EAEA;
map2[10054][1]:=$E445;map2[10054][2]:=$D29E;
map2[10055][1]:=$E446;map2[10055][2]:=$D29D;
map2[10056][1]:=$E447;map2[10056][2]:=$D370;
map2[10057][1]:=$E448;map2[10057][2]:=$F6A2;
map2[10058][1]:=$E449;map2[10058][2]:=$D36F;
map2[10059][1]:=$E44A;map2[10059][2]:=$D567;
map2[10060][1]:=$E44B;map2[10060][2]:=$D555;
map2[10061][1]:=$E44C;map2[10061][2]:=$D548;
map2[10062][1]:=$E44D;map2[10062][2]:=$DAC0;
map2[10063][1]:=$E44E;map2[10063][2]:=$D54C;
map2[10064][1]:=$E44F;map2[10064][2]:=$D552;
map2[10065][1]:=$E450;map2[10065][2]:=$D845;
map2[10066][1]:=$E451;map2[10066][2]:=$D867;
map2[10067][1]:=$E452;map2[10067][2]:=$D868;
map2[10068][1]:=$E453;map2[10068][2]:=$EAE4;
map2[10069][1]:=$E454;map2[10069][2]:=$D961;
map2[10070][1]:=$E455;map2[10070][2]:=$D969;
map2[10071][1]:=$E456;map2[10071][2]:=$DA74;
map2[10072][1]:=$E457;map2[10072][2]:=$F5D4;
map2[10073][1]:=$E458;map2[10073][2]:=$DB57;
map2[10074][1]:=$E459;map2[10074][2]:=$DB54;
map2[10075][1]:=$E45A;map2[10075][2]:=$DB5E;
map2[10076][1]:=$E45B;map2[10076][2]:=$F5D5;
map2[10077][1]:=$E45C;map2[10077][2]:=$D3BB;
map2[10078][1]:=$E45D;map2[10078][2]:=$DB58;
map2[10079][1]:=$E45E;map2[10079][2]:=$DB5B;
map2[10080][1]:=$E45F;map2[10080][2]:=$DB5A;
map2[10081][1]:=$E460;map2[10081][2]:=$F5BD;
map2[10082][1]:=$E461;map2[10082][2]:=$DB53;
map2[10083][1]:=$E462;map2[10083][2]:=$DB55;
map2[10084][1]:=$E463;map2[10084][2]:=$DB59;
map2[10085][1]:=$E464;map2[10085][2]:=$DD6B;
map2[10086][1]:=$E465;map2[10086][2]:=$DD6C;
map2[10087][1]:=$E466;map2[10087][2]:=$DD69;
map2[10088][1]:=$E467;map2[10088][2]:=$DD68;
map2[10089][1]:=$E468;map2[10089][2]:=$DBB5;
map2[10090][1]:=$E469;map2[10090][2]:=$E07E;
map2[10091][1]:=$E46A;map2[10091][2]:=$E082;
map2[10092][1]:=$E46B;map2[10092][2]:=$DBB3;
map2[10093][1]:=$E46C;map2[10093][2]:=$E081;
map2[10094][1]:=$E46D;map2[10094][2]:=$E080;
map2[10095][1]:=$E46E;map2[10095][2]:=$E07C;
map2[10096][1]:=$E46F;map2[10096][2]:=$E084;
map2[10097][1]:=$E470;map2[10097][2]:=$E083;
map2[10098][1]:=$E471;map2[10098][2]:=$E07D;
map2[10099][1]:=$E472;map2[10099][2]:=$E154;
map2[10100][1]:=$E473;map2[10100][2]:=$F5A8;
map2[10101][1]:=$E474;map2[10101][2]:=$F5AA;
map2[10102][1]:=$E475;map2[10102][2]:=$E153;
map2[10103][1]:=$E476;map2[10103][2]:=$D2BF;
map2[10104][1]:=$E477;map2[10104][2]:=$E39D;
map2[10105][1]:=$E478;map2[10105][2]:=$E899;
map2[10106][1]:=$E479;map2[10106][2]:=$E89D;
map2[10107][1]:=$E47A;map2[10107][2]:=$EEEF;
map2[10108][1]:=$E47B;map2[10108][2]:=$EEEE;
map2[10109][1]:=$E47C;map2[10109][2]:=$E38D;
map2[10110][1]:=$E47D;map2[10110][2]:=$EEF0;
map2[10111][1]:=$E47E;map2[10111][2]:=$E89C;
map2[10112][1]:=$E4A1;map2[10112][2]:=$EEF7;
map2[10113][1]:=$E4A2;map2[10113][2]:=$EFA2;
map2[10114][1]:=$E4A3;map2[10114][2]:=$EFA4;
map2[10115][1]:=$E4A4;map2[10115][2]:=$E372;
map2[10116][1]:=$E4A5;map2[10116][2]:=$E390;
map2[10117][1]:=$E4A6;map2[10117][2]:=$EEFE;
map2[10118][1]:=$E4A7;map2[10118][2]:=$EFA8;
map2[10119][1]:=$E4A8;map2[10119][2]:=$EEF1;
map2[10120][1]:=$E4A9;map2[10120][2]:=$F6C6;
map2[10121][1]:=$E4AA;map2[10121][2]:=$E37B;
map2[10122][1]:=$E4AB;map2[10122][2]:=$CCFA;
map2[10123][1]:=$E4AC;map2[10123][2]:=$E39B;
map2[10124][1]:=$E4AD;map2[10124][2]:=$E376;
map2[10125][1]:=$E4AE;map2[10125][2]:=$E382;
map2[10126][1]:=$E4AF;map2[10126][2]:=$E39A;
map2[10127][1]:=$E4B0;map2[10127][2]:=$E384;
map2[10128][1]:=$E4B1;map2[10128][2]:=$E380;
map2[10129][1]:=$E4B2;map2[10129][2]:=$E386;
map2[10130][1]:=$E4B3;map2[10130][2]:=$E392;
map2[10131][1]:=$E4B4;map2[10131][2]:=$E3A0;
map2[10132][1]:=$E4B5;map2[10132][2]:=$E377;
map2[10133][1]:=$E4B6;map2[10133][2]:=$E381;
map2[10134][1]:=$E4B7;map2[10134][2]:=$EEFB;
map2[10135][1]:=$E4B8;map2[10135][2]:=$E396;
map2[10136][1]:=$E4B9;map2[10136][2]:=$E385;
map2[10137][1]:=$E4BA;map2[10137][2]:=$E288;
map2[10138][1]:=$E4BB;map2[10138][2]:=$EB4A;
map2[10139][1]:=$E4BC;map2[10139][2]:=$EB4D;
map2[10140][1]:=$E4BD;map2[10140][2]:=$EB8D;
map2[10141][1]:=$E4BE;map2[10141][2]:=$EC6D;
map2[10142][1]:=$E4BF;map2[10142][2]:=$EC87;
map2[10143][1]:=$E4C0;map2[10143][2]:=$EC85;
map2[10144][1]:=$E4C1;map2[10144][2]:=$EC88;
map2[10145][1]:=$E4C2;map2[10145][2]:=$EC8D;
map2[10146][1]:=$E4C3;map2[10146][2]:=$D8BB;
map2[10147][1]:=$E4C4;map2[10147][2]:=$EC8C;
map2[10148][1]:=$E4C5;map2[10148][2]:=$EC86;
map2[10149][1]:=$E4C6;map2[10149][2]:=$EC8E;
map2[10150][1]:=$E4C7;map2[10150][2]:=$EC8B;
map2[10151][1]:=$E4C8;map2[10151][2]:=$EC89;
map2[10152][1]:=$E4C9;map2[10152][2]:=$ED69;
map2[10153][1]:=$E4CA;map2[10153][2]:=$ED82;
map2[10154][1]:=$E4CB;map2[10154][2]:=$EE47;
map2[10155][1]:=$E4CC;map2[10155][2]:=$EF73;
map2[10156][1]:=$E4CD;map2[10156][2]:=$ECA9;
map2[10157][1]:=$E4CE;map2[10157][2]:=$EF9B;
map2[10158][1]:=$E4CF;map2[10158][2]:=$EF99;
map2[10159][1]:=$E4D0;map2[10159][2]:=$EFA0;
map2[10160][1]:=$E4D1;map2[10160][2]:=$F145;
map2[10161][1]:=$E4D2;map2[10161][2]:=$F144;
map2[10162][1]:=$E4D3;map2[10162][2]:=$F169;
map2[10163][1]:=$E4D4;map2[10163][2]:=$F352;
map2[10164][1]:=$E4D5;map2[10164][2]:=$F161;
map2[10165][1]:=$E4D6;map2[10165][2]:=$F160;
map2[10166][1]:=$E4D7;map2[10166][2]:=$F168;
map2[10167][1]:=$E4D8;map2[10167][2]:=$F163;
map2[10168][1]:=$E4D9;map2[10168][2]:=$F16D;
map2[10169][1]:=$E4DA;map2[10169][2]:=$F7BA;
map2[10170][1]:=$E4DB;map2[10170][2]:=$F384;
map2[10171][1]:=$E4DC;map2[10171][2]:=$F387;
map2[10172][1]:=$E4DD;map2[10172][2]:=$F46E;
map2[10173][1]:=$E4DE;map2[10173][2]:=$F46F;
map2[10174][1]:=$E4DF;map2[10174][2]:=$F485;
map2[10175][1]:=$E4E0;map2[10175][2]:=$F486;
map2[10176][1]:=$E4E1;map2[10176][2]:=$F484;
map2[10177][1]:=$E4E2;map2[10177][2]:=$F84E;
map2[10178][1]:=$E4E3;map2[10178][2]:=$FB5C;
map2[10179][1]:=$E4E4;map2[10179][2]:=$F852;
map2[10180][1]:=$E4E5;map2[10180][2]:=$FB9D;
map2[10181][1]:=$E4E6;map2[10181][2]:=$8377;
map2[10182][1]:=$E4E7;map2[10182][2]:=$837B;
map2[10183][1]:=$E4E8;map2[10183][2]:=$83A4;
map2[10184][1]:=$E4E9;map2[10184][2]:=$8371;
map2[10185][1]:=$E4EA;map2[10185][2]:=$D9D3;
map2[10186][1]:=$E4EB;map2[10186][2]:=$D9D8;
map2[10187][1]:=$E4EC;map2[10187][2]:=$836F;
map2[10188][1]:=$E4ED;map2[10188][2]:=$8376;
map2[10189][1]:=$E4EE;map2[10189][2]:=$D9D9;
map2[10190][1]:=$E4EF;map2[10190][2]:=$8382;
map2[10191][1]:=$E4F0;map2[10191][2]:=$8375;
map2[10192][1]:=$E4F1;map2[10192][2]:=$8381;
map2[10193][1]:=$E4F2;map2[10193][2]:=$84A4;
map2[10194][1]:=$E4F3;map2[10194][2]:=$D8DB;
map2[10195][1]:=$E4F4;map2[10195][2]:=$DBBD;
map2[10196][1]:=$E4F5;map2[10196][2]:=$84E9;
map2[10197][1]:=$E4F6;map2[10197][2]:=$876D;
map2[10198][1]:=$E4F7;map2[10198][2]:=$8767;
map2[10199][1]:=$E4F8;map2[10199][2]:=$E0E1;
map2[10200][1]:=$E4F9;map2[10200][2]:=$DFD8;
map2[10201][1]:=$E4FA;map2[10201][2]:=$B6F1;
map2[10202][1]:=$E4FB;map2[10202][2]:=$876F;
map2[10203][1]:=$E4FC;map2[10203][2]:=$876E;
map2[10204][1]:=$E4FD;map2[10204][2]:=$876B;
map2[10205][1]:=$E4FE;map2[10205][2]:=$E0D9;
map2[10206][1]:=$E540;map2[10206][2]:=$8778;
map2[10207][1]:=$E541;map2[10207][2]:=$8765;
map2[10208][1]:=$E542;map2[10208][2]:=$875D;
map2[10209][1]:=$E543;map2[10209][2]:=$86AE;
map2[10210][1]:=$E544;map2[10210][2]:=$E0DC;
map2[10211][1]:=$E545;map2[10211][2]:=$8764;
map2[10212][1]:=$E546;map2[10212][2]:=$DFBC;
map2[10213][1]:=$E547;map2[10213][2]:=$8758;
map2[10214][1]:=$E548;map2[10214][2]:=$8761;
map2[10215][1]:=$E549;map2[10215][2]:=$8848;
map2[10216][1]:=$E54A;map2[10216][2]:=$8996;
map2[10217][1]:=$E54B;map2[10217][2]:=$EDCD;
map2[10218][1]:=$E54C;map2[10218][2]:=$899C;
map2[10219][1]:=$E54D;map2[10219][2]:=$898D;
map2[10220][1]:=$E54E;map2[10220][2]:=$8990;
map2[10221][1]:=$E54F;map2[10221][2]:=$899A;
map2[10222][1]:=$E550;map2[10222][2]:=$8997;
map2[10223][1]:=$E551;map2[10223][2]:=$8992;
map2[10224][1]:=$E552;map2[10224][2]:=$898E;
map2[10225][1]:=$E553;map2[10225][2]:=$89DD;
map2[10226][1]:=$E554;map2[10226][2]:=$8B4F;
map2[10227][1]:=$E555;map2[10227][2]:=$8BB2;
map2[10228][1]:=$E556;map2[10228][2]:=$8BBB;
map2[10229][1]:=$E557;map2[10229][2]:=$8BB5;
map2[10230][1]:=$E558;map2[10230][2]:=$8BB4;
map2[10231][1]:=$E559;map2[10231][2]:=$8BC1;
map2[10232][1]:=$E55A;map2[10232][2]:=$8BB6;
map2[10233][1]:=$E55B;map2[10233][2]:=$8BC0;
map2[10234][1]:=$E55C;map2[10234][2]:=$8BB7;
map2[10235][1]:=$E55D;map2[10235][2]:=$8BBF;
map2[10236][1]:=$E55E;map2[10236][2]:=$8BC5;
map2[10237][1]:=$E55F;map2[10237][2]:=$8BC3;
map2[10238][1]:=$E560;map2[10238][2]:=$8BCC;
map2[10239][1]:=$E561;map2[10239][2]:=$8CD4;
map2[10240][1]:=$E562;map2[10240][2]:=$E1D7;
map2[10241][1]:=$E563;map2[10241][2]:=$E1C0;
map2[10242][1]:=$E564;map2[10242][2]:=$8DFD;
map2[10243][1]:=$E565;map2[10243][2]:=$8DF2;
map2[10244][1]:=$E566;map2[10244][2]:=$8D69;
map2[10245][1]:=$E567;map2[10245][2]:=$8DF3;
map2[10246][1]:=$E568;map2[10246][2]:=$8DF5;
map2[10247][1]:=$E569;map2[10247][2]:=$E1BD;
map2[10248][1]:=$E56A;map2[10248][2]:=$8DFB;
map2[10249][1]:=$E56B;map2[10249][2]:=$8E40;
map2[10250][1]:=$E56C;map2[10250][2]:=$8DF9;
map2[10251][1]:=$E56D;map2[10251][2]:=$8DFC;
map2[10252][1]:=$E56E;map2[10252][2]:=$8ECB;
map2[10253][1]:=$E56F;map2[10253][2]:=$8EC2;
map2[10254][1]:=$E570;map2[10254][2]:=$8EC4;
map2[10255][1]:=$E571;map2[10255][2]:=$8EC1;
map2[10256][1]:=$E572;map2[10256][2]:=$BE99;
map2[10257][1]:=$E573;map2[10257][2]:=$E2DC;
map2[10258][1]:=$E574;map2[10258][2]:=$8F51;
map2[10259][1]:=$E575;map2[10259][2]:=$E2D0;
map2[10260][1]:=$E576;map2[10260][2]:=$8F98;
map2[10261][1]:=$E577;map2[10261][2]:=$8FD3;
map2[10262][1]:=$E578;map2[10262][2]:=$B1EF;
map2[10263][1]:=$E579;map2[10263][2]:=$916F;
map2[10264][1]:=$E57A;map2[10264][2]:=$9165;
map2[10265][1]:=$E57B;map2[10265][2]:=$9196;
map2[10266][1]:=$E57C;map2[10266][2]:=$9195;
map2[10267][1]:=$E57D;map2[10267][2]:=$918B;
map2[10268][1]:=$E57E;map2[10268][2]:=$9175;
map2[10269][1]:=$E5A1;map2[10269][2]:=$9185;
map2[10270][1]:=$E5A2;map2[10270][2]:=$917D;
map2[10271][1]:=$E5A3;map2[10271][2]:=$9194;
map2[10272][1]:=$E5A4;map2[10272][2]:=$9192;
map2[10273][1]:=$E5A5;map2[10273][2]:=$9188;
map2[10274][1]:=$E5A6;map2[10274][2]:=$E3B4;
map2[10275][1]:=$E5A7;map2[10275][2]:=$9190;
map2[10276][1]:=$E5A8;map2[10276][2]:=$918A;
map2[10277][1]:=$E5A9;map2[10277][2]:=$9178;
map2[10278][1]:=$E5AA;map2[10278][2]:=$9157;
map2[10279][1]:=$E5AB;map2[10279][2]:=$9198;
map2[10280][1]:=$E5AC;map2[10280][2]:=$91EE;
map2[10281][1]:=$E5AD;map2[10281][2]:=$93B3;
map2[10282][1]:=$E5AE;map2[10282][2]:=$93B5;
map2[10283][1]:=$E5AF;map2[10283][2]:=$DEFE;
map2[10284][1]:=$E5B0;map2[10284][2]:=$93D8;
map2[10285][1]:=$E5B1;map2[10285][2]:=$BEEF;
map2[10286][1]:=$E5B2;map2[10286][2]:=$93D1;
map2[10287][1]:=$E5B3;map2[10287][2]:=$93D5;
map2[10288][1]:=$E5B4;map2[10288][2]:=$92A6;
map2[10289][1]:=$E5B5;map2[10289][2]:=$93C9;
map2[10290][1]:=$E5B6;map2[10290][2]:=$93C8;
map2[10291][1]:=$E5B7;map2[10291][2]:=$93CA;
map2[10292][1]:=$E5B8;map2[10292][2]:=$B5A7;
map2[10293][1]:=$E5B9;map2[10293][2]:=$DED8;
map2[10294][1]:=$E5BA;map2[10294][2]:=$93AF;
map2[10295][1]:=$E5BB;map2[10295][2]:=$93E3;
map2[10296][1]:=$E5BC;map2[10296][2]:=$93D2;
map2[10297][1]:=$E5BD;map2[10297][2]:=$94B4;
map2[10298][1]:=$E5BE;map2[10298][2]:=$C7FD;
map2[10299][1]:=$E5BF;map2[10299][2]:=$94B6;
map2[10300][1]:=$E5C0;map2[10300][2]:=$94B8;
map2[10301][1]:=$E5C1;map2[10301][2]:=$94DB;
map2[10302][1]:=$E5C2;map2[10302][2]:=$94DC;
map2[10303][1]:=$E5C3;map2[10303][2]:=$95C2;
map2[10304][1]:=$E5C4;map2[10304][2]:=$95BE;
map2[10305][1]:=$E5C5;map2[10305][2]:=$95B8;
map2[10306][1]:=$E5C6;map2[10306][2]:=$95C0;
map2[10307][1]:=$E5C7;map2[10307][2]:=$95C4;
map2[10308][1]:=$E5C8;map2[10308][2]:=$95B9;
map2[10309][1]:=$E5C9;map2[10309][2]:=$95BD;
map2[10310][1]:=$E5CA;map2[10310][2]:=$98B5;
map2[10311][1]:=$E5CB;map2[10311][2]:=$98BB;
map2[10312][1]:=$E5CC;map2[10312][2]:=$E9CB;
map2[10313][1]:=$E5CD;map2[10313][2]:=$989E;
map2[10314][1]:=$E5CE;map2[10314][2]:=$98AF;
map2[10315][1]:=$E5CF;map2[10315][2]:=$98C9;
map2[10316][1]:=$E5D0;map2[10316][2]:=$98A9;
map2[10317][1]:=$E5D1;map2[10317][2]:=$989D;
map2[10318][1]:=$E5D2;map2[10318][2]:=$98D1;
map2[10319][1]:=$E5D3;map2[10319][2]:=$E9C8;
map2[10320][1]:=$E5D4;map2[10320][2]:=$98A5;
map2[10321][1]:=$E5D5;map2[10321][2]:=$989B;
map2[10322][1]:=$E5D6;map2[10322][2]:=$98CD;
map2[10323][1]:=$E5D7;map2[10323][2]:=$98CF;
map2[10324][1]:=$E5D8;map2[10324][2]:=$98B4;
map2[10325][1]:=$E5D9;map2[10325][2]:=$98D7;
map2[10326][1]:=$E5DA;map2[10326][2]:=$E9CE;
map2[10327][1]:=$E5DB;map2[10327][2]:=$98A6;
map2[10328][1]:=$E5DC;map2[10328][2]:=$98C8;
map2[10329][1]:=$E5DD;map2[10329][2]:=$98AE;
map2[10330][1]:=$E5DE;map2[10330][2]:=$E8FD;
map2[10331][1]:=$E5DF;map2[10331][2]:=$98E9;
map2[10332][1]:=$E5E0;map2[10332][2]:=$98BD;
map2[10333][1]:=$E5E1;map2[10333][2]:=$989F;
map2[10334][1]:=$E5E2;map2[10334][2]:=$98B2;
map2[10335][1]:=$E5E3;map2[10335][2]:=$98C1;
map2[10336][1]:=$E5E4;map2[10336][2]:=$B9E6;
map2[10337][1]:=$E5E5;map2[10337][2]:=$98A4;
map2[10338][1]:=$E5E6;map2[10338][2]:=$98BE;
map2[10339][1]:=$E5E7;map2[10339][2]:=$98B9;
map2[10340][1]:=$E5E8;map2[10340][2]:=$E9CC;
map2[10341][1]:=$E5E9;map2[10341][2]:=$98D5;
map2[10342][1]:=$E5EA;map2[10342][2]:=$98C3;
map2[10343][1]:=$E5EB;map2[10343][2]:=$98AD;
map2[10344][1]:=$E5EC;map2[10344][2]:=$98D6;
map2[10345][1]:=$E5ED;map2[10345][2]:=$98BC;
map2[10346][1]:=$E5EE;map2[10346][2]:=$98AB;
map2[10347][1]:=$E5EF;map2[10347][2]:=$98CA;
map2[10348][1]:=$E5F0;map2[10348][2]:=$9A58;
map2[10349][1]:=$E5F1;map2[10349][2]:=$9A92;
map2[10350][1]:=$E5F2;map2[10350][2]:=$9A90;
map2[10351][1]:=$E5F3;map2[10351][2]:=$9A8F;
map2[10352][1]:=$E5F4;map2[10352][2]:=$9A93;
map2[10353][1]:=$E5F5;map2[10353][2]:=$9AD2;
map2[10354][1]:=$E5F6;map2[10354][2]:=$9AD1;
map2[10355][1]:=$E5F7;map2[10355][2]:=$EBA7;
map2[10356][1]:=$E5F8;map2[10356][2]:=$EAF3;
map2[10357][1]:=$E5F9;map2[10357][2]:=$F2A3;
map2[10358][1]:=$E5FA;map2[10358][2]:=$9D6B;
map2[10359][1]:=$E5FB;map2[10359][2]:=$9DAB;
map2[10360][1]:=$E5FC;map2[10360][2]:=$C0D4;
map2[10361][1]:=$E5FD;map2[10361][2]:=$9DE5;
map2[10362][1]:=$E5FE;map2[10362][2]:=$9DB9;
map2[10363][1]:=$E640;map2[10363][2]:=$E4F8;
map2[10364][1]:=$E641;map2[10364][2]:=$E4F7;
map2[10365][1]:=$E642;map2[10365][2]:=$E4F9;
map2[10366][1]:=$E643;map2[10366][2]:=$E4EA;
map2[10367][1]:=$E644;map2[10367][2]:=$9D88;
map2[10368][1]:=$E645;map2[10368][2]:=$9DB1;
map2[10369][1]:=$E646;map2[10369][2]:=$9D92;
map2[10370][1]:=$E647;map2[10370][2]:=$9DBD;
map2[10371][1]:=$E648;map2[10371][2]:=$9DA6;
map2[10372][1]:=$E649;map2[10372][2]:=$9DA0;
map2[10373][1]:=$E64A;map2[10373][2]:=$B3CE;
map2[10374][1]:=$E64B;map2[10374][2]:=$9D8E;
map2[10375][1]:=$E64C;map2[10375][2]:=$E4FB;
map2[10376][1]:=$E64D;map2[10376][2]:=$9D8B;
map2[10377][1]:=$E64E;map2[10377][2]:=$9D89;
map2[10378][1]:=$E64F;map2[10378][2]:=$9D90;
map2[10379][1]:=$E650;map2[10379][2]:=$9DBB;
map2[10380][1]:=$E651;map2[10380][2]:=$9DBA;
map2[10381][1]:=$E652;map2[10381][2]:=$9D94;
map2[10382][1]:=$E653;map2[10382][2]:=$9D4E;
map2[10383][1]:=$E654;map2[10383][2]:=$9D97;
map2[10384][1]:=$E655;map2[10384][2]:=$9D9F;
map2[10385][1]:=$E656;map2[10385][2]:=$9DAA;
map2[10386][1]:=$E657;map2[10386][2]:=$9D9B;
map2[10387][1]:=$E658;map2[10387][2]:=$9DB7;
map2[10388][1]:=$E659;map2[10388][2]:=$9D8C;
map2[10389][1]:=$E65A;map2[10389][2]:=$9DB5;
map2[10390][1]:=$E65B;map2[10390][2]:=$9D9D;
map2[10391][1]:=$E65C;map2[10391][2]:=$E4B6;
map2[10392][1]:=$E65D;map2[10392][2]:=$9DBC;
map2[10393][1]:=$E65E;map2[10393][2]:=$9D98;
map2[10394][1]:=$E65F;map2[10394][2]:=$E4E4;
map2[10395][1]:=$E660;map2[10395][2]:=$9D9E;
map2[10396][1]:=$E661;map2[10396][2]:=$9DA9;
map2[10397][1]:=$E662;map2[10397][2]:=$EF47;
map2[10398][1]:=$E663;map2[10398][2]:=$9FDF;
map2[10399][1]:=$E664;map2[10399][2]:=$9FCF;
map2[10400][1]:=$E665;map2[10400][2]:=$9FE0;
map2[10401][1]:=$E666;map2[10401][2]:=$ECDA;
map2[10402][1]:=$E667;map2[10402][2]:=$9FCE;
map2[10403][1]:=$E668;map2[10403][2]:=$9FDA;
map2[10404][1]:=$E669;map2[10404][2]:=$ECD8;
map2[10405][1]:=$E66A;map2[10405][2]:=$9FD1;
map2[10406][1]:=$E66B;map2[10406][2]:=$9FD7;
map2[10407][1]:=$E66C;map2[10407][2]:=$9FD2;
map2[10408][1]:=$E66D;map2[10408][2]:=$9FD6;
map2[10409][1]:=$E66E;map2[10409][2]:=$9FD3;
map2[10410][1]:=$E66F;map2[10410][2]:=$9FDB;
map2[10411][1]:=$E670;map2[10411][2]:=$9FD0;
map2[10412][1]:=$E671;map2[10412][2]:=$9FD9;
map2[10413][1]:=$E672;map2[10413][2]:=$ECD7;
map2[10414][1]:=$E673;map2[10414][2]:=$A0D0;
map2[10415][1]:=$E674;map2[10415][2]:=$A0D2;
map2[10416][1]:=$E675;map2[10416][2]:=$AA8B;
map2[10417][1]:=$E676;map2[10417][2]:=$E9E1;
map2[10418][1]:=$E677;map2[10418][2]:=$AA91;
map2[10419][1]:=$E678;map2[10419][2]:=$AA92;
map2[10420][1]:=$E679;map2[10420][2]:=$E2B2;
map2[10421][1]:=$E67A;map2[10421][2]:=$AA90;
map2[10422][1]:=$E67B;map2[10422][2]:=$AA8E;
map2[10423][1]:=$E67C;map2[10423][2]:=$AA93;
map2[10424][1]:=$E67D;map2[10424][2]:=$AA8D;
map2[10425][1]:=$E67E;map2[10425][2]:=$AA8C;
map2[10426][1]:=$E6A1;map2[10426][2]:=$AA94;
map2[10427][1]:=$E6A2;map2[10427][2]:=$E8AF;
map2[10428][1]:=$E6A3;map2[10428][2]:=$E7F6;
map2[10429][1]:=$E6A4;map2[10429][2]:=$AD4A;
map2[10430][1]:=$E6A5;map2[10430][2]:=$AD47;
map2[10431][1]:=$E6A6;map2[10431][2]:=$E8AE;
map2[10432][1]:=$E6A7;map2[10432][2]:=$AD42;
map2[10433][1]:=$E6A8;map2[10433][2]:=$AD46;
map2[10434][1]:=$E6A9;map2[10434][2]:=$AD48;
map2[10435][1]:=$E6AA;map2[10435][2]:=$AD41;
map2[10436][1]:=$E6AB;map2[10436][2]:=$AC9F;
map2[10437][1]:=$E6AC;map2[10437][2]:=$AE50;
map2[10438][1]:=$E6AD;map2[10438][2]:=$AE4F;
map2[10439][1]:=$E6AE;map2[10439][2]:=$AE9A;
map2[10440][1]:=$E6AF;map2[10440][2]:=$F0FB;
map2[10441][1]:=$E6B0;map2[10441][2]:=$F0F9;
map2[10442][1]:=$E6B1;map2[10442][2]:=$F0FE;
map2[10443][1]:=$E6B2;map2[10443][2]:=$AF8D;
map2[10444][1]:=$E6B3;map2[10444][2]:=$AF8C;
map2[10445][1]:=$E6B4;map2[10445][2]:=$AF90;
map2[10446][1]:=$E6B5;map2[10446][2]:=$AF8B;
map2[10447][1]:=$E6B6;map2[10447][2]:=$AF92;
map2[10448][1]:=$E6B7;map2[10448][2]:=$F1A1;
map2[10449][1]:=$E6B8;map2[10449][2]:=$B080;
map2[10450][1]:=$E6B9;map2[10450][2]:=$B081;
map2[10451][1]:=$E6BA;map2[10451][2]:=$B082;
map2[10452][1]:=$E6BB;map2[10452][2]:=$B07E;
map2[10453][1]:=$E6BC;map2[10453][2]:=$EEA4;
map2[10454][1]:=$E6BD;map2[10454][2]:=$B260;
map2[10455][1]:=$E6BE;map2[10455][2]:=$B25D;
map2[10456][1]:=$E6BF;map2[10456][2]:=$B25C;
map2[10457][1]:=$E6C0;map2[10457][2]:=$B46C;
map2[10458][1]:=$E6C1;map2[10458][2]:=$B460;
map2[10459][1]:=$E6C2;map2[10459][2]:=$B46E;
map2[10460][1]:=$E6C3;map2[10460][2]:=$B46B;
map2[10461][1]:=$E6C4;map2[10461][2]:=$B37D;
map2[10462][1]:=$E6C5;map2[10462][2]:=$B46D;
map2[10463][1]:=$E6C6;map2[10463][2]:=$EDDD;
map2[10464][1]:=$E6C7;map2[10464][2]:=$B46A;
map2[10465][1]:=$E6C8;map2[10465][2]:=$B466;
map2[10466][1]:=$E6C9;map2[10466][2]:=$B467;
map2[10467][1]:=$E6CA;map2[10467][2]:=$EDDF;
map2[10468][1]:=$E6CB;map2[10468][2]:=$ECFA;
map2[10469][1]:=$E6CC;map2[10469][2]:=$B64D;
map2[10470][1]:=$E6CD;map2[10470][2]:=$B64C;
map2[10471][1]:=$E6CE;map2[10471][2]:=$B648;
map2[10472][1]:=$E6CF;map2[10472][2]:=$B64E;
map2[10473][1]:=$E6D0;map2[10473][2]:=$B647;
map2[10474][1]:=$E6D1;map2[10474][2]:=$9A75;
map2[10475][1]:=$E6D2;map2[10475][2]:=$F0A1;
map2[10476][1]:=$E6D3;map2[10476][2]:=$B84A;
map2[10477][1]:=$E6D4;map2[10477][2]:=$B84B;
map2[10478][1]:=$E6D5;map2[10478][2]:=$F1C1;
map2[10479][1]:=$E6D6;map2[10479][2]:=$B995;
map2[10480][1]:=$E6D7;map2[10480][2]:=$F3E6;
map2[10481][1]:=$E6D8;map2[10481][2]:=$B99B;
map2[10482][1]:=$E6D9;map2[10482][2]:=$F3E8;
map2[10483][1]:=$E6DA;map2[10483][2]:=$BA46;
map2[10484][1]:=$E6DB;map2[10484][2]:=$B98F;
map2[10485][1]:=$E6DC;map2[10485][2]:=$B996;
map2[10486][1]:=$E6DD;map2[10486][2]:=$BA43;
map2[10487][1]:=$E6DE;map2[10487][2]:=$B993;
map2[10488][1]:=$E6DF;map2[10488][2]:=$F4DB;
map2[10489][1]:=$E6E0;map2[10489][2]:=$F4DA;
map2[10490][1]:=$E6E1;map2[10490][2]:=$F4D8;
map2[10491][1]:=$E6E2;map2[10491][2]:=$BC47;
map2[10492][1]:=$E6E3;map2[10492][2]:=$BE9D;
map2[10493][1]:=$E6E4;map2[10493][2]:=$BE81;
map2[10494][1]:=$E6E5;map2[10494][2]:=$BE90;
map2[10495][1]:=$E6E6;map2[10495][2]:=$BE8D;
map2[10496][1]:=$E6E7;map2[10496][2]:=$E7BD;
map2[10497][1]:=$E6E8;map2[10497][2]:=$E7C5;
map2[10498][1]:=$E6E9;map2[10498][2]:=$BF48;
map2[10499][1]:=$E6EA;map2[10499][2]:=$BEA0;
map2[10500][1]:=$E6EB;map2[10500][2]:=$E7C1;
map2[10501][1]:=$E6EC;map2[10501][2]:=$E7C2;
map2[10502][1]:=$E6ED;map2[10502][2]:=$E7C3;
map2[10503][1]:=$E6EE;map2[10503][2]:=$BE96;
map2[10504][1]:=$E6EF;map2[10504][2]:=$BE94;
map2[10505][1]:=$E6F0;map2[10505][2]:=$BE85;
map2[10506][1]:=$E6F1;map2[10506][2]:=$C153;
map2[10507][1]:=$E6F2;map2[10507][2]:=$C17B;
map2[10508][1]:=$E6F3;map2[10508][2]:=$F4CA;
map2[10509][1]:=$E6F4;map2[10509][2]:=$C17C;
map2[10510][1]:=$E6F5;map2[10510][2]:=$C246;
map2[10511][1]:=$E6F6;map2[10511][2]:=$C244;
map2[10512][1]:=$E6F7;map2[10512][2]:=$C243;
map2[10513][1]:=$E6F8;map2[10513][2]:=$C19A;
map2[10514][1]:=$E6F9;map2[10514][2]:=$F4E5;
map2[10515][1]:=$E6FA;map2[10515][2]:=$C242;
map2[10516][1]:=$E6FB;map2[10516][2]:=$C28A;
map2[10517][1]:=$E6FC;map2[10517][2]:=$C28D;
map2[10518][1]:=$E6FD;map2[10518][2]:=$EBF9;
map2[10519][1]:=$E6FE;map2[10519][2]:=$C479;
map2[10520][1]:=$E740;map2[10520][2]:=$C478;
map2[10521][1]:=$E741;map2[10521][2]:=$C44E;
map2[10522][1]:=$E742;map2[10522][2]:=$C47C;
map2[10523][1]:=$E743;map2[10523][2]:=$C476;
map2[10524][1]:=$E744;map2[10524][2]:=$C475;
map2[10525][1]:=$E745;map2[10525][2]:=$C6CC;
map2[10526][1]:=$E746;map2[10526][2]:=$F4BC;
map2[10527][1]:=$E747;map2[10527][2]:=$C58E;
map2[10528][1]:=$E748;map2[10528][2]:=$C58D;
map2[10529][1]:=$E749;map2[10529][2]:=$C58B;
map2[10530][1]:=$E74A;map2[10530][2]:=$C58A;
map2[10531][1]:=$E74B;map2[10531][2]:=$C58C;
map2[10532][1]:=$E74C;map2[10532][2]:=$CA5A;
map2[10533][1]:=$E74D;map2[10533][2]:=$DEA2;
map2[10534][1]:=$E74E;map2[10534][2]:=$CA4B;
map2[10535][1]:=$E74F;map2[10535][2]:=$C99E;
map2[10536][1]:=$E750;map2[10536][2]:=$CA5F;
map2[10537][1]:=$E751;map2[10537][2]:=$CA4A;
map2[10538][1]:=$E752;map2[10538][2]:=$CA46;
map2[10539][1]:=$E753;map2[10539][2]:=$CA49;
map2[10540][1]:=$E754;map2[10540][2]:=$DDFD;
map2[10541][1]:=$E755;map2[10541][2]:=$CA47;
map2[10542][1]:=$E756;map2[10542][2]:=$CA5D;
map2[10543][1]:=$E757;map2[10543][2]:=$CA54;
map2[10544][1]:=$E758;map2[10544][2]:=$C99B;
map2[10545][1]:=$E759;map2[10545][2]:=$C4E8;
map2[10546][1]:=$E75A;map2[10546][2]:=$C99A;
map2[10547][1]:=$E75B;map2[10547][2]:=$CA45;
map2[10548][1]:=$E75C;map2[10548][2]:=$DDF8;
map2[10549][1]:=$E75D;map2[10549][2]:=$DDBB;
map2[10550][1]:=$E75E;map2[10550][2]:=$CA60;
map2[10551][1]:=$E75F;map2[10551][2]:=$C992;
map2[10552][1]:=$E760;map2[10552][2]:=$CA4F;
map2[10553][1]:=$E761;map2[10553][2]:=$C997;
map2[10554][1]:=$E762;map2[10554][2]:=$C98D;
map2[10555][1]:=$E763;map2[10555][2]:=$C993;
map2[10556][1]:=$E764;map2[10556][2]:=$DEA4;
map2[10557][1]:=$E765;map2[10557][2]:=$CA4D;
map2[10558][1]:=$E766;map2[10558][2]:=$C98C;
map2[10559][1]:=$E767;map2[10559][2]:=$C98B;
map2[10560][1]:=$E768;map2[10560][2]:=$CA50;
map2[10561][1]:=$E769;map2[10561][2]:=$C99D;
map2[10562][1]:=$E76A;map2[10562][2]:=$CA5E;
map2[10563][1]:=$E76B;map2[10563][2]:=$CA55;
map2[10564][1]:=$E76C;map2[10564][2]:=$CA62;
map2[10565][1]:=$E76D;map2[10565][2]:=$C9A0;
map2[10566][1]:=$E76E;map2[10566][2]:=$DCEA;
map2[10567][1]:=$E76F;map2[10567][2]:=$DDE4;
map2[10568][1]:=$E770;map2[10568][2]:=$C996;
map2[10569][1]:=$E771;map2[10569][2]:=$CA65;
map2[10570][1]:=$E772;map2[10570][2]:=$DCE0;
map2[10571][1]:=$E773;map2[10571][2]:=$DDAF;
map2[10572][1]:=$E774;map2[10572][2]:=$C98A;
map2[10573][1]:=$E775;map2[10573][2]:=$DDFB;
map2[10574][1]:=$E776;map2[10574][2]:=$DCCA;
map2[10575][1]:=$E777;map2[10575][2]:=$C999;
map2[10576][1]:=$E778;map2[10576][2]:=$CA51;
map2[10577][1]:=$E779;map2[10577][2]:=$CA57;
map2[10578][1]:=$E77A;map2[10578][2]:=$CA64;
map2[10579][1]:=$E77B;map2[10579][2]:=$CA48;
map2[10580][1]:=$E77C;map2[10580][2]:=$CA52;
map2[10581][1]:=$E77D;map2[10581][2]:=$CA63;
map2[10582][1]:=$E77E;map2[10582][2]:=$EBBD;
map2[10583][1]:=$E7A1;map2[10583][2]:=$CE68;
map2[10584][1]:=$E7A2;map2[10584][2]:=$F2F6;
map2[10585][1]:=$E7A3;map2[10585][2]:=$F2F8;
map2[10586][1]:=$E7A4;map2[10586][2]:=$CE80;
map2[10587][1]:=$E7A5;map2[10587][2]:=$CF6A;
map2[10588][1]:=$E7A6;map2[10588][2]:=$CE7D;
map2[10589][1]:=$E7A7;map2[10589][2]:=$CE69;
map2[10590][1]:=$E7A8;map2[10590][2]:=$CE66;
map2[10591][1]:=$E7A9;map2[10591][2]:=$CE6B;
map2[10592][1]:=$E7AA;map2[10592][2]:=$CE65;
map2[10593][1]:=$E7AB;map2[10593][2]:=$CE70;
map2[10594][1]:=$E7AC;map2[10594][2]:=$CE6A;
map2[10595][1]:=$E7AD;map2[10595][2]:=$CE64;
map2[10596][1]:=$E7AE;map2[10596][2]:=$CE6E;
map2[10597][1]:=$E7AF;map2[10597][2]:=$CE79;
map2[10598][1]:=$E7B0;map2[10598][2]:=$CE76;
map2[10599][1]:=$E7B1;map2[10599][2]:=$CE63;
map2[10600][1]:=$E7B2;map2[10600][2]:=$D0AB;
map2[10601][1]:=$E7B3;map2[10601][2]:=$E2AC;
map2[10602][1]:=$E7B4;map2[10602][2]:=$CE6D;
map2[10603][1]:=$E7B5;map2[10603][2]:=$CE7A;
map2[10604][1]:=$E7B6;map2[10604][2]:=$CE78;
map2[10605][1]:=$E7B7;map2[10605][2]:=$CE83;
map2[10606][1]:=$E7B8;map2[10606][2]:=$F2F3;
map2[10607][1]:=$E7B9;map2[10607][2]:=$CE6C;
map2[10608][1]:=$E7BA;map2[10608][2]:=$F2FA;
map2[10609][1]:=$E7BB;map2[10609][2]:=$CE62;
map2[10610][1]:=$E7BC;map2[10610][2]:=$F2EF;
map2[10611][1]:=$E7BD;map2[10611][2]:=$CE7E;
map2[10612][1]:=$E7BE;map2[10612][2]:=$CE71;
map2[10613][1]:=$E7BF;map2[10613][2]:=$CE73;
map2[10614][1]:=$E7C0;map2[10614][2]:=$CE75;
map2[10615][1]:=$E7C1;map2[10615][2]:=$BAFA;
map2[10616][1]:=$E7C2;map2[10616][2]:=$D17B;
map2[10617][1]:=$E7C3;map2[10617][2]:=$D154;
map2[10618][1]:=$E7C4;map2[10618][2]:=$D187;
map2[10619][1]:=$E7C5;map2[10619][2]:=$D181;
map2[10620][1]:=$E7C6;map2[10620][2]:=$D18A;
map2[10621][1]:=$E7C7;map2[10621][2]:=$D084;
map2[10622][1]:=$E7C8;map2[10622][2]:=$F1D8;
map2[10623][1]:=$E7C9;map2[10623][2]:=$D17C;
map2[10624][1]:=$E7CA;map2[10624][2]:=$D189;
map2[10625][1]:=$E7CB;map2[10625][2]:=$D186;
map2[10626][1]:=$E7CC;map2[10626][2]:=$D184;
map2[10627][1]:=$E7CD;map2[10627][2]:=$D180;
map2[10628][1]:=$E7CE;map2[10628][2]:=$D340;
map2[10629][1]:=$E7CF;map2[10629][2]:=$D342;
map2[10630][1]:=$E7D0;map2[10630][2]:=$D341;
map2[10631][1]:=$E7D1;map2[10631][2]:=$D373;
map2[10632][1]:=$E7D2;map2[10632][2]:=$D375;
map2[10633][1]:=$E7D3;map2[10633][2]:=$D372;
map2[10634][1]:=$E7D4;map2[10634][2]:=$DAC1;
map2[10635][1]:=$E7D5;map2[10635][2]:=$D583;
map2[10636][1]:=$E7D6;map2[10636][2]:=$D574;
map2[10637][1]:=$E7D7;map2[10637][2]:=$D590;
map2[10638][1]:=$E7D8;map2[10638][2]:=$DAC2;
map2[10639][1]:=$E7D9;map2[10639][2]:=$D591;
map2[10640][1]:=$E7DA;map2[10640][2]:=$D592;
map2[10641][1]:=$E7DB;map2[10641][2]:=$D577;
map2[10642][1]:=$E7DC;map2[10642][2]:=$DAC5;
map2[10643][1]:=$E7DD;map2[10643][2]:=$D57A;
map2[10644][1]:=$E7DE;map2[10644][2]:=$D57C;
map2[10645][1]:=$E7DF;map2[10645][2]:=$D582;
map2[10646][1]:=$E7E0;map2[10646][2]:=$D595;
map2[10647][1]:=$E7E1;map2[10647][2]:=$D580;
map2[10648][1]:=$E7E2;map2[10648][2]:=$D576;
map2[10649][1]:=$E7E3;map2[10649][2]:=$D579;
map2[10650][1]:=$E7E4;map2[10650][2]:=$D596;
map2[10651][1]:=$E7E5;map2[10651][2]:=$D846;
map2[10652][1]:=$E7E6;map2[10652][2]:=$D850;
map2[10653][1]:=$E7E7;map2[10653][2]:=$D884;
map2[10654][1]:=$E7E8;map2[10654][2]:=$D977;
map2[10655][1]:=$E7E9;map2[10655][2]:=$D971;
map2[10656][1]:=$E7EA;map2[10656][2]:=$DA51;
map2[10657][1]:=$E7EB;map2[10657][2]:=$D97A;
map2[10658][1]:=$E7EC;map2[10658][2]:=$EAE3;
map2[10659][1]:=$E7ED;map2[10659][2]:=$D96F;
map2[10660][1]:=$E7EE;map2[10660][2]:=$EAE6;
map2[10661][1]:=$E7EF;map2[10661][2]:=$DA7D;
map2[10662][1]:=$E7F0;map2[10662][2]:=$DA7A;
map2[10663][1]:=$E7F1;map2[10663][2]:=$DA7E;
map2[10664][1]:=$E7F2;map2[10664][2]:=$DA79;
map2[10665][1]:=$E7F3;map2[10665][2]:=$DB6C;
map2[10666][1]:=$E7F4;map2[10666][2]:=$F5DB;
map2[10667][1]:=$E7F5;map2[10667][2]:=$DB6F;
map2[10668][1]:=$E7F6;map2[10668][2]:=$DB6E;
map2[10669][1]:=$E7F7;map2[10669][2]:=$F5DA;
map2[10670][1]:=$E7F8;map2[10670][2]:=$DB64;
map2[10671][1]:=$E7F9;map2[10671][2]:=$DB6A;
map2[10672][1]:=$E7FA;map2[10672][2]:=$DB65;
map2[10673][1]:=$E7FB;map2[10673][2]:=$DB61;
map2[10674][1]:=$E7FC;map2[10674][2]:=$DB68;
map2[10675][1]:=$E7FD;map2[10675][2]:=$DB70;
map2[10676][1]:=$E7FE;map2[10676][2]:=$DB71;
map2[10677][1]:=$E840;map2[10677][2]:=$F5D6;
map2[10678][1]:=$E841;map2[10678][2]:=$DB62;
map2[10679][1]:=$E842;map2[10679][2]:=$DB67;
map2[10680][1]:=$E843;map2[10680][2]:=$DB63;
map2[10681][1]:=$E844;map2[10681][2]:=$DB6B;
map2[10682][1]:=$E845;map2[10682][2]:=$DB66;
map2[10683][1]:=$E846;map2[10683][2]:=$DB69;
map2[10684][1]:=$E847;map2[10684][2]:=$DE63;
map2[10685][1]:=$E848;map2[10685][2]:=$DD80;
map2[10686][1]:=$E849;map2[10686][2]:=$DD73;
map2[10687][1]:=$E84A;map2[10687][2]:=$DD75;
map2[10688][1]:=$E84B;map2[10688][2]:=$DD7B;
map2[10689][1]:=$E84C;map2[10689][2]:=$DD7E;
map2[10690][1]:=$E84D;map2[10690][2]:=$DD71;
map2[10691][1]:=$E84E;map2[10691][2]:=$DD72;
map2[10692][1]:=$E84F;map2[10692][2]:=$DF75;
map2[10693][1]:=$E850;map2[10693][2]:=$DF72;
map2[10694][1]:=$E851;map2[10694][2]:=$DF71;
map2[10695][1]:=$E852;map2[10695][2]:=$DF6C;
map2[10696][1]:=$E853;map2[10696][2]:=$DF6F;
map2[10697][1]:=$E854;map2[10697][2]:=$DBB7;
map2[10698][1]:=$E855;map2[10698][2]:=$E08B;
map2[10699][1]:=$E856;map2[10699][2]:=$E089;
map2[10700][1]:=$E857;map2[10700][2]:=$E08A;
map2[10701][1]:=$E858;map2[10701][2]:=$B5A6;
map2[10702][1]:=$E859;map2[10702][2]:=$E086;
map2[10703][1]:=$E85A;map2[10703][2]:=$E08E;
map2[10704][1]:=$E85B;map2[10704][2]:=$F5AC;
map2[10705][1]:=$E85C;map2[10705][2]:=$E15C;
map2[10706][1]:=$E85D;map2[10706][2]:=$E15E;
map2[10707][1]:=$E85E;map2[10707][2]:=$E158;
map2[10708][1]:=$E85F;map2[10708][2]:=$E159;
map2[10709][1]:=$E860;map2[10709][2]:=$E15B;
map2[10710][1]:=$E861;map2[10710][2]:=$E157;
map2[10711][1]:=$E862;map2[10711][2]:=$E466;
map2[10712][1]:=$E863;map2[10712][2]:=$EFB6;
map2[10713][1]:=$E864;map2[10713][2]:=$E45B;
map2[10714][1]:=$E865;map2[10714][2]:=$E457;
map2[10715][1]:=$E866;map2[10715][2]:=$E89E;
map2[10716][1]:=$E867;map2[10716][2]:=$E44D;
map2[10717][1]:=$E868;map2[10717][2]:=$EEF2;
map2[10718][1]:=$E869;map2[10718][2]:=$EFAB;
map2[10719][1]:=$E86A;map2[10719][2]:=$EFB7;
map2[10720][1]:=$E86B;map2[10720][2]:=$E46E;
map2[10721][1]:=$E86C;map2[10721][2]:=$E89A;
map2[10722][1]:=$E86D;map2[10722][2]:=$E46D;
map2[10723][1]:=$E86E;map2[10723][2]:=$EFB2;
map2[10724][1]:=$E86F;map2[10724][2]:=$EEFA;
map2[10725][1]:=$E870;map2[10725][2]:=$EFAF;
map2[10726][1]:=$E871;map2[10726][2]:=$E459;
map2[10727][1]:=$E872;map2[10727][2]:=$EFB0;
map2[10728][1]:=$E873;map2[10728][2]:=$E460;
map2[10729][1]:=$E874;map2[10729][2]:=$F6C8;
map2[10730][1]:=$E875;map2[10730][2]:=$E464;
map2[10731][1]:=$E876;map2[10731][2]:=$EFB8;
map2[10732][1]:=$E877;map2[10732][2]:=$E463;
map2[10733][1]:=$E878;map2[10733][2]:=$E46B;
map2[10734][1]:=$E879;map2[10734][2]:=$E45F;
map2[10735][1]:=$E87A;map2[10735][2]:=$E476;
map2[10736][1]:=$E87B;map2[10736][2]:=$E474;
map2[10737][1]:=$E87C;map2[10737][2]:=$E47D;
map2[10738][1]:=$E87D;map2[10738][2]:=$E467;
map2[10739][1]:=$E87E;map2[10739][2]:=$E469;
map2[10740][1]:=$E8A1;map2[10740][2]:=$E44C;
map2[10741][1]:=$E8A2;map2[10741][2]:=$E477;
map2[10742][1]:=$E8A3;map2[10742][2]:=$E45D;
map2[10743][1]:=$E8A4;map2[10743][2]:=$E44B;
map2[10744][1]:=$E8A5;map2[10744][2]:=$E951;
map2[10745][1]:=$E8A6;map2[10745][2]:=$E3CF;
map2[10746][1]:=$E8A7;map2[10746][2]:=$E3CD;
map2[10747][1]:=$E8A8;map2[10747][2]:=$E983;
map2[10748][1]:=$E8A9;map2[10748][2]:=$E985;
map2[10749][1]:=$E8AA;map2[10749][2]:=$EB50;
map2[10750][1]:=$E8AB;map2[10750][2]:=$EB4E;
map2[10751][1]:=$E8AC;map2[10751][2]:=$EB6B;
map2[10752][1]:=$E8AD;map2[10752][2]:=$EB90;
map2[10753][1]:=$E8AE;map2[10753][2]:=$F6AC;
map2[10754][1]:=$E8AF;map2[10754][2]:=$EB8E;
map2[10755][1]:=$E8B0;map2[10755][2]:=$F6A6;
map2[10756][1]:=$E8B1;map2[10756][2]:=$EC93;
map2[10757][1]:=$E8B2;map2[10757][2]:=$EC95;
map2[10758][1]:=$E8B3;map2[10758][2]:=$EC91;
map2[10759][1]:=$E8B4;map2[10759][2]:=$ED6B;
map2[10760][1]:=$E8B5;map2[10760][2]:=$ED6A;
map2[10761][1]:=$E8B6;map2[10761][2]:=$EE4F;
map2[10762][1]:=$E8B7;map2[10762][2]:=$EE4E;
map2[10763][1]:=$E8B8;map2[10763][2]:=$F2A4;
map2[10764][1]:=$E8B9;map2[10764][2]:=$EE5A;
map2[10765][1]:=$E8BA;map2[10765][2]:=$EE59;
map2[10766][1]:=$E8BB;map2[10766][2]:=$EE51;
map2[10767][1]:=$E8BC;map2[10767][2]:=$EE4C;
map2[10768][1]:=$E8BD;map2[10768][2]:=$EE58;
map2[10769][1]:=$E8BE;map2[10769][2]:=$EF56;
map2[10770][1]:=$E8BF;map2[10770][2]:=$F040;
map2[10771][1]:=$E8C0;map2[10771][2]:=$EF93;
map2[10772][1]:=$E8C1;map2[10772][2]:=$E2C4;
map2[10773][1]:=$E8C2;map2[10773][2]:=$F04A;
map2[10774][1]:=$E8C3;map2[10774][2]:=$F09D;
map2[10775][1]:=$E8C4;map2[10775][2]:=$F04D;
map2[10776][1]:=$E8C5;map2[10776][2]:=$F09E;
map2[10777][1]:=$E8C6;map2[10777][2]:=$F183;
map2[10778][1]:=$E8C7;map2[10778][2]:=$F173;
map2[10779][1]:=$E8C8;map2[10779][2]:=$F175;
map2[10780][1]:=$E8C9;map2[10780][2]:=$F179;
map2[10781][1]:=$E8CA;map2[10781][2]:=$E6E0;
map2[10782][1]:=$E8CB;map2[10782][2]:=$F174;
map2[10783][1]:=$E8CC;map2[10783][2]:=$F16F;
map2[10784][1]:=$E8CD;map2[10784][2]:=$F17C;
map2[10785][1]:=$E8CE;map2[10785][2]:=$E6E6;
map2[10786][1]:=$E8CF;map2[10786][2]:=$F171;
map2[10787][1]:=$E8D0;map2[10787][2]:=$F17D;
map2[10788][1]:=$E8D1;map2[10788][2]:=$F172;
map2[10789][1]:=$E8D2;map2[10789][2]:=$F363;
map2[10790][1]:=$E8D3;map2[10790][2]:=$F38B;
map2[10791][1]:=$E8D4;map2[10791][2]:=$F7D8;
map2[10792][1]:=$E8D5;map2[10792][2]:=$F390;
map2[10793][1]:=$E8D6;map2[10793][2]:=$F38F;
map2[10794][1]:=$E8D7;map2[10794][2]:=$F38E;
map2[10795][1]:=$E8D8;map2[10795][2]:=$F471;
map2[10796][1]:=$E8D9;map2[10796][2]:=$F7C9;
map2[10797][1]:=$E8DA;map2[10797][2]:=$F48C;
map2[10798][1]:=$E8DB;map2[10798][2]:=$F6D0;
map2[10799][1]:=$E8DC;map2[10799][2]:=$F496;
map2[10800][1]:=$E8DD;map2[10800][2]:=$F48B;
map2[10801][1]:=$E8DE;map2[10801][2]:=$F49B;
map2[10802][1]:=$E8DF;map2[10802][2]:=$F49A;
map2[10803][1]:=$E8E0;map2[10803][2]:=$F495;
map2[10804][1]:=$E8E1;map2[10804][2]:=$F783;
map2[10805][1]:=$E8E2;map2[10805][2]:=$F489;
map2[10806][1]:=$E8E3;map2[10806][2]:=$F491;
map2[10807][1]:=$E8E4;map2[10807][2]:=$F859;
map2[10808][1]:=$E8E5;map2[10808][2]:=$F857;
map2[10809][1]:=$E8E6;map2[10809][2]:=$F85A;
map2[10810][1]:=$E8E7;map2[10810][2]:=$F85C;
map2[10811][1]:=$E8E8;map2[10811][2]:=$F854;
map2[10812][1]:=$E8E9;map2[10812][2]:=$F0B1;
map2[10813][1]:=$E8EA;map2[10813][2]:=$F85D;
map2[10814][1]:=$E8EB;map2[10814][2]:=$F856;
map2[10815][1]:=$E8EC;map2[10815][2]:=$F858;
map2[10816][1]:=$E8ED;map2[10816][2]:=$F865;
map2[10817][1]:=$E8EE;map2[10817][2]:=$F862;
map2[10818][1]:=$E8EF;map2[10818][2]:=$F861;
map2[10819][1]:=$E8F0;map2[10819][2]:=$FB81;
map2[10820][1]:=$E8F1;map2[10820][2]:=$FC5D;
map2[10821][1]:=$E8F2;map2[10821][2]:=$FC86;
map2[10822][1]:=$E8F3;map2[10822][2]:=$D8BE;
map2[10823][1]:=$E8F4;map2[10823][2]:=$8391;
map2[10824][1]:=$E8F5;map2[10824][2]:=$8388;
map2[10825][1]:=$E8F6;map2[10825][2]:=$838C;
map2[10826][1]:=$E8F7;map2[10826][2]:=$838F;
map2[10827][1]:=$E8F8;map2[10827][2]:=$8387;
map2[10828][1]:=$E8F9;map2[10828][2]:=$8444;
map2[10829][1]:=$E8FA;map2[10829][2]:=$8557;
map2[10830][1]:=$E8FB;map2[10830][2]:=$85B1;
map2[10831][1]:=$E8FC;map2[10831][2]:=$8787;
map2[10832][1]:=$E8FD;map2[10832][2]:=$DFD5;
map2[10833][1]:=$E8FE;map2[10833][2]:=$8785;
map2[10834][1]:=$E940;map2[10834][2]:=$8789;
map2[10835][1]:=$E941;map2[10835][2]:=$DFDC;
map2[10836][1]:=$E942;map2[10836][2]:=$8780;
map2[10837][1]:=$E943;map2[10837][2]:=$8784;
map2[10838][1]:=$E944;map2[10838][2]:=$DFE0;
map2[10839][1]:=$E945;map2[10839][2]:=$877B;
map2[10840][1]:=$E946;map2[10840][2]:=$878C;
map2[10841][1]:=$E947;map2[10841][2]:=$E0F7;
map2[10842][1]:=$E948;map2[10842][2]:=$8849;
map2[10843][1]:=$E949;map2[10843][2]:=$89B0;
map2[10844][1]:=$E94A;map2[10844][2]:=$89A7;
map2[10845][1]:=$E94B;map2[10845][2]:=$89B1;
map2[10846][1]:=$E94C;map2[10846][2]:=$89A9;
map2[10847][1]:=$E94D;map2[10847][2]:=$89A5;
map2[10848][1]:=$E94E;map2[10848][2]:=$89AB;
map2[10849][1]:=$E94F;map2[10849][2]:=$DBD4;
map2[10850][1]:=$E950;map2[10850][2]:=$89AE;
map2[10851][1]:=$E951;map2[10851][2]:=$E6D3;
map2[10852][1]:=$E952;map2[10852][2]:=$E6CD;
map2[10853][1]:=$E953;map2[10853][2]:=$8BD6;
map2[10854][1]:=$E954;map2[10854][2]:=$E6C8;
map2[10855][1]:=$E955;map2[10855][2]:=$8BD1;
map2[10856][1]:=$E956;map2[10856][2]:=$8BD0;
map2[10857][1]:=$E957;map2[10857][2]:=$8BCD;
map2[10858][1]:=$E958;map2[10858][2]:=$E6D4;
map2[10859][1]:=$E959;map2[10859][2]:=$8BE3;
map2[10860][1]:=$E95A;map2[10860][2]:=$8BD5;
map2[10861][1]:=$E95B;map2[10861][2]:=$8BDB;
map2[10862][1]:=$E95C;map2[10862][2]:=$8BD9;
map2[10863][1]:=$E95D;map2[10863][2]:=$8C94;
map2[10864][1]:=$E95E;map2[10864][2]:=$8E4B;
map2[10865][1]:=$E95F;map2[10865][2]:=$8E50;
map2[10866][1]:=$E960;map2[10866][2]:=$8E48;
map2[10867][1]:=$E961;map2[10867][2]:=$E1BB;
map2[10868][1]:=$E962;map2[10868][2]:=$8E54;
map2[10869][1]:=$E963;map2[10869][2]:=$8E4F;
map2[10870][1]:=$E964;map2[10870][2]:=$8D81;
map2[10871][1]:=$E965;map2[10871][2]:=$8E49;
map2[10872][1]:=$E966;map2[10872][2]:=$8D4E;
map2[10873][1]:=$E967;map2[10873][2]:=$8E51;
map2[10874][1]:=$E968;map2[10874][2]:=$8E4C;
map2[10875][1]:=$E969;map2[10875][2]:=$8E4E;
map2[10876][1]:=$E96A;map2[10876][2]:=$E1AE;
map2[10877][1]:=$E96B;map2[10877][2]:=$8EC9;
map2[10878][1]:=$E96C;map2[10878][2]:=$8ECA;
map2[10879][1]:=$E96D;map2[10879][2]:=$8EC8;
map2[10880][1]:=$E96E;map2[10880][2]:=$8ED1;
map2[10881][1]:=$E96F;map2[10881][2]:=$E2DE;
map2[10882][1]:=$E970;map2[10882][2]:=$8F5A;
map2[10883][1]:=$E971;map2[10883][2]:=$8F59;
map2[10884][1]:=$E972;map2[10884][2]:=$E2DD;
map2[10885][1]:=$E973;map2[10885][2]:=$8F58;
map2[10886][1]:=$E974;map2[10886][2]:=$8F9A;
map2[10887][1]:=$E975;map2[10887][2]:=$E1E8;
map2[10888][1]:=$E976;map2[10888][2]:=$EDAD;
map2[10889][1]:=$E977;map2[10889][2]:=$BAA9;
map2[10890][1]:=$E978;map2[10890][2]:=$915C;
map2[10891][1]:=$E979;map2[10891][2]:=$91A7;
map2[10892][1]:=$E97A;map2[10892][2]:=$9199;
map2[10893][1]:=$E97B;map2[10893][2]:=$91A8;
map2[10894][1]:=$E97C;map2[10894][2]:=$91A4;
map2[10895][1]:=$E97D;map2[10895][2]:=$E2F8;
map2[10896][1]:=$E97E;map2[10896][2]:=$919E;
map2[10897][1]:=$E9A1;map2[10897][2]:=$91A2;
map2[10898][1]:=$E9A2;map2[10898][2]:=$919C;
map2[10899][1]:=$E9A3;map2[10899][2]:=$9177;
map2[10900][1]:=$E9A4;map2[10900][2]:=$DFA8;
map2[10901][1]:=$E9A5;map2[10901][2]:=$93FC;
map2[10902][1]:=$E9A6;map2[10902][2]:=$DFA7;
map2[10903][1]:=$E9A7;map2[10903][2]:=$93F7;
map2[10904][1]:=$E9A8;map2[10904][2]:=$93F3;
map2[10905][1]:=$E9A9;map2[10905][2]:=$93EA;
map2[10906][1]:=$E9AA;map2[10906][2]:=$93C7;
map2[10907][1]:=$E9AB;map2[10907][2]:=$93EE;
map2[10908][1]:=$E9AC;map2[10908][2]:=$9440;
map2[10909][1]:=$E9AD;map2[10909][2]:=$9454;
map2[10910][1]:=$E9AE;map2[10910][2]:=$93FD;
map2[10911][1]:=$E9AF;map2[10911][2]:=$948D;
map2[10912][1]:=$E9B0;map2[10912][2]:=$94BC;
map2[10913][1]:=$E9B1;map2[10913][2]:=$94B9;
map2[10914][1]:=$E9B2;map2[10914][2]:=$94D3;
map2[10915][1]:=$E9B3;map2[10915][2]:=$95D3;
map2[10916][1]:=$E9B4;map2[10916][2]:=$EAD5;
map2[10917][1]:=$E9B5;map2[10917][2]:=$95CB;
map2[10918][1]:=$E9B6;map2[10918][2]:=$95D5;
map2[10919][1]:=$E9B7;map2[10919][2]:=$95D6;
map2[10920][1]:=$E9B8;map2[10920][2]:=$CFF2;
map2[10921][1]:=$E9B9;map2[10921][2]:=$95C9;
map2[10922][1]:=$E9BA;map2[10922][2]:=$95C7;
map2[10923][1]:=$E9BB;map2[10923][2]:=$95C6;
map2[10924][1]:=$E9BC;map2[10924][2]:=$95D7;
map2[10925][1]:=$E9BD;map2[10925][2]:=$9653;
map2[10926][1]:=$E9BE;map2[10926][2]:=$98E0;
map2[10927][1]:=$E9BF;map2[10927][2]:=$9948;
map2[10928][1]:=$E9C0;map2[10928][2]:=$98F0;
map2[10929][1]:=$E9C1;map2[10929][2]:=$9949;
map2[10930][1]:=$E9C2;map2[10930][2]:=$98DE;
map2[10931][1]:=$E9C3;map2[10931][2]:=$994A;
map2[10932][1]:=$E9C4;map2[10932][2]:=$E9D0;
map2[10933][1]:=$E9C5;map2[10933][2]:=$9941;
map2[10934][1]:=$E9C6;map2[10934][2]:=$994F;
map2[10935][1]:=$E9C7;map2[10935][2]:=$9957;
map2[10936][1]:=$E9C8;map2[10936][2]:=$E9D3;
map2[10937][1]:=$E9C9;map2[10937][2]:=$98F7;
map2[10938][1]:=$E9CA;map2[10938][2]:=$E9D8;
map2[10939][1]:=$E9CB;map2[10939][2]:=$98FE;
map2[10940][1]:=$E9CC;map2[10940][2]:=$98E6;
map2[10941][1]:=$E9CD;map2[10941][2]:=$98E8;
map2[10942][1]:=$E9CE;map2[10942][2]:=$98EA;
map2[10943][1]:=$E9CF;map2[10943][2]:=$994C;
map2[10944][1]:=$E9D0;map2[10944][2]:=$9947;
map2[10945][1]:=$E9D1;map2[10945][2]:=$E9D2;
map2[10946][1]:=$E9D2;map2[10946][2]:=$98F6;
map2[10947][1]:=$E9D3;map2[10947][2]:=$98FA;
map2[10948][1]:=$E9D4;map2[10948][2]:=$9951;
map2[10949][1]:=$E9D5;map2[10949][2]:=$994B;
map2[10950][1]:=$E9D6;map2[10950][2]:=$9944;
map2[10951][1]:=$E9D7;map2[10951][2]:=$98E7;
map2[10952][1]:=$E9D8;map2[10952][2]:=$9942;
map2[10953][1]:=$E9D9;map2[10953][2]:=$98FC;
map2[10954][1]:=$E9DA;map2[10954][2]:=$98FB;
map2[10955][1]:=$E9DB;map2[10955][2]:=$98F4;
map2[10956][1]:=$E9DC;map2[10956][2]:=$98F5;
map2[10957][1]:=$E9DD;map2[10957][2]:=$98EE;
map2[10958][1]:=$E9DE;map2[10958][2]:=$9A5C;
map2[10959][1]:=$E9DF;map2[10959][2]:=$9A5B;
map2[10960][1]:=$E9E0;map2[10960][2]:=$9A5D;
map2[10961][1]:=$E9E1;map2[10961][2]:=$9A94;
map2[10962][1]:=$E9E2;map2[10962][2]:=$E9EC;
map2[10963][1]:=$E9E3;map2[10963][2]:=$E9E9;
map2[10964][1]:=$E9E4;map2[10964][2]:=$9AAC;
map2[10965][1]:=$E9E5;map2[10965][2]:=$9AAB;
map2[10966][1]:=$E9E6;map2[10966][2]:=$9AD5;
map2[10967][1]:=$E9E7;map2[10967][2]:=$9AD4;
map2[10968][1]:=$E9E8;map2[10968][2]:=$EBAB;
map2[10969][1]:=$E9E9;map2[10969][2]:=$9DD1;
map2[10970][1]:=$E9EA;map2[10970][2]:=$9DE9;
map2[10971][1]:=$E9EB;map2[10971][2]:=$9DC8;
map2[10972][1]:=$E9EC;map2[10972][2]:=$9DE6;
map2[10973][1]:=$E9ED;map2[10973][2]:=$9DDD;
map2[10974][1]:=$E9EE;map2[10974][2]:=$9DEC;
map2[10975][1]:=$E9EF;map2[10975][2]:=$9DE7;
map2[10976][1]:=$E9F0;map2[10976][2]:=$C2BA;
map2[10977][1]:=$E9F1;map2[10977][2]:=$9DE3;
map2[10978][1]:=$E9F2;map2[10978][2]:=$9DDE;
map2[10979][1]:=$E9F3;map2[10979][2]:=$9DC4;
map2[10980][1]:=$E9F4;map2[10980][2]:=$9DE8;
map2[10981][1]:=$E9F5;map2[10981][2]:=$9DCC;
map2[10982][1]:=$E9F6;map2[10982][2]:=$9E5C;
map2[10983][1]:=$E9F7;map2[10983][2]:=$9DCA;
map2[10984][1]:=$E9F8;map2[10984][2]:=$E4AB;
map2[10985][1]:=$E9F9;map2[10985][2]:=$9DDB;
map2[10986][1]:=$E9FA;map2[10986][2]:=$9DD0;
map2[10987][1]:=$E9FB;map2[10987][2]:=$9DCE;
map2[10988][1]:=$E9FC;map2[10988][2]:=$9DED;
map2[10989][1]:=$E9FD;map2[10989][2]:=$9DE0;
map2[10990][1]:=$E9FE;map2[10990][2]:=$9DDA;
map2[10991][1]:=$EA40;map2[10991][2]:=$9DC7;
map2[10992][1]:=$EA41;map2[10992][2]:=$E5A1;
map2[10993][1]:=$EA42;map2[10993][2]:=$9DCF;
map2[10994][1]:=$EA43;map2[10994][2]:=$9DEB;
map2[10995][1]:=$EA44;map2[10995][2]:=$9DD3;
map2[10996][1]:=$EA45;map2[10996][2]:=$9DD6;
map2[10997][1]:=$EA46;map2[10997][2]:=$9DD4;
map2[10998][1]:=$EA47;map2[10998][2]:=$9FF1;
map2[10999][1]:=$EA48;map2[10999][2]:=$9FEF;
map2[11000][1]:=$EA49;map2[11000][2]:=$9FEC;
map2[11001][1]:=$EA4A;map2[11001][2]:=$9FE6;
map2[11002][1]:=$EA4B;map2[11002][2]:=$A040;
map2[11003][1]:=$EA4C;map2[11003][2]:=$9FED;
map2[11004][1]:=$EA4D;map2[11004][2]:=$ECC7;
map2[11005][1]:=$EA4E;map2[11005][2]:=$9FF7;
map2[11006][1]:=$EA4F;map2[11006][2]:=$ECDC;
map2[11007][1]:=$EA50;map2[11007][2]:=$9FF6;
map2[11008][1]:=$EA51;map2[11008][2]:=$9FF3;
map2[11009][1]:=$EA52;map2[11009][2]:=$9FFA;
map2[11010][1]:=$EA53;map2[11010][2]:=$9FEA;
map2[11011][1]:=$EA54;map2[11011][2]:=$A042;
map2[11012][1]:=$EA55;map2[11012][2]:=$9FE9;
map2[11013][1]:=$EA56;map2[11013][2]:=$9FF2;
map2[11014][1]:=$EA57;map2[11014][2]:=$A044;
map2[11015][1]:=$EA58;map2[11015][2]:=$A045;
map2[11016][1]:=$EA59;map2[11016][2]:=$A0D5;
map2[11017][1]:=$EA5A;map2[11017][2]:=$A0D6;
map2[11018][1]:=$EA5B;map2[11018][2]:=$AA9B;
map2[11019][1]:=$EA5C;map2[11019][2]:=$AA98;
map2[11020][1]:=$EA5D;map2[11020][2]:=$AA99;
map2[11021][1]:=$EA5E;map2[11021][2]:=$E2B3;
map2[11022][1]:=$EA5F;map2[11022][2]:=$AA97;
map2[11023][1]:=$EA60;map2[11023][2]:=$E1FD;
map2[11024][1]:=$EA61;map2[11024][2]:=$E1F6;
map2[11025][1]:=$EA62;map2[11025][2]:=$AD43;
map2[11026][1]:=$EA63;map2[11026][2]:=$AD57;
map2[11027][1]:=$EA64;map2[11027][2]:=$AD5B;
map2[11028][1]:=$EA65;map2[11028][2]:=$AD51;
map2[11029][1]:=$EA66;map2[11029][2]:=$AD4F;
map2[11030][1]:=$EA67;map2[11030][2]:=$AD52;
map2[11031][1]:=$EA68;map2[11031][2]:=$AC51;
map2[11032][1]:=$EA69;map2[11032][2]:=$AE53;
map2[11033][1]:=$EA6A;map2[11033][2]:=$AE9B;
map2[11034][1]:=$EA6B;map2[11034][2]:=$AF95;
map2[11035][1]:=$EA6C;map2[11035][2]:=$F1A6;
map2[11036][1]:=$EA6D;map2[11036][2]:=$AF96;
map2[11037][1]:=$EA6E;map2[11037][2]:=$AF9D;
map2[11038][1]:=$EA6F;map2[11038][2]:=$F1AC;
map2[11039][1]:=$EA70;map2[11039][2]:=$F1A2;
map2[11040][1]:=$EA71;map2[11040][2]:=$F1A9;
map2[11041][1]:=$EA72;map2[11041][2]:=$AF97;
map2[11042][1]:=$EA73;map2[11042][2]:=$F1A7;
map2[11043][1]:=$EA74;map2[11043][2]:=$B09A;
map2[11044][1]:=$EA75;map2[11044][2]:=$B151;
map2[11045][1]:=$EA76;map2[11045][2]:=$B269;
map2[11046][1]:=$EA77;map2[11046][2]:=$B26C;
map2[11047][1]:=$EA78;map2[11047][2]:=$B26E;
map2[11048][1]:=$EA79;map2[11048][2]:=$B26B;
map2[11049][1]:=$EA7A;map2[11049][2]:=$B26A;
map2[11050][1]:=$EA7B;map2[11050][2]:=$DEAB;
map2[11051][1]:=$EA7C;map2[11051][2]:=$B26F;
map2[11052][1]:=$EA7D;map2[11052][2]:=$B264;
map2[11053][1]:=$EA7E;map2[11053][2]:=$B268;
map2[11054][1]:=$EAA1;map2[11054][2]:=$B266;
map2[11055][1]:=$EAA2;map2[11055][2]:=$B478;
map2[11056][1]:=$EAA3;map2[11056][2]:=$B484;
map2[11057][1]:=$EAA4;map2[11057][2]:=$B481;
map2[11058][1]:=$EAA5;map2[11058][2]:=$B485;
map2[11059][1]:=$EAA6;map2[11059][2]:=$B479;
map2[11060][1]:=$EAA7;map2[11060][2]:=$EDD7;
map2[11061][1]:=$EAA8;map2[11061][2]:=$B476;
map2[11062][1]:=$EAA9;map2[11062][2]:=$B47C;
map2[11063][1]:=$EAAA;map2[11063][2]:=$B47D;
map2[11064][1]:=$EAAB;map2[11064][2]:=$B487;
map2[11065][1]:=$EAAC;map2[11065][2]:=$B47A;
map2[11066][1]:=$EAAD;map2[11066][2]:=$B47B;
map2[11067][1]:=$EAAE;map2[11067][2]:=$B650;
map2[11068][1]:=$EAAF;map2[11068][2]:=$B75D;
map2[11069][1]:=$EAB0;map2[11069][2]:=$B760;
map2[11070][1]:=$EAB1;map2[11070][2]:=$B75F;
map2[11071][1]:=$EAB2;map2[11071][2]:=$F1C0;
map2[11072][1]:=$EAB3;map2[11072][2]:=$B84F;
map2[11073][1]:=$EAB4;map2[11073][2]:=$B84C;
map2[11074][1]:=$EAB5;map2[11074][2]:=$B849;
map2[11075][1]:=$EAB6;map2[11075][2]:=$B84E;
map2[11076][1]:=$EAB7;map2[11076][2]:=$BA51;
map2[11077][1]:=$EAB8;map2[11077][2]:=$BA55;
map2[11078][1]:=$EAB9;map2[11078][2]:=$BA57;
map2[11079][1]:=$EABA;map2[11079][2]:=$F3F4;
map2[11080][1]:=$EABB;map2[11080][2]:=$BA4B;
map2[11081][1]:=$EABC;map2[11081][2]:=$F3F6;
map2[11082][1]:=$EABD;map2[11082][2]:=$F3F5;
map2[11083][1]:=$EABE;map2[11083][2]:=$BA58;
map2[11084][1]:=$EABF;map2[11084][2]:=$BA65;
map2[11085][1]:=$EAC0;map2[11085][2]:=$BA4A;
map2[11086][1]:=$EAC1;map2[11086][2]:=$F3F8;
map2[11087][1]:=$EAC2;map2[11087][2]:=$BA54;
map2[11088][1]:=$EAC3;map2[11088][2]:=$BA50;
map2[11089][1]:=$EAC4;map2[11089][2]:=$BA5A;
map2[11090][1]:=$EAC5;map2[11090][2]:=$BA4E;
map2[11091][1]:=$EAC6;map2[11091][2]:=$BA52;
map2[11092][1]:=$EAC7;map2[11092][2]:=$BC4C;
map2[11093][1]:=$EAC8;map2[11093][2]:=$BC4E;
map2[11094][1]:=$EAC9;map2[11094][2]:=$F4DC;
map2[11095][1]:=$EACA;map2[11095][2]:=$BC4A;
map2[11096][1]:=$EACB;map2[11096][2]:=$BC4B;
map2[11097][1]:=$EACC;map2[11097][2]:=$BF57;
map2[11098][1]:=$EACD;map2[11098][2]:=$BF66;
map2[11099][1]:=$EACE;map2[11099][2]:=$C08A;
map2[11100][1]:=$EACF;map2[11100][2]:=$BF51;
map2[11101][1]:=$EAD0;map2[11101][2]:=$E7C8;
map2[11102][1]:=$EAD1;map2[11102][2]:=$BF65;
map2[11103][1]:=$EAD2;map2[11103][2]:=$BF58;
map2[11104][1]:=$EAD3;map2[11104][2]:=$BF53;
map2[11105][1]:=$EAD4;map2[11105][2]:=$BF61;
map2[11106][1]:=$EAD5;map2[11106][2]:=$C088;
map2[11107][1]:=$EAD6;map2[11107][2]:=$CCD0;
map2[11108][1]:=$EAD7;map2[11108][2]:=$BF67;
map2[11109][1]:=$EAD8;map2[11109][2]:=$E7C4;
map2[11110][1]:=$EAD9;map2[11110][2]:=$BF54;
map2[11111][1]:=$EADA;map2[11111][2]:=$BF5B;
map2[11112][1]:=$EADB;map2[11112][2]:=$BF52;
map2[11113][1]:=$EADC;map2[11113][2]:=$BF59;
map2[11114][1]:=$EADD;map2[11114][2]:=$BF6A;
map2[11115][1]:=$EADE;map2[11115][2]:=$BF69;
map2[11116][1]:=$EADF;map2[11116][2]:=$C094;
map2[11117][1]:=$EAE0;map2[11117][2]:=$C157;
map2[11118][1]:=$EAE1;map2[11118][2]:=$C158;
map2[11119][1]:=$EAE2;map2[11119][2]:=$C156;
map2[11120][1]:=$EAE3;map2[11120][2]:=$C17E;
map2[11121][1]:=$EAE4;map2[11121][2]:=$C247;
map2[11122][1]:=$EAE5;map2[11122][2]:=$C5D5;
map2[11123][1]:=$EAE6;map2[11123][2]:=$F1F0;
map2[11124][1]:=$EAE7;map2[11124][2]:=$C290;
map2[11125][1]:=$EAE8;map2[11125][2]:=$C488;
map2[11126][1]:=$EAE9;map2[11126][2]:=$ECA2;
map2[11127][1]:=$EAEA;map2[11127][2]:=$C485;
map2[11128][1]:=$EAEB;map2[11128][2]:=$C48F;
map2[11129][1]:=$EAEC;map2[11129][2]:=$C48B;
map2[11130][1]:=$EAED;map2[11130][2]:=$C482;
map2[11131][1]:=$EAEE;map2[11131][2]:=$C487;
map2[11132][1]:=$EAEF;map2[11132][2]:=$C483;
map2[11133][1]:=$EAF0;map2[11133][2]:=$C48A;
map2[11134][1]:=$EAF1;map2[11134][2]:=$C489;
map2[11135][1]:=$EAF2;map2[11135][2]:=$C48D;
map2[11136][1]:=$EAF3;map2[11136][2]:=$C480;
map2[11137][1]:=$EAF4;map2[11137][2]:=$C559;
map2[11138][1]:=$EAF5;map2[11138][2]:=$C590;
map2[11139][1]:=$EAF6;map2[11139][2]:=$C591;
map2[11140][1]:=$EAF7;map2[11140][2]:=$C592;
map2[11141][1]:=$EAF8;map2[11141][2]:=$DEA1;
map2[11142][1]:=$EAF9;map2[11142][2]:=$CA71;
map2[11143][1]:=$EAFA;map2[11143][2]:=$CA90;
map2[11144][1]:=$EAFB;map2[11144][2]:=$CA76;
map2[11145][1]:=$EAFC;map2[11145][2]:=$DCBF;
map2[11146][1]:=$EAFD;map2[11146][2]:=$CA88;
map2[11147][1]:=$EAFE;map2[11147][2]:=$DCE9;
map2[11148][1]:=$EB40;map2[11148][2]:=$CA6D;
map2[11149][1]:=$EB41;map2[11149][2]:=$DDDB;
map2[11150][1]:=$EB42;map2[11150][2]:=$DEA8;
map2[11151][1]:=$EB43;map2[11151][2]:=$DDA1;
map2[11152][1]:=$EB44;map2[11152][2]:=$DDDE;
map2[11153][1]:=$EB45;map2[11153][2]:=$CA70;
map2[11154][1]:=$EB46;map2[11154][2]:=$CA7A;
map2[11155][1]:=$EB47;map2[11155][2]:=$CA73;
map2[11156][1]:=$EB48;map2[11156][2]:=$CA8A;
map2[11157][1]:=$EB49;map2[11157][2]:=$CA6B;
map2[11158][1]:=$EB4A;map2[11158][2]:=$CA83;
map2[11159][1]:=$EB4B;map2[11159][2]:=$CA96;
map2[11160][1]:=$EB4C;map2[11160][2]:=$DCF1;
map2[11161][1]:=$EB4D;map2[11161][2]:=$CA93;
map2[11162][1]:=$EB4E;map2[11162][2]:=$CA98;
map2[11163][1]:=$EB4F;map2[11163][2]:=$DDB5;
map2[11164][1]:=$EB50;map2[11164][2]:=$CA8D;
map2[11165][1]:=$EB51;map2[11165][2]:=$CA87;
map2[11166][1]:=$EB52;map2[11166][2]:=$DCBC;
map2[11167][1]:=$EB53;map2[11167][2]:=$CA8C;
map2[11168][1]:=$EB54;map2[11168][2]:=$CA85;
map2[11169][1]:=$EB55;map2[11169][2]:=$CA7D;
map2[11170][1]:=$EB56;map2[11170][2]:=$CA8B;
map2[11171][1]:=$EB57;map2[11171][2]:=$CA91;
map2[11172][1]:=$EB58;map2[11172][2]:=$CC99;
map2[11173][1]:=$EB59;map2[11173][2]:=$CC9B;
map2[11174][1]:=$EB5A;map2[11174][2]:=$CC9A;
map2[11175][1]:=$EB5B;map2[11175][2]:=$CE98;
map2[11176][1]:=$EB5C;map2[11176][2]:=$CE8E;
map2[11177][1]:=$EB5D;map2[11177][2]:=$F3A5;
map2[11178][1]:=$EB5E;map2[11178][2]:=$F2FB;
map2[11179][1]:=$EB5F;map2[11179][2]:=$CE91;
map2[11180][1]:=$EB60;map2[11180][2]:=$F3A2;
map2[11181][1]:=$EB61;map2[11181][2]:=$CE86;
map2[11182][1]:=$EB62;map2[11182][2]:=$CE94;
map2[11183][1]:=$EB63;map2[11183][2]:=$D2CF;
map2[11184][1]:=$EB64;map2[11184][2]:=$CE82;
map2[11185][1]:=$EB65;map2[11185][2]:=$CE89;
map2[11186][1]:=$EB66;map2[11186][2]:=$CE9F;
map2[11187][1]:=$EB67;map2[11187][2]:=$F3A3;
map2[11188][1]:=$EB68;map2[11188][2]:=$CE8F;
map2[11189][1]:=$EB69;map2[11189][2]:=$CE90;
map2[11190][1]:=$EB6A;map2[11190][2]:=$CE9A;
map2[11191][1]:=$EB6B;map2[11191][2]:=$F2CF;
map2[11192][1]:=$EB6C;map2[11192][2]:=$CE92;
map2[11193][1]:=$EB6D;map2[11193][2]:=$CE99;
map2[11194][1]:=$EB6E;map2[11194][2]:=$CE97;
map2[11195][1]:=$EB6F;map2[11195][2]:=$CE8A;
map2[11196][1]:=$EB70;map2[11196][2]:=$D18E;
map2[11197][1]:=$EB71;map2[11197][2]:=$D194;
map2[11198][1]:=$EB72;map2[11198][2]:=$E5BD;
map2[11199][1]:=$EB73;map2[11199][2]:=$D199;
map2[11200][1]:=$EB74;map2[11200][2]:=$D19A;
map2[11201][1]:=$EB75;map2[11201][2]:=$D195;
map2[11202][1]:=$EB76;map2[11202][2]:=$D19C;
map2[11203][1]:=$EB77;map2[11203][2]:=$D191;
map2[11204][1]:=$EB78;map2[11204][2]:=$D197;
map2[11205][1]:=$EB79;map2[11205][2]:=$D192;
map2[11206][1]:=$EB7A;map2[11206][2]:=$D19B;
map2[11207][1]:=$EB7B;map2[11207][2]:=$D198;
map2[11208][1]:=$EB7C;map2[11208][2]:=$D18F;
map2[11209][1]:=$EB7D;map2[11209][2]:=$D376;
map2[11210][1]:=$EB7E;map2[11210][2]:=$D59D;
map2[11211][1]:=$EBA1;map2[11211][2]:=$DABB;
map2[11212][1]:=$EBA2;map2[11212][2]:=$D64E;
map2[11213][1]:=$EBA3;map2[11213][2]:=$D650;
map2[11214][1]:=$EBA4;map2[11214][2]:=$D651;
map2[11215][1]:=$EBA5;map2[11215][2]:=$D7A0;
map2[11216][1]:=$EBA6;map2[11216][2]:=$DACA;
map2[11217][1]:=$EBA7;map2[11217][2]:=$DACC;
map2[11218][1]:=$EBA8;map2[11218][2]:=$D59C;
map2[11219][1]:=$EBA9;map2[11219][2]:=$D64C;
map2[11220][1]:=$EBAA;map2[11220][2]:=$D585;
map2[11221][1]:=$EBAB;map2[11221][2]:=$DAD2;
map2[11222][1]:=$EBAC;map2[11222][2]:=$DAD6;
map2[11223][1]:=$EBAD;map2[11223][2]:=$D644;
map2[11224][1]:=$EBAE;map2[11224][2]:=$D65B;
map2[11225][1]:=$EBAF;map2[11225][2]:=$D64B;
map2[11226][1]:=$EBB0;map2[11226][2]:=$D657;
map2[11227][1]:=$EBB1;map2[11227][2]:=$D886;
map2[11228][1]:=$EBB2;map2[11228][2]:=$D887;
map2[11229][1]:=$EBB3;map2[11229][2]:=$D885;
map2[11230][1]:=$EBB4;map2[11230][2]:=$DA52;
map2[11231][1]:=$EBB5;map2[11231][2]:=$EAE1;
map2[11232][1]:=$EBB6;map2[11232][2]:=$D984;
map2[11233][1]:=$EBB7;map2[11233][2]:=$D983;
map2[11234][1]:=$EBB8;map2[11234][2]:=$D986;
map2[11235][1]:=$EBB9;map2[11235][2]:=$DA57;
map2[11236][1]:=$EBBA;map2[11236][2]:=$DA59;
map2[11237][1]:=$EBBB;map2[11237][2]:=$DA82;
map2[11238][1]:=$EBBC;map2[11238][2]:=$DA84;
map2[11239][1]:=$EBBD;map2[11239][2]:=$DB77;
map2[11240][1]:=$EBBE;map2[11240][2]:=$DB7E;
map2[11241][1]:=$EBBF;map2[11241][2]:=$DB7B;
map2[11242][1]:=$EBC0;map2[11242][2]:=$F5DE;
map2[11243][1]:=$EBC1;map2[11243][2]:=$DB82;
map2[11244][1]:=$EBC2;map2[11244][2]:=$DB79;
map2[11245][1]:=$EBC3;map2[11245][2]:=$DB7D;
map2[11246][1]:=$EBC4;map2[11246][2]:=$F5E1;
map2[11247][1]:=$EBC5;map2[11247][2]:=$F5E4;
map2[11248][1]:=$EBC6;map2[11248][2]:=$DB75;
map2[11249][1]:=$EBC7;map2[11249][2]:=$DB80;
map2[11250][1]:=$EBC8;map2[11250][2]:=$DC79;
map2[11251][1]:=$EBC9;map2[11251][2]:=$DD92;
map2[11252][1]:=$EBCA;map2[11252][2]:=$DD8A;
map2[11253][1]:=$EBCB;map2[11253][2]:=$DD91;
map2[11254][1]:=$EBCC;map2[11254][2]:=$DD8E;
map2[11255][1]:=$EBCD;map2[11255][2]:=$DD95;
map2[11256][1]:=$EBCE;map2[11256][2]:=$DD93;
map2[11257][1]:=$EBCF;map2[11257][2]:=$DD90;
map2[11258][1]:=$EBD0;map2[11258][2]:=$DF76;
map2[11259][1]:=$EBD1;map2[11259][2]:=$DF79;
map2[11260][1]:=$EBD2;map2[11260][2]:=$DF7B;
map2[11261][1]:=$EBD3;map2[11261][2]:=$DF82;
map2[11262][1]:=$EBD4;map2[11262][2]:=$E061;
map2[11263][1]:=$EBD5;map2[11263][2]:=$E091;
map2[11264][1]:=$EBD6;map2[11264][2]:=$E093;
map2[11265][1]:=$EBD7;map2[11265][2]:=$DBA6;
map2[11266][1]:=$EBD8;map2[11266][2]:=$E161;
map2[11267][1]:=$EBD9;map2[11267][2]:=$F5AD;
map2[11268][1]:=$EBDA;map2[11268][2]:=$F5AF;
map2[11269][1]:=$EBDB;map2[11269][2]:=$F5AE;
map2[11270][1]:=$EBDC;map2[11270][2]:=$E160;
map2[11271][1]:=$EBDD;map2[11271][2]:=$E55D;
map2[11272][1]:=$EBDE;map2[11272][2]:=$E554;
map2[11273][1]:=$EBDF;map2[11273][2]:=$EFC3;
map2[11274][1]:=$EBE0;map2[11274][2]:=$EFC4;
map2[11275][1]:=$EBE1;map2[11275][2]:=$EFBA;
map2[11276][1]:=$EBE2;map2[11276][2]:=$E89B;
map2[11277][1]:=$EBE3;map2[11277][2]:=$D5E0;
map2[11278][1]:=$EBE4;map2[11278][2]:=$EFAA;
map2[11279][1]:=$EBE5;map2[11279][2]:=$E572;
map2[11280][1]:=$EBE6;map2[11280][2]:=$EFBC;
map2[11281][1]:=$EBE7;map2[11281][2]:=$E559;
map2[11282][1]:=$EBE8;map2[11282][2]:=$EFB9;
map2[11283][1]:=$EBE9;map2[11283][2]:=$EFBE;
map2[11284][1]:=$EBEA;map2[11284][2]:=$EECD;
map2[11285][1]:=$EBEB;map2[11285][2]:=$E563;
map2[11286][1]:=$EBEC;map2[11286][2]:=$E544;
map2[11287][1]:=$EBED;map2[11287][2]:=$E543;
map2[11288][1]:=$EBEE;map2[11288][2]:=$E461;
map2[11289][1]:=$EBEF;map2[11289][2]:=$E553;
map2[11290][1]:=$EBF0;map2[11290][2]:=$E491;
map2[11291][1]:=$EBF1;map2[11291][2]:=$E55B;
map2[11292][1]:=$EBF2;map2[11292][2]:=$E549;
map2[11293][1]:=$EBF3;map2[11293][2]:=$E490;
map2[11294][1]:=$EBF4;map2[11294][2]:=$E48E;
map2[11295][1]:=$EBF5;map2[11295][2]:=$E56A;
map2[11296][1]:=$EBF6;map2[11296][2]:=$E499;
map2[11297][1]:=$EBF7;map2[11297][2]:=$E55A;
map2[11298][1]:=$EBF8;map2[11298][2]:=$E496;
map2[11299][1]:=$EBF9;map2[11299][2]:=$E8A0;
map2[11300][1]:=$EBFA;map2[11300][2]:=$E56F;
map2[11301][1]:=$EBFB;map2[11301][2]:=$E56B;
map2[11302][1]:=$EBFC;map2[11302][2]:=$E560;
map2[11303][1]:=$EBFD;map2[11303][2]:=$E54A;
map2[11304][1]:=$EBFE;map2[11304][2]:=$E542;
map2[11305][1]:=$EC40;map2[11305][2]:=$E541;
map2[11306][1]:=$EC41;map2[11306][2]:=$E495;
map2[11307][1]:=$EC42;map2[11307][2]:=$E4A0;
map2[11308][1]:=$EC43;map2[11308][2]:=$E497;
map2[11309][1]:=$EC44;map2[11309][2]:=$BCF8;
map2[11310][1]:=$EC45;map2[11310][2]:=$E54C;
map2[11311][1]:=$EC46;map2[11311][2]:=$E3D5;
map2[11312][1]:=$EC47;map2[11312][2]:=$EA5E;
map2[11313][1]:=$EC48;map2[11313][2]:=$E3D0;
map2[11314][1]:=$EC49;map2[11314][2]:=$D1CB;
map2[11315][1]:=$EC4A;map2[11315][2]:=$E98F;
map2[11316][1]:=$EC4B;map2[11316][2]:=$E3D1;
map2[11317][1]:=$EC4C;map2[11317][2]:=$E3D3;
map2[11318][1]:=$EC4D;map2[11318][2]:=$E98A;
map2[11319][1]:=$EC4E;map2[11319][2]:=$E3D4;
map2[11320][1]:=$EC4F;map2[11320][2]:=$EB54;
map2[11321][1]:=$EC50;map2[11321][2]:=$EB6C;
map2[11322][1]:=$EC51;map2[11322][2]:=$EB92;
map2[11323][1]:=$EC52;map2[11323][2]:=$EB96;
map2[11324][1]:=$EC53;map2[11324][2]:=$EB94;
map2[11325][1]:=$EC54;map2[11325][2]:=$EC9C;
map2[11326][1]:=$EC55;map2[11326][2]:=$EC9B;
map2[11327][1]:=$EC56;map2[11327][2]:=$F7B4;
map2[11328][1]:=$EC57;map2[11328][2]:=$ED85;
map2[11329][1]:=$EC58;map2[11329][2]:=$ED8A;
map2[11330][1]:=$EC59;map2[11330][2]:=$EE66;
map2[11331][1]:=$EC5A;map2[11331][2]:=$EE60;
map2[11332][1]:=$EC5B;map2[11332][2]:=$EF46;
map2[11333][1]:=$EC5C;map2[11333][2]:=$F05A;
map2[11334][1]:=$EC5D;map2[11334][2]:=$F055;
map2[11335][1]:=$EC5E;map2[11335][2]:=$F05D;
map2[11336][1]:=$EC5F;map2[11336][2]:=$F05F;
map2[11337][1]:=$EC60;map2[11337][2]:=$F146;
map2[11338][1]:=$EC61;map2[11338][2]:=$B2B5;
map2[11339][1]:=$EC62;map2[11339][2]:=$F193;
map2[11340][1]:=$EC63;map2[11340][2]:=$F18C;
map2[11341][1]:=$EC64;map2[11341][2]:=$F18B;
map2[11342][1]:=$EC65;map2[11342][2]:=$F353;
map2[11343][1]:=$EC66;map2[11343][2]:=$F18A;
map2[11344][1]:=$EC67;map2[11344][2]:=$F191;
map2[11345][1]:=$EC68;map2[11345][2]:=$F190;
map2[11346][1]:=$EC69;map2[11346][2]:=$F18E;
map2[11347][1]:=$EC6A;map2[11347][2]:=$F366;
map2[11348][1]:=$EC6B;map2[11348][2]:=$F36A;
map2[11349][1]:=$EC6C;map2[11349][2]:=$F364;
map2[11350][1]:=$EC6D;map2[11350][2]:=$F367;
map2[11351][1]:=$EC6E;map2[11351][2]:=$F393;
map2[11352][1]:=$EC6F;map2[11352][2]:=$F396;
map2[11353][1]:=$EC70;map2[11353][2]:=$F7DB;
map2[11354][1]:=$EC71;map2[11354][2]:=$F394;
map2[11355][1]:=$EC72;map2[11355][2]:=$F465;
map2[11356][1]:=$EC73;map2[11356][2]:=$F544;
map2[11357][1]:=$EC74;map2[11357][2]:=$F549;
map2[11358][1]:=$EC75;map2[11358][2]:=$F54B;
map2[11359][1]:=$EC76;map2[11359][2]:=$F540;
map2[11360][1]:=$EC77;map2[11360][2]:=$F542;
map2[11361][1]:=$EC78;map2[11361][2]:=$F4A0;
map2[11362][1]:=$EC79;map2[11362][2]:=$F546;
map2[11363][1]:=$EC7A;map2[11363][2]:=$F787;
map2[11364][1]:=$EC7B;map2[11364][2]:=$F6D6;
map2[11365][1]:=$EC7C;map2[11365][2]:=$F6D8;
map2[11366][1]:=$EC7D;map2[11366][2]:=$F785;
map2[11367][1]:=$EC7E;map2[11367][2]:=$F559;
map2[11368][1]:=$ECA1;map2[11368][2]:=$F541;
map2[11369][1]:=$ECA2;map2[11369][2]:=$F54C;
map2[11370][1]:=$ECA3;map2[11370][2]:=$F883;
map2[11371][1]:=$ECA4;map2[11371][2]:=$F874;
map2[11372][1]:=$ECA5;map2[11372][2]:=$F87D;
map2[11373][1]:=$ECA6;map2[11373][2]:=$FB5E;
map2[11374][1]:=$ECA7;map2[11374][2]:=$F871;
map2[11375][1]:=$ECA8;map2[11375][2]:=$F887;
map2[11376][1]:=$ECA9;map2[11376][2]:=$F0B6;
map2[11377][1]:=$ECAA;map2[11377][2]:=$F875;
map2[11378][1]:=$ECAB;map2[11378][2]:=$F880;
map2[11379][1]:=$ECAC;map2[11379][2]:=$F86D;
map2[11380][1]:=$ECAD;map2[11380][2]:=$F876;
map2[11381][1]:=$ECAE;map2[11381][2]:=$F0B7;
map2[11382][1]:=$ECAF;map2[11382][2]:=$F7E6;
map2[11383][1]:=$ECB0;map2[11383][2]:=$FB84;
map2[11384][1]:=$ECB1;map2[11384][2]:=$F7E5;
map2[11385][1]:=$ECB2;map2[11385][2]:=$FC43;
map2[11386][1]:=$ECB3;map2[11386][2]:=$FC42;
map2[11387][1]:=$ECB4;map2[11387][2]:=$FC5E;
map2[11388][1]:=$ECB5;map2[11388][2]:=$FC5F;
map2[11389][1]:=$ECB6;map2[11389][2]:=$FC76;
map2[11390][1]:=$ECB7;map2[11390][2]:=$FC88;
map2[11391][1]:=$ECB8;map2[11391][2]:=$F7FC;
map2[11392][1]:=$ECB9;map2[11392][2]:=$839A;
map2[11393][1]:=$ECBA;map2[11393][2]:=$8399;
map2[11394][1]:=$ECBB;map2[11394][2]:=$8396;
map2[11395][1]:=$ECBC;map2[11395][2]:=$8398;
map2[11396][1]:=$ECBD;map2[11396][2]:=$8395;
map2[11397][1]:=$ECBE;map2[11397][2]:=$839D;
map2[11398][1]:=$ECBF;map2[11398][2]:=$84ED;
map2[11399][1]:=$ECC0;map2[11399][2]:=$E0EA;
map2[11400][1]:=$ECC1;map2[11400][2]:=$DFE2;
map2[11401][1]:=$ECC2;map2[11401][2]:=$879E;
map2[11402][1]:=$ECC3;map2[11402][2]:=$E0E3;
map2[11403][1]:=$ECC4;map2[11403][2]:=$8797;
map2[11404][1]:=$ECC5;map2[11404][2]:=$8796;
map2[11405][1]:=$ECC6;map2[11405][2]:=$8791;
map2[11406][1]:=$ECC7;map2[11406][2]:=$8795;
map2[11407][1]:=$ECC8;map2[11407][2]:=$8792;
map2[11408][1]:=$ECC9;map2[11408][2]:=$8794;
map2[11409][1]:=$ECCA;map2[11409][2]:=$89BC;
map2[11410][1]:=$ECCB;map2[11410][2]:=$89BB;
map2[11411][1]:=$ECCC;map2[11411][2]:=$89B7;
map2[11412][1]:=$ECCD;map2[11412][2]:=$89B9;
map2[11413][1]:=$ECCE;map2[11413][2]:=$C4CC;
map2[11414][1]:=$ECCF;map2[11414][2]:=$8BE0;
map2[11415][1]:=$ECD0;map2[11415][2]:=$E6D5;
map2[11416][1]:=$ECD1;map2[11416][2]:=$8BDE;
map2[11417][1]:=$ECD2;map2[11417][2]:=$8BE7;
map2[11418][1]:=$ECD3;map2[11418][2]:=$8BE2;
map2[11419][1]:=$ECD4;map2[11419][2]:=$8BE1;
map2[11420][1]:=$ECD5;map2[11420][2]:=$8BEA;
map2[11421][1]:=$ECD6;map2[11421][2]:=$8BE9;
map2[11422][1]:=$ECD7;map2[11422][2]:=$8C59;
map2[11423][1]:=$ECD8;map2[11423][2]:=$8C95;
map2[11424][1]:=$ECD9;map2[11424][2]:=$8C96;
map2[11425][1]:=$ECDA;map2[11425][2]:=$E1DA;
map2[11426][1]:=$ECDB;map2[11426][2]:=$E0FC;
map2[11427][1]:=$ECDC;map2[11427][2]:=$8ECC;
map2[11428][1]:=$ECDD;map2[11428][2]:=$8FDB;
map2[11429][1]:=$ECDE;map2[11429][2]:=$8FDA;
map2[11430][1]:=$ECDF;map2[11430][2]:=$91A5;
map2[11431][1]:=$ECE0;map2[11431][2]:=$919A;
map2[11432][1]:=$ECE1;map2[11432][2]:=$91A0;
map2[11433][1]:=$ECE2;map2[11433][2]:=$91C2;
map2[11434][1]:=$ECE3;map2[11434][2]:=$91BC;
map2[11435][1]:=$ECE4;map2[11435][2]:=$91C1;
map2[11436][1]:=$ECE5;map2[11436][2]:=$91C0;
map2[11437][1]:=$ECE6;map2[11437][2]:=$E2FB;
map2[11438][1]:=$ECE7;map2[11438][2]:=$C3C9;
map2[11439][1]:=$ECE8;map2[11439][2]:=$B1F7;
map2[11440][1]:=$ECE9;map2[11440][2]:=$944A;
map2[11441][1]:=$ECEA;map2[11441][2]:=$B5B7;
map2[11442][1]:=$ECEB;map2[11442][2]:=$944C;
map2[11443][1]:=$ECEC;map2[11443][2]:=$DFA9;
map2[11444][1]:=$ECED;map2[11444][2]:=$9449;
map2[11445][1]:=$ECEE;map2[11445][2]:=$94BE;
map2[11446][1]:=$ECEF;map2[11446][2]:=$94BD;
map2[11447][1]:=$ECF0;map2[11447][2]:=$94DF;
map2[11448][1]:=$ECF1;map2[11448][2]:=$94F4;
map2[11449][1]:=$ECF2;map2[11449][2]:=$95DD;
map2[11450][1]:=$ECF3;map2[11450][2]:=$996A;
map2[11451][1]:=$ECF4;map2[11451][2]:=$9970;
map2[11452][1]:=$ECF5;map2[11452][2]:=$E9DD;
map2[11453][1]:=$ECF6;map2[11453][2]:=$997D;
map2[11454][1]:=$ECF7;map2[11454][2]:=$E8DF;
map2[11455][1]:=$ECF8;map2[11455][2]:=$9896;
map2[11456][1]:=$ECF9;map2[11456][2]:=$9974;
map2[11457][1]:=$ECFA;map2[11457][2]:=$9979;
map2[11458][1]:=$ECFB;map2[11458][2]:=$9977;
map2[11459][1]:=$ECFC;map2[11459][2]:=$9964;
map2[11460][1]:=$ECFD;map2[11460][2]:=$996D;
map2[11461][1]:=$ECFE;map2[11461][2]:=$E9D5;
map2[11462][1]:=$ED40;map2[11462][2]:=$996F;
map2[11463][1]:=$ED41;map2[11463][2]:=$9961;
map2[11464][1]:=$ED42;map2[11464][2]:=$9981;
map2[11465][1]:=$ED43;map2[11465][2]:=$997C;
map2[11466][1]:=$ED44;map2[11466][2]:=$E9DB;
map2[11467][1]:=$ED45;map2[11467][2]:=$995E;
map2[11468][1]:=$ED46;map2[11468][2]:=$997E;
map2[11469][1]:=$ED47;map2[11469][2]:=$9973;
map2[11470][1]:=$ED48;map2[11470][2]:=$9962;
map2[11471][1]:=$ED49;map2[11471][2]:=$9969;
map2[11472][1]:=$ED4A;map2[11472][2]:=$996C;
map2[11473][1]:=$ED4B;map2[11473][2]:=$C1B2;
map2[11474][1]:=$ED4C;map2[11474][2]:=$9A99;
map2[11475][1]:=$ED4D;map2[11475][2]:=$9AD7;
map2[11476][1]:=$ED4E;map2[11476][2]:=$9DEA;
map2[11477][1]:=$ED4F;map2[11477][2]:=$EDB4;
map2[11478][1]:=$ED50;map2[11478][2]:=$9E4C;
map2[11479][1]:=$ED51;map2[11479][2]:=$9B6D;
map2[11480][1]:=$ED52;map2[11480][2]:=$9DFC;
map2[11481][1]:=$ED53;map2[11481][2]:=$9BBB;
map2[11482][1]:=$ED54;map2[11482][2]:=$9E47;
map2[11483][1]:=$ED55;map2[11483][2]:=$9E41;
map2[11484][1]:=$ED56;map2[11484][2]:=$9E40;
map2[11485][1]:=$ED57;map2[11485][2]:=$E5A8;
map2[11486][1]:=$ED58;map2[11486][2]:=$9E4A;
map2[11487][1]:=$ED59;map2[11487][2]:=$9DF9;
map2[11488][1]:=$ED5A;map2[11488][2]:=$9DFB;
map2[11489][1]:=$ED5B;map2[11489][2]:=$9E42;
map2[11490][1]:=$ED5C;map2[11490][2]:=$A04A;
map2[11491][1]:=$ED5D;map2[11491][2]:=$A057;
map2[11492][1]:=$ED5E;map2[11492][2]:=$A04F;
map2[11493][1]:=$ED5F;map2[11493][2]:=$A058;
map2[11494][1]:=$ED60;map2[11494][2]:=$A04D;
map2[11495][1]:=$ED61;map2[11495][2]:=$A056;
map2[11496][1]:=$ED62;map2[11496][2]:=$A04B;
map2[11497][1]:=$ED63;map2[11497][2]:=$AB41;
map2[11498][1]:=$ED64;map2[11498][2]:=$AA41;
map2[11499][1]:=$ED65;map2[11499][2]:=$E2B4;
map2[11500][1]:=$ED66;map2[11500][2]:=$AD54;
map2[11501][1]:=$ED67;map2[11501][2]:=$AD6A;
map2[11502][1]:=$ED68;map2[11502][2]:=$AB9A;
map2[11503][1]:=$ED69;map2[11503][2]:=$E8B4;
map2[11504][1]:=$ED6A;map2[11504][2]:=$AD62;
map2[11505][1]:=$ED6B;map2[11505][2]:=$AD65;
map2[11506][1]:=$ED6C;map2[11506][2]:=$AD69;
map2[11507][1]:=$ED6D;map2[11507][2]:=$AD60;
map2[11508][1]:=$ED6E;map2[11508][2]:=$AD67;
map2[11509][1]:=$ED6F;map2[11509][2]:=$AE56;
map2[11510][1]:=$ED70;map2[11510][2]:=$EAB5;
map2[11511][1]:=$ED71;map2[11511][2]:=$AE57;
map2[11512][1]:=$ED72;map2[11512][2]:=$EAB4;
map2[11513][1]:=$ED73;map2[11513][2]:=$AE9E;
map2[11514][1]:=$ED74;map2[11514][2]:=$F1AA;
map2[11515][1]:=$ED75;map2[11515][2]:=$B043;
map2[11516][1]:=$ED76;map2[11516][2]:=$F0F7;
map2[11517][1]:=$ED77;map2[11517][2]:=$F0EF;
map2[11518][1]:=$ED78;map2[11518][2]:=$F0AB;
map2[11519][1]:=$ED79;map2[11519][2]:=$B154;
map2[11520][1]:=$ED7A;map2[11520][2]:=$EEAC;
map2[11521][1]:=$ED7B;map2[11521][2]:=$B273;
map2[11522][1]:=$ED7C;map2[11522][2]:=$B278;
map2[11523][1]:=$ED7D;map2[11523][2]:=$B27B;
map2[11524][1]:=$ED7E;map2[11524][2]:=$B27A;
map2[11525][1]:=$EDA1;map2[11525][2]:=$B279;
map2[11526][1]:=$EDA2;map2[11526][2]:=$B277;
map2[11527][1]:=$EDA3;map2[11527][2]:=$B272;
map2[11528][1]:=$EDA4;map2[11528][2]:=$B344;
map2[11529][1]:=$EDA5;map2[11529][2]:=$B48C;
map2[11530][1]:=$EDA6;map2[11530][2]:=$EDCD;
map2[11531][1]:=$EDA7;map2[11531][2]:=$B497;
map2[11532][1]:=$EDA8;map2[11532][2]:=$B491;
map2[11533][1]:=$EDA9;map2[11533][2]:=$B492;
map2[11534][1]:=$EDAA;map2[11534][2]:=$EDE1;
map2[11535][1]:=$EDAB;map2[11535][2]:=$EDE2;
map2[11536][1]:=$EDAC;map2[11536][2]:=$B490;
map2[11537][1]:=$EDAD;map2[11537][2]:=$B494;
map2[11538][1]:=$EDAE;map2[11538][2]:=$B37E;
map2[11539][1]:=$EDAF;map2[11539][2]:=$B656;
map2[11540][1]:=$EDB0;map2[11540][2]:=$B653;
map2[11541][1]:=$EDB1;map2[11541][2]:=$B772;
map2[11542][1]:=$EDB2;map2[11542][2]:=$B771;
map2[11543][1]:=$EDB3;map2[11543][2]:=$B76D;
map2[11544][1]:=$EDB4;map2[11544][2]:=$B76E;
map2[11545][1]:=$EDB5;map2[11545][2]:=$B76B;
map2[11546][1]:=$EDB6;map2[11546][2]:=$B770;
map2[11547][1]:=$EDB7;map2[11547][2]:=$B855;
map2[11548][1]:=$EDB8;map2[11548][2]:=$B856;
map2[11549][1]:=$EDB9;map2[11549][2]:=$B857;
map2[11550][1]:=$EDBA;map2[11550][2]:=$BA6F;
map2[11551][1]:=$EDBB;map2[11551][2]:=$F3FC;
map2[11552][1]:=$EDBC;map2[11552][2]:=$BA5F;
map2[11553][1]:=$EDBD;map2[11553][2]:=$F3E5;
map2[11554][1]:=$EDBE;map2[11554][2]:=$BA69;
map2[11555][1]:=$EDBF;map2[11555][2]:=$BA67;
map2[11556][1]:=$EDC0;map2[11556][2]:=$BA75;
map2[11557][1]:=$EDC1;map2[11557][2]:=$BA61;
map2[11558][1]:=$EDC2;map2[11558][2]:=$F3FE;
map2[11559][1]:=$EDC3;map2[11559][2]:=$F3D9;
map2[11560][1]:=$EDC4;map2[11560][2]:=$BA6C;
map2[11561][1]:=$EDC5;map2[11561][2]:=$BA72;
map2[11562][1]:=$EDC6;map2[11562][2]:=$BA6D;
map2[11563][1]:=$EDC7;map2[11563][2]:=$BA6B;
map2[11564][1]:=$EDC8;map2[11564][2]:=$BA64;
map2[11565][1]:=$EDC9;map2[11565][2]:=$BA68;
map2[11566][1]:=$EDCA;map2[11566][2]:=$BA70;
map2[11567][1]:=$EDCB;map2[11567][2]:=$BA5E;
map2[11568][1]:=$EDCC;map2[11568][2]:=$C0E9;
map2[11569][1]:=$EDCD;map2[11569][2]:=$BA76;
map2[11570][1]:=$EDCE;map2[11570][2]:=$BA73;
map2[11571][1]:=$EDCF;map2[11571][2]:=$F4DD;
map2[11572][1]:=$EDD0;map2[11572][2]:=$E7CA;
map2[11573][1]:=$EDD1;map2[11573][2]:=$BF81;
map2[11574][1]:=$EDD2;map2[11574][2]:=$BF86;
map2[11575][1]:=$EDD3;map2[11575][2]:=$BF78;
map2[11576][1]:=$EDD4;map2[11576][2]:=$EE79;
map2[11577][1]:=$EDD5;map2[11577][2]:=$BF7D;
map2[11578][1]:=$EDD6;map2[11578][2]:=$BF6F;
map2[11579][1]:=$EDD7;map2[11579][2]:=$BF8C;
map2[11580][1]:=$EDD8;map2[11580][2]:=$BF85;
map2[11581][1]:=$EDD9;map2[11581][2]:=$F4ED;
map2[11582][1]:=$EDDA;map2[11582][2]:=$BF6E;
map2[11583][1]:=$EDDB;map2[11583][2]:=$BF8F;
map2[11584][1]:=$EDDC;map2[11584][2]:=$BF75;
map2[11585][1]:=$EDDD;map2[11585][2]:=$F7E3;
map2[11586][1]:=$EDDE;map2[11586][2]:=$F4EA;
map2[11587][1]:=$EDDF;map2[11587][2]:=$BF88;
map2[11588][1]:=$EDE0;map2[11588][2]:=$BF80;
map2[11589][1]:=$EDE1;map2[11589][2]:=$F3C1;
map2[11590][1]:=$EDE2;map2[11590][2]:=$C15A;
map2[11591][1]:=$EDE3;map2[11591][2]:=$EEC0;
map2[11592][1]:=$EDE4;map2[11592][2]:=$C159;
map2[11593][1]:=$EDE5;map2[11593][2]:=$C249;
map2[11594][1]:=$EDE6;map2[11594][2]:=$C248;
map2[11595][1]:=$EDE7;map2[11595][2]:=$F1EF;
map2[11596][1]:=$EDE8;map2[11596][2]:=$EBFE;
map2[11597][1]:=$EDE9;map2[11597][2]:=$C494;
map2[11598][1]:=$EDEA;map2[11598][2]:=$EBFB;
map2[11599][1]:=$EDEB;map2[11599][2]:=$EBFD;
map2[11600][1]:=$EDEC;map2[11600][2]:=$C495;
map2[11601][1]:=$EDED;map2[11601][2]:=$C496;
map2[11602][1]:=$EDEE;map2[11602][2]:=$C490;
map2[11603][1]:=$EDEF;map2[11603][2]:=$C553;
map2[11604][1]:=$EDF0;map2[11604][2]:=$C594;
map2[11605][1]:=$EDF1;map2[11605][2]:=$F4BD;
map2[11606][1]:=$EDF2;map2[11606][2]:=$C595;
map2[11607][1]:=$EDF3;map2[11607][2]:=$CB41;
map2[11608][1]:=$EDF4;map2[11608][2]:=$CA9F;
map2[11609][1]:=$EDF5;map2[11609][2]:=$DEB2;
map2[11610][1]:=$EDF6;map2[11610][2]:=$CB5E;
map2[11611][1]:=$EDF7;map2[11611][2]:=$CB4F;
map2[11612][1]:=$EDF8;map2[11612][2]:=$CB58;
map2[11613][1]:=$EDF9;map2[11613][2]:=$CB46;
map2[11614][1]:=$EDFA;map2[11614][2]:=$CB5B;
map2[11615][1]:=$EDFB;map2[11615][2]:=$DEAE;
map2[11616][1]:=$EDFC;map2[11616][2]:=$DEAF;
map2[11617][1]:=$EDFD;map2[11617][2]:=$CB54;
map2[11618][1]:=$EDFE;map2[11618][2]:=$CB56;
map2[11619][1]:=$EE40;map2[11619][2]:=$DDF7;
map2[11620][1]:=$EE41;map2[11620][2]:=$CA9C;
map2[11621][1]:=$EE42;map2[11621][2]:=$CB44;
map2[11622][1]:=$EE43;map2[11622][2]:=$CB59;
map2[11623][1]:=$EE44;map2[11623][2]:=$DEAA;
map2[11624][1]:=$EE45;map2[11624][2]:=$CA9B;
map2[11625][1]:=$EE46;map2[11625][2]:=$CA80;
map2[11626][1]:=$EE47;map2[11626][2]:=$CB49;
map2[11627][1]:=$EE48;map2[11627][2]:=$CB50;
map2[11628][1]:=$EE49;map2[11628][2]:=$CB42;
map2[11629][1]:=$EE4A;map2[11629][2]:=$CB48;
map2[11630][1]:=$EE4B;map2[11630][2]:=$CB53;
map2[11631][1]:=$EE4C;map2[11631][2]:=$CB55;
map2[11632][1]:=$EE4D;map2[11632][2]:=$CAA0;
map2[11633][1]:=$EE4E;map2[11633][2]:=$CB5A;
map2[11634][1]:=$EE4F;map2[11634][2]:=$CB40;
map2[11635][1]:=$EE50;map2[11635][2]:=$DCF6;
map2[11636][1]:=$EE51;map2[11636][2]:=$DEB6;
map2[11637][1]:=$EE52;map2[11637][2]:=$DEB3;
map2[11638][1]:=$EE53;map2[11638][2]:=$CA99;
map2[11639][1]:=$EE54;map2[11639][2]:=$C751;
map2[11640][1]:=$EE55;map2[11640][2]:=$CB4A;
map2[11641][1]:=$EE56;map2[11641][2]:=$DDB2;
map2[11642][1]:=$EE57;map2[11642][2]:=$CC9E;
map2[11643][1]:=$EE58;map2[11643][2]:=$CF50;
map2[11644][1]:=$EE59;map2[11644][2]:=$CF44;
map2[11645][1]:=$EE5A;map2[11645][2]:=$F3A4;
map2[11646][1]:=$EE5B;map2[11646][2]:=$CF56;
map2[11647][1]:=$EE5C;map2[11647][2]:=$CF46;
map2[11648][1]:=$EE5D;map2[11648][2]:=$F3A9;
map2[11649][1]:=$EE5E;map2[11649][2]:=$CF4D;
map2[11650][1]:=$EE5F;map2[11650][2]:=$F3AA;
map2[11651][1]:=$EE60;map2[11651][2]:=$CF4F;
map2[11652][1]:=$EE61;map2[11652][2]:=$CF45;
map2[11653][1]:=$EE62;map2[11653][2]:=$CF59;
map2[11654][1]:=$EE63;map2[11654][2]:=$CF54;
map2[11655][1]:=$EE64;map2[11655][2]:=$CF53;
map2[11656][1]:=$EE65;map2[11656][2]:=$CF5A;
map2[11657][1]:=$EE66;map2[11657][2]:=$CF4B;
map2[11658][1]:=$EE67;map2[11658][2]:=$F2FC;
map2[11659][1]:=$EE68;map2[11659][2]:=$D5DD;
map2[11660][1]:=$EE69;map2[11660][2]:=$F3B1;
map2[11661][1]:=$EE6A;map2[11661][2]:=$CF49;
map2[11662][1]:=$EE6B;map2[11662][2]:=$CF4A;
map2[11663][1]:=$EE6C;map2[11663][2]:=$CE85;
map2[11664][1]:=$EE6D;map2[11664][2]:=$CF4C;
map2[11665][1]:=$EE6E;map2[11665][2]:=$F3AE;
map2[11666][1]:=$EE6F;map2[11666][2]:=$CF68;
map2[11667][1]:=$EE70;map2[11667][2]:=$CF48;
map2[11668][1]:=$EE71;map2[11668][2]:=$D19F;
map2[11669][1]:=$EE72;map2[11669][2]:=$F1CD;
map2[11670][1]:=$EE73;map2[11670][2]:=$D244;
map2[11671][1]:=$EE74;map2[11671][2]:=$D246;
map2[11672][1]:=$EE75;map2[11672][2]:=$F1DF;
map2[11673][1]:=$EE76;map2[11673][2]:=$D258;
map2[11674][1]:=$EE77;map2[11674][2]:=$D1A0;
map2[11675][1]:=$EE78;map2[11675][2]:=$D249;
map2[11676][1]:=$EE79;map2[11676][2]:=$D34B;
map2[11677][1]:=$EE7A;map2[11677][2]:=$EAED;
map2[11678][1]:=$EE7B;map2[11678][2]:=$D34C;
map2[11679][1]:=$EE7C;map2[11679][2]:=$D377;
map2[11680][1]:=$EE7D;map2[11680][2]:=$ECB2;
map2[11681][1]:=$EE7E;map2[11681][2]:=$D679;
map2[11682][1]:=$EEA1;map2[11682][2]:=$D673;
map2[11683][1]:=$EEA2;map2[11683][2]:=$DAD5;
map2[11684][1]:=$EEA3;map2[11684][2]:=$D66C;
map2[11685][1]:=$EEA4;map2[11685][2]:=$D6DF;
map2[11686][1]:=$EEA5;map2[11686][2]:=$D666;
map2[11687][1]:=$EEA6;map2[11687][2]:=$D67D;
map2[11688][1]:=$EEA7;map2[11688][2]:=$D66A;
map2[11689][1]:=$EEA8;map2[11689][2]:=$D66D;
map2[11690][1]:=$EEA9;map2[11690][2]:=$D670;
map2[11691][1]:=$EEAA;map2[11691][2]:=$E5C0;
map2[11692][1]:=$EEAB;map2[11692][2]:=$D668;
map2[11693][1]:=$EEAC;map2[11693][2]:=$D663;
map2[11694][1]:=$EEAD;map2[11694][2]:=$D662;
map2[11695][1]:=$EEAE;map2[11695][2]:=$D677;
map2[11696][1]:=$EEAF;map2[11696][2]:=$D66E;
map2[11697][1]:=$EEB0;map2[11697][2]:=$DAD6;
map2[11698][1]:=$EEB1;map2[11698][2]:=$D852;
map2[11699][1]:=$EEB2;map2[11699][2]:=$D86D;
map2[11700][1]:=$EEB3;map2[11700][2]:=$D86F;
map2[11701][1]:=$EEB4;map2[11701][2]:=$D86E;
map2[11702][1]:=$EEB5;map2[11702][2]:=$D86C;
map2[11703][1]:=$EEB6;map2[11703][2]:=$D889;
map2[11704][1]:=$EEB7;map2[11704][2]:=$F5F9;
map2[11705][1]:=$EEB8;map2[11705][2]:=$D98C;
map2[11706][1]:=$EEB9;map2[11706][2]:=$DA5A;
map2[11707][1]:=$EEBA;map2[11707][2]:=$DB86;
map2[11708][1]:=$EEBB;map2[11708][2]:=$DB85;
map2[11709][1]:=$EEBC;map2[11709][2]:=$DB89;
map2[11710][1]:=$EEBD;map2[11710][2]:=$DB88;
map2[11711][1]:=$EEBE;map2[11711][2]:=$F5C4;
map2[11712][1]:=$EEBF;map2[11712][2]:=$E5BF;
map2[11713][1]:=$EEC0;map2[11713][2]:=$DD9F;
map2[11714][1]:=$EEC1;map2[11714][2]:=$DE64;
map2[11715][1]:=$EEC2;map2[11715][2]:=$DF81;
map2[11716][1]:=$EEC3;map2[11716][2]:=$DF7D;
map2[11717][1]:=$EEC4;map2[11717][2]:=$E096;
map2[11718][1]:=$EEC5;map2[11718][2]:=$C3D1;
map2[11719][1]:=$EEC6;map2[11719][2]:=$F5B0;
map2[11720][1]:=$EEC7;map2[11720][2]:=$C8A9;
map2[11721][1]:=$EEC8;map2[11721][2]:=$E167;
map2[11722][1]:=$EEC9;map2[11722][2]:=$E16B;
map2[11723][1]:=$EECA;map2[11723][2]:=$E16D;
map2[11724][1]:=$EECB;map2[11724][2]:=$E169;
map2[11725][1]:=$EECC;map2[11725][2]:=$E16C;
map2[11726][1]:=$EECD;map2[11726][2]:=$E943;
map2[11727][1]:=$EECE;map2[11727][2]:=$E657;
map2[11728][1]:=$EECF;map2[11728][2]:=$E683;
map2[11729][1]:=$EED0;map2[11729][2]:=$EFCA;
map2[11730][1]:=$EED1;map2[11730][2]:=$E58C;
map2[11731][1]:=$EED2;map2[11731][2]:=$EFC7;
map2[11732][1]:=$EED3;map2[11732][2]:=$D5EB;
map2[11733][1]:=$EED4;map2[11733][2]:=$D5A1;
map2[11734][1]:=$EED5;map2[11734][2]:=$E592;
map2[11735][1]:=$EED6;map2[11735][2]:=$EFC8;
map2[11736][1]:=$EED7;map2[11736][2]:=$E57E;
map2[11737][1]:=$EED8;map2[11737][2]:=$E586;
map2[11738][1]:=$EED9;map2[11738][2]:=$E587;
map2[11739][1]:=$EEDA;map2[11739][2]:=$E942;
map2[11740][1]:=$EEDB;map2[11740][2]:=$E641;
map2[11741][1]:=$EEDC;map2[11741][2]:=$F6CC;
map2[11742][1]:=$EEDD;map2[11742][2]:=$E582;
map2[11743][1]:=$EEDE;map2[11743][2]:=$F6CA;
map2[11744][1]:=$EEDF;map2[11744][2]:=$E64D;
map2[11745][1]:=$EEE0;map2[11745][2]:=$E58D;
map2[11746][1]:=$EEE1;map2[11746][2]:=$E58B;
map2[11747][1]:=$EEE2;map2[11747][2]:=$E588;
map2[11748][1]:=$EEE3;map2[11748][2]:=$E585;
map2[11749][1]:=$EEE4;map2[11749][2]:=$E645;
map2[11750][1]:=$EEE5;map2[11750][2]:=$E64B;
map2[11751][1]:=$EEE6;map2[11751][2]:=$E64F;
map2[11752][1]:=$EEE7;map2[11752][2]:=$E597;
map2[11753][1]:=$EEE8;map2[11753][2]:=$E594;
map2[11754][1]:=$EEE9;map2[11754][2]:=$E599;
map2[11755][1]:=$EEEA;map2[11755][2]:=$E59D;
map2[11756][1]:=$EEEB;map2[11756][2]:=$E654;
map2[11757][1]:=$EEEC;map2[11757][2]:=$E584;
map2[11758][1]:=$EEED;map2[11758][2]:=$E58F;
map2[11759][1]:=$EEEE;map2[11759][2]:=$E99C;
map2[11760][1]:=$EEEF;map2[11760][2]:=$E995;
map2[11761][1]:=$EEF0;map2[11761][2]:=$E99E;
map2[11762][1]:=$EEF1;map2[11762][2]:=$E3D6;
map2[11763][1]:=$EEF2;map2[11763][2]:=$E99A;
map2[11764][1]:=$EEF3;map2[11764][2]:=$E98C;
map2[11765][1]:=$EEF4;map2[11765][2]:=$EB59;
map2[11766][1]:=$EEF5;map2[11766][2]:=$DAF4;
map2[11767][1]:=$EEF6;map2[11767][2]:=$EB57;
map2[11768][1]:=$EEF7;map2[11768][2]:=$EBA0;
map2[11769][1]:=$EEF8;map2[11769][2]:=$EB9F;
map2[11770][1]:=$EEF9;map2[11770][2]:=$EB9A;
map2[11771][1]:=$EEFA;map2[11771][2]:=$EB9E;
map2[11772][1]:=$EEFB;map2[11772][2]:=$EB9B;
map2[11773][1]:=$EEFC;map2[11773][2]:=$EC9D;
map2[11774][1]:=$EEFD;map2[11774][2]:=$ED42;
map2[11775][1]:=$EEFE;map2[11775][2]:=$EC9F;
map2[11776][1]:=$EF40;map2[11776][2]:=$ED40;
map2[11777][1]:=$EF41;map2[11777][2]:=$ECA0;
map2[11778][1]:=$EF42;map2[11778][2]:=$ED70;
map2[11779][1]:=$EF43;map2[11779][2]:=$ED6F;
map2[11780][1]:=$EF44;map2[11780][2]:=$ED86;
map2[11781][1]:=$EF45;map2[11781][2]:=$EE72;
map2[11782][1]:=$EF46;map2[11782][2]:=$EE75;
map2[11783][1]:=$EF47;map2[11783][2]:=$EE7B;
map2[11784][1]:=$EF48;map2[11784][2]:=$EE7A;
map2[11785][1]:=$EF49;map2[11785][2]:=$EE76;
map2[11786][1]:=$EF4A;map2[11786][2]:=$EE74;
map2[11787][1]:=$EF4B;map2[11787][2]:=$F05B;
map2[11788][1]:=$EF4C;map2[11788][2]:=$F061;
map2[11789][1]:=$EF4D;map2[11789][2]:=$F062;
map2[11790][1]:=$EF4E;map2[11790][2]:=$F060;
map2[11791][1]:=$EF4F;map2[11791][2]:=$E2BC;
map2[11792][1]:=$EF50;map2[11792][2]:=$F067;
map2[11793][1]:=$EF51;map2[11793][2]:=$F064;
map2[11794][1]:=$EF52;map2[11794][2]:=$F063;
map2[11795][1]:=$EF53;map2[11795][2]:=$F4D7;
map2[11796][1]:=$EF54;map2[11796][2]:=$F065;
map2[11797][1]:=$EF55;map2[11797][2]:=$D9E5;
map2[11798][1]:=$EF56;map2[11798][2]:=$F14B;
map2[11799][1]:=$EF57;map2[11799][2]:=$F149;
map2[11800][1]:=$EF58;map2[11800][2]:=$F355;
map2[11801][1]:=$EF59;map2[11801][2]:=$F240;
map2[11802][1]:=$EF5A;map2[11802][2]:=$F19B;
map2[11803][1]:=$EF5B;map2[11803][2]:=$F19E;
map2[11804][1]:=$EF5C;map2[11804][2]:=$F1A0;
map2[11805][1]:=$EF5D;map2[11805][2]:=$F356;
map2[11806][1]:=$EF5E;map2[11806][2]:=$F19D;
map2[11807][1]:=$EF5F;map2[11807][2]:=$F241;
map2[11808][1]:=$EF60;map2[11808][2]:=$F243;
map2[11809][1]:=$EF61;map2[11809][2]:=$F244;
map2[11810][1]:=$EF62;map2[11810][2]:=$F242;
map2[11811][1]:=$EF63;map2[11811][2]:=$F249;
map2[11812][1]:=$EF64;map2[11812][2]:=$F6E1;
map2[11813][1]:=$EF65;map2[11813][2]:=$F399;
map2[11814][1]:=$EF66;map2[11814][2]:=$F398;
map2[11815][1]:=$EF67;map2[11815][2]:=$F0DF;
map2[11816][1]:=$EF68;map2[11816][2]:=$F397;
map2[11817][1]:=$EF69;map2[11817][2]:=$F7CC;
map2[11818][1]:=$EF6A;map2[11818][2]:=$F6DA;
map2[11819][1]:=$EF6B;map2[11819][2]:=$F56C;
map2[11820][1]:=$EF6C;map2[11820][2]:=$F6DC;
map2[11821][1]:=$EF6D;map2[11821][2]:=$F55F;
map2[11822][1]:=$EF6E;map2[11822][2]:=$F78B;
map2[11823][1]:=$EF6F;map2[11823][2]:=$F565;
map2[11824][1]:=$EF70;map2[11824][2]:=$F569;
map2[11825][1]:=$EF71;map2[11825][2]:=$F568;
map2[11826][1]:=$EF72;map2[11826][2]:=$F54A;
map2[11827][1]:=$EF73;map2[11827][2]:=$F566;
map2[11828][1]:=$EF74;map2[11828][2]:=$F564;
map2[11829][1]:=$EF75;map2[11829][2]:=$F573;
map2[11830][1]:=$EF76;map2[11830][2]:=$F891;
map2[11831][1]:=$EF77;map2[11831][2]:=$F89F;
map2[11832][1]:=$EF78;map2[11832][2]:=$F964;
map2[11833][1]:=$EF79;map2[11833][2]:=$F894;
map2[11834][1]:=$EF7A;map2[11834][2]:=$F88C;
map2[11835][1]:=$EF7B;map2[11835][2]:=$F0B9;
map2[11836][1]:=$EF7C;map2[11836][2]:=$F88F;
map2[11837][1]:=$EF7D;map2[11837][2]:=$F896;
map2[11838][1]:=$EF7E;map2[11838][2]:=$F0BB;
map2[11839][1]:=$EFA1;map2[11839][2]:=$F942;
map2[11840][1]:=$EFA2;map2[11840][2]:=$F0BC;
map2[11841][1]:=$EFA3;map2[11841][2]:=$FB62;
map2[11842][1]:=$EFA4;map2[11842][2]:=$F89C;
map2[11843][1]:=$EFA5;map2[11843][2]:=$F895;
map2[11844][1]:=$EFA6;map2[11844][2]:=$F89E;
map2[11845][1]:=$EFA7;map2[11845][2]:=$F89B;
map2[11846][1]:=$EFA8;map2[11846][2]:=$C24A;
map2[11847][1]:=$EFA9;map2[11847][2]:=$F88B;
map2[11848][1]:=$EFAA;map2[11848][2]:=$FB86;
map2[11849][1]:=$EFAB;map2[11849][2]:=$FB85;
map2[11850][1]:=$EFAC;map2[11850][2]:=$FB88;
map2[11851][1]:=$EFAD;map2[11851][2]:=$FC45;
map2[11852][1]:=$EFAE;map2[11852][2]:=$FC57;
map2[11853][1]:=$EFAF;map2[11853][2]:=$FC62;
map2[11854][1]:=$EFB0;map2[11854][2]:=$EDEA;
map2[11855][1]:=$EFB1;map2[11855][2]:=$F6BD;
map2[11856][1]:=$EFB2;map2[11856][2]:=$FC95;
map2[11857][1]:=$EFB3;map2[11857][2]:=$FC94;
map2[11858][1]:=$EFB4;map2[11858][2]:=$F7F7;
map2[11859][1]:=$EFB5;map2[11859][2]:=$F6B3;
map2[11860][1]:=$EFB6;map2[11860][2]:=$D9DF;
map2[11861][1]:=$EFB7;map2[11861][2]:=$83A5;
map2[11862][1]:=$EFB8;map2[11862][2]:=$83A1;
map2[11863][1]:=$EFB9;map2[11863][2]:=$83A2;
map2[11864][1]:=$EFBA;map2[11864][2]:=$87A6;
map2[11865][1]:=$EFBB;map2[11865][2]:=$87AA;
map2[11866][1]:=$EFBC;map2[11866][2]:=$87A5;
map2[11867][1]:=$EFBD;map2[11867][2]:=$87A8;
map2[11868][1]:=$EFBE;map2[11868][2]:=$87AB;
map2[11869][1]:=$EFBF;map2[11869][2]:=$C4F6;
map2[11870][1]:=$EFC0;map2[11870][2]:=$8A60;
map2[11871][1]:=$EFC1;map2[11871][2]:=$8BF4;
map2[11872][1]:=$EFC2;map2[11872][2]:=$8CD6;
map2[11873][1]:=$EFC3;map2[11873][2]:=$8CD7;
map2[11874][1]:=$EFC4;map2[11874][2]:=$8E5E;
map2[11875][1]:=$EFC5;map2[11875][2]:=$8ECF;
map2[11876][1]:=$EFC6;map2[11876][2]:=$8ED0;
map2[11877][1]:=$EFC7;map2[11877][2]:=$91B4;
map2[11878][1]:=$EFC8;map2[11878][2]:=$EDA1;
map2[11879][1]:=$EFC9;map2[11879][2]:=$91C8;
map2[11880][1]:=$EFCA;map2[11880][2]:=$91C9;
map2[11881][1]:=$EFCB;map2[11881][2]:=$91CC;
map2[11882][1]:=$EFCC;map2[11882][2]:=$91C5;
map2[11883][1]:=$EFCD;map2[11883][2]:=$91CB;
map2[11884][1]:=$EFCE;map2[11884][2]:=$91C6;
map2[11885][1]:=$EFCF;map2[11885][2]:=$91B2;
map2[11886][1]:=$EFD0;map2[11886][2]:=$91C4;
map2[11887][1]:=$EFD1;map2[11887][2]:=$9460;
map2[11888][1]:=$EFD2;map2[11888][2]:=$DEF3;
map2[11889][1]:=$EFD3;map2[11889][2]:=$945E;
map2[11890][1]:=$EFD4;map2[11890][2]:=$9459;
map2[11891][1]:=$EFD5;map2[11891][2]:=$9461;
map2[11892][1]:=$EFD6;map2[11892][2]:=$9463;
map2[11893][1]:=$EFD7;map2[11893][2]:=$DFA3;
map2[11894][1]:=$EFD8;map2[11894][2]:=$94CB;
map2[11895][1]:=$EFD9;map2[11895][2]:=$94F5;
map2[11896][1]:=$EFDA;map2[11896][2]:=$95E4;
map2[11897][1]:=$EFDB;map2[11897][2]:=$EAD6;
map2[11898][1]:=$EFDC;map2[11898][2]:=$95E3;
map2[11899][1]:=$EFDD;map2[11899][2]:=$999B;
map2[11900][1]:=$EFDE;map2[11900][2]:=$998F;
map2[11901][1]:=$EFDF;map2[11901][2]:=$9993;
map2[11902][1]:=$EFE0;map2[11902][2]:=$99B7;
map2[11903][1]:=$EFE1;map2[11903][2]:=$999C;
map2[11904][1]:=$EFE2;map2[11904][2]:=$9990;
map2[11905][1]:=$EFE3;map2[11905][2]:=$998C;
map2[11906][1]:=$EFE4;map2[11906][2]:=$998D;
map2[11907][1]:=$EFE5;map2[11907][2]:=$999D;
map2[11908][1]:=$EFE6;map2[11908][2]:=$998A;
map2[11909][1]:=$EFE7;map2[11909][2]:=$9983;
map2[11910][1]:=$EFE8;map2[11910][2]:=$9A64;
map2[11911][1]:=$EFE9;map2[11911][2]:=$D2BD;
map2[11912][1]:=$EFEA;map2[11912][2]:=$9AD9;
map2[11913][1]:=$EFEB;map2[11913][2]:=$9E5F;
map2[11914][1]:=$EFEC;map2[11914][2]:=$9E64;
map2[11915][1]:=$EFED;map2[11915][2]:=$9E65;
map2[11916][1]:=$EFEE;map2[11916][2]:=$9E59;
map2[11917][1]:=$EFEF;map2[11917][2]:=$E4DE;
map2[11918][1]:=$EFF0;map2[11918][2]:=$9E6B;
map2[11919][1]:=$EFF1;map2[11919][2]:=$9E66;
map2[11920][1]:=$EFF2;map2[11920][2]:=$9E57;
map2[11921][1]:=$EFF3;map2[11921][2]:=$9E58;
map2[11922][1]:=$EFF4;map2[11922][2]:=$9E53;
map2[11923][1]:=$EFF5;map2[11923][2]:=$E4F3;
map2[11924][1]:=$EFF6;map2[11924][2]:=$E3F8;
map2[11925][1]:=$EFF7;map2[11925][2]:=$9E4F;
map2[11926][1]:=$EFF8;map2[11926][2]:=$9E62;
map2[11927][1]:=$EFF9;map2[11927][2]:=$A066;
map2[11928][1]:=$EFFA;map2[11928][2]:=$D2AB;
map2[11929][1]:=$EFFB;map2[11929][2]:=$ECDE;
map2[11930][1]:=$EFFC;map2[11930][2]:=$A068;
map2[11931][1]:=$EFFD;map2[11931][2]:=$A062;
map2[11932][1]:=$EFFE;map2[11932][2]:=$AB44;
map2[11933][1]:=$F040;map2[11933][2]:=$AD70;
map2[11934][1]:=$F041;map2[11934][2]:=$AD77;
map2[11935][1]:=$F042;map2[11935][2]:=$AB5F;
map2[11936][1]:=$F043;map2[11936][2]:=$AD78;
map2[11937][1]:=$F044;map2[11937][2]:=$AD75;
map2[11938][1]:=$F045;map2[11938][2]:=$AD6E;
map2[11939][1]:=$F046;map2[11939][2]:=$AD72;
map2[11940][1]:=$F047;map2[11940][2]:=$AD79;
map2[11941][1]:=$F048;map2[11941][2]:=$AE58;
map2[11942][1]:=$F049;map2[11942][2]:=$EAB6;
map2[11943][1]:=$F04A;map2[11943][2]:=$F1B0;
map2[11944][1]:=$F04B;map2[11944][2]:=$F0DC;
map2[11945][1]:=$F04C;map2[11945][2]:=$B050;
map2[11946][1]:=$F04D;map2[11946][2]:=$B049;
map2[11947][1]:=$F04E;map2[11947][2]:=$B04C;
map2[11948][1]:=$F04F;map2[11948][2]:=$B04E;
map2[11949][1]:=$F050;map2[11949][2]:=$B051;
map2[11950][1]:=$F051;map2[11950][2]:=$B089;
map2[11951][1]:=$F052;map2[11951][2]:=$B09C;
map2[11952][1]:=$F053;map2[11952][2]:=$B157;
map2[11953][1]:=$F054;map2[11953][2]:=$B284;
map2[11954][1]:=$F055;map2[11954][2]:=$B27E;
map2[11955][1]:=$F056;map2[11955][2]:=$B495;
map2[11956][1]:=$F057;map2[11956][2]:=$B4A0;
map2[11957][1]:=$F058;map2[11957][2]:=$EDE4;
map2[11958][1]:=$F059;map2[11958][2]:=$B546;
map2[11959][1]:=$F05A;map2[11959][2]:=$B49D;
map2[11960][1]:=$F05B;map2[11960][2]:=$B543;
map2[11961][1]:=$F05C;map2[11961][2]:=$B545;
map2[11962][1]:=$F05D;map2[11962][2]:=$B544;
map2[11963][1]:=$F05E;map2[11963][2]:=$B658;
map2[11964][1]:=$F05F;map2[11964][2]:=$B657;
map2[11965][1]:=$F060;map2[11965][2]:=$B775;
map2[11966][1]:=$F061;map2[11966][2]:=$BA82;
map2[11967][1]:=$F062;map2[11967][2]:=$BA8C;
map2[11968][1]:=$F063;map2[11968][2]:=$BA7E;
map2[11969][1]:=$F064;map2[11969][2]:=$BA85;
map2[11970][1]:=$F065;map2[11970][2]:=$F4A1;
map2[11971][1]:=$F066;map2[11971][2]:=$BA8F;
map2[11972][1]:=$F067;map2[11972][2]:=$BA83;
map2[11973][1]:=$F068;map2[11973][2]:=$F4A3;
map2[11974][1]:=$F069;map2[11974][2]:=$BA8B;
map2[11975][1]:=$F06A;map2[11975][2]:=$BA87;
map2[11976][1]:=$F06B;map2[11976][2]:=$BA8A;
map2[11977][1]:=$F06C;map2[11977][2]:=$BA92;
map2[11978][1]:=$F06D;map2[11978][2]:=$BF9F;
map2[11979][1]:=$F06E;map2[11979][2]:=$BF93;
map2[11980][1]:=$F06F;map2[11980][2]:=$C9A1;
map2[11981][1]:=$F070;map2[11981][2]:=$C045;
map2[11982][1]:=$F071;map2[11982][2]:=$BF9B;
map2[11983][1]:=$F072;map2[11983][2]:=$E7C0;
map2[11984][1]:=$F073;map2[11984][2]:=$C041;
map2[11985][1]:=$F074;map2[11985][2]:=$BF94;
map2[11986][1]:=$F075;map2[11986][2]:=$C042;
map2[11987][1]:=$F076;map2[11987][2]:=$BF9A;
map2[11988][1]:=$F077;map2[11988][2]:=$BF96;
map2[11989][1]:=$F078;map2[11989][2]:=$C182;
map2[11990][1]:=$F079;map2[11990][2]:=$C180;
map2[11991][1]:=$F07A;map2[11991][2]:=$C24C;
map2[11992][1]:=$F07B;map2[11992][2]:=$C24D;
map2[11993][1]:=$F07C;map2[11993][2]:=$F1F9;
map2[11994][1]:=$F07D;map2[11994][2]:=$C49E;
map2[11995][1]:=$F07E;map2[11995][2]:=$F1B3;
map2[11996][1]:=$F0A1;map2[11996][2]:=$C49D;
map2[11997][1]:=$F0A2;map2[11997][2]:=$F4BE;
map2[11998][1]:=$F0A3;map2[11998][2]:=$C597;
map2[11999][1]:=$F0A4;map2[11999][2]:=$CB66;
map2[12000][1]:=$F0A5;map2[12000][2]:=$CB75;
map2[12001][1]:=$F0A6;map2[12001][2]:=$CB70;
map2[12002][1]:=$F0A7;map2[12002][2]:=$CB72;
map2[12003][1]:=$F0A8;map2[12003][2]:=$CB71;
map2[12004][1]:=$F0A9;map2[12004][2]:=$CB65;
map2[12005][1]:=$F0AA;map2[12005][2]:=$CB67;
map2[12006][1]:=$F0AB;map2[12006][2]:=$CB6D;
map2[12007][1]:=$F0AC;map2[12007][2]:=$CB76;
map2[12008][1]:=$F0AD;map2[12008][2]:=$CB73;
map2[12009][1]:=$F0AE;map2[12009][2]:=$CB6F;
map2[12010][1]:=$F0AF;map2[12010][2]:=$CB79;
map2[12011][1]:=$F0B0;map2[12011][2]:=$DDA3;
map2[12012][1]:=$F0B1;map2[12012][2]:=$CB77;
map2[12013][1]:=$F0B2;map2[12013][2]:=$CB74;
map2[12014][1]:=$F0B3;map2[12014][2]:=$CB63;
map2[12015][1]:=$F0B4;map2[12015][2]:=$CB68;
map2[12016][1]:=$F0B5;map2[12016][2]:=$CB7E;
map2[12017][1]:=$F0B6;map2[12017][2]:=$CC66;
map2[12018][1]:=$F0B7;map2[12018][2]:=$CB69;
map2[12019][1]:=$F0B8;map2[12019][2]:=$DEB8;
map2[12020][1]:=$F0B9;map2[12020][2]:=$CB6E;
map2[12021][1]:=$F0BA;map2[12021][2]:=$CC9F;
map2[12022][1]:=$F0BB;map2[12022][2]:=$CF6F;
map2[12023][1]:=$F0BC;map2[12023][2]:=$CF6E;
map2[12024][1]:=$F0BD;map2[12024][2]:=$CF6B;
map2[12025][1]:=$F0BE;map2[12025][2]:=$F3B2;
map2[12026][1]:=$F0BF;map2[12026][2]:=$CF72;
map2[12027][1]:=$F0C0;map2[12027][2]:=$F3B3;
map2[12028][1]:=$F0C1;map2[12028][2]:=$F3A8;
map2[12029][1]:=$F0C2;map2[12029][2]:=$CF69;
map2[12030][1]:=$F0C3;map2[12030][2]:=$CF79;
map2[12031][1]:=$F0C4;map2[12031][2]:=$CF6D;
map2[12032][1]:=$F0C5;map2[12032][2]:=$CF5F;
map2[12033][1]:=$F0C6;map2[12033][2]:=$CF66;
map2[12034][1]:=$F0C7;map2[12034][2]:=$F3AD;
map2[12035][1]:=$F0C8;map2[12035][2]:=$CF74;
map2[12036][1]:=$F0C9;map2[12036][2]:=$CF63;
map2[12037][1]:=$F0CA;map2[12037][2]:=$F2B1;
map2[12038][1]:=$F0CB;map2[12038][2]:=$CEA0;
map2[12039][1]:=$F0CC;map2[12039][2]:=$CF62;
map2[12040][1]:=$F0CD;map2[12040][2]:=$CF64;
map2[12041][1]:=$F0CE;map2[12041][2]:=$CF86;
map2[12042][1]:=$F0CF;map2[12042][2]:=$CF7A;
map2[12043][1]:=$F0D0;map2[12043][2]:=$CF70;
map2[12044][1]:=$F0D1;map2[12044][2]:=$CF67;
map2[12045][1]:=$F0D2;map2[12045][2]:=$D259;
map2[12046][1]:=$F0D3;map2[12046][2]:=$D251;
map2[12047][1]:=$F0D4;map2[12047][2]:=$D142;
map2[12048][1]:=$F0D5;map2[12048][2]:=$D252;
map2[12049][1]:=$F0D6;map2[12049][2]:=$E1A5;
map2[12050][1]:=$F0D7;map2[12050][2]:=$D256;
map2[12051][1]:=$F0D8;map2[12051][2]:=$D257;
map2[12052][1]:=$F0D9;map2[12052][2]:=$D24F;
map2[12053][1]:=$F0DA;map2[12053][2]:=$D685;
map2[12054][1]:=$F0DB;map2[12054][2]:=$D682;
map2[12055][1]:=$F0DC;map2[12055][2]:=$D67E;
map2[12056][1]:=$F0DD;map2[12056][2]:=$DAA9;
map2[12057][1]:=$F0DE;map2[12057][2]:=$D68B;
map2[12058][1]:=$F0DF;map2[12058][2]:=$D690;
map2[12059][1]:=$F0E0;map2[12059][2]:=$D741;
map2[12060][1]:=$F0E1;map2[12060][2]:=$D68A;
map2[12061][1]:=$F0E2;map2[12061][2]:=$D697;
map2[12062][1]:=$F0E3;map2[12062][2]:=$C3A1;
map2[12063][1]:=$F0E4;map2[12063][2]:=$D68C;
map2[12064][1]:=$F0E5;map2[12064][2]:=$D681;
map2[12065][1]:=$F0E6;map2[12065][2]:=$D692;
map2[12066][1]:=$F0E7;map2[12066][2]:=$F6A5;
map2[12067][1]:=$F0E8;map2[12067][2]:=$D691;
map2[12068][1]:=$F0E9;map2[12068][2]:=$D689;
map2[12069][1]:=$F0EA;map2[12069][2]:=$D680;
map2[12070][1]:=$F0EB;map2[12070][2]:=$D696;
map2[12071][1]:=$F0EC;map2[12071][2]:=$D698;
map2[12072][1]:=$F0ED;map2[12072][2]:=$D695;
map2[12073][1]:=$F0EE;map2[12073][2]:=$D849;
map2[12074][1]:=$F0EF;map2[12074][2]:=$D871;
map2[12075][1]:=$F0F0;map2[12075][2]:=$D88C;
map2[12076][1]:=$F0F1;map2[12076][2]:=$F5F8;
map2[12077][1]:=$F0F2;map2[12077][2]:=$D88B;
map2[12078][1]:=$F0F3;map2[12078][2]:=$D8D3;
map2[12079][1]:=$F0F4;map2[12079][2]:=$EADE;
map2[12080][1]:=$F0F5;map2[12080][2]:=$D995;
map2[12081][1]:=$F0F6;map2[12081][2]:=$D993;
map2[12082][1]:=$F0F7;map2[12082][2]:=$DB91;
map2[12083][1]:=$F0F8;map2[12083][2]:=$DB97;
map2[12084][1]:=$F0F9;map2[12084][2]:=$F5C5;
map2[12085][1]:=$F0FA;map2[12085][2]:=$DB8D;
map2[12086][1]:=$F0FB;map2[12086][2]:=$DB8C;
map2[12087][1]:=$F0FC;map2[12087][2]:=$DB93;
map2[12088][1]:=$F0FD;map2[12088][2]:=$DB9A;
map2[12089][1]:=$F0FE;map2[12089][2]:=$DB9B;
map2[12090][1]:=$F140;map2[12090][2]:=$DB90;
map2[12091][1]:=$F141;map2[12091][2]:=$DB8F;
map2[12092][1]:=$F142;map2[12092][2]:=$DB96;
map2[12093][1]:=$F143;map2[12093][2]:=$DB92;
map2[12094][1]:=$F144;map2[12094][2]:=$F5BF;
map2[12095][1]:=$F145;map2[12095][2]:=$DB8A;
map2[12096][1]:=$F146;map2[12096][2]:=$EAA4;
map2[12097][1]:=$F147;map2[12097][2]:=$DE42;
map2[12098][1]:=$F148;map2[12098][2]:=$DE43;
map2[12099][1]:=$F149;map2[12099][2]:=$DE46;
map2[12100][1]:=$F14A;map2[12100][2]:=$E088;
map2[12101][1]:=$F14B;map2[12101][2]:=$DAF7;
map2[12102][1]:=$F14C;map2[12102][2]:=$E098;
map2[12103][1]:=$F14D;map2[12103][2]:=$E09B;
map2[12104][1]:=$F14E;map2[12104][2]:=$E172;
map2[12105][1]:=$F14F;map2[12105][2]:=$E16F;
map2[12106][1]:=$F150;map2[12106][2]:=$E171;
map2[12107][1]:=$F151;map2[12107][2]:=$F5B5;
map2[12108][1]:=$F152;map2[12108][2]:=$F5B2;
map2[12109][1]:=$F153;map2[12109][2]:=$EFD8;
map2[12110][1]:=$F154;map2[12110][2]:=$E660;
map2[12111][1]:=$F155;map2[12111][2]:=$E665;
map2[12112][1]:=$F156;map2[12112][2]:=$E68B;
map2[12113][1]:=$F157;map2[12113][2]:=$E944;
map2[12114][1]:=$F158;map2[12114][2]:=$E670;
map2[12115][1]:=$F159;map2[12115][2]:=$E65D;
map2[12116][1]:=$F15A;map2[12116][2]:=$EEF8;
map2[12117][1]:=$F15B;map2[12117][2]:=$E662;
map2[12118][1]:=$F15C;map2[12118][2]:=$EFCB;
map2[12119][1]:=$F15D;map2[12119][2]:=$E671;
map2[12120][1]:=$F15E;map2[12120][2]:=$EFD6;
map2[12121][1]:=$F15F;map2[12121][2]:=$E668;
map2[12122][1]:=$F160;map2[12122][2]:=$E65C;
map2[12123][1]:=$F161;map2[12123][2]:=$E66C;
map2[12124][1]:=$F162;map2[12124][2]:=$E672;
map2[12125][1]:=$F163;map2[12125][2]:=$E661;
map2[12126][1]:=$F164;map2[12126][2]:=$E685;
map2[12127][1]:=$F165;map2[12127][2]:=$E664;
map2[12128][1]:=$F166;map2[12128][2]:=$E945;
map2[12129][1]:=$F167;map2[12129][2]:=$E677;
map2[12130][1]:=$F168;map2[12130][2]:=$E67B;
map2[12131][1]:=$F169;map2[12131][2]:=$E688;
map2[12132][1]:=$F16A;map2[12132][2]:=$DDF6;
map2[12133][1]:=$F16B;map2[12133][2]:=$E678;
map2[12134][1]:=$F16C;map2[12134][2]:=$EA60;
map2[12135][1]:=$F16D;map2[12135][2]:=$EA5D;
map2[12136][1]:=$F16E;map2[12136][2]:=$EA45;
map2[12137][1]:=$F16F;map2[12137][2]:=$E3C4;
map2[12138][1]:=$F170;map2[12138][2]:=$EB6E;
map2[12139][1]:=$F171;map2[12139][2]:=$EB71;
map2[12140][1]:=$F172;map2[12140][2]:=$8E60;
map2[12141][1]:=$F173;map2[12141][2]:=$EB76;
map2[12142][1]:=$F174;map2[12142][2]:=$EB6F;
map2[12143][1]:=$F175;map2[12143][2]:=$EB74;
map2[12144][1]:=$F176;map2[12144][2]:=$EC42;
map2[12145][1]:=$F177;map2[12145][2]:=$EC41;
map2[12146][1]:=$F178;map2[12146][2]:=$EC44;
map2[12147][1]:=$F179;map2[12147][2]:=$ED4B;
map2[12148][1]:=$F17A;map2[12148][2]:=$ED4C;
map2[12149][1]:=$F17B;map2[12149][2]:=$ED48;
map2[12150][1]:=$F17C;map2[12150][2]:=$F7B6;
map2[12151][1]:=$F17D;map2[12151][2]:=$ED44;
map2[12152][1]:=$F17E;map2[12152][2]:=$ED4A;
map2[12153][1]:=$F1A1;map2[12153][2]:=$ED43;
map2[12154][1]:=$F1A2;map2[12154][2]:=$ED45;
map2[12155][1]:=$F1A3;map2[12155][2]:=$ED72;
map2[12156][1]:=$F1A4;map2[12156][2]:=$E8B8;
map2[12157][1]:=$F1A5;map2[12157][2]:=$ED71;
map2[12158][1]:=$F1A6;map2[12158][2]:=$ED73;
map2[12159][1]:=$F1A7;map2[12159][2]:=$ED8C;
map2[12160][1]:=$F1A8;map2[12160][2]:=$EE82;
map2[12161][1]:=$F1A9;map2[12161][2]:=$EE83;
map2[12162][1]:=$F1AA;map2[12162][2]:=$EF4A;
map2[12163][1]:=$F1AB;map2[12163][2]:=$EF74;
map2[12164][1]:=$F1AC;map2[12164][2]:=$F140;
map2[12165][1]:=$F1AD;map2[12165][2]:=$E2BE;
map2[12166][1]:=$F1AE;map2[12166][2]:=$F141;
map2[12167][1]:=$F1AF;map2[12167][2]:=$E6EB;
map2[12168][1]:=$F1B0;map2[12168][2]:=$F251;
map2[12169][1]:=$F1B1;map2[12169][2]:=$F24F;
map2[12170][1]:=$F1B2;map2[12170][2]:=$E6EC;
map2[12171][1]:=$F1B3;map2[12171][2]:=$F24A;
map2[12172][1]:=$F1B4;map2[12172][2]:=$F257;
map2[12173][1]:=$F1B5;map2[12173][2]:=$F250;
map2[12174][1]:=$F1B6;map2[12174][2]:=$E6ED;
map2[12175][1]:=$F1B7;map2[12175][2]:=$F24D;
map2[12176][1]:=$F1B8;map2[12176][2]:=$F24C;
map2[12177][1]:=$F1B9;map2[12177][2]:=$F7C2;
map2[12178][1]:=$F1BA;map2[12178][2]:=$F37E;
map2[12179][1]:=$F1BB;map2[12179][2]:=$F7DC;
map2[12180][1]:=$F1BC;map2[12180][2]:=$F39E;
map2[12181][1]:=$F1BD;map2[12181][2]:=$F39F;
map2[12182][1]:=$F1BE;map2[12182][2]:=$E3D2;
map2[12183][1]:=$F1BF;map2[12183][2]:=$F467;
map2[12184][1]:=$F1C0;map2[12184][2]:=$F472;
map2[12185][1]:=$F1C1;map2[12185][2]:=$F474;
map2[12186][1]:=$F1C2;map2[12186][2]:=$F473;
map2[12187][1]:=$F1C3;map2[12187][2]:=$F6E9;
map2[12188][1]:=$F1C4;map2[12188][2]:=$F58B;
map2[12189][1]:=$F1C5;map2[12189][2]:=$F588;
map2[12190][1]:=$F1C6;map2[12190][2]:=$F584;
map2[12191][1]:=$F1C7;map2[12191][2]:=$F6E1;
map2[12192][1]:=$F1C8;map2[12192][2]:=$F579;
map2[12193][1]:=$F1C9;map2[12193][2]:=$F57C;
map2[12194][1]:=$F1CA;map2[12194][2]:=$F598;
map2[12195][1]:=$F1CB;map2[12195][2]:=$F790;
map2[12196][1]:=$F1CC;map2[12196][2]:=$F589;
map2[12197][1]:=$F1CD;map2[12197][2]:=$F57D;
map2[12198][1]:=$F1CE;map2[12198][2]:=$F582;
map2[12199][1]:=$F1CF;map2[12199][2]:=$F0C3;
map2[12200][1]:=$F1D0;map2[12200][2]:=$F0BE;
map2[12201][1]:=$F1D1;map2[12201][2]:=$F94C;
map2[12202][1]:=$F1D2;map2[12202][2]:=$F947;
map2[12203][1]:=$F1D3;map2[12203][2]:=$F958;
map2[12204][1]:=$F1D4;map2[12204][2]:=$F948;
map2[12205][1]:=$F1D5;map2[12205][2]:=$F956;
map2[12206][1]:=$F1D6;map2[12206][2]:=$F953;
map2[12207][1]:=$F1D7;map2[12207][2]:=$F949;
map2[12208][1]:=$F1D8;map2[12208][2]:=$F954;
map2[12209][1]:=$F1D9;map2[12209][2]:=$F0C1;
map2[12210][1]:=$F1DA;map2[12210][2]:=$F951;
map2[12211][1]:=$F1DB;map2[12211][2]:=$F95C;
map2[12212][1]:=$F1DC;map2[12212][2]:=$F955;
map2[12213][1]:=$F1DD;map2[12213][2]:=$F957;
map2[12214][1]:=$F1DE;map2[12214][2]:=$FB89;
map2[12215][1]:=$F1DF;map2[12215][2]:=$FB87;
map2[12216][1]:=$F1E0;map2[12216][2]:=$F7F0;
map2[12217][1]:=$F1E1;map2[12217][2]:=$FC7A;
map2[12218][1]:=$F1E2;map2[12218][2]:=$FC79;
map2[12219][1]:=$F1E3;map2[12219][2]:=$FC8B;
map2[12220][1]:=$F1E4;map2[12220][2]:=$FC96;
map2[12221][1]:=$F1E5;map2[12221][2]:=$FC9C;
map2[12222][1]:=$F1E6;map2[12222][2]:=$FC9B;
map2[12223][1]:=$F1E7;map2[12223][2]:=$FC9A;
map2[12224][1]:=$F1E8;map2[12224][2]:=$FC99;
map2[12225][1]:=$F1E9;map2[12225][2]:=$FD54;
map2[12226][1]:=$F1EA;map2[12226][2]:=$FD86;
map2[12227][1]:=$F1EB;map2[12227][2]:=$83A8;
map2[12228][1]:=$F1EC;map2[12228][2]:=$83A9;
map2[12229][1]:=$F1ED;map2[12229][2]:=$84AD;
map2[12230][1]:=$F1EE;map2[12230][2]:=$84F0;
map2[12231][1]:=$F1EF;map2[12231][2]:=$D8C9;
map2[12232][1]:=$F1F0;map2[12232][2]:=$87B8;
map2[12233][1]:=$F1F1;map2[12233][2]:=$87BA;
map2[12234][1]:=$F1F2;map2[12234][2]:=$DFBF;
map2[12235][1]:=$F1F3;map2[12235][2]:=$87B4;
map2[12236][1]:=$F1F4;map2[12236][2]:=$87B7;
map2[12237][1]:=$F1F5;map2[12237][2]:=$87B9;
map2[12238][1]:=$F1F6;map2[12238][2]:=$DBE4;
map2[12239][1]:=$F1F7;map2[12239][2]:=$89C3;
map2[12240][1]:=$F1F8;map2[12240][2]:=$89C1;
map2[12241][1]:=$F1F9;map2[12241][2]:=$89EB;
map2[12242][1]:=$F1FA;map2[12242][2]:=$8BF5;
map2[12243][1]:=$F1FB;map2[12243][2]:=$C0C1;
map2[12244][1]:=$F1FC;map2[12244][2]:=$8BF7;
map2[12245][1]:=$F1FD;map2[12245][2]:=$8E61;
map2[12246][1]:=$F1FE;map2[12246][2]:=$8ED2;
map2[12247][1]:=$F240;map2[12247][2]:=$8FDC;
map2[12248][1]:=$F241;map2[12248][2]:=$91D5;
map2[12249][1]:=$F242;map2[12249][2]:=$9467;
map2[12250][1]:=$F243;map2[12250][2]:=$946F;
map2[12251][1]:=$F244;map2[12251][2]:=$946C;
map2[12252][1]:=$F245;map2[12252][2]:=$DFAB;
map2[12253][1]:=$F246;map2[12253][2]:=$946B;
map2[12254][1]:=$F247;map2[12254][2]:=$946D;
map2[12255][1]:=$F248;map2[12255][2]:=$94C1;
map2[12256][1]:=$F249;map2[12256][2]:=$94F8;
map2[12257][1]:=$F24A;map2[12257][2]:=$94F7;
map2[12258][1]:=$F24B;map2[12258][2]:=$95E5;
map2[12259][1]:=$F24C;map2[12259][2]:=$E9C6;
map2[12260][1]:=$F24D;map2[12260][2]:=$99B6;
map2[12261][1]:=$F24E;map2[12261][2]:=$99A2;
map2[12262][1]:=$F24F;map2[12262][2]:=$99A7;
map2[12263][1]:=$F250;map2[12263][2]:=$99AF;
map2[12264][1]:=$F251;map2[12264][2]:=$99A1;
map2[12265][1]:=$F252;map2[12265][2]:=$E8DD;
map2[12266][1]:=$F253;map2[12266][2]:=$99B2;
map2[12267][1]:=$F254;map2[12267][2]:=$99A6;
map2[12268][1]:=$F255;map2[12268][2]:=$E9CD;
map2[12269][1]:=$F256;map2[12269][2]:=$99A5;
map2[12270][1]:=$F257;map2[12270][2]:=$99A3;
map2[12271][1]:=$F258;map2[12271][2]:=$E9DA;
map2[12272][1]:=$F259;map2[12272][2]:=$9A66;
map2[12273][1]:=$F25A;map2[12273][2]:=$9A9C;
map2[12274][1]:=$F25B;map2[12274][2]:=$EBAA;
map2[12275][1]:=$F25C;map2[12275][2]:=$9E70;
map2[12276][1]:=$F25D;map2[12276][2]:=$E3F1;
map2[12277][1]:=$F25E;map2[12277][2]:=$E4EB;
map2[12278][1]:=$F25F;map2[12278][2]:=$9E6D;
map2[12279][1]:=$F260;map2[12279][2]:=$9E80;
map2[12280][1]:=$F261;map2[12280][2]:=$9E76;
map2[12281][1]:=$F262;map2[12281][2]:=$9E77;
map2[12282][1]:=$F263;map2[12282][2]:=$E5AC;
map2[12283][1]:=$F264;map2[12283][2]:=$9E7D;
map2[12284][1]:=$F265;map2[12284][2]:=$9E6E;
map2[12285][1]:=$F266;map2[12285][2]:=$9E78;
map2[12286][1]:=$F267;map2[12286][2]:=$9E71;
map2[12287][1]:=$F268;map2[12287][2]:=$9E7E;
map2[12288][1]:=$F269;map2[12288][2]:=$A070;
map2[12289][1]:=$F26A;map2[12289][2]:=$A06E;
map2[12290][1]:=$F26B;map2[12290][2]:=$A06B;
map2[12291][1]:=$F26C;map2[12291][2]:=$A067;
map2[12292][1]:=$F26D;map2[12292][2]:=$A06A;
map2[12293][1]:=$F26E;map2[12293][2]:=$A0DC;
map2[12294][1]:=$F26F;map2[12294][2]:=$A0DD;
map2[12295][1]:=$F270;map2[12295][2]:=$A0DB;
map2[12296][1]:=$F271;map2[12296][2]:=$A0DA;
map2[12297][1]:=$F272;map2[12297][2]:=$A0D8;
map2[12298][1]:=$F273;map2[12298][2]:=$AD83;
map2[12299][1]:=$F274;map2[12299][2]:=$AD7C;
map2[12300][1]:=$F275;map2[12300][2]:=$AD6F;
map2[12301][1]:=$F276;map2[12301][2]:=$AD7A;
map2[12302][1]:=$F277;map2[12302][2]:=$F3BF;
map2[12303][1]:=$F278;map2[12303][2]:=$B055;
map2[12304][1]:=$F279;map2[12304][2]:=$B28B;
map2[12305][1]:=$F27A;map2[12305][2]:=$B28C;
map2[12306][1]:=$F27B;map2[12306][2]:=$B286;
map2[12307][1]:=$F27C;map2[12307][2]:=$B345;
map2[12308][1]:=$F27D;map2[12308][2]:=$B54F;
map2[12309][1]:=$F27E;map2[12309][2]:=$B54D;
map2[12310][1]:=$F2A1;map2[12310][2]:=$B552;
map2[12311][1]:=$F2A2;map2[12311][2]:=$B54E;
map2[12312][1]:=$F2A3;map2[12312][2]:=$B549;
map2[12313][1]:=$F2A4;map2[12313][2]:=$EDE6;
map2[12314][1]:=$F2A5;map2[12314][2]:=$ECF2;
map2[12315][1]:=$F2A6;map2[12315][2]:=$B77D;
map2[12316][1]:=$F2A7;map2[12316][2]:=$CDC7;
map2[12317][1]:=$F2A8;map2[12317][2]:=$BA95;
map2[12318][1]:=$F2A9;map2[12318][2]:=$BA9D;
map2[12319][1]:=$F2AA;map2[12319][2]:=$B959;
map2[12320][1]:=$F2AB;map2[12320][2]:=$BA8E;
map2[12321][1]:=$F2AC;map2[12321][2]:=$BA9C;
map2[12322][1]:=$F2AD;map2[12322][2]:=$BC5E;
map2[12323][1]:=$F2AE;map2[12323][2]:=$BC5C;
map2[12324][1]:=$F2AF;map2[12324][2]:=$C058;
map2[12325][1]:=$F2B0;map2[12325][2]:=$C057;
map2[12326][1]:=$F2B1;map2[12326][2]:=$C05A;
map2[12327][1]:=$F2B2;map2[12327][2]:=$E7D8;
map2[12328][1]:=$F2B3;map2[12328][2]:=$C059;
map2[12329][1]:=$F2B4;map2[12329][2]:=$E7D9;
map2[12330][1]:=$F2B5;map2[12330][2]:=$C05C;
map2[12331][1]:=$F2B6;map2[12331][2]:=$C054;
map2[12332][1]:=$F2B7;map2[12332][2]:=$C056;
map2[12333][1]:=$F2B8;map2[12333][2]:=$C04A;
map2[12334][1]:=$F2B9;map2[12334][2]:=$CECD;
map2[12335][1]:=$F2BA;map2[12335][2]:=$C099;
map2[12336][1]:=$F2BB;map2[12336][2]:=$C15D;
map2[12337][1]:=$F2BC;map2[12337][2]:=$EEBC;
map2[12338][1]:=$F2BD;map2[12338][2]:=$C184;
map2[12339][1]:=$F2BE;map2[12339][2]:=$C199;
map2[12340][1]:=$F2BF;map2[12340][2]:=$C251;
map2[12341][1]:=$F2C0;map2[12341][2]:=$C29B;
map2[12342][1]:=$F2C1;map2[12342][2]:=$C543;
map2[12343][1]:=$F2C2;map2[12343][2]:=$C541;
map2[12344][1]:=$F2C3;map2[12344][2]:=$F4AF;
map2[12345][1]:=$F2C4;map2[12345][2]:=$C599;
map2[12346][1]:=$F2C5;map2[12346][2]:=$E9D6;
map2[12347][1]:=$F2C6;map2[12347][2]:=$CB93;
map2[12348][1]:=$F2C7;map2[12348][2]:=$CB99;
map2[12349][1]:=$F2C8;map2[12349][2]:=$CB95;
map2[12350][1]:=$F2C9;map2[12350][2]:=$CB84;
map2[12351][1]:=$F2CA;map2[12351][2]:=$CB8B;
map2[12352][1]:=$F2CB;map2[12352][2]:=$CB91;
map2[12353][1]:=$F2CC;map2[12353][2]:=$CB85;
map2[12354][1]:=$F2CD;map2[12354][2]:=$CB82;
map2[12355][1]:=$F2CE;map2[12355][2]:=$CB94;
map2[12356][1]:=$F2CF;map2[12356][2]:=$CB9A;
map2[12357][1]:=$F2D0;map2[12357][2]:=$CBA0;
map2[12358][1]:=$F2D1;map2[12358][2]:=$CB83;
map2[12359][1]:=$F2D2;map2[12359][2]:=$CB89;
map2[12360][1]:=$F2D3;map2[12360][2]:=$CB8D;
map2[12361][1]:=$F2D4;map2[12361][2]:=$DEBC;
map2[12362][1]:=$F2D5;map2[12362][2]:=$CB7D;
map2[12363][1]:=$F2D6;map2[12363][2]:=$CB98;
map2[12364][1]:=$F2D7;map2[12364][2]:=$CB8F;
map2[12365][1]:=$F2D8;map2[12365][2]:=$CB97;
map2[12366][1]:=$F2D9;map2[12366][2]:=$CB88;
map2[12367][1]:=$F2DA;map2[12367][2]:=$CB8C;
map2[12368][1]:=$F2DB;map2[12368][2]:=$CF85;
map2[12369][1]:=$F2DC;map2[12369][2]:=$CF80;
map2[12370][1]:=$F2DD;map2[12370][2]:=$D9F9;
map2[12371][1]:=$F2DE;map2[12371][2]:=$F2C9;
map2[12372][1]:=$F2DF;map2[12372][2]:=$CF7D;
map2[12373][1]:=$F2E0;map2[12373][2]:=$CF8D;
map2[12374][1]:=$F2E1;map2[12374][2]:=$CF8F;
map2[12375][1]:=$F2E2;map2[12375][2]:=$CF8E;
map2[12376][1]:=$F2E3;map2[12376][2]:=$F2B2;
map2[12377][1]:=$F2E4;map2[12377][2]:=$CF82;
map2[12378][1]:=$F2E5;map2[12378][2]:=$CF8C;
map2[12379][1]:=$F2E6;map2[12379][2]:=$CF84;
map2[12380][1]:=$F2E7;map2[12380][2]:=$F3B9;
map2[12381][1]:=$F2E8;map2[12381][2]:=$CF87;
map2[12382][1]:=$F2E9;map2[12382][2]:=$D266;
map2[12383][1]:=$F2EA;map2[12383][2]:=$D260;
map2[12384][1]:=$F2EB;map2[12384][2]:=$D261;
map2[12385][1]:=$F2EC;map2[12385][2]:=$D25D;
map2[12386][1]:=$F2ED;map2[12386][2]:=$D265;
map2[12387][1]:=$F2EE;map2[12387][2]:=$D262;
map2[12388][1]:=$F2EF;map2[12388][2]:=$D25E;
map2[12389][1]:=$F2F0;map2[12389][2]:=$F1CF;
map2[12390][1]:=$F2F1;map2[12390][2]:=$D25F;
map2[12391][1]:=$F2F2;map2[12391][2]:=$BACB;
map2[12392][1]:=$F2F3;map2[12392][2]:=$EAEF;
map2[12393][1]:=$F2F4;map2[12393][2]:=$D354;
map2[12394][1]:=$F2F5;map2[12394][2]:=$F6A3;
map2[12395][1]:=$F2F6;map2[12395][2]:=$D74A;
map2[12396][1]:=$F2F7;map2[12396][2]:=$D742;
map2[12397][1]:=$F2F8;map2[12397][2]:=$D744;
map2[12398][1]:=$F2F9;map2[12398][2]:=$D69B;
map2[12399][1]:=$F2FA;map2[12399][2]:=$D74D;
map2[12400][1]:=$F2FB;map2[12400][2]:=$DADA;
map2[12401][1]:=$F2FC;map2[12401][2]:=$D74E;
map2[12402][1]:=$F2FD;map2[12402][2]:=$D745;
map2[12403][1]:=$F2FE;map2[12403][2]:=$D74F;
map2[12404][1]:=$F340;map2[12404][2]:=$D74B;
map2[12405][1]:=$F341;map2[12405][2]:=$D69D;
map2[12406][1]:=$F342;map2[12406][2]:=$D74C;
map2[12407][1]:=$F343;map2[12407][2]:=$D751;
map2[12408][1]:=$F344;map2[12408][2]:=$D84A;
map2[12409][1]:=$F345;map2[12409][2]:=$D873;
map2[12410][1]:=$F346;map2[12410][2]:=$D86B;
map2[12411][1]:=$F347;map2[12411][2]:=$D88D;
map2[12412][1]:=$F348;map2[12412][2]:=$D999;
map2[12413][1]:=$F349;map2[12413][2]:=$DA53;
map2[12414][1]:=$F34A;map2[12414][2]:=$D99C;
map2[12415][1]:=$F34B;map2[12415][2]:=$DA89;
map2[12416][1]:=$F34C;map2[12416][2]:=$DA87;
map2[12417][1]:=$F34D;map2[12417][2]:=$DA8A;
map2[12418][1]:=$F34E;map2[12418][2]:=$DA88;
map2[12419][1]:=$F34F;map2[12419][2]:=$B2E4;
map2[12420][1]:=$F350;map2[12420][2]:=$DC43;
map2[12421][1]:=$F351;map2[12421][2]:=$DC40;
map2[12422][1]:=$F352;map2[12422][2]:=$DB9D;
map2[12423][1]:=$F353;map2[12423][2]:=$F5EC;
map2[12424][1]:=$F354;map2[12424][2]:=$DC46;
map2[12425][1]:=$F355;map2[12425][2]:=$DC7E;
map2[12426][1]:=$F356;map2[12426][2]:=$DE4D;
map2[12427][1]:=$F357;map2[12427][2]:=$DE4C;
map2[12428][1]:=$F358;map2[12428][2]:=$DE4A;
map2[12429][1]:=$F359;map2[12429][2]:=$DE4B;
map2[12430][1]:=$F35A;map2[12430][2]:=$DE4E;
map2[12431][1]:=$F35B;map2[12431][2]:=$DE74;
map2[12432][1]:=$F35C;map2[12432][2]:=$E09D;
map2[12433][1]:=$F35D;map2[12433][2]:=$E09C;
map2[12434][1]:=$F35E;map2[12434][2]:=$E176;
map2[12435][1]:=$F35F;map2[12435][2]:=$F5B3;
map2[12436][1]:=$F360;map2[12436][2]:=$EFDE;
map2[12437][1]:=$F361;map2[12437][2]:=$D0FD;
map2[12438][1]:=$F362;map2[12438][2]:=$E741;
map2[12439][1]:=$F363;map2[12439][2]:=$E696;
map2[12440][1]:=$F364;map2[12440][2]:=$C6DD;
map2[12441][1]:=$F365;map2[12441][2]:=$E948;
map2[12442][1]:=$F366;map2[12442][2]:=$EFEA;
map2[12443][1]:=$F367;map2[12443][2]:=$E75D;
map2[12444][1]:=$F368;map2[12444][2]:=$EFD2;
map2[12445][1]:=$F369;map2[12445][2]:=$E74A;
map2[12446][1]:=$F36A;map2[12446][2]:=$EFA1;
map2[12447][1]:=$F36B;map2[12447][2]:=$E757;
map2[12448][1]:=$F36C;map2[12448][2]:=$F6CB;
map2[12449][1]:=$F36D;map2[12449][2]:=$E746;
map2[12450][1]:=$F36E;map2[12450][2]:=$E75F;
map2[12451][1]:=$F36F;map2[12451][2]:=$E754;
map2[12452][1]:=$F370;map2[12452][2]:=$E747;
map2[12453][1]:=$F371;map2[12453][2]:=$E698;
map2[12454][1]:=$F372;map2[12454][2]:=$E740;
map2[12455][1]:=$F373;map2[12455][2]:=$E694;
map2[12456][1]:=$F374;map2[12456][2]:=$E744;
map2[12457][1]:=$F375;map2[12457][2]:=$E758;
map2[12458][1]:=$F376;map2[12458][2]:=$E952;
map2[12459][1]:=$F377;map2[12459][2]:=$BFFA;
map2[12460][1]:=$F378;map2[12460][2]:=$EA4F;
map2[12461][1]:=$F379;map2[12461][2]:=$EB77;
map2[12462][1]:=$F37A;map2[12462][2]:=$EC48;
map2[12463][1]:=$F37B;map2[12463][2]:=$EC49;
map2[12464][1]:=$F37C;map2[12464][2]:=$EC4A;
map2[12465][1]:=$F37D;map2[12465][2]:=$EC47;
map2[12466][1]:=$F37E;map2[12466][2]:=$EC45;
map2[12467][1]:=$F3A1;map2[12467][2]:=$ED4F;
map2[12468][1]:=$F3A2;map2[12468][2]:=$ED52;
map2[12469][1]:=$F3A3;map2[12469][2]:=$ED51;
map2[12470][1]:=$F3A4;map2[12470][2]:=$F7B9;
map2[12471][1]:=$F3A5;map2[12471][2]:=$E8B9;
map2[12472][1]:=$F3A6;map2[12472][2]:=$ED7A;
map2[12473][1]:=$F3A7;map2[12473][2]:=$EE8E;
map2[12474][1]:=$F3A8;map2[12474][2]:=$F2AA;
map2[12475][1]:=$F3A9;map2[12475][2]:=$EE8F;
map2[12476][1]:=$F3AA;map2[12476][2]:=$EE89;
map2[12477][1]:=$F3AB;map2[12477][2]:=$EF63;
map2[12478][1]:=$F3AC;map2[12478][2]:=$EF61;
map2[12479][1]:=$F3AD;map2[12479][2]:=$EF75;
map2[12480][1]:=$F3AE;map2[12480][2]:=$EF62;
map2[12481][1]:=$F3AF;map2[12481][2]:=$E2CA;
map2[12482][1]:=$F3B0;map2[12482][2]:=$F07C;
map2[12483][1]:=$F3B1;map2[12483][2]:=$E2C9;
map2[12484][1]:=$F3B2;map2[12484][2]:=$F14D;
map2[12485][1]:=$F3B3;map2[12485][2]:=$F14E;
map2[12486][1]:=$F3B4;map2[12486][2]:=$F260;
map2[12487][1]:=$F3B5;map2[12487][2]:=$F25B;
map2[12488][1]:=$F3B6;map2[12488][2]:=$F26B;
map2[12489][1]:=$F3B7;map2[12489][2]:=$F263;
map2[12490][1]:=$F3B8;map2[12490][2]:=$F359;
map2[12491][1]:=$F3B9;map2[12491][2]:=$F261;
map2[12492][1]:=$F3BA;map2[12492][2]:=$F268;
map2[12493][1]:=$F3BB;map2[12493][2]:=$F266;
map2[12494][1]:=$F3BC;map2[12494][2]:=$F26D;
map2[12495][1]:=$F3BD;map2[12495][2]:=$D7D7;
map2[12496][1]:=$F3BE;map2[12496][2]:=$F264;
map2[12497][1]:=$F3BF;map2[12497][2]:=$F262;
map2[12498][1]:=$F3C0;map2[12498][2]:=$F25A;
map2[12499][1]:=$F3C1;map2[12499][2]:=$F7C4;
map2[12500][1]:=$F3C2;map2[12500][2]:=$F443;
map2[12501][1]:=$F3C3;map2[12501][2]:=$F442;
map2[12502][1]:=$F3C4;map2[12502][2]:=$F446;
map2[12503][1]:=$F3C5;map2[12503][2]:=$F444;
map2[12504][1]:=$F3C6;map2[12504][2]:=$F469;
map2[12505][1]:=$F3C7;map2[12505][2]:=$F6EC;
map2[12506][1]:=$F3C8;map2[12506][2]:=$F6ED;
map2[12507][1]:=$F3C9;map2[12507][2]:=$F644;
map2[12508][1]:=$F3CA;map2[12508][2]:=$F642;
map2[12509][1]:=$F3CB;map2[12509][2]:=$F6EF;
map2[12510][1]:=$F3CC;map2[12510][2]:=$F64A;
map2[12511][1]:=$F3CD;map2[12511][2]:=$F6F2;
map2[12512][1]:=$F3CE;map2[12512][2]:=$F6F3;
map2[12513][1]:=$F3CF;map2[12513][2]:=$F6F6;
map2[12514][1]:=$F3D0;map2[12514][2]:=$F6DF;
map2[12515][1]:=$F3D1;map2[12515][2]:=$F650;
map2[12516][1]:=$F3D2;map2[12516][2]:=$F640;
map2[12517][1]:=$F3D3;map2[12517][2]:=$F59E;
map2[12518][1]:=$F3D4;map2[12518][2]:=$F649;
map2[12519][1]:=$F3D5;map2[12519][2]:=$F792;
map2[12520][1]:=$F3D6;map2[12520][2]:=$F6EE;
map2[12521][1]:=$F3D7;map2[12521][2]:=$F59F;
map2[12522][1]:=$F3D8;map2[12522][2]:=$FB67;
map2[12523][1]:=$F3D9;map2[12523][2]:=$F97E;
map2[12524][1]:=$F3DA;map2[12524][2]:=$FB66;
map2[12525][1]:=$F3DB;map2[12525][2]:=$F982;
map2[12526][1]:=$F3DC;map2[12526][2]:=$F986;
map2[12527][1]:=$F3DD;map2[12527][2]:=$F96E;
map2[12528][1]:=$F3DE;map2[12528][2]:=$F97D;
map2[12529][1]:=$F3DF;map2[12529][2]:=$F975;
map2[12530][1]:=$F3E0;map2[12530][2]:=$F984;
map2[12531][1]:=$F3E1;map2[12531][2]:=$F989;
map2[12532][1]:=$F3E2;map2[12532][2]:=$F98A;
map2[12533][1]:=$F3E3;map2[12533][2]:=$F97A;
map2[12534][1]:=$F3E4;map2[12534][2]:=$F968;
map2[12535][1]:=$F3E5;map2[12535][2]:=$F971;
map2[12536][1]:=$F3E6;map2[12536][2]:=$F972;
map2[12537][1]:=$F3E7;map2[12537][2]:=$F96D;
map2[12538][1]:=$F3E8;map2[12538][2]:=$F966;
map2[12539][1]:=$F3E9;map2[12539][2]:=$F983;
map2[12540][1]:=$F3EA;map2[12540][2]:=$F970;
map2[12541][1]:=$F3EB;map2[12541][2]:=$F978;
map2[12542][1]:=$F3EC;map2[12542][2]:=$F980;
map2[12543][1]:=$F3ED;map2[12543][2]:=$F0C7;
map2[12544][1]:=$F3EE;map2[12544][2]:=$F976;
map2[12545][1]:=$F3EF;map2[12545][2]:=$F97C;
map2[12546][1]:=$F3F0;map2[12546][2]:=$F0B4;
map2[12547][1]:=$F3F1;map2[12547][2]:=$F965;
map2[12548][1]:=$F3F2;map2[12548][2]:=$FB8D;
map2[12549][1]:=$F3F3;map2[12549][2]:=$FB8C;
map2[12550][1]:=$F3F4;map2[12550][2]:=$FC50;
map2[12551][1]:=$F3F5;map2[12551][2]:=$EDEB;
map2[12552][1]:=$F3F6;map2[12552][2]:=$FC9D;
map2[12553][1]:=$F3F7;map2[12553][2]:=$FD49;
map2[12554][1]:=$F3F8;map2[12554][2]:=$FD4A;
map2[12555][1]:=$F3F9;map2[12555][2]:=$FD55;
map2[12556][1]:=$F3FA;map2[12556][2]:=$FD5C;
map2[12557][1]:=$F3FB;map2[12557][2]:=$FD87;
map2[12558][1]:=$F3FC;map2[12558][2]:=$FD5E;
map2[12559][1]:=$F3FD;map2[12559][2]:=$855A;
map2[12560][1]:=$F3FE;map2[12560][2]:=$818F;
map2[12561][1]:=$F440;map2[12561][2]:=$87C1;
map2[12562][1]:=$F441;map2[12562][2]:=$E0B7;
map2[12563][1]:=$F442;map2[12563][2]:=$89C9;
map2[12564][1]:=$F443;map2[12564][2]:=$8BFC;
map2[12565][1]:=$F444;map2[12565][2]:=$8E63;
map2[12566][1]:=$F445;map2[12566][2]:=$8E64;
map2[12567][1]:=$F446;map2[12567][2]:=$8F5F;
map2[12568][1]:=$F447;map2[12568][2]:=$8F60;
map2[12569][1]:=$F448;map2[12569][2]:=$8FDD;
map2[12570][1]:=$F449;map2[12570][2]:=$8FDE;
map2[12571][1]:=$F44A;map2[12571][2]:=$91D3;
map2[12572][1]:=$F44B;map2[12572][2]:=$9475;
map2[12573][1]:=$F44C;map2[12573][2]:=$DEFC;
map2[12574][1]:=$F44D;map2[12574][2]:=$9473;
map2[12575][1]:=$F44E;map2[12575][2]:=$9471;
map2[12576][1]:=$F44F;map2[12576][2]:=$94F9;
map2[12577][1]:=$F450;map2[12577][2]:=$956F;
map2[12578][1]:=$F451;map2[12578][2]:=$95EA;
map2[12579][1]:=$F452;map2[12579][2]:=$95EB;
map2[12580][1]:=$F453;map2[12580][2]:=$E8D0;
map2[12581][1]:=$F454;map2[12581][2]:=$99C6;
map2[12582][1]:=$F455;map2[12582][2]:=$E8C0;
map2[12583][1]:=$F456;map2[12583][2]:=$E8D3;
map2[12584][1]:=$F457;map2[12584][2]:=$99CF;
map2[12585][1]:=$F458;map2[12585][2]:=$99C7;
map2[12586][1]:=$F459;map2[12586][2]:=$99C4;
map2[12587][1]:=$F45A;map2[12587][2]:=$99C5;
map2[12588][1]:=$F45B;map2[12588][2]:=$9E8F;
map2[12589][1]:=$F45C;map2[12589][2]:=$E5AF;
map2[12590][1]:=$F45D;map2[12590][2]:=$9E84;
map2[12591][1]:=$F45E;map2[12591][2]:=$9E8B;
map2[12592][1]:=$F45F;map2[12592][2]:=$9E89;
map2[12593][1]:=$F460;map2[12593][2]:=$9E86;
map2[12594][1]:=$F461;map2[12594][2]:=$9E95;
map2[12595][1]:=$F462;map2[12595][2]:=$9E8C;
map2[12596][1]:=$F463;map2[12596][2]:=$9E92;
map2[12597][1]:=$F464;map2[12597][2]:=$9E8D;
map2[12598][1]:=$F465;map2[12598][2]:=$E5AE;
map2[12599][1]:=$F466;map2[12599][2]:=$9E93;
map2[12600][1]:=$F467;map2[12600][2]:=$9E8E;
map2[12601][1]:=$F468;map2[12601][2]:=$9E88;
map2[12602][1]:=$F469;map2[12602][2]:=$9E94;
map2[12603][1]:=$F46A;map2[12603][2]:=$A077;
map2[12604][1]:=$F46B;map2[12604][2]:=$A078;
map2[12605][1]:=$F46C;map2[12605][2]:=$A0DF;
map2[12606][1]:=$F46D;map2[12606][2]:=$AB4B;
map2[12607][1]:=$F46E;map2[12607][2]:=$E2A8;
map2[12608][1]:=$F46F;map2[12608][2]:=$E8B7;
map2[12609][1]:=$F470;map2[12609][2]:=$B08E;
map2[12610][1]:=$F471;map2[12610][2]:=$B08D;
map2[12611][1]:=$F472;map2[12611][2]:=$B09D;
map2[12612][1]:=$F473;map2[12612][2]:=$B158;
map2[12613][1]:=$F474;map2[12613][2]:=$B28E;
map2[12614][1]:=$F475;map2[12614][2]:=$B28F;
map2[12615][1]:=$F476;map2[12615][2]:=$B290;
map2[12616][1]:=$F477;map2[12616][2]:=$DBC7;
map2[12617][1]:=$F478;map2[12617][2]:=$B346;
map2[12618][1]:=$F479;map2[12618][2]:=$B555;
map2[12619][1]:=$F47A;map2[12619][2]:=$B554;
map2[12620][1]:=$F47B;map2[12620][2]:=$B557;
map2[12621][1]:=$F47C;map2[12621][2]:=$B558;
map2[12622][1]:=$F47D;map2[12622][2]:=$EDE5;
map2[12623][1]:=$F47E;map2[12623][2]:=$B559;
map2[12624][1]:=$F4A1;map2[12624][2]:=$B65D;
map2[12625][1]:=$F4A2;map2[12625][2]:=$B785;
map2[12626][1]:=$F4A3;map2[12626][2]:=$B783;
map2[12627][1]:=$F4A4;map2[12627][2]:=$EFF9;
map2[12628][1]:=$F4A5;map2[12628][2]:=$B883;
map2[12629][1]:=$F4A6;map2[12629][2]:=$BB46;
map2[12630][1]:=$F4A7;map2[12630][2]:=$BB45;
map2[12631][1]:=$F4A8;map2[12631][2]:=$BB47;
map2[12632][1]:=$F4A9;map2[12632][2]:=$BB44;
map2[12633][1]:=$F4AA;map2[12633][2]:=$BB42;
map2[12634][1]:=$F4AB;map2[12634][2]:=$BC60;
map2[12635][1]:=$F4AC;map2[12635][2]:=$C05D;
map2[12636][1]:=$F4AD;map2[12636][2]:=$E7D7;
map2[12637][1]:=$F4AE;map2[12637][2]:=$C063;
map2[12638][1]:=$F4AF;map2[12638][2]:=$C062;
map2[12639][1]:=$F4B0;map2[12639][2]:=$C185;
map2[12640][1]:=$F4B1;map2[12640][2]:=$C252;
map2[12641][1]:=$F4B2;map2[12641][2]:=$F1F7;
map2[12642][1]:=$F4B3;map2[12642][2]:=$C547;
map2[12643][1]:=$F4B4;map2[12643][2]:=$C545;
map2[12644][1]:=$F4B5;map2[12644][2]:=$C567;
map2[12645][1]:=$F4B6;map2[12645][2]:=$F4BF;
map2[12646][1]:=$F4B7;map2[12646][2]:=$C5A0;
map2[12647][1]:=$F4B8;map2[12647][2]:=$DCD7;
map2[12648][1]:=$F4B9;map2[12648][2]:=$DEBD;
map2[12649][1]:=$F4BA;map2[12649][2]:=$CC46;
map2[12650][1]:=$F4BB;map2[12650][2]:=$CC44;
map2[12651][1]:=$F4BC;map2[12651][2]:=$CC5D;
map2[12652][1]:=$F4BD;map2[12652][2]:=$C85B;
map2[12653][1]:=$F4BE;map2[12653][2]:=$DCC2;
map2[12654][1]:=$F4BF;map2[12654][2]:=$DEAD;
map2[12655][1]:=$F4C0;map2[12655][2]:=$CC4D;
map2[12656][1]:=$F4C1;map2[12656][2]:=$DEBF;
map2[12657][1]:=$F4C2;map2[12657][2]:=$CC50;
map2[12658][1]:=$F4C3;map2[12658][2]:=$CC43;
map2[12659][1]:=$F4C4;map2[12659][2]:=$CF99;
map2[12660][1]:=$F4C5;map2[12660][2]:=$F2D3;
map2[12661][1]:=$F4C6;map2[12661][2]:=$F2EE;
map2[12662][1]:=$F4C7;map2[12662][2]:=$CF97;
map2[12663][1]:=$F4C8;map2[12663][2]:=$F3B7;
map2[12664][1]:=$F4C9;map2[12664][2]:=$F3B6;
map2[12665][1]:=$F4CA;map2[12665][2]:=$D267;
map2[12666][1]:=$F4CB;map2[12666][2]:=$F1E0;
map2[12667][1]:=$F4CC;map2[12667][2]:=$D357;
map2[12668][1]:=$F4CD;map2[12668][2]:=$D37B;
map2[12669][1]:=$F4CE;map2[12669][2]:=$D75A;
map2[12670][1]:=$F4CF;map2[12670][2]:=$D763;
map2[12671][1]:=$F4D0;map2[12671][2]:=$D757;
map2[12672][1]:=$F4D1;map2[12672][2]:=$D761;
map2[12673][1]:=$F4D2;map2[12673][2]:=$D75D;
map2[12674][1]:=$F4D3;map2[12674][2]:=$D75F;
map2[12675][1]:=$F4D4;map2[12675][2]:=$D760;
map2[12676][1]:=$F4D5;map2[12676][2]:=$BBD9;
map2[12677][1]:=$F4D6;map2[12677][2]:=$DA8B;
map2[12678][1]:=$F4D7;map2[12678][2]:=$DC4D;
map2[12679][1]:=$F4D8;map2[12679][2]:=$DC4E;
map2[12680][1]:=$F4D9;map2[12680][2]:=$DC4C;
map2[12681][1]:=$F4DA;map2[12681][2]:=$DE54;
map2[12682][1]:=$F4DB;map2[12682][2]:=$DE51;
map2[12683][1]:=$F4DC;map2[12683][2]:=$DE52;
map2[12684][1]:=$F4DD;map2[12684][2]:=$DE50;
map2[12685][1]:=$F4DE;map2[12685][2]:=$DE53;
map2[12686][1]:=$F4DF;map2[12686][2]:=$DE55;
map2[12687][1]:=$F4E0;map2[12687][2]:=$DF87;
map2[12688][1]:=$F4E1;map2[12688][2]:=$DBB9;
map2[12689][1]:=$F4E2;map2[12689][2]:=$E09E;
map2[12690][1]:=$F4E3;map2[12690][2]:=$E17B;
map2[12691][1]:=$F4E4;map2[12691][2]:=$F5B6;
map2[12692][1]:=$F4E5;map2[12692][2]:=$E178;
map2[12693][1]:=$F4E6;map2[12693][2]:=$E179;
map2[12694][1]:=$F4E7;map2[12694][2]:=$EFA6;
map2[12695][1]:=$F4E8;map2[12695][2]:=$EFE6;
map2[12696][1]:=$F4E9;map2[12696][2]:=$E76C;
map2[12697][1]:=$F4EA;map2[12697][2]:=$EFE8;
map2[12698][1]:=$F4EB;map2[12698][2]:=$E781;
map2[12699][1]:=$F4EC;map2[12699][2]:=$EFE2;
map2[12700][1]:=$F4ED;map2[12700][2]:=$E76F;
map2[12701][1]:=$F4EE;map2[12701][2]:=$E787;
map2[12702][1]:=$F4EF;map2[12702][2]:=$C1CD;
map2[12703][1]:=$F4F0;map2[12703][2]:=$EFD0;
map2[12704][1]:=$F4F1;map2[12704][2]:=$EFEB;
map2[12705][1]:=$F4F2;map2[12705][2]:=$E77E;
map2[12706][1]:=$F4F3;map2[12706][2]:=$EEFC;
map2[12707][1]:=$F4F4;map2[12707][2]:=$E771;
map2[12708][1]:=$F4F5;map2[12708][2]:=$EFE4;
map2[12709][1]:=$F4F6;map2[12709][2]:=$E778;
map2[12710][1]:=$F4F7;map2[12710][2]:=$E780;
map2[12711][1]:=$F4F8;map2[12711][2]:=$E788;
map2[12712][1]:=$F4F9;map2[12712][2]:=$EFA9;
map2[12713][1]:=$F4FA;map2[12713][2]:=$E76B;
map2[12714][1]:=$F4FB;map2[12714][2]:=$E77A;
map2[12715][1]:=$F4FC;map2[12715][2]:=$E769;
map2[12716][1]:=$F4FD;map2[12716][2]:=$E77B;
map2[12717][1]:=$F4FE;map2[12717][2]:=$E770;
map2[12718][1]:=$F540;map2[12718][2]:=$E76D;
map2[12719][1]:=$F541;map2[12719][2]:=$E77D;
map2[12720][1]:=$F542;map2[12720][2]:=$E767;
map2[12721][1]:=$F543;map2[12721][2]:=$E783;
map2[12722][1]:=$F544;map2[12722][2]:=$E777;
map2[12723][1]:=$F545;map2[12723][2]:=$E3DB;
map2[12724][1]:=$F546;map2[12724][2]:=$EA5F;
map2[12725][1]:=$F547;map2[12725][2]:=$EA53;
map2[12726][1]:=$F548;map2[12726][2]:=$EC4B;
map2[12727][1]:=$F549;map2[12727][2]:=$EC4C;
map2[12728][1]:=$F54A;map2[12728][2]:=$ED54;
map2[12729][1]:=$F54B;map2[12729][2]:=$ED56;
map2[12730][1]:=$F54C;map2[12730][2]:=$ED8F;
map2[12731][1]:=$F54D;map2[12731][2]:=$ED90;
map2[12732][1]:=$F54E;map2[12732][2]:=$EE92;
map2[12733][1]:=$F54F;map2[12733][2]:=$F2A9;
map2[12734][1]:=$F550;map2[12734][2]:=$EE95;
map2[12735][1]:=$F551;map2[12735][2]:=$EE91;
map2[12736][1]:=$F552;map2[12736][2]:=$EF65;
map2[12737][1]:=$F553;map2[12737][2]:=$EF66;
map2[12738][1]:=$F554;map2[12738][2]:=$F086;
map2[12739][1]:=$F555;map2[12739][2]:=$F084;
map2[12740][1]:=$F556;map2[12740][2]:=$F08D;
map2[12741][1]:=$F557;map2[12741][2]:=$E2CD;
map2[12742][1]:=$F558;map2[12742][2]:=$C0A1;
map2[12743][1]:=$F559;map2[12743][2]:=$F089;
map2[12744][1]:=$F55A;map2[12744][2]:=$F278;
map2[12745][1]:=$F55B;map2[12745][2]:=$F27A;
map2[12746][1]:=$F55C;map2[12746][2]:=$F277;
map2[12747][1]:=$F55D;map2[12747][2]:=$F272;
map2[12748][1]:=$F55E;map2[12748][2]:=$F270;
map2[12749][1]:=$F55F;map2[12749][2]:=$E6E3;
map2[12750][1]:=$F560;map2[12750][2]:=$F26F;
map2[12751][1]:=$F561;map2[12751][2]:=$E6F2;
map2[12752][1]:=$F562;map2[12752][2]:=$E6F3;
map2[12753][1]:=$F563;map2[12753][2]:=$E6EF;
map2[12754][1]:=$F564;map2[12754][2]:=$F36E;
map2[12755][1]:=$F565;map2[12755][2]:=$F371;
map2[12756][1]:=$F566;map2[12756][2]:=$F36D;
map2[12757][1]:=$F567;map2[12757][2]:=$F447;
map2[12758][1]:=$F568;map2[12758][2]:=$F449;
map2[12759][1]:=$F569;map2[12759][2]:=$F448;
map2[12760][1]:=$F56A;map2[12760][2]:=$F66F;
map2[12761][1]:=$F56B;map2[12761][2]:=$F6F8;
map2[12762][1]:=$F56C;map2[12762][2]:=$F796;
map2[12763][1]:=$F56D;map2[12763][2]:=$F669;
map2[12764][1]:=$F56E;map2[12764][2]:=$F6FB;
map2[12765][1]:=$F56F;map2[12765][2]:=$F65C;
map2[12766][1]:=$F570;map2[12766][2]:=$F744;
map2[12767][1]:=$F571;map2[12767][2]:=$F66B;
map2[12768][1]:=$F572;map2[12768][2]:=$F672;
map2[12769][1]:=$F573;map2[12769][2]:=$F66A;
map2[12770][1]:=$F574;map2[12770][2]:=$F67B;
map2[12771][1]:=$F575;map2[12771][2]:=$F678;
map2[12772][1]:=$F576;map2[12772][2]:=$F6FC;
map2[12773][1]:=$F577;map2[12773][2]:=$F99D;
map2[12774][1]:=$F578;map2[12774][2]:=$F997;
map2[12775][1]:=$F579;map2[12775][2]:=$FB64;
map2[12776][1]:=$F57A;map2[12776][2]:=$F99B;
map2[12777][1]:=$F57B;map2[12777][2]:=$F990;
map2[12778][1]:=$F57C;map2[12778][2]:=$F0C9;
map2[12779][1]:=$F57D;map2[12779][2]:=$F98E;
map2[12780][1]:=$F57E;map2[12780][2]:=$F999;
map2[12781][1]:=$F5A1;map2[12781][2]:=$F99E;
map2[12782][1]:=$F5A2;map2[12782][2]:=$F992;
map2[12783][1]:=$F5A3;map2[12783][2]:=$F99A;
map2[12784][1]:=$F5A4;map2[12784][2]:=$FA47;
map2[12785][1]:=$F5A5;map2[12785][2]:=$F995;
map2[12786][1]:=$F5A6;map2[12786][2]:=$FB69;
map2[12787][1]:=$F5A7;map2[12787][2]:=$F0CA;
map2[12788][1]:=$F5A8;map2[12788][2]:=$F9A0;
map2[12789][1]:=$F5A9;map2[12789][2]:=$FA45;
map2[12790][1]:=$F5AA;map2[12790][2]:=$F99C;
map2[12791][1]:=$F5AB;map2[12791][2]:=$FA40;
map2[12792][1]:=$F5AC;map2[12792][2]:=$F0CB;
map2[12793][1]:=$F5AD;map2[12793][2]:=$F0CD;
map2[12794][1]:=$F5AE;map2[12794][2]:=$FB6A;
map2[12795][1]:=$F5AF;map2[12795][2]:=$FA43;
map2[12796][1]:=$F5B0;map2[12796][2]:=$FA44;
map2[12797][1]:=$F5B1;map2[12797][2]:=$FB92;
map2[12798][1]:=$F5B2;map2[12798][2]:=$FB94;
map2[12799][1]:=$F5B3;map2[12799][2]:=$FB93;
map2[12800][1]:=$F5B4;map2[12800][2]:=$F7F4;
map2[12801][1]:=$F5B5;map2[12801][2]:=$FC66;
map2[12802][1]:=$F5B6;map2[12802][2]:=$F7F3;
map2[12803][1]:=$F5B7;map2[12803][2]:=$FC67;
map2[12804][1]:=$F5B8;map2[12804][2]:=$FC9F;
map2[12805][1]:=$F5B9;map2[12805][2]:=$FC9E;
map2[12806][1]:=$F5BA;map2[12806][2]:=$FD61;
map2[12807][1]:=$F5BB;map2[12807][2]:=$F6B6;
map2[12808][1]:=$F5BC;map2[12808][2]:=$FD64;
map2[12809][1]:=$F5BD;map2[12809][2]:=$FD63;
map2[12810][1]:=$F5BE;map2[12810][2]:=$F6B5;
map2[12811][1]:=$F5BF;map2[12811][2]:=$FD8C;
map2[12812][1]:=$F5C0;map2[12812][2]:=$D9D0;
map2[12813][1]:=$F5C1;map2[12813][2]:=$D4DC;
map2[12814][1]:=$F5C2;map2[12814][2]:=$84AF;
map2[12815][1]:=$F5C3;map2[12815][2]:=$84AE;
map2[12816][1]:=$F5C4;map2[12816][2]:=$87CD;
map2[12817][1]:=$F5C5;map2[12817][2]:=$87C7;
map2[12818][1]:=$F5C6;map2[12818][2]:=$87C8;
map2[12819][1]:=$F5C7;map2[12819][2]:=$8C40;
map2[12820][1]:=$F5C8;map2[12820][2]:=$8BFE;
map2[12821][1]:=$F5C9;map2[12821][2]:=$BFF9;
map2[12822][1]:=$F5CA;map2[12822][2]:=$8E6B;
map2[12823][1]:=$F5CB;map2[12823][2]:=$8F62;
map2[12824][1]:=$F5CC;map2[12824][2]:=$BBB6;
map2[12825][1]:=$F5CD;map2[12825][2]:=$DFA5;
map2[12826][1]:=$F5CE;map2[12826][2]:=$99D8;
map2[12827][1]:=$F5CF;map2[12827][2]:=$99D2;
map2[12828][1]:=$F5D0;map2[12828][2]:=$99D9;
map2[12829][1]:=$F5D1;map2[12829][2]:=$E9B7;
map2[12830][1]:=$F5D2;map2[12830][2]:=$99D6;
map2[12831][1]:=$F5D3;map2[12831][2]:=$E3E3;
map2[12832][1]:=$F5D4;map2[12832][2]:=$E4DC;
map2[12833][1]:=$F5D5;map2[12833][2]:=$9E9D;
map2[12834][1]:=$F5D6;map2[12834][2]:=$9E9B;
map2[12835][1]:=$F5D7;map2[12835][2]:=$9E9C;
map2[12836][1]:=$F5D8;map2[12836][2]:=$9E98;
map2[12837][1]:=$F5D9;map2[12837][2]:=$9E99;
map2[12838][1]:=$F5DA;map2[12838][2]:=$ECDF;
map2[12839][1]:=$F5DB;map2[12839][2]:=$A07E;
map2[12840][1]:=$F5DC;map2[12840][2]:=$A07D;
map2[12841][1]:=$F5DD;map2[12841][2]:=$E2B5;
map2[12842][1]:=$F5DE;map2[12842][2]:=$AE5B;
map2[12843][1]:=$F5DF;map2[12843][2]:=$B05E;
map2[12844][1]:=$F5E0;map2[12844][2]:=$B291;
map2[12845][1]:=$F5E1;map2[12845][2]:=$B55D;
map2[12846][1]:=$F5E2;map2[12846][2]:=$EDC3;
map2[12847][1]:=$F5E3;map2[12847][2]:=$B55F;
map2[12848][1]:=$F5E4;map2[12848][2]:=$BB50;
map2[12849][1]:=$F5E5;map2[12849][2]:=$BB4F;
map2[12850][1]:=$F5E6;map2[12850][2]:=$F4CF;
map2[12851][1]:=$F5E7;map2[12851][2]:=$E6FE;
map2[12852][1]:=$F5E8;map2[12852][2]:=$EF4B;
map2[12853][1]:=$F5E9;map2[12853][2]:=$E7D3;
map2[12854][1]:=$F5EA;map2[12854][2]:=$C06C;
map2[12855][1]:=$F5EB;map2[12855][2]:=$C067;
map2[12856][1]:=$F5EC;map2[12856][2]:=$C0DB;
map2[12857][1]:=$F5ED;map2[12857][2]:=$C09C;
map2[12858][1]:=$F5EE;map2[12858][2]:=$C186;
map2[12859][1]:=$F5EF;map2[12859][2]:=$C269;
map2[12860][1]:=$F5F0;map2[12860][2]:=$C549;
map2[12861][1]:=$F5F1;map2[12861][2]:=$CC5A;
map2[12862][1]:=$F5F2;map2[12862][2]:=$CC6A;
map2[12863][1]:=$F5F3;map2[12863][2]:=$CC68;
map2[12864][1]:=$F5F4;map2[12864][2]:=$CC61;
map2[12865][1]:=$F5F5;map2[12865][2]:=$CC65;
map2[12866][1]:=$F5F6;map2[12866][2]:=$CC5E;
map2[12867][1]:=$F5F7;map2[12867][2]:=$CC5B;
map2[12868][1]:=$F5F8;map2[12868][2]:=$DEBE;
map2[12869][1]:=$F5F9;map2[12869][2]:=$CC6E;
map2[12870][1]:=$F5FA;map2[12870][2]:=$CC63;
map2[12871][1]:=$F5FB;map2[12871][2]:=$CC62;
map2[12872][1]:=$F5FC;map2[12872][2]:=$DEC0;
map2[12873][1]:=$F5FD;map2[12873][2]:=$DDFC;
map2[12874][1]:=$F5FE;map2[12874][2]:=$CC67;
map2[12875][1]:=$F640;map2[12875][2]:=$D045;
map2[12876][1]:=$F641;map2[12876][2]:=$CF9C;
map2[12877][1]:=$F642;map2[12877][2]:=$F3BA;
map2[12878][1]:=$F643;map2[12878][2]:=$CF9F;
map2[12879][1]:=$F644;map2[12879][2]:=$D040;
map2[12880][1]:=$F645;map2[12880][2]:=$CF9B;
map2[12881][1]:=$F646;map2[12881][2]:=$D047;
map2[12882][1]:=$F647;map2[12882][2]:=$C3EF;
map2[12883][1]:=$F648;map2[12883][2]:=$D270;
map2[12884][1]:=$F649;map2[12884][2]:=$D26C;
map2[12885][1]:=$F64A;map2[12885][2]:=$D271;
map2[12886][1]:=$F64B;map2[12886][2]:=$D26E;
map2[12887][1]:=$F64C;map2[12887][2]:=$D37E;
map2[12888][1]:=$F64D;map2[12888][2]:=$D771;
map2[12889][1]:=$F64E;map2[12889][2]:=$D79E;
map2[12890][1]:=$F64F;map2[12890][2]:=$D6A0;
map2[12891][1]:=$F650;map2[12891][2]:=$D772;
map2[12892][1]:=$F651;map2[12892][2]:=$D773;
map2[12893][1]:=$F652;map2[12893][2]:=$EAE1;
map2[12894][1]:=$F653;map2[12894][2]:=$DA50;
map2[12895][1]:=$F654;map2[12895][2]:=$DA8C;
map2[12896][1]:=$F655;map2[12896][2]:=$DC54;
map2[12897][1]:=$F656;map2[12897][2]:=$DC52;
map2[12898][1]:=$F657;map2[12898][2]:=$DE59;
map2[12899][1]:=$F658;map2[12899][2]:=$DE56;
map2[12900][1]:=$F659;map2[12900][2]:=$DE58;
map2[12901][1]:=$F65A;map2[12901][2]:=$DBBA;
map2[12902][1]:=$F65B;map2[12902][2]:=$E0A0;
map2[12903][1]:=$F65C;map2[12903][2]:=$E140;
map2[12904][1]:=$F65D;map2[12904][2]:=$E17D;
map2[12905][1]:=$F65E;map2[12905][2]:=$EFEE;
map2[12906][1]:=$F65F;map2[12906][2]:=$E84C;
map2[12907][1]:=$F660;map2[12907][2]:=$E949;
map2[12908][1]:=$F661;map2[12908][2]:=$E79B;
map2[12909][1]:=$F662;map2[12909][2]:=$E84E;
map2[12910][1]:=$F663;map2[12910][2]:=$E84D;
map2[12911][1]:=$F664;map2[12911][2]:=$E841;
map2[12912][1]:=$F665;map2[12912][2]:=$E84A;
map2[12913][1]:=$F666;map2[12913][2]:=$E79C;
map2[12914][1]:=$F667;map2[12914][2]:=$E848;
map2[12915][1]:=$F668;map2[12915][2]:=$E79E;
map2[12916][1]:=$F669;map2[12916][2]:=$E850;
map2[12917][1]:=$F66A;map2[12917][2]:=$E842;
map2[12918][1]:=$F66B;map2[12918][2]:=$E3CB;
map2[12919][1]:=$F66C;map2[12919][2]:=$EA61;
map2[12920][1]:=$F66D;map2[12920][2]:=$EA57;
map2[12921][1]:=$F66E;map2[12921][2]:=$EC50;
map2[12922][1]:=$F66F;map2[12922][2]:=$EC53;
map2[12923][1]:=$F670;map2[12923][2]:=$ED5A;
map2[12924][1]:=$F671;map2[12924][2]:=$ED7C;
map2[12925][1]:=$F672;map2[12925][2]:=$EE96;
map2[12926][1]:=$F673;map2[12926][2]:=$EF6D;
map2[12927][1]:=$F674;map2[12927][2]:=$ECAD;
map2[12928][1]:=$F675;map2[12928][2]:=$EF76;
map2[12929][1]:=$F676;map2[12929][2]:=$F08C;
map2[12930][1]:=$F677;map2[12930][2]:=$F08A;
map2[12931][1]:=$F678;map2[12931][2]:=$F280;
map2[12932][1]:=$F679;map2[12932][2]:=$F284;
map2[12933][1]:=$F67A;map2[12933][2]:=$F28D;
map2[12934][1]:=$F67B;map2[12934][2]:=$E6F5;
map2[12935][1]:=$F67C;map2[12935][2]:=$E6EE;
map2[12936][1]:=$F67D;map2[12936][2]:=$E6F1;
map2[12937][1]:=$F67E;map2[12937][2]:=$F281;
map2[12938][1]:=$F6A1;map2[12938][2]:=$F286;
map2[12939][1]:=$F6A2;map2[12939][2]:=$F372;
map2[12940][1]:=$F6A3;map2[12940][2]:=$F44B;
map2[12941][1]:=$F6A4;map2[12941][2]:=$F44D;
map2[12942][1]:=$F6A5;map2[12942][2]:=$F44E;
map2[12943][1]:=$F6A6;map2[12943][2]:=$F44C;
map2[12944][1]:=$F6A7;map2[12944][2]:=$F46C;
map2[12945][1]:=$F6A8;map2[12945][2]:=$F477;
map2[12946][1]:=$F6A9;map2[12946][2]:=$F690;
map2[12947][1]:=$F6AA;map2[12947][2]:=$F682;
map2[12948][1]:=$F6AB;map2[12948][2]:=$F79C;
map2[12949][1]:=$F6AC;map2[12949][2]:=$F691;
map2[12950][1]:=$F6AD;map2[12950][2]:=$F6E5;
map2[12951][1]:=$F6AE;map2[12951][2]:=$F7A3;
map2[12952][1]:=$F6AF;map2[12952][2]:=$F7A5;
map2[12953][1]:=$F6B0;map2[12953][2]:=$F689;
map2[12954][1]:=$F6B1;map2[12954][2]:=$F686;
map2[12955][1]:=$F6B2;map2[12955][2]:=$FA54;
map2[12956][1]:=$F6B3;map2[12956][2]:=$FA53;
map2[12957][1]:=$F6B4;map2[12957][2]:=$F0CF;
map2[12958][1]:=$F6B5;map2[12958][2]:=$FB6F;
map2[12959][1]:=$F6B6;map2[12959][2]:=$FA64;
map2[12960][1]:=$F6B7;map2[12960][2]:=$FB6B;
map2[12961][1]:=$F6B8;map2[12961][2]:=$FA6C;
map2[12962][1]:=$F6B9;map2[12962][2]:=$FA5B;
map2[12963][1]:=$F6BA;map2[12963][2]:=$FA62;
map2[12964][1]:=$F6BB;map2[12964][2]:=$FA60;
map2[12965][1]:=$F6BC;map2[12965][2]:=$F7BD;
map2[12966][1]:=$F6BD;map2[12966][2]:=$FA52;
map2[12967][1]:=$F6BE;map2[12967][2]:=$FA6B;
map2[12968][1]:=$F6BF;map2[12968][2]:=$FB6D;
map2[12969][1]:=$F6C0;map2[12969][2]:=$FB6E;
map2[12970][1]:=$F6C1;map2[12970][2]:=$FB5D;
map2[12971][1]:=$F6C2;map2[12971][2]:=$FA65;
map2[12972][1]:=$F6C3;map2[12972][2]:=$FA4E;
map2[12973][1]:=$F6C4;map2[12973][2]:=$FA4A;
map2[12974][1]:=$F6C5;map2[12974][2]:=$FA69;
map2[12975][1]:=$F6C6;map2[12975][2]:=$FA50;
map2[12976][1]:=$F6C7;map2[12976][2]:=$FA6A;
map2[12977][1]:=$F6C8;map2[12977][2]:=$FB6C;
map2[12978][1]:=$F6C9;map2[12978][2]:=$F5BA;
map2[12979][1]:=$F6CA;map2[12979][2]:=$FB95;
map2[12980][1]:=$F6CB;map2[12980][2]:=$FC69;
map2[12981][1]:=$F6CC;map2[12981][2]:=$FC6C;
map2[12982][1]:=$F6CD;map2[12982][2]:=$FC6B;
map2[12983][1]:=$F6CE;map2[12983][2]:=$FC8E;
map2[12984][1]:=$F6CF;map2[12984][2]:=$FC8C;
map2[12985][1]:=$F6D0;map2[12985][2]:=$FC8D;
map2[12986][1]:=$F6D1;map2[12986][2]:=$FCA0;
map2[12987][1]:=$F6D2;map2[12987][2]:=$EAE5;
map2[12988][1]:=$F6D3;map2[12988][2]:=$FD6B;
map2[12989][1]:=$F6D4;map2[12989][2]:=$FD6A;
map2[12990][1]:=$F6D5;map2[12990][2]:=$FD8D;
map2[12991][1]:=$F6D6;map2[12991][2]:=$8190;
map2[12992][1]:=$F6D7;map2[12992][2]:=$87D0;
map2[12993][1]:=$F6D8;map2[12993][2]:=$D9E6;
map2[12994][1]:=$F6D9;map2[12994][2]:=$87D4;
map2[12995][1]:=$F6DA;map2[12995][2]:=$8A61;
map2[12996][1]:=$F6DB;map2[12996][2]:=$8C43;
map2[12997][1]:=$F6DC;map2[12997][2]:=$E6AE;
map2[12998][1]:=$F6DD;map2[12998][2]:=$8E71;
map2[12999][1]:=$F6DE;map2[12999][2]:=$8E6D;
map2[13000][1]:=$F6DF;map2[13000][2]:=$8F63;
map2[13001][1]:=$F6E0;map2[13001][2]:=$947E;
map2[13002][1]:=$F6E1;map2[13002][2]:=$947D;
map2[13003][1]:=$F6E2;map2[13003][2]:=$9483;
map2[13004][1]:=$F6E3;map2[13004][2]:=$D4DC;
map2[13005][1]:=$F6E4;map2[13005][2]:=$99E1;
map2[13006][1]:=$F6E5;map2[13006][2]:=$99DE;
map2[13007][1]:=$F6E6;map2[13007][2]:=$99DF;
map2[13008][1]:=$F6E7;map2[13008][2]:=$EBAC;
map2[13009][1]:=$F6E8;map2[13009][2]:=$C0EC;
map2[13010][1]:=$F6E9;map2[13010][2]:=$9EA7;
map2[13011][1]:=$F6EA;map2[13011][2]:=$9EA8;
map2[13012][1]:=$F6EB;map2[13012][2]:=$9EA3;
map2[13013][1]:=$F6EC;map2[13013][2]:=$A082;
map2[13014][1]:=$F6ED;map2[13014][2]:=$A083;
map2[13015][1]:=$F6EE;map2[13015][2]:=$A0E0;
map2[13016][1]:=$F6EF;map2[13016][2]:=$AB4C;
map2[13017][1]:=$F6F0;map2[13017][2]:=$AD8F;
map2[13018][1]:=$F6F1;map2[13018][2]:=$AD8C;
map2[13019][1]:=$F6F2;map2[13019][2]:=$AD90;
map2[13020][1]:=$F6F3;map2[13020][2]:=$AD8E;
map2[13021][1]:=$F6F4;map2[13021][2]:=$F1A8;
map2[13022][1]:=$F6F5;map2[13022][2]:=$B090;
map2[13023][1]:=$F6F6;map2[13023][2]:=$B564;
map2[13024][1]:=$F6F7;map2[13024][2]:=$B65E;
map2[13025][1]:=$F6F8;map2[13025][2]:=$F0A6;
map2[13026][1]:=$F6F9;map2[13026][2]:=$B787;
map2[13027][1]:=$F6FA;map2[13027][2]:=$BB53;
map2[13028][1]:=$F6FB;map2[13028][2]:=$F3EA;
map2[13029][1]:=$F6FC;map2[13029][2]:=$B982;
map2[13030][1]:=$F6FD;map2[13030][2]:=$BB57;
map2[13031][1]:=$F6FE;map2[13031][2]:=$BB56;
map2[13032][1]:=$F740;map2[13032][2]:=$D9E1;
map2[13033][1]:=$F741;map2[13033][2]:=$BC62;
map2[13034][1]:=$F742;map2[13034][2]:=$C072;
map2[13035][1]:=$F743;map2[13035][2]:=$DBE4;
map2[13036][1]:=$F744;map2[13036][2]:=$C161;
map2[13037][1]:=$F745;map2[13037][2]:=$C54A;
map2[13038][1]:=$F746;map2[13038][2]:=$F4B5;
map2[13039][1]:=$F747;map2[13039][2]:=$CC74;
map2[13040][1]:=$F748;map2[13040][2]:=$CC75;
map2[13041][1]:=$F749;map2[13041][2]:=$CC73;
map2[13042][1]:=$F74A;map2[13042][2]:=$CC6C;
map2[13043][1]:=$F74B;map2[13043][2]:=$CC72;
map2[13044][1]:=$F74C;map2[13044][2]:=$CC76;
map2[13045][1]:=$F74D;map2[13045][2]:=$D048;
map2[13046][1]:=$F74E;map2[13046][2]:=$CF5D;
map2[13047][1]:=$F74F;map2[13047][2]:=$D042;
map2[13048][1]:=$F750;map2[13048][2]:=$D046;
map2[13049][1]:=$F751;map2[13049][2]:=$D041;
map2[13050][1]:=$F752;map2[13050][2]:=$D274;
map2[13051][1]:=$F753;map2[13051][2]:=$EAEB;
map2[13052][1]:=$F754;map2[13052][2]:=$D35C;
map2[13053][1]:=$F755;map2[13053][2]:=$D380;
map2[13054][1]:=$F756;map2[13054][2]:=$DAD9;
map2[13055][1]:=$F757;map2[13055][2]:=$D77C;
map2[13056][1]:=$F758;map2[13056][2]:=$D77A;
map2[13057][1]:=$F759;map2[13057][2]:=$D77E;
map2[13058][1]:=$F75A;map2[13058][2]:=$C9F3;
map2[13059][1]:=$F75B;map2[13059][2]:=$D777;
map2[13060][1]:=$F75C;map2[13060][2]:=$DA47;
map2[13061][1]:=$F75D;map2[13061][2]:=$F5E9;
map2[13062][1]:=$F75E;map2[13062][2]:=$F5F0;
map2[13063][1]:=$F75F;map2[13063][2]:=$F5D1;
map2[13064][1]:=$F760;map2[13064][2]:=$F5C8;
map2[13065][1]:=$F761;map2[13065][2]:=$F5F1;
map2[13066][1]:=$F762;map2[13066][2]:=$DC59;
map2[13067][1]:=$F763;map2[13067][2]:=$DC5A;
map2[13068][1]:=$F764;map2[13068][2]:=$DE5B;
map2[13069][1]:=$F765;map2[13069][2]:=$E9F6;
map2[13070][1]:=$F766;map2[13070][2]:=$E141;
map2[13071][1]:=$F767;map2[13071][2]:=$EFD9;
map2[13072][1]:=$F768;map2[13072][2]:=$E860;
map2[13073][1]:=$F769;map2[13073][2]:=$EFEC;
map2[13074][1]:=$F76A;map2[13074][2]:=$E85B;
map2[13075][1]:=$F76B;map2[13075][2]:=$E85F;
map2[13076][1]:=$F76C;map2[13076][2]:=$E857;
map2[13077][1]:=$F76D;map2[13077][2]:=$E855;
map2[13078][1]:=$F76E;map2[13078][2]:=$E858;
map2[13079][1]:=$F76F;map2[13079][2]:=$E859;
map2[13080][1]:=$F770;map2[13080][2]:=$E856;
map2[13081][1]:=$F771;map2[13081][2]:=$EC57;
map2[13082][1]:=$F772;map2[13082][2]:=$ED7E;
map2[13083][1]:=$F773;map2[13083][2]:=$EE9C;
map2[13084][1]:=$F774;map2[13084][2]:=$EE9B;
map2[13085][1]:=$F775;map2[13085][2]:=$EF6F;
map2[13086][1]:=$F776;map2[13086][2]:=$F7D3;
map2[13087][1]:=$F777;map2[13087][2]:=$F08F;
map2[13088][1]:=$F778;map2[13088][2]:=$F295;
map2[13089][1]:=$F779;map2[13089][2]:=$F29A;
map2[13090][1]:=$F77A;map2[13090][2]:=$F29B;
map2[13091][1]:=$F77B;map2[13091][2]:=$F358;
map2[13092][1]:=$F77C;map2[13092][2]:=$E6F6;
map2[13093][1]:=$F77D;map2[13093][2]:=$F28F;
map2[13094][1]:=$F77E;map2[13094][2]:=$E6E8;
map2[13095][1]:=$F7A1;map2[13095][2]:=$F290;
map2[13096][1]:=$F7A2;map2[13096][2]:=$F299;
map2[13097][1]:=$F7A3;map2[13097][2]:=$F297;
map2[13098][1]:=$F7A4;map2[13098][2]:=$F375;
map2[13099][1]:=$F7A5;map2[13099][2]:=$F44F;
map2[13100][1]:=$F7A6;map2[13100][2]:=$F45F;
map2[13101][1]:=$F7A7;map2[13101][2]:=$E5F7;
map2[13102][1]:=$F7A8;map2[13102][2]:=$F47A;
map2[13103][1]:=$F7A9;map2[13103][2]:=$F479;
map2[13104][1]:=$F7AA;map2[13104][2]:=$F74A;
map2[13105][1]:=$F7AB;map2[13105][2]:=$F7A8;
map2[13106][1]:=$F7AC;map2[13106][2]:=$F743;
map2[13107][1]:=$F7AD;map2[13107][2]:=$F748;
map2[13108][1]:=$F7AE;map2[13108][2]:=$F6E4;
map2[13109][1]:=$F7AF;map2[13109][2]:=$F7A6;
map2[13110][1]:=$F7B0;map2[13110][2]:=$F745;
map2[13111][1]:=$F7B1;map2[13111][2]:=$F79E;
map2[13112][1]:=$F7B2;map2[13112][2]:=$F6E6;
map2[13113][1]:=$F7B3;map2[13113][2]:=$F699;
map2[13114][1]:=$F7B4;map2[13114][2]:=$F7A1;
map2[13115][1]:=$F7B5;map2[13115][2]:=$F741;
map2[13116][1]:=$F7B6;map2[13116][2]:=$F69B;
map2[13117][1]:=$F7B7;map2[13117][2]:=$FA78;
map2[13118][1]:=$F7B8;map2[13118][2]:=$FA6F;
map2[13119][1]:=$F7B9;map2[13119][2]:=$FA7B;
map2[13120][1]:=$F7BA;map2[13120][2]:=$F0D2;
map2[13121][1]:=$F7BB;map2[13121][2]:=$FA68;
map2[13122][1]:=$F7BC;map2[13122][2]:=$FA6D;
map2[13123][1]:=$F7BD;map2[13123][2]:=$FA79;
map2[13124][1]:=$F7BE;map2[13124][2]:=$FA6E;
map2[13125][1]:=$F7BF;map2[13125][2]:=$FA7C;
map2[13126][1]:=$F7C0;map2[13126][2]:=$FA87;
map2[13127][1]:=$F7C1;map2[13127][2]:=$F0BA;
map2[13128][1]:=$F7C2;map2[13128][2]:=$FA75;
map2[13129][1]:=$F7C3;map2[13129][2]:=$FB70;
map2[13130][1]:=$F7C4;map2[13130][2]:=$FA93;
map2[13131][1]:=$F7C5;map2[13131][2]:=$FA72;
map2[13132][1]:=$F7C6;map2[13132][2]:=$FA7A;
map2[13133][1]:=$F7C7;map2[13133][2]:=$FC4A;
map2[13134][1]:=$F7C8;map2[13134][2]:=$FC6D;
map2[13135][1]:=$F7C9;map2[13135][2]:=$FD43;
map2[13136][1]:=$F7CA;map2[13136][2]:=$FD41;
map2[13137][1]:=$F7CB;map2[13137][2]:=$FD40;
map2[13138][1]:=$F7CC;map2[13138][2]:=$FD4B;
map2[13139][1]:=$F7CD;map2[13139][2]:=$FD71;
map2[13140][1]:=$F7CE;map2[13140][2]:=$EDE8;
map2[13141][1]:=$F7CF;map2[13141][2]:=$FD98;
map2[13142][1]:=$F7D0;map2[13142][2]:=$83B1;
map2[13143][1]:=$F7D1;map2[13143][2]:=$84B0;
map2[13144][1]:=$F7D2;map2[13144][2]:=$89CD;
map2[13145][1]:=$F7D3;map2[13145][2]:=$89CC;
map2[13146][1]:=$F7D4;map2[13146][2]:=$8A62;
map2[13147][1]:=$F7D5;map2[13147][2]:=$8C45;
map2[13148][1]:=$F7D6;map2[13148][2]:=$8E74;
map2[13149][1]:=$F7D7;map2[13149][2]:=$D04B;
map2[13150][1]:=$F7D8;map2[13150][2]:=$8F9E;
map2[13151][1]:=$F7D9;map2[13151][2]:=$91DA;
map2[13152][1]:=$F7DA;map2[13152][2]:=$91DC;
map2[13153][1]:=$F7DB;map2[13153][2]:=$91DD;
map2[13154][1]:=$F7DC;map2[13154][2]:=$B5B2;
map2[13155][1]:=$F7DD;map2[13155][2]:=$DFAC;
map2[13156][1]:=$F7DE;map2[13156][2]:=$94CD;
map2[13157][1]:=$F7DF;map2[13157][2]:=$95F0;
map2[13158][1]:=$F7E0;map2[13158][2]:=$D4DC;
map2[13159][1]:=$F7E1;map2[13159][2]:=$E8EF;
map2[13160][1]:=$F7E2;map2[13160][2]:=$E9A1;
map2[13161][1]:=$F7E3;map2[13161][2]:=$9AAE;
map2[13162][1]:=$F7E4;map2[13162][2]:=$9EAC;
map2[13163][1]:=$F7E5;map2[13163][2]:=$9EAB;
map2[13164][1]:=$F7E6;map2[13164][2]:=$A086;
map2[13165][1]:=$F7E7;map2[13165][2]:=$AB4F;
map2[13166][1]:=$F7E8;map2[13166][2]:=$AB4E;
map2[13167][1]:=$F7E9;map2[13167][2]:=$AB50;
map2[13168][1]:=$F7EA;map2[13168][2]:=$D3B8;
map2[13169][1]:=$F7EB;map2[13169][2]:=$B295;
map2[13170][1]:=$F7EC;map2[13170][2]:=$BB63;
map2[13171][1]:=$F7ED;map2[13171][2]:=$BB62;
map2[13172][1]:=$F7EE;map2[13172][2]:=$C076;
map2[13173][1]:=$F7EF;map2[13173][2]:=$C642;
map2[13174][1]:=$F7F0;map2[13174][2]:=$DDF1;
map2[13175][1]:=$F7F1;map2[13175][2]:=$CC7E;
map2[13176][1]:=$F7F2;map2[13176][2]:=$CC78;
map2[13177][1]:=$F7F3;map2[13177][2]:=$DEC2;
map2[13178][1]:=$F7F4;map2[13178][2]:=$CC71;
map2[13179][1]:=$F7F5;map2[13179][2]:=$CC7A;
map2[13180][1]:=$F7F6;map2[13180][2]:=$CC7C;
map2[13181][1]:=$F7F7;map2[13181][2]:=$D04C;
map2[13182][1]:=$F7F8;map2[13182][2]:=$EEC3;
map2[13183][1]:=$F7F9;map2[13183][2]:=$D04A;
map2[13184][1]:=$F7FA;map2[13184][2]:=$D04E;
map2[13185][1]:=$F7FB;map2[13185][2]:=$D279;
map2[13186][1]:=$F7FC;map2[13186][2]:=$D25B;
map2[13187][1]:=$F7FD;map2[13187][2]:=$D276;
map2[13188][1]:=$F7FE;map2[13188][2]:=$D383;
map2[13189][1]:=$F840;map2[13189][2]:=$D1E0;
map2[13190][1]:=$F841;map2[13190][2]:=$F6C5;
map2[13191][1]:=$F842;map2[13191][2]:=$D480;
map2[13192][1]:=$F843;map2[13192][2]:=$D781;
map2[13193][1]:=$F844;map2[13193][2]:=$D84C;
map2[13194][1]:=$F845;map2[13194][2]:=$DA4B;
map2[13195][1]:=$F846;map2[13195][2]:=$DC5B;
map2[13196][1]:=$F847;map2[13196][2]:=$E9F1;
map2[13197][1]:=$F848;map2[13197][2]:=$DE5E;
map2[13198][1]:=$F849;map2[13198][2]:=$D1E0;
map2[13199][1]:=$F84A;map2[13199][2]:=$E872;
map2[13200][1]:=$F84B;map2[13200][2]:=$E940;
map2[13201][1]:=$F84C;map2[13201][2]:=$E86D;
map2[13202][1]:=$F84D;map2[13202][2]:=$E867;
map2[13203][1]:=$F84E;map2[13203][2]:=$E94A;
map2[13204][1]:=$F84F;map2[13204][2]:=$ED5F;
map2[13205][1]:=$F850;map2[13205][2]:=$ED60;
map2[13206][1]:=$F851;map2[13206][2]:=$ED92;
map2[13207][1]:=$F852;map2[13207][2]:=$F29D;
map2[13208][1]:=$F853;map2[13208][2]:=$F2A0;
map2[13209][1]:=$F854;map2[13209][2]:=$F454;
map2[13210][1]:=$F855;map2[13210][2]:=$F7DF;
map2[13211][1]:=$F856;map2[13211][2]:=$F455;
map2[13212][1]:=$F857;map2[13212][2]:=$F7AE;
map2[13213][1]:=$F858;map2[13213][2]:=$F6E0;
map2[13214][1]:=$F859;map2[13214][2]:=$F754;
map2[13215][1]:=$F85A;map2[13215][2]:=$F74E;
map2[13216][1]:=$F85B;map2[13216][2]:=$F751;
map2[13217][1]:=$F85C;map2[13217][2]:=$F74F;
map2[13218][1]:=$F85D;map2[13218][2]:=$F759;
map2[13219][1]:=$F85E;map2[13219][2]:=$F75D;
map2[13220][1]:=$F85F;map2[13220][2]:=$F750;
map2[13221][1]:=$F860;map2[13221][2]:=$F752;
map2[13222][1]:=$F861;map2[13222][2]:=$FA99;
map2[13223][1]:=$F862;map2[13223][2]:=$FA95;
map2[13224][1]:=$F863;map2[13224][2]:=$F0D3;
map2[13225][1]:=$F864;map2[13225][2]:=$FA81;
map2[13226][1]:=$F865;map2[13226][2]:=$FB68;
map2[13227][1]:=$F866;map2[13227][2]:=$F0D6;
map2[13228][1]:=$F867;map2[13228][2]:=$FA82;
map2[13229][1]:=$F868;map2[13229][2]:=$FA94;
map2[13230][1]:=$F869;map2[13230][2]:=$FA7E;
map2[13231][1]:=$F86A;map2[13231][2]:=$FA8C;
map2[13232][1]:=$F86B;map2[13232][2]:=$F0D4;
map2[13233][1]:=$F86C;map2[13233][2]:=$F0D5;
map2[13234][1]:=$F86D;map2[13234][2]:=$D1E0;
map2[13235][1]:=$F86E;map2[13235][2]:=$FA80;
map2[13236][1]:=$F86F;map2[13236][2]:=$FA8A;
map2[13237][1]:=$F870;map2[13237][2]:=$F0C2;
map2[13238][1]:=$F871;map2[13238][2]:=$F0C2;
map2[13239][1]:=$F872;map2[13239][2]:=$FA86;
map2[13240][1]:=$F873;map2[13240][2]:=$FA8B;
map2[13241][1]:=$F874;map2[13241][2]:=$FC52;
map2[13242][1]:=$F875;map2[13242][2]:=$FC5B;
map2[13243][1]:=$F876;map2[13243][2]:=$F7F5;
map2[13244][1]:=$F877;map2[13244][2]:=$FC70;
map2[13245][1]:=$F878;map2[13245][2]:=$FC80;
map2[13246][1]:=$F879;map2[13246][2]:=$FC8F;
map2[13247][1]:=$F87A;map2[13247][2]:=$FD45;
map2[13248][1]:=$F87B;map2[13248][2]:=$F7FB;
map2[13249][1]:=$F87C;map2[13249][2]:=$FD44;
map2[13250][1]:=$F87D;map2[13250][2]:=$FD4C;
map2[13251][1]:=$F87E;map2[13251][2]:=$ECB4;
map2[13252][1]:=$F8A1;map2[13252][2]:=$FD77;
map2[13253][1]:=$F8A2;map2[13253][2]:=$FD76;
map2[13254][1]:=$F8A3;map2[13254][2]:=$FD74;
map2[13255][1]:=$F8A4;map2[13255][2]:=$FD75;
map2[13256][1]:=$F8A5;map2[13256][2]:=$87DC;
map2[13257][1]:=$F8A6;map2[13257][2]:=$87D6;
map2[13258][1]:=$F8A7;map2[13258][2]:=$8C46;
map2[13259][1]:=$F8A8;map2[13259][2]:=$8CC1;
map2[13260][1]:=$F8A9;map2[13260][2]:=$9489;
map2[13261][1]:=$F8AA;map2[13261][2]:=$95F2;
map2[13262][1]:=$F8AB;map2[13262][2]:=$95F3;
map2[13263][1]:=$F8AC;map2[13263][2]:=$99E9;
map2[13264][1]:=$F8AD;map2[13264][2]:=$9EAF;
map2[13265][1]:=$F8AE;map2[13265][2]:=$9EB1;
map2[13266][1]:=$F8AF;map2[13266][2]:=$E5B0;
map2[13267][1]:=$F8B0;map2[13267][2]:=$9EB0;
map2[13268][1]:=$F8B1;map2[13268][2]:=$A087;
map2[13269][1]:=$F8B2;map2[13269][2]:=$AD92;
map2[13270][1]:=$F8B3;map2[13270][2]:=$AD96;
map2[13271][1]:=$F8B4;map2[13271][2]:=$B296;
map2[13272][1]:=$F8B5;map2[13272][2]:=$B567;
map2[13273][1]:=$F8B6;map2[13273][2]:=$B661;
map2[13274][1]:=$F8B7;map2[13274][2]:=$B660;
map2[13275][1]:=$F8B8;map2[13275][2]:=$F3FD;
map2[13276][1]:=$F8B9;map2[13276][2]:=$C078;
map2[13277][1]:=$F8BA;map2[13277][2]:=$C163;
map2[13278][1]:=$F8BB;map2[13278][2]:=$C643;
map2[13279][1]:=$F8BC;map2[13279][2]:=$CC82;
map2[13280][1]:=$F8BD;map2[13280][2]:=$D053;
map2[13281][1]:=$F8BE;map2[13281][2]:=$D052;
map2[13282][1]:=$F8BF;map2[13282][2]:=$D050;
map2[13283][1]:=$F8C0;map2[13283][2]:=$D061;
map2[13284][1]:=$F8C1;map2[13284][2]:=$D78D;
map2[13285][1]:=$F8C2;map2[13285][2]:=$C0BE;
map2[13286][1]:=$F8C3;map2[13286][2]:=$F5F3;
map2[13287][1]:=$F8C4;map2[13287][2]:=$DC60;
map2[13288][1]:=$F8C5;map2[13288][2]:=$DC61;
map2[13289][1]:=$F8C6;map2[13289][2]:=$DC5F;
map2[13290][1]:=$F8C7;map2[13290][2]:=$E182;
map2[13291][1]:=$F8C8;map2[13291][2]:=$E181;
map2[13292][1]:=$F8C9;map2[13292][2]:=$E186;
map2[13293][1]:=$F8CA;map2[13293][2]:=$F6CE;
map2[13294][1]:=$F8CB;map2[13294][2]:=$E878;
map2[13295][1]:=$F8CC;map2[13295][2]:=$E879;
map2[13296][1]:=$F8CD;map2[13296][2]:=$EB7B;
map2[13297][1]:=$F8CE;map2[13297][2]:=$85A6;
map2[13298][1]:=$F8CF;map2[13298][2]:=$EC5B;
map2[13299][1]:=$F8D0;map2[13299][2]:=$EC5F;
map2[13300][1]:=$F8D1;map2[13300][2]:=$ED62;
map2[13301][1]:=$F8D2;map2[13301][2]:=$ED81;
map2[13302][1]:=$F8D3;map2[13302][2]:=$F344;
map2[13303][1]:=$F8D4;map2[13303][2]:=$F7C6;
map2[13304][1]:=$F8D5;map2[13304][2]:=$F47D;
map2[13305][1]:=$F8D6;map2[13305][2]:=$F840;
map2[13306][1]:=$F8D7;map2[13306][2]:=$F7AF;
map2[13307][1]:=$F8D8;map2[13307][2]:=$F76A;
map2[13308][1]:=$F8D9;map2[13308][2]:=$F766;
map2[13309][1]:=$F8DA;map2[13309][2]:=$F762;
map2[13310][1]:=$F8DB;map2[13310][2]:=$F78E;
map2[13311][1]:=$F8DC;map2[13311][2]:=$FAA0;
map2[13312][1]:=$F8DD;map2[13312][2]:=$FA9C;
map2[13313][1]:=$F8DE;map2[13313][2]:=$FB72;
map2[13314][1]:=$F8DF;map2[13314][2]:=$FB40;
map2[13315][1]:=$F8E0;map2[13315][2]:=$FB43;
map2[13316][1]:=$F8E1;map2[13316][2]:=$FB42;
map2[13317][1]:=$F8E2;map2[13317][2]:=$FA9E;
map2[13318][1]:=$F8E3;map2[13318][2]:=$FA9F;
map2[13319][1]:=$F8E4;map2[13319][2]:=$FB46;
map2[13320][1]:=$F8E5;map2[13320][2]:=$FA9D;
map2[13321][1]:=$F8E6;map2[13321][2]:=$FA9B;
map2[13322][1]:=$F8E7;map2[13322][2]:=$FB41;
map2[13323][1]:=$F8E8;map2[13323][2]:=$FB97;
map2[13324][1]:=$F8E9;map2[13324][2]:=$FC91;
map2[13325][1]:=$F8EA;map2[13325][2]:=$FD4E;
map2[13326][1]:=$F8EB;map2[13326][2]:=$FD7A;
map2[13327][1]:=$F8EC;map2[13327][2]:=$FD7B;
map2[13328][1]:=$F8ED;map2[13328][2]:=$EBF1;
map2[13329][1]:=$F8EE;map2[13329][2]:=$E0EC;
map2[13330][1]:=$F8EF;map2[13330][2]:=$DFAD;
map2[13331][1]:=$F8F0;map2[13331][2]:=$94E1;
map2[13332][1]:=$F8F1;map2[13332][2]:=$99EE;
map2[13333][1]:=$F8F2;map2[13333][2]:=$99EF;
map2[13334][1]:=$F8F3;map2[13334][2]:=$99ED;
map2[13335][1]:=$F8F4;map2[13335][2]:=$99F0;
map2[13336][1]:=$F8F5;map2[13336][2]:=$9EB2;
map2[13337][1]:=$F8F6;map2[13337][2]:=$A08A;
map2[13338][1]:=$F8F7;map2[13338][2]:=$A0E1;
map2[13339][1]:=$F8F8;map2[13339][2]:=$B298;
map2[13340][1]:=$F8F9;map2[13340][2]:=$B299;
map2[13341][1]:=$F8FA;map2[13341][2]:=$B568;
map2[13342][1]:=$F8FB;map2[13342][2]:=$F3D6;
map2[13343][1]:=$F8FC;map2[13343][2]:=$BB67;
map2[13344][1]:=$F8FD;map2[13344][2]:=$F4D0;
map2[13345][1]:=$F8FE;map2[13345][2]:=$C07B;
map2[13346][1]:=$F940;map2[13346][2]:=$E7DA;
map2[13347][1]:=$F941;map2[13347][2]:=$F4EE;
map2[13348][1]:=$F942;map2[13348][2]:=$C07A;
map2[13349][1]:=$F943;map2[13349][2]:=$D9F5;
map2[13350][1]:=$F944;map2[13350][2]:=$C54D;
map2[13351][1]:=$F945;map2[13351][2]:=$CC85;
map2[13352][1]:=$F946;map2[13352][2]:=$CC86;
map2[13353][1]:=$F947;map2[13353][2]:=$CC87;
map2[13354][1]:=$F948;map2[13354][2]:=$D27C;
map2[13355][1]:=$F949;map2[13355][2]:=$D27D;
map2[13356][1]:=$F94A;map2[13356][2]:=$D27E;
map2[13357][1]:=$F94B;map2[13357][2]:=$F1E1;
map2[13358][1]:=$F94C;map2[13358][2]:=$D384;
map2[13359][1]:=$F94D;map2[13359][2]:=$D791;
map2[13360][1]:=$F94E;map2[13360][2]:=$D792;
map2[13361][1]:=$F94F;map2[13361][2]:=$B4DA;
map2[13362][1]:=$F950;map2[13362][2]:=$DC65;
map2[13363][1]:=$F951;map2[13363][2]:=$DC64;
map2[13364][1]:=$F952;map2[13364][2]:=$E87D;
map2[13365][1]:=$F953;map2[13365][2]:=$EFE7;
map2[13366][1]:=$F954;map2[13366][2]:=$E87E;
map2[13367][1]:=$F955;map2[13367][2]:=$E94B;
map2[13368][1]:=$F956;map2[13368][2]:=$E883;
map2[13369][1]:=$F957;map2[13369][2]:=$85A5;
map2[13370][1]:=$F958;map2[13370][2]:=$EF43;
map2[13371][1]:=$F959;map2[13371][2]:=$F093;
map2[13372][1]:=$F95A;map2[13372][2]:=$F795;
map2[13373][1]:=$F95B;map2[13373][2]:=$F772;
map2[13374][1]:=$F95C;map2[13374][2]:=$F6DD;
map2[13375][1]:=$F95D;map2[13375][2]:=$FB48;
map2[13376][1]:=$F95E;map2[13376][2]:=$FB4A;
map2[13377][1]:=$F95F;map2[13377][2]:=$FB4D;
map2[13378][1]:=$F960;map2[13378][2]:=$FB73;
map2[13379][1]:=$F961;map2[13379][2]:=$FB4F;
map2[13380][1]:=$F962;map2[13380][2]:=$FB4E;
map2[13381][1]:=$F963;map2[13381][2]:=$FB98;
map2[13382][1]:=$F964;map2[13382][2]:=$FC72;
map2[13383][1]:=$F965;map2[13383][2]:=$F6BE;
map2[13384][1]:=$F966;map2[13384][2]:=$F7FE;
map2[13385][1]:=$F967;map2[13385][2]:=$FD7E;
map2[13386][1]:=$F968;map2[13386][2]:=$FD82;
map2[13387][1]:=$F969;map2[13387][2]:=$FD81;
map2[13388][1]:=$F96A;map2[13388][2]:=$FD80;
map2[13389][1]:=$F96B;map2[13389][2]:=$884B;
map2[13390][1]:=$F96C;map2[13390][2]:=$9EB6;
map2[13391][1]:=$F96D;map2[13391][2]:=$BB6B;
map2[13392][1]:=$F96E;map2[13392][2]:=$F3BD;
map2[13393][1]:=$F96F;map2[13393][2]:=$F4F5;
map2[13394][1]:=$F970;map2[13394][2]:=$F5F2;
map2[13395][1]:=$F971;map2[13395][2]:=$F5A7;
map2[13396][1]:=$F972;map2[13396][2]:=$E884;
map2[13397][1]:=$F973;map2[13397][2]:=$E888;
map2[13398][1]:=$F974;map2[13398][2]:=$E886;
map2[13399][1]:=$F975;map2[13399][2]:=$E885;
map2[13400][1]:=$F976;map2[13400][2]:=$F346;
map2[13401][1]:=$F977;map2[13401][2]:=$F778;
map2[13402][1]:=$F978;map2[13402][2]:=$F777;
map2[13403][1]:=$F979;map2[13403][2]:=$F775;
map2[13404][1]:=$F97A;map2[13404][2]:=$F779;
map2[13405][1]:=$F97B;map2[13405][2]:=$FB51;
map2[13406][1]:=$F97C;map2[13406][2]:=$FB50;
map2[13407][1]:=$F97D;map2[13407][2]:=$FC64;
map2[13408][1]:=$F97E;map2[13408][2]:=$FC84;
map2[13409][1]:=$F9A1;map2[13409][2]:=$FD9A;
map2[13410][1]:=$F9A2;map2[13410][2]:=$9EB8;
map2[13411][1]:=$F9A3;map2[13411][2]:=$9EB5;
map2[13412][1]:=$F9A4;map2[13412][2]:=$BC68;
map2[13413][1]:=$F9A5;map2[13413][2]:=$CCA0;
map2[13414][1]:=$F9A6;map2[13414][2]:=$D057;
map2[13415][1]:=$F9A7;map2[13415][2]:=$D056;
map2[13416][1]:=$F9A8;map2[13416][2]:=$D058;
map2[13417][1]:=$F9A9;map2[13417][2]:=$DADD;
map2[13418][1]:=$F9AA;map2[13418][2]:=$D88F;
map2[13419][1]:=$F9AB;map2[13419][2]:=$DC6A;
map2[13420][1]:=$F9AC;map2[13420][2]:=$DC86;
map2[13421][1]:=$F9AD;map2[13421][2]:=$EC63;
map2[13422][1]:=$F9AE;map2[13422][2]:=$F2A8;
map2[13423][1]:=$F9AF;map2[13423][2]:=$C8A7;
map2[13424][1]:=$F9B0;map2[13424][2]:=$EF70;
map2[13425][1]:=$F9B1;map2[13425][2]:=$F095;
map2[13426][1]:=$F9B2;map2[13426][2]:=$F151;
map2[13427][1]:=$F9B3;map2[13427][2]:=$E6F8;
map2[13428][1]:=$F9B4;map2[13428][2]:=$F35A;
map2[13429][1]:=$F9B5;map2[13429][2]:=$F34D;
map2[13430][1]:=$F9B6;map2[13430][2]:=$F458;
map2[13431][1]:=$F9B7;map2[13431][2]:=$F0B5;
map2[13432][1]:=$F9B8;map2[13432][2]:=$FB54;
map2[13433][1]:=$F9B9;map2[13433][2]:=$FD50;
map2[13434][1]:=$F9BA;map2[13434][2]:=$EDB0;
map2[13435][1]:=$F9BB;map2[13435][2]:=$E8F9;
map2[13436][1]:=$F9BC;map2[13436][2]:=$A08B;
map2[13437][1]:=$F9BD;map2[13437][2]:=$CC8B;
map2[13438][1]:=$F9BE;map2[13438][2]:=$DC69;
map2[13439][1]:=$F9BF;map2[13439][2]:=$E945;
map2[13440][1]:=$F9C0;map2[13440][2]:=$E890;
map2[13441][1]:=$F9C1;map2[13441][2]:=$EFE3;
map2[13442][1]:=$F9C2;map2[13442][2]:=$F34F;
map2[13443][1]:=$F9C3;map2[13443][2]:=$F34E;
map2[13444][1]:=$F9C4;map2[13444][2]:=$E3CE;
map2[13445][1]:=$F9C5;map2[13445][2]:=$FB56;
map2[13446][1]:=$F9C6;map2[13446][2]:=$A08C;
map2[13447][1]:=$F9C7;map2[13447][2]:=$CC8A;
map2[13448][1]:=$F9C8;map2[13448][2]:=$D798;
map2[13449][1]:=$F9C9;map2[13449][2]:=$E893;
map2[13450][1]:=$F9CA;map2[13450][2]:=$F77D;
map2[13451][1]:=$F9CB;map2[13451][2]:=$FC4B;
map2[13452][1]:=$F9CC;map2[13452][2]:=$B067;
map2[13453][1]:=$F9CD;map2[13453][2]:=$F354;
map2[13454][1]:=$F9CE;map2[13454][2]:=$F6E2;
map2[13455][1]:=$F9CF;map2[13455][2]:=$F0BF;
map2[13456][1]:=$F9D0;map2[13456][2]:=$E4D9;
map2[13457][1]:=$F9D1;map2[13457][2]:=$9EBA;
map2[13458][1]:=$F9D2;map2[13458][2]:=$FB9B;
map2[13459][1]:=$F9D3;map2[13459][2]:=$FD85;
map2[13460][1]:=$F9D4;map2[13460][2]:=$FD51;
map2[13461][1]:=$F9D5;map2[13461][2]:=$FD93;
map2[13462][1]:=$F9D6;map2[13462][2]:=$3F3F;
map2[13463][1]:=$F9D7;map2[13463][2]:=$3F3F;
map2[13464][1]:=$F9D8;map2[13464][2]:=$3F3F;
map2[13465][1]:=$F9D9;map2[13465][2]:=$3F3F;
map2[13466][1]:=$F9DA;map2[13466][2]:=$3F3F;
map2[13467][1]:=$F9DB;map2[13467][2]:=$3F3F;
map2[13468][1]:=$F9DC;map2[13468][2]:=$3F3F;


end;

initialization

end.
 